/* Provide Declarations */
#include <stdarg.h>
#include <setjmp.h>
/* get a declaration for alloca */
#if defined(__CYGWIN__) || defined(__MINGW32__)
#define  alloca(x) __builtin_alloca((x))
#define _alloca(x) __builtin_alloca((x))
#elif defined(__APPLE__)
extern void *__builtin_alloca(unsigned long);
#define alloca(x) __builtin_alloca(x)
#define longjmp _longjmp
#define setjmp _setjmp
#elif defined(__sun__)
#if defined(__sparcv9)
extern void *__builtin_alloca(unsigned long);
#else
extern void *__builtin_alloca(unsigned int);
#endif
#define alloca(x) __builtin_alloca(x)
#elif defined(__FreeBSD__) || defined(__NetBSD__) || defined(__OpenBSD__)
#define alloca(x) __builtin_alloca(x)
#elif defined(_MSC_VER)
#define inline _inline
#define alloca(x) _alloca(x)
#else
#include <alloca.h>
#endif

#ifndef __GNUC__  /* Can only support "linkonce" vars with GCC */
#define __attribute__(X)
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __EXTERNAL_WEAK__ __attribute__((weak_import))
#elif defined(__GNUC__)
#define __EXTERNAL_WEAK__ __attribute__((weak))
#else
#define __EXTERNAL_WEAK__
#endif

#if defined(__GNUC__) && defined(__APPLE_CC__)
#define __ATTRIBUTE_WEAK__
#elif defined(__GNUC__)
#define __ATTRIBUTE_WEAK__ __attribute__((weak))
#else
#define __ATTRIBUTE_WEAK__
#endif

#if defined(__GNUC__)
#define __HIDDEN__ __attribute__((visibility("hidden")))
#endif

#ifdef __GNUC__
#define LLVM_NAN(NanStr)   __builtin_nan(NanStr)   /* Double */
#define LLVM_NANF(NanStr)  __builtin_nanf(NanStr)  /* Float */
#define LLVM_NANS(NanStr)  __builtin_nans(NanStr)  /* Double */
#define LLVM_NANSF(NanStr) __builtin_nansf(NanStr) /* Float */
#define LLVM_INF           __builtin_inf()         /* Double */
#define LLVM_INFF          __builtin_inff()        /* Float */
#define LLVM_PREFETCH(addr,rw,locality) __builtin_prefetch(addr,rw,locality)
#define __ATTRIBUTE_CTOR__ __attribute__((constructor))
#define __ATTRIBUTE_DTOR__ __attribute__((destructor))
#define LLVM_ASM           __asm__
#else
#define LLVM_NAN(NanStr)   ((double)0.0)           /* Double */
#define LLVM_NANF(NanStr)  0.0F                    /* Float */
#define LLVM_NANS(NanStr)  ((double)0.0)           /* Double */
#define LLVM_NANSF(NanStr) 0.0F                    /* Float */
#define LLVM_INF           ((double)0.0)           /* Double */
#define LLVM_INFF          0.0F                    /* Float */
#define LLVM_PREFETCH(addr,rw,locality)            /* PREFETCH */
#define __ATTRIBUTE_CTOR__
#define __ATTRIBUTE_DTOR__
#define LLVM_ASM(X)
#endif

#if __GNUC__ < 4 /* Old GCC's, or compilers not GCC */ 
#define __builtin_stack_save() 0   /* not implemented */
#define __builtin_stack_restore(X) /* noop */
#endif

#ifdef __GNUC__ /* 128-bit integer types */
typedef int __attribute__((mode(TI))) llvmInt128;
typedef unsigned __attribute__((mode(TI))) llvmUInt128;
#endif

#define CODE_FOR_MAIN() /* Any target-specific code for main()*/

#ifndef __cplusplus
typedef unsigned char bool;
#endif


/* Support for floating point constants */
typedef unsigned long long ConstantDoubleTy;
typedef unsigned int        ConstantFloatTy;
typedef struct { unsigned long long f1; unsigned short f2; unsigned short pad[3]; } ConstantFP80Ty;
typedef struct { unsigned long long f1; unsigned long long f2; } ConstantFP128Ty;


/* Global Declarations */
/* Helper union for bitcasts */
typedef union {
  unsigned int Int32;
  unsigned long long Int64;
  float Float;
  double Double;
} llvmBitCastUnion;
/* Structure forward decls */
struct l_struct_2E__2E_0Features;
struct l_struct_2E__2E_0__pthread_mutex_s;
struct l_struct_2E__2E_1_2E__185;
struct l_struct_2E__2E_2BMPINFOHEADER;
struct l_struct_2E__2E_3BMPHEADER;
struct l_struct_2E__2E__125;
struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_;
struct l_struct_2E_Array_3C_DemoEntry_3E_;
struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_;
struct l_struct_2E_Array_3C_Overlay_2A__3E_;
struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_;
struct l_struct_2E_Array_3C_Stroke_2A__3E_;
struct l_struct_2E_Array_3C_Vec2_3E_;
struct l_struct_2E_Canvas;
struct l_struct_2E_ClipVertex;
struct l_struct_2E_DIR;
struct l_struct_2E_DemoEntry;
struct l_struct_2E_DemoLog;
struct l_struct_2E_DemoPlayer;
struct l_struct_2E_DemoRecorder;
struct l_struct_2E_Depth;
struct l_struct_2E_Display;
struct l_struct_2E_EditOverlay;
struct l_struct_2E_FILE;
struct l_struct_2E_Font;
struct l_struct_2E_Game;
struct l_struct_2E_GameControl;
struct l_struct_2E_Http;
struct l_struct_2E_IconOverlay;
struct l_struct_2E_Image;
struct l_struct_2E_Levels;
struct l_struct_2E_Levels_3A__3A_LevelDesc;
struct l_struct_2E_MenuOverlay;
struct l_struct_2E_NextLevelOverlay;
struct l_struct_2E_Os;
struct l_struct_2E_OsFreeDesktop;
struct l_struct_2E_OverlayBase;
struct l_struct_2E_OverlayBase_3A__3A_HotSpot;
struct l_struct_2E_Path;
struct l_struct_2E_Rect;
struct l_struct_2E_SDL_ActiveEvent;
struct l_struct_2E_SDL_BlitMap;
struct l_struct_2E_SDL_Event;
struct l_struct_2E_SDL_KeyboardEvent;
struct l_struct_2E_SDL_MouseButtonEvent;
struct l_struct_2E_SDL_Palette;
struct l_struct_2E_SDL_PixelFormat;
struct l_struct_2E_SDL_Rect;
struct l_struct_2E_SDL_Surface;
struct l_struct_2E_SDL_SysWMinfo;
struct l_struct_2E_SDL_SysWMinfo_3A__3A__2E__184;
struct l_struct_2E_SDL_UserEvent;
struct l_struct_2E_SDL_VideoInfo;
struct l_struct_2E_SDL_keysym;
struct l_struct_2E_Scene;
struct l_struct_2E_Screen;
struct l_struct_2E_ScreenFormat;
struct l_struct_2E_Stroke;
struct l_struct_2E_Stroke_3A__3A_BoxDef;
struct l_struct_2E_Stroke_3A__3A_JointDef;
struct l_struct_2E_Transform;
struct l_struct_2E_UiOverlay;
struct l_struct_2E_Vec2;
struct l_struct_2E_Visual;
struct l_struct_2E_XClientMessageEvent;
struct l_struct_2E_XClientMessageEvent_3A__3A__2E__154;
struct l_struct_2E_XEvent;
struct l_struct_2E_XExtData;
struct l_struct_2E_ZipFile;
struct l_struct_2E__IO_marker;
struct l_struct_2E__XGC;
struct l_struct_2E__XPrivate;
struct l_struct_2E__XrmHashBucketRec;
struct l_struct_2E___base_class_type_info_pseudo;
struct l_struct_2E___class_type_info_pseudo;
struct l_struct_2E___gnu_cxx_3A__3A___normal_iterator_3C_char_2A__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_;
struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_;
struct l_struct_2E___mbstate_t_3A__3A__2E__54;
struct l_struct_2E___pointer_type_info_pseudo;
struct l_struct_2E___pthread_list_t;
struct l_struct_2E___si_class_type_info_pseudo;
struct l_struct_2E___type_info_pseudo;
struct l_struct_2E___va_list_tag;
struct l_struct_2E___vmi_class_type_info_pseudo1;
struct l_struct_2E_anon;
struct l_struct_2E_b2AABB;
struct l_struct_2E_b2Block;
struct l_struct_2E_b2BlockAllocator;
struct l_struct_2E_b2Body;
struct l_struct_2E_b2BodyDef;
struct l_struct_2E_b2Bound;
struct l_struct_2E_b2BoundValues;
struct l_struct_2E_b2BroadPhase;
struct l_struct_2E_b2BufferedPair;
struct l_struct_2E_b2Chunk;
struct l_struct_2E_b2CircleContact;
struct l_struct_2E_b2CircleDef;
struct l_struct_2E_b2CircleShape;
struct l_struct_2E_b2Color;
struct l_struct_2E_b2Contact;
struct l_struct_2E_b2ContactConstraint;
struct l_struct_2E_b2ContactConstraintPoint;
struct l_struct_2E_b2ContactEdge;
struct l_struct_2E_b2ContactManager;
struct l_struct_2E_b2ContactPoint;
struct l_struct_2E_b2ContactRegister;
struct l_struct_2E_b2ContactResult;
struct l_struct_2E_b2ContactSolver;
struct l_struct_2E_b2DebugDraw;
struct l_struct_2E_b2DistanceJoint;
struct l_struct_2E_b2DistanceJointDef;
struct l_struct_2E_b2GearJoint;
struct l_struct_2E_b2GearJointDef;
struct l_struct_2E_b2Island;
struct l_struct_2E_b2Jacobian;
struct l_struct_2E_b2Joint;
struct l_struct_2E_b2JointDef;
struct l_struct_2E_b2JointEdge;
struct l_struct_2E_b2Manifold;
struct l_struct_2E_b2ManifoldPoint;
struct l_struct_2E_b2MassData;
struct l_struct_2E_b2MouseJoint;
struct l_struct_2E_b2MouseJointDef;
struct l_struct_2E_b2NullContact;
struct l_struct_2E_b2OBB;
struct l_struct_2E_b2Pair;
struct l_struct_2E_b2PairManager;
struct l_struct_2E_b2PolygonDef;
struct l_struct_2E_b2PolygonShape;
struct l_struct_2E_b2PrismaticJoint;
struct l_struct_2E_b2PrismaticJointDef;
struct l_struct_2E_b2Proxy;
struct l_struct_2E_b2PulleyJoint;
struct l_struct_2E_b2PulleyJointDef;
struct l_struct_2E_b2RevoluteJoint;
struct l_struct_2E_b2RevoluteJointDef;
struct l_struct_2E_b2Shape;
struct l_struct_2E_b2ShapeDef;
struct l_struct_2E_b2StackAllocator;
struct l_struct_2E_b2StackEntry;
struct l_struct_2E_b2Sweep;
struct l_struct_2E_b2TimeStep;
struct l_struct_2E_b2Vec2;
struct l_struct_2E_b2World;
struct l_struct_2E_b2XForm;
struct l_struct_2E_dirent;
struct l_struct_2E_fd_set;
struct l_struct_2E_happyhttp_3A__3A_Connection;
struct l_struct_2E_happyhttp_3A__3A_Response;
struct l_struct_2E_happyhttp_3A__3A_Wobbly;
struct l_struct_2E_hostent;
struct l_struct_2E_mbstate_t;
struct l_struct_2E_private_hwdata;
struct l_struct_2E_pthread_attr_t;
struct l_struct_2E_pthread_mutex_t;
struct l_struct_2E_sockaddr;
struct l_struct_2E_sockaddr_in;
struct l_struct_2E_stat;
struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_;
struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E__3A__3A__Deque_impl;
struct l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_;
struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E__3A__3A__Rb_tree_impl_3C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_false_3E_;
struct l_struct_2E_std_3A__3A__Rb_tree_const_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A__Rb_tree_node_base;
struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__3A__3A__Vector_impl;
struct l_struct_2E_std_3A__3A___basic_file_3C_char_3E_;
struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base;
struct l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
struct l_struct_2E_std_3A__3A_basic_iostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base;
struct l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base;
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
struct l_struct_2E_std_3A__3A_basic_stringbuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__2C_std_3A__3A_allocator_3C_char_3E__20__3E_;
struct l_struct_2E_std_3A__3A_codecvt_3C_char_2C_char_2C___mbstate_t_3E_;
struct l_struct_2E_std_3A__3A_ctype_3C_char_3E_;
struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_;
struct l_struct_2E_std_3A__3A_ifstream;
struct l_struct_2E_std_3A__3A_ios_base;
struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list;
struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words;
struct l_struct_2E_std_3A__3A_istream;
struct l_struct_2E_std_3A__3A_locale;
struct l_struct_2E_std_3A__3A_locale_3A__3A__Impl;
struct l_struct_2E_std_3A__3A_map_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A_ofstream;
struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_;
struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_;
struct l_struct_2E_std_3A__3A_string;
struct l_struct_2E_std_3A__3A_stringstream;
struct l_struct_2E_std_3A__3A_type_info;
struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
struct l_struct_2E_timespec;
struct l_struct_2E_z_stream;
struct l_struct_2E_zip_cd;
struct l_struct_2E_zip_eoc;
struct l_struct_2E_zip_lfh;
struct l_unnamed0;
struct l_unnamed1;
struct l_unnamed2;
struct l_unnamed3;
struct l_unnamed4;
struct l_unnamed5;

/* Typedefs */
typedef struct l_struct_2E__2E_0Features l_struct_2E__2E_0Features;
typedef struct l_struct_2E__2E_0__pthread_mutex_s l_struct_2E__2E_0__pthread_mutex_s;
typedef struct l_struct_2E__2E_1_2E__185 l_struct_2E__2E_1_2E__185;
typedef struct l_struct_2E__2E_2BMPINFOHEADER l_struct_2E__2E_2BMPINFOHEADER;
typedef struct l_struct_2E__2E_3BMPHEADER l_struct_2E__2E_3BMPHEADER;
typedef struct l_struct_2E__2E__125 l_struct_2E__2E__125;
typedef struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_;
typedef struct l_struct_2E_Array_3C_DemoEntry_3E_ l_struct_2E_Array_3C_DemoEntry_3E_;
typedef struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_;
typedef struct l_struct_2E_Array_3C_Overlay_2A__3E_ l_struct_2E_Array_3C_Overlay_2A__3E_;
typedef struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_;
typedef struct l_struct_2E_Array_3C_Stroke_2A__3E_ l_struct_2E_Array_3C_Stroke_2A__3E_;
typedef struct l_struct_2E_Array_3C_Vec2_3E_ l_struct_2E_Array_3C_Vec2_3E_;
typedef struct l_struct_2E_Canvas l_struct_2E_Canvas;
typedef struct l_struct_2E_ClipVertex l_struct_2E_ClipVertex;
typedef struct l_struct_2E_DIR l_struct_2E_DIR;
typedef struct l_struct_2E_DemoEntry l_struct_2E_DemoEntry;
typedef struct l_struct_2E_DemoLog l_struct_2E_DemoLog;
typedef struct l_struct_2E_DemoPlayer l_struct_2E_DemoPlayer;
typedef struct l_struct_2E_DemoRecorder l_struct_2E_DemoRecorder;
typedef struct l_struct_2E_Depth l_struct_2E_Depth;
typedef struct l_struct_2E_Display l_struct_2E_Display;
typedef struct l_struct_2E_EditOverlay l_struct_2E_EditOverlay;
typedef struct l_struct_2E_FILE l_struct_2E_FILE;
typedef struct l_struct_2E_Font l_struct_2E_Font;
typedef struct l_struct_2E_Game l_struct_2E_Game;
typedef struct l_struct_2E_GameControl l_struct_2E_GameControl;
typedef struct l_struct_2E_Http l_struct_2E_Http;
typedef struct l_struct_2E_IconOverlay l_struct_2E_IconOverlay;
typedef struct l_struct_2E_Image l_struct_2E_Image;
typedef struct l_struct_2E_Levels l_struct_2E_Levels;
typedef struct l_struct_2E_Levels_3A__3A_LevelDesc l_struct_2E_Levels_3A__3A_LevelDesc;
typedef struct l_struct_2E_MenuOverlay l_struct_2E_MenuOverlay;
typedef struct l_struct_2E_NextLevelOverlay l_struct_2E_NextLevelOverlay;
typedef struct l_struct_2E_Os l_struct_2E_Os;
typedef struct l_struct_2E_OsFreeDesktop l_struct_2E_OsFreeDesktop;
typedef struct l_struct_2E_OverlayBase l_struct_2E_OverlayBase;
typedef struct l_struct_2E_OverlayBase_3A__3A_HotSpot l_struct_2E_OverlayBase_3A__3A_HotSpot;
typedef struct l_struct_2E_Path l_struct_2E_Path;
typedef struct l_struct_2E_Rect l_struct_2E_Rect;
typedef struct l_struct_2E_SDL_ActiveEvent l_struct_2E_SDL_ActiveEvent;
typedef struct l_struct_2E_SDL_BlitMap l_struct_2E_SDL_BlitMap;
typedef struct l_struct_2E_SDL_Event l_struct_2E_SDL_Event;
typedef struct l_struct_2E_SDL_KeyboardEvent l_struct_2E_SDL_KeyboardEvent;
typedef struct l_struct_2E_SDL_MouseButtonEvent l_struct_2E_SDL_MouseButtonEvent;
typedef struct l_struct_2E_SDL_Palette l_struct_2E_SDL_Palette;
typedef struct l_struct_2E_SDL_PixelFormat l_struct_2E_SDL_PixelFormat;
typedef struct l_struct_2E_SDL_Rect l_struct_2E_SDL_Rect;
typedef struct l_struct_2E_SDL_Surface l_struct_2E_SDL_Surface;
typedef struct l_struct_2E_SDL_SysWMinfo l_struct_2E_SDL_SysWMinfo;
typedef struct l_struct_2E_SDL_SysWMinfo_3A__3A__2E__184 l_struct_2E_SDL_SysWMinfo_3A__3A__2E__184;
typedef struct l_struct_2E_SDL_UserEvent l_struct_2E_SDL_UserEvent;
typedef struct l_struct_2E_SDL_VideoInfo l_struct_2E_SDL_VideoInfo;
typedef struct l_struct_2E_SDL_keysym l_struct_2E_SDL_keysym;
typedef struct l_struct_2E_Scene l_struct_2E_Scene;
typedef struct l_struct_2E_Screen l_struct_2E_Screen;
typedef struct l_struct_2E_ScreenFormat l_struct_2E_ScreenFormat;
typedef struct l_struct_2E_Stroke l_struct_2E_Stroke;
typedef struct l_struct_2E_Stroke_3A__3A_BoxDef l_struct_2E_Stroke_3A__3A_BoxDef;
typedef struct l_struct_2E_Stroke_3A__3A_JointDef l_struct_2E_Stroke_3A__3A_JointDef;
typedef struct l_struct_2E_Transform l_struct_2E_Transform;
typedef struct l_struct_2E_UiOverlay l_struct_2E_UiOverlay;
typedef struct l_struct_2E_Vec2 l_struct_2E_Vec2;
typedef struct l_struct_2E_Visual l_struct_2E_Visual;
typedef struct l_struct_2E_XClientMessageEvent l_struct_2E_XClientMessageEvent;
typedef struct l_struct_2E_XClientMessageEvent_3A__3A__2E__154 l_struct_2E_XClientMessageEvent_3A__3A__2E__154;
typedef struct l_struct_2E_XEvent l_struct_2E_XEvent;
typedef struct l_struct_2E_XExtData l_struct_2E_XExtData;
typedef struct l_struct_2E_ZipFile l_struct_2E_ZipFile;
typedef struct l_struct_2E__IO_marker l_struct_2E__IO_marker;
typedef struct l_struct_2E__XGC l_struct_2E__XGC;
typedef struct l_struct_2E__XPrivate l_struct_2E__XPrivate;
typedef struct l_struct_2E__XrmHashBucketRec l_struct_2E__XrmHashBucketRec;
typedef struct l_struct_2E___base_class_type_info_pseudo l_struct_2E___base_class_type_info_pseudo;
typedef struct l_struct_2E___class_type_info_pseudo l_struct_2E___class_type_info_pseudo;
typedef struct l_struct_2E___gnu_cxx_3A__3A___normal_iterator_3C_char_2A__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ l_struct_2E___gnu_cxx_3A__3A___normal_iterator_3C_char_2A__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_;
typedef struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_;
typedef struct l_struct_2E___mbstate_t_3A__3A__2E__54 l_struct_2E___mbstate_t_3A__3A__2E__54;
typedef struct l_struct_2E___pointer_type_info_pseudo l_struct_2E___pointer_type_info_pseudo;
typedef struct l_struct_2E___pthread_list_t l_struct_2E___pthread_list_t;
typedef struct l_struct_2E___si_class_type_info_pseudo l_struct_2E___si_class_type_info_pseudo;
typedef struct l_struct_2E___type_info_pseudo l_struct_2E___type_info_pseudo;
typedef struct l_struct_2E___va_list_tag l_struct_2E___va_list_tag;
typedef struct l_struct_2E___vmi_class_type_info_pseudo1 l_struct_2E___vmi_class_type_info_pseudo1;
typedef struct l_struct_2E_anon l_struct_2E_anon;
typedef struct l_struct_2E_b2AABB l_struct_2E_b2AABB;
typedef struct l_struct_2E_b2Block l_struct_2E_b2Block;
typedef struct l_struct_2E_b2BlockAllocator l_struct_2E_b2BlockAllocator;
typedef struct l_struct_2E_b2Body l_struct_2E_b2Body;
typedef struct l_struct_2E_b2BodyDef l_struct_2E_b2BodyDef;
typedef struct l_struct_2E_b2Bound l_struct_2E_b2Bound;
typedef struct l_struct_2E_b2BoundValues l_struct_2E_b2BoundValues;
typedef struct l_struct_2E_b2BroadPhase l_struct_2E_b2BroadPhase;
typedef struct l_struct_2E_b2BufferedPair l_struct_2E_b2BufferedPair;
typedef struct l_struct_2E_b2Chunk l_struct_2E_b2Chunk;
typedef struct l_struct_2E_b2CircleContact l_struct_2E_b2CircleContact;
typedef struct l_struct_2E_b2CircleDef l_struct_2E_b2CircleDef;
typedef struct l_struct_2E_b2CircleShape l_struct_2E_b2CircleShape;
typedef struct l_struct_2E_b2Color l_struct_2E_b2Color;
typedef struct l_struct_2E_b2Contact l_struct_2E_b2Contact;
typedef struct l_struct_2E_b2ContactConstraint l_struct_2E_b2ContactConstraint;
typedef struct l_struct_2E_b2ContactConstraintPoint l_struct_2E_b2ContactConstraintPoint;
typedef struct l_struct_2E_b2ContactEdge l_struct_2E_b2ContactEdge;
typedef struct l_struct_2E_b2ContactManager l_struct_2E_b2ContactManager;
typedef struct l_struct_2E_b2ContactPoint l_struct_2E_b2ContactPoint;
typedef struct l_struct_2E_b2ContactRegister l_struct_2E_b2ContactRegister;
typedef struct l_struct_2E_b2ContactResult l_struct_2E_b2ContactResult;
typedef struct l_struct_2E_b2ContactSolver l_struct_2E_b2ContactSolver;
typedef struct l_struct_2E_b2DebugDraw l_struct_2E_b2DebugDraw;
typedef struct l_struct_2E_b2DistanceJoint l_struct_2E_b2DistanceJoint;
typedef struct l_struct_2E_b2DistanceJointDef l_struct_2E_b2DistanceJointDef;
typedef struct l_struct_2E_b2GearJoint l_struct_2E_b2GearJoint;
typedef struct l_struct_2E_b2GearJointDef l_struct_2E_b2GearJointDef;
typedef struct l_struct_2E_b2Island l_struct_2E_b2Island;
typedef struct l_struct_2E_b2Jacobian l_struct_2E_b2Jacobian;
typedef struct l_struct_2E_b2Joint l_struct_2E_b2Joint;
typedef struct l_struct_2E_b2JointDef l_struct_2E_b2JointDef;
typedef struct l_struct_2E_b2JointEdge l_struct_2E_b2JointEdge;
typedef struct l_struct_2E_b2Manifold l_struct_2E_b2Manifold;
typedef struct l_struct_2E_b2ManifoldPoint l_struct_2E_b2ManifoldPoint;
typedef struct l_struct_2E_b2MassData l_struct_2E_b2MassData;
typedef struct l_struct_2E_b2MouseJoint l_struct_2E_b2MouseJoint;
typedef struct l_struct_2E_b2MouseJointDef l_struct_2E_b2MouseJointDef;
typedef struct l_struct_2E_b2NullContact l_struct_2E_b2NullContact;
typedef struct l_struct_2E_b2OBB l_struct_2E_b2OBB;
typedef struct l_struct_2E_b2Pair l_struct_2E_b2Pair;
typedef struct l_struct_2E_b2PairManager l_struct_2E_b2PairManager;
typedef struct l_struct_2E_b2PolygonDef l_struct_2E_b2PolygonDef;
typedef struct l_struct_2E_b2PolygonShape l_struct_2E_b2PolygonShape;
typedef struct l_struct_2E_b2PrismaticJoint l_struct_2E_b2PrismaticJoint;
typedef struct l_struct_2E_b2PrismaticJointDef l_struct_2E_b2PrismaticJointDef;
typedef struct l_struct_2E_b2Proxy l_struct_2E_b2Proxy;
typedef struct l_struct_2E_b2PulleyJoint l_struct_2E_b2PulleyJoint;
typedef struct l_struct_2E_b2PulleyJointDef l_struct_2E_b2PulleyJointDef;
typedef struct l_struct_2E_b2RevoluteJoint l_struct_2E_b2RevoluteJoint;
typedef struct l_struct_2E_b2RevoluteJointDef l_struct_2E_b2RevoluteJointDef;
typedef struct l_struct_2E_b2Shape l_struct_2E_b2Shape;
typedef struct l_struct_2E_b2ShapeDef l_struct_2E_b2ShapeDef;
typedef struct l_struct_2E_b2StackAllocator l_struct_2E_b2StackAllocator;
typedef struct l_struct_2E_b2StackEntry l_struct_2E_b2StackEntry;
typedef struct l_struct_2E_b2Sweep l_struct_2E_b2Sweep;
typedef struct l_struct_2E_b2TimeStep l_struct_2E_b2TimeStep;
typedef struct l_struct_2E_b2Vec2 l_struct_2E_b2Vec2;
typedef struct l_struct_2E_b2World l_struct_2E_b2World;
typedef struct l_struct_2E_b2XForm l_struct_2E_b2XForm;
typedef struct l_struct_2E_dirent l_struct_2E_dirent;
typedef struct l_struct_2E_fd_set l_struct_2E_fd_set;
typedef struct l_struct_2E_happyhttp_3A__3A_Connection l_struct_2E_happyhttp_3A__3A_Connection;
typedef struct l_struct_2E_happyhttp_3A__3A_Response l_struct_2E_happyhttp_3A__3A_Response;
typedef struct l_struct_2E_happyhttp_3A__3A_Wobbly l_struct_2E_happyhttp_3A__3A_Wobbly;
typedef struct l_struct_2E_hostent l_struct_2E_hostent;
typedef struct l_struct_2E_mbstate_t l_struct_2E_mbstate_t;
typedef struct l_struct_2E_private_hwdata l_struct_2E_private_hwdata;
typedef struct l_struct_2E_pthread_attr_t l_struct_2E_pthread_attr_t;
typedef struct l_struct_2E_pthread_mutex_t l_struct_2E_pthread_mutex_t;
typedef struct l_struct_2E_sockaddr l_struct_2E_sockaddr;
typedef struct l_struct_2E_sockaddr_in l_struct_2E_sockaddr_in;
typedef struct l_struct_2E_stat l_struct_2E_stat;
typedef struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E__3A__3A__Deque_impl l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E__3A__3A__Deque_impl;
typedef struct l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_ l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_;
typedef struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E__3A__3A__Rb_tree_impl_3C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_false_3E_ l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E__3A__3A__Rb_tree_impl_3C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_false_3E_;
typedef struct l_struct_2E_std_3A__3A__Rb_tree_const_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A__Rb_tree_const_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A__Rb_tree_node_base l_struct_2E_std_3A__3A__Rb_tree_node_base;
typedef struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__3A__3A__Vector_impl l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__3A__3A__Vector_impl;
typedef struct l_struct_2E_std_3A__3A___basic_file_3C_char_3E_ l_struct_2E_std_3A__3A___basic_file_3C_char_3E_;
typedef struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base;
typedef struct l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_basic_iostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base l_struct_2E_std_3A__3A_basic_iostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base;
typedef struct l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base;
typedef struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_basic_stringbuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__2C_std_3A__3A_allocator_3C_char_3E__20__3E_ l_struct_2E_std_3A__3A_basic_stringbuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__2C_std_3A__3A_allocator_3C_char_3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_codecvt_3C_char_2C_char_2C___mbstate_t_3E_ l_struct_2E_std_3A__3A_codecvt_3C_char_2C_char_2C___mbstate_t_3E_;
typedef struct l_struct_2E_std_3A__3A_ctype_3C_char_3E_ l_struct_2E_std_3A__3A_ctype_3C_char_3E_;
typedef struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_ifstream l_struct_2E_std_3A__3A_ifstream;
typedef struct l_struct_2E_std_3A__3A_ios_base l_struct_2E_std_3A__3A_ios_base;
typedef struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list;
typedef struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words l_struct_2E_std_3A__3A_ios_base_3A__3A__Words;
typedef struct l_struct_2E_std_3A__3A_istream l_struct_2E_std_3A__3A_istream;
typedef struct l_struct_2E_std_3A__3A_locale l_struct_2E_std_3A__3A_locale;
typedef struct l_struct_2E_std_3A__3A_locale_3A__3A__Impl l_struct_2E_std_3A__3A_locale_3A__3A__Impl;
typedef struct l_struct_2E_std_3A__3A_map_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A_map_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_ofstream l_struct_2E_std_3A__3A_ofstream;
typedef struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_;
typedef struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_;
typedef struct l_struct_2E_std_3A__3A_string l_struct_2E_std_3A__3A_string;
typedef struct l_struct_2E_std_3A__3A_stringstream l_struct_2E_std_3A__3A_stringstream;
typedef struct l_struct_2E_std_3A__3A_type_info l_struct_2E_std_3A__3A_type_info;
typedef struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_;
typedef struct l_struct_2E_timespec l_struct_2E_timespec;
typedef struct l_struct_2E_z_stream l_struct_2E_z_stream;
typedef struct l_struct_2E_zip_cd l_struct_2E_zip_cd;
typedef struct l_struct_2E_zip_eoc l_struct_2E_zip_eoc;
typedef struct l_struct_2E_zip_lfh l_struct_2E_zip_lfh;
typedef struct l_unnamed0 l_unnamed0;
typedef struct l_unnamed1 l_unnamed1;
typedef struct l_unnamed2 l_unnamed2;
typedef struct l_unnamed3 l_unnamed3;
typedef struct l_unnamed4 l_unnamed4;
typedef struct l_unnamed5 l_unnamed5;

/* Structure contents */
struct l_struct_2E__2E_0Features {
  unsigned char field0;
  unsigned char field1;
  unsigned char field2;
  unsigned char field3;
};

struct l_struct_2E___pthread_list_t {
  struct l_struct_2E___pthread_list_t *field0;
  struct l_struct_2E___pthread_list_t *field1;
};

struct l_struct_2E__2E_0__pthread_mutex_s {
  unsigned int field0;
  unsigned int field1;
  unsigned int field2;
  unsigned int field3;
  unsigned int field4;
  unsigned int field5;
  struct l_struct_2E___pthread_list_t field6;
};

struct l_struct_2E__2E_1_2E__185 {
  struct l_struct_2E_Display *field0;
  unsigned long long field1;
  void  (*field2) (void);
  void  (*field3) (void);
  unsigned long long field4;
  unsigned long long field5;
  struct l_struct_2E_Display *field6;
};

struct l_struct_2E__2E_2BMPINFOHEADER {
  unsigned int field0;
  unsigned int field1;
  unsigned int field2;
  unsigned short field3;
  unsigned short field4;
  unsigned int field5;
  unsigned int field6;
  unsigned int field7;
  unsigned int field8;
  unsigned int field9;
  unsigned int field10;
};

struct l_struct_2E__2E_3BMPHEADER {
  unsigned short field0;
  unsigned int field1;
  unsigned short field2;
  unsigned short field3;
  unsigned int field4;
};

struct l_struct_2E__2E__125 {
  struct l_struct_2E_XExtData *field0;
  struct l_struct_2E__XPrivate *field1;
  unsigned int field2;
  unsigned int field3;
  unsigned int field4;
  unsigned int field5;
  unsigned char *field6;
  unsigned long long field7;
  unsigned long long field8;
  unsigned long long field9;
  unsigned int field10;
  unsigned long long  (*field11) (struct l_struct_2E_Display *);
  unsigned int field12;
  unsigned int field13;
  unsigned int field14;
  unsigned int field15;
  unsigned int field16;
  struct l_struct_2E_ScreenFormat *field17;
  unsigned int field18;
  unsigned int field19;
  struct l_struct_2E__XPrivate *field20;
  struct l_struct_2E__XPrivate *field21;
  unsigned int field22;
  unsigned long long field23;
  unsigned long long field24;
  unsigned char *field25;
  unsigned char *field26;
  unsigned char *field27;
  unsigned char *field28;
  unsigned int field29;
  struct l_struct_2E__XrmHashBucketRec *field30;
  unsigned int  (*field31) (struct l_struct_2E_Display *);
  unsigned char *field32;
  unsigned int field33;
  unsigned int field34;
  struct l_struct_2E_Screen *field35;
  unsigned long long field36;
  unsigned long long field37;
  unsigned int field38;
  unsigned int field39;
  unsigned char *field40;
  unsigned char *field41;
  unsigned int field42;
  unsigned char *field43;
};

struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ {
  unsigned int field0;
  unsigned int field1;
  unsigned int field2;
  unsigned int field3;
};

struct l_struct_2E_Array_3C_DemoEntry_3E_ {
  struct l_struct_2E_DemoEntry *field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ {
  struct l_struct_2E_Levels_3A__3A_LevelDesc **field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Array_3C_Overlay_2A__3E_ {
  struct l_struct_2E_Os **field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ {
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Array_3C_Stroke_2A__3E_ {
  struct l_struct_2E_Stroke **field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Array_3C_Vec2_3E_ {
  struct l_struct_2E_Vec2 *field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_Vec2 {
  unsigned int field0;
  unsigned int field1;
};

struct l_struct_2E_Rect {
  struct l_struct_2E_Vec2 field0;
  struct l_struct_2E_Vec2 field1;
};

struct l_struct_2E_Canvas {
  unsigned int  (**field0) ();
  unsigned char *field1;
  unsigned int field2;
  struct l_struct_2E_Canvas *field3;
  struct l_struct_2E_Rect field4;
};

struct l_struct_2E_b2Vec2 {
  float field0;
  float field1;
};

struct l_struct_2E___mbstate_t_3A__3A__2E__54 {
  unsigned int field0;
};

struct l_struct_2E_ClipVertex {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field1;
};

struct l_struct_2E_SDL_UserEvent {
  unsigned char field0;
  unsigned int field1;
  unsigned char *field2;
  unsigned char *field3;
};

struct l_struct_2E_SDL_Event {
  struct l_struct_2E_SDL_UserEvent field0;
};

struct l_struct_2E_DemoEntry {
  unsigned int field0;
  unsigned int field1;
  struct l_struct_2E_SDL_Event field2;
};

struct l_struct_2E_DemoLog {
  struct l_struct_2E_Array_3C_DemoEntry_3E_ field0;
};

struct l_struct_2E_DemoPlayer {
  unsigned char field0;
  struct l_struct_2E_DemoLog *field1;
  unsigned int field2;
  unsigned int field3;
  unsigned int field4;
};

struct l_struct_2E_DemoRecorder {
  unsigned char field0;
  struct l_struct_2E_DemoLog field1;
  unsigned int field2;
  unsigned int field3;
};

struct l_struct_2E_Depth {
  unsigned int field0;
  unsigned int field1;
  struct l_struct_2E_Visual *field2;
};

struct l_struct_2E_Os {
  unsigned int  (**field0) ();
};

struct l_struct_2E_OverlayBase {
  struct l_struct_2E_Os field0;
  struct l_struct_2E_GameControl *field1;
  unsigned int field2;
  unsigned int field3;
  struct l_struct_2E_Canvas *field4;
  unsigned int field5;
  unsigned int field6;
  unsigned int field7;
  unsigned int field8;
  unsigned char field9;
  unsigned char field10;
  unsigned char field11;
  unsigned char field12;
  struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ field13;
};

struct l_struct_2E___gnu_cxx_3A__3A___normal_iterator_3C_char_2A__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ {
  unsigned char *field0;
};

struct l_struct_2E_std_3A__3A_string {
  struct l_struct_2E___gnu_cxx_3A__3A___normal_iterator_3C_char_2A__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ field0;
};

struct l_struct_2E_IconOverlay {
  struct l_struct_2E_OverlayBase field0;
  struct l_struct_2E_std_3A__3A_string field1;
};

struct l_struct_2E_EditOverlay {
  struct l_struct_2E_IconOverlay field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_FILE {
  unsigned int field0;
  unsigned char *field1;
  unsigned char *field2;
  unsigned char *field3;
  unsigned char *field4;
  unsigned char *field5;
  unsigned char *field6;
  unsigned char *field7;
  unsigned char *field8;
  unsigned char *field9;
  unsigned char *field10;
  unsigned char *field11;
  struct l_struct_2E__IO_marker *field12;
  struct l_struct_2E_FILE *field13;
  unsigned int field14;
  unsigned int field15;
  unsigned long long field16;
  unsigned short field17;
  unsigned char field18;
  unsigned char field19[1];
  unsigned char *field20;
  unsigned long long field21;
  unsigned char *field22;
  unsigned char *field23;
  unsigned char *field24;
  unsigned char *field25;
  unsigned long long field26;
  unsigned int field27;
  unsigned char field28[20];
};

struct l_struct_2E_Path {
  struct l_struct_2E_Array_3C_Vec2_3E_ field0;
};

struct l_struct_2E_Font {
  struct l_struct_2E_Path field0[128];
};

struct l_struct_2E_Levels {
  struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ field0;
};

struct l_struct_2E_GameControl {
  unsigned int  (**field0) ();
  unsigned char field1;
  unsigned char field2;
  unsigned char field3;
  unsigned char field4;
  unsigned int field5;
  unsigned char field6;
  unsigned char field7;
  unsigned char field8;
  struct l_struct_2E_Levels field9;
  unsigned int field10;
};

struct l_struct_2E_Scene {
  struct l_struct_2E_Os field0;
  struct l_struct_2E_b2World *field1;
  struct l_struct_2E_Array_3C_Stroke_2A__3E_ field2;
  struct l_struct_2E_std_3A__3A_string field3;
  struct l_struct_2E_std_3A__3A_string field4;
  struct l_struct_2E_std_3A__3A_string field5;
  struct l_struct_2E_Image *field6;
  unsigned int field7;
};

struct l_struct_2E_Image {
  struct l_struct_2E_Canvas field0;
};

struct l_struct_2E_Game {
  struct l_struct_2E_GameControl field0;
  struct l_struct_2E_Scene field1;
  struct l_struct_2E_Stroke *field2;
  struct l_struct_2E_Stroke *field3;
  struct l_struct_2E_Array_3C_Overlay_2A__3E_ field4;
  struct l_struct_2E_Image field5;
  struct l_struct_2E_Os *field6;
  struct l_struct_2E_Os *field7;
  struct l_struct_2E_DemoRecorder field8;
  struct l_struct_2E_DemoPlayer field9;
  struct l_struct_2E_Os *field10;
};

struct l_struct_2E_Http {
  struct l_struct_2E_FILE *field0;
  unsigned int field1;
  struct l_struct_2E_std_3A__3A_string field2;
  struct l_struct_2E_std_3A__3A_string field3;
};

struct l_struct_2E_Levels_3A__3A_LevelDesc {
  struct l_struct_2E_std_3A__3A_string field0;
  unsigned int field1;
  unsigned int field2;
};

struct l_struct_2E_UiOverlay {
  struct l_struct_2E_OverlayBase field0;
  unsigned int field1;
  unsigned int field2;
  unsigned int field3;
  struct l_struct_2E_Vec2 field4;
};

struct l_struct_2E_MenuOverlay {
  struct l_struct_2E_UiOverlay field0;
};

struct l_struct_2E_NextLevelOverlay {
  struct l_struct_2E_IconOverlay field0;
  unsigned int field1;
  unsigned int field2;
  struct l_struct_2E_Canvas *field3;
  struct l_struct_2E_Font *field4;
  struct l_struct_2E_std_3A__3A_string field5;
};

struct l_struct_2E_OsFreeDesktop {
  struct l_struct_2E_Os field0;
};

struct l_struct_2E_anon {
  void  (*field0) (struct l_struct_2E_Os *);
  unsigned long long field1;
};

struct l_struct_2E_OverlayBase_3A__3A_HotSpot {
  struct l_struct_2E_Rect field0;
  unsigned int field1;
  unsigned char *field2;
  struct l_struct_2E_anon field3;
  void  (*field4) (unsigned char *, unsigned long long , unsigned long long );
};

struct l_struct_2E_SDL_ActiveEvent {
  unsigned char field0;
  unsigned char field1;
  unsigned char field2;
};

struct l_struct_2E_SDL_keysym {
  unsigned char field0;
  unsigned int field1;
  unsigned int field2;
  unsigned short field3;
};

struct l_struct_2E_SDL_KeyboardEvent {
  unsigned char field0;
  unsigned char field1;
  unsigned char field2;
  struct l_struct_2E_SDL_keysym field3;
};

struct l_struct_2E_SDL_MouseButtonEvent {
  unsigned char field0;
  unsigned char field1;
  unsigned char field2;
  unsigned char field3;
  unsigned short field4;
  unsigned short field5;
};

struct l_struct_2E_SDL_Palette {
  unsigned int field0;
  struct l_struct_2E__2E_0Features *field1;
};

struct l_struct_2E_SDL_PixelFormat {
  struct l_struct_2E_SDL_Palette *field0;
  unsigned char field1;
  unsigned char field2;
  unsigned char field3;
  unsigned char field4;
  unsigned char field5;
  unsigned char field6;
  unsigned char field7;
  unsigned char field8;
  unsigned char field9;
  unsigned char field10;
  unsigned int field11;
  unsigned int field12;
  unsigned int field13;
  unsigned int field14;
  unsigned int field15;
  unsigned char field16;
};

struct l_struct_2E_SDL_Rect {
  unsigned short field0;
  unsigned short field1;
  unsigned short field2;
  unsigned short field3;
};

struct l_struct_2E_SDL_Surface {
  unsigned int field0;
  struct l_struct_2E_SDL_PixelFormat *field1;
  unsigned int field2;
  unsigned int field3;
  unsigned short field4;
  unsigned char *field5;
  unsigned int field6;
  struct l_struct_2E_private_hwdata *field7;
  struct l_struct_2E_SDL_Rect field8;
  unsigned int field9;
  unsigned int field10;
  struct l_struct_2E_SDL_BlitMap *field11;
  unsigned int field12;
  unsigned int field13;
};

struct l_struct_2E_SDL_SysWMinfo_3A__3A__2E__184 {
  struct l_struct_2E__2E_1_2E__185 field0;
};

struct l_struct_2E_SDL_SysWMinfo {
  struct l_struct_2E_SDL_ActiveEvent field0;
  unsigned int field1;
  struct l_struct_2E_SDL_SysWMinfo_3A__3A__2E__184 field2;
};

struct l_struct_2E_SDL_VideoInfo {
  unsigned char field0;
  unsigned char field1;
  unsigned short field2;
  unsigned int field3;
  struct l_struct_2E_SDL_PixelFormat *field4;
  unsigned int field5;
  unsigned int field6;
};

struct l_struct_2E_Screen {
  struct l_struct_2E_XExtData *field0;
  struct l_struct_2E_Display *field1;
  unsigned long long field2;
  unsigned int field3;
  unsigned int field4;
  unsigned int field5;
  unsigned int field6;
  unsigned int field7;
  struct l_struct_2E_Depth *field8;
  unsigned int field9;
  struct l_struct_2E_Visual *field10;
  struct l_struct_2E__XGC *field11;
  unsigned long long field12;
  unsigned long long field13;
  unsigned long long field14;
  unsigned int field15;
  unsigned int field16;
  unsigned int field17;
  unsigned int field18;
  unsigned long long field19;
};

struct l_struct_2E_ScreenFormat {
  struct l_struct_2E_XExtData *field0;
  unsigned int field1;
  unsigned int field2;
  unsigned int field3;
};

struct l_struct_2E_Stroke {
  struct l_struct_2E_Path field0;
  unsigned int field1;
  unsigned int field2;
  struct l_struct_2E_Vec2 field3;
  struct l_struct_2E_Path field4;
  struct l_struct_2E_Path field5;
  struct l_struct_2E_Path field6;
  float field7;
  struct l_struct_2E_b2Vec2 field8;
  struct l_struct_2E_Rect field9;
  struct l_struct_2E_Rect field10;
  unsigned char field11;
  struct l_struct_2E_b2Body *field12;
  unsigned char field13[2];
  unsigned int field14;
};

struct l_struct_2E_b2PolygonDef {
  unsigned char field0[44];
  struct l_struct_2E_b2Vec2 field1[8];
  unsigned int field2;
};

struct l_struct_2E_Stroke_3A__3A_BoxDef {
  struct l_struct_2E_b2PolygonDef field0;
};

struct l_struct_2E_b2RevoluteJointDef {
  unsigned char field0[36];
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  float field3;
  unsigned char field4;
  float field5;
  float field6;
  unsigned char field7;
  float field8;
  float field9;
};

struct l_struct_2E_Stroke_3A__3A_JointDef {
  struct l_struct_2E_b2RevoluteJointDef field0;
};

struct l_struct_2E_b2AABB {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E_b2Vec2 field1;
};

struct l_struct_2E_Transform {
  unsigned char field0;
  struct l_struct_2E_b2AABB field1;
  struct l_struct_2E_b2AABB field2;
  struct l_struct_2E_Vec2 field3;
};

struct l_struct_2E_Visual {
  struct l_struct_2E_XExtData *field0;
  unsigned long long field1;
  unsigned int field2;
  unsigned long long field3;
  unsigned long long field4;
  unsigned long long field5;
  unsigned int field6;
  unsigned int field7;
};

struct l_struct_2E_XClientMessageEvent_3A__3A__2E__154 {
  unsigned long long field0[5];
};

struct l_struct_2E_XClientMessageEvent {
  unsigned int field0;
  unsigned long long field1;
  unsigned int field2;
  struct l_struct_2E_Display *field3;
  unsigned long long field4;
  unsigned long long field5;
  unsigned int field6;
  struct l_struct_2E_XClientMessageEvent_3A__3A__2E__154 field7;
};

struct l_struct_2E_XEvent {
  unsigned long long field0[24];
};

struct l_struct_2E_XExtData {
  unsigned int field0;
  struct l_struct_2E_XExtData *field1;
  unsigned int  (*field2) (struct l_struct_2E_XExtData *);
  unsigned char *field3;
};

struct l_struct_2E_ZipFile {
  unsigned int field0;
  unsigned int field1;
  unsigned char *field2;
  struct l_struct_2E_zip_eoc *field3;
  struct l_struct_2E_zip_cd *field4;
  unsigned int field5;
  unsigned char *field6;
};

struct l_struct_2E__IO_marker {
  struct l_struct_2E__IO_marker *field0;
  struct l_struct_2E_FILE *field1;
  unsigned int field2;
};

struct l_struct_2E___base_class_type_info_pseudo {
  struct l_struct_2E_std_3A__3A_type_info *field0;
  unsigned long long field1;
};

struct l_struct_2E___type_info_pseudo {
  unsigned char *field0;
  unsigned char *field1;
};

struct l_struct_2E___class_type_info_pseudo {
  struct l_struct_2E___type_info_pseudo field0;
};

struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ {
  unsigned char field0;
} __attribute__ ((packed));

struct l_struct_2E___pointer_type_info_pseudo {
  struct l_struct_2E___type_info_pseudo field0;
  unsigned int field1;
  struct l_struct_2E_std_3A__3A_type_info *field2;
};

struct l_struct_2E___si_class_type_info_pseudo {
  struct l_struct_2E___type_info_pseudo field0;
  struct l_struct_2E_std_3A__3A_type_info *field1;
};

struct l_struct_2E___va_list_tag {
  unsigned int field0;
  unsigned int field1;
  unsigned char *field2;
  unsigned char *field3;
};

struct l_struct_2E___vmi_class_type_info_pseudo1 {
  struct l_struct_2E___type_info_pseudo field0;
  unsigned int field1;
  unsigned int field2;
  struct l_struct_2E___base_class_type_info_pseudo field3[1];
};

struct l_struct_2E_b2Block {
  struct l_struct_2E_b2Block *field0;
};

struct l_struct_2E_b2BlockAllocator {
  struct l_struct_2E_b2Chunk *field0;
  unsigned int field1;
  unsigned int field2;
  struct l_struct_2E_b2Block *field3[14];
};

struct l_struct_2E_b2XForm {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E_b2AABB field1;
};

struct l_struct_2E_b2Sweep {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  float field3;
  float field4;
  float field5;
};

struct l_struct_2E_b2Body {
  unsigned short field0;
  unsigned short field1;
  struct l_struct_2E_b2XForm field2;
  struct l_struct_2E_b2Sweep field3;
  struct l_struct_2E_b2Vec2 field4;
  float field5;
  struct l_struct_2E_b2Vec2 field6;
  float field7;
  struct l_struct_2E_b2World *field8;
  struct l_struct_2E_b2Body *field9;
  struct l_struct_2E_b2Body *field10;
  struct l_struct_2E_b2Shape *field11;
  unsigned int field12;
  struct l_struct_2E_b2JointEdge *field13;
  struct l_struct_2E_b2ContactEdge *field14;
  float field15;
  float field16;
  float field17;
  float field18;
  float field19;
  float field20;
  float field21;
  unsigned char *field22;
};

struct l_struct_2E_b2MassData {
  float field0;
  struct l_struct_2E_b2Vec2 field1;
  float field2;
};

struct l_struct_2E_b2BodyDef {
  struct l_struct_2E_b2MassData field0;
  unsigned char *field1;
  struct l_struct_2E_b2Vec2 field2;
  float field3;
  float field4;
  float field5;
  unsigned char field6;
  unsigned char field7;
  unsigned char field8;
  unsigned char field9;
};

struct l_struct_2E_b2Bound {
  unsigned short field0;
  unsigned short field1;
  unsigned short field2;
};

struct l_struct_2E_b2BoundValues {
  unsigned short field0[2];
  unsigned short field1[2];
};

struct l_struct_2E_b2Pair {
  unsigned char *field0;
  unsigned short field1;
  unsigned short field2;
  unsigned short field3;
  unsigned short field4;
};

struct l_struct_2E_b2BufferedPair {
  unsigned short field0;
  unsigned short field1;
};

struct l_struct_2E_b2PairManager {
  struct l_struct_2E_b2BroadPhase *field0;
  struct l_struct_2E_Os *field1;
  struct l_struct_2E_b2Pair field2[16384];
  unsigned short field3;
  unsigned int field4;
  struct l_struct_2E_b2BufferedPair field5[16384];
  unsigned int field6;
  unsigned short field7[16384];
};

struct l_struct_2E_b2Proxy {
  unsigned short field0[2];
  unsigned short field1[2];
  unsigned short field2;
  unsigned short field3;
  unsigned char *field4;
};

struct l_struct_2E_b2BroadPhase {
  struct l_struct_2E_b2PairManager field0;
  struct l_struct_2E_b2Proxy field1[2048];
  unsigned short field2;
  struct l_struct_2E_b2Bound field3[2][4096];
  unsigned short field4[2048];
  unsigned int field5;
  struct l_struct_2E_b2AABB field6;
  struct l_struct_2E_b2Vec2 field7;
  unsigned int field8;
  unsigned short field9;
};

struct l_struct_2E_b2Chunk {
  unsigned int field0;
  struct l_struct_2E_b2Block *field1;
};

struct l_struct_2E_b2ManifoldPoint {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E_b2Vec2 field1;
  float field2;
  float field3;
  float field4;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field5;
};

struct l_struct_2E_b2Manifold {
  struct l_struct_2E_b2ManifoldPoint field0[2];
  struct l_struct_2E_b2Vec2 field1;
  unsigned int field2;
};

struct l_struct_2E_b2CircleContact {
  unsigned char field0[124];
  struct l_struct_2E_b2Manifold field1;
};

struct l_struct_2E_b2CircleDef {
  unsigned char field0[44];
  struct l_struct_2E_b2Vec2 field1;
  float field2;
};

struct l_struct_2E_b2Shape {
  unsigned int  (**field0) ();
  unsigned int field1;
  struct l_struct_2E_b2Shape *field2;
  struct l_struct_2E_b2Body *field3;
  float field4;
  float field5;
  float field6;
  float field7;
  unsigned short field8;
  struct l_struct_2E_b2Bound field9;
  unsigned char field10;
  unsigned char *field11;
};

struct l_struct_2E_b2CircleShape {
  struct l_struct_2E_b2Shape field0;
  struct l_struct_2E_b2Vec2 field1;
  float field2;
};

struct l_struct_2E_b2Color {
  float field0;
  float field1;
  float field2;
};

struct l_struct_2E_b2ContactEdge {
  struct l_struct_2E_b2Body *field0;
  struct l_struct_2E_b2Contact *field1;
  struct l_struct_2E_b2ContactEdge *field2;
  struct l_struct_2E_b2ContactEdge *field3;
};

struct l_struct_2E_b2Contact {
  unsigned int  (**field0) ();
  unsigned int field1;
  unsigned int field2;
  struct l_struct_2E_b2Contact *field3;
  struct l_struct_2E_b2Contact *field4;
  struct l_struct_2E_b2ContactEdge field5;
  struct l_struct_2E_b2ContactEdge field6;
  struct l_struct_2E_b2Shape *field7;
  struct l_struct_2E_b2Shape *field8;
  float field9;
  float field10;
  float field11;
};

struct l_struct_2E_b2ContactConstraintPoint {
  struct l_struct_2E_b2Vec2 field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  float field4;
  float field5;
  float field6;
  float field7;
  float field8;
  float field9;
  float field10;
  float field11;
};

struct l_struct_2E_b2ContactConstraint {
  struct l_struct_2E_b2ContactConstraintPoint field0[2];
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Manifold *field2;
  struct l_struct_2E_b2Body *field3;
  struct l_struct_2E_b2Body *field4;
  float field5;
  float field6;
  unsigned int field7;
};

struct l_struct_2E_b2NullContact {
  struct l_struct_2E_b2Contact field0;
};

struct l_struct_2E_b2ContactManager {
  struct l_struct_2E_Os field0;
  struct l_struct_2E_b2World *field1;
  struct l_struct_2E_b2NullContact field2;
  unsigned char field3;
};

struct l_struct_2E_b2ContactPoint {
  struct l_struct_2E_b2Shape *field0;
  struct l_struct_2E_b2Shape *field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  struct l_struct_2E_b2Vec2 field4;
  float field5;
  float field6;
  float field7;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field8;
};

struct l_struct_2E_b2ContactRegister {
  struct l_struct_2E_b2Contact * (*field0) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Shape *, struct l_struct_2E_b2BlockAllocator *);
  void  (*field1) (struct l_struct_2E_b2Contact *, struct l_struct_2E_b2BlockAllocator *);
  unsigned char field2;
};

struct l_struct_2E_b2ContactResult {
  struct l_struct_2E_b2Shape *field0;
  struct l_struct_2E_b2Shape *field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  float field4;
  float field5;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field6;
};

struct l_struct_2E_b2TimeStep {
  float field0;
  float field1;
  float field2;
  unsigned int field3;
  unsigned char field4;
  unsigned char field5;
};

struct l_struct_2E_b2ContactSolver {
  struct l_struct_2E_b2TimeStep field0;
  struct l_struct_2E_b2StackAllocator *field1;
  struct l_struct_2E_b2ContactConstraint *field2;
  unsigned int field3;
};

struct l_struct_2E_b2DebugDraw {
  unsigned int  (**field0) ();
  unsigned int field1;
};

struct l_struct_2E_b2JointEdge {
  struct l_struct_2E_b2Body *field0;
  struct l_struct_2E_b2Joint *field1;
  struct l_struct_2E_b2JointEdge *field2;
  struct l_struct_2E_b2JointEdge *field3;
};

struct l_struct_2E_b2Joint {
  unsigned int  (**field0) ();
  unsigned int field1;
  struct l_struct_2E_b2Joint *field2;
  struct l_struct_2E_b2Joint *field3;
  struct l_struct_2E_b2JointEdge field4;
  struct l_struct_2E_b2JointEdge field5;
  struct l_struct_2E_b2Body *field6;
  struct l_struct_2E_b2Body *field7;
  float field8;
  unsigned char field9;
  unsigned char field10;
  unsigned char *field11;
};

struct l_struct_2E_b2DistanceJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  float field4;
  float field5;
  float field6;
  float field7;
  float field8;
  float field9;
  float field10;
};

struct l_struct_2E_b2DistanceJointDef {
  unsigned char field0[36];
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  float field3;
  float field4;
  float field5;
};

struct l_struct_2E_b2Jacobian {
  struct l_struct_2E_b2Vec2 field0;
  float field1;
  struct l_struct_2E_b2Vec2 field2;
  float field3;
};

struct l_struct_2E_b2GearJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Body *field1;
  struct l_struct_2E_b2Body *field2;
  struct l_struct_2E_b2RevoluteJoint *field3;
  struct l_struct_2E_b2PrismaticJoint *field4;
  struct l_struct_2E_b2RevoluteJoint *field5;
  struct l_struct_2E_b2PrismaticJoint *field6;
  struct l_struct_2E_b2Vec2 field7;
  struct l_struct_2E_b2Vec2 field8;
  struct l_struct_2E_b2Vec2 field9;
  struct l_struct_2E_b2Vec2 field10;
  struct l_struct_2E_b2Jacobian field11;
  float field12;
  float field13;
  float field14;
  float field15;
};

struct l_struct_2E_b2JointDef {
  unsigned int field0;
  unsigned char *field1;
  struct l_struct_2E_b2Body *field2;
  struct l_struct_2E_b2Body *field3;
  unsigned char field4;
};

struct l_struct_2E_b2GearJointDef {
  struct l_struct_2E_b2JointDef field0;
  struct l_struct_2E_b2Joint *field1;
  struct l_struct_2E_b2Joint *field2;
  float field3;
};

struct l_struct_2E_b2Island {
  struct l_struct_2E_b2StackAllocator *field0;
  struct l_struct_2E_Os *field1;
  struct l_struct_2E_b2Body **field2;
  struct l_struct_2E_b2Contact **field3;
  struct l_struct_2E_b2Joint **field4;
  unsigned int field5;
  unsigned int field6;
  unsigned int field7;
  unsigned int field8;
  unsigned int field9;
  unsigned int field10;
  unsigned int field11;
};

struct l_struct_2E_b2MouseJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  struct l_struct_2E_b2AABB field4;
  struct l_struct_2E_b2Vec2 field5;
  float field6;
  float field7;
  float field8;
};

struct l_struct_2E_b2MouseJointDef {
  unsigned char field0[36];
  struct l_struct_2E_b2Vec2 field1;
  float field2;
  float field3;
  float field4;
  float field5;
  unsigned int field6[1];
};

struct l_struct_2E_b2OBB {
  struct l_struct_2E_b2AABB field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
};

struct l_struct_2E_b2PolygonShape {
  struct l_struct_2E_b2Shape field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2OBB field2;
  struct l_struct_2E_b2Vec2 field3[8];
  struct l_struct_2E_b2Vec2 field4[8];
  struct l_struct_2E_b2Vec2 field5[8];
  unsigned int field6;
};

struct l_struct_2E_b2PrismaticJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  struct l_struct_2E_b2Vec2 field4;
  float field5;
  struct l_struct_2E_b2Jacobian field6;
  float field7;
  float field8;
  float field9;
  float field10;
  struct l_struct_2E_b2Jacobian field11;
  float field12;
  float field13;
  float field14;
  float field15;
  float field16;
  float field17;
  float field18;
  float field19;
  unsigned char field20;
  unsigned char field21;
  unsigned int field22;
};

struct l_struct_2E_b2PrismaticJointDef {
  unsigned char field0[36];
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  float field4;
  unsigned char field5;
  float field6;
  float field7;
  unsigned char field8;
  float field9;
  float field10;
};

struct l_struct_2E_b2PulleyJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Body *field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  struct l_struct_2E_b2Vec2 field4;
  struct l_struct_2E_b2Vec2 field5;
  struct l_struct_2E_b2Vec2 field6;
  struct l_struct_2E_b2Vec2 field7;
  float field8;
  float field9;
  float field10;
  float field11;
  float field12;
  float field13;
  float field14;
  float field15;
  float field16;
  float field17;
  float field18;
  float field19;
  float field20;
  unsigned int field21;
  unsigned int field22;
  unsigned int field23;
};

struct l_struct_2E_b2PulleyJointDef {
  unsigned char field0[36];
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  struct l_struct_2E_b2Vec2 field4;
  float field5;
  float field6;
  float field7;
  float field8;
  float field9;
};

struct l_struct_2E_b2RevoluteJoint {
  struct l_struct_2E_b2Joint field0;
  struct l_struct_2E_b2Vec2 field1;
  struct l_struct_2E_b2Vec2 field2;
  struct l_struct_2E_b2Vec2 field3;
  float field4;
  float field5;
  float field6;
  struct l_struct_2E_b2AABB field7;
  float field8;
  unsigned char field9;
  float field10;
  float field11;
  unsigned char field12;
  float field13;
  float field14;
  float field15;
  unsigned int field16;
};

struct l_struct_2E_b2ShapeDef {
  unsigned int  (**field0) ();
  unsigned int field1;
  unsigned char *field2;
  float field3;
  float field4;
  float field5;
  unsigned char field6;
  struct l_struct_2E_b2Bound field7;
};

struct l_struct_2E_b2StackEntry {
  unsigned char *field0;
  unsigned int field1;
  unsigned char field2;
};

struct l_struct_2E_b2StackAllocator {
  unsigned char field0[102400];
  unsigned int field1;
  unsigned int field2;
  unsigned int field3;
  struct l_struct_2E_b2StackEntry field4[32];
  unsigned int field5;
};

struct l_struct_2E_b2World {
  struct l_struct_2E_b2BlockAllocator field0;
  struct l_struct_2E_b2StackAllocator field1;
  unsigned char field2;
  struct l_struct_2E_b2BroadPhase *field3;
  struct l_struct_2E_b2ContactManager field4;
  struct l_struct_2E_b2Body *field5;
  struct l_struct_2E_b2Joint *field6;
  struct l_struct_2E_b2Contact *field7;
  unsigned int field8;
  unsigned int field9;
  unsigned int field10;
  struct l_struct_2E_b2Vec2 field11;
  unsigned char field12;
  struct l_struct_2E_b2Body *field13;
  struct l_struct_2E_Os *field14;
  struct l_struct_2E_Os *field15;
  struct l_struct_2E_Os *field16;
  struct l_struct_2E_Os *field17;
  struct l_struct_2E_b2DebugDraw *field18;
  float field19;
  unsigned int field20;
  unsigned char field21;
  unsigned char field22;
  unsigned char field23;
};

struct l_struct_2E_dirent {
  unsigned long long field0;
  unsigned long long field1;
  unsigned short field2;
  unsigned char field3;
  unsigned char field4[256];
};

struct l_struct_2E_fd_set {
  unsigned long long field0[16];
};

struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__3A__3A__Vector_impl {
  struct l_struct_2E_std_3A__3A_string *field0;
  struct l_struct_2E_std_3A__3A_string *field1;
  struct l_struct_2E_std_3A__3A_string *field2;
};

struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__3A__3A__Vector_impl field0;
};

struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ field0;
};

struct l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_ {
  struct l_struct_2E_happyhttp_3A__3A_Response **field0;
  struct l_struct_2E_happyhttp_3A__3A_Response **field1;
  struct l_struct_2E_happyhttp_3A__3A_Response **field2;
  struct l_struct_2E_happyhttp_3A__3A_Response ***field3;
};

struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E__3A__3A__Deque_impl {
  struct l_struct_2E_happyhttp_3A__3A_Response ***field0;
  unsigned long long field1;
  struct l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_ field2;
  struct l_struct_2E_std_3A__3A__Deque_iterator_3C_happyhttp_3A__3A_Response_2A__2C_happyhttp_3A__3A_Response_2A__26__2C_happyhttp_3A__3A_Response_2A__2A__3E_ field3;
};

struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E__3A__3A__Deque_impl field0;
};

struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ field0;
};

struct l_struct_2E_happyhttp_3A__3A_Connection {
  void  (*field0) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  void  (*field1) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int );
  void  (*field2) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char *field3;
  unsigned int field4;
  struct l_struct_2E_std_3A__3A_string field5;
  unsigned int field6;
  unsigned int field7;
  struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ field8;
  struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ field9;
};

struct l_struct_2E_std_3A__3A__Rb_tree_node_base {
  unsigned int field0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *field1;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *field2;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *field3;
};

struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E__3A__3A__Rb_tree_impl_3C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_false_3E_ {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ field0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base field1;
  unsigned long long field2;
};

struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E__3A__3A__Rb_tree_impl_3C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_false_3E_ field0;
};

struct l_struct_2E_std_3A__3A_map_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ field0;
};

struct l_struct_2E_happyhttp_3A__3A_Response {
  unsigned int field0;
  struct l_struct_2E_happyhttp_3A__3A_Connection *field1;
  struct l_struct_2E_std_3A__3A_string field2;
  struct l_struct_2E_std_3A__3A_string field3;
  unsigned int field4;
  unsigned int field5;
  struct l_struct_2E_std_3A__3A_string field6;
  struct l_struct_2E_std_3A__3A_map_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ field7;
  unsigned int field8;
  unsigned char field9;
  unsigned int field10;
  unsigned int field11;
  unsigned char field12;
  struct l_struct_2E_std_3A__3A_string field13;
  struct l_struct_2E_std_3A__3A_string field14;
};

struct l_struct_2E_happyhttp_3A__3A_Wobbly {
  unsigned char field0[256];
};

struct l_struct_2E_hostent {
  unsigned char *field0;
  unsigned char **field1;
  unsigned int field2;
  unsigned int field3;
  unsigned char **field4;
};

struct l_struct_2E_mbstate_t {
  unsigned int field0;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field1;
};

struct l_struct_2E_pthread_attr_t {
  unsigned long long field0;
  unsigned char field1[48];
};

struct l_struct_2E_pthread_mutex_t {
  struct l_struct_2E__2E_0__pthread_mutex_s field0;
};

struct l_struct_2E_sockaddr {
  unsigned short field0;
  unsigned char field1[14];
};

struct l_struct_2E_sockaddr_in {
  unsigned short field0;
  unsigned short field1;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 field2;
  unsigned char field3[8];
};

struct l_struct_2E_timespec {
  unsigned long long field0;
  unsigned long long field1;
};

struct l_struct_2E_stat {
  unsigned long long field0;
  unsigned long long field1;
  unsigned long long field2;
  unsigned int field3;
  unsigned int field4;
  unsigned int field5;
  unsigned int field6;
  unsigned long long field7;
  unsigned long long field8;
  unsigned long long field9;
  unsigned long long field10;
  struct l_struct_2E_timespec field11;
  struct l_struct_2E_timespec field12;
  struct l_struct_2E_timespec field13;
  unsigned long long field14[3];
};

struct l_struct_2E_std_3A__3A__Rb_tree_const_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *field0;
};

struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A_string field0;
  struct l_struct_2E_std_3A__3A_string field1;
};

struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ {
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base field0;
  struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ field1;
};

struct l_struct_2E_std_3A__3A___basic_file_3C_char_3E_ {
  struct l_struct_2E_FILE *field0;
  unsigned char field1;
};

struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base {
  struct l_struct_2E_b2DebugDraw field0;
};

struct l_struct_2E_std_3A__3A_locale {
  struct l_struct_2E_std_3A__3A_locale_3A__3A__Impl *field0;
};

struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ {
  unsigned int  (**field0) ();
  unsigned char *field1;
  unsigned char *field2;
  unsigned char *field3;
  unsigned char *field4;
  unsigned char *field5;
  unsigned char *field6;
  struct l_struct_2E_std_3A__3A_locale field7;
};

struct l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ {
  struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field0;
  struct l_struct_2E_pthread_mutex_t field1;
  struct l_struct_2E_std_3A__3A___basic_file_3C_char_3E_ field2;
  unsigned int field3;
  struct l_struct_2E_mbstate_t field4;
  struct l_struct_2E_mbstate_t field5;
  struct l_struct_2E_mbstate_t field6;
  unsigned char *field7;
  unsigned long long field8;
  unsigned char field9;
  unsigned char field10;
  unsigned char field11;
  unsigned char field12;
  unsigned char *field13;
  unsigned char *field14;
  unsigned char field15;
  struct l_struct_2E_std_3A__3A_codecvt_3C_char_2C_char_2C___mbstate_t_3E_ *field16;
  unsigned char *field17;
  unsigned long long field18;
  unsigned char *field19;
  unsigned char *field20;
};

struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words {
  unsigned char *field0;
  unsigned long long field1;
};

struct l_struct_2E_std_3A__3A_ios_base {
  unsigned int  (**field0) ();
  unsigned long long field1;
  unsigned long long field2;
  unsigned int field3;
  unsigned int field4;
  unsigned int field5;
  struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list *field6;
  struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words field7;
  struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words field8[8];
  unsigned int field9;
  struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Words *field10;
  struct l_struct_2E_std_3A__3A_locale field11;
};

struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ {
  struct l_struct_2E_std_3A__3A_ios_base field0;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *field1;
  unsigned char field2;
  unsigned char field3;
  struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *field4;
  struct l_struct_2E_std_3A__3A_ctype_3C_char_3E_ *field5;
  struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base *field6;
  struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base *field7;
};

struct l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base {
  unsigned int  (**field0) ();
  unsigned long long field1;
};

struct l_struct_2E_std_3A__3A_basic_iostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base {
  struct l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base field0;
  struct l_struct_2E_Os field1;
};

struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ {
  unsigned int  (**field0) ();
  struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field1;
};

struct l_struct_2E_std_3A__3A_basic_stringbuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__2C_std_3A__3A_allocator_3C_char_3E__20__3E_ {
  struct l_struct_2E_std_3A__3A_basic_streambuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field0;
  unsigned int field1;
  struct l_struct_2E_std_3A__3A_string field2;
};

struct l_struct_2E_std_3A__3A_codecvt_3C_char_2C_char_2C___mbstate_t_3E_ {
  struct l_struct_2E_std_3A__3A___codecvt_abstract_base_3C_char_2C_char_2C___mbstate_t_3E__2E_base field0;
  unsigned int *field1;
};

struct l_struct_2E_std_3A__3A_ctype_3C_char_3E_ {
  struct l_struct_2E_b2DebugDraw field0;
  unsigned int *field1;
  unsigned char field2;
  unsigned int *field3;
  unsigned int *field4;
  unsigned short *field5;
  unsigned char field6;
  unsigned char field7[256];
  unsigned char field8[256];
  unsigned char field9;
};

struct l_struct_2E_std_3A__3A_ifstream {
  struct l_struct_2E_std_3A__3A_basic_istream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base field0;
  struct l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field1;
  struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field2;
};

struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list {
  struct l_struct_2E_std_3A__3A_ios_base_3A__3A__Callback_list *field0;
  void  (*field1) (unsigned int , struct l_struct_2E_std_3A__3A_ios_base *, unsigned int );
  unsigned int field2;
  unsigned int field3;
};

struct l_struct_2E_std_3A__3A_istream {
  unsigned int  (**field0) ();
  unsigned long long field1;
  struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field2;
};

struct l_struct_2E_std_3A__3A_locale_3A__3A__Impl {
  unsigned int field0;
  struct l_struct_2E_b2DebugDraw **field1;
  unsigned long long field2;
  struct l_struct_2E_b2DebugDraw **field3;
  unsigned char **field4;
};

struct l_struct_2E_std_3A__3A_ofstream {
  struct l_struct_2E_Os field0;
  struct l_struct_2E_std_3A__3A_basic_filebuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field1;
  struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field2;
};

struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ {
  struct l_struct_2E_std_3A__3A__Rb_tree_const_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ field0;
  unsigned char field1;
};

struct l_struct_2E_std_3A__3A_stringstream {
  struct l_struct_2E_std_3A__3A_basic_iostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E__2E_base field0;
  struct l_struct_2E_std_3A__3A_basic_stringbuf_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__2C_std_3A__3A_allocator_3C_char_3E__20__3E_ field1;
  struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ field2;
};

struct l_struct_2E_std_3A__3A_type_info {
  unsigned int  (**field0) ();
  unsigned char *field1;
};

struct l_struct_2E_z_stream {
  unsigned char *field0;
  unsigned int field1;
  unsigned long long field2;
  unsigned char *field3;
  unsigned int field4;
  unsigned long long field5;
  unsigned char *field6;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *field7;
  unsigned char * (*field8) (unsigned char *, unsigned int , unsigned int );
  void  (*field9) (unsigned char *, unsigned char *);
  unsigned char *field10;
  unsigned int field11;
  unsigned long long field12;
  unsigned long long field13;
};

struct l_struct_2E_zip_cd {
  unsigned int field0;
  unsigned char field1;
  unsigned char field2;
  unsigned char field3;
  unsigned char field4;
  unsigned short field5;
  unsigned short field6;
  unsigned short field7;
  unsigned short field8;
  unsigned int field9;
  unsigned int field10;
  unsigned int field11;
  unsigned short field12;
  unsigned short field13;
  unsigned short field14;
  unsigned short field15;
  unsigned short field16;
  unsigned int field17;
  unsigned int field18;
  unsigned char field19[1];
} __attribute__ ((packed));

struct l_struct_2E_zip_eoc {
  unsigned int field0;
  unsigned short field1;
  unsigned short field2;
  unsigned short field3;
  unsigned short field4;
  unsigned int field5;
  unsigned int field6;
  unsigned short field7;
  unsigned char field8[1];
} __attribute__ ((packed));

struct l_struct_2E_zip_lfh {
  unsigned int field0;
  unsigned short field1;
  unsigned short field2;
  unsigned short field3;
  unsigned short field4;
  unsigned short field5;
  unsigned int field6;
  unsigned int field7;
  unsigned int field8;
  unsigned short field9;
  unsigned short field10;
  unsigned char field11[1];
} __attribute__ ((packed));

struct l_unnamed0 {
  unsigned int field0;
  void  (*field1) (void);
};

struct l_unnamed1 {
  unsigned long long field0[3];
};

struct l_unnamed2 {
  unsigned int field0[2];
};

struct l_unnamed3 {
  void  (*field0) (struct l_struct_2E_MenuOverlay *);
  unsigned long long field1;
};

struct l_unnamed4 {
  void  (*field0) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long field1;
};

struct l_unnamed5 {
  unsigned long long field0[2];
};


/* External Global Variable Declarations */
extern unsigned int  (*_ZTVN10__cxxabiv117__class_type_infoE[1]) ();
extern unsigned int  (*_ZTVN10__cxxabiv120__si_class_type_infoE[1]) ();
extern struct l_struct_2E___pointer_type_info_pseudo _ZTIPc;
extern unsigned char *__dso_handle;
extern unsigned int  (*_ZTVN10__cxxabiv121__vmi_class_type_infoE[1]) ();
extern struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ _ZSt4cout;
extern struct l_struct_2E___pointer_type_info_pseudo _ZTIPKc;
extern struct l_struct_2E_FILE *stderr;

/* Function Declarations */
double fmod(double, double);
float fmodf(float, float);
long double fmodl(long double, long double);
static float _ZN7Segment10distanceToERK4Vec2(struct l_struct_2E_Rect *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_p);
static void _ZN4Rect6expandERK4Vec2(struct l_struct_2E_Rect *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_v);
static void _ZN4Path5scaleEf(struct l_struct_2E_Path *llvm_cbe_this, float llvm_cbe_factor);
static void _ZN4Path6rotateERK7b2Mat22(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_rot);
static struct l_struct_2E_Path *_ZN4Path9translateERK4Vec2(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_xlate);
static struct l_struct_2E_Rect _ZNK4Path4bboxEv(struct l_struct_2E_Path *llvm_cbe_this);
unsigned char *realloc(unsigned char *, unsigned long long );
unsigned char *malloc(unsigned long long );
static void _ZN5ArrayI4Vec2EC2Ei(struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_this);
static void _ZN5ArrayI4Vec2E6appendERKS0_(struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_t);
void free(unsigned char *);
static void _ZN4PathC1EPKc(struct l_struct_2E_Path *llvm_cbe_this, unsigned char *llvm_cbe_s);
unsigned int sscanf(unsigned char *, unsigned char *, ...);
unsigned int __gxx_personality_v0();
unsigned int _Unwind_Resume();
float sqrtf(float );
static float _ZL12calcDistanceRK4Vec2S1_(struct l_struct_2E_Vec2 *llvm_cbe_l1, struct l_struct_2E_Vec2 *llvm_cbe_l2);
static float _ZN6b2Vec29NormalizeEv(struct l_struct_2E_b2Vec2 *llvm_cbe_this);
static void _ZN4Path11simplifySubEiifPb(struct l_struct_2E_Path *llvm_cbe_this, unsigned int llvm_cbe_first, unsigned int llvm_cbe_last, float llvm_cbe_threshold, unsigned char *llvm_cbe_keepflags);
static void _ZN4Path8simplifyEf(struct l_struct_2E_Path *llvm_cbe_this, float llvm_cbe_threshold);
extern unsigned int pthread_once(unsigned int *, void  (*) (void)) __EXTERNAL_WEAK__;
extern unsigned char *pthread_getspecific(unsigned int ) __EXTERNAL_WEAK__;
extern unsigned int pthread_setspecific(unsigned int , unsigned char *) __EXTERNAL_WEAK__;
extern unsigned int pthread_create(unsigned long long *, struct l_struct_2E_pthread_attr_t *, unsigned char * (*) (unsigned char *), unsigned char *) __EXTERNAL_WEAK__;
extern unsigned int pthread_cancel(unsigned long long ) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutex_lock(struct l_struct_2E_pthread_mutex_t *) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutex_trylock(struct l_struct_2E_pthread_mutex_t *) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutex_unlock(struct l_struct_2E_pthread_mutex_t *) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutex_init(struct l_struct_2E_pthread_mutex_t *, struct l_struct_2E___mbstate_t_3A__3A__2E__54 *) __EXTERNAL_WEAK__;
extern unsigned int pthread_key_create(unsigned int *, void  (*) (unsigned char *)) __EXTERNAL_WEAK__;
extern unsigned int pthread_key_delete(unsigned int ) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutexattr_init(struct l_struct_2E___mbstate_t_3A__3A__2E__54 *) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutexattr_settype(struct l_struct_2E___mbstate_t_3A__3A__2E__54 *, unsigned int ) __EXTERNAL_WEAK__;
extern unsigned int pthread_mutexattr_destroy(struct l_struct_2E___mbstate_t_3A__3A__2E__54 *) __EXTERNAL_WEAK__;
static void _ZN6Canvas7setClipEiiii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_w, unsigned int llvm_cbe_h);
static void _ZN6CanvasD1Ev(struct l_struct_2E_Canvas *llvm_cbe_this);
static void _ZN6CanvasD0Ev(struct l_struct_2E_Canvas *llvm_cbe_this);
unsigned long long _ZNKSs4sizeEv(struct l_struct_2E_std_3A__3A_string *);
unsigned char *_ZNKSsixEm(struct l_struct_2E_std_3A__3A_string *, unsigned long long );
static void _ZN10AlphaBrushItLj3EE3inkEPtii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned short *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a);
static void _ZN10AlphaBrushItLj1EE3inkEPtii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned short *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a);
static void _ZN10AlphaBrushIjLj3EE3inkEPjii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned int *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a);
static void _ZN10AlphaBrushIjLj1EE3inkEPjii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned int *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a);
void _ZdlPv(unsigned char *);
static void _ZN5ImageD0Ev(struct l_struct_2E_Image *llvm_cbe_this);
static void _ZN5ImageD1Ev(struct l_struct_2E_Image *llvm_cbe_this);
static void _ZN6WindowD0Ev(struct l_struct_2E_Image *llvm_cbe_this);
static void _ZN6WindowD1Ev(struct l_struct_2E_Image *llvm_cbe_this);
void _ZNSsC1ERKSs(struct l_struct_2E_std_3A__3A_string *, struct l_struct_2E_std_3A__3A_string *);
struct l_struct_2E_std_3A__3A_string *_ZNSs6appendEPKc(struct l_struct_2E_std_3A__3A_string *, unsigned char *);
void _ZNSsD1Ev(struct l_struct_2E_std_3A__3A_string *);
static void _ZN5ImageC1EPKcb(struct l_struct_2E_Image *llvm_cbe_this, unsigned char *llvm_cbe_file);
void _ZNSaIcEC1Ev(struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
void _ZNSsC1EPKcRKSaIcE(struct l_struct_2E_std_3A__3A_string *, unsigned char *, struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
void _ZNSaIcED1Ev(struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
unsigned char *_ZNKSs5c_strEv(struct l_struct_2E_std_3A__3A_string *);
struct l_struct_2E_SDL_Surface *IMG_Load(unsigned char *);
struct l_struct_2E_std_3A__3A_string *_ZNSsaSERKSs(struct l_struct_2E_std_3A__3A_string *, struct l_struct_2E_std_3A__3A_string *);
unsigned int printf(unsigned char *, ...);
struct l_struct_2E_SDL_Surface *SDL_DisplayFormat(struct l_struct_2E_SDL_Surface *);
void SDL_FreeSurface(struct l_struct_2E_SDL_Surface *);
unsigned char *__cxa_allocate_exception(unsigned long long );
void __cxa_throw(unsigned char *, unsigned char *, void  (*) (unsigned char *));
unsigned int SDL_GetWMInfo(struct l_struct_2E_SDL_SysWMinfo *);
unsigned long long XInternAtom(struct l_struct_2E_Display *, unsigned char *, unsigned int );
unsigned int XSendEvent(struct l_struct_2E_Display *, unsigned long long , unsigned int , unsigned long long , struct l_struct_2E_XEvent *);
unsigned int XSync(struct l_struct_2E_Display *, unsigned int );
static void _ZN6Window6updateERK4Rect(struct l_struct_2E_Image *llvm_cbe_this, struct l_struct_2E_Rect *llvm_cbe_r);
void SDL_UpdateRect(struct l_struct_2E_SDL_Surface *, unsigned int , unsigned int , unsigned int , unsigned int );
unsigned int snprintf(unsigned char *, unsigned long long , unsigned char *, ...);
unsigned int putenv(unsigned char *);
void SDL_WM_SetCaption(unsigned char *, unsigned char *);
struct l_struct_2E_SDL_Surface *SDL_SetVideoMode(unsigned int , unsigned int , unsigned int , unsigned int );
unsigned int SDL_FillRect(struct l_struct_2E_SDL_Surface *, struct l_struct_2E_SDL_Rect *, unsigned int );
static void _ZN6Canvas8drawRectERK4Rectib(struct l_struct_2E_Canvas *llvm_cbe_this, struct l_struct_2E_Rect *llvm_cbe_r, unsigned int llvm_cbe_c, unsigned char llvm_cbe_fill);
static void _ZN6Canvas8drawPathERK4Pathib(struct l_struct_2E_Canvas *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_path, unsigned int llvm_cbe_color, unsigned char llvm_cbe_thick);
unsigned int SDL_LockSurface(struct l_struct_2E_SDL_Surface *);
void SDL_UnlockSurface(struct l_struct_2E_SDL_Surface *);
static unsigned int _ZNK6Canvas9readPixelEii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y);
struct l_struct_2E_FILE *fopen(unsigned char *, unsigned char *);
unsigned long long fwrite(unsigned char *, unsigned long long , unsigned long long , struct l_struct_2E_FILE *);
unsigned int fclose(struct l_struct_2E_FILE *);
unsigned int SDL_UpperBlit(struct l_struct_2E_SDL_Surface *, struct l_struct_2E_SDL_Rect *, struct l_struct_2E_SDL_Surface *, struct l_struct_2E_SDL_Rect *);
unsigned int SDL_MapRGB(struct l_struct_2E_SDL_PixelFormat *, unsigned char , unsigned char , unsigned char );
static void _ZN6CanvasC1Eii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_w, unsigned int llvm_cbe_h);
struct l_struct_2E_SDL_VideoInfo *SDL_GetVideoInfo(void);
struct l_struct_2E_SDL_Surface *SDL_CreateRGBSurface(unsigned int , unsigned int , unsigned int , unsigned int , unsigned int , unsigned int , unsigned int , unsigned int );
unsigned char *_Znwm(unsigned long long );
void SDL_GetRGB(unsigned int , struct l_struct_2E_SDL_PixelFormat *, unsigned char *, unsigned char *, unsigned char *);
static void _ZN4PathC1ERKS_(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_unnamed_arg);
static void _ZN4PathaSERKS_(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_unnamed_arg);
unsigned long long _ZNKSs6lengthEv(struct l_struct_2E_std_3A__3A_string *);
static void _ZN4Font4drawEP6Canvas4Vec2RKSsi(struct l_struct_2E_Font *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_canvas, struct l_struct_2E_Vec2 *llvm_cbe_pt, struct l_struct_2E_std_3A__3A_string *llvm_cbe_text);
static struct l_struct_2E_std_3A__3A_string _ZN6Config8findFileERKSs(struct l_struct_2E_std_3A__3A_string *llvm_cbe_name);
unsigned char *fgets(unsigned char *, unsigned int , struct l_struct_2E_FILE *);
unsigned int _ZNKSs7compareERKSs(struct l_struct_2E_std_3A__3A_string *, struct l_struct_2E_std_3A__3A_string *);
unsigned int _ZNKSs7compareEPKc(struct l_struct_2E_std_3A__3A_string *, unsigned char *);
static unsigned int _ZN6Levels9findLevelEPKc(struct l_struct_2E_Levels *llvm_cbe_this, unsigned char *llvm_cbe_file);
static void _ZN7ZipFileC1ERKSs(struct l_struct_2E_ZipFile *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe_fn);
static struct l_struct_2E_std_3A__3A_string _ZN7ZipFile9entryNameEi(struct l_struct_2E_ZipFile *llvm_cbe_this, unsigned int llvm_cbe_n);
unsigned long long _ZNKSs5rfindEcm(struct l_struct_2E_std_3A__3A_string *, signed char , unsigned long long );
struct l_struct_2E_std_3A__3A_string _ZNKSs6substrEmm(struct l_struct_2E_std_3A__3A_string *, unsigned long long , unsigned long long );
static unsigned int _ZL12rankFromPathRKSsi(struct l_struct_2E_std_3A__3A_string *llvm_cbe_p, unsigned int llvm_cbe_defaultrank);
unsigned char *_ZNKSs4dataEv(struct l_struct_2E_std_3A__3A_string *);
static unsigned int _ZN6Levels4loadEiPhi(struct l_struct_2E_Levels *llvm_cbe_this, unsigned int llvm_cbe_i);
unsigned long long fread(unsigned char *, unsigned long long , unsigned long long , struct l_struct_2E_FILE *);
static void _ZN5ArrayIPN6Levels9LevelDescEE14ensureCapacityEi(struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ *llvm_cbe_this, unsigned int llvm_cbe_c);
static void _ZN6Levels8addLevelERKSsii(struct l_struct_2E_Levels *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe_file, unsigned int llvm_cbe_rank, unsigned int llvm_cbe_index);
static void _ZN6Levels7addPathEPKc(struct l_struct_2E_Levels *llvm_cbe_this, unsigned char *llvm_cbe_path);
unsigned long long strlen(unsigned char *);
unsigned int strcasecmp(unsigned char *, unsigned char *);
struct l_struct_2E_DIR *opendir(unsigned char *);
struct l_struct_2E_std_3A__3A_string *_ZNSspLEPKc(struct l_struct_2E_std_3A__3A_string *, unsigned char *);
struct l_struct_2E_dirent *readdir(struct l_struct_2E_DIR *);
unsigned int closedir(struct l_struct_2E_DIR *);
void _ZNSsC1Ev(struct l_struct_2E_std_3A__3A_string *);
void _ZNSsC1EPKcmRKSaIcE(struct l_struct_2E_std_3A__3A_string *, unsigned char *, unsigned long long , struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
void _ZdaPv(unsigned char *);
unsigned int munmap(unsigned char *, unsigned long long );
unsigned int close(unsigned int );
unsigned int open(unsigned char *, unsigned int , ...);
unsigned int fstat(unsigned int , struct l_struct_2E_stat *);
unsigned char *mmap(unsigned char *, unsigned long long , unsigned int , unsigned int , unsigned int , unsigned long long );
unsigned int inflateInit2_(struct l_struct_2E_z_stream *, unsigned int , unsigned char *, unsigned int );
unsigned int inflate(struct l_struct_2E_z_stream *, unsigned int );
unsigned int inflateEnd(struct l_struct_2E_z_stream *);
unsigned char *_Znam(unsigned long long );
static void _GLOBAL__I_levelbuf(void) __ATTRIBUTE_CTOR__;
static unsigned long long _Z5b2MulRK7b2Mat22RK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2Vec2 *llvm_cbe_v);
static void _ZN10b2ShapeDefD1Ev(struct l_struct_2E_b2ShapeDef *llvm_cbe_this);
static void _ZN10b2ShapeDefD0Ev(struct l_struct_2E_b2ShapeDef *llvm_cbe_this);
static void _ZN12b2PolygonDefD1Ev(struct l_struct_2E_b2PolygonDef *llvm_cbe_this);
static void _ZN12b2PolygonDefD0Ev(struct l_struct_2E_b2PolygonDef *llvm_cbe_this);
static void _ZN17b2ContactListener3AddEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point);
static void _ZN17b2ContactListener7PersistEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point);
static void _ZN17b2ContactListener6RemoveEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point);
static void _ZN17b2ContactListener6ResultEPK15b2ContactResult(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactResult *llvm_cbe_point);
static struct l_struct_2E_Vec2 _ZNK4Rect8centroidEv(struct l_struct_2E_Rect *llvm_cbe_this);
static unsigned char _ZN11GameControl4saveEPKc(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned char *llvm_cbe_file);
static unsigned char _ZN11GameControl4sendEv(struct l_struct_2E_GameControl *llvm_cbe_this);
static unsigned char _ZN11GameControl4loadEPKc(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned char *llvm_cbe_file);
static void _ZN11GameControl9gotoLevelEib(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned int llvm_cbe_l, unsigned char llvm_cbe_replay);
static void _ZN6Stroke6BoxDefD1Ev(struct l_struct_2E_Stroke_3A__3A_BoxDef *llvm_cbe_this);
static void _ZN6Stroke6BoxDefD0Ev(struct l_struct_2E_Stroke_3A__3A_BoxDef *llvm_cbe_this);
static void _ZN17b2ContactListenerD1Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN17b2ContactListenerD0Ev(struct l_struct_2E_Os *llvm_cbe_this);
static struct l_struct_2E_Vec2 _ZN4Game10mousePointE9SDL_Event(unsigned long long llvm_cbe_ev_2e_0_2e_0, unsigned long long llvm_cbe_ev_2e_0_2e_1, unsigned long long llvm_cbe_ev_2e_0_2e_2);
static void __tcf_1(unsigned char *llvm_cbe_unnamed_arg);
static void __tcf_0(unsigned char *llvm_cbe_unnamed_arg);
static void _ZN5Scene3AddEPK14b2ContactPoint(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point);
static unsigned char _ZN5Scene11isCompletedEv(struct l_struct_2E_Scene *llvm_cbe_this);
float cosf(float );
float sinf(float );
static struct l_struct_2E_b2AABB _ZNK7b2Mat226InvertEv(struct l_struct_2E_b2AABB *llvm_cbe_this);
void __assert_fail(unsigned char *, unsigned char *, unsigned int , unsigned char *);
static void _ZN9Transform3setEffRK4Vec2(struct l_struct_2E_Transform *llvm_cbe_this, float llvm_cbe_scale, float llvm_cbe_rotation, struct l_struct_2E_Vec2 *llvm_cbe_translation);
void _ZNSt8ios_base4InitC1Ev(struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
unsigned int __cxa_atexit(void  (*) (unsigned char *), unsigned char *, unsigned char *);
static void __tcf_2(unsigned char *llvm_cbe_unnamed_arg);
static void _Z24configureScreenTransformii(unsigned int llvm_cbe_w, unsigned int llvm_cbe_h);
void _ZNSt8ios_base4InitD1Ev(struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ *);
static void _ZN5ArrayIP6StrokeE6appendERKS1_(struct l_struct_2E_Array_3C_Stroke_2A__3E_ *llvm_cbe_this, struct l_struct_2E_Stroke **llvm_cbe_t);
static void _ZN4Game11showOverlayEP7Overlay(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_o);
static void _ZN7b2World11DestroyBodyEP6b2Body(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2Body *llvm_cbe_b);
static void _ZN5Scene5resetEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s);
static void _ZN5Scene12deleteStrokeEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s);
static void _ZN4Game11hideOverlayEP7Overlay(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_o);
static void _ZN5Scene5clearEv(struct l_struct_2E_Scene *llvm_cbe_this);
static void _ZN7b2World4StepEfi(struct l_struct_2E_b2World *llvm_cbe_this);
static void _ZN5SceneC1Eb(struct l_struct_2E_Scene *llvm_cbe_this, unsigned char llvm_cbe_noWorld);
static void _ZN5SceneD1Ev(struct l_struct_2E_Scene *llvm_cbe_this);
static void _ZN5SceneD0Ev(struct l_struct_2E_Scene *llvm_cbe_this);
static void _ZN11GameControlD0Ev(struct l_struct_2E_GameControl *llvm_cbe_this);
static void _ZN11GameControlD1Ev(struct l_struct_2E_GameControl *llvm_cbe_this);
void __cxa_pure_virtual(void);
static void _ZN6b2Body8SetXFormERK6b2Vec2f(struct l_struct_2E_b2Body *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_position, float llvm_cbe_angle);
float atan2f(float , float );
static unsigned char _ZN6Stroke9transformEv(struct l_struct_2E_Stroke *llvm_cbe_this);
static void _ZN6Stroke12createBodiesER7b2World(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_b2World *llvm_cbe_world);
static struct l_struct_2E_b2Body *_ZN7b2World10CreateBodyEPK9b2BodyDef(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2BodyDef *llvm_cbe_def);
static float _ZN6Stroke10distanceToERK4Vec2(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_pt);
static struct l_struct_2E_Stroke *_ZN5Scene13strokeAtPointE4Vec2f(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_pt);
static void _ZN6Stroke16maybeCreateJointER7b2WorldPS_(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_b2World *llvm_cbe_world, struct l_struct_2E_Stroke *llvm_cbe_other);
static void _ZN5Scene12createJointsEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s);
static void _ZN5Scene4stepEv(struct l_struct_2E_Scene *llvm_cbe_this);
static void _ZN7b2WorldD1Ev(struct l_struct_2E_b2World *llvm_cbe_this);
unsigned long long _ZNKSs4findEcm(struct l_struct_2E_std_3A__3A_string *, signed char , unsigned long long );
static unsigned char _ZN5Scene4loadERSi(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_std_3A__3A_istream *llvm_cbe_in);
struct l_struct_2E_std_3A__3A_istream *_ZSt7getlineIcSt11char_traitsIcESaIcEERSt13basic_istreamIT_T0_ES7_RSbIS4_S5_T1_E(struct l_struct_2E_std_3A__3A_istream *, struct l_struct_2E_std_3A__3A_string *);
unsigned char _ZNKSt9basic_iosIcSt11char_traitsIcEE3eofEv(struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *);
void _ZNSt14basic_ifstreamIcSt11char_traitsIcEEC1EPKcSt13_Ios_Openmode(struct l_struct_2E_std_3A__3A_ifstream *, unsigned char *, unsigned int );
void _ZNSt14basic_ifstreamIcSt11char_traitsIcEED1Ev(struct l_struct_2E_std_3A__3A_ifstream *);
static void _ZN5Scene4drawER6CanvasRK4Rect(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_canvas, struct l_struct_2E_Rect *llvm_cbe_area);
static unsigned char _ZN5Scene4loadEPhi(struct l_struct_2E_Scene *llvm_cbe_this, unsigned int llvm_cbe_bufsize);
void _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEEC1ERKSsSt13_Ios_Openmode(struct l_struct_2E_std_3A__3A_stringstream *, struct l_struct_2E_std_3A__3A_string *, unsigned int );
void _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEED1Ev(struct l_struct_2E_std_3A__3A_stringstream *);
static unsigned char _ZN4Game11renderSceneER6Canvasi(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_c, unsigned int llvm_cbe_level);
static struct l_struct_2E_std_3A__3A_string *_ZN6Config10planetRootEv(void);
unsigned int __cxa_guard_acquire(unsigned long long *);
void __cxa_guard_release(unsigned long long *);
void __cxa_guard_abort(unsigned long long *);
struct l_struct_2E_std_3A__3A_string *_ZNSs6appendERKSs(struct l_struct_2E_std_3A__3A_string *, struct l_struct_2E_std_3A__3A_string *);
static unsigned char _ZN4Game4sendEv(struct l_struct_2E_Game *llvm_cbe_this);
struct l_struct_2E_std_3A__3A_string *_ZNSs6appendEmc(struct l_struct_2E_std_3A__3A_string *, unsigned long long , signed char );
void _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEEC1ESt13_Ios_Openmode(struct l_struct_2E_std_3A__3A_stringstream *, unsigned int );
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, signed char );
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZNSolsEi(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, unsigned int );
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, unsigned char *);
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZNSolsEPFRSoS_E(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ * (*) (struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *));
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *);
struct l_struct_2E_std_3A__3A_string _ZNKSt18basic_stringstreamIcSt11char_traitsIcESaIcEE3strEv(struct l_struct_2E_std_3A__3A_stringstream *);
void _ZNSt14basic_ofstreamIcSt11char_traitsIcEEC1EPKcSt13_Ios_Openmode(struct l_struct_2E_std_3A__3A_ofstream *, unsigned char *, unsigned int );
unsigned char _ZNSt14basic_ofstreamIcSt11char_traitsIcEE7is_openEv(struct l_struct_2E_std_3A__3A_ofstream *);
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZStlsIcSt11char_traitsIcESaIcEERSt13basic_ostreamIT_T0_ES7_RKSbIS4_S5_T1_E(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, struct l_struct_2E_std_3A__3A_string *);
void _ZNSt14basic_ofstreamIcSt11char_traitsIcEE5closeEv(struct l_struct_2E_std_3A__3A_ofstream *);
void _ZNSt14basic_ofstreamIcSt11char_traitsIcEED1Ev(struct l_struct_2E_std_3A__3A_ofstream *);
struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *_ZNSolsEt(struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *, unsigned short );
static void _ZN12DemoRecorder4stopEv(struct l_struct_2E_DemoRecorder *llvm_cbe_this);
static void _ZN4GameD1Ev(struct l_struct_2E_Game *llvm_cbe_this);
static void _ZN4GameD0Ev(struct l_struct_2E_Game *llvm_cbe_this);
static unsigned char _ZN4Game4saveEPKc(struct l_struct_2E_Game *llvm_cbe_this, unsigned char *llvm_cbe_file);
static void _ZN4Game9gotoLevelEib(struct l_struct_2E_Game *llvm_cbe_this, unsigned int llvm_cbe_level, unsigned char llvm_cbe_replay);
static struct l_struct_2E_std_3A__3A_string *_ZN6Config11userDataDirEv(void);
unsigned char *getenv(unsigned char *);
struct l_struct_2E_std_3A__3A_string *_ZNSsaSEPKc(struct l_struct_2E_std_3A__3A_string *, unsigned char *);
unsigned int SDL_GetTicks(void);
static void _ZN4Game3runEv(struct l_struct_2E_Game *llvm_cbe_this);
unsigned int SDL_PollEvent(struct l_struct_2E_SDL_Event *);
void SDL_Delay(unsigned int );
static void _Z4initb(unsigned char llvm_cbe_useDummyVideo);
unsigned int SDL_Init(unsigned int );
unsigned int mkdir(unsigned char *, unsigned int );
unsigned int puts(unsigned char *);
unsigned int *__errno_location(void);
unsigned int strcmp(unsigned char *, unsigned char *);
unsigned int stat(unsigned char *, struct l_struct_2E_stat *);
unsigned char *__cxa_begin_catch(unsigned char *);
void __cxa_end_catch(void);
static void _ZN7Overlay6onShowEv(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN7Overlay6onHideEv(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN7Overlay6onTickEi(struct l_struct_2E_Os *llvm_cbe_this, unsigned int llvm_cbe_tick);
static void _ZN7OverlayD1Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN7OverlayD0Ev(struct l_struct_2E_Os *llvm_cbe_this);
static unsigned char _ZN11OverlayBase7isDirtyEv(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN11OverlayBase6onHideEv(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN11OverlayBase6onTickEi(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_tick);
static void _ZN11OverlayBase6onShowEv(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static unsigned char _ZN11OverlayBase9onHotSpotEi(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_id);
static void _ZN9UiOverlay6onTickEi(struct l_struct_2E_UiOverlay *llvm_cbe_this, unsigned int llvm_cbe_tick);
static void _ZN11MenuOverlay7doPauseEv(struct l_struct_2E_MenuOverlay *llvm_cbe_this);
static void _ZN11MenuOverlay6onShowEv(struct l_struct_2E_MenuOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay6onShowEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay6onHideEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay11doPrevLevelEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay11doNextLevelEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay14doActionReplayEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay10doContinueEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static struct l_struct_2E_Rect _ZN11EditOverlay3posEi(unsigned int llvm_cbe_i);
static unsigned char _ZN11EditOverlay9onHotSpotEi(struct l_struct_2E_EditOverlay *llvm_cbe_this, unsigned int llvm_cbe_i);
static unsigned char _ZN11OverlayBase7onClickEii(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y);
static void _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE(unsigned char *llvm_cbe_o, unsigned long long llvm_cbe_f_2e_0_2e_0, unsigned long long llvm_cbe_f_2e_0_2e_1);
static void _ZZN11OverlayBase10addHotSpotI11MenuOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE(unsigned char *llvm_cbe_o, unsigned long long llvm_cbe_f_2e_0_2e_0, unsigned long long llvm_cbe_f_2e_0_2e_1);
static unsigned char _ZN11OverlayBase11handleEventER9SDL_Event(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_SDL_Event *llvm_cbe_ev);
static struct l_struct_2E_Rect _ZN11OverlayBase9dirtyAreaEv(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN11OverlayBase4drawER6Canvas(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen);
static void _ZN11OverlayBaseD0Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN11OverlayBaseD1Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN11OverlayBaseD2Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this);
static void _ZN9UiOverlayD0Ev(struct l_struct_2E_UiOverlay *llvm_cbe_this);
static void _ZN9UiOverlayD1Ev(struct l_struct_2E_UiOverlay *llvm_cbe_this);
static void _ZN11MenuOverlayD0Ev(struct l_struct_2E_MenuOverlay *llvm_cbe_this);
static void _ZN11MenuOverlayD1Ev(struct l_struct_2E_MenuOverlay *llvm_cbe_this);
static void _ZN11IconOverlayD0Ev(struct l_struct_2E_IconOverlay *llvm_cbe_this);
static void _ZN11IconOverlayD1Ev(struct l_struct_2E_IconOverlay *llvm_cbe_this);
static void _ZN11EditOverlayD0Ev(struct l_struct_2E_EditOverlay *llvm_cbe_this);
static void _ZN11EditOverlayD1Ev(struct l_struct_2E_EditOverlay *llvm_cbe_this);
static void _ZN11EditOverlay4drawER6Canvas(struct l_struct_2E_EditOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen);
static void _ZN16NextLevelOverlayD0Ev(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlayD1Ev(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this);
static void _ZN16NextLevelOverlay4drawER6Canvas(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen);
static void _ZN11OverlayBaseC2ER11GameControliib(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_GameControl *llvm_cbe_game, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y, unsigned char llvm_cbe_dragging_allowed);
static void _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ *llvm_cbe_this, struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_t);
static void _ZN11IconOverlayC2ER11GameControlPKciib(struct l_struct_2E_IconOverlay *llvm_cbe_this, struct l_struct_2E_GameControl *llvm_cbe_game, unsigned char *llvm_cbe_file, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y);
static struct l_struct_2E_Font *_ZN6Config4fontEv(void);
static void _ZN11EditOverlay7outlineER6Canvasii(struct l_struct_2E_EditOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen, unsigned int llvm_cbe_i, unsigned int llvm_cbe_c);
static void __tcf_270(unsigned char *llvm_cbe_unnamed_arg);
static void _ZL12http_post_cbPKN9happyhttp8ResponseEPvPKhi(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata, unsigned char *llvm_cbe_data, unsigned int llvm_cbe_numbytes);
unsigned int strncmp(unsigned char *, unsigned char *, unsigned long long );
unsigned char *strcpy(unsigned char *, unsigned char *);
unsigned char *strchr(unsigned char *, unsigned int );
unsigned int atoi(unsigned char *);
unsigned int fprintf(struct l_struct_2E_FILE *, unsigned char *, ...);
static void _ZL13http_begin_cbPKN9happyhttp8ResponseEPv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata);
static void _ZL16http_complete_cbPKN9happyhttp8ResponseEPv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata);
static void _ZN9happyhttp10ConnectionD1Ev(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this);
unsigned char *__cxa_get_exception_ptr(unsigned char *);
static unsigned char *_ZNK9happyhttp8Response9getheaderEPKc(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this, unsigned char *llvm_cbe_name);
unsigned char _ZNKSs5emptyEv(struct l_struct_2E_std_3A__3A_string *);
struct l_struct_2E_std_3A__3A__Rb_tree_node_base *_ZSt18_Rb_tree_decrementPSt18_Rb_tree_node_base(struct l_struct_2E_std_3A__3A__Rb_tree_node_base *);
struct l_struct_2E_std_3A__3A__Rb_tree_node_base *_ZSt18_Rb_tree_incrementPSt18_Rb_tree_node_base(struct l_struct_2E_std_3A__3A__Rb_tree_node_base *);
void __cxa_rethrow(void);
static struct l_struct_2E_std_3A__3A_string *_ZSt22__uninitialized_copy_aIPSsS0_SsET0_T_S2_S1_SaIT1_E(struct l_struct_2E_std_3A__3A_string *llvm_cbe___first, struct l_struct_2E_std_3A__3A_string *llvm_cbe___last, struct l_struct_2E_std_3A__3A_string *llvm_cbe___result);
void _ZSt17__throw_bad_allocv(void);
static struct l_struct_2E_happyhttp_3A__3A_Response ***_ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_allocate_mapEm(struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this, unsigned long long llvm_cbe___n);
static struct l_struct_2E_std_3A__3A__Rb_tree_node_base *_ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___x, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___p, struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ *llvm_cbe___v);
void _ZSt29_Rb_tree_insert_and_rebalancebPSt18_Rb_tree_node_baseS0_RS_(unsigned char , struct l_struct_2E_std_3A__3A__Rb_tree_node_base *, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *);
static struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE16_M_insert_uniqueERKS2_(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ *llvm_cbe___v);
static void _ZN9happyhttp8Response11FlushHeaderEv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this);
unsigned int tolower(unsigned int );
struct l_struct_2E_std_3A__3A_string *_ZNSspLEc(struct l_struct_2E_std_3A__3A_string *, signed char );
void _ZNSs5clearEv(struct l_struct_2E_std_3A__3A_string *);
static void _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE8_M_eraseEPSt13_Rb_tree_nodeIS2_E(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___x);
static void _ZN9happyhttp8ResponseD1Ev(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this);
static void _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE9pop_frontEv(struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this);
static void _ZNSt12_Vector_baseISsSaISsEED2Ev(struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this);
static void _ZNSt6vectorISsSaISsEED1Ev(struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this);
static void _ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EED2Ev(struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this);
static void _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EED1Ev(struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this);
unsigned long long strtol(unsigned char *, unsigned char **, unsigned int );
unsigned char *_ZNSs5beginEv(struct l_struct_2E_std_3A__3A_string *);
unsigned char *_ZNSs3endEv(struct l_struct_2E_std_3A__3A_string *);
unsigned int isspace(unsigned int );
static void _ZNSt6vectorISsSaISsEE9push_backERKSs(struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe___x);
static void _ZSt4copyIPPPN9happyhttp8ResponseES4_ET0_T_S6_S5_(struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___first, struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___last, struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___result);
static void _ZN9happyhttp10Connection5closeEv(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this);
static void _ZN9happyhttp6WobblyC1EPKcz(struct l_struct_2E_happyhttp_3A__3A_Wobbly *llvm_cbe_this, unsigned char *llvm_cbe_fmt, ...);
unsigned int vsnprintf(unsigned char *, unsigned long long , unsigned char *, struct l_struct_2E___va_list_tag *);
unsigned int _ZNKSs7compareEmmPKc(struct l_struct_2E_std_3A__3A_string *, unsigned long long , unsigned long long , unsigned char *);
static void _ZN9happyhttp10Connection9putheaderEPKcS2_(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this, unsigned char *llvm_cbe_header, unsigned char *llvm_cbe_value);
unsigned int sprintf(unsigned char *, unsigned char *, ...);
unsigned int inet_addr(unsigned char *);
struct l_struct_2E_hostent *gethostbyname(unsigned char *);
unsigned char *strerror(unsigned int );
unsigned short htons(unsigned short );
unsigned int socket(unsigned int , unsigned int , unsigned int );
unsigned int connect(unsigned int , struct l_struct_2E_sockaddr *, unsigned int );
static void _ZN9happyhttp10Connection4sendEPKhi(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this, unsigned char *llvm_cbe_buf, unsigned int llvm_cbe_numbytes);
unsigned long long send(unsigned int , unsigned char *, unsigned long long , unsigned int );
struct l_struct_2E_std_3A__3A_string *_ZNSspLERKSs(struct l_struct_2E_std_3A__3A_string *, struct l_struct_2E_std_3A__3A_string *);
unsigned int select(unsigned int , struct l_struct_2E_fd_set *, struct l_struct_2E_fd_set *, struct l_struct_2E_fd_set *, struct l_struct_2E_timespec *);
unsigned long long recv(unsigned int , unsigned char *, unsigned long long , unsigned int );
unsigned int SDL_SetAlpha(struct l_struct_2E_SDL_Surface *, unsigned int , unsigned char );
unsigned int SDL_SetColorKey(struct l_struct_2E_SDL_Surface *, unsigned int , unsigned int );
static void _ZN2Os4pollEv(struct l_struct_2E_Os *llvm_cbe_this);
static unsigned char *_ZN2Os13getLaunchFileEv(struct l_struct_2E_Os *llvm_cbe_this);
static unsigned char *_ZN13OsFreeDesktop10saveDialogEPKc(struct l_struct_2E_OsFreeDesktop *llvm_cbe_this, unsigned char *llvm_cbe_path);
static unsigned char _ZN13OsFreeDesktop11openBrowserEPKc(struct l_struct_2E_OsFreeDesktop *llvm_cbe_this, unsigned char *llvm_cbe_url);
unsigned int main(unsigned int llvm_cbe_argc, unsigned char **llvm_cbe_argv);
unsigned int system(unsigned char *);
static unsigned long long _Z6b2MulTRK7b2Mat22RK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2Vec2 *llvm_cbe_v);
static unsigned long long _Z5b2MulRK7b2XFormRK6b2Vec2(struct l_struct_2E_b2XForm *llvm_cbe_T, struct l_struct_2E_b2Vec2 *llvm_cbe_v);
static unsigned long long _Z5b2AbsRK6b2Vec2(struct l_struct_2E_b2Vec2 *llvm_cbe_a);
static unsigned char _ZNK14b2PolygonShape9TestPointERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Vec2 *llvm_cbe_p);
static void _ZNK14b2PolygonShape11ComputeAABBEP6b2AABBRK7b2XForm(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_xf);
static unsigned long long _ZNK14b2PolygonShape7SupportERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Vec2 *llvm_cbe_d);
static unsigned long long _Z5b2MinRK6b2Vec2S1_(struct l_struct_2E_b2Vec2 *llvm_cbe_a, struct l_struct_2E_b2Vec2 *llvm_cbe_b);
static unsigned long long _Z5b2MaxRK6b2Vec2S1_(struct l_struct_2E_b2Vec2 *llvm_cbe_a, struct l_struct_2E_b2Vec2 *llvm_cbe_b);
static void _ZNK14b2PolygonShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2);
static void _ZN14b2PolygonShapeD0Ev(struct l_struct_2E_b2PolygonShape *llvm_cbe_this);
static unsigned char _ZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, float *llvm_cbe_lambda, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, struct l_struct_2E_b2AABB *llvm_cbe_segment, float llvm_cbe_maxLambda);
static void _ZNK14b2PolygonShape11ComputeMassEP10b2MassData(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2MassData *llvm_cbe_massData);
static void _ZN14b2PolygonShapeD1Ev(struct l_struct_2E_b2PolygonShape *llvm_cbe_this);
static void _ZN14b2PolygonShape17UpdateSweepRadiusERK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_center);
static unsigned long long _ZNK7b2Mat225SolveERK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_b);
static struct l_struct_2E_b2AABB _ZplRK7b2Mat22S1_(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2AABB *llvm_cbe_B);
static unsigned long long _Z6b2MulTRK7b2XFormRK6b2Vec2(struct l_struct_2E_b2XForm *llvm_cbe_T, struct l_struct_2E_b2Vec2 *llvm_cbe_v);
static void _ZN7b2Joint23InitPositionConstraintsEv(struct l_struct_2E_b2Joint *llvm_cbe_this);
static unsigned long long _ZNK15b2RevoluteJoint10GetAnchor1Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static unsigned long long _ZNK15b2RevoluteJoint10GetAnchor2Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static unsigned long long _ZNK15b2RevoluteJoint16GetReactionForceEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static float _ZNK15b2RevoluteJoint17GetReactionTorqueEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static void _ZN15b2RevoluteJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static void _ZN7b2JointD1Ev(struct l_struct_2E_b2Joint *llvm_cbe_this);
static void _ZN7b2JointD0Ev(struct l_struct_2E_b2Joint *llvm_cbe_this);
static void _ZN15b2RevoluteJointD0Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static void _ZN15b2RevoluteJointD1Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static void _ZN15b2RevoluteJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZN15b2RevoluteJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this);
static void _ZN6b2Body20SynchronizeTransformEv(struct l_struct_2E_b2Body *llvm_cbe_this);
static unsigned char _ZN6b2Body17SynchronizeShapesEv(struct l_struct_2E_b2Body *llvm_cbe_this);
static unsigned char _ZN7b2Shape11SynchronizeEP12b2BroadPhaseRK7b2XFormS4_(struct l_struct_2E_b2Shape *llvm_cbe_this, struct l_struct_2E_b2BroadPhase *llvm_cbe_broadPhase, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2);
static void _ZN9b2ContactD1Ev(struct l_struct_2E_b2Contact *llvm_cbe_this);
static void _ZN9b2ContactD0Ev(struct l_struct_2E_b2Contact *llvm_cbe_this);
static struct l_struct_2E_b2Manifold *_ZN13b2NullContact12GetManifoldsEv(struct l_struct_2E_b2NullContact *llvm_cbe_this);
static void _ZN13b2NullContactD1Ev(struct l_struct_2E_b2NullContact *llvm_cbe_this);
static void _ZN13b2NullContactD0Ev(struct l_struct_2E_b2NullContact *llvm_cbe_this);
static void _ZN13b2NullContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2NullContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_unnamed_arg);
static void _ZN14b2PairCallbackD1Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN14b2PairCallbackD0Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2Colorb(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_shape, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Color *llvm_cbe_color, unsigned char llvm_cbe_core);
static unsigned char *_ZN16b2StackAllocator8AllocateEi(struct l_struct_2E_b2StackAllocator *llvm_cbe_this, unsigned int llvm_cbe_size);
static void _ZN16b2StackAllocator4FreeEPv(struct l_struct_2E_b2StackAllocator *llvm_cbe_this, unsigned char *llvm_cbe_p);
static void _ZN7b2Sweep7AdvanceEf(struct l_struct_2E_b2Sweep *llvm_cbe_this, float llvm_cbe_t);
static void _ZN9b2Contact6UpdateEP17b2ContactListener(struct l_struct_2E_b2Contact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener);
static unsigned char *_ZN16b2BlockAllocator8AllocateEi(struct l_struct_2E_b2BlockAllocator *llvm_cbe_this, unsigned int llvm_cbe_size);
static void _ZN16b2ContactManagerD1Ev(struct l_struct_2E_b2ContactManager *llvm_cbe_this);
static void _ZN16b2BlockAllocatorD1Ev(struct l_struct_2E_b2BlockAllocator *llvm_cbe_this);
static void _ZNK7b2Sweep8GetXFormEP7b2XFormf(struct l_struct_2E_b2Sweep *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, float llvm_cbe_t);
static void _ZN7b2ShapeD1Ev(struct l_struct_2E_b2Shape *llvm_cbe_this);
static void _ZN7b2ShapeD0Ev(struct l_struct_2E_b2Shape *llvm_cbe_this);
static unsigned char _ZNK12b2BroadPhase7InRangeERK6b2AABB(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb);
static void _ZN12b2BroadPhase12DestroyProxyEi(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned int llvm_cbe_proxyId);
static unsigned short _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, unsigned char *llvm_cbe_userData);
static unsigned char *_ZN16b2ContactManager9PairAddedEPvS0_(struct l_struct_2E_b2ContactManager *llvm_cbe_this, unsigned char *llvm_cbe_proxyUserData1, unsigned char *llvm_cbe_proxyUserData2);
static unsigned long long _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(struct l_struct_2E_b2Body *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_localPoint);
static void _ZN16b2ContactManagerD0Ev(struct l_struct_2E_b2ContactManager *llvm_cbe_this);
static void _ZN16b2ContactManager11PairRemovedEPvS0_S0_(struct l_struct_2E_b2ContactManager *llvm_cbe_this, unsigned char *llvm_cbe_proxyUserData1, unsigned char *llvm_cbe_proxyUserData2, unsigned char *llvm_cbe_pairUserData);
static unsigned int _ZL12BinarySearchP7b2Boundit(struct l_struct_2E_b2Bound *llvm_cbe_bounds, unsigned int llvm_cbe_count, unsigned short llvm_cbe_value);
static void _ZN12b2BroadPhase5QueryEPiS0_ttP7b2Boundii(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned int *llvm_cbe_lowerQueryOut, unsigned int *llvm_cbe_upperQueryOut, unsigned short llvm_cbe_lowerValue, unsigned short llvm_cbe_upperValue, struct l_struct_2E_b2Bound *llvm_cbe_bounds, unsigned int llvm_cbe_boundCount, unsigned int llvm_cbe_axis);
static void _ZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABB(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned short *llvm_cbe_lowerValues, unsigned short *llvm_cbe_upperValues, struct l_struct_2E_b2AABB *llvm_cbe_aabb);
static unsigned char _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2BoundValues *llvm_cbe_b, struct l_struct_2E_b2Proxy *llvm_cbe_p);
static void _ZN13b2PairManager6CommitEv(struct l_struct_2E_b2PairManager *llvm_cbe_this);
unsigned int finite(double );
static unsigned char _ZNK6b2AABB7IsValidEv(struct l_struct_2E_b2AABB *llvm_cbe_this);
static void _ZN13b2PairManager15AddBufferedPairEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_id1, unsigned int llvm_cbe_id2);
static void _ZN13b2PairManager18RemoveBufferedPairEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_id1, unsigned int llvm_cbe_id2);
static void _ZN8b2Island6ReportEP19b2ContactConstraint(struct l_struct_2E_b2Island *llvm_cbe_this, struct l_struct_2E_b2ContactConstraint *llvm_cbe_constraints);
static void _ZN15b2ContactSolverC1ERK10b2TimeStepPP9b2ContactiP16b2StackAllocator(struct l_struct_2E_b2ContactSolver *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step, struct l_struct_2E_b2Contact **llvm_cbe_contacts, unsigned int llvm_cbe_contactCount, struct l_struct_2E_b2StackAllocator *llvm_cbe_allocator);
static void _ZN15b2ContactSolver24SolveVelocityConstraintsEv(struct l_struct_2E_b2ContactSolver *llvm_cbe_this);
static unsigned char _ZN15b2ContactSolver24SolvePositionConstraintsEf(struct l_struct_2E_b2ContactSolver *llvm_cbe_this, float llvm_cbe_baumgarte);
static void _ZN9b2ContactC2EP7b2ShapeS1_(struct l_struct_2E_b2Contact *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_s1, struct l_struct_2E_b2Shape *llvm_cbe_s2);
static struct l_struct_2E_b2Contact *_ZN15b2CircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static void _ZN15b2CircleContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static struct l_struct_2E_b2Contact *_ZN22b2PolyAndCircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static void _ZN22b2PolyAndCircleContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static struct l_struct_2E_b2Contact *_ZN16b2PolygonContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static void _ZN16b2PolygonContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator);
static void _GLOBAL__I_b2_defaultFilter(void) __ATTRIBUTE_CTOR__;
static unsigned char _ZN15b2ContactFilter13ShouldCollideEP7b2ShapeS1_(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2);
static void _ZN15b2ContactFilterD1Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void _ZN15b2ContactFilterD0Ev(struct l_struct_2E_Os *llvm_cbe_this);
static void __tcf_0219(unsigned char *llvm_cbe_unnamed_arg);
static unsigned long long _ZNK13b2PulleyJoint10GetAnchor1Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static unsigned long long _ZNK13b2PulleyJoint10GetAnchor2Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static unsigned long long _ZNK13b2PulleyJoint16GetReactionForceEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static float _ZNK13b2PulleyJoint17GetReactionTorqueEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static void _ZN13b2PulleyJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static void _ZN13b2PulleyJointD0Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static void _ZN13b2PulleyJointD1Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static void _ZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZN13b2PulleyJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this);
static float _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(struct l_struct_2E_b2Jacobian *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_x1, float llvm_cbe_a1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, float llvm_cbe_a2);
static void _ZN11b2GearJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2GearJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned long long _ZNK11b2GearJoint10GetAnchor1Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static unsigned long long _ZNK11b2GearJoint10GetAnchor2Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static unsigned long long _ZNK11b2GearJoint16GetReactionForceEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static float _ZNK11b2GearJoint17GetReactionTorqueEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static void _ZN11b2GearJointD0Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static void _ZN11b2GearJointD1Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static void _ZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2GearJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZN11b2GearJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this);
static float _ZNK16b2PrismaticJoint19GetJointTranslationEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static unsigned char _ZL8InPointsRK6b2Vec2PS0_i(struct l_struct_2E_b2Vec2 *llvm_cbe_w, struct l_struct_2E_b2Vec2 *llvm_cbe_points, unsigned int llvm_cbe_pointCount);
static unsigned int _ZL10ProcessTwoP6b2Vec2S0_S0_S0_S0_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2Vec2 *llvm_cbe_p1s, struct l_struct_2E_b2Vec2 *llvm_cbe_p2s, struct l_struct_2E_b2Vec2 *llvm_cbe_points);
static unsigned int _ZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2Vec2 *llvm_cbe_p1s, struct l_struct_2E_b2Vec2 *llvm_cbe_p2s, struct l_struct_2E_b2Vec2 *llvm_cbe_points);
static float _ZL10DistancePCP6b2Vec2S0_PK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2PolygonShape *llvm_cbe_polygon, struct l_struct_2E_b2XForm *llvm_cbe_xf1, struct l_struct_2E_b2CircleShape *llvm_cbe_circle, struct l_struct_2E_b2XForm *llvm_cbe_xf2);
static unsigned char _ZN12b2MouseJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static unsigned long long _ZNK12b2MouseJoint10GetAnchor1Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static unsigned long long _ZNK12b2MouseJoint10GetAnchor2Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static unsigned long long _ZNK12b2MouseJoint16GetReactionForceEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static float _ZNK12b2MouseJoint17GetReactionTorqueEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static void _ZN12b2MouseJointD0Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static void _ZN12b2MouseJointD1Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this);
static void _ZN12b2MouseJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2MouseJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static void _ZN12b2MouseJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2MouseJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZNK13b2CircleShape9TestPointERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_transform, struct l_struct_2E_b2Vec2 *llvm_cbe_p);
static void _ZNK13b2CircleShape11ComputeAABBEP6b2AABBRK7b2XForm(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform);
static void _ZNK13b2CircleShape11ComputeMassEP10b2MassData(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2MassData *llvm_cbe_massData);
static void _ZNK13b2CircleShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2);
static void _ZN13b2CircleShapeD0Ev(struct l_struct_2E_b2CircleShape *llvm_cbe_this);
static unsigned char _ZNK13b2CircleShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_transform, float *llvm_cbe_lambda, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, struct l_struct_2E_b2AABB *llvm_cbe_segment, float llvm_cbe_maxLambda);
static void _ZN13b2CircleShapeD1Ev(struct l_struct_2E_b2CircleShape *llvm_cbe_this);
static void _ZN13b2CircleShape17UpdateSweepRadiusERK6b2Vec2(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_center);
static struct l_struct_2E_b2Pair *_ZN13b2PairManager4FindEiij(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_proxyId1, unsigned int llvm_cbe_proxyId2, unsigned int llvm_cbe_hash);
static struct l_struct_2E_b2Pair *_ZN13b2PairManager4FindEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_proxyId1, unsigned int llvm_cbe_proxyId2);
static struct l_struct_2E_b2Manifold *_ZN15b2CircleContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN15b2CircleContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN15b2CircleContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN15b2CircleContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener);
static void _ZN15b2DistanceJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned long long _ZNK15b2DistanceJoint10GetAnchor1Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static unsigned long long _ZNK15b2DistanceJoint10GetAnchor2Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static unsigned long long _ZNK15b2DistanceJoint16GetReactionForceEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static float _ZNK15b2DistanceJoint17GetReactionTorqueEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static void _ZN15b2DistanceJointD0Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static void _ZN15b2DistanceJointD1Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static void _ZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZN15b2DistanceJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this);
static struct l_struct_2E_b2Manifold *_ZN16b2PolygonContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN16b2PolygonContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN16b2PolygonContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN16b2PolygonContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener);
static unsigned long long _ZNK16b2PrismaticJoint10GetAnchor1Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static unsigned long long _ZNK16b2PrismaticJoint10GetAnchor2Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static unsigned long long _ZNK16b2PrismaticJoint16GetReactionForceEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static float _ZNK16b2PrismaticJoint17GetReactionTorqueEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static void _ZN16b2PrismaticJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static void _ZN16b2PrismaticJointD0Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static void _ZN16b2PrismaticJointD1Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static void _ZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step);
static unsigned char _ZN16b2PrismaticJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this);
static struct l_struct_2E_b2Manifold *_ZN22b2PolyAndCircleContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN22b2PolyAndCircleContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN22b2PolyAndCircleContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this);
static void _ZN22b2PolyAndCircleContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener);
static unsigned int _ZL17ClipSegmentToLineP10ClipVertexS0_RK6b2Vec2f(struct l_struct_2E_ClipVertex *llvm_cbe_vOut, struct l_struct_2E_ClipVertex *llvm_cbe_vIn, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, float llvm_cbe_offset);
static float _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1, struct l_struct_2E_b2XForm *llvm_cbe_xf1, unsigned int llvm_cbe_edge1, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2, struct l_struct_2E_b2XForm *llvm_cbe_xf2);
static float _ZL17FindMaxSeparationPiPK14b2PolygonShapeRK7b2XFormS2_S5_(unsigned int *llvm_cbe_edgeIndex, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1, struct l_struct_2E_b2XForm *llvm_cbe_xf1, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2, struct l_struct_2E_b2XForm *llvm_cbe_xf2);
void abort(void);
unsigned char *memcpy(unsigned char *, unsigned char *, unsigned long long );
unsigned char *memset(unsigned char *, unsigned int , unsigned long long );
unsigned char *memmove(unsigned char *, unsigned char *, unsigned long long );


/* Global Variable Declarations */
static unsigned char _2E_str[6];
static unsigned long long _ZGVZN6Config11userDataDirEvE1d;
static unsigned long long _ZGVZN6Config10planetRootEvE1d;
static unsigned int  (*_ZTV6Canvas[4]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI6Canvas;
static unsigned char _ZTS6Canvas[8];
static unsigned int  (*_ZTV5Image[4]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI5Image;
static unsigned char _ZTS5Image[7];
static unsigned int  (*_ZTV6Window[4]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI6Window;
static unsigned char _ZTS6Window[8];
static unsigned char _2E_str1[6];
static unsigned char _2E_str12[26];
static unsigned char _2E_str2[17];
static unsigned char _2E_str3[50];
static unsigned char _2E_str4[16];
static unsigned char _2E_str5[19];
static unsigned char _2E_str6[25];
static unsigned char _2E_str7[25];
static unsigned char _2E_str8[3];
static unsigned char _2E_str9[3];
static unsigned char _2E_str11[4];
static unsigned char _2E_str213[20];
static unsigned char _2E_str314[30];
static unsigned char _2E_str415[19];
static unsigned char _2E_str516[14];
static unsigned char _2E_str617[36];
static unsigned char _2E_str718[5];
static unsigned char _2E_str819[5];
static unsigned char _2E_str920[2];
static unsigned char _2E_str10[21];
static unsigned char _2E_str22[12];
static unsigned char _2E_str123[14];
static unsigned char _2E_str224[8];
static unsigned char levelbuf[65536];
static unsigned int  (*_ZTV10b2ShapeDef[4]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI10b2ShapeDef;
static unsigned char _ZTS10b2ShapeDef[13];
static unsigned int  (*_ZTV12b2PolygonDef[4]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI12b2PolygonDef;
static unsigned char _ZTS12b2PolygonDef[15];
static unsigned int  (*_ZTVN6Stroke6BoxDefE[4]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTIN6Stroke6BoxDefE;
static unsigned char _ZTSN6Stroke6BoxDefE[17];
static unsigned int  (*_ZTV17b2ContactListener[8]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI17b2ContactListener;
static unsigned char _ZTS17b2ContactListener[20];
static struct l_struct_2E_Transform worldToScreen;
static unsigned int _ZZN4Game14handleModEventER9SDL_EventE3mod;
static struct l_struct_2E_std_3A__3A_string _ZZN6Config10planetRootEvE1d;
static struct l_struct_2E_std_3A__3A_string _ZZN6Config11userDataDirEvE1d;
static unsigned char _2E_str25[12];
static unsigned char _2E_str126[63];
static unsigned char _ZZNK7b2Mat226InvertEvE19__PRETTY_FUNCTION__[32];
static struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ _ZStL8__ioinit;
static unsigned int SCREEN_WIDTH;
static unsigned int SCREEN_HEIGHT;
static struct l_struct_2E_Rect FULLSCREEN_RECT;
static unsigned char _2E_str227[18];
static unsigned int  (*_ZTV5Scene[8]) ();
static struct l_struct_2E___vmi_class_type_info_pseudo1 _ZTI5Scene;
static unsigned char _ZTS5Scene[7];
static unsigned int  (*_ZTV11GameControl[9]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI11GameControl;
static unsigned char _ZTS11GameControl[14];
static struct l_struct_2E_Rect BOUNDS_RECT;
static unsigned char _2E_str328[19];
static struct l_struct_2E_Image *_ZN5Scene9g_bgImageE;
static unsigned char _2E_str429[10];
static unsigned char _2E_str530[41];
static unsigned char _2E_str631[40];
static unsigned char _2E_str833[13];
static unsigned char _2E_str934[19];
static unsigned char _2E_str1035[8];
static unsigned char _2E_str1136[25];
static unsigned char _2E_str1237[28];
static unsigned char _2E_str13[15];
static unsigned char _2E_str14[2];
static unsigned char _2E_str15[14];
static unsigned char _2E_str16[8];
static unsigned char _2E_str17[9];
static unsigned char _2E_str18[13];
static unsigned char _2E_str19[3];
static unsigned char _2E_str20[2];
static unsigned char _2E_str21[2];
static unsigned char _2E_str2238[2];
static unsigned char _2E_str23[2];
static unsigned char _2E_str24[2];
static unsigned char _2E_str2539[2];
static unsigned char _2E_str26[2];
static unsigned char _2E_str27[28];
static unsigned char _2E_str28[6];
static unsigned int  (*_ZTV4Game[9]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI4Game;
static unsigned char _ZTS4Game[6];
static unsigned char _2E_str29[15];
static unsigned char _2E_str30[9];
static unsigned char _2E_str31[5];
static unsigned char _2E_str32[15];
static unsigned char _2E_str33[14];
static unsigned char _2E_str34[27];
static unsigned char _2E_str35[10];
static unsigned char _2E_str37[14];
static unsigned char _2E_str38[22];
static unsigned char _2E_str39[31];
static unsigned char _2E_str40[24];
static unsigned char _2E_str41[16];
static unsigned char _2E_str42[17];
static unsigned char _2E_str43[26];
static unsigned char _2E_str44[5];
static unsigned char _2E_str45[8];
static unsigned char _2E_str46[10];
static unsigned char _2E_str47[6];
static unsigned char _2E_str48[19];
static unsigned char _2E_str49[5];
static unsigned char _2E_str50[9];
static unsigned char _2E_str51[5];
static unsigned char _2E_str52[25];
static unsigned char _2E_str53[13];
static unsigned int  (*_ZTV7Overlay[11]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI7Overlay;
static unsigned char _ZTS7Overlay[9];
static unsigned int  (*_ZTV11OverlayBase[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11OverlayBase;
static unsigned char _ZTS11OverlayBase[14];
static unsigned int  (*_ZTV9UiOverlay[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI9UiOverlay;
static unsigned char _ZTS9UiOverlay[11];
static unsigned int  (*_ZTV11MenuOverlay[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11MenuOverlay;
static unsigned char _ZTS11MenuOverlay[14];
static unsigned int  (*_ZTV11IconOverlay[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11IconOverlay;
static unsigned char _ZTS11IconOverlay[14];
static unsigned int  (*_ZTV11EditOverlay[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11EditOverlay;
static unsigned char _ZTS11EditOverlay[14];
static unsigned int  (*_ZTV16NextLevelOverlay[13]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16NextLevelOverlay;
static unsigned char _ZTS16NextLevelOverlay[19];
static unsigned char _2E_str54[390];
static unsigned char _2E_str155[9];
static unsigned char _2E_str256[7];
static unsigned char _2E_str357[14];
static unsigned char _2E_str458[9];
static unsigned char _2E_str559[11];
static unsigned char _2E_str660[16];
static unsigned char _2E_str761[9];
static unsigned long long _ZGVZN6Config4fontEvE1f;
static unsigned char _2E_str63[9];
static struct l_struct_2E_Font _ZZN6Config4fontEvE1f;
static unsigned char _2E_str265[3];
static unsigned int brushColours[12];
static unsigned char _2E_str71[8];
static unsigned char _2E_str172[35];
static unsigned char _2E_str374[5];
static unsigned char _2E_str475[17];
static unsigned char _2E_str576[21];
static struct l_struct_2E___class_type_info_pseudo _ZTIN9happyhttp6WobblyE;
static unsigned char _ZTSN9happyhttp6WobblyE[20];
static unsigned char _2E_str1081[19];
static unsigned char _2E_str183[14];
static unsigned char _ZZN9happyhttp8Response18ProcessDataChunkedEPKhiE19__PRETTY_FUNCTION__[71];
static unsigned char _2E_str284[17];
static unsigned char _2E_str385[22];
static unsigned char _ZZNK9happyhttp8Response9getreasonEvE19__PRETTY_FUNCTION__[51];
static unsigned char _ZZNK9happyhttp8Response9getstatusEvE19__PRETTY_FUNCTION__[43];
static unsigned char _2E_str486[11];
static unsigned char _2E_str587[6];
static unsigned char _2E_str688[11];
static unsigned char _2E_str789[18];
static unsigned char _2E_str890[8];
static unsigned char _2E_str991[15];
static unsigned char _2E_str1092[5];
static unsigned char _2E_str1294[19];
static unsigned char _2E_str1395[10];
static unsigned char _2E_str1496[8];
static unsigned char _2E_str1597[21];
static unsigned char _2E_str1698[14];
static unsigned char _ZZN9happyhttp8Response4pumpEPKhiE19__PRETTY_FUNCTION__[57];
static unsigned char _2E_str1799[18];
static unsigned char _2E_str18100[31];
static unsigned char _2E_str19101[19];
static unsigned char _2E_str20102[3];
static unsigned char _2E_str21103[3];
static unsigned char _2E_str22104[23];
static unsigned char _2E_str23105[15];
static unsigned char _2E_str24106[5];
static unsigned char _2E_str25107[16];
static unsigned char _2E_str26108[9];
static struct l_struct_2E___mbstate_t_3A__3A__2E__54 _ZZN9happyhttp7atoaddrEPKcE5saddr;
static unsigned char _2E_str27109[7];
static unsigned char _2E_str28110[24];
static unsigned char _2E_str29111[9];
static unsigned char _2E_str30112[10];
static unsigned char _2E_str31113[7];
static unsigned char _2E_str32114[19];
static unsigned char _2E_str33115[1];
static unsigned char _2E_str34116[3];
static unsigned char _2E_str36118[15];
static unsigned char _2E_str37119[7];
static unsigned char _2E_str38120[10];
static unsigned char _ZZN9happyhttp10Connection4pumpEvE19__PRETTY_FUNCTION__[35];
static unsigned char _2E_str39121[7];
static unsigned char _2E_str40122[15];
static unsigned char _2E_str41123[10];
static struct l_struct_2E___class_type_info_pseudo _ZTI2Os;
static unsigned char _ZTS2Os[4];
static unsigned int  (*_ZTV13OsFreeDesktop[6]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13OsFreeDesktop;
static unsigned char _ZTS13OsFreeDesktop[16];
static unsigned long long _ZGVZN2Os3getEvE2os;
static struct l_struct_2E_OsFreeDesktop _ZZN2Os3getEvE2os;
static unsigned char _2E_str124[12];
static unsigned int  (*_ZTV14b2PolygonShape[10]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI14b2PolygonShape;
static unsigned char _ZTS14b2PolygonShape[17];
static struct l_struct_2E___class_type_info_pseudo _ZTI7b2Shape;
static unsigned char _2E_str125[19];
static unsigned char _2E_str1126[49];
static unsigned char _ZZNK14b2PolygonShape11ComputeMassEP10b2MassDataE19__PRETTY_FUNCTION__[60];
static unsigned char _2E_str2127[22];
static unsigned char _2E_str3128[36];
static unsigned char _ZZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2SegmentfE19__PRETTY_FUNCTION__[109];
static unsigned char _2E_str5130[52];
static unsigned char _ZZNK7b2Mat225SolveERK6b2Vec2E19__PRETTY_FUNCTION__[43];
static unsigned char _2E_str6131[11];
static unsigned char _ZZL15ComputeCentroidPK6b2Vec2iE19__PRETTY_FUNCTION__[45];
static unsigned char _2E_str7132[31];
static unsigned char _ZZL10ComputeOBBP5b2OBBPK6b2Vec2iE19__PRETTY_FUNCTION__[46];
static unsigned char _2E_str8133[24];
static unsigned char _2E_str9134[26];
static unsigned char _2E_str10135[28];
static unsigned char _ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[50];
static unsigned char _2E_str11136[61];
static unsigned char _2E_str12137[55];
static unsigned char _2E_str13138[12];
static unsigned char _2E_str14139[12];
static unsigned int  (*_ZTV7b2Joint[12]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI7b2Joint;
static unsigned char _ZTS7b2Joint[9];
static unsigned int  (*_ZTV15b2RevoluteJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2RevoluteJoint;
static unsigned char _ZTS15b2RevoluteJoint[18];
static unsigned char _2E_str146[25];
static unsigned char _2E_str1147[33];
static unsigned char _ZZN6b2BodyD4EvE19__PRETTY_FUNCTION__[18];
static unsigned char _2E_str2148[23];
static unsigned char _ZZN6b2BodyC4EPK9b2BodyDefP7b2WorldE19__PRETTY_FUNCTION__[43];
static unsigned char _ZZN6b2Body8SetXFormERK6b2Vec2fE19__PRETTY_FUNCTION__[46];
static unsigned char _ZZN6b2Body17SetMassFromShapesEvE19__PRETTY_FUNCTION__[33];
static unsigned char _2E_str3149[11];
static unsigned char _ZZN6b2Body11CreateShapeEP10b2ShapeDefE19__PRETTY_FUNCTION__[42];
static unsigned int  (*_ZTV9b2Contact[6]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI9b2Contact;
static unsigned char _ZTS9b2Contact[11];
static unsigned int  (*_ZTV13b2NullContact[6]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2NullContact;
static unsigned char _ZTS13b2NullContact[16];
static unsigned int  (*_ZTV14b2PairCallback[6]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI14b2PairCallback;
static unsigned char _ZTS14b2PairCallback[17];
static unsigned int  (*_ZTV16b2ContactManager[6]) ();
static unsigned char _2E_str153[37];
static unsigned char _2E_str1154[34];
static unsigned char _ZZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2ColorbE19__PRETTY_FUNCTION__[72];
static unsigned char _2E_str2155[29];
static unsigned char _2E_str3156[33];
static unsigned char _ZZN8b2Island3AddEP6b2BodyE19__PRETTY_FUNCTION__[28];
static unsigned char _2E_str4157[35];
static unsigned char _ZZN8b2Island3AddEP9b2ContactE19__PRETTY_FUNCTION__[31];
static unsigned char _2E_str5158[31];
static unsigned char _ZZN8b2Island3AddEP7b2JointE19__PRETTY_FUNCTION__[29];
static unsigned char _2E_str6159[10];
static unsigned char _ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[42];
static unsigned char _2E_str7160[27];
static unsigned char _2E_str8161[23];
static unsigned char _2E_str9162[28];
static unsigned char _ZZN7b2World5SolveERK10b2TimeStepE19__PRETTY_FUNCTION__[39];
static unsigned char _2E_str10163[16];
static unsigned char _ZZN7b2World12DestroyJointEP7b2JointE19__PRETTY_FUNCTION__[37];
static unsigned char _2E_str11164[17];
static unsigned char _ZZN7b2World11CreateJointEPK10b2JointDefE19__PRETTY_FUNCTION__[49];
static unsigned char _2E_str12165[16];
static unsigned char _ZZN7b2World11DestroyBodyEP6b2BodyE19__PRETTY_FUNCTION__[35];
static unsigned char _ZZN7b2World10CreateBodyEPK9b2BodyDefE19__PRETTY_FUNCTION__[46];
static struct l_struct_2E_Os b2_defaultFilter;
static unsigned char _2E_str166[23];
static unsigned char _2E_str1167[42];
static unsigned char _ZZ14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4_E19__PRETTY_FUNCTION__[87];
static unsigned char _2E_str2168[34];
static unsigned int b2_byteCount;
static unsigned char _2E_str169[21];
static unsigned char _2E_str1170[35];
static unsigned char _ZZ6b2FreePvE19__PRETTY_FUNCTION__[19];
static unsigned char _2E_str171[6];
static unsigned char _2E_str1172[41];
static unsigned char _ZZN7b2Joint7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[58];
static unsigned char _ZZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[70];
static unsigned int  (*_ZTV7b2Shape[10]) ();
static unsigned char _ZTS7b2Shape[9];
static unsigned char _2E_str173[26];
static unsigned char _2E_str1174[42];
static unsigned char _ZZN7b2Shape11CreateProxyEP12b2BroadPhaseRK7b2XFormE19__PRETTY_FUNCTION__[57];
static unsigned char _2E_str2175[8];
static unsigned char _ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[28];
static unsigned char _ZZN7b2Shape7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[58];
static unsigned char _ZZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[70];
static unsigned int _ZN16b2BlockAllocator12s_blockSizesE[14];
static unsigned char _2E_str177[36];
static unsigned char _2E_str1178[41];
static unsigned char _ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[42];
static unsigned char _ZN16b2BlockAllocator17s_blockSizeLookupE[641];
static unsigned char _2E_str2179[36];
static bool _ZN16b2BlockAllocator28s_blockSizeLookupInitializedE_2E_b;
static unsigned char _2E_str3180[18];
static unsigned char _ZZN16b2BlockAllocatorC4EvE19__PRETTY_FUNCTION__[37];
static unsigned char _ZZN16b2BlockAllocator8AllocateEiE19__PRETTY_FUNCTION__[40];
static unsigned char _2E_str4181[39];
static unsigned char _2E_str184[13];
static unsigned char _2E_str1185[41];
static unsigned char _ZZN16b2StackAllocatorD4EvE19__PRETTY_FUNCTION__[38];
static unsigned char _2E_str2186[18];
static unsigned char _2E_str3187[17];
static unsigned char _ZZN16b2StackAllocator4FreeEPvE19__PRETTY_FUNCTION__[35];
static unsigned char _2E_str4188[17];
static unsigned char _2E_str5189[34];
static unsigned char _ZZN16b2StackAllocator8AllocateEiE19__PRETTY_FUNCTION__[40];
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2ContactManager;
static unsigned char _ZTS16b2ContactManager[19];
static unsigned char _2E_str1191[40];
static unsigned char _2E_str7197[35];
static unsigned char _ZZN12b2BroadPhase21IncrementOverlapCountEiE19__PRETTY_FUNCTION__[48];
static unsigned char _2E_str8198[7];
static unsigned char _ZZN12b2BroadPhase5QueryEPiS0_ttP7b2BoundiiE19__PRETTY_FUNCTION__[81];
static unsigned char _2E_str9199[38];
static unsigned char _ZZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABBE19__PRETTY_FUNCTION__[66];
static unsigned char _2E_str10200[38];
static unsigned char _2E_str11201[34];
static unsigned char _2E_str12202[17];
static unsigned char _2E_str13203[40];
static unsigned char _ZZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2ProxyE19__PRETTY_FUNCTION__[63];
static unsigned char _2E_str14204[40];
static unsigned char _2E_str15205[41];
static unsigned char _ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[51];
static unsigned char _2E_str16206[41];
static unsigned char _2E_str17207[41];
static unsigned char _2E_str18208[41];
static unsigned char _ZZN12b2BroadPhase9MoveProxyEiRK6b2AABBE19__PRETTY_FUNCTION__[51];
static unsigned char _2E_str20210[50];
static unsigned char _ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[39];
static unsigned char _2E_str21211[41];
static unsigned char _2E_str22212[29];
static unsigned char _ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[55];
static unsigned char _2E_str23213[28];
static unsigned char _2E_str24214[20];
static unsigned char _ZZN12b2BroadPhaseC4ERK6b2AABBP14b2PairCallbackE19__PRETTY_FUNCTION__[59];
static struct l_struct_2E_b2ContactRegister _ZN9b2Contact11s_registersE[2][2];
static bool _ZN9b2Contact13s_initializedE_2E_b;
static unsigned char _2E_str215[22];
static unsigned char _2E_str1216[45];
static unsigned char _ZZN9b2Contact7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[62];
static unsigned char _2E_str2217[51];
static unsigned char _2E_str3218[51];
static unsigned char _ZZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[75];
static unsigned int  (*_ZTV15b2ContactFilter[5]) ();
static struct l_struct_2E___class_type_info_pseudo _ZTI15b2ContactFilter;
static unsigned char _ZTS15b2ContactFilter[18];
static unsigned int  (*_ZTV13b2PulleyJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2PulleyJoint;
static unsigned char _ZTS13b2PulleyJoint[16];
static unsigned char _2E_str221[30];
static unsigned char _2E_str1222[47];
static unsigned char _ZZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[71];
static unsigned char _2E_str2223[30];
static unsigned char _2E_str3224[30];
static unsigned char _2E_str5226[19];
static unsigned char _ZZN13b2PulleyJointC4EPK16b2PulleyJointDefE19__PRETTY_FUNCTION__[54];
static unsigned int  (*_ZTV11b2GearJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11b2GearJoint;
static unsigned char _ZTS11b2GearJoint[14];
static unsigned char _2E_str228[9];
static unsigned char _2E_str1229[45];
static unsigned char _ZZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[69];
static unsigned char _2E_str2230[54];
static unsigned char _ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[48];
static unsigned char _2E_str3231[54];
static unsigned char _2E_str4232[36];
static unsigned char _2E_str5233[36];
static unsigned char _2E_str234[23];
static unsigned char _2E_str1235[38];
static unsigned char _ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[64];
static unsigned char _2E_str2236[23];
static unsigned char _2E_str3237[36];
static unsigned char _2E_str4238[15];
static unsigned char _2E_str5239[15];
static unsigned char _2E_str6240[13];
static unsigned int  (*_ZTV12b2MouseJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI12b2MouseJoint;
static unsigned char _ZTS12b2MouseJoint[15];
static unsigned char _2E_str2244[23];
static unsigned char _2E_str3245[46];
static unsigned char _ZZN12b2MouseJointC4EPK15b2MouseJointDefE19__PRETTY_FUNCTION__[51];
static unsigned int  (*_ZTV13b2CircleShape[10]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2CircleShape;
static unsigned char _ZTS13b2CircleShape[16];
static unsigned char _2E_str246[27];
static unsigned char _2E_str1247[48];
static unsigned char _ZZN13b2CircleShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[48];
static unsigned char _2E_str248[16];
static unsigned char _2E_str1249[41];
static unsigned char _ZZN13b2PairManager10RemovePairEiiE19__PRETTY_FUNCTION__[46];
static unsigned char _2E_str3251[20];
static unsigned char _ZZN13b2PairManager4FindEiijE19__PRETTY_FUNCTION__[50];
static unsigned char _2E_str4252[55];
static unsigned char _ZZN13b2PairManager7AddPairEiiE19__PRETTY_FUNCTION__[45];
static unsigned char _2E_str5253[43];
static unsigned char _ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[50];
static unsigned char _2E_str6254[32];
static unsigned char _2E_str7255[25];
static unsigned char _2E_str8256[33];
static unsigned char _ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[53];
static unsigned char _2E_str9257[24];
static unsigned char _2E_str11259[19];
static unsigned char _ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[29];
static unsigned char _2E_str12260[65];
static unsigned char _2E_str13261[18];
static unsigned char _2E_str14262[18];
static unsigned char _2E_str15263[50];
static unsigned int  (*_ZTV15b2CircleContact[6]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2CircleContact;
static unsigned char _ZTS15b2CircleContact[18];
static unsigned char _2E_str264[37];
static unsigned char _2E_str1265[51];
static unsigned char _ZZN15b2CircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[53];
static unsigned char _2E_str2266[37];
static unsigned char _2E_str268[23];
static unsigned char _2E_str1269[51];
static unsigned char _ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[91];
static unsigned char _2E_str2270[25];
static unsigned char _2E_str3271[26];
static unsigned char _2E_str4272[25];
static unsigned char _2E_str5273[28];
static unsigned char _2E_str6274[26];
static unsigned char _2E_str7275[27];
static unsigned int  (*_ZTV15b2DistanceJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2DistanceJoint;
static unsigned char _ZTS15b2DistanceJoint[18];
static unsigned char _2E_str277[25];
static unsigned char _2E_str1278[49];
static unsigned char _ZZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[73];
static unsigned int  (*_ZTV16b2PolygonContact[6]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2PolygonContact;
static unsigned char _ZTS16b2PolygonContact[19];
static unsigned char _2E_str279[38];
static unsigned char _2E_str1280[49];
static unsigned char _ZZN16b2PolygonContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[55];
static unsigned char _2E_str2281[38];
static unsigned int  (*_ZTV16b2PrismaticJoint[12]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2PrismaticJoint;
static unsigned char _ZTS16b2PrismaticJoint[19];
static unsigned char _2E_str1283[50];
static unsigned char _2E_str2284[30];
static unsigned char _ZZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[74];
static unsigned char _2E_str3285[29];
static unsigned int  (*_ZTV22b2PolyAndCircleContact[6]) ();
static struct l_struct_2E___si_class_type_info_pseudo _ZTI22b2PolyAndCircleContact;
static unsigned char _ZTS22b2PolyAndCircleContact[25];
static unsigned char _2E_str1289[58];
static unsigned char _ZZN22b2PolyAndCircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[67];
static unsigned char _2E_str1292[43];
static unsigned char _ZZ25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_E19__PRETTY_FUNCTION__[121];
static unsigned char _2E_str293[29];
static unsigned char _2E_str1295[41];
static unsigned char _ZZL16FindIncidentEdgeP10ClipVertexPK14b2PolygonShapeRK7b2XFormiS3_S6_E19__PRETTY_FUNCTION__[120];
static unsigned char _ZZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_E19__PRETTY_FUNCTION__[108];


/* Global Variable Definitions and Initialization */
static unsigned char _2E_str[6] = "%f,%f";
static unsigned long long _ZGVZN6Config11userDataDirEvE1d;
static unsigned long long _ZGVZN6Config10planetRootEvE1d;
static unsigned int  (*_ZTV6Canvas[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI6Canvas)), ((unsigned int  (*) ())_ZN6CanvasD1Ev), ((unsigned int  (*) ())_ZN6CanvasD0Ev) };
static struct l_struct_2E___class_type_info_pseudo _ZTI6Canvas = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS6Canvas[((signed int )0u)])) } };
static unsigned char _ZTS6Canvas[8] = "6Canvas";
static unsigned int  (*_ZTV5Image[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI5Image)), ((unsigned int  (*) ())_ZN5ImageD1Ev), ((unsigned int  (*) ())_ZN5ImageD0Ev) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI5Image = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS5Image[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI6Canvas)) };
static unsigned char _ZTS5Image[7] = "5Image";
static unsigned int  (*_ZTV6Window[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI6Window)), ((unsigned int  (*) ())_ZN6WindowD1Ev), ((unsigned int  (*) ())_ZN6WindowD0Ev) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI6Window = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS6Window[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI6Canvas)) };
static unsigned char _ZTS6Window[8] = "6Window";
static unsigned char _2E_str1[6] = "data/";
static unsigned char _2E_str12[26] = "/usr/share/numptyphysics/";
static unsigned char _2E_str2[17] = "loaded image %s\n";
static unsigned char _2E_str3[50] = "warning image %s not converted to display format\n";
static unsigned char _2E_str4[16] = "image not found";
static unsigned char _2E_str5[19] = "_NET_ACTIVE_WINDOW";
static unsigned char _2E_str6[25] = "SDL_VIDEO_X11_WMCLASS=%s";
static unsigned char _2E_str7[25] = "Unable to set video mode";
static unsigned char _2E_str8[3] = "wb";
static unsigned char _2E_str9[3] = "rt";
static unsigned char _2E_str11[4] = "end";
static unsigned char _2E_str213[20] = "invalid level index";
static unsigned char _2E_str314[30] = "addLevel %s already present!\n";
static unsigned char _2E_str415[19] = "addLevel %s at %d\n";
static unsigned char _2E_str516[14] = "top level %s\n";
static unsigned char _2E_str617[36] = "found collection %s with %d levels\n";
static unsigned char _2E_str718[5] = ".npz";
static unsigned char _2E_str819[5] = ".nph";
static unsigned char _2E_str920[2] = "/";
static unsigned char _2E_str10[21] = "bogus level path %s\n";
static unsigned char _2E_str22[12] = "mmap failed";
static unsigned char _2E_str123[14] = "bad zip magic";
static unsigned char _2E_str224[8] = "1.2.3.3";
static unsigned char levelbuf[65536];
static unsigned int  (*_ZTV10b2ShapeDef[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI10b2ShapeDef)), ((unsigned int  (*) ())_ZN10b2ShapeDefD1Ev), ((unsigned int  (*) ())_ZN10b2ShapeDefD0Ev) };
static struct l_struct_2E___class_type_info_pseudo _ZTI10b2ShapeDef = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS10b2ShapeDef[((signed int )0u)])) } };
static unsigned char _ZTS10b2ShapeDef[13] = "10b2ShapeDef";
static unsigned int  (*_ZTV12b2PolygonDef[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI12b2PolygonDef)), ((unsigned int  (*) ())_ZN12b2PolygonDefD1Ev), ((unsigned int  (*) ())_ZN12b2PolygonDefD0Ev) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI12b2PolygonDef = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS12b2PolygonDef[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI10b2ShapeDef)) };
static unsigned char _ZTS12b2PolygonDef[15] = "12b2PolygonDef";
static unsigned int  (*_ZTVN6Stroke6BoxDefE[4]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTIN6Stroke6BoxDefE)), ((unsigned int  (*) ())_ZN6Stroke6BoxDefD1Ev), ((unsigned int  (*) ())_ZN6Stroke6BoxDefD0Ev) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTIN6Stroke6BoxDefE = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTSN6Stroke6BoxDefE[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI12b2PolygonDef)) };
static unsigned char _ZTSN6Stroke6BoxDefE[17] = "N6Stroke6BoxDefE";
static unsigned int  (*_ZTV17b2ContactListener[8]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI17b2ContactListener)), ((unsigned int  (*) ())_ZN17b2ContactListenerD1Ev), ((unsigned int  (*) ())_ZN17b2ContactListenerD0Ev), ((unsigned int  (*) ())_ZN17b2ContactListener3AddEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener7PersistEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener6RemoveEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener6ResultEPK15b2ContactResult) };
static struct l_struct_2E___class_type_info_pseudo _ZTI17b2ContactListener = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS17b2ContactListener[((signed int )0u)])) } };
static unsigned char _ZTS17b2ContactListener[20] = "17b2ContactListener";
static struct l_struct_2E_Transform worldToScreen;
static unsigned int _ZZN4Game14handleModEventER9SDL_EventE3mod;
static struct l_struct_2E_std_3A__3A_string _ZZN6Config10planetRootEvE1d;
static struct l_struct_2E_std_3A__3A_string _ZZN6Config11userDataDirEvE1d;
static unsigned char _2E_str25[12] = "det != 0.0f";
static unsigned char _2E_str126[63] = "Box2D/Include/../Source/Collision/Shapes/../../Common/b2Math.h";
static unsigned char _ZZNK7b2Mat226InvertEvE19__PRETTY_FUNCTION__[32] = "b2Mat22 b2Mat22::Invert() const";
static struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ _ZStL8__ioinit;
static unsigned int SCREEN_WIDTH = 800u;
static unsigned int SCREEN_HEIGHT = 480u;
static struct l_struct_2E_Rect FULLSCREEN_RECT = { { 0u, 0u }, { 799u, 479u } };
static unsigned char _2E_str227[18] = "showMessage \"%s\"\n";
static unsigned int  (*_ZTV5Scene[8]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI5Scene)), ((unsigned int  (*) ())_ZN5SceneD1Ev), ((unsigned int  (*) ())_ZN5SceneD0Ev), ((unsigned int  (*) ())_ZN5Scene3AddEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener7PersistEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener6RemoveEPK14b2ContactPoint), ((unsigned int  (*) ())_ZN17b2ContactListener6ResultEPK15b2ContactResult) };
static struct l_struct_2E___vmi_class_type_info_pseudo1 _ZTI5Scene = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv121__vmi_class_type_infoE)) + 16ull)), ((&_ZTS5Scene[((signed int )0u)])) }, 0u, 1u, { { ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI17b2ContactListener)), 0ull } } };
static unsigned char _ZTS5Scene[7] = "5Scene";
static unsigned int  (*_ZTV11GameControl[9]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11GameControl)), ((unsigned int  (*) ())_ZN11GameControlD1Ev), ((unsigned int  (*) ())_ZN11GameControlD0Ev), ((unsigned int  (*) ())_ZN11GameControl4saveEPKc), ((unsigned int  (*) ())_ZN11GameControl4sendEv), ((unsigned int  (*) ())_ZN11GameControl4loadEPKc), ((unsigned int  (*) ())_ZN11GameControl9gotoLevelEib), ((unsigned int  (*) ())__cxa_pure_virtual) };
static struct l_struct_2E___class_type_info_pseudo _ZTI11GameControl = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS11GameControl[((signed int )0u)])) } };
static unsigned char _ZTS11GameControl[14] = "11GameControl";
static struct l_struct_2E_Rect BOUNDS_RECT = { { 4294967096u, 4294966816u }, { 1000u, 480u } };
static unsigned char _2E_str328[19] = "invalid stroke def";
static struct l_struct_2E_Image *_ZN5Scene9g_bgImageE;
static unsigned char _2E_str429[10] = "paper.jpg";
static unsigned char _2E_str530[41] = "http://timsab.homeip.net/~tim/planet.cgi";
static unsigned char _2E_str631[40] = "/tmp/mailto:numptyphysics@gmail.com.nph";
static unsigned char _2E_str833[13] = "NP-Upload-Id";
static unsigned char _2E_str934[19] = "uploaded as id %s\n";
static unsigned char _2E_str1035[8] = "?level=";
static unsigned char _2E_str1136[25] = "Unable to launch browser";
static unsigned char _2E_str1237[28] = "UploadFailed: unknown error";
static unsigned char _2E_str13[15] = "UploadFailed: ";
static unsigned char _2E_str14[2] = ":";
static unsigned char _2E_str15[14] = "saving to %s\n";
static unsigned char _2E_str16[8] = "Title: ";
static unsigned char _2E_str17[9] = "Author: ";
static unsigned char _2E_str18[13] = "Background: ";
static unsigned char _2E_str19[3] = "E:";
static unsigned char _2E_str20[2] = " ";
static unsigned char _2E_str21[2] = "K";
static unsigned char _2E_str2238[2] = "k";
static unsigned char _2E_str23[2] = "B";
static unsigned char _2E_str24[2] = ",";
static unsigned char _2E_str2539[2] = "b";
static unsigned char _2E_str26[2] = "M";
static unsigned char _2E_str27[28] = "stop recording: %d events:\n";
static unsigned char _2E_str28[6] = "  %s\n";
static unsigned int  (*_ZTV4Game[9]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI4Game)), ((unsigned int  (*) ())_ZN4GameD1Ev), ((unsigned int  (*) ())_ZN4GameD0Ev), ((unsigned int  (*) ())_ZN4Game4saveEPKc), ((unsigned int  (*) ())_ZN4Game4sendEv), ((unsigned int  (*) ())_ZN11GameControl4loadEPKc), ((unsigned int  (*) ())_ZN4Game9gotoLevelEib), ((unsigned int  (*) ())_ZN4Game11renderSceneER6Canvasi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI4Game = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS4Game[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI11GameControl)) };
static unsigned char _ZTS4Game[6] = "4Game";
static unsigned char _2E_str29[15] = "Numpty Physics";
static unsigned char _2E_str30[9] = "NPhysics";
static unsigned char _2E_str31[5] = "HOME";
static unsigned char _2E_str32[15] = ".numptyphysics";
static unsigned char _2E_str33[14] = "L99_saved.nph";
static unsigned char _2E_str34[27] = "start playback: %d events\n";
static unsigned char _2E_str35[10] = "pause.png";
static unsigned char _2E_str37[14] = "overrun %dms\n";
static unsigned char _2E_str38[22] = "SDL_VIDEODRIVER=dummy";
static unsigned char _2E_str39[31] = "SDL_VIDEO_X11_WMCLASS=NPhysics";
static unsigned char _2E_str40[24] = "Couldn't initialize SDL";
static unsigned char _2E_str41[16] = "/.numptyphysics";
static unsigned char _2E_str42[17] = "created user dir";
static unsigned char _2E_str43[26] = "failed to create user dir";
static unsigned char _2E_str44[5] = "-bmp";
static unsigned char _2E_str45[8] = "-rotate";
static unsigned char _2E_str46[10] = "-geometry";
static unsigned char _2E_str47[6] = "%dx%d";
static unsigned char _2E_str48[19] = "generating bmp %s\n";
static unsigned char _2E_str49[5] = ".bmp";
static unsigned char _2E_str50[9] = "Game.cpp";
static unsigned char _2E_str51[5] = "data";
static unsigned char _2E_str52[25] = "/usr/share/numptyphysics";
static unsigned char _2E_str53[13] = "*** CAUGHT: ";
static unsigned int  (*_ZTV7Overlay[11]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI7Overlay)), ((unsigned int  (*) ())_ZN7OverlayD1Ev), ((unsigned int  (*) ())_ZN7OverlayD0Ev), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())_ZN7Overlay6onShowEv), ((unsigned int  (*) ())_ZN7Overlay6onHideEv), ((unsigned int  (*) ())_ZN7Overlay6onTickEi), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual) };
static struct l_struct_2E___class_type_info_pseudo _ZTI7Overlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS7Overlay[((signed int )0u)])) } };
static unsigned char _ZTS7Overlay[9] = "7Overlay";
static unsigned int  (*_ZTV11OverlayBase[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11OverlayBase)), ((unsigned int  (*) ())_ZN11OverlayBaseD1Ev), ((unsigned int  (*) ())_ZN11OverlayBaseD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN11OverlayBase6onShowEv), ((unsigned int  (*) ())_ZN11OverlayBase6onHideEv), ((unsigned int  (*) ())_ZN11OverlayBase6onTickEi), ((unsigned int  (*) ())_ZN11OverlayBase4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11OverlayBase9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11OverlayBase = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS11OverlayBase[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7Overlay)) };
static unsigned char _ZTS11OverlayBase[14] = "11OverlayBase";
static unsigned int  (*_ZTV9UiOverlay[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI9UiOverlay)), ((unsigned int  (*) ())_ZN9UiOverlayD1Ev), ((unsigned int  (*) ())_ZN9UiOverlayD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN11OverlayBase6onShowEv), ((unsigned int  (*) ())_ZN11OverlayBase6onHideEv), ((unsigned int  (*) ())_ZN9UiOverlay6onTickEi), ((unsigned int  (*) ())_ZN11OverlayBase4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11OverlayBase9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI9UiOverlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS9UiOverlay[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI11OverlayBase)) };
static unsigned char _ZTS9UiOverlay[11] = "9UiOverlay";
static unsigned int  (*_ZTV11MenuOverlay[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11MenuOverlay)), ((unsigned int  (*) ())_ZN11MenuOverlayD1Ev), ((unsigned int  (*) ())_ZN11MenuOverlayD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN11MenuOverlay6onShowEv), ((unsigned int  (*) ())_ZN11OverlayBase6onHideEv), ((unsigned int  (*) ())_ZN9UiOverlay6onTickEi), ((unsigned int  (*) ())_ZN11OverlayBase4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11OverlayBase9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11MenuOverlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS11MenuOverlay[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI9UiOverlay)) };
static unsigned char _ZTS11MenuOverlay[14] = "11MenuOverlay";
static unsigned int  (*_ZTV11IconOverlay[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11IconOverlay)), ((unsigned int  (*) ())_ZN11IconOverlayD1Ev), ((unsigned int  (*) ())_ZN11IconOverlayD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN11OverlayBase6onShowEv), ((unsigned int  (*) ())_ZN11OverlayBase6onHideEv), ((unsigned int  (*) ())_ZN11OverlayBase6onTickEi), ((unsigned int  (*) ())_ZN11OverlayBase4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11OverlayBase9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11IconOverlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS11IconOverlay[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI11OverlayBase)) };
static unsigned char _ZTS11IconOverlay[14] = "11IconOverlay";
static unsigned int  (*_ZTV11EditOverlay[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11EditOverlay)), ((unsigned int  (*) ())_ZN11EditOverlayD1Ev), ((unsigned int  (*) ())_ZN11EditOverlayD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN11OverlayBase6onShowEv), ((unsigned int  (*) ())_ZN11OverlayBase6onHideEv), ((unsigned int  (*) ())_ZN11OverlayBase6onTickEi), ((unsigned int  (*) ())_ZN11EditOverlay4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11EditOverlay9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11EditOverlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS11EditOverlay[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI11IconOverlay)) };
static unsigned char _ZTS11EditOverlay[14] = "11EditOverlay";
static unsigned int  (*_ZTV16NextLevelOverlay[13]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI16NextLevelOverlay)), ((unsigned int  (*) ())_ZN16NextLevelOverlayD1Ev), ((unsigned int  (*) ())_ZN16NextLevelOverlayD0Ev), ((unsigned int  (*) ())_ZN11OverlayBase7isDirtyEv), ((unsigned int  (*) ())_ZN11OverlayBase9dirtyAreaEv), ((unsigned int  (*) ())_ZN16NextLevelOverlay6onShowEv), ((unsigned int  (*) ())_ZN16NextLevelOverlay6onHideEv), ((unsigned int  (*) ())_ZN11OverlayBase6onTickEi), ((unsigned int  (*) ())_ZN16NextLevelOverlay4drawER6Canvas), ((unsigned int  (*) ())_ZN11OverlayBase11handleEventER9SDL_Event), ((unsigned int  (*) ())_ZN11OverlayBase7onClickEii), ((unsigned int  (*) ())_ZN11OverlayBase9onHotSpotEi) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16NextLevelOverlay = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS16NextLevelOverlay[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI11IconOverlay)) };
static unsigned char _ZTS16NextLevelOverlay[19] = "16NextLevelOverlay";
static unsigned char _2E_str54[390] = "48,18 47,25 48,25 47,27 48,27 47,29 48,29 47,31 48,33 47,34 48,35 47,40 48,45 49,43 48,43 49,41 48,39 49,38 48,37 47,36 50,34 49,31 44,31 42,30 40,30 36,32 37,33 36,38 35,45 34,47 35,53 34,54 36,56 37,58 38,59 41,59 42,61 43,62 45,62 47,63 49,63 51,64 59,64 61,62 63,62 64,60 66,60 68,58 69,54 70,52 69,52 68,46 67,46 66,42 63,36 62,36 61,34 60,33 59,33 58,32 54,32 53,31 50,31 54,31 53,33";
static unsigned char _2E_str155[9] = "next.png";
static unsigned char _2E_str256[7] = "BRAVO!";
static unsigned char _2E_str357[14] = "Action Replay";
static unsigned char _2E_str458[9] = "Continue";
static unsigned char _2E_str559[11] = "theend.png";
static unsigned char _2E_str660[16] = "no more levels!";
static unsigned char _2E_str761[9] = "edit.png";
static unsigned long long _ZGVZN6Config4fontEvE1f;
static unsigned char _2E_str63[9] = "font.npf";
static struct l_struct_2E_Font _ZZN6Config4fontEvE1f;
static unsigned char _2E_str265[3] = "rb";
static unsigned int brushColours[12] = { 12058624u, 15649024u, 119u, 1083152u, 1052688u, 9127187u, 8900346u, 15624871u, 11680494u, 64154u, 16744192u, 7109515u };
static unsigned char _2E_str71[8] = "http://";
static unsigned char _2E_str172[35] = "Http::get host=%s port=%d file=%s\n";
static unsigned char _2E_str374[5] = "POST";
static unsigned char _2E_str475[17] = "http::post pump\n";
static unsigned char _2E_str576[21] = "http_get wobbly: %s\n";
static struct l_struct_2E___class_type_info_pseudo _ZTIN9happyhttp6WobblyE = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTSN9happyhttp6WobblyE[((signed int )0u)])) } };
static unsigned char _ZTSN9happyhttp6WobblyE[20] = "N9happyhttp6WobblyE";
static unsigned char _2E_str1081[19] = "http status=%d %s\n";
static unsigned char _2E_str183[14] = "happyhttp.cpp";
static unsigned char _ZZN9happyhttp8Response18ProcessDataChunkedEPKhiE19__PRETTY_FUNCTION__[71] = "int happyhttp::Response::ProcessDataChunked(const unsigned char*, int)";
static unsigned char _2E_str284[17] = "m_ChunkLeft >= 0";
static unsigned char _2E_str385[22] = "m_State != STATUSLINE";
static unsigned char _ZZNK9happyhttp8Response9getreasonEvE19__PRETTY_FUNCTION__[51] = "const char* happyhttp::Response::getreason() const";
static unsigned char _ZZNK9happyhttp8Response9getstatusEvE19__PRETTY_FUNCTION__[43] = "int happyhttp::Response::getstatus() const";
static unsigned char _2E_str486[11] = "connection";
static unsigned char _2E_str587[6] = "close";
static unsigned char _2E_str688[11] = "keep-alive";
static unsigned char _2E_str789[18] = "transfer-encoding";
static unsigned char _2E_str890[8] = "chunked";
static unsigned char _2E_str991[15] = "content-length";
static unsigned char _2E_str1092[5] = "HEAD";
static unsigned char _2E_str1294[19] = "BadStatusLine (%s)";
static unsigned char _2E_str1395[10] = "HTTP:/1.0";
static unsigned char _2E_str1496[8] = "HTTP/1.";
static unsigned char _2E_str1597[21] = "UnknownProtocol (%s)";
static unsigned char _2E_str1698[14] = "datasize != 0";
static unsigned char _ZZN9happyhttp8Response4pumpEPKhiE19__PRETTY_FUNCTION__[57] = "int happyhttp::Response::pump(const unsigned char*, int)";
static unsigned char _2E_str1799[18] = "m_Chunked == true";
static unsigned char _2E_str18100[31] = "Connection closed unexpectedly";
static unsigned char _2E_str19101[19] = "putheader() failed";
static unsigned char _2E_str20102[3] = ": ";
static unsigned char _2E_str21103[3] = "%d";
static unsigned char _2E_str22104[23] = "Request already issued";
static unsigned char _2E_str23105[15] = "%s %s HTTP/1.1";
static unsigned char _2E_str24106[5] = "Host";
static unsigned char _2E_str25107[16] = "Accept-Encoding";
static unsigned char _2E_str26108[9] = "identity";
static struct l_struct_2E___mbstate_t_3A__3A__2E__54 _ZZN9happyhttp7atoaddrEPKcE5saddr;
static unsigned char _2E_str27109[7] = "%s: %s";
static unsigned char _2E_str28110[24] = "Invalid network address";
static unsigned char _2E_str29111[9] = "socket()";
static unsigned char _2E_str30112[10] = "connect()";
static unsigned char _2E_str31113[7] = "send()";
static unsigned char _2E_str32114[19] = "Cannot send header";
static unsigned char _2E_str33115[1];
static unsigned char _2E_str34116[3] = "\r\n";
static unsigned char _2E_str36118[15] = "Content-Length";
static unsigned char _2E_str37119[7] = "select";
static unsigned char _2E_str38120[10] = "m_Sock >0";
static unsigned char _ZZN9happyhttp10Connection4pumpEvE19__PRETTY_FUNCTION__[35] = "void happyhttp::Connection::pump()";
static unsigned char _2E_str39121[7] = "recv()";
static unsigned char _2E_str40122[15] = "r->completed()";
static unsigned char _2E_str41123[10] = "used == a";
static struct l_struct_2E___class_type_info_pseudo _ZTI2Os = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS2Os[((signed int )0u)])) } };
static unsigned char _ZTS2Os[4] = "2Os";
static unsigned int  (*_ZTV13OsFreeDesktop[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI13OsFreeDesktop)), ((unsigned int  (*) ())_ZN2Os4pollEv), ((unsigned int  (*) ())_ZN2Os13getLaunchFileEv), ((unsigned int  (*) ())_ZN13OsFreeDesktop11openBrowserEPKc), ((unsigned int  (*) ())_ZN13OsFreeDesktop10saveDialogEPKc) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13OsFreeDesktop = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS13OsFreeDesktop[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI2Os)) };
static unsigned char _ZTS13OsFreeDesktop[16] = "13OsFreeDesktop";
static unsigned long long _ZGVZN2Os3getEvE2os;
static struct l_struct_2E_OsFreeDesktop _ZZN2Os3getEvE2os;
static unsigned char _2E_str124[12] = "xdg-open %s";
static unsigned int  (*_ZTV14b2PolygonShape[10]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI14b2PolygonShape)), ((unsigned int  (*) ())_ZNK14b2PolygonShape9TestPointERK7b2XFormRK6b2Vec2), ((unsigned int  (*) ())_ZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf), ((unsigned int  (*) ())_ZNK14b2PolygonShape11ComputeAABBEP6b2AABBRK7b2XForm), ((unsigned int  (*) ())_ZNK14b2PolygonShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_), ((unsigned int  (*) ())_ZNK14b2PolygonShape11ComputeMassEP10b2MassData), ((unsigned int  (*) ())_ZN14b2PolygonShapeD1Ev), ((unsigned int  (*) ())_ZN14b2PolygonShapeD0Ev), ((unsigned int  (*) ())_ZN14b2PolygonShape17UpdateSweepRadiusERK6b2Vec2) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI14b2PolygonShape = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS14b2PolygonShape[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Shape)) };
static unsigned char _ZTS14b2PolygonShape[17] = "14b2PolygonShape";
static struct l_struct_2E___class_type_info_pseudo _ZTI7b2Shape = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS7b2Shape[((signed int )0u)])) } };
static unsigned char _2E_str125[19] = "m_vertexCount >= 3";
static unsigned char _2E_str1126[49] = "Box2D/Source/Collision/Shapes/b2PolygonShape.cpp";
static unsigned char _ZZNK14b2PolygonShape11ComputeMassEP10b2MassDataE19__PRETTY_FUNCTION__[60] = "virtual void b2PolygonShape::ComputeMass(b2MassData*) const";
static unsigned char _2E_str2127[22] = "area > 1.19209290e-7F";
static unsigned char _2E_str3128[36] = "0.0f <= lower && lower <= maxLambda";
static unsigned char _ZZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2SegmentfE19__PRETTY_FUNCTION__[109] = "virtual bool b2PolygonShape::TestSegment(const b2XForm&, float32*, b2Vec2*, const b2Segment&, float32) const";
static unsigned char _2E_str5130[52] = "Box2D/Source/Collision/Shapes/../../Common/b2Math.h";
static unsigned char _ZZNK7b2Mat225SolveERK6b2Vec2E19__PRETTY_FUNCTION__[43] = "b2Vec2 b2Mat22::Solve(const b2Vec2&) const";
static unsigned char _2E_str6131[11] = "count >= 3";
static unsigned char _ZZL15ComputeCentroidPK6b2Vec2iE19__PRETTY_FUNCTION__[45] = "b2Vec2 ComputeCentroid(const b2Vec2*, int32)";
static unsigned char _2E_str7132[31] = "count <= b2_maxPolygonVertices";
static unsigned char _ZZL10ComputeOBBP5b2OBBPK6b2Vec2iE19__PRETTY_FUNCTION__[46] = "void ComputeOBB(b2OBB*, const b2Vec2*, int32)";
static unsigned char _2E_str8133[24] = "length > 1.19209290e-7F";
static unsigned char _2E_str9134[26] = "minArea < 3.40282347e+38F";
static unsigned char _2E_str10135[28] = "def->type == e_polygonShape";
static unsigned char _ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[50] = "b2PolygonShape::b2PolygonShape(const b2ShapeDef*)";
static unsigned char _2E_str11136[61] = "3 <= m_vertexCount && m_vertexCount <= b2_maxPolygonVertices";
static unsigned char _2E_str12137[55] = "edge.LengthSquared() > 1.19209290e-7F * 1.19209290e-7F";
static unsigned char _2E_str13138[12] = "d.x >= 0.0f";
static unsigned char _2E_str14139[12] = "d.y >= 0.0f";
static unsigned int  (*_ZTV7b2Joint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI7b2Joint)), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())_ZN7b2JointD1Ev), ((unsigned int  (*) ())_ZN7b2JointD0Ev), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())__cxa_pure_virtual) };
static struct l_struct_2E___class_type_info_pseudo _ZTI7b2Joint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS7b2Joint[((signed int )0u)])) } };
static unsigned char _ZTS7b2Joint[9] = "7b2Joint";
static unsigned int  (*_ZTV15b2RevoluteJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI15b2RevoluteJoint)), ((unsigned int  (*) ())_ZNK15b2RevoluteJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK15b2RevoluteJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK15b2RevoluteJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK15b2RevoluteJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN15b2RevoluteJointD1Ev), ((unsigned int  (*) ())_ZN15b2RevoluteJointD0Ev), ((unsigned int  (*) ())_ZN15b2RevoluteJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN15b2RevoluteJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN15b2RevoluteJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2RevoluteJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS15b2RevoluteJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS15b2RevoluteJoint[18] = "15b2RevoluteJoint";
static unsigned char _2E_str146[25] = "m_world->m_lock == false";
static unsigned char _2E_str1147[33] = "Box2D/Source/Dynamics/b2Body.cpp";
static unsigned char _ZZN6b2BodyD4EvE19__PRETTY_FUNCTION__[18] = "b2Body::~b2Body()";
static unsigned char _2E_str2148[23] = "world->m_lock == false";
static unsigned char _ZZN6b2BodyC4EPK9b2BodyDefP7b2WorldE19__PRETTY_FUNCTION__[43] = "b2Body::b2Body(const b2BodyDef*, b2World*)";
static unsigned char _ZZN6b2Body8SetXFormERK6b2Vec2fE19__PRETTY_FUNCTION__[46] = "bool b2Body::SetXForm(const b2Vec2&, float32)";
static unsigned char _ZZN6b2Body17SetMassFromShapesEvE19__PRETTY_FUNCTION__[33] = "void b2Body::SetMassFromShapes()";
static unsigned char _2E_str3149[11] = "m_I > 0.0f";
static unsigned char _ZZN6b2Body11CreateShapeEP10b2ShapeDefE19__PRETTY_FUNCTION__[42] = "b2Shape* b2Body::CreateShape(b2ShapeDef*)";
static unsigned int  (*_ZTV9b2Contact[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI9b2Contact)), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())_ZN9b2ContactD1Ev), ((unsigned int  (*) ())_ZN9b2ContactD0Ev), ((unsigned int  (*) ())__cxa_pure_virtual) };
static struct l_struct_2E___class_type_info_pseudo _ZTI9b2Contact = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS9b2Contact[((signed int )0u)])) } };
static unsigned char _ZTS9b2Contact[11] = "9b2Contact";
static unsigned int  (*_ZTV13b2NullContact[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI13b2NullContact)), ((unsigned int  (*) ())_ZN13b2NullContact12GetManifoldsEv), ((unsigned int  (*) ())_ZN13b2NullContactD1Ev), ((unsigned int  (*) ())_ZN13b2NullContactD0Ev), ((unsigned int  (*) ())_ZN13b2NullContact8EvaluateEP17b2ContactListener) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2NullContact = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS13b2NullContact[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI9b2Contact)) };
static unsigned char _ZTS13b2NullContact[16] = "13b2NullContact";
static unsigned int  (*_ZTV14b2PairCallback[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI14b2PairCallback)), ((unsigned int  (*) ())_ZN14b2PairCallbackD1Ev), ((unsigned int  (*) ())_ZN14b2PairCallbackD0Ev), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual) };
static struct l_struct_2E___class_type_info_pseudo _ZTI14b2PairCallback = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS14b2PairCallback[((signed int )0u)])) } };
static unsigned char _ZTS14b2PairCallback[17] = "14b2PairCallback";
static unsigned int  (*_ZTV16b2ContactManager[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI16b2ContactManager)), ((unsigned int  (*) ())_ZN16b2ContactManagerD1Ev), ((unsigned int  (*) ())_ZN16b2ContactManagerD0Ev), ((unsigned int  (*) ())_ZN16b2ContactManager9PairAddedEPvS0_), ((unsigned int  (*) ())_ZN16b2ContactManager11PairRemovedEPvS0_S0_) };
static unsigned char _2E_str153[37] = "vertexCount <= b2_maxPolygonVertices";
static unsigned char _2E_str1154[34] = "Box2D/Source/Dynamics/b2World.cpp";
static unsigned char _ZZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2ColorbE19__PRETTY_FUNCTION__[72] = "void b2World::DrawShape(b2Shape*, const b2XForm&, const b2Color&, bool)";
static unsigned char _2E_str2155[29] = "m_bodyCount < m_bodyCapacity";
static unsigned char _2E_str3156[33] = "Box2D/Source/Dynamics/b2Island.h";
static unsigned char _ZZN8b2Island3AddEP6b2BodyE19__PRETTY_FUNCTION__[28] = "void b2Island::Add(b2Body*)";
static unsigned char _2E_str4157[35] = "m_contactCount < m_contactCapacity";
static unsigned char _ZZN8b2Island3AddEP9b2ContactE19__PRETTY_FUNCTION__[31] = "void b2Island::Add(b2Contact*)";
static unsigned char _2E_str5158[31] = "m_jointCount < m_jointCapacity";
static unsigned char _ZZN8b2Island3AddEP7b2JointE19__PRETTY_FUNCTION__[29] = "void b2Island::Add(b2Joint*)";
static unsigned char _2E_str6159[10] = "t0 < 1.0f";
static unsigned char _ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[42] = "void b2World::SolveTOI(const b2TimeStep&)";
static unsigned char _2E_str7160[27] = "0.0f <= toi && toi <= 1.0f";
static unsigned char _2E_str8161[23] = "stackCount < stackSize";
static unsigned char _2E_str9162[28] = "subStep.dt > 1.19209290e-7F";
static unsigned char _ZZN7b2World5SolveERK10b2TimeStepE19__PRETTY_FUNCTION__[39] = "void b2World::Solve(const b2TimeStep&)";
static unsigned char _2E_str10163[16] = "m_lock == false";
static unsigned char _ZZN7b2World12DestroyJointEP7b2JointE19__PRETTY_FUNCTION__[37] = "void b2World::DestroyJoint(b2Joint*)";
static unsigned char _2E_str11164[17] = "m_jointCount > 0";
static unsigned char _ZZN7b2World11CreateJointEPK10b2JointDefE19__PRETTY_FUNCTION__[49] = "b2Joint* b2World::CreateJoint(const b2JointDef*)";
static unsigned char _2E_str12165[16] = "m_bodyCount > 0";
static unsigned char _ZZN7b2World11DestroyBodyEP6b2BodyE19__PRETTY_FUNCTION__[35] = "void b2World::DestroyBody(b2Body*)";
static unsigned char _ZZN7b2World10CreateBodyEPK9b2BodyDefE19__PRETTY_FUNCTION__[46] = "b2Body* b2World::CreateBody(const b2BodyDef*)";
static struct l_struct_2E_Os b2_defaultFilter;
static unsigned char _2E_str166[23] = "sweep1.t0 == sweep2.t0";
static unsigned char _2E_str1167[42] = "Box2D/Source/Collision/b2TimeOfImpact.cpp";
static unsigned char _ZZ14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4_E19__PRETTY_FUNCTION__[87] = "float32 b2TimeOfImpact(const b2Shape*, const b2Sweep&, const b2Shape*, const b2Sweep&)";
static unsigned char _2E_str2168[34] = "1.0f - sweep1.t0 > 1.19209290e-7F";
static unsigned int b2_byteCount;
static unsigned char _2E_str169[21] = "b2_byteCount >= size";
static unsigned char _2E_str1170[35] = "Box2D/Source/Common/b2Settings.cpp";
static unsigned char _ZZ6b2FreePvE19__PRETTY_FUNCTION__[19] = "void b2Free(void*)";
static unsigned char _2E_str171[6] = "false";
static unsigned char _2E_str1172[41] = "Box2D/Source/Dynamics/Joints/b2Joint.cpp";
static unsigned char _ZZN7b2Joint7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[58] = "static void b2Joint::Destroy(b2Joint*, b2BlockAllocator*)";
static unsigned char _ZZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[70] = "static b2Joint* b2Joint::Create(const b2JointDef*, b2BlockAllocator*)";
static unsigned int  (*_ZTV7b2Shape[10]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI7b2Shape)), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())__cxa_pure_virtual), ((unsigned int  (*) ())_ZN7b2ShapeD1Ev), ((unsigned int  (*) ())_ZN7b2ShapeD0Ev), ((unsigned int  (*) ())__cxa_pure_virtual) };
static unsigned char _ZTS7b2Shape[9] = "7b2Shape";
static unsigned char _2E_str173[26] = "m_proxyId == b2_nullProxy";
static unsigned char _2E_str1174[42] = "Box2D/Source/Collision/Shapes/b2Shape.cpp";
static unsigned char _ZZN7b2Shape11CreateProxyEP12b2BroadPhaseRK7b2XFormE19__PRETTY_FUNCTION__[57] = "void b2Shape::CreateProxy(b2BroadPhase*, const b2XForm&)";
static unsigned char _2E_str2175[8] = "inRange";
static unsigned char _ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[28] = "virtual b2Shape::~b2Shape()";
static unsigned char _ZZN7b2Shape7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[58] = "static void b2Shape::Destroy(b2Shape*, b2BlockAllocator*)";
static unsigned char _ZZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[70] = "static b2Shape* b2Shape::Create(const b2ShapeDef*, b2BlockAllocator*)";
static unsigned int _ZN16b2BlockAllocator12s_blockSizesE[14] = { 16u, 32u, 64u, 96u, 128u, 160u, 192u, 224u, 256u, 320u, 384u, 448u, 512u, 640u };
static unsigned char _2E_str177[36] = "0 < size && size <= b2_maxBlockSize";
static unsigned char _2E_str1178[41] = "Box2D/Source/Common/b2BlockAllocator.cpp";
static unsigned char _ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[42] = "void b2BlockAllocator::Free(void*, int32)";
static unsigned char _ZN16b2BlockAllocator17s_blockSizeLookupE[641];
static unsigned char _2E_str2179[36] = "0 <= index && index < b2_blockSizes";
static bool _ZN16b2BlockAllocator28s_blockSizeLookupInitializedE_2E_b;
static unsigned char _2E_str3180[18] = "j < b2_blockSizes";
static unsigned char _ZZN16b2BlockAllocatorC4EvE19__PRETTY_FUNCTION__[37] = "b2BlockAllocator::b2BlockAllocator()";
static unsigned char _ZZN16b2BlockAllocator8AllocateEiE19__PRETTY_FUNCTION__[40] = "void* b2BlockAllocator::Allocate(int32)";
static unsigned char _2E_str4181[39] = "blockCount * blockSize <= b2_chunkSize";
static unsigned char _2E_str184[13] = "m_index == 0";
static unsigned char _2E_str1185[41] = "Box2D/Source/Common/b2StackAllocator.cpp";
static unsigned char _ZZN16b2StackAllocatorD4EvE19__PRETTY_FUNCTION__[38] = "b2StackAllocator::~b2StackAllocator()";
static unsigned char _2E_str2186[18] = "m_entryCount == 0";
static unsigned char _2E_str3187[17] = "m_entryCount > 0";
static unsigned char _ZZN16b2StackAllocator4FreeEPvE19__PRETTY_FUNCTION__[35] = "void b2StackAllocator::Free(void*)";
static unsigned char _2E_str4188[17] = "p == entry->data";
static unsigned char _2E_str5189[34] = "m_entryCount < b2_maxStackEntries";
static unsigned char _ZZN16b2StackAllocator8AllocateEiE19__PRETTY_FUNCTION__[40] = "void* b2StackAllocator::Allocate(int32)";
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2ContactManager = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS16b2ContactManager[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI14b2PairCallback)) };
static unsigned char _ZTS16b2ContactManager[19] = "16b2ContactManager";
static unsigned char _2E_str1191[40] = "Box2D/Source/Collision/b2BroadPhase.cpp";
static unsigned char _2E_str7197[35] = "m_queryResultCount < b2_maxProxies";
static unsigned char _ZZN12b2BroadPhase21IncrementOverlapCountEiE19__PRETTY_FUNCTION__[48] = "void b2BroadPhase::IncrementOverlapCount(int32)";
static unsigned char _2E_str8198[7] = "i >= 0";
static unsigned char _ZZN12b2BroadPhase5QueryEPiS0_ttP7b2BoundiiE19__PRETTY_FUNCTION__[81] = "void b2BroadPhase::Query(int32*, int32*, uint16, uint16, b2Bound*, int32, int32)";
static unsigned char _2E_str9199[38] = "aabb.upperBound.x > aabb.lowerBound.x";
static unsigned char _ZZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABBE19__PRETTY_FUNCTION__[66] = "void b2BroadPhase::ComputeBounds(uint16*, uint16*, const b2AABB&)";
static unsigned char _2E_str10200[38] = "aabb.upperBound.y > aabb.lowerBound.y";
static unsigned char _2E_str11201[34] = "m_queryResults[i] < b2_maxProxies";
static unsigned char _2E_str12202[17] = "proxy->IsValid()";
static unsigned char _2E_str13203[40] = "p->lowerBounds[axis] < 2 * m_proxyCount";
static unsigned char _ZZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2ProxyE19__PRETTY_FUNCTION__[63] = "bool b2BroadPhase::TestOverlap(const b2BoundValues&, b2Proxy*)";
static unsigned char _2E_str14204[40] = "p->upperBounds[axis] < 2 * m_proxyCount";
static unsigned char _2E_str15205[41] = "p1->lowerBounds[axis] < 2 * m_proxyCount";
static unsigned char _ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[51] = "bool b2BroadPhase::TestOverlap(b2Proxy*, b2Proxy*)";
static unsigned char _2E_str16206[41] = "p1->upperBounds[axis] < 2 * m_proxyCount";
static unsigned char _2E_str17207[41] = "p2->lowerBounds[axis] < 2 * m_proxyCount";
static unsigned char _2E_str18208[41] = "p2->upperBounds[axis] < 2 * m_proxyCount";
static unsigned char _ZZN12b2BroadPhase9MoveProxyEiRK6b2AABBE19__PRETTY_FUNCTION__[51] = "void b2BroadPhase::MoveProxy(int32, const b2AABB&)";
static unsigned char _2E_str20210[50] = "0 < m_proxyCount && m_proxyCount <= b2_maxProxies";
static unsigned char _ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[39] = "void b2BroadPhase::DestroyProxy(int32)";
static unsigned char _2E_str21211[41] = "m_proxyPool[m_queryResults[i]].IsValid()";
static unsigned char _2E_str22212[29] = "m_proxyCount < b2_maxProxies";
static unsigned char _ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[55] = "uint16 b2BroadPhase::CreateProxy(const b2AABB&, void*)";
static unsigned char _2E_str23213[28] = "m_freeProxy != b2_nullProxy";
static unsigned char _2E_str24214[20] = "worldAABB.IsValid()";
static unsigned char _ZZN12b2BroadPhaseC4ERK6b2AABBP14b2PairCallbackE19__PRETTY_FUNCTION__[59] = "b2BroadPhase::b2BroadPhase(const b2AABB&, b2PairCallback*)";
static struct l_struct_2E_b2ContactRegister _ZN9b2Contact11s_registersE[2][2];
static bool _ZN9b2Contact13s_initializedE_2E_b;
static unsigned char _2E_str215[22] = "s_initialized == true";
static unsigned char _2E_str1216[45] = "Box2D/Source/Dynamics/Contacts/b2Contact.cpp";
static unsigned char _ZZN9b2Contact7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[62] = "static void b2Contact::Destroy(b2Contact*, b2BlockAllocator*)";
static unsigned char _2E_str2217[51] = "e_unknownShape < type1 && type1 < e_shapeTypeCount";
static unsigned char _2E_str3218[51] = "e_unknownShape < type2 && type2 < e_shapeTypeCount";
static unsigned char _ZZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[75] = "static b2Contact* b2Contact::Create(b2Shape*, b2Shape*, b2BlockAllocator*)";
static unsigned int  (*_ZTV15b2ContactFilter[5]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI15b2ContactFilter)), ((unsigned int  (*) ())_ZN15b2ContactFilterD1Ev), ((unsigned int  (*) ())_ZN15b2ContactFilterD0Ev), ((unsigned int  (*) ())_ZN15b2ContactFilter13ShouldCollideEP7b2ShapeS1_) };
static struct l_struct_2E___class_type_info_pseudo _ZTI15b2ContactFilter = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv117__class_type_infoE)) + 16ull)), ((&_ZTS15b2ContactFilter[((signed int )0u)])) } };
static unsigned char _ZTS15b2ContactFilter[18] = "15b2ContactFilter";
static unsigned int  (*_ZTV13b2PulleyJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI13b2PulleyJoint)), ((unsigned int  (*) ())_ZNK13b2PulleyJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK13b2PulleyJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK13b2PulleyJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK13b2PulleyJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN13b2PulleyJointD1Ev), ((unsigned int  (*) ())_ZN13b2PulleyJointD0Ev), ((unsigned int  (*) ())_ZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN13b2PulleyJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN13b2PulleyJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2PulleyJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS13b2PulleyJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS13b2PulleyJoint[16] = "13b2PulleyJoint";
static unsigned char _2E_str221[30] = "m_limitMass1 > 1.19209290e-7F";
static unsigned char _2E_str1222[47] = "Box2D/Source/Dynamics/Joints/b2PulleyJoint.cpp";
static unsigned char _ZZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[71] = "virtual void b2PulleyJoint::InitVelocityConstraints(const b2TimeStep&)";
static unsigned char _2E_str2223[30] = "m_limitMass2 > 1.19209290e-7F";
static unsigned char _2E_str3224[30] = "m_pulleyMass > 1.19209290e-7F";
static unsigned char _2E_str5226[19] = "def->ratio != 0.0f";
static unsigned char _ZZN13b2PulleyJointC4EPK16b2PulleyJointDefE19__PRETTY_FUNCTION__[54] = "b2PulleyJoint::b2PulleyJoint(const b2PulleyJointDef*)";
static unsigned int  (*_ZTV11b2GearJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI11b2GearJoint)), ((unsigned int  (*) ())_ZNK11b2GearJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK11b2GearJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK11b2GearJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK11b2GearJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN11b2GearJointD1Ev), ((unsigned int  (*) ())_ZN11b2GearJointD0Ev), ((unsigned int  (*) ())_ZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN11b2GearJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN11b2GearJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI11b2GearJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS11b2GearJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS11b2GearJoint[14] = "11b2GearJoint";
static unsigned char _2E_str228[9] = "K > 0.0f";
static unsigned char _2E_str1229[45] = "Box2D/Source/Dynamics/Joints/b2GearJoint.cpp";
static unsigned char _ZZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[69] = "virtual void b2GearJoint::InitVelocityConstraints(const b2TimeStep&)";
static unsigned char _2E_str2230[54] = "type1 == e_revoluteJoint || type1 == e_prismaticJoint";
static unsigned char _ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[48] = "b2GearJoint::b2GearJoint(const b2GearJointDef*)";
static unsigned char _2E_str3231[54] = "type2 == e_revoluteJoint || type2 == e_prismaticJoint";
static unsigned char _2E_str4232[36] = "def->joint1->GetBody1()->IsStatic()";
static unsigned char _2E_str5233[36] = "def->joint2->GetBody1()->IsStatic()";
static unsigned char _2E_str234[23] = "sn > 0.0f || tn > 0.0f";
static unsigned char _2E_str1235[38] = "Box2D/Source/Collision/b2Distance.cpp";
static unsigned char _ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[64] = "int32 ProcessThree(b2Vec2*, b2Vec2*, b2Vec2*, b2Vec2*, b2Vec2*)";
static unsigned char _2E_str2236[23] = "sd > 0.0f || un > 0.0f";
static unsigned char _2E_str3237[36] = "vc > 0.0f || sn > 0.0f || sd > 0.0f";
static unsigned char _2E_str4238[15] = "un + ud > 0.0f";
static unsigned char _2E_str5239[15] = "tn + td > 0.0f";
static unsigned char _2E_str6240[13] = "denom > 0.0f";
static unsigned int  (*_ZTV12b2MouseJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI12b2MouseJoint)), ((unsigned int  (*) ())_ZNK12b2MouseJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK12b2MouseJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK12b2MouseJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK12b2MouseJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN12b2MouseJointD1Ev), ((unsigned int  (*) ())_ZN12b2MouseJointD0Ev), ((unsigned int  (*) ())_ZN12b2MouseJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN12b2MouseJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN12b2MouseJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI12b2MouseJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS12b2MouseJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS12b2MouseJoint[15] = "12b2MouseJoint";
static unsigned char _2E_str2244[23] = "d + k > 1.19209290e-7F";
static unsigned char _2E_str3245[46] = "Box2D/Source/Dynamics/Joints/b2MouseJoint.cpp";
static unsigned char _ZZN12b2MouseJointC4EPK15b2MouseJointDefE19__PRETTY_FUNCTION__[51] = "b2MouseJoint::b2MouseJoint(const b2MouseJointDef*)";
static unsigned int  (*_ZTV13b2CircleShape[10]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI13b2CircleShape)), ((unsigned int  (*) ())_ZNK13b2CircleShape9TestPointERK7b2XFormRK6b2Vec2), ((unsigned int  (*) ())_ZNK13b2CircleShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf), ((unsigned int  (*) ())_ZNK13b2CircleShape11ComputeAABBEP6b2AABBRK7b2XForm), ((unsigned int  (*) ())_ZNK13b2CircleShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_), ((unsigned int  (*) ())_ZNK13b2CircleShape11ComputeMassEP10b2MassData), ((unsigned int  (*) ())_ZN13b2CircleShapeD1Ev), ((unsigned int  (*) ())_ZN13b2CircleShapeD0Ev), ((unsigned int  (*) ())_ZN13b2CircleShape17UpdateSweepRadiusERK6b2Vec2) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI13b2CircleShape = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS13b2CircleShape[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Shape)) };
static unsigned char _ZTS13b2CircleShape[16] = "13b2CircleShape";
static unsigned char _2E_str246[27] = "def->type == e_circleShape";
static unsigned char _2E_str1247[48] = "Box2D/Source/Collision/Shapes/b2CircleShape.cpp";
static unsigned char _ZZN13b2CircleShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[48] = "b2CircleShape::b2CircleShape(const b2ShapeDef*)";
static unsigned char _2E_str248[16] = "m_pairCount > 0";
static unsigned char _2E_str1249[41] = "Box2D/Source/Collision/b2PairManager.cpp";
static unsigned char _ZZN13b2PairManager10RemovePairEiiE19__PRETTY_FUNCTION__[46] = "void* b2PairManager::RemovePair(int32, int32)";
static unsigned char _2E_str3251[20] = "index < b2_maxPairs";
static unsigned char _ZZN13b2PairManager4FindEiijE19__PRETTY_FUNCTION__[50] = "b2Pair* b2PairManager::Find(int32, int32, uint32)";
static unsigned char _2E_str4252[55] = "m_pairCount < b2_maxPairs && m_freePair != b2_nullPair";
static unsigned char _ZZN13b2PairManager7AddPairEiiE19__PRETTY_FUNCTION__[45] = "b2Pair* b2PairManager::AddPair(int32, int32)";
static unsigned char _2E_str5253[43] = "id1 != b2_nullProxy && id2 != b2_nullProxy";
static unsigned char _ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[50] = "void b2PairManager::AddBufferedPair(int32, int32)";
static unsigned char _2E_str6254[32] = "m_pairBufferCount < b2_maxPairs";
static unsigned char _2E_str7255[25] = "pair->IsFinal() == false";
static unsigned char _2E_str8256[33] = "m_pairBufferCount <= m_pairCount";
static unsigned char _ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[53] = "void b2PairManager::RemoveBufferedPair(int32, int32)";
static unsigned char _2E_str9257[24] = "pair->IsFinal() == true";
static unsigned char _2E_str11259[19] = "pair->IsBuffered()";
static unsigned char _ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[29] = "void b2PairManager::Commit()";
static unsigned char _2E_str12260[65] = "pair->proxyId1 < b2_maxProxies && pair->proxyId2 < b2_maxProxies";
static unsigned char _2E_str13261[18] = "proxy1->IsValid()";
static unsigned char _2E_str14262[18] = "proxy2->IsValid()";
static unsigned char _2E_str15263[50] = "m_broadPhase->TestOverlap(proxy1, proxy2) == true";
static unsigned int  (*_ZTV15b2CircleContact[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI15b2CircleContact)), ((unsigned int  (*) ())_ZN15b2CircleContact12GetManifoldsEv), ((unsigned int  (*) ())_ZN15b2CircleContactD1Ev), ((unsigned int  (*) ())_ZN15b2CircleContactD0Ev), ((unsigned int  (*) ())_ZN15b2CircleContact8EvaluateEP17b2ContactListener) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2CircleContact = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS15b2CircleContact[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI9b2Contact)) };
static unsigned char _ZTS15b2CircleContact[18] = "15b2CircleContact";
static unsigned char _2E_str264[37] = "m_shape1->GetType() == e_circleShape";
static unsigned char _2E_str1265[51] = "Box2D/Source/Dynamics/Contacts/b2CircleContact.cpp";
static unsigned char _ZZN15b2CircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[53] = "b2CircleContact::b2CircleContact(b2Shape*, b2Shape*)";
static unsigned char _2E_str2266[37] = "m_shape2->GetType() == e_circleShape";
static unsigned char _2E_str268[23] = "contacts[i]->IsSolid()";
static unsigned char _2E_str1269[51] = "Box2D/Source/Dynamics/Contacts/b2ContactSolver.cpp";
static unsigned char _ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[91] = "b2ContactSolver::b2ContactSolver(const b2TimeStep&, b2Contact**, int32, b2StackAllocator*)";
static unsigned char _2E_str2270[25] = "manifold->pointCount > 0";
static unsigned char _2E_str3271[26] = "count < m_constraintCount";
static unsigned char _2E_str4272[25] = "kNormal > 1.19209290e-7F";
static unsigned char _2E_str5273[28] = "kEqualized > 1.19209290e-7F";
static unsigned char _2E_str6274[26] = "kTangent > 1.19209290e-7F";
static unsigned char _2E_str7275[27] = "count == m_constraintCount";
static unsigned int  (*_ZTV15b2DistanceJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI15b2DistanceJoint)), ((unsigned int  (*) ())_ZNK15b2DistanceJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK15b2DistanceJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK15b2DistanceJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK15b2DistanceJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN15b2DistanceJointD1Ev), ((unsigned int  (*) ())_ZN15b2DistanceJointD0Ev), ((unsigned int  (*) ())_ZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN15b2DistanceJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN15b2DistanceJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI15b2DistanceJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS15b2DistanceJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS15b2DistanceJoint[18] = "15b2DistanceJoint";
static unsigned char _2E_str277[25] = "invMass > 1.19209290e-7F";
static unsigned char _2E_str1278[49] = "Box2D/Source/Dynamics/Joints/b2DistanceJoint.cpp";
static unsigned char _ZZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[73] = "virtual void b2DistanceJoint::InitVelocityConstraints(const b2TimeStep&)";
static unsigned int  (*_ZTV16b2PolygonContact[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI16b2PolygonContact)), ((unsigned int  (*) ())_ZN16b2PolygonContact12GetManifoldsEv), ((unsigned int  (*) ())_ZN16b2PolygonContactD1Ev), ((unsigned int  (*) ())_ZN16b2PolygonContactD0Ev), ((unsigned int  (*) ())_ZN16b2PolygonContact8EvaluateEP17b2ContactListener) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2PolygonContact = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS16b2PolygonContact[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI9b2Contact)) };
static unsigned char _ZTS16b2PolygonContact[19] = "16b2PolygonContact";
static unsigned char _2E_str279[38] = "m_shape1->GetType() == e_polygonShape";
static unsigned char _2E_str1280[49] = "Box2D/Source/Dynamics/Contacts/b2PolyContact.cpp";
static unsigned char _ZZN16b2PolygonContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[55] = "b2PolygonContact::b2PolygonContact(b2Shape*, b2Shape*)";
static unsigned char _2E_str2281[38] = "m_shape2->GetType() == e_polygonShape";
static unsigned int  (*_ZTV16b2PrismaticJoint[12]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI16b2PrismaticJoint)), ((unsigned int  (*) ())_ZNK16b2PrismaticJoint10GetAnchor1Ev), ((unsigned int  (*) ())_ZNK16b2PrismaticJoint10GetAnchor2Ev), ((unsigned int  (*) ())_ZNK16b2PrismaticJoint16GetReactionForceEv), ((unsigned int  (*) ())_ZNK16b2PrismaticJoint17GetReactionTorqueEv), ((unsigned int  (*) ())_ZN16b2PrismaticJointD1Ev), ((unsigned int  (*) ())_ZN16b2PrismaticJointD0Ev), ((unsigned int  (*) ())_ZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN16b2PrismaticJoint24SolveVelocityConstraintsERK10b2TimeStep), ((unsigned int  (*) ())_ZN7b2Joint23InitPositionConstraintsEv), ((unsigned int  (*) ())_ZN16b2PrismaticJoint24SolvePositionConstraintsEv) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI16b2PrismaticJoint = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS16b2PrismaticJoint[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI7b2Joint)) };
static unsigned char _ZTS16b2PrismaticJoint[19] = "16b2PrismaticJoint";
static unsigned char _2E_str1283[50] = "Box2D/Source/Dynamics/Joints/b2PrismaticJoint.cpp";
static unsigned char _2E_str2284[30] = "m_linearMass > 1.19209290e-7F";
static unsigned char _ZZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[74] = "virtual void b2PrismaticJoint::InitVelocityConstraints(const b2TimeStep&)";
static unsigned char _2E_str3285[29] = "m_motorMass > 1.19209290e-7F";
static unsigned int  (*_ZTV22b2PolyAndCircleContact[6]) () = { ((unsigned int  (*) ())/*NULL*/0), ((unsigned int  (*) ())(&_ZTI22b2PolyAndCircleContact)), ((unsigned int  (*) ())_ZN22b2PolyAndCircleContact12GetManifoldsEv), ((unsigned int  (*) ())_ZN22b2PolyAndCircleContactD1Ev), ((unsigned int  (*) ())_ZN22b2PolyAndCircleContactD0Ev), ((unsigned int  (*) ())_ZN22b2PolyAndCircleContact8EvaluateEP17b2ContactListener) };
static struct l_struct_2E___si_class_type_info_pseudo _ZTI22b2PolyAndCircleContact = { { ((unsigned char *)(unsigned long)(((unsigned long long )(unsigned long)(&_ZTVN10__cxxabiv120__si_class_type_infoE)) + 16ull)), ((&_ZTS22b2PolyAndCircleContact[((signed int )0u)])) }, ((struct l_struct_2E_std_3A__3A_type_info *)(&_ZTI9b2Contact)) };
static unsigned char _ZTS22b2PolyAndCircleContact[25] = "22b2PolyAndCircleContact";
static unsigned char _2E_str1289[58] = "Box2D/Source/Dynamics/Contacts/b2PolyAndCircleContact.cpp";
static unsigned char _ZZN22b2PolyAndCircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[67] = "b2PolyAndCircleContact::b2PolyAndCircleContact(b2Shape*, b2Shape*)";
static unsigned char _2E_str1292[43] = "Box2D/Source/Collision/b2CollideCircle.cpp";
static unsigned char _ZZ25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_E19__PRETTY_FUNCTION__[121] = "void b2CollidePolygonAndCircle(b2Manifold*, const b2PolygonShape*, const b2XForm&, const b2CircleShape*, const b2XForm&)";
static unsigned char _2E_str293[29] = "0 <= edge1 && edge1 < count1";
static unsigned char _2E_str1295[41] = "Box2D/Source/Collision/b2CollidePoly.cpp";
static unsigned char _ZZL16FindIncidentEdgeP10ClipVertexPK14b2PolygonShapeRK7b2XFormiS3_S6_E19__PRETTY_FUNCTION__[120] = "void FindIncidentEdge(ClipVertex*, const b2PolygonShape*, const b2XForm&, int32, const b2PolygonShape*, const b2XForm&)";
static unsigned char _ZZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_E19__PRETTY_FUNCTION__[108] = "float32 EdgeSeparation(const b2PolygonShape*, const b2XForm&, int32, const b2PolygonShape*, const b2XForm&)";


/* Function Bodies */
static inline int llvm_fcmp_ord(double X, double Y) { return X == X && Y == Y; }
static inline int llvm_fcmp_uno(double X, double Y) { return X != X || Y != Y; }
static inline int llvm_fcmp_ueq(double X, double Y) { return X == Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_une(double X, double Y) { return X != Y; }
static inline int llvm_fcmp_ult(double X, double Y) { return X <  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ugt(double X, double Y) { return X >  Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_ule(double X, double Y) { return X <= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_uge(double X, double Y) { return X >= Y || llvm_fcmp_uno(X, Y); }
static inline int llvm_fcmp_oeq(double X, double Y) { return X == Y ; }
static inline int llvm_fcmp_one(double X, double Y) { return X != Y && llvm_fcmp_ord(X, Y); }
static inline int llvm_fcmp_olt(double X, double Y) { return X <  Y ; }
static inline int llvm_fcmp_ogt(double X, double Y) { return X >  Y ; }
static inline int llvm_fcmp_ole(double X, double Y) { return X <= Y ; }
static inline int llvm_fcmp_oge(double X, double Y) { return X >= Y ; }

static float _ZN7Segment10distanceToERK4Vec2(struct l_struct_2E_Rect *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_p) {
  unsigned char llvm_cbe_withinLine;    /* Address-exposed local */
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp4;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp11_2e_i_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp14_2e_i_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i168_2e_i49__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i171_2e_i56__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i171_2e_i565758_2e_ins;
  float llvm_cbe_tmp24_2e_i174_2e_i48;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i174_2e_i48__BITCAST_TEMPORARY;
  float llvm_cbe_tmp27_2e_i177_2e_i54;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i177_2e_i54__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp5_2e_i120_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i127_2e_i;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i105_2e_i35__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i108_2e_i42__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i108_2e_i424344_2e_ins;
  float llvm_cbe_tmp24_2e_i_2e_i34;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i_2e_i34__BITCAST_TEMPORARY;
  float llvm_cbe_tmp27_2e_i_2e_i40;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i_2e_i40__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i69_2e_i;
  float llvm_cbe_tmp13_2e_i74_2e_i;
  float llvm_cbe_tmp20_2e_i_2e_i;
  float llvm_cbe_l_2e_i_2e_0_2e_0;
  float llvm_cbe_l_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_l_2e_i_2e_1_2e_0;
  float llvm_cbe_l_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_storemerge_2e_i79_2e_i;
  float llvm_cbe_storemerge_2e_i79_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp15_2e_i57_2e_i;
  float llvm_cbe_tmp15_2e_i39_2e_i;
  float llvm_cbe_tmp5_2e_i21_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i12;
  unsigned int llvm_cbe_tmp6_2e_i15;
  unsigned char llvm_cbe_tmp16;
  float llvm_cbe_tmp32;
  float llvm_cbe_tmp36;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp4 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp5_2e_i_2e_i = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp8_2e_i_2e_i = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp11_2e_i_2e_i = (&llvm_cbe_this->field1.field0);
  llvm_cbe_tmp12_2e_i_2e_i = *llvm_cbe_tmp11_2e_i_2e_i;
  llvm_cbe_tmp14_2e_i_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp15_2e_i_2e_i = *llvm_cbe_tmp14_2e_i_2e_i;
  llvm_cbe_tmp21_2e_i171_2e_i565758_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i168_2e_i49__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp12_2e_i_2e_i - llvm_cbe_tmp15_2e_i_2e_i))), llvm_cbe_tmp18_2e_i168_2e_i49__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i171_2e_i56__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp5_2e_i_2e_i - llvm_cbe_tmp8_2e_i_2e_i))), llvm_cbe_tmp21_2e_i171_2e_i56__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp24_2e_i174_2e_i48 = (llvm_cbe_tmp24_2e_i174_2e_i48__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i171_2e_i565758_2e_ins)), llvm_cbe_tmp24_2e_i174_2e_i48__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp27_2e_i177_2e_i54 = (llvm_cbe_tmp27_2e_i177_2e_i54__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i171_2e_i565758_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i177_2e_i54__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp5_2e_i120_2e_i = *((&llvm_cbe_p->field1));
  llvm_cbe_tmp12_2e_i127_2e_i = *((&llvm_cbe_p->field0));
  llvm_cbe_tmp21_2e_i108_2e_i424344_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i105_2e_i35__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp12_2e_i127_2e_i - llvm_cbe_tmp15_2e_i_2e_i))), llvm_cbe_tmp18_2e_i105_2e_i35__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i108_2e_i42__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp5_2e_i120_2e_i - llvm_cbe_tmp8_2e_i_2e_i))), llvm_cbe_tmp21_2e_i108_2e_i42__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp24_2e_i_2e_i34 = (llvm_cbe_tmp24_2e_i_2e_i34__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i108_2e_i424344_2e_ins)), llvm_cbe_tmp24_2e_i_2e_i34__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp27_2e_i_2e_i40 = (llvm_cbe_tmp27_2e_i_2e_i40__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i108_2e_i424344_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i_2e_i40__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp24_2e_i174_2e_i48 * llvm_cbe_tmp24_2e_i174_2e_i48))) + (((float )(llvm_cbe_tmp27_2e_i177_2e_i54 * llvm_cbe_tmp27_2e_i177_2e_i54)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_l_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp24_2e_i174_2e_i48;   /* for PHI node */
    llvm_cbe_l_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp27_2e_i177_2e_i54;   /* for PHI node */
    llvm_cbe_storemerge_2e_i79_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i78_2e_i;
  }

llvm_cbe_bb6_2e_i78_2e_i:
  llvm_cbe_tmp8_2e_i69_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i74_2e_i = ((float )(llvm_cbe_tmp24_2e_i174_2e_i48 * llvm_cbe_tmp8_2e_i69_2e_i));
  llvm_cbe_tmp20_2e_i_2e_i = ((float )(llvm_cbe_tmp27_2e_i177_2e_i54 * llvm_cbe_tmp8_2e_i69_2e_i));
  llvm_cbe_l_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i74_2e_i;   /* for PHI node */
  llvm_cbe_l_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge_2e_i79_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i:
  llvm_cbe_l_2e_i_2e_0_2e_0 = llvm_cbe_l_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_l_2e_i_2e_1_2e_0 = llvm_cbe_l_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i79_2e_i = llvm_cbe_storemerge_2e_i79_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp15_2e_i57_2e_i = ((float )((((float )(llvm_cbe_tmp24_2e_i_2e_i34 * llvm_cbe_l_2e_i_2e_1_2e_0))) - (((float )(llvm_cbe_tmp27_2e_i_2e_i40 * llvm_cbe_l_2e_i_2e_0_2e_0)))));
  llvm_cbe_tmp15_2e_i39_2e_i = ((float )((((float )(llvm_cbe_l_2e_i_2e_0_2e_0 * llvm_cbe_tmp24_2e_i_2e_i34))) + (((float )(llvm_cbe_l_2e_i_2e_1_2e_0 * llvm_cbe_tmp27_2e_i_2e_i40)))));
  *(&llvm_cbe_withinLine) = (((unsigned char )((((unsigned char )(bool )((((llvm_fcmp_ult(llvm_cbe_tmp15_2e_i39_2e_i, 0x0p+0)) | (llvm_fcmp_ugt(llvm_cbe_tmp15_2e_i39_2e_i, llvm_cbe_storemerge_2e_i79_2e_i)))&1)))) ^ ((unsigned char )1))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp15_2e_i57_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i57_2e_i;   /* for PHI node */
    goto llvm_cbe__ZL18calcDistanceToLineRK4Vec2S1_S1_Pb_2e_exit;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i21_2e_i = ((float )(-(llvm_cbe_tmp15_2e_i57_2e_i)));
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i21_2e_i;   /* for PHI node */
  goto llvm_cbe__ZL18calcDistanceToLineRK4Vec2S1_S1_Pb_2e_exit;

llvm_cbe__ZL18calcDistanceToLineRK4Vec2S1_S1_Pb_2e_exit:
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i12 = *llvm_cbe_tmp14_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i15 = *llvm_cbe_tmp11_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i12 == llvm_cbe_tmp6_2e_i15)) {
    goto llvm_cbe_bb28;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp16 = *(&llvm_cbe_withinLine);
  if ((llvm_cbe_tmp16 == ((unsigned char )0))) {
    goto llvm_cbe_bb28;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb28:
  llvm_cbe_tmp32 = _ZL12calcDistanceRK4Vec2S1_(llvm_cbe_p, llvm_cbe_tmp4);
  llvm_cbe_tmp36 = _ZL12calcDistanceRK4Vec2S1_(llvm_cbe_p, llvm_cbe_tmp2);
  return ((((llvm_fcmp_olt(llvm_cbe_tmp36, llvm_cbe_tmp32))) ? (llvm_cbe_tmp36) : (llvm_cbe_tmp32)));
llvm_cbe_return:
  return llvm_cbe_storemerge_2e_i_2e_i;
}


static void _ZN4Rect6expandERK4Vec2(struct l_struct_2E_Rect *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_v) {
  unsigned int *llvm_cbe_tmp6_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i;
  unsigned int *llvm_cbe_tmp15_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_tmp19_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i14;
  unsigned int llvm_cbe_tmp10_2e_i17;
  unsigned int llvm_cbe_tmp16_2e_i31;
  unsigned int llvm_cbe_tmp19_2e_i34;

  llvm_cbe_tmp6_2e_i = (&llvm_cbe_v->field0);
  llvm_cbe_tmp7_2e_i = *llvm_cbe_tmp6_2e_i;
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp15_2e_i = (&llvm_cbe_v->field1);
  llvm_cbe_tmp16_2e_i = *llvm_cbe_tmp15_2e_i;
  llvm_cbe_tmp19_2e_i = *((&llvm_cbe_this->field0.field1));
  *((&llvm_cbe_this->field0.field0)) = ((((((signed int )llvm_cbe_tmp10_2e_i) < ((signed int )llvm_cbe_tmp7_2e_i))) ? (llvm_cbe_tmp10_2e_i) : (llvm_cbe_tmp7_2e_i)));
  *((&llvm_cbe_this->field0.field1)) = ((((((signed int )llvm_cbe_tmp19_2e_i) < ((signed int )llvm_cbe_tmp16_2e_i))) ? (llvm_cbe_tmp19_2e_i) : (llvm_cbe_tmp16_2e_i)));
  llvm_cbe_tmp7_2e_i14 = *llvm_cbe_tmp6_2e_i;
  llvm_cbe_tmp10_2e_i17 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp16_2e_i31 = *llvm_cbe_tmp15_2e_i;
  llvm_cbe_tmp19_2e_i34 = *((&llvm_cbe_this->field1.field1));
  *((&llvm_cbe_this->field1.field0)) = ((((((signed int )llvm_cbe_tmp10_2e_i17) < ((signed int )llvm_cbe_tmp7_2e_i14))) ? (llvm_cbe_tmp7_2e_i14) : (llvm_cbe_tmp10_2e_i17)));
  *((&llvm_cbe_this->field1.field1)) = ((((((signed int )llvm_cbe_tmp19_2e_i34) < ((signed int )llvm_cbe_tmp16_2e_i31))) ? (llvm_cbe_tmp16_2e_i31) : (llvm_cbe_tmp19_2e_i34)));
  return;
}


static void _ZN4Path5scaleEf(struct l_struct_2E_Path *llvm_cbe_this, float llvm_cbe_factor) {
  unsigned int *llvm_cbe_tmp2_2e_i2;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i;
  unsigned int *llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i19;
  unsigned int *llvm_cbe_tmp24;
  unsigned int llvm_cbe_tmp25;
  unsigned int llvm_cbe_tmp32;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i3;

  llvm_cbe_tmp2_2e_i2 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb33;

  do {     /* Syntactic loop 'bb33' to make GCC happy */
llvm_cbe_bb33:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i3 = *llvm_cbe_tmp2_2e_i2;
  if ((((signed int )llvm_cbe_tmp3_2e_i3) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp45_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp9 = (&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i)].field0);
  llvm_cbe_tmp10 = *llvm_cbe_tmp9;
  *llvm_cbe_tmp9 = (((signed int )(((float )((((float )(signed int )llvm_cbe_tmp10)) * llvm_cbe_factor)))));
  llvm_cbe_tmp3_2e_i19 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp24 = (&llvm_cbe_tmp3_2e_i19[((signed long long )llvm_cbe_tmp45_2e_i)].field1);
  llvm_cbe_tmp25 = *llvm_cbe_tmp24;
  *llvm_cbe_tmp24 = (((signed int )(((float )((((float )(signed int )llvm_cbe_tmp25)) * llvm_cbe_factor)))));
  llvm_cbe_tmp32 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp32;   /* for PHI node */
  goto llvm_cbe_bb33;

  } while (1); /* end of syntactic loop 'bb33' */
llvm_cbe_return:
  return;
}


static void _ZN4Path6rotateERK7b2Mat22(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_rot) {
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp10;
  float llvm_cbe_tmp14;
  float llvm_cbe_tmp18;
  unsigned int *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i43;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i44;
  unsigned long long llvm_cbe_tmp45_2e_i46;
  unsigned int llvm_cbe_tmp28;
  float llvm_cbe_tmp2829;
  unsigned int llvm_cbe_tmp37;
  float llvm_cbe_tmp3738;
  unsigned int llvm_cbe_tmp71;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;

  llvm_cbe_tmp6 = *((&llvm_cbe_rot->field0.field0));
  llvm_cbe_tmp10 = *((&llvm_cbe_rot->field0.field1));
  llvm_cbe_tmp14 = *((&llvm_cbe_rot->field1.field0));
  llvm_cbe_tmp18 = *((&llvm_cbe_rot->field1.field1));
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i43 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb72;

  do {     /* Syntactic loop 'bb72' to make GCC happy */
llvm_cbe_bb72:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i44 = *llvm_cbe_tmp2_2e_i43;
  llvm_cbe_tmp45_2e_i46 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp28 = *((&llvm_cbe_tmp3_2e_i44[((signed long long )llvm_cbe_tmp45_2e_i46)].field0));
  llvm_cbe_tmp2829 = ((float )(signed int )llvm_cbe_tmp28);
  llvm_cbe_tmp37 = *((&llvm_cbe_tmp3_2e_i44[((signed long long )llvm_cbe_tmp45_2e_i46)].field1));
  llvm_cbe_tmp3738 = ((float )(signed int )llvm_cbe_tmp37);
  *((&llvm_cbe_tmp3_2e_i44[((signed long long )llvm_cbe_tmp45_2e_i46)].field0)) = (((signed int )(((float )((((float )(llvm_cbe_tmp2829 * llvm_cbe_tmp6))) + (((float )(llvm_cbe_tmp3738 * llvm_cbe_tmp14))))))));
  *((&llvm_cbe_tmp3_2e_i44[((signed long long )llvm_cbe_tmp45_2e_i46)].field1)) = (((signed int )(((float )((((float )(llvm_cbe_tmp2829 * llvm_cbe_tmp10))) + (((float )(llvm_cbe_tmp3738 * llvm_cbe_tmp18))))))));
  llvm_cbe_tmp71 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp71;   /* for PHI node */
  goto llvm_cbe_bb72;

  } while (1); /* end of syntactic loop 'bb72' */
llvm_cbe_return:
  return;
}


static struct l_struct_2E_Path *_ZN4Path9translateERK4Vec2(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_xlate) {
  unsigned int *llvm_cbe_tmp2_2e_i2;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i8;
  unsigned int *llvm_cbe_tmp13_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i5;
  unsigned int llvm_cbe_tmp2_2e_i6;
  unsigned int llvm_cbe_tmp5_2e_i;
  unsigned int *llvm_cbe_tmp10_2e_i;
  unsigned int llvm_cbe_tmp11_2e_i;
  unsigned int llvm_cbe_tmp14_2e_i;
  unsigned int llvm_cbe_tmp7;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i3;

  llvm_cbe_tmp2_2e_i2 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp4_2e_i8 = (&llvm_cbe_xlate->field0);
  llvm_cbe_tmp13_2e_i = (&llvm_cbe_xlate->field1);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb8;

  do {     /* Syntactic loop 'bb8' to make GCC happy */
llvm_cbe_bb8:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i3 = *llvm_cbe_tmp2_2e_i2;
  if ((((signed int )llvm_cbe_tmp3_2e_i3) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp45_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp1_2e_i5 = (&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i)].field0);
  llvm_cbe_tmp2_2e_i6 = *llvm_cbe_tmp1_2e_i5;
  llvm_cbe_tmp5_2e_i = *llvm_cbe_tmp4_2e_i8;
  *llvm_cbe_tmp1_2e_i5 = (llvm_cbe_tmp2_2e_i6 + llvm_cbe_tmp5_2e_i);
  llvm_cbe_tmp10_2e_i = (&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i)].field1);
  llvm_cbe_tmp11_2e_i = *llvm_cbe_tmp10_2e_i;
  llvm_cbe_tmp14_2e_i = *llvm_cbe_tmp13_2e_i;
  *llvm_cbe_tmp10_2e_i = (llvm_cbe_tmp11_2e_i + llvm_cbe_tmp14_2e_i);
  llvm_cbe_tmp7 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp7;   /* for PHI node */
  goto llvm_cbe_bb8;

  } while (1); /* end of syntactic loop 'bb8' */
llvm_cbe_return:
  return llvm_cbe_this;
}


static struct l_struct_2E_Rect _ZNK4Path4bboxEv(struct l_struct_2E_Path *llvm_cbe_this) {
  struct l_struct_2E_Rect StructReturn;  /* Struct return temporary */
  struct l_struct_2E_Rect *llvm_cbe_agg_2e_result = &StructReturn;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i2;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i19;
  unsigned int llvm_cbe_tmp17;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i3;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp1_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i->field0);
  llvm_cbe_tmp2_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  *((&llvm_cbe_agg_2e_result->field0.field0)) = llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i->field1);
  llvm_cbe_tmp7_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i;
  *((&llvm_cbe_agg_2e_result->field0.field1)) = llvm_cbe_tmp7_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i4_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  *((&llvm_cbe_agg_2e_result->field1.field0)) = llvm_cbe_tmp2_2e_i4_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i = *llvm_cbe_tmp6_2e_i_2e_i;
  *((&llvm_cbe_agg_2e_result->field1.field1)) = llvm_cbe_tmp7_2e_i9_2e_i;
  llvm_cbe_tmp2_2e_i2 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_storemerge__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb18;

  do {     /* Syntactic loop 'bb18' to make GCC happy */
llvm_cbe_bb18:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i3 = *llvm_cbe_tmp2_2e_i2;
  if ((((signed int )llvm_cbe_tmp3_2e_i3) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i19 = *llvm_cbe_tmp2_2e_i;
  _ZN4Rect6expandERK4Vec2(llvm_cbe_agg_2e_result, ((&llvm_cbe_tmp3_2e_i19[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge)))])));
  llvm_cbe_tmp17 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp17;   /* for PHI node */
  goto llvm_cbe_bb18;

  } while (1); /* end of syntactic loop 'bb18' */
llvm_cbe_return:
  return StructReturn;
}


static void _ZN5ArrayI4Vec2EC2Ei(struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_this) {
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1;
  unsigned int *llvm_cbe_tmp5;
  unsigned char *llvm_cbe_tmp28_2e_i;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field0);
  *llvm_cbe_tmp1 = ((struct l_struct_2E_Vec2 *)/*NULL*/0);
  *((&llvm_cbe_this->field1)) = 0u;
  llvm_cbe_tmp5 = (&llvm_cbe_this->field2);
  *llvm_cbe_tmp5 = 0u;
  llvm_cbe_tmp28_2e_i = malloc(0ull);
  *llvm_cbe_tmp1 = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp28_2e_i));
  *llvm_cbe_tmp5 = 0u;
  return;
}


static void _ZN5ArrayI4Vec2E6appendERKS0_(struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_t) {
  unsigned int *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp17_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp11;
  unsigned long long llvm_cbe_tmp1213;
  unsigned int llvm_cbe_tmp18;
  unsigned int llvm_cbe_tmp21;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  llvm_cbe_tmp4 = llvm_cbe_tmp3 + 1u;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  if ((((signed int )llvm_cbe_tmp2_2e_i) < ((signed int )llvm_cbe_tmp4))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayI4Vec2E14ensureCapacityEi_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_storemerge_2e_i = (((llvm_cbe_tmp2_2e_i == 0u)) ? (4u) : (llvm_cbe_tmp2_2e_i));
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  do {     /* Syntactic loop 'bb23.i' to make GCC happy */
llvm_cbe_bb23_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )llvm_cbe_tmp4))) {
    goto llvm_cbe_bb19_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i;
  }

llvm_cbe_bb19_2e_i:
  llvm_cbe_tmp22_2e_i = llvm_cbe_storemerge1_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i' */
llvm_cbe_bb29_2e_i:
  if ((((signed int )llvm_cbe_tmp3) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe__ZN5ArrayI4Vec2E14ensureCapacityEi_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)) << 3ull;
  if ((llvm_cbe_tmp2_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i);
  *llvm_cbe_tmp17_2e_i_2e_i = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp20_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i);
  *((&llvm_cbe_this->field0)) = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp28_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i = llvm_cbe_storemerge1_2e_i;
  goto llvm_cbe__ZN5ArrayI4Vec2E14ensureCapacityEi_2e_exit;

llvm_cbe__ZN5ArrayI4Vec2E14ensureCapacityEi_2e_exit:
  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp11 = *llvm_cbe_tmp2;
  llvm_cbe_tmp1213 = ((signed long long )(signed int )llvm_cbe_tmp11);
  llvm_cbe_tmp18 = *((&llvm_cbe_t->field0));
  *((&llvm_cbe_tmp8[((signed long long )llvm_cbe_tmp1213)].field0)) = llvm_cbe_tmp18;
  llvm_cbe_tmp21 = *((&llvm_cbe_t->field1));
  *((&llvm_cbe_tmp8[((signed long long )llvm_cbe_tmp1213)].field1)) = llvm_cbe_tmp21;
  *llvm_cbe_tmp2 = (llvm_cbe_tmp11 + 1u);
  return;
}


static void _ZN4PathC1EPKc(struct l_struct_2E_Path *llvm_cbe_this, unsigned char *llvm_cbe_s) {
  float llvm_cbe_y;    /* Address-exposed local */
  float llvm_cbe_x;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_tmp2;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i;
  float llvm_cbe_tmp3;
  float llvm_cbe_tmp5;
  unsigned char *llvm_cbe_tmp11;
  unsigned char *llvm_cbe_s_addr_2e_0;
  unsigned char *llvm_cbe_s_addr_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp14;
  unsigned char *llvm_cbe_tmp32;
  unsigned char *llvm_cbe_s_addr_2e_2;
  unsigned char *llvm_cbe_s_addr_2e_2__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp36;
  unsigned char *llvm_cbe_s_addr_2e_1;
  unsigned char *llvm_cbe_s_addr_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp49;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field0);
  _ZN5ArrayI4Vec2EC2Ei(llvm_cbe_tmp2);
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_tmp.field0);
  llvm_cbe_tmp4_2e_i = (&llvm_cbe_tmp.field1);
  llvm_cbe_s_addr_2e_1__PHI_TEMPORARY = llvm_cbe_s;   /* for PHI node */
  goto llvm_cbe_bb46;

  do {     /* Syntactic loop 'bb46' to make GCC happy */
llvm_cbe_bb46:
  llvm_cbe_s_addr_2e_1 = llvm_cbe_s_addr_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp49 = sscanf(llvm_cbe_s_addr_2e_1, ((&_2E_str[((signed long long )0ull)])), (&llvm_cbe_x), (&llvm_cbe_y));
  if ((llvm_cbe_tmp49 == 2u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

  do {     /* Syntactic loop 'bb33' to make GCC happy */
llvm_cbe_bb33:
  llvm_cbe_s_addr_2e_2 = llvm_cbe_s_addr_2e_2__PHI_TEMPORARY;
  llvm_cbe_tmp36 = *llvm_cbe_s_addr_2e_2;
  switch (llvm_cbe_tmp36) {
  default:
    llvm_cbe_s_addr_2e_1__PHI_TEMPORARY = llvm_cbe_s_addr_2e_2;   /* for PHI node */
    goto llvm_cbe_bb46;
;
  case ((unsigned char )32):
    goto llvm_cbe_bb30;
  case ((unsigned char )9):
    goto llvm_cbe_bb30;
  }
llvm_cbe_bb30:
  llvm_cbe_tmp32 = (&llvm_cbe_s_addr_2e_2[((signed long long )1ull)]);
  llvm_cbe_s_addr_2e_2__PHI_TEMPORARY = llvm_cbe_tmp32;   /* for PHI node */
  goto llvm_cbe_bb33;

  } while (1); /* end of syntactic loop 'bb33' */
  do {     /* Syntactic loop 'bb12' to make GCC happy */
llvm_cbe_bb12:
  llvm_cbe_s_addr_2e_0 = llvm_cbe_s_addr_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp14 = *llvm_cbe_s_addr_2e_0;
  switch (llvm_cbe_tmp14) {
  default:
    goto llvm_cbe_bb9;
;
  case ((unsigned char )0):
    llvm_cbe_s_addr_2e_2__PHI_TEMPORARY = llvm_cbe_s_addr_2e_0;   /* for PHI node */
    goto llvm_cbe_bb33;
  case ((unsigned char )32):
    llvm_cbe_s_addr_2e_2__PHI_TEMPORARY = llvm_cbe_s_addr_2e_0;   /* for PHI node */
    goto llvm_cbe_bb33;
  case ((unsigned char )9):
    llvm_cbe_s_addr_2e_2__PHI_TEMPORARY = llvm_cbe_s_addr_2e_0;   /* for PHI node */
    goto llvm_cbe_bb33;
  }
llvm_cbe_bb9:
  llvm_cbe_tmp11 = (&llvm_cbe_s_addr_2e_0[((signed long long )1ull)]);
  llvm_cbe_s_addr_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11;   /* for PHI node */
  goto llvm_cbe_bb12;

  } while (1); /* end of syntactic loop 'bb12' */
llvm_cbe_bb:
  llvm_cbe_tmp3 = *(&llvm_cbe_y);
  llvm_cbe_tmp5 = *(&llvm_cbe_x);
  *llvm_cbe_tmp1_2e_i = (((signed int )llvm_cbe_tmp5));
  *llvm_cbe_tmp4_2e_i = (((signed int )llvm_cbe_tmp3));
  _ZN5ArrayI4Vec2E6appendERKS0_(llvm_cbe_tmp2, (&llvm_cbe_tmp));
  llvm_cbe_s_addr_2e_0__PHI_TEMPORARY = llvm_cbe_s_addr_2e_1;   /* for PHI node */
  goto llvm_cbe_bb12;

  } while (1); /* end of syntactic loop 'bb46' */
llvm_cbe_return:
  return;
}


static float _ZL12calcDistanceRK4Vec2S1_(struct l_struct_2E_Vec2 *llvm_cbe_l1, struct l_struct_2E_Vec2 *llvm_cbe_l2) {
  unsigned int llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i65__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i72__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i727374_2e_ins;
  float llvm_cbe_tmp24_2e_i64;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i64__BITCAST_TEMPORARY;
  float llvm_cbe_tmp27_2e_i70;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i70__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i30;

  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_l1->field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_l2->field1));
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_l1->field0));
  llvm_cbe_tmp15_2e_i = *((&llvm_cbe_l2->field0));
  llvm_cbe_tmp21_2e_i727374_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i65__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp12_2e_i - llvm_cbe_tmp15_2e_i))), llvm_cbe_tmp18_2e_i65__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i72__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp5_2e_i - llvm_cbe_tmp8_2e_i))), llvm_cbe_tmp21_2e_i72__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp24_2e_i64 = (llvm_cbe_tmp24_2e_i64__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i727374_2e_ins)), llvm_cbe_tmp24_2e_i64__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp27_2e_i70 = (llvm_cbe_tmp27_2e_i70__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i727374_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i70__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i30 = sqrtf((((float )((((float )(llvm_cbe_tmp24_2e_i64 * llvm_cbe_tmp24_2e_i64))) + (((float )(llvm_cbe_tmp27_2e_i70 * llvm_cbe_tmp27_2e_i70)))))));
  return llvm_cbe_tmp16_2e_i30;
}


static float _ZN6b2Vec29NormalizeEv(struct l_struct_2E_b2Vec2 *llvm_cbe_this) {
  float *llvm_cbe_tmp2_2e_i;
  float llvm_cbe_tmp3_2e_i;
  float *llvm_cbe_tmp9_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp16_2e_i;
  float llvm_cbe_tmp8;
  float llvm_cbe_tmp11;
  float llvm_cbe_tmp18;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp9_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp9_2e_i;
  llvm_cbe_tmp16_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp3_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp10_2e_i)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i, 0x1p-23))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb6;
  }

llvm_cbe_bb6:
  llvm_cbe_tmp8 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i));
  llvm_cbe_tmp11 = *llvm_cbe_tmp2_2e_i;
  *llvm_cbe_tmp2_2e_i = (((float )(llvm_cbe_tmp11 * llvm_cbe_tmp8)));
  llvm_cbe_tmp18 = *llvm_cbe_tmp9_2e_i;
  *llvm_cbe_tmp9_2e_i = (((float )(llvm_cbe_tmp18 * llvm_cbe_tmp8)));
  return llvm_cbe_tmp16_2e_i;
llvm_cbe_return:
  return 0x0p+0;
}


static void _ZN4Path11simplifySubEiifPb(struct l_struct_2E_Path *llvm_cbe_this, unsigned int llvm_cbe_first, unsigned int llvm_cbe_last, float llvm_cbe_threshold, unsigned char *llvm_cbe_keepflags) {
  struct l_struct_2E_Rect llvm_cbe_s;    /* Address-exposed local */
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i8;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i16;
  float llvm_cbe_tmp21;
  unsigned int llvm_cbe_furthestIndex_2e_0;
  float llvm_cbe_furthestDist_2e_0;
  unsigned int llvm_cbe_furthestIndex_2e_1;
  unsigned int llvm_cbe_furthestIndex_2e_1__PHI_TEMPORARY;
  float llvm_cbe_furthestDist_2e_1;
  float llvm_cbe_furthestDist_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_in;
  unsigned int llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;

  if ((((signed int )(llvm_cbe_last - llvm_cbe_first)) > ((signed int )1u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp45_2e_i = ((signed long long )(signed int )llvm_cbe_last);
  llvm_cbe_tmp45_2e_i8 = ((signed long long )(signed int )llvm_cbe_first);
  llvm_cbe_tmp2_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i8)].field0));
  *((&llvm_cbe_s.field0.field0)) = llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i8)].field1));
  *((&llvm_cbe_s.field0.field1)) = llvm_cbe_tmp7_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i4_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i)].field0));
  *((&llvm_cbe_s.field1.field0)) = llvm_cbe_tmp2_2e_i4_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )llvm_cbe_tmp45_2e_i)].field1));
  *((&llvm_cbe_s.field1.field1)) = llvm_cbe_tmp7_2e_i9_2e_i;
  llvm_cbe_furthestIndex_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_furthestDist_2e_1__PHI_TEMPORARY = llvm_cbe_threshold;   /* for PHI node */
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_first;   /* for PHI node */
  goto llvm_cbe_bb33;

  do {     /* Syntactic loop 'bb33' to make GCC happy */
llvm_cbe_bb33:
  llvm_cbe_furthestIndex_2e_1 = llvm_cbe_furthestIndex_2e_1__PHI_TEMPORARY;
  llvm_cbe_furthestDist_2e_1 = llvm_cbe_furthestDist_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge_2e_in + 1u;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_last))) {
    goto llvm_cbe_bb16;
  } else {
    goto llvm_cbe_bb39;
  }

llvm_cbe_bb16:
  llvm_cbe_tmp3_2e_i16 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp21 = _ZN7Segment10distanceToERK4Vec2((&llvm_cbe_s), ((&llvm_cbe_tmp3_2e_i16[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge)))])));
  llvm_cbe_furthestIndex_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp21, llvm_cbe_furthestDist_2e_1))) ? (llvm_cbe_storemerge) : (llvm_cbe_furthestIndex_2e_1));
  llvm_cbe_furthestDist_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp21, llvm_cbe_furthestDist_2e_1))) ? (llvm_cbe_tmp21) : (llvm_cbe_furthestDist_2e_1));
  llvm_cbe_furthestIndex_2e_1__PHI_TEMPORARY = llvm_cbe_furthestIndex_2e_0;   /* for PHI node */
  llvm_cbe_furthestDist_2e_1__PHI_TEMPORARY = llvm_cbe_furthestDist_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
  goto llvm_cbe_bb33;

  } while (1); /* end of syntactic loop 'bb33' */
llvm_cbe_bb39:
  if ((llvm_cbe_furthestIndex_2e_1 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb44;
  }

llvm_cbe_bb44:
  *((&llvm_cbe_keepflags[((signed long long )(((signed long long )(signed int )llvm_cbe_furthestIndex_2e_1)))])) = ((unsigned char )1);
  _ZN4Path11simplifySubEiifPb(llvm_cbe_this, llvm_cbe_first, llvm_cbe_furthestIndex_2e_1, llvm_cbe_threshold, llvm_cbe_keepflags);
  _ZN4Path11simplifySubEiifPb(llvm_cbe_this, llvm_cbe_furthestIndex_2e_1, llvm_cbe_last, llvm_cbe_threshold, llvm_cbe_keepflags);
  return;
llvm_cbe_return:
  return;
}


static void _ZN4Path8simplifyEf(struct l_struct_2E_Path *llvm_cbe_this, float llvm_cbe_threshold) {
  unsigned int *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp21;
  unsigned char *ltmp_0_1;
  unsigned int llvm_cbe_tmp3_2e_i74;
  unsigned int llvm_cbe_tmp29;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i66;
  unsigned long long llvm_cbe_tmp4749;
  unsigned char llvm_cbe_tmp51;
  unsigned int llvm_cbe_tmp55;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i67;
  unsigned long long llvm_cbe_tmp45_2e_i69;
  unsigned int llvm_cbe_tmp66;
  unsigned int llvm_cbe_tmp70;
  unsigned int llvm_cbe_k_2e_0;
  unsigned int llvm_cbe_k_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp73;
  unsigned int llvm_cbe_k_2e_1;
  unsigned int llvm_cbe_k_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i50;
  unsigned int *llvm_cbe_tmp1_2e_i38;
  unsigned int llvm_cbe_tmp2_2e_i39;
  unsigned int llvm_cbe_tmp3_2e_i33;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i26;
  unsigned long long llvm_cbe_tmp45_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp6_2e_i20;
  unsigned int llvm_cbe_tmp3_2e_i9;
  unsigned int llvm_cbe_tmp6_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i3;
  unsigned char *ltmp_1_1;
  unsigned int llvm_cbe_tmp33_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_in;
  unsigned int llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp21 = (unsigned char *) alloca(sizeof(unsigned char ) * llvm_cbe_tmp3_2e_i);
  ltmp_0_1 = memset(llvm_cbe_tmp21, (((unsigned int )(unsigned char )((unsigned char )0))), (((signed long long )(signed int )llvm_cbe_tmp3_2e_i)));
  llvm_cbe_tmp3_2e_i74 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp29 = llvm_cbe_tmp3_2e_i74 + 4294967295u;
  *((&llvm_cbe_tmp21[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp29)))])) = ((unsigned char )1);
  *llvm_cbe_tmp21 = ((unsigned char )1);
  _ZN4Path11simplifySubEiifPb(llvm_cbe_this, 0u, llvm_cbe_tmp29, llvm_cbe_threshold, llvm_cbe_tmp21);
  llvm_cbe_tmp2_2e_i66 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_k_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb74;

  do {     /* Syntactic loop 'bb74' to make GCC happy */
llvm_cbe_bb74:
  llvm_cbe_k_2e_1 = llvm_cbe_k_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i50 = *llvm_cbe_tmp2_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i50) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb83;
  }

llvm_cbe_bb71:
  llvm_cbe_k_2e_0 = llvm_cbe_k_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp73 = llvm_cbe_storemerge + 1u;
  llvm_cbe_k_2e_1__PHI_TEMPORARY = llvm_cbe_k_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp73;   /* for PHI node */
  goto llvm_cbe_bb74;

llvm_cbe_bb:
  llvm_cbe_tmp4749 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp51 = *((&llvm_cbe_tmp21[((signed long long )llvm_cbe_tmp4749)]));
  if ((llvm_cbe_tmp51 == ((unsigned char )0))) {
    llvm_cbe_k_2e_0__PHI_TEMPORARY = llvm_cbe_k_2e_1;   /* for PHI node */
    goto llvm_cbe_bb71;
  } else {
    goto llvm_cbe_bb52;
  }

llvm_cbe_bb52:
  llvm_cbe_tmp55 = llvm_cbe_k_2e_1 + 1u;
  llvm_cbe_tmp3_2e_i67 = *llvm_cbe_tmp2_2e_i66;
  llvm_cbe_tmp45_2e_i69 = ((signed long long )(signed int )llvm_cbe_k_2e_1);
  llvm_cbe_tmp66 = *((&llvm_cbe_tmp3_2e_i67[((signed long long )llvm_cbe_tmp4749)].field0));
  *((&llvm_cbe_tmp3_2e_i67[((signed long long )llvm_cbe_tmp45_2e_i69)].field0)) = llvm_cbe_tmp66;
  llvm_cbe_tmp70 = *((&llvm_cbe_tmp3_2e_i67[((signed long long )llvm_cbe_tmp4749)].field1));
  *((&llvm_cbe_tmp3_2e_i67[((signed long long )llvm_cbe_tmp45_2e_i69)].field1)) = llvm_cbe_tmp70;
  llvm_cbe_k_2e_0__PHI_TEMPORARY = llvm_cbe_tmp55;   /* for PHI node */
  goto llvm_cbe_bb71;

  } while (1); /* end of syntactic loop 'bb74' */
llvm_cbe_bb83:
  llvm_cbe_tmp1_2e_i38 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i39 = *llvm_cbe_tmp1_2e_i38;
  *llvm_cbe_tmp1_2e_i38 = (llvm_cbe_tmp2_2e_i39 + (llvm_cbe_k_2e_1 - llvm_cbe_tmp3_2e_i50));
  llvm_cbe_tmp3_2e_i33 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i33;   /* for PHI node */
  goto llvm_cbe_bb115;

  do {     /* Syntactic loop 'bb115' to make GCC happy */
llvm_cbe_bb115:
  llvm_cbe_storemerge1_2e_in = llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1_2e_in + 4294967295u;
  if ((((signed int )llvm_cbe_storemerge1) > ((signed int )0u))) {
    goto llvm_cbe_bb95;
  } else {
    goto llvm_cbe_bb120;
  }

llvm_cbe_bb95:
  llvm_cbe_tmp3_2e_i26 = *llvm_cbe_tmp2_2e_i66;
  llvm_cbe_tmp45_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp6_2e_i20 = (&llvm_cbe_tmp3_2e_i26[((signed long long )llvm_cbe_tmp45_2e_i)]);
  llvm_cbe_tmp3_2e_i9 = *((&llvm_cbe_tmp3_2e_i26[((signed long long )llvm_cbe_tmp45_2e_i)].field0));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp3_2e_i26[((signed long long )(((signed long long )(signed int )(llvm_cbe_storemerge1_2e_in + 4294967294u))))].field0));
  if ((llvm_cbe_tmp3_2e_i9 == llvm_cbe_tmp6_2e_i)) {
    goto llvm_cbe_bb108;
  } else {
    llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge1;   /* for PHI node */
    goto llvm_cbe_bb115;
  }

llvm_cbe__ZN5ArrayI4Vec2E5eraseEi_2e_exit:
  llvm_cbe_tmp33_2e_i = *llvm_cbe_tmp1_2e_i38;
  *llvm_cbe_tmp1_2e_i38 = (llvm_cbe_tmp33_2e_i + 4294967295u);
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge1;   /* for PHI node */
  goto llvm_cbe_bb115;

llvm_cbe_bb108:
  llvm_cbe_tmp2_2e_i3 = *llvm_cbe_tmp1_2e_i38;
  if ((((signed int )(llvm_cbe_tmp2_2e_i3 + 4294967295u)) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayI4Vec2E5eraseEi_2e_exit;
  }

llvm_cbe_bb_2e_i:
  ltmp_1_1 = memcpy((((unsigned char *)llvm_cbe_tmp6_2e_i20)), (((unsigned char *)((&llvm_cbe_tmp3_2e_i26[((signed long long )(llvm_cbe_tmp45_2e_i + 1ull))])))), ((((signed long long )(signed int )((llvm_cbe_tmp2_2e_i3 - llvm_cbe_storemerge1) + 4294967295u))) << 3ull));
  goto llvm_cbe__ZN5ArrayI4Vec2E5eraseEi_2e_exit;

  } while (1); /* end of syntactic loop 'bb115' */
llvm_cbe_bb120:
  return;
}


static void _ZN6Canvas7setClipEiiii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_w, unsigned int llvm_cbe_h) {
  *((&llvm_cbe_this->field4.field0.field0)) = 0u;
  *((&llvm_cbe_this->field4.field0.field1)) = 0u;
  *((&llvm_cbe_this->field4.field1.field0)) = (llvm_cbe_w + 4294967295u);
  *((&llvm_cbe_this->field4.field1.field1)) = (llvm_cbe_h + 4294967295u);
  return;
}


static void _ZN6CanvasD1Ev(struct l_struct_2E_Canvas *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  return;
}


static void _ZN6CanvasD0Ev(struct l_struct_2E_Canvas *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN10AlphaBrushItLj3EE3inkEPtii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned short *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a) {
  unsigned int llvm_cbe_tmp1;
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp7;
  unsigned int *llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  unsigned long long llvm_cbe_tmp1112;
  unsigned short *llvm_cbe_tmp15;
  unsigned short llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp25;
  unsigned int llvm_cbe_tmp28;
  unsigned int llvm_cbe_tmp31;
  unsigned short *llvm_cbe_tmp35;
  unsigned short llvm_cbe_tmp5_2e_i12;

  llvm_cbe_tmp1 = 255u - llvm_cbe_a;
  llvm_cbe_tmp3 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  llvm_cbe_tmp6 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  llvm_cbe_tmp9 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp10 = *llvm_cbe_tmp9;
  llvm_cbe_tmp1112 = ((signed long long )(signed int )llvm_cbe_step);
  llvm_cbe_tmp15 = (&llvm_cbe_pix[((signed long long )(-(llvm_cbe_tmp1112)))]);
  llvm_cbe_tmp5_2e_i = *llvm_cbe_tmp15;
  *llvm_cbe_tmp15 = (((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(llvm_cbe_tmp10 * llvm_cbe_a))) + (((unsigned short )(((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i) >> ((unsigned short )((unsigned short )8))))))))) & 248u) * llvm_cbe_tmp1)))))) & ((unsigned short )-2048)))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp7 * llvm_cbe_a) + (((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i) >> ((unsigned short )((unsigned short )3))))))))) & 252u) * llvm_cbe_tmp1))) >> ((unsigned int )5u)))))) & ((unsigned short )2016))))))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp4 * llvm_cbe_a) + ((((((unsigned int )(unsigned short )llvm_cbe_tmp5_2e_i)) << 3u) & 248u) * llvm_cbe_tmp1))) >> ((unsigned int )11u)))))) & ((unsigned short )31)))))));
  llvm_cbe_tmp20 = *((&llvm_cbe_this->field3));
  *llvm_cbe_pix = (((unsigned short )llvm_cbe_tmp20));
  llvm_cbe_tmp25 = *llvm_cbe_tmp3;
  llvm_cbe_tmp28 = *llvm_cbe_tmp6;
  llvm_cbe_tmp31 = *llvm_cbe_tmp9;
  llvm_cbe_tmp35 = (&llvm_cbe_pix[((signed long long )llvm_cbe_tmp1112)]);
  llvm_cbe_tmp5_2e_i12 = *llvm_cbe_tmp35;
  *llvm_cbe_tmp35 = (((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(llvm_cbe_tmp1 * llvm_cbe_tmp31))) + (((unsigned short )(((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i12) >> ((unsigned short )((unsigned short )8))))))))) & 248u) * llvm_cbe_a)))))) & ((unsigned short )-2048)))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp28) + (((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i12) >> ((unsigned short )((unsigned short )3))))))))) & 252u) * llvm_cbe_a))) >> ((unsigned int )5u)))))) & ((unsigned short )2016))))))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp25) + ((((((unsigned int )(unsigned short )llvm_cbe_tmp5_2e_i12)) << 3u) & 248u) * llvm_cbe_a))) >> ((unsigned int )11u)))))) & ((unsigned short )31)))))));
  return;
}


static void _ZN10AlphaBrushItLj1EE3inkEPtii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned short *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a) {
  unsigned int llvm_cbe_tmp1;
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp7;
  unsigned int *llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  unsigned short *llvm_cbe_tmp15;
  unsigned short llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp23;
  unsigned int llvm_cbe_tmp26;
  unsigned short llvm_cbe_tmp5_2e_i12;

  llvm_cbe_tmp1 = 255u - llvm_cbe_a;
  llvm_cbe_tmp3 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  llvm_cbe_tmp6 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  llvm_cbe_tmp9 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp10 = *llvm_cbe_tmp9;
  llvm_cbe_tmp15 = (&llvm_cbe_pix[((signed long long )(-((((signed long long )(signed int )llvm_cbe_step)))))]);
  llvm_cbe_tmp5_2e_i = *llvm_cbe_tmp15;
  *llvm_cbe_tmp15 = (((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(llvm_cbe_tmp10 * llvm_cbe_a))) + (((unsigned short )(((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i) >> ((unsigned short )((unsigned short )8))))))))) & 248u) * llvm_cbe_tmp1)))))) & ((unsigned short )-2048)))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp7 * llvm_cbe_a) + (((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i) >> ((unsigned short )((unsigned short )3))))))))) & 252u) * llvm_cbe_tmp1))) >> ((unsigned int )5u)))))) & ((unsigned short )2016))))))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp4 * llvm_cbe_a) + ((((((unsigned int )(unsigned short )llvm_cbe_tmp5_2e_i)) << 3u) & 248u) * llvm_cbe_tmp1))) >> ((unsigned int )11u)))))) & ((unsigned short )31)))))));
  llvm_cbe_tmp20 = *llvm_cbe_tmp3;
  llvm_cbe_tmp23 = *llvm_cbe_tmp6;
  llvm_cbe_tmp26 = *llvm_cbe_tmp9;
  llvm_cbe_tmp5_2e_i12 = *llvm_cbe_pix;
  *llvm_cbe_pix = (((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )((((unsigned short )(llvm_cbe_tmp1 * llvm_cbe_tmp26))) + (((unsigned short )(((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i12) >> ((unsigned short )((unsigned short )8))))))))) & 248u) * llvm_cbe_a)))))) & ((unsigned short )-2048)))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp23) + (((((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp5_2e_i12) >> ((unsigned short )((unsigned short )3))))))))) & 252u) * llvm_cbe_a))) >> ((unsigned int )5u)))))) & ((unsigned short )2016))))))) | (((unsigned short )((((unsigned short )(((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp20) + ((((((unsigned int )(unsigned short )llvm_cbe_tmp5_2e_i12)) << 3u) & 248u) * llvm_cbe_a))) >> ((unsigned int )11u)))))) & ((unsigned short )31)))))));
  return;
}


static void _ZN10AlphaBrushIjLj3EE3inkEPjii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned int *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a) {
  unsigned int llvm_cbe_tmp1;
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp7;
  unsigned int *llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  unsigned long long llvm_cbe_tmp1112;
  unsigned int *llvm_cbe_tmp15;
  unsigned int llvm_cbe_tmp4_2e_i;
  unsigned int llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp24;
  unsigned int llvm_cbe_tmp27;
  unsigned int llvm_cbe_tmp30;
  unsigned int *llvm_cbe_tmp34;
  unsigned int llvm_cbe_tmp4_2e_i11;

  llvm_cbe_tmp1 = 255u - llvm_cbe_a;
  llvm_cbe_tmp3 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  llvm_cbe_tmp6 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  llvm_cbe_tmp9 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp10 = *llvm_cbe_tmp9;
  llvm_cbe_tmp1112 = ((signed long long )(signed int )llvm_cbe_step);
  llvm_cbe_tmp15 = (&llvm_cbe_pix[((signed long long )(-(llvm_cbe_tmp1112)))]);
  llvm_cbe_tmp4_2e_i = *llvm_cbe_tmp15;
  *llvm_cbe_tmp15 = ((((((llvm_cbe_tmp10 * llvm_cbe_a) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i) >> ((unsigned int )16u)))) & 255u) * llvm_cbe_tmp1)) << 8u) & 16711680u) | (((llvm_cbe_tmp7 * llvm_cbe_a) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i) >> ((unsigned int )8u)))) & 255u) * llvm_cbe_tmp1)) & 65280u)) | (((unsigned int )(((unsigned int )((llvm_cbe_tmp4 * llvm_cbe_a) + ((llvm_cbe_tmp4_2e_i & 255u) * llvm_cbe_tmp1))) >> ((unsigned int )8u)))));
  llvm_cbe_tmp20 = *((&llvm_cbe_this->field3));
  *llvm_cbe_pix = llvm_cbe_tmp20;
  llvm_cbe_tmp24 = *llvm_cbe_tmp3;
  llvm_cbe_tmp27 = *llvm_cbe_tmp6;
  llvm_cbe_tmp30 = *llvm_cbe_tmp9;
  llvm_cbe_tmp34 = (&llvm_cbe_pix[((signed long long )llvm_cbe_tmp1112)]);
  llvm_cbe_tmp4_2e_i11 = *llvm_cbe_tmp34;
  *llvm_cbe_tmp34 = ((((((llvm_cbe_tmp1 * llvm_cbe_tmp30) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i11) >> ((unsigned int )16u)))) & 255u) * llvm_cbe_a)) << 8u) & 16711680u) | (((llvm_cbe_tmp1 * llvm_cbe_tmp27) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i11) >> ((unsigned int )8u)))) & 255u) * llvm_cbe_a)) & 65280u)) | (((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp24) + ((llvm_cbe_tmp4_2e_i11 & 255u) * llvm_cbe_a))) >> ((unsigned int )8u)))));
  return;
}


static void _ZN10AlphaBrushIjLj1EE3inkEPjii(struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ *llvm_cbe_this, unsigned int *llvm_cbe_pix, unsigned int llvm_cbe_step, unsigned int llvm_cbe_a) {
  unsigned int llvm_cbe_tmp1;
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp7;
  unsigned int *llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  unsigned int *llvm_cbe_tmp15;
  unsigned int llvm_cbe_tmp4_2e_i;
  unsigned int llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp23;
  unsigned int llvm_cbe_tmp26;
  unsigned int llvm_cbe_tmp4_2e_i11;

  llvm_cbe_tmp1 = 255u - llvm_cbe_a;
  llvm_cbe_tmp3 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  llvm_cbe_tmp6 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  llvm_cbe_tmp9 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp10 = *llvm_cbe_tmp9;
  llvm_cbe_tmp15 = (&llvm_cbe_pix[((signed long long )(-((((signed long long )(signed int )llvm_cbe_step)))))]);
  llvm_cbe_tmp4_2e_i = *llvm_cbe_tmp15;
  *llvm_cbe_tmp15 = ((((((llvm_cbe_tmp10 * llvm_cbe_a) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i) >> ((unsigned int )16u)))) & 255u) * llvm_cbe_tmp1)) << 8u) & 16711680u) | (((llvm_cbe_tmp7 * llvm_cbe_a) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i) >> ((unsigned int )8u)))) & 255u) * llvm_cbe_tmp1)) & 65280u)) | (((unsigned int )(((unsigned int )((llvm_cbe_tmp4 * llvm_cbe_a) + ((llvm_cbe_tmp4_2e_i & 255u) * llvm_cbe_tmp1))) >> ((unsigned int )8u)))));
  llvm_cbe_tmp20 = *llvm_cbe_tmp3;
  llvm_cbe_tmp23 = *llvm_cbe_tmp6;
  llvm_cbe_tmp26 = *llvm_cbe_tmp9;
  llvm_cbe_tmp4_2e_i11 = *llvm_cbe_pix;
  *llvm_cbe_pix = ((((((llvm_cbe_tmp1 * llvm_cbe_tmp26) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i11) >> ((unsigned int )16u)))) & 255u) * llvm_cbe_a)) << 8u) & 16711680u) | (((llvm_cbe_tmp1 * llvm_cbe_tmp23) + (((((unsigned int )(((unsigned int )llvm_cbe_tmp4_2e_i11) >> ((unsigned int )8u)))) & 255u) * llvm_cbe_a)) & 65280u)) | (((unsigned int )(((unsigned int )((llvm_cbe_tmp1 * llvm_cbe_tmp20) + ((llvm_cbe_tmp4_2e_i11 & 255u) * llvm_cbe_a))) >> ((unsigned int )8u)))));
  return;
}


static void _ZN5ImageD0Ev(struct l_struct_2E_Image *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN5ImageD1Ev(struct l_struct_2E_Image *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  return;
}


static void _ZN6WindowD0Ev(struct l_struct_2E_Image *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN6WindowD1Ev(struct l_struct_2E_Image *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  return;
}


static void _ZN5ImageC1EPKcb(struct l_struct_2E_Image *llvm_cbe_this, unsigned char *llvm_cbe_file) {
  struct l_struct_2E_std_3A__3A_string llvm_cbe_f;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp5;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp6;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_Canvas *llvm_cbe_tmp9;
  unsigned char **llvm_cbe_tmp4_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i80;
  unsigned char *llvm_cbe_tmp21;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp23;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp38;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i55;
  unsigned char *llvm_cbe_tmp55;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp57;
  struct l_struct_2E_SDL_Surface *llvm_cbe_img_2e_0;
  struct l_struct_2E_SDL_Surface *llvm_cbe_img_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i30;
  unsigned char *llvm_cbe_tmp73;
  unsigned int llvm_cbe_tmp76;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp97;
  unsigned char **llvm_cbe_tmp105;
  unsigned char *llvm_cbe_tmp106;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i16;
  unsigned char *llvm_cbe_tmp117;
  unsigned int llvm_cbe_tmp120;
  unsigned char *llvm_cbe_tmp2_2e_i4;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i8;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i6_2e_i;
  unsigned char *llvm_cbe_tmp138;

  llvm_cbe_tmp9 = (&llvm_cbe_this->field0);
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  llvm_cbe_tmp4_2e_i = (&llvm_cbe_this->field0.field1);
  *llvm_cbe_tmp4_2e_i = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_this->field0.field2)) = 0u;
  *((&llvm_cbe_this->field0.field3)) = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  _ZN6Canvas7setClipEiiii(llvm_cbe_tmp9, 0u, 0u);
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV5Image[((signed long long )2ull)]));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp7));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_f), ((&_2E_str1[((signed long long )0ull)])), (&llvm_cbe_tmp7));
  _ZNSaIcED1Ev((&llvm_cbe_tmp7));
  _ZNSsC1ERKSs((&llvm_cbe_tmp6), (&llvm_cbe_f));
  llvm_cbe_tmp9_2e_i80 = _ZNSs6appendEPKc((&llvm_cbe_tmp6), llvm_cbe_file);
  llvm_cbe_tmp21 = _ZNKSs5c_strEv((&llvm_cbe_tmp6));
  llvm_cbe_tmp23 = IMG_Load(llvm_cbe_tmp21);
  _ZNSsD1Ev((&llvm_cbe_tmp6));
  if ((llvm_cbe_tmp23 == ((struct l_struct_2E_SDL_Surface *)/*NULL*/0))) {
    goto llvm_cbe_bb34;
  } else {
    llvm_cbe_img_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23;   /* for PHI node */
    goto llvm_cbe_bb64;
  }

llvm_cbe_bb34:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp4));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp5), ((&_2E_str12[((signed long long )0ull)])), (&llvm_cbe_tmp4));
  llvm_cbe_tmp38 = _ZNSsaSERKSs((&llvm_cbe_f), (&llvm_cbe_tmp5));
  _ZNSsD1Ev((&llvm_cbe_tmp5));
  _ZNSaIcED1Ev((&llvm_cbe_tmp4));
  _ZNSsC1ERKSs((&llvm_cbe_tmp3), (&llvm_cbe_f));
  llvm_cbe_tmp9_2e_i55 = _ZNSs6appendEPKc((&llvm_cbe_tmp3), llvm_cbe_file);
  llvm_cbe_tmp55 = _ZNKSs5c_strEv((&llvm_cbe_tmp3));
  llvm_cbe_tmp57 = IMG_Load(llvm_cbe_tmp55);
  _ZNSsD1Ev((&llvm_cbe_tmp3));
  llvm_cbe_img_2e_0__PHI_TEMPORARY = llvm_cbe_tmp57;   /* for PHI node */
  goto llvm_cbe_bb64;

llvm_cbe_bb64:
  llvm_cbe_img_2e_0 = llvm_cbe_img_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_img_2e_0 == ((struct l_struct_2E_SDL_Surface *)/*NULL*/0))) {
    goto llvm_cbe_bb137;
  } else {
    goto llvm_cbe_bb69;
  }

llvm_cbe_bb69:
  _ZNSsC1ERKSs((&llvm_cbe_tmp2), (&llvm_cbe_f));
  llvm_cbe_tmp9_2e_i30 = _ZNSs6appendEPKc((&llvm_cbe_tmp2), llvm_cbe_file);
  llvm_cbe_tmp73 = _ZNKSs5c_strEv((&llvm_cbe_tmp2));
  llvm_cbe_tmp76 = printf(((&_2E_str2[((signed long long )0ull)])), llvm_cbe_tmp73);
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp97 = SDL_DisplayFormat(llvm_cbe_img_2e_0);
  *((&llvm_cbe_this->field0.field1)) = (((unsigned char *)llvm_cbe_tmp97));
  llvm_cbe_tmp105 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp106 = *llvm_cbe_tmp105;
  if ((llvm_cbe_tmp106 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb113;
  } else {
    goto llvm_cbe_bb110;
  }

llvm_cbe_bb110:
  SDL_FreeSurface(llvm_cbe_img_2e_0);
  goto llvm_cbe_bb133;

llvm_cbe_bb113:
  _ZNSsC1ERKSs((&llvm_cbe_tmp1), (&llvm_cbe_f));
  llvm_cbe_tmp9_2e_i16 = _ZNSs6appendEPKc((&llvm_cbe_tmp1), llvm_cbe_file);
  llvm_cbe_tmp117 = _ZNKSs5c_strEv((&llvm_cbe_tmp1));
  llvm_cbe_tmp120 = printf(((&_2E_str3[((signed long long )0ull)])), llvm_cbe_tmp117);
  _ZNSsD1Ev((&llvm_cbe_tmp1));
  *llvm_cbe_tmp105 = (((unsigned char *)llvm_cbe_img_2e_0));
  goto llvm_cbe_bb133;

llvm_cbe_bb133:
  llvm_cbe_tmp2_2e_i4 = *llvm_cbe_tmp105;
  if ((llvm_cbe_tmp2_2e_i4 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb10_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i8 = *llvm_cbe_tmp4_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i8);
  llvm_cbe_tmp6_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i6_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i->field2));
  _ZN6Canvas7setClipEiiii(llvm_cbe_tmp9, llvm_cbe_tmp6_2e_i6_2e_i, llvm_cbe_tmp6_2e_i_2e_i);
  goto llvm_cbe_bb144;

llvm_cbe_bb10_2e_i:
  _ZN6Canvas7setClipEiiii(llvm_cbe_tmp9, 0u, 0u);
  goto llvm_cbe_bb144;

llvm_cbe_bb137:
  llvm_cbe_tmp138 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp138)) = ((&_2E_str4[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp138, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb144:
  _ZNSsD1Ev((&llvm_cbe_f));
  return;
}


static void _ZN6Window6updateERK4Rect(struct l_struct_2E_Image *llvm_cbe_this, struct l_struct_2E_Rect *llvm_cbe_r) {
  unsigned int llvm_cbe_tmp3;
  unsigned char *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i;
  unsigned int llvm_cbe_tmp12;
  unsigned int llvm_cbe_tmp6_2e_i88;
  unsigned int llvm_cbe_storemerge_2e_i80;
  unsigned int llvm_cbe_storemerge_2e_i67;
  unsigned int llvm_cbe_tmp39;
  unsigned int llvm_cbe_tmp43;
  unsigned int llvm_cbe_tmp48;
  unsigned int llvm_cbe_tmp52;
  unsigned int llvm_cbe_tmp56;
  unsigned int llvm_cbe_storemerge_2e_i15;
  unsigned int llvm_cbe_tmp60;
  unsigned int llvm_cbe_storemerge_2e_i;

  llvm_cbe_tmp3 = *((&llvm_cbe_r->field0.field0));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp34_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp34_2e_i->field2));
  if ((((signed int )llvm_cbe_tmp3) < ((signed int )llvm_cbe_tmp6_2e_i))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp12 = *((&llvm_cbe_r->field0.field1));
  llvm_cbe_tmp6_2e_i88 = *((&llvm_cbe_tmp34_2e_i->field3));
  if ((((signed int )llvm_cbe_tmp12) < ((signed int )llvm_cbe_tmp6_2e_i88))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb25:
  llvm_cbe_storemerge_2e_i80 = (((((signed int )llvm_cbe_tmp3) > ((signed int )0u))) ? (llvm_cbe_tmp3) : (0u));
  llvm_cbe_storemerge_2e_i67 = (((((signed int )llvm_cbe_tmp12) > ((signed int )0u))) ? (llvm_cbe_tmp12) : (0u));
  llvm_cbe_tmp39 = *((&llvm_cbe_r->field1.field0));
  llvm_cbe_tmp43 = llvm_cbe_tmp6_2e_i + 4294967295u;
  llvm_cbe_tmp48 = *((&llvm_cbe_r->field1.field1));
  llvm_cbe_tmp52 = llvm_cbe_tmp6_2e_i88 + 4294967295u;
  llvm_cbe_tmp56 = ((((((signed int )llvm_cbe_tmp43) < ((signed int )llvm_cbe_tmp39))) ? (llvm_cbe_tmp43) : (llvm_cbe_tmp39))) - llvm_cbe_storemerge_2e_i80;
  llvm_cbe_storemerge_2e_i15 = (((((signed int )llvm_cbe_tmp56) > ((signed int )0u))) ? (llvm_cbe_tmp56) : (0u));
  llvm_cbe_tmp60 = ((((((signed int )llvm_cbe_tmp52) < ((signed int )llvm_cbe_tmp48))) ? (llvm_cbe_tmp52) : (llvm_cbe_tmp48))) - llvm_cbe_storemerge_2e_i67;
  llvm_cbe_storemerge_2e_i = (((((signed int )llvm_cbe_tmp60) > ((signed int )0u))) ? (llvm_cbe_tmp60) : (0u));
  if (((((((signed int )llvm_cbe_storemerge_2e_i15) > ((signed int )0u)) & (((signed int )llvm_cbe_storemerge_2e_i) > ((signed int )0u)))&1))) {
    goto llvm_cbe_bb71;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb71:
  SDL_UpdateRect(llvm_cbe_tmp34_2e_i, llvm_cbe_storemerge_2e_i80, llvm_cbe_storemerge_2e_i67, llvm_cbe_storemerge_2e_i15, llvm_cbe_storemerge_2e_i);
  return;
llvm_cbe_return:
  return;
}


static void _ZN6Canvas8drawRectERK4Rectib(struct l_struct_2E_Canvas *llvm_cbe_this, struct l_struct_2E_Rect *llvm_cbe_r, unsigned int llvm_cbe_c, unsigned char llvm_cbe_fill) {
  struct l_struct_2E_SDL_Rect llvm_cbe_r_2e_i;    /* Address-exposed local */
  unsigned long long llvm_cbe_r1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  unsigned int llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp10;
  unsigned int llvm_cbe_tmp14;
  unsigned int llvm_cbe_tmp18;
  unsigned int llvm_cbe_tmp19;
  unsigned char *llvm_cbe_tmp21_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i;
  unsigned short llvm_cbe_tmp2930_2e_i;
  unsigned short llvm_cbe_tmp3233_2e_i;
  unsigned short llvm_cbe_tmp3536_2e_i;
  unsigned short llvm_cbe_tmp3839_2e_i;
  unsigned short *llvm_cbe_tmp41_2e_i;
  unsigned short *llvm_cbe_tmp44_2e_i;
  unsigned short *llvm_cbe_tmp47_2e_i;
  unsigned short *llvm_cbe_tmp50_2e_i;
  unsigned char **llvm_cbe_tmp56_2e_i;
  unsigned char *llvm_cbe_tmp57_2e_i;
  unsigned int llvm_cbe_tmp59_2e_i;
  unsigned short llvm_cbe_tmp61_2e_i;
  unsigned char *llvm_cbe_tmp71_2e_i;
  unsigned int llvm_cbe_tmp73_2e_i;
  unsigned char *llvm_cbe_tmp90_2e_i;
  unsigned int llvm_cbe_tmp92_2e_i;
  unsigned short llvm_cbe_tmp94_2e_i;
  unsigned char *llvm_cbe_tmp103_2e_i;
  unsigned int llvm_cbe_tmp105_2e_i;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_r1_2e_i));
  llvm_cbe_tmp5 = *((&llvm_cbe_r->field1.field1));
  llvm_cbe_tmp9 = *((&llvm_cbe_r->field0.field1));
  llvm_cbe_tmp10 = llvm_cbe_tmp5 - llvm_cbe_tmp9;
  llvm_cbe_tmp14 = *((&llvm_cbe_r->field1.field0));
  llvm_cbe_tmp18 = *((&llvm_cbe_r->field0.field0));
  llvm_cbe_tmp19 = llvm_cbe_tmp14 - llvm_cbe_tmp18;
  if ((llvm_cbe_fill == ((unsigned char )0))) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  *(&llvm_cbe_r1_2e_i) = 0ull;
  *(((unsigned short *)(&llvm_cbe_r1_2e_i))) = (((unsigned short )llvm_cbe_tmp18));
  *((&llvm_cbe_tmpcast->field1)) = (((unsigned short )llvm_cbe_tmp9));
  *((&llvm_cbe_tmpcast->field2)) = (((unsigned short )llvm_cbe_tmp19));
  *((&llvm_cbe_tmpcast->field3)) = (((unsigned short )llvm_cbe_tmp10));
  llvm_cbe_tmp21_2e_i = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp23_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp21_2e_i)), llvm_cbe_tmpcast, llvm_cbe_c);
  return;
llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp2930_2e_i = ((unsigned short )llvm_cbe_tmp18);
  llvm_cbe_tmp3233_2e_i = ((unsigned short )llvm_cbe_tmp9);
  llvm_cbe_tmp3536_2e_i = ((unsigned short )llvm_cbe_tmp19);
  llvm_cbe_tmp3839_2e_i = ((unsigned short )llvm_cbe_tmp10);
  llvm_cbe_tmp41_2e_i = (&llvm_cbe_r_2e_i.field0);
  *llvm_cbe_tmp41_2e_i = llvm_cbe_tmp2930_2e_i;
  llvm_cbe_tmp44_2e_i = (&llvm_cbe_r_2e_i.field1);
  *llvm_cbe_tmp44_2e_i = llvm_cbe_tmp3233_2e_i;
  llvm_cbe_tmp47_2e_i = (&llvm_cbe_r_2e_i.field2);
  *llvm_cbe_tmp47_2e_i = llvm_cbe_tmp3536_2e_i;
  llvm_cbe_tmp50_2e_i = (&llvm_cbe_r_2e_i.field3);
  *llvm_cbe_tmp50_2e_i = ((unsigned short )1);
  llvm_cbe_tmp56_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp57_2e_i = *llvm_cbe_tmp56_2e_i;
  llvm_cbe_tmp59_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp57_2e_i)), (&llvm_cbe_r_2e_i), llvm_cbe_c);
  llvm_cbe_tmp61_2e_i = *llvm_cbe_tmp44_2e_i;
  *llvm_cbe_tmp44_2e_i = (((unsigned short )((((unsigned short )(llvm_cbe_tmp61_2e_i + llvm_cbe_tmp3839_2e_i))) + ((unsigned short )-1))));
  llvm_cbe_tmp71_2e_i = *llvm_cbe_tmp56_2e_i;
  llvm_cbe_tmp73_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp71_2e_i)), (&llvm_cbe_r_2e_i), llvm_cbe_c);
  *llvm_cbe_tmp41_2e_i = llvm_cbe_tmp2930_2e_i;
  *llvm_cbe_tmp44_2e_i = llvm_cbe_tmp3233_2e_i;
  *llvm_cbe_tmp50_2e_i = llvm_cbe_tmp3839_2e_i;
  *llvm_cbe_tmp47_2e_i = ((unsigned short )1);
  llvm_cbe_tmp90_2e_i = *llvm_cbe_tmp56_2e_i;
  llvm_cbe_tmp92_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp90_2e_i)), (&llvm_cbe_r_2e_i), llvm_cbe_c);
  llvm_cbe_tmp94_2e_i = *llvm_cbe_tmp41_2e_i;
  *llvm_cbe_tmp41_2e_i = (((unsigned short )((((unsigned short )(llvm_cbe_tmp94_2e_i + llvm_cbe_tmp3536_2e_i))) + ((unsigned short )-1))));
  llvm_cbe_tmp103_2e_i = *llvm_cbe_tmp56_2e_i;
  llvm_cbe_tmp105_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp103_2e_i)), (&llvm_cbe_r_2e_i), llvm_cbe_c);
  return;
}


static void _ZN6Canvas8drawPathERK4Pathib(struct l_struct_2E_Canvas *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_path, unsigned int llvm_cbe_color, unsigned char llvm_cbe_thick) {
  unsigned int llvm_cbe_abs39_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge1_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_abs39_2e_i132_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge1_2e_i128_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_abs41_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge1_2e_i332_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_abs41_2e_i496_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge1_2e_i492_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ llvm_cbe_brush_2e_i421;    /* Address-exposed local */
  struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ llvm_cbe_brush_2e_i275;    /* Address-exposed local */
  struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ llvm_cbe_brush_2e_i62;    /* Address-exposed local */
  struct l_struct_2E_AlphaBrush_3C_short_20_unsigned_20_int_2C_1u_3E_ llvm_cbe_brush_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i;
  unsigned int llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp11;
  unsigned int llvm_cbe_tmp17;
  unsigned int llvm_cbe_tmp23;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i761;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i_2e_i750;
  unsigned int llvm_cbe_i_2e_0;
  unsigned int llvm_cbe_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i751;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i753;
  unsigned int llvm_cbe_tmp3_2e_i703;
  unsigned int llvm_cbe_tmp12_2e_i710;
  unsigned int llvm_cbe_tmp23_2e_i718;
  unsigned int llvm_cbe_tmp29;
  unsigned char **llvm_cbe_tmp55;
  unsigned char *llvm_cbe_tmp56;
  unsigned int llvm_cbe_tmp58;
  unsigned short llvm_cbe_tmp115116117143;
  unsigned int llvm_cbe_tmp1_2e_i_2e_i301;
  unsigned int *llvm_cbe_tmp3_2e_i_2e_i303;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i305;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i307;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i309;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i312;
  unsigned int llvm_cbe_tmp9_2e_i_2e_i_2e_i316;
  unsigned int llvm_cbe_tmp14_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i_2e_i449;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i451;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i453;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i455;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i30;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i32;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i34;
  unsigned int *llvm_cbe_tmp8_2e_i_2e_i36;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i89;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i91;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i93;
  unsigned int *llvm_cbe_tmp8_2e_i_2e_i95;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i693;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i695;
  unsigned int llvm_cbe_tmp3_2e_i645;
  unsigned int llvm_cbe_tmp12_2e_i652;
  unsigned int llvm_cbe_tmp23_2e_i660;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i637;
  unsigned char *llvm_cbe_tmp74;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp7475;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp77;
  unsigned char llvm_cbe_tmp79;
  unsigned int llvm_cbe_tmp126;
  unsigned int llvm_cbe_tmp129;
  unsigned short llvm_cbe_tmp135;
  unsigned int llvm_cbe_tmp135136;
  unsigned char *llvm_cbe_tmp142;
  unsigned short *llvm_cbe_tmp10_2e_i295;
  unsigned int llvm_cbe_tmp13_2e_i298765;
  unsigned int llvm_cbe_tmp20_2e_i474;
  unsigned int llvm_cbe_tmp23_2e_i477;
  unsigned int llvm_cbe_storemerge_2e_i482;
  unsigned int llvm_cbe_abs_2e_i486;
  unsigned int llvm_cbe_storemerge1_2e_i492_2e_reload;
  unsigned int llvm_cbe_tmp48_2e_i501;
  unsigned int llvm_cbe_pixStride_2e_i422_2e_0;
  unsigned int llvm_cbe_pixStride_2e_i422_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload778;
  unsigned int llvm_cbe_tmp57_2e_i508;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload773;
  unsigned int llvm_cbe_tmp62_2e_i513;
  unsigned int llvm_cbe_storemerge2_2e_i519;
  unsigned int llvm_cbe_storemerge3_2e_i531;
  unsigned long long llvm_cbe_tmp9899_2e_i544;
  unsigned long long llvm_cbe_tmp112113_2e_i556;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload;
  unsigned int llvm_cbe_tmp93_2e_i538;
  unsigned int llvm_cbe_tmp96_2e_i541;
  unsigned short *llvm_cbe_tmp100_2e_i545;
  unsigned int llvm_cbe_tmp109_2e_i552;
  unsigned short *llvm_cbe_tmp114_2e_i557;
  unsigned short *llvm_cbe_pix_2e_i431_2e_0;
  unsigned short *llvm_cbe_pix_2e_i431_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i428_2e_0;
  unsigned int llvm_cbe_cycle_2e_i428_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i425_2e_0;
  unsigned int llvm_cbe_alpha_2e_i425_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_count1_2e_i420_2e_0;
  unsigned int llvm_cbe_count1_2e_i420_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp117_2e_i560;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload777;
  unsigned int llvm_cbe_tmp126_2e_i565;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload776;
  unsigned int llvm_cbe_tmp133_2e_i572;
  unsigned int llvm_cbe_tmp136_2e_i576;
  unsigned int llvm_cbe_storemerge4_2e_i581;
  unsigned int llvm_cbe_storemerge1_2e_i492_2e_reload772;
  unsigned int llvm_cbe_storemerge5_2e_i593;
  unsigned long long llvm_cbe_tmp169170_2e_i605;
  unsigned long long llvm_cbe_tmp183184_2e_i617;
  unsigned int llvm_cbe_tmp164_2e_i599;
  unsigned int llvm_cbe_tmp167_2e_i602;
  unsigned short *llvm_cbe_tmp171_2e_i606;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload775;
  unsigned int llvm_cbe_abs41_2e_i496_2e_reload774;
  unsigned int llvm_cbe_tmp180_2e_i613;
  unsigned short *llvm_cbe_tmp185_2e_i618;
  unsigned short *llvm_cbe_pix_2e_i431_2e_1;
  unsigned short *llvm_cbe_pix_2e_i431_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i428_2e_1;
  unsigned int llvm_cbe_cycle_2e_i428_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i425_2e_1;
  unsigned int llvm_cbe_alpha_2e_i425_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_count_2e_i419_2e_0;
  unsigned int llvm_cbe_count_2e_i419_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp188_2e_i621;
  unsigned int llvm_cbe_tmp20_2e_i320;
  unsigned int llvm_cbe_tmp23_2e_i323;
  unsigned int llvm_cbe_storemerge_2e_i326;
  unsigned int llvm_cbe_abs_2e_i329;
  unsigned int llvm_cbe_storemerge1_2e_i332_2e_reload;
  unsigned int llvm_cbe_tmp48_2e_i;
  unsigned int llvm_cbe_pixStride_2e_i276_2e_0;
  unsigned int llvm_cbe_pixStride_2e_i276_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload790;
  unsigned int llvm_cbe_tmp57_2e_i338;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload785;
  unsigned int llvm_cbe_tmp62_2e_i343;
  unsigned int llvm_cbe_storemerge2_2e_i346;
  unsigned int llvm_cbe_storemerge3_2e_i351;
  unsigned long long llvm_cbe_tmp9899_2e_i;
  unsigned long long llvm_cbe_tmp112113_2e_i;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload;
  unsigned int llvm_cbe_tmp93_2e_i357;
  unsigned int llvm_cbe_tmp96_2e_i360;
  unsigned short *llvm_cbe_tmp100_2e_i362;
  unsigned int llvm_cbe_tmp109_2e_i367;
  unsigned short *llvm_cbe_tmp114_2e_i;
  unsigned int llvm_cbe_count1_2e_i274_2e_0;
  unsigned int llvm_cbe_count1_2e_i274_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i279_2e_0;
  unsigned int llvm_cbe_alpha_2e_i279_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i282_2e_0;
  unsigned int llvm_cbe_cycle_2e_i282_2e_0__PHI_TEMPORARY;
  unsigned short *llvm_cbe_pix_2e_i285_2e_0;
  unsigned short *llvm_cbe_pix_2e_i285_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp117_2e_i;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload789;
  unsigned int llvm_cbe_tmp126_2e_i373;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload788;
  unsigned int llvm_cbe_tmp133_2e_i;
  unsigned int llvm_cbe_tmp136_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i382;
  unsigned int llvm_cbe_storemerge1_2e_i332_2e_reload784;
  unsigned int llvm_cbe_storemerge5_2e_i387;
  unsigned long long llvm_cbe_tmp169170_2e_i;
  unsigned long long llvm_cbe_tmp183184_2e_i;
  unsigned int llvm_cbe_tmp164_2e_i392;
  unsigned int llvm_cbe_tmp167_2e_i395;
  unsigned short *llvm_cbe_tmp171_2e_i397;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload787;
  unsigned int llvm_cbe_abs41_2e_i_2e_reload786;
  unsigned int llvm_cbe_tmp180_2e_i402;
  unsigned short *llvm_cbe_tmp185_2e_i;
  unsigned int llvm_cbe_count_2e_i273_2e_0;
  unsigned int llvm_cbe_count_2e_i273_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i279_2e_1;
  unsigned int llvm_cbe_alpha_2e_i279_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i282_2e_1;
  unsigned int llvm_cbe_cycle_2e_i282_2e_1__PHI_TEMPORARY;
  unsigned short *llvm_cbe_pix_2e_i285_2e_1;
  unsigned short *llvm_cbe_pix_2e_i285_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp188_2e_i;
  unsigned int llvm_cbe_tmp185;
  unsigned int llvm_cbe_tmp188;
  unsigned short llvm_cbe_tmp194;
  unsigned int llvm_cbe_tmp194195;
  unsigned char *llvm_cbe_tmp201;
  unsigned int *llvm_cbe_tmp10_2e_i25;
  unsigned int llvm_cbe_tmp13_2e_i27769;
  unsigned int llvm_cbe_tmp18_2e_i110;
  unsigned int llvm_cbe_tmp21_2e_i113;
  unsigned int llvm_cbe_storemerge_2e_i118;
  unsigned int llvm_cbe_abs_2e_i122;
  unsigned int llvm_cbe_storemerge1_2e_i128_2e_reload;
  unsigned int llvm_cbe_tmp47_2e_i137;
  unsigned int llvm_cbe_pixStride_2e_i63_2e_0;
  unsigned int llvm_cbe_pixStride_2e_i63_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload802;
  unsigned int llvm_cbe_tmp56_2e_i144;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload797;
  unsigned int llvm_cbe_tmp61_2e_i149;
  unsigned int llvm_cbe_storemerge2_2e_i155;
  unsigned int llvm_cbe_storemerge3_2e_i167;
  unsigned long long llvm_cbe_tmp9798_2e_i180;
  unsigned long long llvm_cbe_tmp111112_2e_i192;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload;
  unsigned int llvm_cbe_tmp92_2e_i174;
  unsigned int llvm_cbe_tmp95_2e_i177;
  unsigned int *llvm_cbe_tmp99_2e_i181;
  unsigned int llvm_cbe_tmp108_2e_i188;
  unsigned int *llvm_cbe_tmp113_2e_i193;
  unsigned int llvm_cbe_count1_2e_i61_2e_0;
  unsigned int llvm_cbe_count1_2e_i61_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i66_2e_0;
  unsigned int llvm_cbe_alpha_2e_i66_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i69_2e_0;
  unsigned int llvm_cbe_cycle_2e_i69_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_pix_2e_i72_2e_0;
  unsigned int *llvm_cbe_pix_2e_i72_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp116_2e_i196;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload801;
  unsigned int llvm_cbe_tmp125_2e_i201;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload800;
  unsigned int llvm_cbe_tmp132_2e_i208;
  unsigned int llvm_cbe_tmp135_2e_i212;
  unsigned int llvm_cbe_storemerge4_2e_i217;
  unsigned int llvm_cbe_storemerge1_2e_i128_2e_reload796;
  unsigned int llvm_cbe_storemerge5_2e_i229;
  unsigned long long llvm_cbe_tmp168169_2e_i241;
  unsigned long long llvm_cbe_tmp182183_2e_i253;
  unsigned int llvm_cbe_tmp163_2e_i235;
  unsigned int llvm_cbe_tmp166_2e_i238;
  unsigned int *llvm_cbe_tmp170_2e_i242;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload799;
  unsigned int llvm_cbe_abs39_2e_i132_2e_reload798;
  unsigned int llvm_cbe_tmp179_2e_i249;
  unsigned int *llvm_cbe_tmp184_2e_i254;
  unsigned int llvm_cbe_count_2e_i60_2e_0;
  unsigned int llvm_cbe_count_2e_i60_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i66_2e_1;
  unsigned int llvm_cbe_alpha_2e_i66_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i69_2e_1;
  unsigned int llvm_cbe_cycle_2e_i69_2e_1__PHI_TEMPORARY;
  unsigned int *llvm_cbe_pix_2e_i72_2e_1;
  unsigned int *llvm_cbe_pix_2e_i72_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp187_2e_i257;
  unsigned int llvm_cbe_tmp18_2e_i;
  unsigned int llvm_cbe_tmp21_2e_i40;
  unsigned int llvm_cbe_storemerge_2e_i44;
  unsigned int llvm_cbe_abs_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_reload;
  unsigned int llvm_cbe_tmp47_2e_i;
  unsigned int llvm_cbe_pixStride_2e_i_2e_0;
  unsigned int llvm_cbe_pixStride_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload814;
  unsigned int llvm_cbe_tmp56_2e_i;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload809;
  unsigned int llvm_cbe_tmp61_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i;
  unsigned long long llvm_cbe_tmp9798_2e_i;
  unsigned long long llvm_cbe_tmp111112_2e_i;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload;
  unsigned int llvm_cbe_tmp92_2e_i;
  unsigned int llvm_cbe_tmp95_2e_i;
  unsigned int *llvm_cbe_tmp99_2e_i;
  unsigned int llvm_cbe_tmp108_2e_i;
  unsigned int *llvm_cbe_tmp113_2e_i;
  unsigned int llvm_cbe_count1_2e_i_2e_0;
  unsigned int llvm_cbe_count1_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i_2e_0;
  unsigned int llvm_cbe_alpha_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i_2e_0;
  unsigned int llvm_cbe_cycle_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_pix_2e_i_2e_0;
  unsigned int *llvm_cbe_pix_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp116_2e_i;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload813;
  unsigned int llvm_cbe_tmp125_2e_i;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload812;
  unsigned int llvm_cbe_tmp132_2e_i;
  unsigned int llvm_cbe_tmp135_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_reload808;
  unsigned int llvm_cbe_storemerge5_2e_i;
  unsigned long long llvm_cbe_tmp168169_2e_i;
  unsigned long long llvm_cbe_tmp182183_2e_i;
  unsigned int llvm_cbe_tmp163_2e_i;
  unsigned int llvm_cbe_tmp166_2e_i;
  unsigned int *llvm_cbe_tmp170_2e_i;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload811;
  unsigned int llvm_cbe_abs39_2e_i_2e_reload810;
  unsigned int llvm_cbe_tmp179_2e_i;
  unsigned int *llvm_cbe_tmp184_2e_i;
  unsigned int llvm_cbe_count_2e_i_2e_0;
  unsigned int llvm_cbe_count_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_alpha_2e_i_2e_1;
  unsigned int llvm_cbe_alpha_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_cycle_2e_i_2e_1;
  unsigned int llvm_cbe_cycle_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int *llvm_cbe_pix_2e_i_2e_1;
  unsigned int *llvm_cbe_pix_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp187_2e_i;
  unsigned int llvm_cbe_i_2e_1;
  unsigned int llvm_cbe_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i4;
  unsigned int llvm_cbe_tmp12_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i;
  unsigned int llvm_cbe_tmp206;
  unsigned int llvm_cbe_i_2e_3_2e_in;
  unsigned int llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_i_2e_3;
  unsigned char *llvm_cbe_tmp241;

  llvm_cbe_tmp2_2e_i_2e_i = *((&llvm_cbe_this->field4.field0.field0));
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_this->field4.field0.field1));
  llvm_cbe_tmp2_2e_i4_2e_i = *((&llvm_cbe_this->field4.field1.field0));
  llvm_cbe_tmp7_2e_i9_2e_i = *((&llvm_cbe_this->field4.field1.field1));
  llvm_cbe_tmp5 = llvm_cbe_tmp2_2e_i_2e_i + 1u;
  llvm_cbe_tmp11 = llvm_cbe_tmp7_2e_i_2e_i + 1u;
  llvm_cbe_tmp17 = llvm_cbe_tmp2_2e_i4_2e_i + 4294967295u;
  llvm_cbe_tmp23 = llvm_cbe_tmp7_2e_i9_2e_i + 4294967295u;
  llvm_cbe_tmp3_2e_i_2e_i761 = *((&llvm_cbe_path->field0.field1));
  llvm_cbe_tmp2_2e_i_2e_i750 = (&llvm_cbe_path->field0.field0);
  llvm_cbe_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb30;

  do {     /* Syntactic loop 'bb30' to make GCC happy */
llvm_cbe_bb30:
  llvm_cbe_i_2e_0 = llvm_cbe_i_2e_0__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_i_2e_0) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i761))) {
    goto llvm_cbe_bb35;
  } else {
    goto llvm_cbe_bb51;
  }

llvm_cbe_bb47:
  llvm_cbe_tmp29 = llvm_cbe_i_2e_0 + 1u;
  llvm_cbe_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29;   /* for PHI node */
  goto llvm_cbe_bb30;

llvm_cbe_bb35:
  llvm_cbe_tmp3_2e_i_2e_i751 = *llvm_cbe_tmp2_2e_i_2e_i750;
  llvm_cbe_tmp45_2e_i_2e_i753 = ((signed long long )(signed int )llvm_cbe_i_2e_0);
  llvm_cbe_tmp3_2e_i703 = *((&llvm_cbe_tmp3_2e_i_2e_i751[((signed long long )llvm_cbe_tmp45_2e_i_2e_i753)].field0));
  if ((((signed int )llvm_cbe_tmp3_2e_i703) < ((signed int )llvm_cbe_tmp5))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb_2e_i715;
  }

llvm_cbe_bb_2e_i715:
  llvm_cbe_tmp12_2e_i710 = *((&llvm_cbe_tmp3_2e_i_2e_i751[((signed long long )llvm_cbe_tmp45_2e_i_2e_i753)].field0));
  if ((((signed int )llvm_cbe_tmp12_2e_i710) > ((signed int )llvm_cbe_tmp17))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb20_2e_i723;
  }

llvm_cbe_bb20_2e_i723:
  llvm_cbe_tmp23_2e_i718 = *((&llvm_cbe_tmp3_2e_i_2e_i751[((signed long long )llvm_cbe_tmp45_2e_i_2e_i753)].field1));
  if (((((((signed int )llvm_cbe_tmp23_2e_i718) < ((signed int )llvm_cbe_tmp11)) | (((signed int )llvm_cbe_tmp23_2e_i718) > ((signed int )llvm_cbe_tmp23)))&1))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb51;
  }

  } while (1); /* end of syntactic loop 'bb30' */
llvm_cbe_bb51:
  llvm_cbe_tmp55 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp56 = *llvm_cbe_tmp55;
  llvm_cbe_tmp58 = SDL_LockSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp56)));
  llvm_cbe_tmp115116117143 = ((unsigned short )llvm_cbe_color);
  llvm_cbe_tmp1_2e_i_2e_i301 = llvm_cbe_color & 65535u;
  llvm_cbe_tmp3_2e_i_2e_i303 = (&llvm_cbe_brush_2e_i275.field3);
  llvm_cbe_tmp5_2e_i_2e_i305 = (&llvm_cbe_brush_2e_i275.field2);
  llvm_cbe_tmp7_2e_i_2e_i307 = (&llvm_cbe_brush_2e_i275.field1);
  llvm_cbe_tmp9_2e_i_2e_i309 = (&llvm_cbe_brush_2e_i275.field0);
  llvm_cbe_tmp3_2e_i_2e_i_2e_i312 = (((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp115116117143) >> ((unsigned short )((unsigned short )8))))))))) & 248u;
  llvm_cbe_tmp9_2e_i_2e_i_2e_i316 = (((unsigned int )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp115116117143) >> ((unsigned short )((unsigned short )3))))))))) & 252u;
  llvm_cbe_tmp14_2e_i_2e_i_2e_i = (llvm_cbe_tmp1_2e_i_2e_i301 << 3u) & 248u;
  llvm_cbe_tmp3_2e_i_2e_i449 = (&llvm_cbe_brush_2e_i421.field3);
  llvm_cbe_tmp5_2e_i_2e_i451 = (&llvm_cbe_brush_2e_i421.field2);
  llvm_cbe_tmp7_2e_i_2e_i453 = (&llvm_cbe_brush_2e_i421.field1);
  llvm_cbe_tmp9_2e_i_2e_i455 = (&llvm_cbe_brush_2e_i421.field0);
  llvm_cbe_tmp2_2e_i_2e_i30 = (&llvm_cbe_brush_2e_i.field3);
  llvm_cbe_tmp4_2e_i_2e_i32 = (&llvm_cbe_brush_2e_i.field2);
  llvm_cbe_tmp6_2e_i_2e_i34 = (&llvm_cbe_brush_2e_i.field1);
  llvm_cbe_tmp8_2e_i_2e_i36 = (&llvm_cbe_brush_2e_i.field0);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = (((unsigned int )(((unsigned int )llvm_cbe_color) >> ((unsigned int )16u)))) & 255u;
  llvm_cbe_tmp6_2e_i_2e_i_2e_i = (((unsigned int )(((unsigned int )llvm_cbe_color) >> ((unsigned int )8u)))) & 255u;
  llvm_cbe_tmp9_2e_i_2e_i_2e_i = llvm_cbe_color & 255u;
  llvm_cbe_tmp2_2e_i_2e_i89 = (&llvm_cbe_brush_2e_i62.field3);
  llvm_cbe_tmp4_2e_i_2e_i91 = (&llvm_cbe_brush_2e_i62.field2);
  llvm_cbe_tmp6_2e_i_2e_i93 = (&llvm_cbe_brush_2e_i62.field1);
  llvm_cbe_tmp8_2e_i_2e_i95 = (&llvm_cbe_brush_2e_i62.field0);
  llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_0;   /* for PHI node */
  goto llvm_cbe_bb232;

  do {     /* Syntactic loop 'bb232' to make GCC happy */
llvm_cbe_bb232:
  llvm_cbe_i_2e_3_2e_in = llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY;
  llvm_cbe_i_2e_3 = llvm_cbe_i_2e_3_2e_in + 1u;
  if ((((signed int )llvm_cbe_i_2e_3) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i761))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb238;
  }

llvm_cbe_bb67:
  llvm_cbe_tmp45_2e_i_2e_i637 = ((signed long long )(signed int )llvm_cbe_i_2e_3_2e_in);
  llvm_cbe_tmp74 = *llvm_cbe_tmp55;
  llvm_cbe_tmp7475 = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp74);
  llvm_cbe_tmp77 = *((&llvm_cbe_tmp7475->field1));
  llvm_cbe_tmp79 = *((&llvm_cbe_tmp77->field2));
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp79))) {
  default:
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
;
  case 2u:
    goto llvm_cbe_bb81;
    break;
  case 4u:
    goto llvm_cbe_bb145;
  }
llvm_cbe_bb20_2e_i665:
  llvm_cbe_tmp23_2e_i660 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i695)].field1));
  if (((((((signed int )llvm_cbe_tmp23_2e_i660) < ((signed int )llvm_cbe_tmp11)) | (((signed int )llvm_cbe_tmp23_2e_i660) > ((signed int )llvm_cbe_tmp23)))&1))) {
    llvm_cbe_i_2e_1__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb207;
  } else {
    goto llvm_cbe_bb67;
  }

llvm_cbe_bb_2e_i657:
  llvm_cbe_tmp12_2e_i652 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i695)].field0));
  if ((((signed int )llvm_cbe_tmp12_2e_i652) > ((signed int )llvm_cbe_tmp17))) {
    llvm_cbe_i_2e_1__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb207;
  } else {
    goto llvm_cbe_bb20_2e_i665;
  }

llvm_cbe_bb59:
  llvm_cbe_tmp3_2e_i_2e_i693 = *llvm_cbe_tmp2_2e_i_2e_i750;
  llvm_cbe_tmp45_2e_i_2e_i695 = ((signed long long )(signed int )llvm_cbe_i_2e_3);
  llvm_cbe_tmp3_2e_i645 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i695)].field0));
  if ((((signed int )llvm_cbe_tmp3_2e_i645) < ((signed int )llvm_cbe_tmp5))) {
    llvm_cbe_i_2e_1__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb207;
  } else {
    goto llvm_cbe_bb_2e_i657;
  }

  do {     /* Syntactic loop 'bb115.i562' to make GCC happy */
llvm_cbe_bb115_2e_i562:
  llvm_cbe_pix_2e_i431_2e_0 = llvm_cbe_pix_2e_i431_2e_0__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i428_2e_0 = llvm_cbe_cycle_2e_i428_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i425_2e_0 = llvm_cbe_alpha_2e_i425_2e_0__PHI_TEMPORARY;
  llvm_cbe_count1_2e_i420_2e_0 = llvm_cbe_count1_2e_i420_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp117_2e_i560 = llvm_cbe_count1_2e_i420_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp117_2e_i560 == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb86_2e_i549;
  }

llvm_cbe_bb86_2e_i549:
  _ZN10AlphaBrushItLj3EE3inkEPtii((&llvm_cbe_brush_2e_i421), llvm_cbe_pix_2e_i431_2e_0, llvm_cbe_pixStride_2e_i422_2e_0, llvm_cbe_alpha_2e_i425_2e_0);
  llvm_cbe_abs41_2e_i496_2e_reload = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  llvm_cbe_tmp93_2e_i538 = llvm_cbe_cycle_2e_i428_2e_0 + llvm_cbe_abs41_2e_i496_2e_reload;
  llvm_cbe_tmp96_2e_i541 = llvm_cbe_alpha_2e_i425_2e_0 - llvm_cbe_tmp62_2e_i513;
  llvm_cbe_tmp100_2e_i545 = (&llvm_cbe_pix_2e_i431_2e_0[((signed long long )llvm_cbe_tmp9899_2e_i544)]);
  if ((((signed int )llvm_cbe_tmp93_2e_i538) > ((signed int )llvm_cbe_abs_2e_i486))) {
    goto llvm_cbe_bb106_2e_i558;
  } else {
    llvm_cbe_pix_2e_i431_2e_0__PHI_TEMPORARY = llvm_cbe_tmp100_2e_i545;   /* for PHI node */
    llvm_cbe_cycle_2e_i428_2e_0__PHI_TEMPORARY = llvm_cbe_tmp93_2e_i538;   /* for PHI node */
    llvm_cbe_alpha_2e_i425_2e_0__PHI_TEMPORARY = llvm_cbe_tmp96_2e_i541;   /* for PHI node */
    llvm_cbe_count1_2e_i420_2e_0__PHI_TEMPORARY = llvm_cbe_tmp117_2e_i560;   /* for PHI node */
    goto llvm_cbe_bb115_2e_i562;
  }

llvm_cbe_bb106_2e_i558:
  llvm_cbe_tmp109_2e_i552 = llvm_cbe_tmp93_2e_i538 - llvm_cbe_abs_2e_i486;
  llvm_cbe_tmp114_2e_i557 = (&llvm_cbe_pix_2e_i431_2e_0[((signed long long )(llvm_cbe_tmp9899_2e_i544 + llvm_cbe_tmp112113_2e_i556))]);
  llvm_cbe_pix_2e_i431_2e_0__PHI_TEMPORARY = llvm_cbe_tmp114_2e_i557;   /* for PHI node */
  llvm_cbe_cycle_2e_i428_2e_0__PHI_TEMPORARY = llvm_cbe_tmp109_2e_i552;   /* for PHI node */
  llvm_cbe_alpha_2e_i425_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge2_2e_i519;   /* for PHI node */
  llvm_cbe_count1_2e_i420_2e_0__PHI_TEMPORARY = llvm_cbe_tmp117_2e_i560;   /* for PHI node */
  goto llvm_cbe_bb115_2e_i562;

  } while (1); /* end of syntactic loop 'bb115.i562' */
llvm_cbe_bb55_2e_i516:
  llvm_cbe_tmp57_2e_i508 = ((signed int )(((signed int )llvm_cbe_abs_2e_i486) >> ((signed int )1u)));
  llvm_cbe_abs41_2e_i496_2e_reload773 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  llvm_cbe_tmp62_2e_i513 = ((signed int )(((signed int )(llvm_cbe_abs41_2e_i496_2e_reload773 * 255u)) / ((signed int )(llvm_cbe_abs_2e_i486 + 1u))));
  llvm_cbe_storemerge2_2e_i519 = (((((signed int )(-(llvm_cbe_tmp62_2e_i513))) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge3_2e_i531 = ((((((signed int )llvm_cbe_storemerge_2e_i482) > ((signed int )0u))) ? (llvm_cbe_tmp12_2e_i652) : (llvm_cbe_tmp129))) - ((((((signed int )llvm_cbe_storemerge_2e_i482) > ((signed int )0u))) ? (llvm_cbe_tmp129) : (llvm_cbe_tmp12_2e_i652)));
  llvm_cbe_tmp9899_2e_i544 = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i482);
  llvm_cbe_tmp112113_2e_i556 = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i422_2e_0);
  llvm_cbe_pix_2e_i431_2e_0__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i295;   /* for PHI node */
  llvm_cbe_cycle_2e_i428_2e_0__PHI_TEMPORARY = llvm_cbe_tmp57_2e_i508;   /* for PHI node */
  llvm_cbe_alpha_2e_i425_2e_0__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_count1_2e_i420_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge3_2e_i531;   /* for PHI node */
  goto llvm_cbe_bb115_2e_i562;

llvm_cbe_bb49_2e_i506:
  llvm_cbe_pixStride_2e_i422_2e_0 = llvm_cbe_pixStride_2e_i422_2e_0__PHI_TEMPORARY;
  llvm_cbe_abs41_2e_i496_2e_reload778 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  if ((((signed int )llvm_cbe_abs41_2e_i496_2e_reload778) < ((signed int )llvm_cbe_abs_2e_i486))) {
    goto llvm_cbe_bb55_2e_i516;
  } else {
    goto llvm_cbe_bb124_2e_i578;
  }

llvm_cbe_bb37_2e_i499:
  *(&llvm_cbe_storemerge1_2e_i492_2e_reg2mem) = 1u;
  *(&llvm_cbe_abs41_2e_i496_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp23_2e_i477) > ((signed int )4294967295u))) ? (llvm_cbe_tmp23_2e_i477) : ((-(llvm_cbe_tmp23_2e_i477)))));
  llvm_cbe_storemerge1_2e_i492_2e_reload = *(&llvm_cbe_storemerge1_2e_i492_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge1_2e_i492_2e_reload) < ((signed int )0u))) {
    goto llvm_cbe_bb46_2e_i502;
  } else {
    llvm_cbe_pixStride_2e_i422_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i298765;   /* for PHI node */
    goto llvm_cbe_bb49_2e_i506;
  }

llvm_cbe_bb84:
  *llvm_cbe_tmp3_2e_i_2e_i449 = llvm_cbe_tmp1_2e_i_2e_i301;
  *llvm_cbe_tmp9_2e_i_2e_i455 = llvm_cbe_tmp3_2e_i_2e_i_2e_i312;
  *llvm_cbe_tmp7_2e_i_2e_i453 = llvm_cbe_tmp9_2e_i_2e_i_2e_i316;
  *llvm_cbe_tmp5_2e_i_2e_i451 = llvm_cbe_tmp14_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i474 = llvm_cbe_tmp12_2e_i652 - llvm_cbe_tmp129;
  llvm_cbe_tmp23_2e_i477 = llvm_cbe_tmp23_2e_i660 - llvm_cbe_tmp126;
  llvm_cbe_storemerge_2e_i482 = (((((signed int )llvm_cbe_tmp20_2e_i474) < ((signed int )0u))) ? (4294967295u) : (1u));
  llvm_cbe_abs_2e_i486 = (((((signed int )llvm_cbe_tmp20_2e_i474) > ((signed int )4294967295u))) ? (llvm_cbe_tmp20_2e_i474) : ((-(llvm_cbe_tmp20_2e_i474))));
  if ((((signed int )llvm_cbe_tmp23_2e_i477) < ((signed int )0u))) {
    goto llvm_cbe_bb37_2e_i499_2e_thread;
  } else {
    goto llvm_cbe_bb37_2e_i499;
  }

llvm_cbe_bb81:
  llvm_cbe_tmp126 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i637)].field1));
  llvm_cbe_tmp129 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i637)].field0));
  llvm_cbe_tmp135 = *((&llvm_cbe_tmp7475->field4));
  llvm_cbe_tmp135136 = ((unsigned int )(unsigned short )llvm_cbe_tmp135);
  llvm_cbe_tmp142 = *((&llvm_cbe_tmp7475->field5));
  llvm_cbe_tmp10_2e_i295 = (&(((unsigned short *)((&llvm_cbe_tmp142[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp135136 * llvm_cbe_tmp126))))]))))[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp129)))]);
  llvm_cbe_tmp13_2e_i298765 = ((unsigned int )(((unsigned int )llvm_cbe_tmp135136) >> ((unsigned int )1u)));
  if ((llvm_cbe_thick == ((unsigned char )0))) {
    goto llvm_cbe_bb114;
  } else {
    goto llvm_cbe_bb84;
  }

llvm_cbe_bb46_2e_i502:
  llvm_cbe_tmp48_2e_i501 = -(llvm_cbe_tmp13_2e_i298765);
  llvm_cbe_pixStride_2e_i422_2e_0__PHI_TEMPORARY = llvm_cbe_tmp48_2e_i501;   /* for PHI node */
  goto llvm_cbe_bb49_2e_i506;

llvm_cbe_bb37_2e_i499_2e_thread:
  *(&llvm_cbe_storemerge1_2e_i492_2e_reg2mem) = 4294967295u;
  *(&llvm_cbe_abs41_2e_i496_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp23_2e_i477) > ((signed int )4294967295u))) ? (llvm_cbe_tmp23_2e_i477) : ((-(llvm_cbe_tmp23_2e_i477)))));
  goto llvm_cbe_bb46_2e_i502;

  do {     /* Syntactic loop 'bb186.i623' to make GCC happy */
llvm_cbe_bb186_2e_i623:
  llvm_cbe_pix_2e_i431_2e_1 = llvm_cbe_pix_2e_i431_2e_1__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i428_2e_1 = llvm_cbe_cycle_2e_i428_2e_1__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i425_2e_1 = llvm_cbe_alpha_2e_i425_2e_1__PHI_TEMPORARY;
  llvm_cbe_count_2e_i419_2e_0 = llvm_cbe_count_2e_i419_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp188_2e_i621 = llvm_cbe_count_2e_i419_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp188_2e_i621 == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb159_2e_i610;
  }

llvm_cbe_bb159_2e_i610:
  _ZN10AlphaBrushItLj3EE3inkEPtii((&llvm_cbe_brush_2e_i421), llvm_cbe_pix_2e_i431_2e_1, 1u, llvm_cbe_alpha_2e_i425_2e_1);
  llvm_cbe_tmp164_2e_i599 = llvm_cbe_cycle_2e_i428_2e_1 + llvm_cbe_abs_2e_i486;
  llvm_cbe_tmp167_2e_i602 = llvm_cbe_alpha_2e_i425_2e_1 + llvm_cbe_tmp136_2e_i576;
  llvm_cbe_tmp171_2e_i606 = (&llvm_cbe_pix_2e_i431_2e_1[((signed long long )llvm_cbe_tmp169170_2e_i605)]);
  llvm_cbe_abs41_2e_i496_2e_reload775 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  if ((((signed int )llvm_cbe_tmp164_2e_i599) > ((signed int )llvm_cbe_abs41_2e_i496_2e_reload775))) {
    goto llvm_cbe_bb177_2e_i619;
  } else {
    llvm_cbe_pix_2e_i431_2e_1__PHI_TEMPORARY = llvm_cbe_tmp171_2e_i606;   /* for PHI node */
    llvm_cbe_cycle_2e_i428_2e_1__PHI_TEMPORARY = llvm_cbe_tmp164_2e_i599;   /* for PHI node */
    llvm_cbe_alpha_2e_i425_2e_1__PHI_TEMPORARY = llvm_cbe_tmp167_2e_i602;   /* for PHI node */
    llvm_cbe_count_2e_i419_2e_0__PHI_TEMPORARY = llvm_cbe_tmp188_2e_i621;   /* for PHI node */
    goto llvm_cbe_bb186_2e_i623;
  }

llvm_cbe_bb177_2e_i619:
  llvm_cbe_abs41_2e_i496_2e_reload774 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  llvm_cbe_tmp180_2e_i613 = llvm_cbe_tmp164_2e_i599 - llvm_cbe_abs41_2e_i496_2e_reload774;
  llvm_cbe_tmp185_2e_i618 = (&llvm_cbe_pix_2e_i431_2e_1[((signed long long )(llvm_cbe_tmp169170_2e_i605 + llvm_cbe_tmp183184_2e_i617))]);
  llvm_cbe_pix_2e_i431_2e_1__PHI_TEMPORARY = llvm_cbe_tmp185_2e_i618;   /* for PHI node */
  llvm_cbe_cycle_2e_i428_2e_1__PHI_TEMPORARY = llvm_cbe_tmp180_2e_i613;   /* for PHI node */
  llvm_cbe_alpha_2e_i425_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge4_2e_i581;   /* for PHI node */
  llvm_cbe_count_2e_i419_2e_0__PHI_TEMPORARY = llvm_cbe_tmp188_2e_i621;   /* for PHI node */
  goto llvm_cbe_bb186_2e_i623;

  } while (1); /* end of syntactic loop 'bb186.i623' */
llvm_cbe_bb124_2e_i578:
  llvm_cbe_abs41_2e_i496_2e_reload777 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  llvm_cbe_tmp126_2e_i565 = ((signed int )(((signed int )llvm_cbe_abs41_2e_i496_2e_reload777) >> ((signed int )1u)));
  llvm_cbe_abs41_2e_i496_2e_reload776 = *(&llvm_cbe_abs41_2e_i496_2e_reg2mem);
  llvm_cbe_tmp133_2e_i572 = ((signed int )(((signed int )(llvm_cbe_abs_2e_i486 * 255u)) / ((signed int )(llvm_cbe_abs41_2e_i496_2e_reload776 + 1u))));
  llvm_cbe_tmp136_2e_i576 = ((((((signed int )llvm_cbe_tmp133_2e_i572) > ((signed int )4294967295u))) ? (llvm_cbe_tmp133_2e_i572) : ((-(llvm_cbe_tmp133_2e_i572))))) * (-(llvm_cbe_storemerge_2e_i482));
  llvm_cbe_storemerge4_2e_i581 = (((((signed int )llvm_cbe_tmp136_2e_i576) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge1_2e_i492_2e_reload772 = *(&llvm_cbe_storemerge1_2e_i492_2e_reg2mem);
  llvm_cbe_storemerge5_2e_i593 = ((((((signed int )llvm_cbe_storemerge1_2e_i492_2e_reload772) > ((signed int )0u))) ? (llvm_cbe_tmp23_2e_i660) : (llvm_cbe_tmp126))) - ((((((signed int )llvm_cbe_storemerge1_2e_i492_2e_reload772) > ((signed int )0u))) ? (llvm_cbe_tmp126) : (llvm_cbe_tmp23_2e_i660)));
  llvm_cbe_tmp169170_2e_i605 = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i422_2e_0);
  llvm_cbe_tmp183184_2e_i617 = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i482);
  llvm_cbe_pix_2e_i431_2e_1__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i295;   /* for PHI node */
  llvm_cbe_cycle_2e_i428_2e_1__PHI_TEMPORARY = llvm_cbe_tmp126_2e_i565;   /* for PHI node */
  llvm_cbe_alpha_2e_i425_2e_1__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_count_2e_i419_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge5_2e_i593;   /* for PHI node */
  goto llvm_cbe_bb186_2e_i623;

  do {     /* Syntactic loop 'bb115.i' to make GCC happy */
llvm_cbe_bb115_2e_i:
  llvm_cbe_count1_2e_i274_2e_0 = llvm_cbe_count1_2e_i274_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i279_2e_0 = llvm_cbe_alpha_2e_i279_2e_0__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i282_2e_0 = llvm_cbe_cycle_2e_i282_2e_0__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i285_2e_0 = llvm_cbe_pix_2e_i285_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp117_2e_i = llvm_cbe_count1_2e_i274_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp117_2e_i == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb86_2e_i;
  }

llvm_cbe_bb86_2e_i:
  _ZN10AlphaBrushItLj1EE3inkEPtii((&llvm_cbe_brush_2e_i275), llvm_cbe_pix_2e_i285_2e_0, llvm_cbe_pixStride_2e_i276_2e_0, llvm_cbe_alpha_2e_i279_2e_0);
  llvm_cbe_abs41_2e_i_2e_reload = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  llvm_cbe_tmp93_2e_i357 = llvm_cbe_cycle_2e_i282_2e_0 + llvm_cbe_abs41_2e_i_2e_reload;
  llvm_cbe_tmp96_2e_i360 = llvm_cbe_alpha_2e_i279_2e_0 - llvm_cbe_tmp62_2e_i343;
  llvm_cbe_tmp100_2e_i362 = (&llvm_cbe_pix_2e_i285_2e_0[((signed long long )llvm_cbe_tmp9899_2e_i)]);
  if ((((signed int )llvm_cbe_tmp93_2e_i357) > ((signed int )llvm_cbe_abs_2e_i329))) {
    goto llvm_cbe_bb106_2e_i;
  } else {
    llvm_cbe_count1_2e_i274_2e_0__PHI_TEMPORARY = llvm_cbe_tmp117_2e_i;   /* for PHI node */
    llvm_cbe_alpha_2e_i279_2e_0__PHI_TEMPORARY = llvm_cbe_tmp96_2e_i360;   /* for PHI node */
    llvm_cbe_cycle_2e_i282_2e_0__PHI_TEMPORARY = llvm_cbe_tmp93_2e_i357;   /* for PHI node */
    llvm_cbe_pix_2e_i285_2e_0__PHI_TEMPORARY = llvm_cbe_tmp100_2e_i362;   /* for PHI node */
    goto llvm_cbe_bb115_2e_i;
  }

llvm_cbe_bb106_2e_i:
  llvm_cbe_tmp109_2e_i367 = llvm_cbe_tmp93_2e_i357 - llvm_cbe_abs_2e_i329;
  llvm_cbe_tmp114_2e_i = (&llvm_cbe_pix_2e_i285_2e_0[((signed long long )(llvm_cbe_tmp9899_2e_i + llvm_cbe_tmp112113_2e_i))]);
  llvm_cbe_count1_2e_i274_2e_0__PHI_TEMPORARY = llvm_cbe_tmp117_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i279_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge2_2e_i346;   /* for PHI node */
  llvm_cbe_cycle_2e_i282_2e_0__PHI_TEMPORARY = llvm_cbe_tmp109_2e_i367;   /* for PHI node */
  llvm_cbe_pix_2e_i285_2e_0__PHI_TEMPORARY = llvm_cbe_tmp114_2e_i;   /* for PHI node */
  goto llvm_cbe_bb115_2e_i;

  } while (1); /* end of syntactic loop 'bb115.i' */
llvm_cbe_bb55_2e_i:
  llvm_cbe_tmp57_2e_i338 = ((signed int )(((signed int )llvm_cbe_abs_2e_i329) >> ((signed int )1u)));
  llvm_cbe_abs41_2e_i_2e_reload785 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  llvm_cbe_tmp62_2e_i343 = ((signed int )(((signed int )(llvm_cbe_abs41_2e_i_2e_reload785 * 255u)) / ((signed int )(llvm_cbe_abs_2e_i329 + 1u))));
  llvm_cbe_storemerge2_2e_i346 = (((((signed int )(-(llvm_cbe_tmp62_2e_i343))) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge3_2e_i351 = ((((((signed int )llvm_cbe_storemerge_2e_i326) > ((signed int )0u))) ? (llvm_cbe_tmp12_2e_i652) : (llvm_cbe_tmp129))) - ((((((signed int )llvm_cbe_storemerge_2e_i326) > ((signed int )0u))) ? (llvm_cbe_tmp129) : (llvm_cbe_tmp12_2e_i652)));
  llvm_cbe_tmp9899_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i326);
  llvm_cbe_tmp112113_2e_i = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i276_2e_0);
  llvm_cbe_count1_2e_i274_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge3_2e_i351;   /* for PHI node */
  llvm_cbe_alpha_2e_i279_2e_0__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i282_2e_0__PHI_TEMPORARY = llvm_cbe_tmp57_2e_i338;   /* for PHI node */
  llvm_cbe_pix_2e_i285_2e_0__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i295;   /* for PHI node */
  goto llvm_cbe_bb115_2e_i;

llvm_cbe_bb49_2e_i:
  llvm_cbe_pixStride_2e_i276_2e_0 = llvm_cbe_pixStride_2e_i276_2e_0__PHI_TEMPORARY;
  llvm_cbe_abs41_2e_i_2e_reload790 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_abs41_2e_i_2e_reload790) < ((signed int )llvm_cbe_abs_2e_i329))) {
    goto llvm_cbe_bb55_2e_i;
  } else {
    goto llvm_cbe_bb124_2e_i;
  }

llvm_cbe_bb37_2e_i:
  *(&llvm_cbe_storemerge1_2e_i332_2e_reg2mem) = 1u;
  *(&llvm_cbe_abs41_2e_i_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp23_2e_i323) > ((signed int )4294967295u))) ? (llvm_cbe_tmp23_2e_i323) : ((-(llvm_cbe_tmp23_2e_i323)))));
  llvm_cbe_storemerge1_2e_i332_2e_reload = *(&llvm_cbe_storemerge1_2e_i332_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge1_2e_i332_2e_reload) < ((signed int )0u))) {
    goto llvm_cbe_bb46_2e_i;
  } else {
    llvm_cbe_pixStride_2e_i276_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i298765;   /* for PHI node */
    goto llvm_cbe_bb49_2e_i;
  }

llvm_cbe_bb114:
  *llvm_cbe_tmp3_2e_i_2e_i303 = llvm_cbe_tmp1_2e_i_2e_i301;
  *llvm_cbe_tmp9_2e_i_2e_i309 = llvm_cbe_tmp3_2e_i_2e_i_2e_i312;
  *llvm_cbe_tmp7_2e_i_2e_i307 = llvm_cbe_tmp9_2e_i_2e_i_2e_i316;
  *llvm_cbe_tmp5_2e_i_2e_i305 = llvm_cbe_tmp14_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i320 = llvm_cbe_tmp12_2e_i652 - llvm_cbe_tmp129;
  llvm_cbe_tmp23_2e_i323 = llvm_cbe_tmp23_2e_i660 - llvm_cbe_tmp126;
  llvm_cbe_storemerge_2e_i326 = (((((signed int )llvm_cbe_tmp20_2e_i320) < ((signed int )0u))) ? (4294967295u) : (1u));
  llvm_cbe_abs_2e_i329 = (((((signed int )llvm_cbe_tmp20_2e_i320) > ((signed int )4294967295u))) ? (llvm_cbe_tmp20_2e_i320) : ((-(llvm_cbe_tmp20_2e_i320))));
  if ((((signed int )llvm_cbe_tmp23_2e_i323) < ((signed int )0u))) {
    goto llvm_cbe_bb37_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb37_2e_i;
  }

llvm_cbe_bb46_2e_i:
  llvm_cbe_tmp48_2e_i = -(llvm_cbe_tmp13_2e_i298765);
  llvm_cbe_pixStride_2e_i276_2e_0__PHI_TEMPORARY = llvm_cbe_tmp48_2e_i;   /* for PHI node */
  goto llvm_cbe_bb49_2e_i;

llvm_cbe_bb37_2e_i_2e_thread:
  *(&llvm_cbe_storemerge1_2e_i332_2e_reg2mem) = 4294967295u;
  *(&llvm_cbe_abs41_2e_i_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp23_2e_i323) > ((signed int )4294967295u))) ? (llvm_cbe_tmp23_2e_i323) : ((-(llvm_cbe_tmp23_2e_i323)))));
  goto llvm_cbe_bb46_2e_i;

  do {     /* Syntactic loop 'bb186.i' to make GCC happy */
llvm_cbe_bb186_2e_i:
  llvm_cbe_count_2e_i273_2e_0 = llvm_cbe_count_2e_i273_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i279_2e_1 = llvm_cbe_alpha_2e_i279_2e_1__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i282_2e_1 = llvm_cbe_cycle_2e_i282_2e_1__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i285_2e_1 = llvm_cbe_pix_2e_i285_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp188_2e_i = llvm_cbe_count_2e_i273_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp188_2e_i == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb159_2e_i;
  }

llvm_cbe_bb159_2e_i:
  _ZN10AlphaBrushItLj1EE3inkEPtii((&llvm_cbe_brush_2e_i275), llvm_cbe_pix_2e_i285_2e_1, 1u, llvm_cbe_alpha_2e_i279_2e_1);
  llvm_cbe_tmp164_2e_i392 = llvm_cbe_cycle_2e_i282_2e_1 + llvm_cbe_abs_2e_i329;
  llvm_cbe_tmp167_2e_i395 = llvm_cbe_alpha_2e_i279_2e_1 + llvm_cbe_tmp136_2e_i;
  llvm_cbe_tmp171_2e_i397 = (&llvm_cbe_pix_2e_i285_2e_1[((signed long long )llvm_cbe_tmp169170_2e_i)]);
  llvm_cbe_abs41_2e_i_2e_reload787 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_tmp164_2e_i392) > ((signed int )llvm_cbe_abs41_2e_i_2e_reload787))) {
    goto llvm_cbe_bb177_2e_i;
  } else {
    llvm_cbe_count_2e_i273_2e_0__PHI_TEMPORARY = llvm_cbe_tmp188_2e_i;   /* for PHI node */
    llvm_cbe_alpha_2e_i279_2e_1__PHI_TEMPORARY = llvm_cbe_tmp167_2e_i395;   /* for PHI node */
    llvm_cbe_cycle_2e_i282_2e_1__PHI_TEMPORARY = llvm_cbe_tmp164_2e_i392;   /* for PHI node */
    llvm_cbe_pix_2e_i285_2e_1__PHI_TEMPORARY = llvm_cbe_tmp171_2e_i397;   /* for PHI node */
    goto llvm_cbe_bb186_2e_i;
  }

llvm_cbe_bb177_2e_i:
  llvm_cbe_abs41_2e_i_2e_reload786 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  llvm_cbe_tmp180_2e_i402 = llvm_cbe_tmp164_2e_i392 - llvm_cbe_abs41_2e_i_2e_reload786;
  llvm_cbe_tmp185_2e_i = (&llvm_cbe_pix_2e_i285_2e_1[((signed long long )(llvm_cbe_tmp169170_2e_i + llvm_cbe_tmp183184_2e_i))]);
  llvm_cbe_count_2e_i273_2e_0__PHI_TEMPORARY = llvm_cbe_tmp188_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i279_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge4_2e_i382;   /* for PHI node */
  llvm_cbe_cycle_2e_i282_2e_1__PHI_TEMPORARY = llvm_cbe_tmp180_2e_i402;   /* for PHI node */
  llvm_cbe_pix_2e_i285_2e_1__PHI_TEMPORARY = llvm_cbe_tmp185_2e_i;   /* for PHI node */
  goto llvm_cbe_bb186_2e_i;

  } while (1); /* end of syntactic loop 'bb186.i' */
llvm_cbe_bb124_2e_i:
  llvm_cbe_abs41_2e_i_2e_reload789 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  llvm_cbe_tmp126_2e_i373 = ((signed int )(((signed int )llvm_cbe_abs41_2e_i_2e_reload789) >> ((signed int )1u)));
  llvm_cbe_abs41_2e_i_2e_reload788 = *(&llvm_cbe_abs41_2e_i_2e_reg2mem);
  llvm_cbe_tmp133_2e_i = ((signed int )(((signed int )(llvm_cbe_abs_2e_i329 * 255u)) / ((signed int )(llvm_cbe_abs41_2e_i_2e_reload788 + 1u))));
  llvm_cbe_tmp136_2e_i = ((((((signed int )llvm_cbe_tmp133_2e_i) > ((signed int )4294967295u))) ? (llvm_cbe_tmp133_2e_i) : ((-(llvm_cbe_tmp133_2e_i))))) * (-(llvm_cbe_storemerge_2e_i326));
  llvm_cbe_storemerge4_2e_i382 = (((((signed int )llvm_cbe_tmp136_2e_i) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge1_2e_i332_2e_reload784 = *(&llvm_cbe_storemerge1_2e_i332_2e_reg2mem);
  llvm_cbe_storemerge5_2e_i387 = ((((((signed int )llvm_cbe_storemerge1_2e_i332_2e_reload784) > ((signed int )0u))) ? (llvm_cbe_tmp23_2e_i660) : (llvm_cbe_tmp126))) - ((((((signed int )llvm_cbe_storemerge1_2e_i332_2e_reload784) > ((signed int )0u))) ? (llvm_cbe_tmp126) : (llvm_cbe_tmp23_2e_i660)));
  llvm_cbe_tmp169170_2e_i = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i276_2e_0);
  llvm_cbe_tmp183184_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i326);
  llvm_cbe_count_2e_i273_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge5_2e_i387;   /* for PHI node */
  llvm_cbe_alpha_2e_i279_2e_1__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i282_2e_1__PHI_TEMPORARY = llvm_cbe_tmp126_2e_i373;   /* for PHI node */
  llvm_cbe_pix_2e_i285_2e_1__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i295;   /* for PHI node */
  goto llvm_cbe_bb186_2e_i;

  do {     /* Syntactic loop 'bb114.i198' to make GCC happy */
llvm_cbe_bb114_2e_i198:
  llvm_cbe_count1_2e_i61_2e_0 = llvm_cbe_count1_2e_i61_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i66_2e_0 = llvm_cbe_alpha_2e_i66_2e_0__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i69_2e_0 = llvm_cbe_cycle_2e_i69_2e_0__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i72_2e_0 = llvm_cbe_pix_2e_i72_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp116_2e_i196 = llvm_cbe_count1_2e_i61_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp116_2e_i196 == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb85_2e_i185;
  }

llvm_cbe_bb85_2e_i185:
  _ZN10AlphaBrushIjLj3EE3inkEPjii((&llvm_cbe_brush_2e_i62), llvm_cbe_pix_2e_i72_2e_0, llvm_cbe_pixStride_2e_i63_2e_0, llvm_cbe_alpha_2e_i66_2e_0);
  llvm_cbe_abs39_2e_i132_2e_reload = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  llvm_cbe_tmp92_2e_i174 = llvm_cbe_cycle_2e_i69_2e_0 + llvm_cbe_abs39_2e_i132_2e_reload;
  llvm_cbe_tmp95_2e_i177 = llvm_cbe_alpha_2e_i66_2e_0 - llvm_cbe_tmp61_2e_i149;
  llvm_cbe_tmp99_2e_i181 = (&llvm_cbe_pix_2e_i72_2e_0[((signed long long )llvm_cbe_tmp9798_2e_i180)]);
  if ((((signed int )llvm_cbe_tmp92_2e_i174) > ((signed int )llvm_cbe_abs_2e_i122))) {
    goto llvm_cbe_bb105_2e_i194;
  } else {
    llvm_cbe_count1_2e_i61_2e_0__PHI_TEMPORARY = llvm_cbe_tmp116_2e_i196;   /* for PHI node */
    llvm_cbe_alpha_2e_i66_2e_0__PHI_TEMPORARY = llvm_cbe_tmp95_2e_i177;   /* for PHI node */
    llvm_cbe_cycle_2e_i69_2e_0__PHI_TEMPORARY = llvm_cbe_tmp92_2e_i174;   /* for PHI node */
    llvm_cbe_pix_2e_i72_2e_0__PHI_TEMPORARY = llvm_cbe_tmp99_2e_i181;   /* for PHI node */
    goto llvm_cbe_bb114_2e_i198;
  }

llvm_cbe_bb105_2e_i194:
  llvm_cbe_tmp108_2e_i188 = llvm_cbe_tmp92_2e_i174 - llvm_cbe_abs_2e_i122;
  llvm_cbe_tmp113_2e_i193 = (&llvm_cbe_pix_2e_i72_2e_0[((signed long long )(llvm_cbe_tmp9798_2e_i180 + llvm_cbe_tmp111112_2e_i192))]);
  llvm_cbe_count1_2e_i61_2e_0__PHI_TEMPORARY = llvm_cbe_tmp116_2e_i196;   /* for PHI node */
  llvm_cbe_alpha_2e_i66_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge2_2e_i155;   /* for PHI node */
  llvm_cbe_cycle_2e_i69_2e_0__PHI_TEMPORARY = llvm_cbe_tmp108_2e_i188;   /* for PHI node */
  llvm_cbe_pix_2e_i72_2e_0__PHI_TEMPORARY = llvm_cbe_tmp113_2e_i193;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i198;

  } while (1); /* end of syntactic loop 'bb114.i198' */
llvm_cbe_bb54_2e_i152:
  llvm_cbe_tmp56_2e_i144 = ((signed int )(((signed int )llvm_cbe_abs_2e_i122) >> ((signed int )1u)));
  llvm_cbe_abs39_2e_i132_2e_reload797 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  llvm_cbe_tmp61_2e_i149 = ((signed int )(((signed int )(llvm_cbe_abs39_2e_i132_2e_reload797 * 255u)) / ((signed int )(llvm_cbe_abs_2e_i122 + 1u))));
  llvm_cbe_storemerge2_2e_i155 = (((((signed int )(-(llvm_cbe_tmp61_2e_i149))) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge3_2e_i167 = ((((((signed int )llvm_cbe_storemerge_2e_i118) > ((signed int )0u))) ? (llvm_cbe_tmp12_2e_i652) : (llvm_cbe_tmp188))) - ((((((signed int )llvm_cbe_storemerge_2e_i118) > ((signed int )0u))) ? (llvm_cbe_tmp188) : (llvm_cbe_tmp12_2e_i652)));
  llvm_cbe_tmp9798_2e_i180 = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i118);
  llvm_cbe_tmp111112_2e_i192 = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i63_2e_0);
  llvm_cbe_count1_2e_i61_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge3_2e_i167;   /* for PHI node */
  llvm_cbe_alpha_2e_i66_2e_0__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i69_2e_0__PHI_TEMPORARY = llvm_cbe_tmp56_2e_i144;   /* for PHI node */
  llvm_cbe_pix_2e_i72_2e_0__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i25;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i198;

llvm_cbe_bb48_2e_i142:
  llvm_cbe_pixStride_2e_i63_2e_0 = llvm_cbe_pixStride_2e_i63_2e_0__PHI_TEMPORARY;
  llvm_cbe_abs39_2e_i132_2e_reload802 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  if ((((signed int )llvm_cbe_abs39_2e_i132_2e_reload802) < ((signed int )llvm_cbe_abs_2e_i122))) {
    goto llvm_cbe_bb54_2e_i152;
  } else {
    goto llvm_cbe_bb123_2e_i214;
  }

llvm_cbe_bb35_2e_i135:
  *(&llvm_cbe_storemerge1_2e_i128_2e_reg2mem) = 1u;
  *(&llvm_cbe_abs39_2e_i132_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp21_2e_i113) > ((signed int )4294967295u))) ? (llvm_cbe_tmp21_2e_i113) : ((-(llvm_cbe_tmp21_2e_i113)))));
  llvm_cbe_storemerge1_2e_i128_2e_reload = *(&llvm_cbe_storemerge1_2e_i128_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge1_2e_i128_2e_reload) < ((signed int )0u))) {
    goto llvm_cbe_bb44_2e_i138;
  } else {
    llvm_cbe_pixStride_2e_i63_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i27769;   /* for PHI node */
    goto llvm_cbe_bb48_2e_i142;
  }

llvm_cbe_bb148:
  *llvm_cbe_tmp2_2e_i_2e_i89 = llvm_cbe_color;
  *llvm_cbe_tmp8_2e_i_2e_i95 = llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp6_2e_i_2e_i93 = llvm_cbe_tmp6_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp4_2e_i_2e_i91 = llvm_cbe_tmp9_2e_i_2e_i_2e_i;
  llvm_cbe_tmp18_2e_i110 = llvm_cbe_tmp12_2e_i652 - llvm_cbe_tmp188;
  llvm_cbe_tmp21_2e_i113 = llvm_cbe_tmp23_2e_i660 - llvm_cbe_tmp185;
  llvm_cbe_storemerge_2e_i118 = (((((signed int )llvm_cbe_tmp18_2e_i110) < ((signed int )0u))) ? (4294967295u) : (1u));
  llvm_cbe_abs_2e_i122 = (((((signed int )llvm_cbe_tmp18_2e_i110) > ((signed int )4294967295u))) ? (llvm_cbe_tmp18_2e_i110) : ((-(llvm_cbe_tmp18_2e_i110))));
  if ((((signed int )llvm_cbe_tmp21_2e_i113) < ((signed int )0u))) {
    goto llvm_cbe_bb35_2e_i135_2e_thread;
  } else {
    goto llvm_cbe_bb35_2e_i135;
  }

llvm_cbe_bb145:
  llvm_cbe_tmp185 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i637)].field1));
  llvm_cbe_tmp188 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i637)].field0));
  llvm_cbe_tmp194 = *((&llvm_cbe_tmp7475->field4));
  llvm_cbe_tmp194195 = ((unsigned int )(unsigned short )llvm_cbe_tmp194);
  llvm_cbe_tmp201 = *((&llvm_cbe_tmp7475->field5));
  llvm_cbe_tmp10_2e_i25 = (&(((unsigned int *)((&llvm_cbe_tmp201[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp194195 * llvm_cbe_tmp185))))]))))[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp188)))]);
  llvm_cbe_tmp13_2e_i27769 = ((unsigned int )(((unsigned int )llvm_cbe_tmp194195) >> ((unsigned int )2u)));
  if ((llvm_cbe_thick == ((unsigned char )0))) {
    goto llvm_cbe_bb175;
  } else {
    goto llvm_cbe_bb148;
  }

llvm_cbe_bb44_2e_i138:
  llvm_cbe_tmp47_2e_i137 = -(llvm_cbe_tmp13_2e_i27769);
  llvm_cbe_pixStride_2e_i63_2e_0__PHI_TEMPORARY = llvm_cbe_tmp47_2e_i137;   /* for PHI node */
  goto llvm_cbe_bb48_2e_i142;

llvm_cbe_bb35_2e_i135_2e_thread:
  *(&llvm_cbe_storemerge1_2e_i128_2e_reg2mem) = 4294967295u;
  *(&llvm_cbe_abs39_2e_i132_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp21_2e_i113) > ((signed int )4294967295u))) ? (llvm_cbe_tmp21_2e_i113) : ((-(llvm_cbe_tmp21_2e_i113)))));
  goto llvm_cbe_bb44_2e_i138;

  do {     /* Syntactic loop 'bb185.i259' to make GCC happy */
llvm_cbe_bb185_2e_i259:
  llvm_cbe_count_2e_i60_2e_0 = llvm_cbe_count_2e_i60_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i66_2e_1 = llvm_cbe_alpha_2e_i66_2e_1__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i69_2e_1 = llvm_cbe_cycle_2e_i69_2e_1__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i72_2e_1 = llvm_cbe_pix_2e_i72_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp187_2e_i257 = llvm_cbe_count_2e_i60_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp187_2e_i257 == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb158_2e_i246;
  }

llvm_cbe_bb158_2e_i246:
  _ZN10AlphaBrushIjLj3EE3inkEPjii((&llvm_cbe_brush_2e_i62), llvm_cbe_pix_2e_i72_2e_1, 1u, llvm_cbe_alpha_2e_i66_2e_1);
  llvm_cbe_tmp163_2e_i235 = llvm_cbe_cycle_2e_i69_2e_1 + llvm_cbe_abs_2e_i122;
  llvm_cbe_tmp166_2e_i238 = llvm_cbe_alpha_2e_i66_2e_1 + llvm_cbe_tmp135_2e_i212;
  llvm_cbe_tmp170_2e_i242 = (&llvm_cbe_pix_2e_i72_2e_1[((signed long long )llvm_cbe_tmp168169_2e_i241)]);
  llvm_cbe_abs39_2e_i132_2e_reload799 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  if ((((signed int )llvm_cbe_tmp163_2e_i235) > ((signed int )llvm_cbe_abs39_2e_i132_2e_reload799))) {
    goto llvm_cbe_bb176_2e_i255;
  } else {
    llvm_cbe_count_2e_i60_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187_2e_i257;   /* for PHI node */
    llvm_cbe_alpha_2e_i66_2e_1__PHI_TEMPORARY = llvm_cbe_tmp166_2e_i238;   /* for PHI node */
    llvm_cbe_cycle_2e_i69_2e_1__PHI_TEMPORARY = llvm_cbe_tmp163_2e_i235;   /* for PHI node */
    llvm_cbe_pix_2e_i72_2e_1__PHI_TEMPORARY = llvm_cbe_tmp170_2e_i242;   /* for PHI node */
    goto llvm_cbe_bb185_2e_i259;
  }

llvm_cbe_bb176_2e_i255:
  llvm_cbe_abs39_2e_i132_2e_reload798 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  llvm_cbe_tmp179_2e_i249 = llvm_cbe_tmp163_2e_i235 - llvm_cbe_abs39_2e_i132_2e_reload798;
  llvm_cbe_tmp184_2e_i254 = (&llvm_cbe_pix_2e_i72_2e_1[((signed long long )(llvm_cbe_tmp168169_2e_i241 + llvm_cbe_tmp182183_2e_i253))]);
  llvm_cbe_count_2e_i60_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187_2e_i257;   /* for PHI node */
  llvm_cbe_alpha_2e_i66_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge4_2e_i217;   /* for PHI node */
  llvm_cbe_cycle_2e_i69_2e_1__PHI_TEMPORARY = llvm_cbe_tmp179_2e_i249;   /* for PHI node */
  llvm_cbe_pix_2e_i72_2e_1__PHI_TEMPORARY = llvm_cbe_tmp184_2e_i254;   /* for PHI node */
  goto llvm_cbe_bb185_2e_i259;

  } while (1); /* end of syntactic loop 'bb185.i259' */
llvm_cbe_bb123_2e_i214:
  llvm_cbe_abs39_2e_i132_2e_reload801 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  llvm_cbe_tmp125_2e_i201 = ((signed int )(((signed int )llvm_cbe_abs39_2e_i132_2e_reload801) >> ((signed int )1u)));
  llvm_cbe_abs39_2e_i132_2e_reload800 = *(&llvm_cbe_abs39_2e_i132_2e_reg2mem);
  llvm_cbe_tmp132_2e_i208 = ((signed int )(((signed int )(llvm_cbe_abs_2e_i122 * 255u)) / ((signed int )(llvm_cbe_abs39_2e_i132_2e_reload800 + 1u))));
  llvm_cbe_tmp135_2e_i212 = ((((((signed int )llvm_cbe_tmp132_2e_i208) > ((signed int )4294967295u))) ? (llvm_cbe_tmp132_2e_i208) : ((-(llvm_cbe_tmp132_2e_i208))))) * (-(llvm_cbe_storemerge_2e_i118));
  llvm_cbe_storemerge4_2e_i217 = (((((signed int )llvm_cbe_tmp135_2e_i212) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge1_2e_i128_2e_reload796 = *(&llvm_cbe_storemerge1_2e_i128_2e_reg2mem);
  llvm_cbe_storemerge5_2e_i229 = ((((((signed int )llvm_cbe_storemerge1_2e_i128_2e_reload796) > ((signed int )0u))) ? (llvm_cbe_tmp23_2e_i660) : (llvm_cbe_tmp185))) - ((((((signed int )llvm_cbe_storemerge1_2e_i128_2e_reload796) > ((signed int )0u))) ? (llvm_cbe_tmp185) : (llvm_cbe_tmp23_2e_i660)));
  llvm_cbe_tmp168169_2e_i241 = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i63_2e_0);
  llvm_cbe_tmp182183_2e_i253 = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i118);
  llvm_cbe_count_2e_i60_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge5_2e_i229;   /* for PHI node */
  llvm_cbe_alpha_2e_i66_2e_1__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i69_2e_1__PHI_TEMPORARY = llvm_cbe_tmp125_2e_i201;   /* for PHI node */
  llvm_cbe_pix_2e_i72_2e_1__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i25;   /* for PHI node */
  goto llvm_cbe_bb185_2e_i259;

  do {     /* Syntactic loop 'bb114.i' to make GCC happy */
llvm_cbe_bb114_2e_i:
  llvm_cbe_count1_2e_i_2e_0 = llvm_cbe_count1_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i_2e_0 = llvm_cbe_alpha_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i_2e_0 = llvm_cbe_cycle_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i_2e_0 = llvm_cbe_pix_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp116_2e_i = llvm_cbe_count1_2e_i_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp116_2e_i == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb85_2e_i:
  _ZN10AlphaBrushIjLj1EE3inkEPjii((&llvm_cbe_brush_2e_i), llvm_cbe_pix_2e_i_2e_0, llvm_cbe_pixStride_2e_i_2e_0, llvm_cbe_alpha_2e_i_2e_0);
  llvm_cbe_abs39_2e_i_2e_reload = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  llvm_cbe_tmp92_2e_i = llvm_cbe_cycle_2e_i_2e_0 + llvm_cbe_abs39_2e_i_2e_reload;
  llvm_cbe_tmp95_2e_i = llvm_cbe_alpha_2e_i_2e_0 - llvm_cbe_tmp61_2e_i;
  llvm_cbe_tmp99_2e_i = (&llvm_cbe_pix_2e_i_2e_0[((signed long long )llvm_cbe_tmp9798_2e_i)]);
  if ((((signed int )llvm_cbe_tmp92_2e_i) > ((signed int )llvm_cbe_abs_2e_i))) {
    goto llvm_cbe_bb105_2e_i;
  } else {
    llvm_cbe_count1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp116_2e_i;   /* for PHI node */
    llvm_cbe_alpha_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp95_2e_i;   /* for PHI node */
    llvm_cbe_cycle_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp92_2e_i;   /* for PHI node */
    llvm_cbe_pix_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp99_2e_i;   /* for PHI node */
    goto llvm_cbe_bb114_2e_i;
  }

llvm_cbe_bb105_2e_i:
  llvm_cbe_tmp108_2e_i = llvm_cbe_tmp92_2e_i - llvm_cbe_abs_2e_i;
  llvm_cbe_tmp113_2e_i = (&llvm_cbe_pix_2e_i_2e_0[((signed long long )(llvm_cbe_tmp9798_2e_i + llvm_cbe_tmp111112_2e_i))]);
  llvm_cbe_count1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp116_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge2_2e_i;   /* for PHI node */
  llvm_cbe_cycle_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp108_2e_i;   /* for PHI node */
  llvm_cbe_pix_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp113_2e_i;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i;

  } while (1); /* end of syntactic loop 'bb114.i' */
llvm_cbe_bb54_2e_i:
  llvm_cbe_tmp56_2e_i = ((signed int )(((signed int )llvm_cbe_abs_2e_i) >> ((signed int )1u)));
  llvm_cbe_abs39_2e_i_2e_reload809 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  llvm_cbe_tmp61_2e_i = ((signed int )(((signed int )(llvm_cbe_abs39_2e_i_2e_reload809 * 255u)) / ((signed int )(llvm_cbe_abs_2e_i + 1u))));
  llvm_cbe_storemerge2_2e_i = (((((signed int )(-(llvm_cbe_tmp61_2e_i))) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge3_2e_i = ((((((signed int )llvm_cbe_storemerge_2e_i44) > ((signed int )0u))) ? (llvm_cbe_tmp12_2e_i652) : (llvm_cbe_tmp188))) - ((((((signed int )llvm_cbe_storemerge_2e_i44) > ((signed int )0u))) ? (llvm_cbe_tmp188) : (llvm_cbe_tmp12_2e_i652)));
  llvm_cbe_tmp9798_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i44);
  llvm_cbe_tmp111112_2e_i = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i_2e_0);
  llvm_cbe_count1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge3_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_0__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp56_2e_i;   /* for PHI node */
  llvm_cbe_pix_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i25;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i;

llvm_cbe_bb48_2e_i:
  llvm_cbe_pixStride_2e_i_2e_0 = llvm_cbe_pixStride_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_abs39_2e_i_2e_reload814 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_abs39_2e_i_2e_reload814) < ((signed int )llvm_cbe_abs_2e_i))) {
    goto llvm_cbe_bb54_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i;
  }

llvm_cbe_bb35_2e_i:
  *(&llvm_cbe_storemerge1_2e_i_2e_reg2mem) = 1u;
  *(&llvm_cbe_abs39_2e_i_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp21_2e_i40) > ((signed int )4294967295u))) ? (llvm_cbe_tmp21_2e_i40) : ((-(llvm_cbe_tmp21_2e_i40)))));
  llvm_cbe_storemerge1_2e_i_2e_reload = *(&llvm_cbe_storemerge1_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_reload) < ((signed int )0u))) {
    goto llvm_cbe_bb44_2e_i;
  } else {
    llvm_cbe_pixStride_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i27769;   /* for PHI node */
    goto llvm_cbe_bb48_2e_i;
  }

llvm_cbe_bb175:
  *llvm_cbe_tmp2_2e_i_2e_i30 = llvm_cbe_color;
  *llvm_cbe_tmp8_2e_i_2e_i36 = llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp6_2e_i_2e_i34 = llvm_cbe_tmp6_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp4_2e_i_2e_i32 = llvm_cbe_tmp9_2e_i_2e_i_2e_i;
  llvm_cbe_tmp18_2e_i = llvm_cbe_tmp12_2e_i652 - llvm_cbe_tmp188;
  llvm_cbe_tmp21_2e_i40 = llvm_cbe_tmp23_2e_i660 - llvm_cbe_tmp185;
  llvm_cbe_storemerge_2e_i44 = (((((signed int )llvm_cbe_tmp18_2e_i) < ((signed int )0u))) ? (4294967295u) : (1u));
  llvm_cbe_abs_2e_i = (((((signed int )llvm_cbe_tmp18_2e_i) > ((signed int )4294967295u))) ? (llvm_cbe_tmp18_2e_i) : ((-(llvm_cbe_tmp18_2e_i))));
  if ((((signed int )llvm_cbe_tmp21_2e_i40) < ((signed int )0u))) {
    goto llvm_cbe_bb35_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb35_2e_i;
  }

llvm_cbe_bb44_2e_i:
  llvm_cbe_tmp47_2e_i = -(llvm_cbe_tmp13_2e_i27769);
  llvm_cbe_pixStride_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp47_2e_i;   /* for PHI node */
  goto llvm_cbe_bb48_2e_i;

llvm_cbe_bb35_2e_i_2e_thread:
  *(&llvm_cbe_storemerge1_2e_i_2e_reg2mem) = 4294967295u;
  *(&llvm_cbe_abs39_2e_i_2e_reg2mem) = ((((((signed int )llvm_cbe_tmp21_2e_i40) > ((signed int )4294967295u))) ? (llvm_cbe_tmp21_2e_i40) : ((-(llvm_cbe_tmp21_2e_i40)))));
  goto llvm_cbe_bb44_2e_i;

  do {     /* Syntactic loop 'bb185.i' to make GCC happy */
llvm_cbe_bb185_2e_i:
  llvm_cbe_count_2e_i_2e_0 = llvm_cbe_count_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i_2e_1 = llvm_cbe_alpha_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_cycle_2e_i_2e_1 = llvm_cbe_cycle_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_pix_2e_i_2e_1 = llvm_cbe_pix_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp187_2e_i = llvm_cbe_count_2e_i_2e_0 + 4294967295u;
  if ((llvm_cbe_tmp187_2e_i == 4294967295u)) {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb158_2e_i;
  }

llvm_cbe_bb158_2e_i:
  _ZN10AlphaBrushIjLj1EE3inkEPjii((&llvm_cbe_brush_2e_i), llvm_cbe_pix_2e_i_2e_1, 1u, llvm_cbe_alpha_2e_i_2e_1);
  llvm_cbe_tmp163_2e_i = llvm_cbe_cycle_2e_i_2e_1 + llvm_cbe_abs_2e_i;
  llvm_cbe_tmp166_2e_i = llvm_cbe_alpha_2e_i_2e_1 + llvm_cbe_tmp135_2e_i;
  llvm_cbe_tmp170_2e_i = (&llvm_cbe_pix_2e_i_2e_1[((signed long long )llvm_cbe_tmp168169_2e_i)]);
  llvm_cbe_abs39_2e_i_2e_reload811 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_tmp163_2e_i) > ((signed int )llvm_cbe_abs39_2e_i_2e_reload811))) {
    goto llvm_cbe_bb176_2e_i;
  } else {
    llvm_cbe_count_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187_2e_i;   /* for PHI node */
    llvm_cbe_alpha_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp166_2e_i;   /* for PHI node */
    llvm_cbe_cycle_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp163_2e_i;   /* for PHI node */
    llvm_cbe_pix_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp170_2e_i;   /* for PHI node */
    goto llvm_cbe_bb185_2e_i;
  }

llvm_cbe_bb176_2e_i:
  llvm_cbe_abs39_2e_i_2e_reload810 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  llvm_cbe_tmp179_2e_i = llvm_cbe_tmp163_2e_i - llvm_cbe_abs39_2e_i_2e_reload810;
  llvm_cbe_tmp184_2e_i = (&llvm_cbe_pix_2e_i_2e_1[((signed long long )(llvm_cbe_tmp168169_2e_i + llvm_cbe_tmp182183_2e_i))]);
  llvm_cbe_count_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge4_2e_i;   /* for PHI node */
  llvm_cbe_cycle_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp179_2e_i;   /* for PHI node */
  llvm_cbe_pix_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp184_2e_i;   /* for PHI node */
  goto llvm_cbe_bb185_2e_i;

  } while (1); /* end of syntactic loop 'bb185.i' */
llvm_cbe_bb123_2e_i:
  llvm_cbe_abs39_2e_i_2e_reload813 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  llvm_cbe_tmp125_2e_i = ((signed int )(((signed int )llvm_cbe_abs39_2e_i_2e_reload813) >> ((signed int )1u)));
  llvm_cbe_abs39_2e_i_2e_reload812 = *(&llvm_cbe_abs39_2e_i_2e_reg2mem);
  llvm_cbe_tmp132_2e_i = ((signed int )(((signed int )(llvm_cbe_abs_2e_i * 255u)) / ((signed int )(llvm_cbe_abs39_2e_i_2e_reload812 + 1u))));
  llvm_cbe_tmp135_2e_i = ((((((signed int )llvm_cbe_tmp132_2e_i) > ((signed int )4294967295u))) ? (llvm_cbe_tmp132_2e_i) : ((-(llvm_cbe_tmp132_2e_i))))) * (-(llvm_cbe_storemerge_2e_i44));
  llvm_cbe_storemerge4_2e_i = (((((signed int )llvm_cbe_tmp135_2e_i) < ((signed int )0u))) ? (255u) : (0u));
  llvm_cbe_storemerge1_2e_i_2e_reload808 = *(&llvm_cbe_storemerge1_2e_i_2e_reg2mem);
  llvm_cbe_storemerge5_2e_i = ((((((signed int )llvm_cbe_storemerge1_2e_i_2e_reload808) > ((signed int )0u))) ? (llvm_cbe_tmp23_2e_i660) : (llvm_cbe_tmp185))) - ((((((signed int )llvm_cbe_storemerge1_2e_i_2e_reload808) > ((signed int )0u))) ? (llvm_cbe_tmp185) : (llvm_cbe_tmp23_2e_i660)));
  llvm_cbe_tmp168169_2e_i = ((signed long long )(signed int )llvm_cbe_pixStride_2e_i_2e_0);
  llvm_cbe_tmp182183_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i44);
  llvm_cbe_count_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge5_2e_i;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_1__PHI_TEMPORARY = 127u;   /* for PHI node */
  llvm_cbe_cycle_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp125_2e_i;   /* for PHI node */
  llvm_cbe_pix_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i25;   /* for PHI node */
  goto llvm_cbe_bb185_2e_i;

  do {     /* Syntactic loop 'bb207' to make GCC happy */
llvm_cbe_bb207:
  llvm_cbe_i_2e_1 = llvm_cbe_i_2e_1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_i_2e_1) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i761))) {
    goto llvm_cbe_bb213;
  } else {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb232;
  }

llvm_cbe_bb225:
  llvm_cbe_tmp206 = llvm_cbe_i_2e_1 + 1u;
  llvm_cbe_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp206;   /* for PHI node */
  goto llvm_cbe_bb207;

llvm_cbe_bb213:
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_i_2e_1);
  llvm_cbe_tmp3_2e_i4 = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field0));
  if ((((signed int )llvm_cbe_tmp3_2e_i4) < ((signed int )llvm_cbe_tmp5))) {
    goto llvm_cbe_bb225;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field0));
  if ((((signed int )llvm_cbe_tmp12_2e_i) > ((signed int )llvm_cbe_tmp17))) {
    goto llvm_cbe_bb225;
  } else {
    goto llvm_cbe_bb20_2e_i;
  }

llvm_cbe_bb20_2e_i:
  llvm_cbe_tmp23_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i693[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field1));
  if (((((((signed int )llvm_cbe_tmp23_2e_i) < ((signed int )llvm_cbe_tmp11)) | (((signed int )llvm_cbe_tmp23_2e_i) > ((signed int )llvm_cbe_tmp23)))&1))) {
    goto llvm_cbe_bb225;
  } else {
    llvm_cbe_i_2e_3_2e_in__PHI_TEMPORARY = llvm_cbe_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb232;
  }

  } while (1); /* end of syntactic loop 'bb207' */
  } while (1); /* end of syntactic loop 'bb232' */
llvm_cbe_bb238:
  llvm_cbe_tmp241 = *llvm_cbe_tmp55;
  SDL_UnlockSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp241)));
  return;
}


static unsigned int _ZNK6Canvas9readPixelEii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y) {
  unsigned char **llvm_cbe_tmp2;
  unsigned char *llvm_cbe_tmp3;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp6;
  unsigned char llvm_cbe_tmp8;
  unsigned short llvm_cbe_tmp15;
  unsigned char *llvm_cbe_tmp24;
  unsigned char *llvm_cbe_tmp27;
  unsigned int llvm_cbe_tmp32;
  unsigned short llvm_cbe_tmp40;
  unsigned int llvm_cbe_tmp4041;
  unsigned int llvm_cbe_tmp48;
  unsigned int llvm_cbe_c_2e_0;
  unsigned int llvm_cbe_c_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp53;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  llvm_cbe_tmp34 = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3);
  llvm_cbe_tmp6 = *((&llvm_cbe_tmp34->field1));
  llvm_cbe_tmp8 = *((&llvm_cbe_tmp6->field2));
  llvm_cbe_tmp15 = *((&llvm_cbe_tmp34->field4));
  llvm_cbe_tmp24 = *((&llvm_cbe_tmp34->field5));
  llvm_cbe_tmp27 = (&llvm_cbe_tmp24[((signed long long )(((unsigned long long )(unsigned int )((((unsigned int )(unsigned short )llvm_cbe_tmp15)) * llvm_cbe_y))))]);
  llvm_cbe_tmp32 = SDL_LockSurface(llvm_cbe_tmp34);
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp8))) {
  default:
    llvm_cbe_c_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb50;
;
  case 2u:
    goto llvm_cbe_bb;
    break;
  case 4u:
    goto llvm_cbe_bb42;
  }
llvm_cbe_bb:
  llvm_cbe_tmp40 = *((&(((unsigned short *)llvm_cbe_tmp27))[((signed long long )(((signed long long )(signed int )llvm_cbe_x)))]));
  llvm_cbe_tmp4041 = ((unsigned int )(unsigned short )llvm_cbe_tmp40);
  llvm_cbe_c_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4041;   /* for PHI node */
  goto llvm_cbe_bb50;

llvm_cbe_bb42:
  llvm_cbe_tmp48 = *((&(((unsigned int *)llvm_cbe_tmp27))[((signed long long )(((signed long long )(signed int )llvm_cbe_x)))]));
  llvm_cbe_c_2e_0__PHI_TEMPORARY = llvm_cbe_tmp48;   /* for PHI node */
  goto llvm_cbe_bb50;

llvm_cbe_bb50:
  llvm_cbe_c_2e_0 = llvm_cbe_c_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp53 = *llvm_cbe_tmp2;
  SDL_UnlockSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp53)));
  return llvm_cbe_c_2e_0;
}


static void _ZN6CanvasC1Eii(struct l_struct_2E_Canvas *llvm_cbe_this, unsigned int llvm_cbe_w, unsigned int llvm_cbe_h) {
  unsigned char **llvm_cbe_tmp4;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp11;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp13;
  unsigned char llvm_cbe_tmp15;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp18;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp22;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp23;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp25;
  unsigned int llvm_cbe_tmp27;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp28;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp30;
  unsigned int llvm_cbe_tmp32;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp33;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp35;
  unsigned int llvm_cbe_tmp37;
  struct l_struct_2E_SDL_VideoInfo *llvm_cbe_tmp38;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp40;
  unsigned char llvm_cbe_tmp42;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp46;
  unsigned char *llvm_cbe_tmp4649;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp53;
  unsigned char *llvm_cbe_tmp5356;
  unsigned char *llvm_cbe_storemerge;
  unsigned char *llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp2_2e_i3_2e_rle;
  unsigned char *llvm_cbe_tmp2_2e_i3_2e_rle__PHI_TEMPORARY;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i6_2e_i;

  *((&llvm_cbe_this->field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  llvm_cbe_tmp4 = (&llvm_cbe_this->field1);
  *llvm_cbe_tmp4 = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_this->field2)) = 0u;
  *((&llvm_cbe_this->field3)) = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  llvm_cbe_tmp11 = SDL_GetVideoInfo();
  llvm_cbe_tmp13 = *((&llvm_cbe_tmp11->field4));
  llvm_cbe_tmp15 = *((&llvm_cbe_tmp13->field1));
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp15))) {
  default:
    goto llvm_cbe_bb50;
;
  case 16u:
    goto llvm_cbe_bb;
    break;
  case 32u:
    goto llvm_cbe_bb;
    break;
  }
llvm_cbe_bb:
  llvm_cbe_tmp18 = SDL_GetVideoInfo();
  llvm_cbe_tmp20 = *((&llvm_cbe_tmp18->field4));
  llvm_cbe_tmp22 = *((&llvm_cbe_tmp20->field14));
  llvm_cbe_tmp23 = SDL_GetVideoInfo();
  llvm_cbe_tmp25 = *((&llvm_cbe_tmp23->field4));
  llvm_cbe_tmp27 = *((&llvm_cbe_tmp25->field13));
  llvm_cbe_tmp28 = SDL_GetVideoInfo();
  llvm_cbe_tmp30 = *((&llvm_cbe_tmp28->field4));
  llvm_cbe_tmp32 = *((&llvm_cbe_tmp30->field12));
  llvm_cbe_tmp33 = SDL_GetVideoInfo();
  llvm_cbe_tmp35 = *((&llvm_cbe_tmp33->field4));
  llvm_cbe_tmp37 = *((&llvm_cbe_tmp35->field11));
  llvm_cbe_tmp38 = SDL_GetVideoInfo();
  llvm_cbe_tmp40 = *((&llvm_cbe_tmp38->field4));
  llvm_cbe_tmp42 = *((&llvm_cbe_tmp40->field1));
  llvm_cbe_tmp46 = SDL_CreateRGBSurface(0u, llvm_cbe_w, llvm_cbe_h, (((unsigned int )(unsigned char )llvm_cbe_tmp42)), llvm_cbe_tmp37, llvm_cbe_tmp32, llvm_cbe_tmp27, llvm_cbe_tmp22);
  llvm_cbe_tmp4649 = ((unsigned char *)llvm_cbe_tmp46);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp4649;   /* for PHI node */
  llvm_cbe_tmp2_2e_i3_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp4649;   /* for PHI node */
  goto llvm_cbe_bb57;

llvm_cbe_bb50:
  llvm_cbe_tmp53 = SDL_CreateRGBSurface(0u, llvm_cbe_w, llvm_cbe_h, 32u, 16711680u, 65280u, 255u, 4278190080u);
  llvm_cbe_tmp5356 = ((unsigned char *)llvm_cbe_tmp53);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp5356;   /* for PHI node */
  llvm_cbe_tmp2_2e_i3_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp5356;   /* for PHI node */
  goto llvm_cbe_bb57;

llvm_cbe_bb57:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i3_2e_rle = llvm_cbe_tmp2_2e_i3_2e_rle__PHI_TEMPORARY;
  *llvm_cbe_tmp4 = llvm_cbe_storemerge;
  if ((llvm_cbe_tmp2_2e_i3_2e_rle == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb10_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp34_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp2_2e_i3_2e_rle);
  llvm_cbe_tmp6_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i6_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i->field2));
  _ZN6Canvas7setClipEiiii(llvm_cbe_this, llvm_cbe_tmp6_2e_i6_2e_i, llvm_cbe_tmp6_2e_i_2e_i);
  return;
llvm_cbe_bb10_2e_i:
  _ZN6Canvas7setClipEiiii(llvm_cbe_this, 0u, 0u);
  return;
}


static void _ZN4PathC1ERKS_(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_unnamed_arg) {
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp23_2e_i_2e_rle;
  unsigned char *llvm_cbe_tmp23_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i7_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp20_2e_i;
  unsigned char *ltmp_2_1;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;

  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp1_2e_i = ((struct l_struct_2E_Vec2 *)/*NULL*/0);
  llvm_cbe_tmp3_2e_i = (&llvm_cbe_this->field0.field1);
  *llvm_cbe_tmp3_2e_i = 0u;
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_this->field0.field2);
  *llvm_cbe_tmp5_2e_i = 0u;
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_unnamed_arg->field0.field1);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) < ((signed int )0u))) {
    llvm_cbe_tmp23_2e_i_2e_rle__PHI_TEMPORARY = ((unsigned char *)/*NULL*/0);   /* for PHI node */
    goto llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb24_2e_i_2e_i;
  }

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(((((signed long long )(signed int )llvm_cbe_tmp3_2e_i_2e_i)) << 3ull));
  *llvm_cbe_tmp1_2e_i = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp28_2e_i_2e_i));
  *llvm_cbe_tmp5_2e_i = llvm_cbe_tmp3_2e_i_2e_i;
  llvm_cbe_tmp23_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp28_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i;

llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i:
  llvm_cbe_tmp23_2e_i_2e_rle = llvm_cbe_tmp23_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i7_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i = *((&llvm_cbe_unnamed_arg->field0.field0));
  ltmp_2_1 = memcpy(llvm_cbe_tmp23_2e_i_2e_rle, (((unsigned char *)llvm_cbe_tmp20_2e_i)), ((((signed long long )(signed int )llvm_cbe_tmp3_2e_i7_2e_i)) << 3ull));
  llvm_cbe_tmp3_2e_i3_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  *llvm_cbe_tmp3_2e_i = llvm_cbe_tmp3_2e_i3_2e_i;
  return;
llvm_cbe_return:
  return;
}


static void _ZN4PathaSERKS_(struct l_struct_2E_Path *llvm_cbe_this, struct l_struct_2E_Path *llvm_cbe_unnamed_arg) {
  unsigned int *llvm_cbe_tmp2_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp17_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i7_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp17_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp20_2e_i;
  unsigned char *ltmp_3_1;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0.field1);
  *llvm_cbe_tmp2_2e_i = 0u;
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_unnamed_arg->field0.field1);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) < ((signed int )0u))) {
    goto llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = (&llvm_cbe_this->field0.field2);
  llvm_cbe_tmp8_2e_i_2e_i = *llvm_cbe_tmp7_2e_i_2e_i;
  llvm_cbe_tmp27_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_tmp3_2e_i_2e_i)) << 3ull;
  if ((llvm_cbe_tmp8_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i);
  *llvm_cbe_tmp17_2e_i_2e_i = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp20_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i);
  *((&llvm_cbe_this->field0.field0)) = (((struct l_struct_2E_Vec2 *)llvm_cbe_tmp28_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i:
  *llvm_cbe_tmp7_2e_i_2e_i = llvm_cbe_tmp3_2e_i_2e_i;
  goto llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i;

llvm_cbe__ZN5ArrayI4Vec2E8capacityEi_2e_exit_2e_i:
  llvm_cbe_tmp3_2e_i7_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp17_2e_i = *((&llvm_cbe_unnamed_arg->field0.field0));
  llvm_cbe_tmp20_2e_i = *((&llvm_cbe_this->field0.field0));
  ltmp_3_1 = memcpy((((unsigned char *)llvm_cbe_tmp20_2e_i)), (((unsigned char *)llvm_cbe_tmp17_2e_i)), ((((signed long long )(signed int )llvm_cbe_tmp3_2e_i7_2e_i)) << 3ull));
  llvm_cbe_tmp3_2e_i3_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  *llvm_cbe_tmp2_2e_i = llvm_cbe_tmp3_2e_i3_2e_i;
  return;
llvm_cbe_return:
  return;
}


static void _ZN4Font4drawEP6Canvas4Vec2RKSsi(struct l_struct_2E_Font *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_canvas, struct l_struct_2E_Vec2 *llvm_cbe_pt, struct l_struct_2E_std_3A__3A_string *llvm_cbe_text) {
  unsigned char llvm_cbe_c_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_Path llvm_cbe_p;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_r;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp70;
  struct l_struct_2E_Path *llvm_cbe_tmp74;
  unsigned int *llvm_cbe_tmp3_2e_i3;
  unsigned int *llvm_cbe_tmp7_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i6;
  unsigned int *llvm_cbe_tmp7_2e_i9;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i_2e_i16;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp6_2e_i_2e_i20;
  unsigned char *llvm_cbe_tmp4;
  unsigned char llvm_cbe_tmp5;
  unsigned char llvm_cbe_tmp9;
  unsigned char llvm_cbe_c_2e_0;
  unsigned char llvm_cbe_c_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_c_2e_0_2e_reload25;
  unsigned long long llvm_cbe_tmp171821;
  unsigned int llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp40;
  struct l_struct_2E_Path *llvm_cbe_tmp48;
  unsigned int llvm_cbe_tmp54;
  unsigned int llvm_cbe_tmp4_2e_i7;
  unsigned int llvm_cbe_tmp8_2e_i10;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i17;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i21;
  unsigned char llvm_cbe_c_2e_0_2e_reload;
  unsigned int llvm_cbe_tmp71;
  unsigned int llvm_cbe_tmp4_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp81;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp8384;
  unsigned long long llvm_cbe_tmp86;

  llvm_cbe_tmp70 = (&llvm_cbe_pt->field0);
  llvm_cbe_tmp74 = (&llvm_cbe_this->field0[((signed long long )69ull)]);
  llvm_cbe_tmp3_2e_i3 = (&llvm_cbe_tmp.field1.field0);
  llvm_cbe_tmp7_2e_i = (&llvm_cbe_tmp.field0.field0);
  llvm_cbe_tmp3_2e_i6 = (&llvm_cbe_r.field1.field0);
  llvm_cbe_tmp7_2e_i9 = (&llvm_cbe_r.field0.field0);
  llvm_cbe_tmp1_2e_i_2e_i16 = (&llvm_cbe_p.field0.field0);
  llvm_cbe_tmp6_2e_i_2e_i20 = (&llvm_cbe_p.field0.field0);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb82;

  do {     /* Syntactic loop 'bb82' to make GCC happy */
llvm_cbe_bb82:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp8384 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp86 = _ZNKSs6lengthEv(llvm_cbe_text);
  if ((((unsigned long long )llvm_cbe_tmp8384) < ((unsigned long long )llvm_cbe_tmp86))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb79:
  llvm_cbe_tmp81 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp81;   /* for PHI node */
  goto llvm_cbe_bb82;

llvm_cbe_bb34:
  llvm_cbe_tmp40 = (&llvm_cbe_this->field0[((signed long long )llvm_cbe_tmp171821)]);
  llvm_cbe_r = _ZNK4Path4bboxEv(llvm_cbe_tmp40);
  _ZN4PathC1ERKS_((&llvm_cbe_p), llvm_cbe_tmp40);
  llvm_cbe_tmp48 = _ZN4Path9translateERK4Vec2((&llvm_cbe_p), llvm_cbe_pt);
  _ZN6Canvas8drawPathERK4Pathib(llvm_cbe_canvas, (&llvm_cbe_p), 0u, ((unsigned char )0));
  llvm_cbe_tmp54 = *llvm_cbe_tmp70;
  llvm_cbe_tmp4_2e_i7 = *llvm_cbe_tmp3_2e_i6;
  llvm_cbe_tmp8_2e_i10 = *llvm_cbe_tmp7_2e_i9;
  *llvm_cbe_tmp70 = (llvm_cbe_tmp54 + ((llvm_cbe_tmp4_2e_i7 - llvm_cbe_tmp8_2e_i10) + 2u));
  llvm_cbe_tmp2_2e_i_2e_i17 = *llvm_cbe_tmp1_2e_i_2e_i16;
  if ((llvm_cbe_tmp2_2e_i_2e_i17 == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe_bb79;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i23;
  }

llvm_cbe_bb16:
  llvm_cbe_c_2e_0_2e_reload25 = *(&llvm_cbe_c_2e_0_2e_reg2mem);
  llvm_cbe_tmp171821 = ((signed long long )(signed char )llvm_cbe_c_2e_0_2e_reload25);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field0[((signed long long )llvm_cbe_tmp171821)].field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i) < ((signed int )2u))) {
    goto llvm_cbe_bb63;
  } else {
    goto llvm_cbe_bb34;
  }

llvm_cbe_bb11_2e_thread:
  *(&llvm_cbe_c_2e_0_2e_reg2mem) = ((unsigned char )32);
  goto llvm_cbe_bb16;

llvm_cbe_bb:
  llvm_cbe_tmp4 = _ZNKSsixEm(llvm_cbe_text, llvm_cbe_tmp8384);
  llvm_cbe_tmp5 = *llvm_cbe_tmp4;
  switch (llvm_cbe_tmp5) {
  default:
    llvm_cbe_c_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5;   /* for PHI node */
    goto llvm_cbe_bb11;
;
  case ((unsigned char )95):
    goto llvm_cbe_bb11_2e_thread;
  case ((unsigned char )97):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )98):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )99):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )100):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )101):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )102):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )103):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )104):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )105):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )106):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )107):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )108):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )109):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )110):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )111):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )112):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )113):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )114):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )115):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )116):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )117):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )118):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )119):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )120):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )121):
    goto llvm_cbe_bb7;
    break;
  case ((unsigned char )122):
    goto llvm_cbe_bb7;
    break;
  }
llvm_cbe_bb11:
  llvm_cbe_c_2e_0 = llvm_cbe_c_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_c_2e_0_2e_reg2mem) = llvm_cbe_c_2e_0;
  if ((((signed char )llvm_cbe_c_2e_0) < ((signed char )((unsigned char )0)))) {
    goto llvm_cbe_bb63;
  } else {
    goto llvm_cbe_bb16;
  }

llvm_cbe_bb7:
  llvm_cbe_tmp9 = ((unsigned char )(llvm_cbe_tmp5 + ((unsigned char )-32)));
  llvm_cbe_c_2e_0__PHI_TEMPORARY = llvm_cbe_tmp9;   /* for PHI node */
  goto llvm_cbe_bb11;

llvm_cbe_bb_2e_i_2e_i23:
  llvm_cbe_tmp7_2e_i_2e_i21 = *llvm_cbe_tmp6_2e_i_2e_i20;
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i21)));
  goto llvm_cbe_bb79;

llvm_cbe_bb63:
  llvm_cbe_c_2e_0_2e_reload = *(&llvm_cbe_c_2e_0_2e_reg2mem);
  if ((llvm_cbe_c_2e_0_2e_reload == ((unsigned char )32))) {
    goto llvm_cbe_bb68;
  } else {
    goto llvm_cbe_bb79;
  }

llvm_cbe_bb68:
  llvm_cbe_tmp71 = *llvm_cbe_tmp70;
  llvm_cbe_tmp = _ZNK4Path4bboxEv(llvm_cbe_tmp74);
  llvm_cbe_tmp4_2e_i = *llvm_cbe_tmp3_2e_i3;
  llvm_cbe_tmp8_2e_i = *llvm_cbe_tmp7_2e_i;
  *llvm_cbe_tmp70 = (llvm_cbe_tmp71 + ((llvm_cbe_tmp4_2e_i - llvm_cbe_tmp8_2e_i) + 1u));
  goto llvm_cbe_bb79;

  } while (1); /* end of syntactic loop 'bb82' */
llvm_cbe_return:
  return;
}


static struct l_struct_2E_std_3A__3A_string _ZN6Config8findFileERKSs(struct l_struct_2E_std_3A__3A_string *llvm_cbe_name) {
  struct l_struct_2E_std_3A__3A_string StructReturn;  /* Struct return temporary */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_agg_2e_result = &StructReturn;
  struct l_struct_2E_std_3A__3A_string llvm_cbe_p;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp18;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp20;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp22;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp24;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i;
  unsigned char *llvm_cbe_tmp34;
  struct l_struct_2E_FILE *llvm_cbe_tmp37;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp52;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i38;
  unsigned char *llvm_cbe_tmp69;
  struct l_struct_2E_FILE *llvm_cbe_tmp72;
  struct l_struct_2E_FILE *llvm_cbe_fd_2e_0;
  struct l_struct_2E_FILE *llvm_cbe_fd_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp87;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i14;

  _ZNSaIcEC1Ev((&llvm_cbe_tmp24));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_p), ((&_2E_str1[((signed long long )0ull)])), (&llvm_cbe_tmp24));
  _ZNSaIcED1Ev((&llvm_cbe_tmp24));
  _ZNSsC1ERKSs((&llvm_cbe_tmp22), (&llvm_cbe_p));
  llvm_cbe_tmp9_2e_i = _ZNSs6appendERKSs((&llvm_cbe_tmp22), llvm_cbe_name);
  llvm_cbe_tmp34 = _ZNKSs5c_strEv((&llvm_cbe_tmp22));
  llvm_cbe_tmp37 = fopen(llvm_cbe_tmp34, ((&_2E_str265[((signed long long )0ull)])));
  _ZNSsD1Ev((&llvm_cbe_tmp22));
  if ((llvm_cbe_tmp37 == ((struct l_struct_2E_FILE *)/*NULL*/0))) {
    goto llvm_cbe_bb48;
  } else {
    llvm_cbe_fd_2e_0__PHI_TEMPORARY = llvm_cbe_tmp37;   /* for PHI node */
    goto llvm_cbe_bb79;
  }

llvm_cbe_bb48:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp18));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp20), ((&_2E_str12[((signed long long )0ull)])), (&llvm_cbe_tmp18));
  llvm_cbe_tmp52 = _ZNSsaSERKSs((&llvm_cbe_p), (&llvm_cbe_tmp20));
  _ZNSsD1Ev((&llvm_cbe_tmp20));
  _ZNSaIcED1Ev((&llvm_cbe_tmp18));
  _ZNSsC1ERKSs((&llvm_cbe_tmp), (&llvm_cbe_p));
  llvm_cbe_tmp9_2e_i38 = _ZNSs6appendERKSs((&llvm_cbe_tmp), llvm_cbe_name);
  llvm_cbe_tmp69 = _ZNKSs5c_strEv((&llvm_cbe_tmp));
  llvm_cbe_tmp72 = fopen(llvm_cbe_tmp69, ((&_2E_str265[((signed long long )0ull)])));
  _ZNSsD1Ev((&llvm_cbe_tmp));
  llvm_cbe_fd_2e_0__PHI_TEMPORARY = llvm_cbe_tmp72;   /* for PHI node */
  goto llvm_cbe_bb79;

llvm_cbe_bb79:
  llvm_cbe_fd_2e_0 = llvm_cbe_fd_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_fd_2e_0 == ((struct l_struct_2E_FILE *)/*NULL*/0))) {
    goto llvm_cbe_bb91;
  } else {
    goto llvm_cbe_bb84;
  }

llvm_cbe_bb84:
  llvm_cbe_tmp87 = fclose(llvm_cbe_fd_2e_0);
  _ZNSsC1ERKSs(llvm_cbe_agg_2e_result, (&llvm_cbe_p));
  llvm_cbe_tmp9_2e_i14 = _ZNSs6appendERKSs(llvm_cbe_agg_2e_result, llvm_cbe_name);
  goto llvm_cbe_bb100;

llvm_cbe_bb91:
  _ZNSsC1ERKSs(llvm_cbe_agg_2e_result, llvm_cbe_name);
  goto llvm_cbe_bb100;

llvm_cbe_bb100:
  _ZNSsD1Ev((&llvm_cbe_p));
  return StructReturn;
}


static unsigned int _ZN6Levels9findLevelEPKc(struct l_struct_2E_Levels *llvm_cbe_this, unsigned char *llvm_cbe_file) {
  unsigned int *llvm_cbe_tmp2_2e_i3;
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp3_2e_i8;
  unsigned int llvm_cbe_tmp14;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_tmp2_2e_i3 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb15;

  do {     /* Syntactic loop 'bb15' to make GCC happy */
llvm_cbe_bb15:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i3;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = 4294967295u;   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb12:
  llvm_cbe_tmp14 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp14;   /* for PHI node */
  goto llvm_cbe_bb15;

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp5 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1)))]));
  llvm_cbe_tmp3_2e_i8 = _ZNKSs7compareEPKc(((&llvm_cbe_tmp5->field0)), llvm_cbe_file);
  if ((llvm_cbe_tmp3_2e_i8 == 0u)) {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_storemerge1;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb12;
  }

  } while (1); /* end of syntactic loop 'bb15' */
llvm_cbe_return:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  return llvm_cbe_storemerge;
}


static void _ZN7ZipFileC1ERKSs(struct l_struct_2E_ZipFile *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe_fn) {
  struct l_struct_2E_stat llvm_cbe_stat;    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp6;
  unsigned int *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp12;
  unsigned long long llvm_cbe_tmp14;
  unsigned int llvm_cbe_tmp1415;
  unsigned int *llvm_cbe_tmp17;
  unsigned int llvm_cbe_tmp20;
  unsigned char *llvm_cbe_tmp25;
  unsigned char *llvm_cbe_tmp33;
  unsigned int llvm_cbe_tmp44;
  unsigned char *llvm_cbe_tmp49;
  unsigned int llvm_cbe_tmp60;
  unsigned char *llvm_cbe_tmp63;
  struct l_struct_2E_zip_eoc *llvm_cbe_tmp6364;
  unsigned int llvm_cbe_tmp74;
  unsigned char *llvm_cbe_tmp76;
  unsigned short llvm_cbe_tmp98;

  *((&llvm_cbe_this->field6)) = ((unsigned char *)/*NULL*/0);
  llvm_cbe_tmp5 = _ZNKSs5c_strEv(llvm_cbe_fn);
  llvm_cbe_tmp6 = open(llvm_cbe_tmp5, 0u);
  llvm_cbe_tmp8 = (&llvm_cbe_this->field0);
  *llvm_cbe_tmp8 = llvm_cbe_tmp6;
  llvm_cbe_tmp12 = fstat(llvm_cbe_tmp6, (&llvm_cbe_stat));
  llvm_cbe_tmp14 = *((&llvm_cbe_stat.field8));
  llvm_cbe_tmp1415 = ((unsigned int )llvm_cbe_tmp14);
  llvm_cbe_tmp17 = (&llvm_cbe_this->field1);
  *llvm_cbe_tmp17 = llvm_cbe_tmp1415;
  llvm_cbe_tmp20 = *llvm_cbe_tmp8;
  llvm_cbe_tmp25 = mmap(((unsigned char *)/*NULL*/0), (((signed long long )(signed int )llvm_cbe_tmp1415)), 1u, 2u, llvm_cbe_tmp20, 0ull);
  *((&llvm_cbe_this->field2)) = llvm_cbe_tmp25;
  if ((llvm_cbe_tmp25 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb:
  llvm_cbe_tmp33 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp33)) = ((&_2E_str22[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp33, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb38:
  llvm_cbe_tmp44 = *(((unsigned int *)llvm_cbe_tmp25));
  if ((llvm_cbe_tmp44 == 67324752u)) {
    goto llvm_cbe_bb54;
  } else {
    goto llvm_cbe_bb48;
  }

llvm_cbe_bb48:
  llvm_cbe_tmp49 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp49)) = ((&_2E_str123[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp49, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb54:
  llvm_cbe_tmp60 = *llvm_cbe_tmp17;
  llvm_cbe_tmp63 = (&llvm_cbe_tmp25[((signed long long )((((signed long long )(signed int )llvm_cbe_tmp60)) + 18446744073709551594ull))]);
  llvm_cbe_tmp6364 = ((struct l_struct_2E_zip_eoc *)llvm_cbe_tmp63);
  *((&llvm_cbe_this->field3)) = llvm_cbe_tmp6364;
  llvm_cbe_tmp74 = ((struct __attribute__ ((packed, aligned(1))) {unsigned int data; } *)((&llvm_cbe_tmp6364->field6)))->data;
  llvm_cbe_tmp76 = (&llvm_cbe_tmp25[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe_tmp74)))]);
  *((&llvm_cbe_this->field4)) = (((struct l_struct_2E_zip_cd *)llvm_cbe_tmp76));
  if (((((llvm_cbe_tmp63 == ((unsigned char *)/*NULL*/0)) | (llvm_cbe_tmp76 == ((unsigned char *)/*NULL*/0)))&1))) {
    goto llvm_cbe_bb102;
  } else {
    goto llvm_cbe_bb93;
  }

llvm_cbe_bb93:
  llvm_cbe_tmp98 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_tmp6364->field3)))->data;
  *((&llvm_cbe_this->field5)) = (((unsigned int )(unsigned short )llvm_cbe_tmp98));
  return;
llvm_cbe_bb102:
  *((&llvm_cbe_this->field5)) = 0u;
  return;
}


static struct l_struct_2E_std_3A__3A_string _ZN7ZipFile9entryNameEi(struct l_struct_2E_ZipFile *llvm_cbe_this, unsigned int llvm_cbe_n) {
  struct l_struct_2E_std_3A__3A_string StructReturn;  /* Struct return temporary */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_agg_2e_result = &StructReturn;
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp14;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp24;
  struct l_struct_2E_zip_eoc *llvm_cbe_tmp53;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp5354;
  unsigned short llvm_cbe_tmp31;
  unsigned short llvm_cbe_tmp37;
  unsigned short llvm_cbe_tmp43;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp4647;
  unsigned int llvm_cbe_tmp49;
  struct l_struct_2E_zip_cd *llvm_cbe_cd_2e_0;
  struct l_struct_2E_zip_cd *llvm_cbe_cd_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp68;
  unsigned int llvm_cbe_tmp71;
  unsigned char *llvm_cbe_tmp73;
  struct l_struct_2E_zip_lfh *llvm_cbe_tmp7374;
  unsigned short llvm_cbe_tmp83;

  if ((((signed int )llvm_cbe_n) < ((signed int )0u))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp14 = *((&llvm_cbe_this->field5));
  if ((((signed int )llvm_cbe_tmp14) > ((signed int )llvm_cbe_n))) {
    goto llvm_cbe_bb21;
  } else {
    goto llvm_cbe_bb19;
  }

llvm_cbe_bb19:
  _ZNSsC1Ev(llvm_cbe_agg_2e_result);
  return StructReturn;
llvm_cbe_bb21:
  llvm_cbe_tmp24 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp53 = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp5354 = ((struct l_struct_2E_zip_cd *)llvm_cbe_tmp53);
  llvm_cbe_cd_2e_0__PHI_TEMPORARY = llvm_cbe_tmp24;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb50;

  do {     /* Syntactic loop 'bb50' to make GCC happy */
llvm_cbe_bb50:
  llvm_cbe_cd_2e_0 = llvm_cbe_cd_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if (((((((unsigned long long )llvm_cbe_tmp5354) > ((unsigned long long )llvm_cbe_cd_2e_0)) & (((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_n)))&1))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb65;
  }

llvm_cbe_bb25:
  llvm_cbe_tmp31 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_0->field12)))->data;
  llvm_cbe_tmp37 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_0->field13)))->data;
  llvm_cbe_tmp43 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_0->field14)))->data;
  llvm_cbe_tmp4647 = ((struct l_struct_2E_zip_cd *)((&(((unsigned char *)llvm_cbe_cd_2e_0))[((signed long long )((((((unsigned long long )(unsigned short )llvm_cbe_tmp31)) + 46ull) + (((unsigned long long )(unsigned short )llvm_cbe_tmp37))) + (((unsigned long long )(unsigned short )llvm_cbe_tmp43))))])));
  llvm_cbe_tmp49 = llvm_cbe_storemerge + 1u;
  llvm_cbe_cd_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4647;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp49;   /* for PHI node */
  goto llvm_cbe_bb50;

  } while (1); /* end of syntactic loop 'bb50' */
llvm_cbe_bb65:
  llvm_cbe_tmp68 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp71 = ((struct __attribute__ ((packed, aligned(1))) {unsigned int data; } *)((&llvm_cbe_cd_2e_0->field18)))->data;
  llvm_cbe_tmp73 = (&llvm_cbe_tmp68[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe_tmp71)))]);
  llvm_cbe_tmp7374 = ((struct l_struct_2E_zip_lfh *)llvm_cbe_tmp73);
  if ((llvm_cbe_tmp73 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb93;
  } else {
    goto llvm_cbe_bb79;
  }

llvm_cbe_bb79:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp));
  llvm_cbe_tmp83 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_tmp7374->field9)))->data;
  _ZNSsC1EPKcmRKSaIcE(llvm_cbe_agg_2e_result, ((&llvm_cbe_tmp7374->field11[((signed long long )0ull)])), (((unsigned long long )(unsigned short )llvm_cbe_tmp83)), (&llvm_cbe_tmp));
  _ZNSaIcED1Ev((&llvm_cbe_tmp));
  return StructReturn;
llvm_cbe_bb93:
  _ZNSsC1Ev(llvm_cbe_agg_2e_result);
  return StructReturn;
}


static unsigned int _ZL12rankFromPathRKSsi(struct l_struct_2E_std_3A__3A_string *llvm_cbe_p, unsigned int llvm_cbe_defaultrank) {
  unsigned char *llvm_cbe_tmp2;
  unsigned long long llvm_cbe_tmp7;
  unsigned char *llvm_cbe_tmp14;
  unsigned char llvm_cbe_tmp16;
  unsigned int llvm_cbe_tmp31;
  unsigned int llvm_cbe_rank_2e_0;
  unsigned int llvm_cbe_rank_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp14_2e_pn;
  unsigned char *llvm_cbe_tmp14_2e_pn__PHI_TEMPORARY;
  unsigned char *llvm_cbe_c_2e_0;
  unsigned char llvm_cbe_tmp36;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_tmp2 = _ZNKSs4dataEv(llvm_cbe_p);
  llvm_cbe_tmp7 = _ZNKSs5rfindEcm(llvm_cbe_p, ((unsigned char )47), 18446744073709551615ull);
  if ((llvm_cbe_tmp7 == 18446744073709551615ull)) {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_defaultrank;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp14 = (&llvm_cbe_tmp2[((signed long long )(llvm_cbe_tmp7 + 1ull))]);
  llvm_cbe_tmp16 = *llvm_cbe_tmp14;
  if ((llvm_cbe_tmp16 == ((unsigned char )76))) {
    llvm_cbe_rank_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    llvm_cbe_tmp14_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp14;   /* for PHI node */
    goto llvm_cbe_bb34;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_defaultrank;   /* for PHI node */
    goto llvm_cbe_return;
  }

  do {     /* Syntactic loop 'bb34' to make GCC happy */
llvm_cbe_bb34:
  llvm_cbe_rank_2e_0 = llvm_cbe_rank_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp14_2e_pn = llvm_cbe_tmp14_2e_pn__PHI_TEMPORARY;
  llvm_cbe_c_2e_0 = (&llvm_cbe_tmp14_2e_pn[((signed long long )1ull)]);
  llvm_cbe_tmp36 = *llvm_cbe_c_2e_0;
  if ((((unsigned char )(((unsigned char )(llvm_cbe_tmp36 + ((unsigned char )-48))))) < ((unsigned char )((unsigned char )10)))) {
    goto llvm_cbe_bb24;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_rank_2e_0;   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb24:
  llvm_cbe_tmp31 = ((llvm_cbe_rank_2e_0 * 10u) + (((signed int )(signed char )llvm_cbe_tmp36))) + 4294967248u;
  llvm_cbe_rank_2e_0__PHI_TEMPORARY = llvm_cbe_tmp31;   /* for PHI node */
  llvm_cbe_tmp14_2e_pn__PHI_TEMPORARY = llvm_cbe_c_2e_0;   /* for PHI node */
  goto llvm_cbe_bb34;

  } while (1); /* end of syntactic loop 'bb34' */
llvm_cbe_return:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  return llvm_cbe_storemerge;
}


static unsigned int _ZN6Levels4loadEiPhi(struct l_struct_2E_Levels *llvm_cbe_this, unsigned int llvm_cbe_i) {
  unsigned int llvm_cbe_l_2e_4_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_z_stream llvm_cbe_stream_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_ZipFile llvm_cbe_zf;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp3;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp2_2e_i_2e_i120;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i121;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i123;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp15;
  unsigned int llvm_cbe_tmp17;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i137;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp27;
  unsigned char *llvm_cbe_tmp30;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i105;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp49;
  unsigned int llvm_cbe_tmp51;
  unsigned int llvm_cbe_tmp3_2e_i93;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp16_2e_i53;
  struct l_struct_2E_zip_eoc *llvm_cbe_tmp46_2e_i;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp4647_2e_i;
  unsigned short llvm_cbe_tmp23_2e_i58;
  unsigned short llvm_cbe_tmp29_2e_i;
  unsigned short llvm_cbe_tmp36_2e_i63;
  struct l_struct_2E_zip_cd *llvm_cbe_tmp3940_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_zip_cd *llvm_cbe_cd_2e_i_2e_0;
  struct l_struct_2E_zip_cd *llvm_cbe_cd_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp61_2e_i;
  unsigned int llvm_cbe_tmp64_2e_i;
  unsigned long long llvm_cbe_tmp6465_2e_i;
  unsigned char *llvm_cbe_tmp66_2e_i;
  struct l_struct_2E_zip_lfh *llvm_cbe_tmp6667_2e_i;
  unsigned int llvm_cbe_tmp75_2e_i;
  unsigned short llvm_cbe_tmp82_2e_i;
  unsigned short llvm_cbe_tmp88_2e_i;
  unsigned char *llvm_cbe_tmp91_2e_i;
  unsigned short llvm_cbe_tmp94_2e_i;
  unsigned char **llvm_cbe_tmp99_2e_i;
  unsigned char *llvm_cbe_tmp100_2e_i;
  unsigned char *llvm_cbe_tmp113_2e_i70;
  unsigned int llvm_cbe_tmp118_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i67;
  unsigned int llvm_cbe_tmp13_2e_i_2e_i71;
  unsigned int llvm_cbe_tmp19_2e_i_2e_i72;
  unsigned int llvm_cbe_tmp25_2e_i_2e_i73;
  unsigned int llvm_cbe_tmp37_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp46_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4647_2e_i_2e_i;
  unsigned int llvm_cbe_tmp49_2e_i_2e_i74;
  unsigned int llvm_cbe_l_2e_4;
  unsigned int llvm_cbe_l_2e_4__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_l_2e_4_2e_reload143;
  unsigned char *llvm_cbe_tmp132_2e_i;
  unsigned int llvm_cbe_l_2e_4_2e_reload;
  unsigned int llvm_cbe_l_2e_1;
  unsigned int llvm_cbe_l_2e_1__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp1_2e_i45_2e_0;
  unsigned char *llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_l_2e_2;
  unsigned int llvm_cbe_l_2e_2__PHI_TEMPORARY;
  unsigned char *ltmp_4_1;
  unsigned int llvm_cbe_l_2e_3;
  unsigned int llvm_cbe_l_2e_3__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp2_2e_i11;
  unsigned char *llvm_cbe_tmp11_2e_i19;
  unsigned int llvm_cbe_tmp18_2e_i24;
  unsigned int llvm_cbe_tmp23_2e_i29;
  unsigned int llvm_cbe_tmp27_2e_i33;
  unsigned int llvm_cbe_tmp36_2e_i39;
  unsigned char *llvm_cbe_tmp96;
  struct l_struct_2E_FILE *llvm_cbe_tmp98;
  unsigned long long llvm_cbe_tmp108;
  unsigned int llvm_cbe_tmp111;
  unsigned char *llvm_cbe_tmp116;
  unsigned int llvm_cbe_l_2e_0;
  unsigned int llvm_cbe_l_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_i))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb115;
  }

llvm_cbe_bb:
  llvm_cbe_tmp2_2e_i_2e_i120 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp3_2e_i_2e_i121 = *llvm_cbe_tmp2_2e_i_2e_i120;
  llvm_cbe_tmp45_2e_i_2e_i123 = ((signed long long )(signed int )llvm_cbe_i);
  llvm_cbe_tmp15 = *((&llvm_cbe_tmp3_2e_i_2e_i121[((signed long long )llvm_cbe_tmp45_2e_i_2e_i123)]));
  llvm_cbe_tmp17 = *((&llvm_cbe_tmp15->field1));
  if ((((signed int )llvm_cbe_tmp17) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb22;
  } else {
    goto llvm_cbe_bb89;
  }

llvm_cbe_bb22:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp3_2e_i_2e_i137 = *llvm_cbe_tmp2_2e_i_2e_i120;
  llvm_cbe_tmp27 = *((&llvm_cbe_tmp3_2e_i_2e_i137[((signed long long )llvm_cbe_tmp45_2e_i_2e_i123)]));
  llvm_cbe_tmp30 = _ZNKSs5c_strEv(((&llvm_cbe_tmp27->field0)));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp3), llvm_cbe_tmp30, (&llvm_cbe_tmp2));
  _ZN7ZipFileC1ERKSs((&llvm_cbe_zf), (&llvm_cbe_tmp3));
  _ZNSsD1Ev((&llvm_cbe_tmp3));
  _ZNSaIcED1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp3_2e_i_2e_i105 = *llvm_cbe_tmp2_2e_i_2e_i120;
  llvm_cbe_tmp49 = *((&llvm_cbe_tmp3_2e_i_2e_i105[((signed long long )llvm_cbe_tmp45_2e_i_2e_i123)]));
  llvm_cbe_tmp51 = *((&llvm_cbe_tmp49->field1));
  llvm_cbe_tmp3_2e_i93 = *((&llvm_cbe_zf.field5));
  if ((((signed int )llvm_cbe_tmp51) < ((signed int )llvm_cbe_tmp3_2e_i93))) {
    goto llvm_cbe_invcont61;
  } else {
    llvm_cbe_l_2e_3__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb83;
  }

llvm_cbe_invcont61:
  if (((((((signed int )llvm_cbe_tmp3_2e_i93) > ((signed int )llvm_cbe_tmp51)) & (((signed int )llvm_cbe_tmp51) > ((signed int )4294967295u)))&1))) {
    goto llvm_cbe_bb13_2e_i;
  } else {
    llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY = ((unsigned char *)/*NULL*/0);   /* for PHI node */
    llvm_cbe_l_2e_2__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_invcont66;
  }

llvm_cbe_bb13_2e_i:
  llvm_cbe_tmp16_2e_i53 = *((&llvm_cbe_zf.field4));
  llvm_cbe_tmp46_2e_i = *((&llvm_cbe_zf.field3));
  llvm_cbe_tmp4647_2e_i = ((struct l_struct_2E_zip_cd *)llvm_cbe_tmp46_2e_i);
  llvm_cbe_cd_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i53;   /* for PHI node */
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb43_2e_i;

  do {     /* Syntactic loop 'bb43.i' to make GCC happy */
llvm_cbe_bb43_2e_i:
  llvm_cbe_cd_2e_i_2e_0 = llvm_cbe_cd_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if (((((((unsigned long long )llvm_cbe_tmp4647_2e_i) > ((unsigned long long )llvm_cbe_cd_2e_i_2e_0)) & (((signed int )llvm_cbe_storemerge_2e_i) < ((signed int )llvm_cbe_tmp51)))&1))) {
    goto llvm_cbe_bb17_2e_i;
  } else {
    goto llvm_cbe_bb58_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp23_2e_i58 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_i_2e_0->field12)))->data;
  llvm_cbe_tmp29_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_i_2e_0->field13)))->data;
  llvm_cbe_tmp36_2e_i63 = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_cd_2e_i_2e_0->field14)))->data;
  llvm_cbe_tmp3940_2e_i = ((struct l_struct_2E_zip_cd *)((&(((unsigned char *)llvm_cbe_cd_2e_i_2e_0))[((signed long long )((((((unsigned long long )(unsigned short )llvm_cbe_tmp23_2e_i58)) + 46ull) + (((unsigned long long )(unsigned short )llvm_cbe_tmp29_2e_i))) + (((unsigned long long )(unsigned short )llvm_cbe_tmp36_2e_i63))))])));
  llvm_cbe_tmp42_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_cd_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp3940_2e_i;   /* for PHI node */
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp42_2e_i;   /* for PHI node */
  goto llvm_cbe_bb43_2e_i;

  } while (1); /* end of syntactic loop 'bb43.i' */
llvm_cbe_bb58_2e_i:
  llvm_cbe_tmp61_2e_i = *((&llvm_cbe_zf.field2));
  llvm_cbe_tmp64_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned int data; } *)((&llvm_cbe_cd_2e_i_2e_0->field18)))->data;
  llvm_cbe_tmp6465_2e_i = ((unsigned long long )(unsigned int )llvm_cbe_tmp64_2e_i);
  llvm_cbe_tmp66_2e_i = (&llvm_cbe_tmp61_2e_i[((signed long long )llvm_cbe_tmp6465_2e_i)]);
  llvm_cbe_tmp6667_2e_i = ((struct l_struct_2E_zip_lfh *)llvm_cbe_tmp66_2e_i);
  if ((llvm_cbe_tmp66_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_l_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i;
  } else {
    goto llvm_cbe_bb72_2e_i;
  }

llvm_cbe_bb72_2e_i:
  llvm_cbe_tmp75_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned int data; } *)((&llvm_cbe_tmp6667_2e_i->field8)))->data;
  llvm_cbe_tmp82_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_tmp6667_2e_i->field9)))->data;
  llvm_cbe_tmp88_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_tmp6667_2e_i->field10)))->data;
  llvm_cbe_tmp91_2e_i = (&llvm_cbe_tmp61_2e_i[((signed long long )(llvm_cbe_tmp6465_2e_i + (((((unsigned long long )(unsigned short )llvm_cbe_tmp82_2e_i)) + 30ull) + (((unsigned long long )(unsigned short )llvm_cbe_tmp88_2e_i)))))]);
  llvm_cbe_tmp94_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned short data; } *)((&llvm_cbe_tmp6667_2e_i->field3)))->data;
  switch (llvm_cbe_tmp94_2e_i) {
  default:
    llvm_cbe_l_2e_1__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i;
;
  case ((unsigned short )0):
    llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY = llvm_cbe_tmp91_2e_i;   /* for PHI node */
    llvm_cbe_l_2e_2__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
    goto llvm_cbe_invcont66;
  case ((unsigned short )8):
    goto llvm_cbe_bb97_2e_i;
    break;
  }
llvm_cbe_bb97_2e_i:
  llvm_cbe_tmp99_2e_i = (&llvm_cbe_zf.field6);
  llvm_cbe_tmp100_2e_i = *llvm_cbe_tmp99_2e_i;
  if ((llvm_cbe_tmp100_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb108_2e_i;
  } else {
    goto llvm_cbe_bb104_2e_i;
  }

llvm_cbe_bb104_2e_i:
  _ZdaPv(llvm_cbe_tmp100_2e_i);
  goto llvm_cbe_bb108_2e_i;

llvm_cbe_bb108_2e_i:
  llvm_cbe_tmp113_2e_i70 = _Znam((((signed long long )(signed int )llvm_cbe_tmp75_2e_i)));
  *llvm_cbe_tmp99_2e_i = llvm_cbe_tmp113_2e_i70;
  llvm_cbe_tmp118_2e_i = ((struct __attribute__ ((packed, aligned(1))) {unsigned int data; } *)((&llvm_cbe_tmp6667_2e_i->field7)))->data;
  *((&llvm_cbe_stream_2e_i_2e_i.field0)) = llvm_cbe_tmp91_2e_i;
  llvm_cbe_tmp4_2e_i_2e_i67 = (&llvm_cbe_stream_2e_i_2e_i.field1);
  *llvm_cbe_tmp4_2e_i_2e_i67 = llvm_cbe_tmp118_2e_i;
  *((&llvm_cbe_stream_2e_i_2e_i.field3)) = llvm_cbe_tmp113_2e_i70;
  *((&llvm_cbe_stream_2e_i_2e_i.field4)) = llvm_cbe_tmp75_2e_i;
  *((&llvm_cbe_stream_2e_i_2e_i.field8)) = ((unsigned char * (*) (unsigned char *, unsigned int , unsigned int ))/*NULL*/0);
  *((&llvm_cbe_stream_2e_i_2e_i.field9)) = ((void  (*) (unsigned char *, unsigned char *))/*NULL*/0);
  llvm_cbe_tmp13_2e_i_2e_i71 = inflateInit2_((&llvm_cbe_stream_2e_i_2e_i), 4294967281u, ((&_2E_str224[((signed long long )0ull)])), 112u);
  if ((llvm_cbe_tmp13_2e_i_2e_i71 == 0u)) {
    goto llvm_cbe_bb18_2e_i_2e_i;
  } else {
    llvm_cbe_l_2e_4__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i_2e_i71;   /* for PHI node */
    goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i;
  }

llvm_cbe_bb18_2e_i_2e_i:
  llvm_cbe_tmp19_2e_i_2e_i72 = inflate((&llvm_cbe_stream_2e_i_2e_i), 4u);
  if ((llvm_cbe_tmp19_2e_i_2e_i72 == 1u)) {
    goto llvm_cbe_bb44_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb24_2e_i_2e_i;
  }

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp25_2e_i_2e_i73 = inflateEnd((&llvm_cbe_stream_2e_i_2e_i));
  switch (llvm_cbe_tmp19_2e_i_2e_i72) {
  default:
    llvm_cbe_l_2e_4__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i_2e_i72;   /* for PHI node */
    goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i;
;
  case 2u:
    goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i_2e_thread;
  case 4294967291u:
    goto llvm_cbe_bb35_2e_i_2e_i;
    break;
  }
llvm_cbe_bb35_2e_i_2e_i:
  llvm_cbe_tmp37_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i67;
  if ((llvm_cbe_tmp37_2e_i_2e_i == 0u)) {
    goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i_2e_thread;
  } else {
    llvm_cbe_l_2e_4__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i_2e_i72;   /* for PHI node */
    goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i;
  }

llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_l_2e_4_2e_reg2mem) = llvm_cbe_tmp75_2e_i;
  llvm_cbe_l_2e_1__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
  goto llvm_cbe_bb133_2e_i;

llvm_cbe_bb44_2e_i_2e_i:
  llvm_cbe_tmp46_2e_i_2e_i = *((&llvm_cbe_stream_2e_i_2e_i.field5));
  llvm_cbe_tmp4647_2e_i_2e_i = ((unsigned int )llvm_cbe_tmp46_2e_i_2e_i);
  llvm_cbe_tmp49_2e_i_2e_i74 = inflateEnd((&llvm_cbe_stream_2e_i_2e_i));
  llvm_cbe_l_2e_4__PHI_TEMPORARY = llvm_cbe_tmp4647_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i_2e_i74;   /* for PHI node */
  goto llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i;

llvm_cbe__Z14uncompress_intPhPiPKhi_2e_exit_2e_i:
  llvm_cbe_l_2e_4 = llvm_cbe_l_2e_4__PHI_TEMPORARY;
  llvm_cbe_tmp_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_l_2e_4_2e_reg2mem) = llvm_cbe_l_2e_4;
  llvm_cbe_l_2e_4_2e_reload143 = *(&llvm_cbe_l_2e_4_2e_reg2mem);
  if ((llvm_cbe_tmp_2e_i_2e_i_2e_0 == 0u)) {
    goto llvm_cbe_bb129_2e_i;
  } else {
    llvm_cbe_l_2e_1__PHI_TEMPORARY = llvm_cbe_l_2e_4_2e_reload143;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i;
  }

llvm_cbe_bb129_2e_i:
  llvm_cbe_tmp132_2e_i = *llvm_cbe_tmp99_2e_i;
  llvm_cbe_l_2e_4_2e_reload = *(&llvm_cbe_l_2e_4_2e_reg2mem);
  llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY = llvm_cbe_tmp132_2e_i;   /* for PHI node */
  llvm_cbe_l_2e_2__PHI_TEMPORARY = llvm_cbe_l_2e_4_2e_reload;   /* for PHI node */
  goto llvm_cbe_invcont66;

llvm_cbe_bb133_2e_i:
  llvm_cbe_l_2e_1 = llvm_cbe_l_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY = ((unsigned char *)/*NULL*/0);   /* for PHI node */
  llvm_cbe_l_2e_2__PHI_TEMPORARY = llvm_cbe_l_2e_1;   /* for PHI node */
  goto llvm_cbe_invcont66;

llvm_cbe_invcont66:
  llvm_cbe_tmp1_2e_i45_2e_0 = llvm_cbe_tmp1_2e_i45_2e_0__PHI_TEMPORARY;
  llvm_cbe_l_2e_2 = llvm_cbe_l_2e_2__PHI_TEMPORARY;
  if (((((llvm_cbe_tmp1_2e_i45_2e_0 == ((unsigned char *)/*NULL*/0)) | (((signed int )llvm_cbe_l_2e_2) > ((signed int )65536u)))&1))) {
    llvm_cbe_l_2e_3__PHI_TEMPORARY = llvm_cbe_l_2e_2;   /* for PHI node */
    goto llvm_cbe_bb83;
  } else {
    goto llvm_cbe_bb78;
  }

llvm_cbe_bb78:
  ltmp_4_1 = memcpy(((&levelbuf[((signed long long )0ull)])), llvm_cbe_tmp1_2e_i45_2e_0, (((signed long long )(signed int )llvm_cbe_l_2e_2)));
  llvm_cbe_l_2e_3__PHI_TEMPORARY = llvm_cbe_l_2e_2;   /* for PHI node */
  goto llvm_cbe_bb83;

llvm_cbe_bb83:
  llvm_cbe_l_2e_3 = llvm_cbe_l_2e_3__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i11 = *((&llvm_cbe_zf.field6));
  if ((llvm_cbe_tmp2_2e_i11 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb8_2e_i21;
  } else {
    goto llvm_cbe_bb_2e_i16;
  }

llvm_cbe_bb_2e_i16:
  _ZdaPv(llvm_cbe_tmp2_2e_i11);
  goto llvm_cbe_bb8_2e_i21;

llvm_cbe_bb8_2e_i21:
  llvm_cbe_tmp11_2e_i19 = *((&llvm_cbe_zf.field2));
  if ((llvm_cbe_tmp11_2e_i19 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb24_2e_i35;
  } else {
    goto llvm_cbe_bb15_2e_i30;
  }

llvm_cbe_bb15_2e_i30:
  llvm_cbe_tmp18_2e_i24 = *((&llvm_cbe_zf.field1));
  llvm_cbe_tmp23_2e_i29 = munmap(llvm_cbe_tmp11_2e_i19, (((signed long long )(signed int )llvm_cbe_tmp18_2e_i24)));
  goto llvm_cbe_bb24_2e_i35;

llvm_cbe_bb24_2e_i35:
  llvm_cbe_tmp27_2e_i33 = *((&llvm_cbe_zf.field0));
  if ((llvm_cbe_tmp27_2e_i33 == 0u)) {
    llvm_cbe_l_2e_0__PHI_TEMPORARY = llvm_cbe_l_2e_3;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb31_2e_i40;
  }

llvm_cbe_bb31_2e_i40:
  llvm_cbe_tmp36_2e_i39 = close(llvm_cbe_tmp27_2e_i33);
  return llvm_cbe_l_2e_3;
llvm_cbe_bb89:
  llvm_cbe_tmp96 = _ZNKSs5c_strEv(((&llvm_cbe_tmp15->field0)));
  llvm_cbe_tmp98 = fopen(llvm_cbe_tmp96, ((&_2E_str9[((signed long long )0ull)])));
  if ((llvm_cbe_tmp98 == ((struct l_struct_2E_FILE *)/*NULL*/0))) {
    llvm_cbe_l_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb103;
  }

llvm_cbe_bb103:
  llvm_cbe_tmp108 = fread(((&levelbuf[((signed long long )0ull)])), 1ull, 65536ull, llvm_cbe_tmp98);
  llvm_cbe_tmp111 = fclose(llvm_cbe_tmp98);
  return (((unsigned int )llvm_cbe_tmp108));
llvm_cbe_bb115:
  llvm_cbe_tmp116 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp116)) = ((&_2E_str213[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp116, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_return:
  llvm_cbe_l_2e_0 = llvm_cbe_l_2e_0__PHI_TEMPORARY;
  return llvm_cbe_l_2e_0;
}


static void _ZN5ArrayIPN6Levels9LevelDescEE14ensureCapacityEi(struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ *llvm_cbe_this, unsigned int llvm_cbe_c) {
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_tmp22;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned long long llvm_cbe_tmp27_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp17_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp18_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  if ((((signed int )llvm_cbe_tmp2) < ((signed int )llvm_cbe_c))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_storemerge = (((llvm_cbe_tmp2 == 0u)) ? (4u) : (llvm_cbe_tmp2));
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
  goto llvm_cbe_bb23;

  do {     /* Syntactic loop 'bb23' to make GCC happy */
llvm_cbe_bb23:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1) < ((signed int )llvm_cbe_c))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb29;
  }

llvm_cbe_bb19:
  llvm_cbe_tmp22 = llvm_cbe_storemerge1 << 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp22;   /* for PHI node */
  goto llvm_cbe_bb23;

  } while (1); /* end of syntactic loop 'bb23' */
llvm_cbe_bb29:
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field1));
  if ((((signed int )llvm_cbe_tmp2_2e_i) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp27_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1)) << 3ull;
  if ((llvm_cbe_tmp2 == 0u)) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i;
  }

llvm_cbe_bb12_2e_i:
  llvm_cbe_tmp17_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp18_2e_i = *llvm_cbe_tmp17_2e_i;
  llvm_cbe_tmp20_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i)), llvm_cbe_tmp27_2e_i);
  *llvm_cbe_tmp17_2e_i = (((struct l_struct_2E_Levels_3A__3A_LevelDesc **)llvm_cbe_tmp20_2e_i));
  goto llvm_cbe_bb32_2e_i;

llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp28_2e_i = malloc(llvm_cbe_tmp27_2e_i);
  *((&llvm_cbe_this->field0)) = (((struct l_struct_2E_Levels_3A__3A_LevelDesc **)llvm_cbe_tmp28_2e_i));
  goto llvm_cbe_bb32_2e_i;

llvm_cbe_bb32_2e_i:
  *llvm_cbe_tmp1 = llvm_cbe_storemerge1;
  return;
llvm_cbe_return:
  return;
}


static void _ZN6Levels8addLevelERKSsii(struct l_struct_2E_Levels *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe_file, unsigned int llvm_cbe_rank, unsigned int llvm_cbe_index) {
  unsigned char *llvm_cbe_tmp2;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp23;
  unsigned int *llvm_cbe_tmp2_2e_i12;
  struct l_struct_2E_Array_3C_Levels_3A__3A_LevelDesc_2A__3E_ *llvm_cbe_tmp15;
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp2_2e_i_2e_i73;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i74;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i76;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp18;
  unsigned int llvm_cbe_tmp3_2e_i62;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i53;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp29;
  unsigned int llvm_cbe_tmp31;
  unsigned char *llvm_cbe_tmp44;
  unsigned int llvm_cbe_tmp46;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i39;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp52;
  unsigned int llvm_cbe_tmp54;
  unsigned char *llvm_cbe_tmp62;
  unsigned int llvm_cbe_tmp65;
  unsigned int *llvm_cbe_tmp1_2e_i18;
  unsigned int llvm_cbe_tmp2_2e_i19;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i30;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp30_2e_i;
  unsigned int llvm_cbe_storemerge_2e_in_2e_i;
  unsigned int llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp44_2e_i;
  unsigned int llvm_cbe_tmp53_2e_i;
  unsigned int llvm_cbe_storemerge_2e_in;
  unsigned int llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp71;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i13;
  unsigned char *llvm_cbe_tmp83;
  unsigned int llvm_cbe_tmp85;
  unsigned int *llvm_cbe_tmp1_2e_i4;
  unsigned int llvm_cbe_tmp2_2e_i5;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i10;
  unsigned int llvm_cbe_tmp10_2e_i;

  llvm_cbe_tmp2 = _Znwm(16ull);
  llvm_cbe_tmp23 = ((struct l_struct_2E_Levels_3A__3A_LevelDesc *)llvm_cbe_tmp2);
  _ZNSsC1ERKSs((((struct l_struct_2E_std_3A__3A_string *)llvm_cbe_tmp2)), llvm_cbe_file);
  *((&llvm_cbe_tmp23->field1)) = llvm_cbe_index;
  *((&llvm_cbe_tmp23->field2)) = llvm_cbe_rank;
  llvm_cbe_tmp2_2e_i12 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp15 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp2_2e_i_2e_i73 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb72;

llvm_cbe_bb42:
  llvm_cbe_tmp44 = _ZNKSs5c_strEv(llvm_cbe_file);
  llvm_cbe_tmp46 = printf(((&_2E_str314[((signed long long )0ull)])), llvm_cbe_tmp44);
  return;
llvm_cbe_bb60:
  llvm_cbe_tmp62 = _ZNKSs5c_strEv(llvm_cbe_file);
  llvm_cbe_tmp65 = printf(((&_2E_str415[((signed long long )0ull)])), llvm_cbe_tmp62, llvm_cbe_storemerge1);
  llvm_cbe_tmp1_2e_i18 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i19 = *llvm_cbe_tmp1_2e_i18;
  _ZN5ArrayIPN6Levels9LevelDescEE14ensureCapacityEi(llvm_cbe_tmp15, (llvm_cbe_tmp2_2e_i19 + 1u));
  if ((llvm_cbe_tmp2_2e_i19 == llvm_cbe_storemerge1)) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb8_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i73;
  llvm_cbe_tmp10_2e_i_2e_i = *llvm_cbe_tmp1_2e_i18;
  *((&llvm_cbe_tmp7_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp10_2e_i_2e_i)))])) = llvm_cbe_tmp23;
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN5ArrayIPN6Levels9LevelDescEE6insertEiRKS2__2e_exit;

llvm_cbe_bb8_2e_i:
  llvm_cbe_tmp16_2e_i30 = *llvm_cbe_tmp1_2e_i18;
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i30;   /* for PHI node */
  goto llvm_cbe_bb35_2e_i;

  do {     /* Syntactic loop 'bb35.i' to make GCC happy */
llvm_cbe_bb35_2e_i:
  llvm_cbe_storemerge_2e_in_2e_i = llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_in_2e_i + 4294967295u;
  llvm_cbe_tmp44_2e_i = *llvm_cbe_tmp2_2e_i_2e_i73;
  if ((((signed int )llvm_cbe_storemerge_2e_i) < ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb41_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i;
  }

llvm_cbe_bb18_2e_i:
  llvm_cbe_tmp30_2e_i = *((&llvm_cbe_tmp44_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i)))]));
  *((&llvm_cbe_tmp44_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_in_2e_i)))])) = llvm_cbe_tmp30_2e_i;
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
  goto llvm_cbe_bb35_2e_i;

  } while (1); /* end of syntactic loop 'bb35.i' */
llvm_cbe_bb41_2e_i:
  *((&llvm_cbe_tmp44_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i76)])) = llvm_cbe_tmp23;
  llvm_cbe_tmp53_2e_i = *llvm_cbe_tmp1_2e_i18;
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp53_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN5ArrayIPN6Levels9LevelDescEE6insertEiRKS2__2e_exit;

llvm_cbe__ZN5ArrayIPN6Levels9LevelDescEE6insertEiRKS2__2e_exit:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  *llvm_cbe_tmp1_2e_i18 = (llvm_cbe_storemerge_2e_in + 1u);
  return;
  do {     /* Syntactic loop 'bb72' to make GCC happy */
llvm_cbe_bb72:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i13 = *llvm_cbe_tmp2_2e_i12;
  if ((((signed int )llvm_cbe_tmp3_2e_i13) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb13;
  } else {
    goto llvm_cbe_bb81;
  }

llvm_cbe_bb69:
  llvm_cbe_tmp71 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp71;   /* for PHI node */
  goto llvm_cbe_bb72;

llvm_cbe_bb47:
  llvm_cbe_tmp3_2e_i_2e_i39 = *llvm_cbe_tmp2_2e_i_2e_i73;
  llvm_cbe_tmp52 = *((&llvm_cbe_tmp3_2e_i_2e_i39[((signed long long )llvm_cbe_tmp45_2e_i_2e_i76)]));
  llvm_cbe_tmp54 = *((&llvm_cbe_tmp52->field2));
  if ((((signed int )llvm_cbe_tmp54) > ((signed int )llvm_cbe_rank))) {
    goto llvm_cbe_bb60;
  } else {
    goto llvm_cbe_bb69;
  }

llvm_cbe_bb13:
  llvm_cbe_tmp3_2e_i_2e_i74 = *llvm_cbe_tmp2_2e_i_2e_i73;
  llvm_cbe_tmp45_2e_i_2e_i76 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp18 = *((&llvm_cbe_tmp3_2e_i_2e_i74[((signed long long )llvm_cbe_tmp45_2e_i_2e_i76)]));
  llvm_cbe_tmp3_2e_i62 = _ZNKSs7compareERKSs(((&llvm_cbe_tmp18->field0)), llvm_cbe_file);
  if ((llvm_cbe_tmp3_2e_i62 == 0u)) {
    goto llvm_cbe_bb24;
  } else {
    goto llvm_cbe_bb47;
  }

llvm_cbe_bb24:
  llvm_cbe_tmp3_2e_i_2e_i53 = *llvm_cbe_tmp2_2e_i_2e_i73;
  llvm_cbe_tmp29 = *((&llvm_cbe_tmp3_2e_i_2e_i53[((signed long long )llvm_cbe_tmp45_2e_i_2e_i76)]));
  llvm_cbe_tmp31 = *((&llvm_cbe_tmp29->field1));
  if ((llvm_cbe_tmp31 == llvm_cbe_index)) {
    goto llvm_cbe_bb42;
  } else {
    goto llvm_cbe_bb47;
  }

  } while (1); /* end of syntactic loop 'bb72' */
llvm_cbe_bb81:
  llvm_cbe_tmp83 = _ZNKSs5c_strEv(llvm_cbe_file);
  llvm_cbe_tmp85 = printf(((&_2E_str516[((signed long long )0ull)])), llvm_cbe_tmp83);
  llvm_cbe_tmp1_2e_i4 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i5 = *llvm_cbe_tmp1_2e_i4;
  _ZN5ArrayIPN6Levels9LevelDescEE14ensureCapacityEi(llvm_cbe_tmp15, (llvm_cbe_tmp2_2e_i5 + 1u));
  llvm_cbe_tmp7_2e_i10 = *llvm_cbe_tmp2_2e_i_2e_i73;
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp1_2e_i4;
  *((&llvm_cbe_tmp7_2e_i10[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp10_2e_i)))])) = llvm_cbe_tmp23;
  *llvm_cbe_tmp1_2e_i4 = (llvm_cbe_tmp10_2e_i + 1u);
  return;
}


static void _ZN6Levels7addPathEPKc(struct l_struct_2E_Levels *llvm_cbe_this, unsigned char *llvm_cbe_path) {
  struct l_struct_2E_ZipFile llvm_cbe_zf_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_full;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp5;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp6;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp8;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp9;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp10;    /* Address-exposed local */
  unsigned long long llvm_cbe_tmp12;
  unsigned char *llvm_cbe_tmp18;
  unsigned int llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp25;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp13_2e_i;
  unsigned int llvm_cbe_tmp25_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i39_2e_i;
  unsigned char *llvm_cbe_tmp2_2e_i6_2e_i;
  unsigned char *llvm_cbe_tmp11_2e_i14_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i19_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i24_2e_i;
  unsigned int llvm_cbe_tmp27_2e_i28_2e_i;
  unsigned int llvm_cbe_tmp36_2e_i34_2e_i6;
  unsigned int llvm_cbe_tmp60;
  unsigned int llvm_cbe_tmp68;
  struct l_struct_2E_DIR *llvm_cbe_tmp100;
  unsigned char *llvm_cbe_tmp109;
  unsigned char llvm_cbe_tmp110;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp119;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp130;
  unsigned char *llvm_cbe_tmp132;
  struct l_struct_2E_dirent *llvm_cbe_tmp143;
  unsigned int llvm_cbe_tmp151;
  unsigned int llvm_cbe_tmp155;

  llvm_cbe_tmp12 = strlen(llvm_cbe_path);
  llvm_cbe_tmp18 = (&llvm_cbe_path[((signed long long )((((signed long long )(signed int )(((unsigned int )llvm_cbe_tmp12)))) + 18446744073709551612ull))]);
  llvm_cbe_tmp20 = strcasecmp(llvm_cbe_tmp18, ((&_2E_str718[((signed long long )0ull)])));
  if ((llvm_cbe_tmp20 == 0u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb53;
  }

llvm_cbe_bb:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp9));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp10), llvm_cbe_path, (&llvm_cbe_tmp9));
  llvm_cbe_tmp25 = _ZL12rankFromPathRKSsi((&llvm_cbe_tmp10), 9999u);
  _ZNSaIcEC1Ev((&llvm_cbe_tmp7));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp8), llvm_cbe_path, (&llvm_cbe_tmp7));
  _ZN7ZipFileC1ERKSs((&llvm_cbe_zf_2e_i), (&llvm_cbe_tmp8));
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_zf_2e_i.field5);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp5_2e_i = _ZNKSs5c_strEv((&llvm_cbe_tmp8));
  llvm_cbe_tmp8_2e_i = printf(((&_2E_str617[((signed long long )0ull)])), llvm_cbe_tmp5_2e_i, llvm_cbe_tmp3_2e_i_2e_i);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb26_2e_i;

  do {     /* Syntactic loop 'bb26.i' to make GCC happy */
llvm_cbe_bb26_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i39_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i39_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb32_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp1_2e_i = _ZN7ZipFile9entryNameEi((&llvm_cbe_zf_2e_i), llvm_cbe_storemerge_2e_i);
  llvm_cbe_tmp13_2e_i = _ZL12rankFromPathRKSsi((&llvm_cbe_tmp1_2e_i), llvm_cbe_tmp25);
  _ZN6Levels8addLevelERKSsii(llvm_cbe_this, (&llvm_cbe_tmp8), llvm_cbe_tmp13_2e_i, llvm_cbe_storemerge_2e_i);
  _ZNSsD1Ev((&llvm_cbe_tmp1_2e_i));
  llvm_cbe_tmp25_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp25_2e_i;   /* for PHI node */
  goto llvm_cbe_bb26_2e_i;

  } while (1); /* end of syntactic loop 'bb26.i' */
llvm_cbe_bb32_2e_i:
  llvm_cbe_tmp2_2e_i6_2e_i = *((&llvm_cbe_zf_2e_i.field6));
  if ((llvm_cbe_tmp2_2e_i6_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb8_2e_i16_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i11_2e_i;
  }

llvm_cbe_bb_2e_i11_2e_i:
  _ZdaPv(llvm_cbe_tmp2_2e_i6_2e_i);
  goto llvm_cbe_bb8_2e_i16_2e_i;

llvm_cbe_bb8_2e_i16_2e_i:
  llvm_cbe_tmp11_2e_i14_2e_i = *((&llvm_cbe_zf_2e_i.field2));
  if ((llvm_cbe_tmp11_2e_i14_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb24_2e_i30_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i25_2e_i;
  }

llvm_cbe_bb15_2e_i25_2e_i:
  llvm_cbe_tmp18_2e_i19_2e_i = *((&llvm_cbe_zf_2e_i.field1));
  llvm_cbe_tmp23_2e_i24_2e_i = munmap(llvm_cbe_tmp11_2e_i14_2e_i, (((signed long long )(signed int )llvm_cbe_tmp18_2e_i19_2e_i)));
  goto llvm_cbe_bb24_2e_i30_2e_i;

llvm_cbe_bb24_2e_i30_2e_i:
  llvm_cbe_tmp27_2e_i28_2e_i = *((&llvm_cbe_zf_2e_i.field0));
  if ((llvm_cbe_tmp27_2e_i28_2e_i == 0u)) {
    goto llvm_cbe_invcont29;
  } else {
    goto llvm_cbe_bb31_2e_i35_2e_i;
  }

llvm_cbe_bb31_2e_i35_2e_i:
  llvm_cbe_tmp36_2e_i34_2e_i6 = close(llvm_cbe_tmp27_2e_i28_2e_i);
  goto llvm_cbe_invcont29;

llvm_cbe_invcont29:
  _ZNSsD1Ev((&llvm_cbe_tmp8));
  _ZNSaIcED1Ev((&llvm_cbe_tmp7));
  _ZNSsD1Ev((&llvm_cbe_tmp10));
  _ZNSaIcED1Ev((&llvm_cbe_tmp9));
  return;
llvm_cbe_bb53:
  llvm_cbe_tmp60 = strcasecmp(llvm_cbe_tmp18, ((&_2E_str819[((signed long long )0ull)])));
  if ((llvm_cbe_tmp60 == 0u)) {
    goto llvm_cbe_bb64;
  } else {
    goto llvm_cbe_bb98;
  }

llvm_cbe_bb64:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp5));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp6), llvm_cbe_path, (&llvm_cbe_tmp5));
  llvm_cbe_tmp68 = _ZL12rankFromPathRKSsi((&llvm_cbe_tmp6), 9999u);
  _ZNSaIcEC1Ev((&llvm_cbe_tmp3));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp4), llvm_cbe_path, (&llvm_cbe_tmp3));
  _ZN6Levels8addLevelERKSsii(llvm_cbe_this, (&llvm_cbe_tmp4), llvm_cbe_tmp68, 4294967295u);
  _ZNSsD1Ev((&llvm_cbe_tmp4));
  _ZNSaIcED1Ev((&llvm_cbe_tmp3));
  _ZNSsD1Ev((&llvm_cbe_tmp6));
  _ZNSaIcED1Ev((&llvm_cbe_tmp5));
  return;
llvm_cbe_bb98:
  llvm_cbe_tmp100 = opendir(llvm_cbe_path);
  if ((llvm_cbe_tmp100 == ((struct l_struct_2E_DIR *)/*NULL*/0))) {
    goto llvm_cbe_bb152;
  } else {
    goto llvm_cbe_bb141;
  }

  do {     /* Syntactic loop 'bb141' to make GCC happy */
llvm_cbe_bb141:
  llvm_cbe_tmp143 = readdir(llvm_cbe_tmp100);
  if ((llvm_cbe_tmp143 == ((struct l_struct_2E_dirent *)/*NULL*/0))) {
    goto llvm_cbe_bb149;
  } else {
    goto llvm_cbe_bb106;
  }

llvm_cbe_bb106:
  llvm_cbe_tmp109 = (&llvm_cbe_tmp143->field4[((signed long long )0ull)]);
  llvm_cbe_tmp110 = *llvm_cbe_tmp109;
  if ((llvm_cbe_tmp110 == ((unsigned char )46))) {
    goto llvm_cbe_bb141;
  } else {
    goto llvm_cbe_bb114;
  }

llvm_cbe_bb114:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp2));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_full), llvm_cbe_path, (&llvm_cbe_tmp2));
  _ZNSaIcED1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp119 = _ZNSspLEPKc((&llvm_cbe_full), ((&_2E_str920[((signed long long )0ull)])));
  llvm_cbe_tmp130 = _ZNSspLEPKc((&llvm_cbe_full), llvm_cbe_tmp109);
  llvm_cbe_tmp132 = _ZNKSs5c_strEv((&llvm_cbe_full));
  _ZN6Levels7addPathEPKc(llvm_cbe_this, llvm_cbe_tmp132);
  _ZNSsD1Ev((&llvm_cbe_full));
  goto llvm_cbe_bb141;

  } while (1); /* end of syntactic loop 'bb141' */
llvm_cbe_bb149:
  llvm_cbe_tmp151 = closedir(llvm_cbe_tmp100);
  return;
llvm_cbe_bb152:
  llvm_cbe_tmp155 = printf(((&_2E_str10[((signed long long )0ull)])), llvm_cbe_path);
  return;
}


static void _GLOBAL__I_levelbuf(void) {
  struct l_struct_2E_Vec2 llvm_cbe_tmp_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp9_2e_i;

  _ZNSt8ios_base4InitC1Ev((&_ZStL8__ioinit));
  llvm_cbe_tmp9_2e_i = __cxa_atexit(__tcf_2, ((unsigned char *)/*NULL*/0), ((unsigned char *)(&__dso_handle)));
  *((&llvm_cbe_tmp_2e_i.field0)) = 240u;
  *((&llvm_cbe_tmp_2e_i.field1)) = 0u;
  _ZN9Transform3setEffRK4Vec2((&worldToScreen), 0x1p-1, 0x1.921fb6p+0, (&llvm_cbe_tmp_2e_i));
  return;
}


static unsigned long long _Z5b2MulRK7b2Mat22RK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2Vec2 *llvm_cbe_v) {
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp15;
  float llvm_cbe_tmp4;
  float llvm_cbe_tmp12;
  float llvm_cbe_tmp21;
  float llvm_cbe_tmp29;
  llvmBitCastUnion llvm_cbe_tmp4354__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp4661__BITCAST_TEMPORARY;

  llvm_cbe_tmp7 = *((&llvm_cbe_v->field0));
  llvm_cbe_tmp15 = *((&llvm_cbe_v->field1));
  llvm_cbe_tmp4 = *((&llvm_cbe_A->field0.field1));
  llvm_cbe_tmp12 = *((&llvm_cbe_A->field1.field1));
  llvm_cbe_tmp21 = *((&llvm_cbe_A->field0.field0));
  llvm_cbe_tmp29 = *((&llvm_cbe_A->field1.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp4354__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp21 * llvm_cbe_tmp7))) + (((float )(llvm_cbe_tmp29 * llvm_cbe_tmp15)))))), llvm_cbe_tmp4354__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp4661__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp4 * llvm_cbe_tmp7))) + (((float )(llvm_cbe_tmp12 * llvm_cbe_tmp15)))))), llvm_cbe_tmp4661__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static void _ZN10b2ShapeDefD1Ev(struct l_struct_2E_b2ShapeDef *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  return;
}


static void _ZN10b2ShapeDefD0Ev(struct l_struct_2E_b2ShapeDef *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN12b2PolygonDefD1Ev(struct l_struct_2E_b2PolygonDef *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  return;
}


static void _ZN12b2PolygonDefD0Ev(struct l_struct_2E_b2PolygonDef *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  _ZdlPv(((&llvm_cbe_this->field0[((signed int )0u)])));
  return;
}


static void _ZN17b2ContactListener3AddEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point) {
  return;
}


static void _ZN17b2ContactListener7PersistEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point) {
  return;
}


static void _ZN17b2ContactListener6RemoveEPK14b2ContactPoint(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point) {
  return;
}


static void _ZN17b2ContactListener6ResultEPK15b2ContactResult(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2ContactResult *llvm_cbe_point) {
  return;
}


static struct l_struct_2E_Vec2 _ZNK4Rect8centroidEv(struct l_struct_2E_Rect *llvm_cbe_this) {
  struct l_struct_2E_Vec2 StructReturn;  /* Struct return temporary */
  struct l_struct_2E_Vec2 *llvm_cbe_agg_2e_result = &StructReturn;
  unsigned int llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i;

  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp15_2e_i = *((&llvm_cbe_this->field1.field0));
  *((&llvm_cbe_agg_2e_result->field0)) = (((signed int )(((signed int )(llvm_cbe_tmp12_2e_i + llvm_cbe_tmp15_2e_i)) / ((signed int )2u))));
  *((&llvm_cbe_agg_2e_result->field1)) = (((signed int )(((signed int )(llvm_cbe_tmp5_2e_i + llvm_cbe_tmp8_2e_i)) / ((signed int )2u))));
  return StructReturn;
}


static unsigned char _ZN11GameControl4saveEPKc(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned char *llvm_cbe_file) {
  return ((unsigned char )0);
}


static unsigned char _ZN11GameControl4sendEv(struct l_struct_2E_GameControl *llvm_cbe_this) {
  return ((unsigned char )0);
}


static unsigned char _ZN11GameControl4loadEPKc(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned char *llvm_cbe_file) {
  return ((unsigned char )0);
}


static void _ZN11GameControl9gotoLevelEib(struct l_struct_2E_GameControl *llvm_cbe_this, unsigned int llvm_cbe_l, unsigned char llvm_cbe_replay) {
  return;
}


static void _ZN6Stroke6BoxDefD1Ev(struct l_struct_2E_Stroke_3A__3A_BoxDef *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  return;
}


static void _ZN6Stroke6BoxDefD0Ev(struct l_struct_2E_Stroke_3A__3A_BoxDef *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  _ZdlPv(((&llvm_cbe_this->field0.field0[((signed int )0u)])));
  return;
}


static void _ZN17b2ContactListenerD1Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV17b2ContactListener[((signed long long )2ull)]));
  return;
}


static void _ZN17b2ContactListenerD0Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV17b2ContactListener[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static struct l_struct_2E_Vec2 _ZN4Game10mousePointE9SDL_Event(unsigned long long llvm_cbe_ev_2e_0_2e_0, unsigned long long llvm_cbe_ev_2e_0_2e_1, unsigned long long llvm_cbe_ev_2e_0_2e_2) {
  struct l_struct_2E_Vec2 StructReturn;  /* Struct return temporary */
  struct l_struct_2E_Vec2 *llvm_cbe_agg_2e_result = &StructReturn;
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp3_2e_i5;    /* Address-exposed local */
  struct l_struct_2E_SDL_Event llvm_cbe_ev_addr;    /* Address-exposed local */
  struct l_unnamed1 *llvm_cbe_tmp;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp89;
  unsigned short llvm_cbe_tmp11;
  unsigned int llvm_cbe_tmp1112;
  unsigned short llvm_cbe_tmp16;
  unsigned int llvm_cbe_tmp1617;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i;
  unsigned char llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i_2e_i19__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i_2e_i26__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i_2e_i262728_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i_2e_i18__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i_2e_i24__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp24_2e_i;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i10__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp31_2e_i14__BITCAST_TEMPORARY;

  llvm_cbe_tmp = ((struct l_unnamed1 *)(&llvm_cbe_ev_addr));
  *(((unsigned long long *)(&llvm_cbe_ev_addr))) = llvm_cbe_ev_2e_0_2e_0;
  *((&llvm_cbe_tmp->field0[((signed int )1u)])) = llvm_cbe_ev_2e_0_2e_1;
  *((&llvm_cbe_tmp->field0[((signed int )2u)])) = llvm_cbe_ev_2e_0_2e_2;
  llvm_cbe_tmp89 = ((struct l_struct_2E_SDL_MouseButtonEvent *)(&llvm_cbe_ev_addr));
  llvm_cbe_tmp11 = *((&llvm_cbe_tmp89->field5));
  llvm_cbe_tmp1112 = ((unsigned int )(unsigned short )llvm_cbe_tmp11);
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp89->field4));
  llvm_cbe_tmp1617 = ((unsigned int )(unsigned short )llvm_cbe_tmp16);
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_agg_2e_result->field0);
  *llvm_cbe_tmp1_2e_i = llvm_cbe_tmp1617;
  llvm_cbe_tmp4_2e_i = (&llvm_cbe_agg_2e_result->field1);
  *llvm_cbe_tmp4_2e_i = llvm_cbe_tmp1112;
  llvm_cbe_tmp8_2e_i = *((&worldToScreen.field0));
  if ((llvm_cbe_tmp8_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp8_2e_i_2e_i = *((&worldToScreen.field3.field1));
  llvm_cbe_tmp15_2e_i_2e_i = *((&worldToScreen.field3.field0));
  llvm_cbe_tmp21_2e_i_2e_i262728_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i_2e_i19__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp1617 - llvm_cbe_tmp15_2e_i_2e_i))), llvm_cbe_tmp18_2e_i_2e_i19__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i_2e_i26__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp1112 - llvm_cbe_tmp8_2e_i_2e_i))), llvm_cbe_tmp21_2e_i_2e_i26__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp3_2e_i5.field0)) = ((llvm_cbe_tmp24_2e_i_2e_i18__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i_2e_i262728_2e_ins)), llvm_cbe_tmp24_2e_i_2e_i18__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp3_2e_i5.field1)) = ((llvm_cbe_tmp27_2e_i_2e_i24__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i_2e_i262728_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i_2e_i24__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp24_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&worldToScreen.field2)), (&llvm_cbe_tmp3_2e_i5));
  *llvm_cbe_tmp1_2e_i = (((signed int )((llvm_cbe_tmp28_2e_i10__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp24_2e_i)), llvm_cbe_tmp28_2e_i10__BITCAST_TEMPORARY.Float))));
  *llvm_cbe_tmp4_2e_i = (((signed int )((llvm_cbe_tmp31_2e_i14__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp24_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp31_2e_i14__BITCAST_TEMPORARY.Float))));
  return StructReturn;
llvm_cbe_return:
  return StructReturn;
}


static void __tcf_1(unsigned char *llvm_cbe_unnamed_arg) {
  _ZNSsD1Ev((&_ZZN6Config10planetRootEvE1d));
  return;
}


static void __tcf_0(unsigned char *llvm_cbe_unnamed_arg) {
  _ZNSsD1Ev((&_ZZN6Config11userDataDirEvE1d));
  return;
}


static void _ZN5Scene3AddEPK14b2ContactPoint(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_b2ContactPoint *llvm_cbe_point) {
  struct l_struct_2E_b2Shape *llvm_cbe_tmp2;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i55;
  struct l_struct_2E_Stroke *llvm_cbe_tmp45;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp8;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i51;
  unsigned char *llvm_cbe_tmp3_2e_i47;
  struct l_struct_2E_Stroke *llvm_cbe_tmp1011;
  unsigned int llvm_cbe_tmp3_2e_i38;
  struct l_struct_2E_Stroke *llvm_cbe_s2_2e_0;
  unsigned int llvm_cbe_tmp3_2e_i17;
  unsigned int *llvm_cbe_tmp2_2e_i7;
  unsigned int llvm_cbe_tmp3_2e_i8;
  unsigned int llvm_cbe_tmp4_2e_i;

  llvm_cbe_tmp2 = *((&llvm_cbe_point->field0));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp2->field3));
  llvm_cbe_tmp3_2e_i55 = *((&llvm_cbe_tmp3_2e_i->field22));
  llvm_cbe_tmp45 = ((struct l_struct_2E_Stroke *)llvm_cbe_tmp3_2e_i55);
  llvm_cbe_tmp8 = *((&llvm_cbe_point->field1));
  llvm_cbe_tmp3_2e_i51 = *((&llvm_cbe_tmp8->field3));
  llvm_cbe_tmp3_2e_i47 = *((&llvm_cbe_tmp3_2e_i51->field22));
  llvm_cbe_tmp1011 = ((struct l_struct_2E_Stroke *)llvm_cbe_tmp3_2e_i47);
  if (((((llvm_cbe_tmp3_2e_i55 == ((unsigned char *)/*NULL*/0)) | (llvm_cbe_tmp3_2e_i47 == ((unsigned char *)/*NULL*/0)))&1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb19;
  }

llvm_cbe_bb19:
  llvm_cbe_tmp3_2e_i38 = *((&llvm_cbe_tmp1011->field2));
  llvm_cbe_s2_2e_0 = ((((llvm_cbe_tmp3_2e_i38 & 2u) == 0u)) ? (llvm_cbe_tmp1011) : (llvm_cbe_tmp45));
  llvm_cbe_tmp3_2e_i17 = *((&(((((llvm_cbe_tmp3_2e_i38 & 2u) == 0u)) ? (llvm_cbe_tmp45) : (llvm_cbe_tmp1011)))->field2));
  if (((llvm_cbe_tmp3_2e_i17 & 2u) == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb31:
  llvm_cbe_tmp2_2e_i7 = (&llvm_cbe_s2_2e_0->field2);
  llvm_cbe_tmp3_2e_i8 = *llvm_cbe_tmp2_2e_i7;
  if (((llvm_cbe_tmp3_2e_i8 & 4u) == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb43;
  }

llvm_cbe_bb43:
  llvm_cbe_tmp4_2e_i = llvm_cbe_tmp3_2e_i8 | 64u;
  *llvm_cbe_tmp2_2e_i7 = llvm_cbe_tmp4_2e_i;
  if (((llvm_cbe_tmp4_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  *((&llvm_cbe_s2_2e_0->field1)) = 12058624u;
  return;
llvm_cbe_bb17_2e_i:
  if (((llvm_cbe_tmp4_2e_i & 4u) == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb25_2e_i;
  }

llvm_cbe_bb25_2e_i:
  *((&llvm_cbe_s2_2e_0->field1)) = 15649024u;
  return;
llvm_cbe_return:
  return;
}


static unsigned char _ZN5Scene11isCompletedEv(struct l_struct_2E_Scene *llvm_cbe_this) {
  unsigned int llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp3_2e_i29;
  unsigned int llvm_cbe_tmp3_2e_i8;
  unsigned int llvm_cbe_tmp30;
  unsigned int llvm_cbe_storemerge2;
  unsigned int llvm_cbe_storemerge2__PHI_TEMPORARY;
  unsigned char llvm_cbe_storemerge1;
  unsigned char llvm_cbe_storemerge1__PHI_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_storemerge2__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb31;

  do {     /* Syntactic loop 'bb31' to make GCC happy */
llvm_cbe_bb31:
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge2))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_storemerge1__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb28:
  llvm_cbe_tmp30 = llvm_cbe_storemerge2 + 1u;
  llvm_cbe_storemerge2__PHI_TEMPORARY = llvm_cbe_tmp30;   /* for PHI node */
  goto llvm_cbe_bb31;

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp5 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge2)))]));
  llvm_cbe_tmp3_2e_i29 = *((&llvm_cbe_tmp5->field2));
  if (((llvm_cbe_tmp3_2e_i29 & 4u) == 0u)) {
    goto llvm_cbe_bb28;
  } else {
    goto llvm_cbe_bb9;
  }

llvm_cbe_bb9:
  llvm_cbe_tmp3_2e_i8 = *((&llvm_cbe_tmp5->field14));
  if ((((signed int )llvm_cbe_tmp3_2e_i8) > ((signed int )79u))) {
    goto llvm_cbe_bb28;
  } else {
    llvm_cbe_storemerge1__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

  } while (1); /* end of syntactic loop 'bb31' */
llvm_cbe_return:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  return llvm_cbe_storemerge1;
}


static struct l_struct_2E_b2AABB _ZNK7b2Mat226InvertEv(struct l_struct_2E_b2AABB *llvm_cbe_this) {
  struct l_struct_2E_b2AABB StructReturn;  /* Struct return temporary */
  struct l_struct_2E_b2AABB *llvm_cbe_agg_2e_result = &StructReturn;
  float llvm_cbe_tmp4;
  float llvm_cbe_tmp8;
  float llvm_cbe_tmp12;
  float llvm_cbe_tmp16;
  float llvm_cbe_tmp23;
  float llvm_cbe_tmp32;
  float llvm_cbe_tmp39;

  llvm_cbe_tmp4 = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp8 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp12 = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp16 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp23 = ((float )((((float )(llvm_cbe_tmp4 * llvm_cbe_tmp16))) - (((float )(llvm_cbe_tmp8 * llvm_cbe_tmp12)))));
  if ((llvm_fcmp_oeq(llvm_cbe_tmp23, 0x0p+0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str25[((signed long long )0ull)])), ((&_2E_str126[((signed long long )0ull)])), 347u, ((&_ZZNK7b2Mat226InvertEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb30:
  llvm_cbe_tmp32 = ((float )(0x1p+0 / llvm_cbe_tmp23));
  llvm_cbe_tmp39 = ((float )(-(llvm_cbe_tmp32)));
  *((&llvm_cbe_agg_2e_result->field0.field0)) = (((float )(llvm_cbe_tmp32 * llvm_cbe_tmp16)));
  *((&llvm_cbe_agg_2e_result->field0.field1)) = (((float )(llvm_cbe_tmp12 * llvm_cbe_tmp39)));
  *((&llvm_cbe_agg_2e_result->field1.field0)) = (((float )(llvm_cbe_tmp8 * llvm_cbe_tmp39)));
  *((&llvm_cbe_agg_2e_result->field1.field1)) = (((float )(llvm_cbe_tmp32 * llvm_cbe_tmp4)));
  return StructReturn;
}


static void _ZN9Transform3setEffRK4Vec2(struct l_struct_2E_Transform *llvm_cbe_this, float llvm_cbe_scale, float llvm_cbe_rotation, struct l_struct_2E_Vec2 *llvm_cbe_translation) {
  unsigned int llvm_cbe_tmp3_2e_i4;
  float llvm_cbe_tmp1_2e_i8;
  float llvm_cbe_tmp3_2e_i10;
  unsigned int llvm_cbe_tmp32;
  unsigned int llvm_cbe_tmp35;
  float *llvm_cbe_tmp39;
  float llvm_cbe_tmp40;
  float *llvm_cbe_tmp50;
  float llvm_cbe_tmp51;
  float *llvm_cbe_tmp62;
  float llvm_cbe_tmp63;
  float *llvm_cbe_tmp73;
  float llvm_cbe_tmp74;

  if (((((llvm_fcmp_une(llvm_cbe_scale, 0x0p+0)) | (llvm_fcmp_une(llvm_cbe_rotation, 0x0p+0)))&1))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb8;
  }

llvm_cbe_bb8:
  llvm_cbe_tmp3_2e_i4 = *((&llvm_cbe_translation->field0));
  if ((llvm_cbe_tmp3_2e_i4 == 0u)) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb23;
  }

llvm_cbe_bb20:
  *((&llvm_cbe_this->field0)) = ((unsigned char )1);
  return;
llvm_cbe_bb23:
  llvm_cbe_tmp1_2e_i8 = cosf(llvm_cbe_rotation);
  llvm_cbe_tmp3_2e_i10 = sinf(llvm_cbe_rotation);
  *((&llvm_cbe_this->field1.field0.field0)) = llvm_cbe_tmp1_2e_i8;
  *((&llvm_cbe_this->field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i10))));
  *((&llvm_cbe_this->field1.field0.field1)) = llvm_cbe_tmp3_2e_i10;
  *((&llvm_cbe_this->field1.field1.field1)) = llvm_cbe_tmp1_2e_i8;
  llvm_cbe_tmp32 = *((&llvm_cbe_translation->field0));
  *((&llvm_cbe_this->field3.field0)) = llvm_cbe_tmp32;
  llvm_cbe_tmp35 = *((&llvm_cbe_translation->field1));
  *((&llvm_cbe_this->field3.field1)) = llvm_cbe_tmp35;
  llvm_cbe_tmp39 = (&llvm_cbe_this->field1.field0.field0);
  llvm_cbe_tmp40 = *llvm_cbe_tmp39;
  *llvm_cbe_tmp39 = (((float )(llvm_cbe_tmp40 * llvm_cbe_scale)));
  llvm_cbe_tmp50 = (&llvm_cbe_this->field1.field0.field1);
  llvm_cbe_tmp51 = *llvm_cbe_tmp50;
  *llvm_cbe_tmp50 = (((float )(llvm_cbe_tmp51 * llvm_cbe_scale)));
  llvm_cbe_tmp62 = (&llvm_cbe_this->field1.field1.field0);
  llvm_cbe_tmp63 = *llvm_cbe_tmp62;
  *llvm_cbe_tmp62 = (((float )(llvm_cbe_tmp63 * llvm_cbe_scale)));
  llvm_cbe_tmp73 = (&llvm_cbe_this->field1.field1.field1);
  llvm_cbe_tmp74 = *llvm_cbe_tmp73;
  *llvm_cbe_tmp73 = (((float )(llvm_cbe_tmp74 * llvm_cbe_scale)));
  *(((&llvm_cbe_this->field2))) = _ZNK7b2Mat226InvertEv(((&llvm_cbe_this->field1)));
  *((&llvm_cbe_this->field0)) = ((unsigned char )0);
  return;
}


static void __tcf_2(unsigned char *llvm_cbe_unnamed_arg) {
  _ZNSt8ios_base4InitD1Ev((&_ZStL8__ioinit));
  return;
}


static void _Z24configureScreenTransformii(unsigned int llvm_cbe_w, unsigned int llvm_cbe_h) {
  struct l_struct_2E_Vec2 llvm_cbe_tr;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp1;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp1_2e_i12;
  unsigned int *llvm_cbe_tmp4_2e_i15;
  unsigned int llvm_cbe_h_addr_2e_0;
  unsigned int llvm_cbe_h_addr_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_w_addr_2e_0;
  unsigned int llvm_cbe_w_addr_2e_0__PHI_TEMPORARY;
  float llvm_cbe_rot_2e_0;
  float llvm_cbe_rot_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp50;
  float llvm_cbe_tmp53;

  *(&SCREEN_WIDTH) = llvm_cbe_w;
  *(&SCREEN_HEIGHT) = llvm_cbe_h;
  *((&FULLSCREEN_RECT.field0.field0)) = 0u;
  *((&FULLSCREEN_RECT.field0.field1)) = 0u;
  *((&FULLSCREEN_RECT.field1.field0)) = (llvm_cbe_w + 4294967295u);
  *((&FULLSCREEN_RECT.field1.field1)) = (llvm_cbe_h + 4294967295u);
  if (((((llvm_cbe_w == 800u) & (llvm_cbe_h == 480u))&1))) {
    goto llvm_cbe_bb32;
  } else {
    goto llvm_cbe_bb33;
  }

llvm_cbe_bb32:
  *((&llvm_cbe_tmp1.field0)) = 0u;
  *((&llvm_cbe_tmp1.field1)) = 0u;
  _ZN9Transform3setEffRK4Vec2((&worldToScreen), 0x0p+0, 0x0p+0, (&llvm_cbe_tmp1));
  return;
llvm_cbe_bb33:
  llvm_cbe_tmp1_2e_i12 = (&llvm_cbe_tr.field0);
  *llvm_cbe_tmp1_2e_i12 = 0u;
  llvm_cbe_tmp4_2e_i15 = (&llvm_cbe_tr.field1);
  *llvm_cbe_tmp4_2e_i15 = 0u;
  if ((((signed int )llvm_cbe_h) > ((signed int )llvm_cbe_w))) {
    goto llvm_cbe_bb39;
  } else {
    llvm_cbe_h_addr_2e_0__PHI_TEMPORARY = llvm_cbe_h;   /* for PHI node */
    llvm_cbe_w_addr_2e_0__PHI_TEMPORARY = llvm_cbe_w;   /* for PHI node */
    llvm_cbe_rot_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb47;
  }

llvm_cbe_bb39:
  *llvm_cbe_tmp1_2e_i12 = llvm_cbe_w;
  *llvm_cbe_tmp4_2e_i15 = 0u;
  llvm_cbe_h_addr_2e_0__PHI_TEMPORARY = llvm_cbe_w;   /* for PHI node */
  llvm_cbe_w_addr_2e_0__PHI_TEMPORARY = llvm_cbe_h;   /* for PHI node */
  llvm_cbe_rot_2e_0__PHI_TEMPORARY = 0x1.921fb6p+0;   /* for PHI node */
  goto llvm_cbe_bb47;

llvm_cbe_bb47:
  llvm_cbe_h_addr_2e_0 = llvm_cbe_h_addr_2e_0__PHI_TEMPORARY;
  llvm_cbe_w_addr_2e_0 = llvm_cbe_w_addr_2e_0__PHI_TEMPORARY;
  llvm_cbe_rot_2e_0 = llvm_cbe_rot_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp50 = ((float )((((float )(signed int )llvm_cbe_w_addr_2e_0)) / 0x1.9p+9));
  llvm_cbe_tmp53 = ((float )((((float )(signed int )llvm_cbe_h_addr_2e_0)) / 0x1.ep+8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp50, llvm_cbe_tmp53))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb62;
  }

llvm_cbe_bb59:
  _ZN9Transform3setEffRK4Vec2((&worldToScreen), llvm_cbe_tmp50, llvm_cbe_rot_2e_0, (&llvm_cbe_tr));
  return;
llvm_cbe_bb62:
  _ZN9Transform3setEffRK4Vec2((&worldToScreen), llvm_cbe_tmp53, llvm_cbe_rot_2e_0, (&llvm_cbe_tr));
  return;
}


static void _ZN5ArrayIP6StrokeE6appendERKS1_(struct l_struct_2E_Array_3C_Stroke_2A__3E_ *llvm_cbe_this, struct l_struct_2E_Stroke **llvm_cbe_t) {
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp17_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp7;
  unsigned int llvm_cbe_tmp10;
  struct l_struct_2E_Stroke *llvm_cbe_tmp12;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  llvm_cbe_tmp3 = llvm_cbe_tmp2 + 1u;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  if ((((signed int )llvm_cbe_tmp2_2e_i) < ((signed int )llvm_cbe_tmp3))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayIP6StrokeE14ensureCapacityEi_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_storemerge_2e_i = (((llvm_cbe_tmp2_2e_i == 0u)) ? (4u) : (llvm_cbe_tmp2_2e_i));
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  do {     /* Syntactic loop 'bb23.i' to make GCC happy */
llvm_cbe_bb23_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )llvm_cbe_tmp3))) {
    goto llvm_cbe_bb19_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i;
  }

llvm_cbe_bb19_2e_i:
  llvm_cbe_tmp22_2e_i = llvm_cbe_storemerge1_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i' */
llvm_cbe_bb29_2e_i:
  if ((((signed int )llvm_cbe_tmp2) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe__ZN5ArrayIP6StrokeE14ensureCapacityEi_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)) << 3ull;
  if ((llvm_cbe_tmp2_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i);
  *llvm_cbe_tmp17_2e_i_2e_i = (((struct l_struct_2E_Stroke **)llvm_cbe_tmp20_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i);
  *((&llvm_cbe_this->field0)) = (((struct l_struct_2E_Stroke **)llvm_cbe_tmp28_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i = llvm_cbe_storemerge1_2e_i;
  goto llvm_cbe__ZN5ArrayIP6StrokeE14ensureCapacityEi_2e_exit;

llvm_cbe__ZN5ArrayIP6StrokeE14ensureCapacityEi_2e_exit:
  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp10 = *llvm_cbe_tmp1;
  llvm_cbe_tmp12 = *llvm_cbe_t;
  *((&llvm_cbe_tmp7[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp10)))])) = llvm_cbe_tmp12;
  *llvm_cbe_tmp1 = (llvm_cbe_tmp10 + 1u);
  return;
}


static void _ZN4Game11showOverlayEP7Overlay(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_o) {
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os ***llvm_cbe_tmp17_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp18_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i;
  unsigned int  (**llvm_cbe_tmp5) ();
  unsigned int  (*llvm_cbe_tmp7) ();

  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field4.field1);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  llvm_cbe_tmp3_2e_i = llvm_cbe_tmp2_2e_i + 1u;
  llvm_cbe_tmp1_2e_i_2e_i = (&llvm_cbe_this->field4.field2);
  llvm_cbe_tmp2_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp2_2e_i_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i))) {
    goto llvm_cbe_bb_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayIP7OverlayE6appendERKS1__2e_exit;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i = (((llvm_cbe_tmp2_2e_i_2e_i == 0u)) ? (4u) : (llvm_cbe_tmp2_2e_i_2e_i));
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i;

  do {     /* Syntactic loop 'bb23.i.i' to make GCC happy */
llvm_cbe_bb23_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i))) {
    goto llvm_cbe_bb19_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i_2e_i:
  llvm_cbe_tmp22_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i.i' */
llvm_cbe_bb29_2e_i_2e_i:
  if ((((signed int )llvm_cbe_tmp2_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i))) {
    goto llvm_cbe__ZN5ArrayIP7OverlayE6appendERKS1__2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i)) << 3ull;
  if ((llvm_cbe_tmp2_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i_2e_i = (&llvm_cbe_this->field4.field0);
  llvm_cbe_tmp18_2e_i_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp17_2e_i_2e_i_2e_i = (((struct l_struct_2E_Os **)llvm_cbe_tmp20_2e_i_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i_2e_i);
  *((&llvm_cbe_this->field4.field0)) = (((struct l_struct_2E_Os **)llvm_cbe_tmp28_2e_i_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i;
  goto llvm_cbe__ZN5ArrayIP7OverlayE6appendERKS1__2e_exit;

llvm_cbe__ZN5ArrayIP7OverlayE6appendERKS1__2e_exit:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp1_2e_i;
  *((&llvm_cbe_tmp7_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp10_2e_i)))])) = llvm_cbe_o;
  *llvm_cbe_tmp1_2e_i = (llvm_cbe_tmp10_2e_i + 1u);
  llvm_cbe_tmp5 = *((&llvm_cbe_o->field0));
  llvm_cbe_tmp7 = *((&llvm_cbe_tmp5[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_Os *))llvm_cbe_tmp7))(llvm_cbe_o);
  return;
}


static void _ZN7b2World11DestroyBodyEP6b2Body(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2Body *llvm_cbe_b) {
  struct l_struct_2E_b2AABB llvm_cbe_aabb_2e_i_2e_i;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;
  unsigned char *llvm_cbe_tmp10;
  unsigned char llvm_cbe_tmp11;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp25;
  struct l_struct_2E_Os **llvm_cbe_tmp32;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp41_2e_i;
  unsigned int *llvm_cbe_tmp182_2e_i;
  struct l_struct_2E_b2BroadPhase **llvm_cbe_tmp225_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp30;
  struct l_struct_2E_Os *llvm_cbe_tmp33;
  unsigned int  (**llvm_cbe_tmp46) ();
  unsigned int  (*llvm_cbe_tmp48) ();
  struct l_struct_2E_b2Joint *llvm_cbe_tmp51;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp59;
  unsigned char llvm_cbe_tmp2_2e_i;
  unsigned char llvm_cbe_tmp9_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp11_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp22_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp26_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp27_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp37_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp50_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp56_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp59_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i33_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i34_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp64_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp65_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp77_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp82_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp83_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp95_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp101_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp102_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp110_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp122_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp123_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp135_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp140_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp141_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp153_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp159_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp160_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp168_2e_i;
  unsigned int  (**llvm_cbe_tmp2_2e_i13_2e_i) ();
  unsigned int  (*llvm_cbe_tmp4_2e_i15_2e_i) ();
  unsigned int llvm_cbe_tmp9_2e_i18_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i163_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i176_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i177_2e_i_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i126_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i139_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i140_2e_i_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i89_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i102_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i103_2e_i_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i52_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i65_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i66_2e_i_2e_i;
  unsigned char llvm_cbe_tmp20_2e_i15_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i28_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i29_2e_i_2e_i;
  unsigned int llvm_cbe_tmp183_2e_i;
  unsigned int llvm_cbe_tmp205_2e_i;
  unsigned int llvm_cbe_tmp208_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp219_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i9_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp226_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i3_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i4_2e_i;
  unsigned int  (**llvm_cbe_tmp12_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp14_2e_i_2e_i) ();
  unsigned char llvm_cbe_tmp19_2e_i_2e_i;
  unsigned short llvm_cbe_tmp26_2e_i_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp229_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge1_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_jn_2e_0;
  struct l_struct_2E_b2JointEdge *llvm_cbe_jn_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp69;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp74;
  struct l_struct_2E_Os *llvm_cbe_tmp77;
  unsigned int  (**llvm_cbe_tmp89) ();
  unsigned int  (*llvm_cbe_tmp91) ();
  unsigned short *llvm_cbe_tmp1_2e_i58;
  unsigned short llvm_cbe_tmp2_2e_i59;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp100;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i33;
  unsigned int  (**llvm_cbe_tmp5_2e_i) ();
  unsigned int  (*llvm_cbe_tmp7_2e_i36) ();
  unsigned char llvm_cbe_tmp20_2e_i16_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i29_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i30_2e_i;
  unsigned int  (**llvm_cbe_tmp16_2e_i) ();
  unsigned int  (*llvm_cbe_tmp18_2e_i43) ();
  unsigned char llvm_cbe_tmp20_2e_i_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_s_2e_0;
  struct l_struct_2E_b2Shape *llvm_cbe_s_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Body **llvm_cbe_tmp112;
  struct l_struct_2E_b2Body *llvm_cbe_tmp113;
  struct l_struct_2E_b2Body *llvm_cbe_tmp123;
  struct l_struct_2E_b2Body **llvm_cbe_tmp127;
  struct l_struct_2E_b2Body *llvm_cbe_tmp128;
  struct l_struct_2E_b2Body *llvm_cbe_tmp138;
  struct l_struct_2E_b2Body **llvm_cbe_tmp142;
  struct l_struct_2E_b2Body *llvm_cbe_tmp143;
  struct l_struct_2E_b2Body *llvm_cbe_tmp151;
  unsigned int llvm_cbe_tmp157;
  struct l_struct_2E_b2World *llvm_cbe_tmp2_2e_i23;
  unsigned char llvm_cbe_tmp4_2e_i25;
  unsigned char llvm_cbe_tmp20_2e_i7;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i15;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i16;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  if ((((signed int )llvm_cbe_tmp2) < ((signed int )1u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb8;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str12165[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 123u, ((&_ZZN7b2World11DestroyBodyEP6b2BodyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb8:
  llvm_cbe_tmp10 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp11 = *llvm_cbe_tmp10;
  if ((llvm_cbe_tmp11 == ((unsigned char )0))) {
    goto llvm_cbe_bb22;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb13:
  __assert_fail(((&_2E_str10163[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 124u, ((&_ZZN7b2World11DestroyBodyEP6b2BodyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb22:
  llvm_cbe_tmp25 = *((&llvm_cbe_b->field13));
  llvm_cbe_tmp32 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp41_2e_i = (&llvm_cbe_this->field6);
  llvm_cbe_tmp182_2e_i = (&llvm_cbe_this->field10);
  llvm_cbe_tmp225_2e_i = (&llvm_cbe_this->field3);
  llvm_cbe_jn_2e_0__PHI_TEMPORARY = llvm_cbe_tmp25;   /* for PHI node */
  goto llvm_cbe_bb61;

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str10163[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 230u, ((&_ZZN7b2World12DestroyJointEP7b2JointE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i170_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i133_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i96_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i59_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i22_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb33_2e_i_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1172[((signed long long )0ull)])), 119u, ((&_ZZN7b2Joint7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb187_2e_i:
  __assert_fail(((&_2E_str11164[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 298u, ((&_ZZN7b2World12DestroyJointEP7b2JointE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb61' to make GCC happy */
llvm_cbe_bb61:
  llvm_cbe_jn_2e_0 = llvm_cbe_jn_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_jn_2e_0 == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb66;
  } else {
    goto llvm_cbe_bb26;
  }

llvm_cbe_bb191_2e_i:
  *llvm_cbe_tmp182_2e_i = (llvm_cbe_tmp183_2e_i + 4294967295u);
  if ((llvm_cbe_tmp9_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb202_2e_i;
  } else {
    llvm_cbe_jn_2e_0__PHI_TEMPORARY = llvm_cbe_tmp30;   /* for PHI node */
    goto llvm_cbe_bb61;
  }

llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i:
  llvm_cbe_tmp183_2e_i = *llvm_cbe_tmp182_2e_i;
  if ((((signed int )llvm_cbe_tmp183_2e_i) < ((signed int )1u))) {
    goto llvm_cbe_bb187_2e_i;
  } else {
    goto llvm_cbe_bb191_2e_i;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i_2e_i_2e_i = *llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )184ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb171_2e_i:
  *llvm_cbe_tmp122_2e_i = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  *llvm_cbe_tmp140_2e_i = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  llvm_cbe_tmp2_2e_i13_2e_i = *((&llvm_cbe_tmp59->field0));
  llvm_cbe_tmp4_2e_i15_2e_i = *((&llvm_cbe_tmp2_2e_i13_2e_i[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_b2Joint *))llvm_cbe_tmp4_2e_i15_2e_i))(llvm_cbe_tmp59);
  llvm_cbe_tmp9_2e_i18_2e_i = *((&llvm_cbe_tmp59->field1));
  switch (llvm_cbe_tmp9_2e_i18_2e_i) {
  default:
    goto llvm_cbe_bb33_2e_i_2e_i;
;
  case 1u:
    goto llvm_cbe_bb16_2e_i92_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb16_2e_i129_2e_i_2e_i;
  case 3u:
    goto llvm_cbe_bb16_2e_i_2e_i_2e_i;
    break;
  case 4u:
    goto llvm_cbe_bb16_2e_i55_2e_i_2e_i;
  case 5u:
    goto llvm_cbe_bb16_2e_i166_2e_i_2e_i;
  case 6u:
    goto llvm_cbe_bb16_2e_i18_2e_i_2e_i;
  }
llvm_cbe_bb155_2e_i:
  llvm_cbe_tmp159_2e_i = (&llvm_cbe_tmp59_2e_i->field13);
  llvm_cbe_tmp160_2e_i = *llvm_cbe_tmp159_2e_i;
  if ((((&llvm_cbe_tmp59->field5)) == llvm_cbe_tmp160_2e_i)) {
    goto llvm_cbe_bb164_2e_i;
  } else {
    goto llvm_cbe_bb171_2e_i;
  }

llvm_cbe_bb137_2e_i:
  llvm_cbe_tmp140_2e_i = (&llvm_cbe_tmp59->field5.field3);
  llvm_cbe_tmp141_2e_i = *llvm_cbe_tmp140_2e_i;
  if ((llvm_cbe_tmp141_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb155_2e_i;
  } else {
    goto llvm_cbe_bb145_2e_i;
  }

llvm_cbe_bb113_2e_i:
  *llvm_cbe_tmp64_2e_i = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  *llvm_cbe_tmp82_2e_i = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  llvm_cbe_tmp122_2e_i = (&llvm_cbe_tmp59->field5.field2);
  llvm_cbe_tmp123_2e_i = *llvm_cbe_tmp122_2e_i;
  if ((llvm_cbe_tmp123_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb137_2e_i;
  } else {
    goto llvm_cbe_bb127_2e_i;
  }

llvm_cbe_bb97_2e_i:
  llvm_cbe_tmp101_2e_i = (&llvm_cbe_tmp56_2e_i->field13);
  llvm_cbe_tmp102_2e_i = *llvm_cbe_tmp101_2e_i;
  if ((((&llvm_cbe_tmp59->field4)) == llvm_cbe_tmp102_2e_i)) {
    goto llvm_cbe_bb106_2e_i;
  } else {
    goto llvm_cbe_bb113_2e_i;
  }

llvm_cbe_bb79_2e_i:
  llvm_cbe_tmp82_2e_i = (&llvm_cbe_tmp59->field4.field3);
  llvm_cbe_tmp83_2e_i = *llvm_cbe_tmp82_2e_i;
  if ((llvm_cbe_tmp83_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb97_2e_i;
  } else {
    goto llvm_cbe_bb87_2e_i;
  }

llvm_cbe_bb53_2e_i:
  llvm_cbe_tmp56_2e_i = *((&llvm_cbe_tmp59->field6));
  llvm_cbe_tmp59_2e_i = *((&llvm_cbe_tmp59->field7));
  llvm_cbe_tmp1_2e_i_2e_i = (&llvm_cbe_tmp56_2e_i->field0);
  llvm_cbe_tmp2_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i_2e_i & ((unsigned short )-9))));
  *((&llvm_cbe_tmp56_2e_i->field21)) = 0x0p+0;
  llvm_cbe_tmp1_2e_i33_2e_i = (&llvm_cbe_tmp59_2e_i->field0);
  llvm_cbe_tmp2_2e_i34_2e_i = *llvm_cbe_tmp1_2e_i33_2e_i;
  *llvm_cbe_tmp1_2e_i33_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i34_2e_i & ((unsigned short )-9))));
  *((&llvm_cbe_tmp59_2e_i->field21)) = 0x0p+0;
  llvm_cbe_tmp64_2e_i = (&llvm_cbe_tmp59->field4.field2);
  llvm_cbe_tmp65_2e_i = *llvm_cbe_tmp64_2e_i;
  if ((llvm_cbe_tmp65_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb79_2e_i;
  } else {
    goto llvm_cbe_bb69_2e_i;
  }

llvm_cbe_bb39_2e_i:
  llvm_cbe_tmp42_2e_i = *llvm_cbe_tmp41_2e_i;
  if ((llvm_cbe_tmp42_2e_i == llvm_cbe_tmp59)) {
    goto llvm_cbe_bb47_2e_i;
  } else {
    goto llvm_cbe_bb53_2e_i;
  }

llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp26_2e_i = (&llvm_cbe_tmp59->field3);
  llvm_cbe_tmp27_2e_i = *llvm_cbe_tmp26_2e_i;
  if ((llvm_cbe_tmp27_2e_i == ((struct l_struct_2E_b2Joint *)/*NULL*/0))) {
    goto llvm_cbe_bb39_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i;
  }

llvm_cbe_bb6_2e_i:
  llvm_cbe_tmp9_2e_i = *((&llvm_cbe_tmp59->field10));
  llvm_cbe_tmp11_2e_i = (&llvm_cbe_tmp59->field2);
  llvm_cbe_tmp12_2e_i = *llvm_cbe_tmp11_2e_i;
  if ((llvm_cbe_tmp12_2e_i == ((struct l_struct_2E_b2Joint *)/*NULL*/0))) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb16_2e_i;
  }

llvm_cbe_bb56:
  llvm_cbe_tmp59 = *((&llvm_cbe_jn_2e_0->field1));
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp10;
  if ((llvm_cbe_tmp2_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb6_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb26:
  llvm_cbe_tmp30 = *((&llvm_cbe_jn_2e_0->field3));
  llvm_cbe_tmp33 = *llvm_cbe_tmp32;
  if ((llvm_cbe_tmp33 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb56;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb38:
  llvm_cbe_tmp46 = *((&llvm_cbe_tmp33->field0));
  llvm_cbe_tmp48 = *((&llvm_cbe_tmp46[((signed long long )2ull)]));
  llvm_cbe_tmp51 = *((&llvm_cbe_jn_2e_0->field1));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2Joint *))llvm_cbe_tmp48))(llvm_cbe_tmp33, llvm_cbe_tmp51);
  goto llvm_cbe_bb56;

llvm_cbe_bb16_2e_i:
  llvm_cbe_tmp22_2e_i = *((&llvm_cbe_tmp59->field3));
  *((&llvm_cbe_tmp12_2e_i->field3)) = llvm_cbe_tmp22_2e_i;
  goto llvm_cbe_bb24_2e_i;

llvm_cbe_bb31_2e_i:
  llvm_cbe_tmp37_2e_i = *llvm_cbe_tmp11_2e_i;
  *((&llvm_cbe_tmp27_2e_i->field2)) = llvm_cbe_tmp37_2e_i;
  goto llvm_cbe_bb39_2e_i;

llvm_cbe_bb47_2e_i:
  llvm_cbe_tmp50_2e_i = *llvm_cbe_tmp26_2e_i;
  *llvm_cbe_tmp41_2e_i = llvm_cbe_tmp50_2e_i;
  goto llvm_cbe_bb53_2e_i;

llvm_cbe_bb69_2e_i:
  llvm_cbe_tmp77_2e_i = *((&llvm_cbe_tmp59->field4.field3));
  *((&llvm_cbe_tmp65_2e_i->field3)) = llvm_cbe_tmp77_2e_i;
  goto llvm_cbe_bb79_2e_i;

llvm_cbe_bb87_2e_i:
  llvm_cbe_tmp95_2e_i = *llvm_cbe_tmp64_2e_i;
  *((&llvm_cbe_tmp83_2e_i->field2)) = llvm_cbe_tmp95_2e_i;
  goto llvm_cbe_bb97_2e_i;

llvm_cbe_bb106_2e_i:
  llvm_cbe_tmp110_2e_i = *llvm_cbe_tmp82_2e_i;
  *llvm_cbe_tmp101_2e_i = llvm_cbe_tmp110_2e_i;
  goto llvm_cbe_bb113_2e_i;

llvm_cbe_bb127_2e_i:
  llvm_cbe_tmp135_2e_i = *((&llvm_cbe_tmp59->field5.field3));
  *((&llvm_cbe_tmp123_2e_i->field3)) = llvm_cbe_tmp135_2e_i;
  goto llvm_cbe_bb137_2e_i;

llvm_cbe_bb145_2e_i:
  llvm_cbe_tmp153_2e_i = *llvm_cbe_tmp122_2e_i;
  *((&llvm_cbe_tmp141_2e_i->field2)) = llvm_cbe_tmp153_2e_i;
  goto llvm_cbe_bb155_2e_i;

llvm_cbe_bb164_2e_i:
  llvm_cbe_tmp168_2e_i = *llvm_cbe_tmp140_2e_i;
  *llvm_cbe_tmp159_2e_i = llvm_cbe_tmp168_2e_i;
  goto llvm_cbe_bb171_2e_i;

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit185_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i176_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i163_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i177_2e_i_2e_i = *llvm_cbe_tmp42_2e_i176_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i177_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i176_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i166_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i163_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )192ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i163_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit185_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i170_2e_i_2e_i;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit148_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i139_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i126_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i140_2e_i_2e_i = *llvm_cbe_tmp42_2e_i139_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i140_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i139_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i129_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i126_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )272ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i126_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit148_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i133_2e_i_2e_i;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit111_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i102_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i89_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i103_2e_i_2e_i = *llvm_cbe_tmp42_2e_i102_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i103_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i102_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i92_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i89_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )216ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i89_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit111_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i96_2e_i_2e_i;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit74_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i65_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i52_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i66_2e_i_2e_i = *llvm_cbe_tmp42_2e_i65_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i66_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i65_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i55_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i52_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )248ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i52_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit74_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i59_2e_i_2e_i;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit37_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i28_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i15_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i29_2e_i_2e_i = *llvm_cbe_tmp42_2e_i28_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_tmp59)) = llvm_cbe_tmp43_2e_i29_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i28_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_tmp59));
  goto llvm_cbe__ZN7b2Joint7DestroyEPS_P16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb16_2e_i18_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i15_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )248ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i15_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit37_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i22_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb231.i' to make GCC happy */
llvm_cbe_bb231_2e_i:
  llvm_cbe_storemerge1_2e_in_2e_i = llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i = *llvm_cbe_storemerge1_2e_in_2e_i;
  if ((llvm_cbe_storemerge1_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    llvm_cbe_jn_2e_0__PHI_TEMPORARY = llvm_cbe_tmp30;   /* for PHI node */
    goto llvm_cbe_bb61;
  } else {
    goto llvm_cbe_bb221_2e_i;
  }

llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i:
  llvm_cbe_tmp229_2e_i = (&llvm_cbe_storemerge1_2e_i->field2);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp229_2e_i;   /* for PHI node */
  goto llvm_cbe_bb231_2e_i;

llvm_cbe_bb221_2e_i:
  llvm_cbe_tmp226_2e_i = *llvm_cbe_tmp225_2e_i;
  llvm_cbe_tmp1_2e_i3_2e_i = (&llvm_cbe_storemerge1_2e_i->field8);
  llvm_cbe_tmp2_2e_i4_2e_i = *llvm_cbe_tmp1_2e_i3_2e_i;
  if ((llvm_cbe_tmp2_2e_i4_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb22_2e_i_2e_i:
  llvm_cbe_tmp26_2e_i_2e_i = _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(llvm_cbe_tmp226_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), (((unsigned char *)llvm_cbe_storemerge1_2e_i)));
  *llvm_cbe_tmp1_2e_i3_2e_i = llvm_cbe_tmp26_2e_i_2e_i;
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

llvm_cbe_bb_2e_i_2e_i:
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp226_2e_i, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i4_2e_i)));
  llvm_cbe_tmp12_2e_i_2e_i = *((&llvm_cbe_storemerge1_2e_i->field0));
  llvm_cbe_tmp14_2e_i_2e_i = *((&llvm_cbe_tmp12_2e_i_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp14_2e_i_2e_i))(llvm_cbe_storemerge1_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), llvm_cbe_tmp2_2e_i9_2e_i);
  llvm_cbe_tmp19_2e_i_2e_i = _ZNK12b2BroadPhase7InRangeERK6b2AABB(llvm_cbe_tmp226_2e_i, (&llvm_cbe_aabb_2e_i_2e_i));
  if ((llvm_cbe_tmp19_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb29_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb22_2e_i_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i3_2e_i = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

  } while (1); /* end of syntactic loop 'bb231.i' */
llvm_cbe_bb202_2e_i:
  llvm_cbe_tmp205_2e_i = *((&llvm_cbe_tmp56_2e_i->field12));
  llvm_cbe_tmp208_2e_i = *((&llvm_cbe_tmp59_2e_i->field12));
  llvm_cbe_storemerge_2e_i = (((((signed int )llvm_cbe_tmp205_2e_i) < ((signed int )llvm_cbe_tmp208_2e_i))) ? (llvm_cbe_tmp56_2e_i) : (llvm_cbe_tmp59_2e_i));
  llvm_cbe_tmp219_2e_i = (&llvm_cbe_storemerge_2e_i->field11);
  llvm_cbe_tmp2_2e_i9_2e_i = (&llvm_cbe_storemerge_2e_i->field2);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp219_2e_i;   /* for PHI node */
  goto llvm_cbe_bb231_2e_i;

  } while (1); /* end of syntactic loop 'bb61' */
llvm_cbe_bb66:
  llvm_cbe_tmp69 = *((&llvm_cbe_b->field11));
  llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_tmp69;   /* for PHI node */
  goto llvm_cbe_bb105;

llvm_cbe_bb31_2e_i23_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31_2e_i_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb24_2e_i55:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 65u, ((&_ZZN7b2Shape7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb105' to make GCC happy */
llvm_cbe_bb105:
  llvm_cbe_s_2e_0 = llvm_cbe_s_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_s_2e_0 == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb110;
  } else {
    goto llvm_cbe_bb70;
  }

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit38_2e_i:
  llvm_cbe_tmp42_2e_i29_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i16_2e_i)))]);
  llvm_cbe_tmp43_2e_i30_2e_i = *llvm_cbe_tmp42_2e_i29_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_s_2e_0)) = llvm_cbe_tmp43_2e_i30_2e_i;
  *llvm_cbe_tmp42_2e_i29_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_s_2e_0));
  llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_tmp74;   /* for PHI node */
  goto llvm_cbe_bb105;

llvm_cbe_bb_2e_i41:
  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_s_2e_0->field0));
  llvm_cbe_tmp7_2e_i36 = *((&llvm_cbe_tmp5_2e_i[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *))llvm_cbe_tmp7_2e_i36))(llvm_cbe_s_2e_0);
  llvm_cbe_tmp20_2e_i16_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )88ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i16_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit38_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i23_2e_i;
  }

llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit:
  llvm_cbe_tmp3_2e_i_2e_i33 = *((&llvm_cbe_s_2e_0->field1));
  switch (llvm_cbe_tmp3_2e_i_2e_i33) {
  default:
    goto llvm_cbe_bb24_2e_i55;
;
  case 0u:
    goto llvm_cbe_bb_2e_i41;
    break;
  case 1u:
    goto llvm_cbe_bb13_2e_i;
  }
llvm_cbe_bb97:
  llvm_cbe_tmp1_2e_i58 = (&llvm_cbe_s_2e_0->field8);
  llvm_cbe_tmp2_2e_i59 = *llvm_cbe_tmp1_2e_i58;
  if ((llvm_cbe_tmp2_2e_i59 == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i68;
  }

llvm_cbe_bb70:
  llvm_cbe_tmp74 = *((&llvm_cbe_s_2e_0->field2));
  llvm_cbe_tmp77 = *llvm_cbe_tmp32;
  if ((llvm_cbe_tmp77 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb97;
  } else {
    goto llvm_cbe_bb81;
  }

llvm_cbe_bb81:
  llvm_cbe_tmp89 = *((&llvm_cbe_tmp77->field0));
  llvm_cbe_tmp91 = *((&llvm_cbe_tmp89[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2Shape *))llvm_cbe_tmp91))(llvm_cbe_tmp77, llvm_cbe_s_2e_0);
  goto llvm_cbe_bb97;

llvm_cbe_bb_2e_i68:
  llvm_cbe_tmp100 = *llvm_cbe_tmp225_2e_i;
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp100, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i59)));
  *llvm_cbe_tmp1_2e_i58 = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;

llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit_2e_i:
  llvm_cbe_tmp42_2e_i_2e_i = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i_2e_i)))]);
  llvm_cbe_tmp43_2e_i_2e_i = *llvm_cbe_tmp42_2e_i_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_s_2e_0)) = llvm_cbe_tmp43_2e_i_2e_i;
  *llvm_cbe_tmp42_2e_i_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_s_2e_0));
  llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_tmp74;   /* for PHI node */
  goto llvm_cbe_bb105;

llvm_cbe_bb13_2e_i:
  llvm_cbe_tmp16_2e_i = *((&llvm_cbe_s_2e_0->field0));
  llvm_cbe_tmp18_2e_i43 = *((&llvm_cbe_tmp16_2e_i[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *))llvm_cbe_tmp18_2e_i43))(llvm_cbe_s_2e_0);
  llvm_cbe_tmp20_2e_i_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )312ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb105' */
llvm_cbe_bb110:
  llvm_cbe_tmp112 = (&llvm_cbe_b->field9);
  llvm_cbe_tmp113 = *llvm_cbe_tmp112;
  if ((llvm_cbe_tmp113 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb125;
  } else {
    goto llvm_cbe_bb117;
  }

llvm_cbe_bb117:
  llvm_cbe_tmp123 = *((&llvm_cbe_b->field10));
  *((&llvm_cbe_tmp113->field10)) = llvm_cbe_tmp123;
  goto llvm_cbe_bb125;

llvm_cbe_bb125:
  llvm_cbe_tmp127 = (&llvm_cbe_b->field10);
  llvm_cbe_tmp128 = *llvm_cbe_tmp127;
  if ((llvm_cbe_tmp128 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb140;
  } else {
    goto llvm_cbe_bb132;
  }

llvm_cbe_bb132:
  llvm_cbe_tmp138 = *llvm_cbe_tmp112;
  *((&llvm_cbe_tmp128->field9)) = llvm_cbe_tmp138;
  goto llvm_cbe_bb140;

llvm_cbe_bb140:
  llvm_cbe_tmp142 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp143 = *llvm_cbe_tmp142;
  if ((llvm_cbe_tmp143 == llvm_cbe_b)) {
    goto llvm_cbe_bb148;
  } else {
    goto llvm_cbe_bb154;
  }

llvm_cbe_bb148:
  llvm_cbe_tmp151 = *llvm_cbe_tmp127;
  *llvm_cbe_tmp142 = llvm_cbe_tmp151;
  goto llvm_cbe_bb154;

llvm_cbe_bb154:
  llvm_cbe_tmp157 = *llvm_cbe_tmp1;
  *llvm_cbe_tmp1 = (llvm_cbe_tmp157 + 4294967295u);
  llvm_cbe_tmp2_2e_i23 = *((&llvm_cbe_b->field8));
  llvm_cbe_tmp4_2e_i25 = *((&llvm_cbe_tmp2_2e_i23->field2));
  if ((llvm_cbe_tmp4_2e_i25 == ((unsigned char )0))) {
    goto llvm_cbe_bb16_2e_i9;
  } else {
    goto llvm_cbe_bb_2e_i27;
  }

llvm_cbe_bb_2e_i27:
  __assert_fail(((&_2E_str146[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 111u, ((&_ZZN6b2BodyD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb16_2e_i9:
  llvm_cbe_tmp20_2e_i7 = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )184ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i7) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit;
  } else {
    goto llvm_cbe_bb31_2e_i12;
  }

llvm_cbe_bb31_2e_i12:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit:
  llvm_cbe_tmp42_2e_i15 = (&llvm_cbe_this->field0.field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i7)))]);
  llvm_cbe_tmp43_2e_i16 = *llvm_cbe_tmp42_2e_i15;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_b)) = llvm_cbe_tmp43_2e_i16;
  *llvm_cbe_tmp42_2e_i15 = (((struct l_struct_2E_b2Block *)llvm_cbe_b));
  return;
}


static void _ZN5Scene5resetEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s) {
  unsigned int *llvm_cbe_tmp2_2e_i3;
  struct l_struct_2E_b2World **llvm_cbe_tmp21;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i18;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp8;
  struct l_struct_2E_b2World *llvm_cbe_tmp22;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i19;
  struct l_struct_2E_Stroke *llvm_cbe_tmp27;
  struct l_struct_2E_b2Body **llvm_cbe_tmp1_2e_i6;
  struct l_struct_2E_b2Body *llvm_cbe_tmp2_2e_i7;
  unsigned int llvm_cbe_tmp26_2e_i;
  unsigned int llvm_cbe_tmp29_2e_i;
  unsigned int llvm_cbe_tmp30;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;

  llvm_cbe_tmp2_2e_i3 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp21 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp2_2e_i_2e_i18 = (&llvm_cbe_this->field2.field0);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb31;

  do {     /* Syntactic loop 'bb31' to make GCC happy */
llvm_cbe_bb31:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i3;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb28:
  llvm_cbe_tmp30 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp30;   /* for PHI node */
  goto llvm_cbe_bb31;

llvm_cbe_bb3:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i18;
  llvm_cbe_tmp8 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1)))]));
  if ((llvm_cbe_tmp8 == llvm_cbe_s)) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb28;
  }

llvm_cbe_bb:
  if ((llvm_cbe_s == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb3;
  }

llvm_cbe__ZN6Stroke5resetEP7b2World_2e_exit:
  *llvm_cbe_tmp1_2e_i6 = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp27->field7)) = 0x1.cp+2;
  llvm_cbe_tmp26_2e_i = *((&llvm_cbe_tmp27->field3.field0));
  *((&llvm_cbe_tmp27->field10.field0.field0)) = llvm_cbe_tmp26_2e_i;
  llvm_cbe_tmp29_2e_i = *((&llvm_cbe_tmp27->field3.field1));
  *((&llvm_cbe_tmp27->field10.field0.field1)) = llvm_cbe_tmp29_2e_i;
  *((&llvm_cbe_tmp27->field10.field1.field0)) = llvm_cbe_tmp26_2e_i;
  *((&llvm_cbe_tmp27->field10.field1.field1)) = llvm_cbe_tmp29_2e_i;
  *((&llvm_cbe_tmp27->field13[((signed long long )1ull)])) = ((unsigned char )0);
  *((&llvm_cbe_tmp27->field13[((signed long long )0ull)])) = ((unsigned char )0);
  _ZN4PathaSERKS_(((&llvm_cbe_tmp27->field4)), ((&llvm_cbe_tmp27->field0)));
  *((&llvm_cbe_tmp27->field14)) = 0u;
  *((&llvm_cbe_tmp27->field11)) = ((unsigned char )0);
  goto llvm_cbe_bb28;

llvm_cbe_bb19:
  llvm_cbe_tmp22 = *llvm_cbe_tmp21;
  llvm_cbe_tmp3_2e_i_2e_i19 = *llvm_cbe_tmp2_2e_i_2e_i18;
  llvm_cbe_tmp27 = *((&llvm_cbe_tmp3_2e_i_2e_i19[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1)))]));
  llvm_cbe_tmp1_2e_i6 = (&llvm_cbe_tmp27->field12);
  llvm_cbe_tmp2_2e_i7 = *llvm_cbe_tmp1_2e_i6;
  if (((((llvm_cbe_tmp2_2e_i7 == ((struct l_struct_2E_b2Body *)/*NULL*/0)) | (llvm_cbe_tmp22 == ((struct l_struct_2E_b2World *)/*NULL*/0)))&1))) {
    goto llvm_cbe__ZN6Stroke5resetEP7b2World_2e_exit;
  } else {
    goto llvm_cbe_bb9_2e_i;
  }

llvm_cbe_bb9_2e_i:
  _ZN7b2World11DestroyBodyEP6b2Body(llvm_cbe_tmp22, llvm_cbe_tmp2_2e_i7);
  goto llvm_cbe__ZN6Stroke5resetEP7b2World_2e_exit;

  } while (1); /* end of syntactic loop 'bb31' */
llvm_cbe_return:
  return;
}


static void _ZN5Scene12deleteStrokeEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s) {
  unsigned int *llvm_cbe_tmp19_2e_i;
  unsigned int llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp20_2e_i39;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i22;
  struct l_struct_2E_Stroke *llvm_cbe_tmp7_2e_i26;
  unsigned int llvm_cbe_tmp16_2e_i34;
  unsigned int llvm_cbe_storemerge1_2e_i36;
  unsigned int llvm_cbe_storemerge1_2e_i36__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i44;
  unsigned int llvm_cbe_storemerge_2e_i44__PHI_TEMPORARY;
  struct l_struct_2E_Stroke **llvm_cbe_tmp17_2e_i;
  unsigned long long llvm_cbe_tmp1819_2e_i;
  unsigned char *ltmp_5_1;
  unsigned int llvm_cbe_tmp33_2e_i;

  if ((llvm_cbe_s == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp20_2e_i = *llvm_cbe_tmp19_2e_i;
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i;

  do {     /* Syntactic loop 'bb17.i' to make GCC happy */
llvm_cbe_bb17_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp20_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 4294967295u;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit;
  }

llvm_cbe_bb14_2e_i:
  llvm_cbe_tmp16_2e_i = llvm_cbe_storemerge1_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)))]));
  if ((llvm_cbe_tmp7_2e_i == llvm_cbe_s)) {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge1_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit;
  } else {
    goto llvm_cbe_bb14_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb17.i' */
llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp8 = *((&llvm_cbe_this->field7));
  if ((((signed int )llvm_cbe_tmp8) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb13:
  _ZN5Scene5resetEP6Stroke(llvm_cbe_this, llvm_cbe_s);
  llvm_cbe_tmp20_2e_i39 = *llvm_cbe_tmp19_2e_i;
  llvm_cbe_storemerge1_2e_i36__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i42;

  do {     /* Syntactic loop 'bb17.i42' to make GCC happy */
llvm_cbe_bb17_2e_i42:
  llvm_cbe_storemerge1_2e_i36 = llvm_cbe_storemerge1_2e_i36__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp20_2e_i39) > ((signed int )llvm_cbe_storemerge1_2e_i36))) {
    goto llvm_cbe_bb_2e_i30;
  } else {
    llvm_cbe_storemerge_2e_i44__PHI_TEMPORARY = 4294967295u;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit46;
  }

llvm_cbe_bb14_2e_i35:
  llvm_cbe_tmp16_2e_i34 = llvm_cbe_storemerge1_2e_i36 + 1u;
  llvm_cbe_storemerge1_2e_i36__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i34;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i42;

llvm_cbe_bb_2e_i30:
  llvm_cbe_tmp3_2e_i22 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp7_2e_i26 = *((&llvm_cbe_tmp3_2e_i22[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i36)))]));
  if ((llvm_cbe_tmp7_2e_i26 == llvm_cbe_s)) {
    llvm_cbe_storemerge_2e_i44__PHI_TEMPORARY = llvm_cbe_storemerge1_2e_i36;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit46;
  } else {
    goto llvm_cbe_bb14_2e_i35;
  }

  } while (1); /* end of syntactic loop 'bb17.i42' */
llvm_cbe__ZN5ArrayIP6StrokeE7indexOfERKS1__2e_exit46:
  llvm_cbe_storemerge_2e_i44 = llvm_cbe_storemerge_2e_i44__PHI_TEMPORARY;
  if ((((signed int )(llvm_cbe_tmp20_2e_i39 + 4294967295u)) > ((signed int )llvm_cbe_storemerge_2e_i44))) {
    goto llvm_cbe_bb_2e_i15;
  } else {
    goto llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit;
  }

llvm_cbe_bb_2e_i15:
  llvm_cbe_tmp17_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp1819_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i44);
  ltmp_5_1 = memcpy((((unsigned char *)((&llvm_cbe_tmp17_2e_i[((signed long long )llvm_cbe_tmp1819_2e_i)])))), (((unsigned char *)((&llvm_cbe_tmp17_2e_i[((signed long long )(llvm_cbe_tmp1819_2e_i + 1ull))])))), ((((signed long long )(signed int )((llvm_cbe_tmp20_2e_i39 - llvm_cbe_storemerge_2e_i44) + 4294967295u))) << 3ull));
  goto llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit;

llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit:
  llvm_cbe_tmp33_2e_i = *llvm_cbe_tmp19_2e_i;
  *llvm_cbe_tmp19_2e_i = (llvm_cbe_tmp33_2e_i + 4294967295u);
  return;
llvm_cbe_return:
  return;
}


static void _ZN4Game11hideOverlayEP7Overlay(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_o) {
  unsigned int  (**llvm_cbe_tmp3) ();
  unsigned int  (*llvm_cbe_tmp5) ();
  unsigned int *llvm_cbe_tmp19_2e_i;
  unsigned int llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_Os ***llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_Os **llvm_cbe_tmp17_2e_i;
  unsigned long long llvm_cbe_tmp1819_2e_i;
  unsigned char *ltmp_6_1;
  unsigned int llvm_cbe_tmp33_2e_i;

  llvm_cbe_tmp3 = *((&llvm_cbe_o->field0));
  llvm_cbe_tmp5 = *((&llvm_cbe_tmp3[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_Os *))llvm_cbe_tmp5))(llvm_cbe_o);
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_this->field4.field1);
  llvm_cbe_tmp20_2e_i = *llvm_cbe_tmp19_2e_i;
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field4.field0);
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i;

  do {     /* Syntactic loop 'bb17.i' to make GCC happy */
llvm_cbe_bb17_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp20_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 4294967295u;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit;
  }

llvm_cbe_bb14_2e_i:
  llvm_cbe_tmp16_2e_i = llvm_cbe_storemerge1_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_tmp3_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)))]));
  if ((llvm_cbe_tmp7_2e_i == llvm_cbe_o)) {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge1_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit;
  } else {
    goto llvm_cbe_bb14_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb17.i' */
llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((((signed int )(llvm_cbe_tmp20_2e_i + 4294967295u)) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb_2e_i15;
  } else {
    goto llvm_cbe__ZN5ArrayIP7OverlayE5eraseEi_2e_exit;
  }

llvm_cbe_bb_2e_i15:
  llvm_cbe_tmp17_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp1819_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i);
  ltmp_6_1 = memcpy((((unsigned char *)((&llvm_cbe_tmp17_2e_i[((signed long long )llvm_cbe_tmp1819_2e_i)])))), (((unsigned char *)((&llvm_cbe_tmp17_2e_i[((signed long long )(llvm_cbe_tmp1819_2e_i + 1ull))])))), ((((signed long long )(signed int )((llvm_cbe_tmp20_2e_i - llvm_cbe_storemerge_2e_i) + 4294967295u))) << 3ull));
  goto llvm_cbe__ZN5ArrayIP7OverlayE5eraseEi_2e_exit;

llvm_cbe__ZN5ArrayIP7OverlayE5eraseEi_2e_exit:
  llvm_cbe_tmp33_2e_i = *llvm_cbe_tmp19_2e_i;
  *llvm_cbe_tmp19_2e_i = (llvm_cbe_tmp33_2e_i + 4294967295u);
  *((&llvm_cbe_this->field0.field3)) = ((unsigned char )1);
  return;
}


static void _ZN5Scene5clearEv(struct l_struct_2E_Scene *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp2_2e_i6;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i11;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp5;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i60_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i64_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i38_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i42_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i16_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i20_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i12;
  struct l_struct_2E_Stroke **llvm_cbe_tmp17_2e_i;
  unsigned char *ltmp_7_1;
  unsigned int llvm_cbe_tmp33_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i7;
  struct l_struct_2E_b2World *llvm_cbe_tmp27;

  _ZN5Scene5resetEP6Stroke(llvm_cbe_this, ((struct l_struct_2E_Stroke *)/*NULL*/0));
  llvm_cbe_tmp2_2e_i6 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_tmp1_2e_i11 = (&llvm_cbe_this->field2.field1);
  goto llvm_cbe_bb16;

  do {     /* Syntactic loop 'bb16' to make GCC happy */
llvm_cbe_bb16:
  llvm_cbe_tmp3_2e_i7 = *llvm_cbe_tmp2_2e_i6;
  if ((llvm_cbe_tmp3_2e_i7 == 0u)) {
    goto llvm_cbe_bb24;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit:
  llvm_cbe_tmp33_2e_i = *llvm_cbe_tmp1_2e_i11;
  *llvm_cbe_tmp1_2e_i11 = (llvm_cbe_tmp33_2e_i + 4294967295u);
  goto llvm_cbe_bb16;

llvm_cbe_bb13:
  llvm_cbe_tmp2_2e_i12 = *llvm_cbe_tmp1_2e_i11;
  if ((((signed int )(llvm_cbe_tmp2_2e_i12 + 4294967295u)) > ((signed int )0u))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp5 = *llvm_cbe_tmp3_2e_i_2e_i;
  if ((llvm_cbe_tmp5 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_bb13;
  } else {
    goto llvm_cbe_bb9;
  }

llvm_cbe__ZN6StrokeD1Ev_2e_exit:
  _ZdlPv((((unsigned char *)llvm_cbe_tmp5)));
  goto llvm_cbe_bb13;

llvm_cbe__ZN4PathD1Ev_2e_exit45_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i16_2e_i = *((&llvm_cbe_tmp5->field0.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i16_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN6StrokeD1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i22_2e_i;
  }

llvm_cbe__ZN4PathD1Ev_2e_exit67_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i38_2e_i = *((&llvm_cbe_tmp5->field4.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i38_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN4PathD1Ev_2e_exit45_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i44_2e_i;
  }

llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i60_2e_i = *((&llvm_cbe_tmp5->field5.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i60_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN4PathD1Ev_2e_exit67_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i66_2e_i;
  }

llvm_cbe_bb9:
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp5->field6.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp5->field6.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  goto llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i;

llvm_cbe_bb_2e_i_2e_i66_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i64_2e_i = *((&llvm_cbe_tmp5->field5.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i64_2e_i)));
  goto llvm_cbe__ZN4PathD1Ev_2e_exit67_2e_i;

llvm_cbe_bb_2e_i_2e_i44_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i42_2e_i = *((&llvm_cbe_tmp5->field4.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i42_2e_i)));
  goto llvm_cbe__ZN4PathD1Ev_2e_exit45_2e_i;

llvm_cbe_bb_2e_i_2e_i22_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i20_2e_i = *((&llvm_cbe_tmp5->field0.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i20_2e_i)));
  goto llvm_cbe__ZN6StrokeD1Ev_2e_exit;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp17_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  ltmp_7_1 = memcpy((((unsigned char *)llvm_cbe_tmp17_2e_i)), (((unsigned char *)((&llvm_cbe_tmp17_2e_i[((signed long long )1ull)])))), ((((signed long long )(signed int )(llvm_cbe_tmp2_2e_i12 + 4294967295u))) << 3ull));
  goto llvm_cbe__ZN5ArrayIP6StrokeE5eraseEi_2e_exit;

  } while (1); /* end of syntactic loop 'bb16' */
llvm_cbe_bb24:
  llvm_cbe_tmp27 = *((&llvm_cbe_this->field1));
  if ((llvm_cbe_tmp27 == ((struct l_struct_2E_b2World *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb31:
  _ZN7b2World4StepEfi(llvm_cbe_tmp27);
  return;
llvm_cbe_return:
  return;
}


static void _ZN7b2World4StepEfi(struct l_struct_2E_b2World *llvm_cbe_this) {
  unsigned int llvm_cbe_stackCount_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_stackCount_2e_i513_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2ContactSolver llvm_cbe_contactSolver_2e_i_2e_i492;    /* Address-exposed local */
  struct l_struct_2E_b2Island llvm_cbe_island_2e_i520;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_w_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_v_2e_i_2e_i_2e_i_2e_i24;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[3];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[3];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[3];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp7_2e_i_2e_i172_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf2_2e_i_2e_i29;    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf1_2e_i_2e_i30;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p2_2e_i_2e_i31;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p1_2e_i_2e_i32;    /* Address-exposed local */
  struct l_struct_2E_b2ContactSolver llvm_cbe_contactSolver_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2TimeStep llvm_cbe_subStep_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Island llvm_cbe_island_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_s2_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_s1_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_color_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p2_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p1_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_x2_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_x1_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_vs_2e_i[4];    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_color_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_vs3_2e_i[4];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_vs6_2e_i[4];    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_color7_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_x2_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_x1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_color10_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_tmp24_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_tmp39_2e_i10;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_tmp40_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_tmp41_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2TimeStep llvm_cbe_step;    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp1;
  float *llvm_cbe_tmp2;
  unsigned int *llvm_cbe_tmp4;
  float *llvm_cbe_tmp16;
  float llvm_cbe_tmp17;
  float *llvm_cbe_tmp20;
  unsigned char *llvm_cbe_tmp22;
  unsigned char llvm_cbe_tmp23;
  unsigned char llvm_cbe_tmp27;
  unsigned char *llvm_cbe_tmp28;
  struct l_struct_2E_b2World *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp29_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i8_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i15_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i27_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i23_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i12_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp30_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp32_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp2_2e_i3_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_i_2e_in;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_storemerge1_2e_i;
  float llvm_cbe_tmp32;
  unsigned int *llvm_cbe_tmp5_2e_i524;
  struct l_struct_2E_Os *llvm_cbe_tmp8_2e_i525;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp10_2e_i;
  unsigned int llvm_cbe_tmp13_2e_i528;
  unsigned int llvm_cbe_tmp16_2e_i531;
  unsigned int *llvm_cbe_tmp18_2e_i533;
  unsigned int llvm_cbe_tmp19_2e_i534;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i536;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i539;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i542;
  unsigned int *llvm_cbe_tmp10_2e_i_2e_i545;
  unsigned int *llvm_cbe_tmp12_2e_i_2e_i547;
  unsigned int *llvm_cbe_tmp14_2e_i_2e_i549;
  struct l_struct_2E_b2StackAllocator **llvm_cbe_tmp16_2e_i_2e_i551;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i561;
  struct l_struct_2E_b2Body ***llvm_cbe_tmp31_2e_i_2e_i564;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp38_2e_i_2e_i569;
  unsigned char *llvm_cbe_tmp39_2e_i_2e_i570;
  struct l_struct_2E_b2Contact ***llvm_cbe_tmp42_2e_i_2e_i573;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp49_2e_i_2e_i578;
  unsigned char *llvm_cbe_tmp50_2e_i_2e_i579;
  struct l_struct_2E_b2Joint ***llvm_cbe_tmp53_2e_i_2e_i582;
  unsigned int *llvm_cbe_tmp55_2e_i_2e_i584;
  struct l_struct_2E_b2Body **llvm_cbe_tmp21_2e_i586;
  unsigned short *llvm_cbe_tmp24_2e_i588;
  unsigned short llvm_cbe_tmp25_2e_i589;
  struct l_struct_2E_b2Body **llvm_cbe_tmp30_2e_i594;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge_2e_in_2e_i596;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge_2e_in_2e_i596__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge_2e_i597;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp38_2e_i600;
  unsigned int *llvm_cbe_tmp42_2e_i602;
  unsigned int llvm_cbe_tmp43_2e_i603;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp48_2e_i608;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_in_2e_i609;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_in_2e_i609__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_storemerge1_2e_i610;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp57_2e_i612;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp63_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_storemerge2_2e_in_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint *llvm_cbe_storemerge2_2e_i617;
  unsigned int llvm_cbe_tmp73_2e_i619;
  unsigned char *llvm_cbe_tmp80_2e_i622;
  struct l_struct_2E_b2Body **llvm_cbe_tmp8081_2e_i;
  unsigned char *llvm_cbe_tmp283_2e_i740;
  float *llvm_cbe_tmp2_2e_i71_2e_i_2e_i;
  float *llvm_cbe_tmp9_2e_i78_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp200_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2ContactConstraint **llvm_cbe_tmp14_2e_i350_2e_i_2e_i;
  struct l_struct_2E_b2StackAllocator **llvm_cbe_tmp4_2e_i25_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp87_2e_i;
  unsigned short llvm_cbe_tmp88_2e_i626;
  unsigned short llvm_cbe_tmp3_2e_i54_2e_i;
  unsigned short llvm_cbe_tmp109_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_0_2e_reload;
  unsigned int llvm_cbe_tmp115_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp120_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i72_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i75_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp14_2e_i79_2e_i;
  unsigned short *llvm_cbe_tmp123_2e_i648;
  unsigned short llvm_cbe_tmp124_2e_i649;
  unsigned short llvm_cbe_tmp3_2e_i184_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp134_2e_i655;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp138_2e_i657;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp139_2e_i;
  unsigned int llvm_cbe_tmp141_2e_i659;
  unsigned int llvm_cbe_tmp3_2e_i180_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i160_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i163_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp14_2e_i168_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp161_2e_i671;
  unsigned int *llvm_cbe_tmp165_2e_i675;
  unsigned int llvm_cbe_tmp166_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp171_2e_i;
  unsigned short *llvm_cbe_tmp173_2e_i;
  unsigned short llvm_cbe_tmp174_2e_i;
  unsigned int llvm_cbe_tmp197_2e_i687;
  unsigned short llvm_cbe_tmp200_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_1;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp206_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_2;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge3_2e_in_2e_i693;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge3_2e_in_2e_i693__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_storemerge3_2e_i694;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp215_2e_i697;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp219_2e_i699;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp220_2e_i700;
  unsigned char llvm_cbe_tmp222_2e_i702;
  unsigned int llvm_cbe_tmp2_2e_i139_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i142_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp14_2e_i147_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp230_2e_i712;
  struct l_struct_2E_b2Body *llvm_cbe_tmp234_2e_i;
  unsigned short *llvm_cbe_tmp236_2e_i716;
  unsigned short llvm_cbe_tmp237_2e_i717;
  unsigned int llvm_cbe_tmp260_2e_i728;
  unsigned short llvm_cbe_tmp263_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_3;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_3__PHI_TEMPORARY;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp269_2e_i733;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_4;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_4__PHI_TEMPORARY;
  struct l_struct_2E_b2JointEdge **llvm_cbe_storemerge4_2e_in_2e_i734;
  struct l_struct_2E_b2JointEdge **llvm_cbe_storemerge4_2e_in_2e_i734__PHI_TEMPORARY;
  struct l_struct_2E_b2JointEdge *llvm_cbe_storemerge4_2e_i735;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_0_2e_be;
  unsigned int llvm_cbe_stackCount_2e_i513_2e_0_2e_be__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp284_2e_i741;
  unsigned char llvm_cbe_tmp288_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp21_2e_i112_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp25_2e_i114_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i_2e_i_2e_i750;
  float llvm_cbe_tmp34_2e_i_2e_i756;
  float llvm_cbe_tmp3_2e_i46_2e_i_2e_i;
  float *llvm_cbe_tmp7_2e_i50_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i51_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i_2e_i_2e_i7671740__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i_2e_i7701747__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp39_2e_i121_2e_i1710__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp42_2e_i123_2e_i1714__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i72_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i79_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i98_2e_i_2e_i1754__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i101_2e_i_2e_i1761__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp48_2e_i126_2e_i1717__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp51_2e_i_2e_i7841721__BITCAST_TEMPORARY;
  float llvm_cbe_tmp54_2e_i131_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i138_2e_i_2e_i1768__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i141_2e_i_2e_i1775__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp59_2e_i_2e_i7871724__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp62_2e_i_2e_i7901728__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp64_2e_i_2e_i792;
  float *llvm_cbe_tmp1_2e_i151_2e_i_2e_i;
  float llvm_cbe_tmp2_2e_i152_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i156_2e_i_2e_i;
  float *llvm_cbe_tmp10_2e_i160_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i161_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i165_2e_i_2e_i;
  float *llvm_cbe_tmp66_2e_i_2e_i794;
  float llvm_cbe_tmp67_2e_i_2e_i795;
  float llvm_cbe_tmp70_2e_i_2e_i798;
  float llvm_cbe_tmp73_2e_i_2e_i801;
  float *llvm_cbe_tmp76_2e_i_2e_i804;
  float llvm_cbe_tmp77_2e_i_2e_i;
  float llvm_cbe_tmp79_2e_i_2e_i806;
  float llvm_cbe_tmp88_2e_i_2e_i815;
  float llvm_cbe_tmp91_2e_i_2e_i818;
  float llvm_cbe_tmp93_2e_i_2e_i820;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reload2153;
  float llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp4_2e_i284_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i291_2e_i_2e_i;
  float llvm_cbe_tmp102_2e_i_2e_i835;
  float llvm_cbe_tmp105_2e_i_2e_i838;
  float llvm_cbe_tmp107_2e_i_2e_i840;
  float llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reload2156;
  float llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp124_2e_i_2e_i850;
  float llvm_cbe_tmp2_2e_i412_2e_i_2e_i;
  float llvm_cbe_tmp9_2e_i419_2e_i_2e_i;
  float llvm_cbe_tmp130_2e_i_2e_i856;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp155_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i132_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i132_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp159_2e_i_2e_i870;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp167_2e_i_2e_i;
  unsigned int llvm_cbe_tmp170_2e_i_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp173_2e_i_2e_i878;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp15_2e_i351_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp1617_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp21_2e_i355_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp24_2e_i358_2e_i_2e_i;
  float llvm_cbe_tmp27_2e_i361_2e_i_2e_i;
  float llvm_cbe_tmp30_2e_i364_2e_i_2e_i;
  float llvm_cbe_tmp33_2e_i_2e_i_2e_i882;
  float llvm_cbe_tmp36_2e_i368_2e_i_2e_i;
  float llvm_cbe_tmp41_2e_i371_2e_i_2e_i;
  float llvm_cbe_tmp44_2e_i374_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i9061838__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i9091845__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i909184518461847_2e_ins;
  float llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794;
  llvmBitCastUnion llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794__BITCAST_TEMPORARY;
  float llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798;
  llvmBitCastUnion llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798__BITCAST_TEMPORARY;
  unsigned char llvm_cbe_tmp61_2e_i_2e_i_2e_i921;
  unsigned int *llvm_cbe_tmp189_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp119_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i150_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp10_2e_i159_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp141_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i69_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp10_2e_i78_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp6768_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp72_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp75_2e_i_2e_i_2e_i926;
  float llvm_cbe_tmp76_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp80_2e_i_2e_i_2e_i930;
  float llvm_cbe_tmp81_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp84_2e_i_2e_i_2e_i931;
  float llvm_cbe_tmp85_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i355_2e_i_2e_i_2e_i1908__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i1915__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i191519161917_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp95_2e_i_2e_i_2e_i1801__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp98_2e_i_2e_i_2e_i1805__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i310_2e_i_2e_i_2e_i1894__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i1901__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i190119021903_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp106_2e_i_2e_i_2e_i1808__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp109_2e_i_2e_i_2e_i1812__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i269_2e_i_2e_i_2e_i1880__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i1887__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i188718881889_2e_ins;
  float llvm_cbe_tmp114_2e_i_2e_i_2e_i1815;
  llvmBitCastUnion llvm_cbe_tmp114_2e_i_2e_i_2e_i1815__BITCAST_TEMPORARY;
  float llvm_cbe_tmp117_2e_i_2e_i_2e_i1819;
  llvmBitCastUnion llvm_cbe_tmp117_2e_i_2e_i_2e_i1819__BITCAST_TEMPORARY;
  float llvm_cbe_tmp120_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i217_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i224_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i201_2e_i_2e_i_2e_i1866__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i1873__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i187318741875_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp134_2e_i_2e_i_2e_i1822__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp137_2e_i_2e_i_2e_i1826__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i151_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i160_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp142_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i134_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i141_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i120_2e_i_2e_i_2e_i1852__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i1859__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i185918601861_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp156_2e_i_2e_i_2e_i1829__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp159_2e_i_2e_i_2e_i1833__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i70_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i79_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp163_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i388_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i388_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp167_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp190_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp178179_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp186_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge64_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge64_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp197_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge65_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge65_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp201_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp186_2e_i_2e_i937;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp190_2e_i_2e_i940;
  unsigned int  (**llvm_cbe_tmp192_2e_i_2e_i942) ();
  unsigned int  (*llvm_cbe_tmp194_2e_i_2e_i) ();
  unsigned int llvm_cbe_tmp206_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge6_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge6_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp210_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp228_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp232_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp234_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp236_2e_i_2e_i) ();
  unsigned int llvm_cbe_tmp248_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge7_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge7_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp252_2e_i_2e_i;
  unsigned int llvm_cbe_tmp259_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge8_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge8_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp263_2e_i_2e_i;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp2_2e_i250_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp34_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp8_2e_i254_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp41_2e_i_2e_i_2e_i949;
  unsigned long long llvm_cbe_tmp1114_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp17_2e_i259_2e_i_2e_i;
  float llvm_cbe_tmp30_2e_i265_2e_i_2e_i;
  unsigned int llvm_cbe_tmp38_2e_i_2e_i_2e_i947;
  unsigned int llvm_cbe_storemerge_2e_i267_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i267_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp48_2e_i_2e_i_2e_i952;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp52_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp273_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp277_2e_i_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i242_2e_i_2e_i;
  float llvm_cbe_tmp288_2e_i_2e_i;
  float llvm_cbe_tmp291_2e_i_2e_i;
  float *llvm_cbe_tmp303_2e_i_2e_i;
  float llvm_cbe_tmp304_2e_i_2e_i;
  float llvm_cbe_tmp312_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i207_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i212_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i229_2e_i_2e_i1782__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i232_2e_i_2e_i1789__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i232_2e_i_2e_i178917901791_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp317_2e_i_2e_i1731__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp320_2e_i_2e_i1735__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i178_2e_i_2e_i;
  float llvm_cbe_tmp2_2e_i179_2e_i_2e_i;
  float *llvm_cbe_tmp10_2e_i187_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i188_2e_i_2e_i;
  float llvm_cbe_tmp330_2e_i_2e_i;
  float llvm_cbe_tmp333_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp342_2e_i134_2e_i;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge9_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge9_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp346_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp365_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp369_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp371_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp373_2e_i_2e_i) ();
  unsigned int llvm_cbe_tmp384_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge12_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge12_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp388_2e_i_2e_i;
  unsigned char llvm_cbe_tmp398_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp409_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp413_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp415_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp417_2e_i_2e_i) ();
  unsigned char llvm_cbe_tmp427_2e_i_2e_i;
  unsigned char llvm_cbe_storemerge13_2e_i_2e_i;
  unsigned int llvm_cbe_tmp442_2e_i_2e_i;
  unsigned char llvm_cbe_jointsOkay_2e_i_2e_i_2e_0;
  unsigned char llvm_cbe_jointsOkay_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge14_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge14_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp446_2e_i_2e_i;
  unsigned int llvm_cbe_tmp460_2e_i_2e_i;
  unsigned int llvm_cbe_tmp461_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp467_2e_i_2e_i_2e_rle;
  unsigned int llvm_cbe_tmp467_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp470_2e_i_2e_i;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp476_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp485_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp489_2e_i_2e_i;
  float llvm_cbe_tmp492_2e_i_2e_i;
  unsigned short llvm_cbe_tmp499_2e_i_2e_i;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_0;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp520_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i38_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i_2e_i957;
  float *llvm_cbe_tmp548_2e_i_2e_i;
  float llvm_cbe_tmp549_2e_i_2e_i;
  float llvm_cbe_tmp552_2e_i_2e_i;
  float llvm_cbe_tmp553_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i968;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_1;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp563_2e_i_2e_i;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_2;
  float llvm_cbe_minSleepTime_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge16_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp567_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp581_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp585_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp587_2e_i_2e_i;
  unsigned short llvm_cbe_tmp588_2e_i_2e_i;
  unsigned int llvm_cbe_tmp603_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge17_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp607_2e_i_2e_i;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp2_2e_i23_2e_i_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp5_2e_i26_2e_i_2e_i;
  unsigned int llvm_cbe_tmp297_2e_i977;
  unsigned int llvm_cbe_tmp300_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp306_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp310_2e_i986;
  unsigned short llvm_cbe_tmp3_2e_i88_2e_i;
  unsigned short *llvm_cbe_tmp317_2e_i989;
  unsigned short llvm_cbe_tmp318_2e_i990;
  unsigned int llvm_cbe_tmp324_2e_i995;
  unsigned int llvm_cbe_storemerge5_2e_i996;
  unsigned int llvm_cbe_storemerge5_2e_i996__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp327_2e_i998;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Body **llvm_cbe_tmp334_2e_i1002;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3;
  unsigned long long llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge6_2e_in_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge6_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge6_2e_i1003;
  struct l_struct_2E_Os **llvm_cbe_tmp374_2e_i1020;
  unsigned short llvm_cbe_tmp353_2e_i1012;
  unsigned short llvm_cbe_tmp3_2e_i64_2e_i;
  unsigned char llvm_cbe_tmp367_2e_i1017;
  struct l_struct_2E_Os *llvm_cbe_tmp375_2e_i1021;
  unsigned int  (**llvm_cbe_tmp387_2e_i1027) ();
  unsigned int  (*llvm_cbe_tmp389_2e_i1029) ();
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i50_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge7_2e_i1036_2e_in;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge7_2e_i1036_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge7_2e_i1036;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp407_2e_i1039;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp2_2e_i30_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp5_2e_i33_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp9_2e_i37_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp12_2e_i40_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp16_2e_i44_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp19_2e_i47_2e_i;
  unsigned char llvm_cbe_tmp41;
  float llvm_cbe_tmp45;
  struct l_struct_2E_Os **llvm_cbe_tmp11_2e_i49;
  struct l_struct_2E_Os *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp14_2e_i;
  unsigned int *llvm_cbe_tmp16_2e_i50;
  unsigned int llvm_cbe_tmp17_2e_i51;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i53;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i56;
  unsigned int *llvm_cbe_tmp10_2e_i_2e_i62;
  unsigned int *llvm_cbe_tmp12_2e_i_2e_i64;
  unsigned int *llvm_cbe_tmp14_2e_i_2e_i66;
  struct l_struct_2E_b2StackAllocator **llvm_cbe_tmp16_2e_i_2e_i68;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i77;
  struct l_struct_2E_b2Body ***llvm_cbe_tmp31_2e_i_2e_i79;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp38_2e_i_2e_i83;
  unsigned char *llvm_cbe_tmp39_2e_i_2e_i84;
  struct l_struct_2E_b2Contact ***llvm_cbe_tmp42_2e_i_2e_i86;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp49_2e_i_2e_i89;
  unsigned char *llvm_cbe_tmp50_2e_i_2e_i;
  struct l_struct_2E_b2Joint ***llvm_cbe_tmp53_2e_i_2e_i91;
  unsigned int llvm_cbe_tmp20_2e_i96;
  unsigned char *llvm_cbe_tmp27_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp2728_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp30_2e_i100;
  unsigned short *llvm_cbe_tmp33_2e_i102;
  unsigned short llvm_cbe_tmp34_2e_i103;
  struct l_struct_2E_b2Body **llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge_2e_in_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge_2e_i111;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp50_2e_i;
  unsigned int *llvm_cbe_tmp54_2e_i;
  unsigned int llvm_cbe_tmp55_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp60_2e_i114;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_in_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_storemerge1_2e_i115;
  float *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp21_2e_i_2e_i_2e_i_2e_i174;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp49_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp112_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp182_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp185_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp189_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp192_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp199_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp234_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp237_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp244_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp262_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp265_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp269_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp272_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp276_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp279_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp455_2e_i;
  float *llvm_cbe_tmp469_2e_i;
  unsigned int *llvm_cbe_tmp473_2e_i332;
  struct l_struct_2E_b2ContactConstraint **llvm_cbe_tmp124_2e_i_2e_i;
  struct l_struct_2E_b2StackAllocator **llvm_cbe_tmp4_2e_i11_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp511_2e_i429;
  struct l_struct_2E_b2BroadPhase **llvm_cbe_tmp591_2e_i456;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  unsigned int *llvm_cbe_tmp73_2e_i;
  unsigned int llvm_cbe_tmp74_2e_i118;
  float llvm_cbe_tmp90_2e_i123;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i51_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i52_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i54_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i55_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i207_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i279_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i410_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i417_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i430_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i422_2e_i;
  float llvm_cbe_tmp125_2e_i;
  float llvm_cbe_tmp133_2e_i139;
  float llvm_cbe_t0_2e_i_2e_0;
  float llvm_cbe_t0_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Sweep *llvm_cbe_tmp178_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp181_2e_i;
  struct l_struct_2E_b2Sweep *llvm_cbe_tmp183_2e_i155;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp186_2e_i;
  float llvm_cbe_tmp3_2e_i_2e_i307_2e_i;
  float llvm_cbe_tmp3_2e_i205_2e_i_2e_i;
  float llvm_cbe_tmp12_2e_i311_2e_i;
  float llvm_cbe_tmp15_2e_i314_2e_i;
  float llvm_cbe_tmp3_2e_i219_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i222_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i226_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i229_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i245_2e_i_2e_i1684__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i248_2e_i_2e_i1691__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i248_2e_i_2e_i169116921693_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp45_2e_i328_2e_i1311__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp48_2e_i331_2e_i1315__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i284_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i287_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i291_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i294_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i310_2e_i_2e_i1698__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i313_2e_i_2e_i1705__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i313_2e_i_2e_i170517061707_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp57_2e_i_2e_i1621318__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp60_2e_i340_2e_i1322__BITCAST_TEMPORARY;
  float llvm_cbe_tmp63_2e_i342_2e_i;
  float llvm_cbe_tmp66_2e_i345_2e_i;
  float llvm_cbe_tmp67_2e_i346_2e_i;
  float llvm_cbe_tmp70_2e_i347_2e_i;
  float llvm_cbe_tmp73_2e_i350_2e_i;
  float llvm_cbe_tmp74_2e_i351_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i185_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp1314_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp1516_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp2_2e_i_2e_i38_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp2_2e_i472_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp2_2e_i401_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp2_2e_i398_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i389_2e_i1341__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i_2e_i389_2e_i13411342;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i392_2e_i1348__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350;
  float llvm_cbe_tmp5_2e_i46_2e_i_2e_i;
  float llvm_cbe_tmp5_2e_i35_2e_i_2e_i;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp3536_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp5556_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp4_2e_i110_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp4_2e_i227_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  float llvm_cbe_targetDistance_2e_i_2e_i_2e_1;
  float llvm_cbe_targetDistance_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_iter_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_iter_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_alpha_2e_i_2e_i_2e_1;
  float llvm_cbe_alpha_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  float llvm_cbe_tmp87_2e_i359_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp18_2e_i39_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521__BITCAST_TEMPORARY;
  float llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i170;
  float llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528;
  llvmBitCastUnion llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528__BITCAST_TEMPORARY;
  float llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532;
  llvmBitCastUnion llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i460_2e_i_2e_i_2e_i_2e_i1670__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i1677__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins;
  float llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535;
  llvmBitCastUnion llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535__BITCAST_TEMPORARY;
  float llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539;
  llvmBitCastUnion llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i402_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i399_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp51_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp54_2e_i54_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp16_2e_i_2e_i372_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i377_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i382_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i389_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp64_2e_i58_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i341_2e_i_2e_i_2e_i_2e_i1656__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i1663__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i166316641665_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp70_2e_i62_2e_i_2e_i_2e_i1542__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp73_2e_i65_2e_i_2e_i_2e_i1546__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i296_2e_i_2e_i_2e_i_2e_i1642__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i1649__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i164916501651_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp79_2e_i67_2e_i_2e_i_2e_i1549__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp82_2e_i70_2e_i_2e_i_2e_i1553__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i247_2e_i_2e_i_2e_i_2e_i1628__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i1635__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i163516361637_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp88_2e_i76_2e_i_2e_i_2e_i1556__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp91_2e_i77_2e_i_2e_i_2e_i1560__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i202_2e_i_2e_i_2e_i_2e_i1614__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i1621__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i162116221623_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp97_2e_i81_2e_i_2e_i_2e_i1563__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i1567__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i153_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i160_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1__PHI_TEMPORARY;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1;
  float llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i130_2e_i_2e_i_2e_i_2e_i1600__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i1607__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i160716081609_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp114_2e_i96_2e_i_2e_i_2e_i1570__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp117_2e_i99_2e_i_2e_i_2e_i1574__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i128_2e_i_2e_i_2e_i1586__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i1593__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i159315941595_2e_ins;
  float llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577;
  llvmBitCastUnion llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577__BITCAST_TEMPORARY;
  float llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581;
  llvmBitCastUnion llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581__BITCAST_TEMPORARY;
  float llvm_cbe_tmp41_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp61_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0;
  unsigned long long llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i179;
  unsigned long long llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp56_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp71_2e_i_2e_i_2e_i_2e_i1367__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i1371__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i1374__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i1378__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned int llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i302_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i305_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i309_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i312_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i328_2e_i_2e_i_2e_i_2e_i1509__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i1516__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i1381__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp96_2e_i_2e_i_2e_i_2e_i1385__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp99_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  llvmBitCastUnion llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388__BITCAST_TEMPORARY;
  float llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  llvmBitCastUnion llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i260_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp7_2e_i264_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i280_2e_i_2e_i_2e_i_2e_i1495__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i1502__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i1395__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i1399__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  llvmBitCastUnion llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402__BITCAST_TEMPORARY;
  float llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  llvmBitCastUnion llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i204_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i211_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i188_2e_i_2e_i_2e_i_2e_i1460__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i1467__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins;
  float llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409;
  llvmBitCastUnion llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409__BITCAST_TEMPORARY;
  float llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413;
  llvmBitCastUnion llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413__BITCAST_TEMPORARY;
  unsigned char llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp198_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp201_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp231_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp250_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp253_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp278_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp281_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp287_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp297298_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i90_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i97_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i102_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp307_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0;
  float llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i64_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i67_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i71_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i74_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i_2e_i1425__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i1432__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i143214331434_2e_ins;
  float llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416;
  llvmBitCastUnion llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416__BITCAST_TEMPORARY;
  float llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420;
  llvmBitCastUnion llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420__BITCAST_TEMPORARY;
  float llvm_cbe_tmp340_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp343_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp351_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  float llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0;
  float llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp107_2e_i_2e_i188;
  float llvm_cbe_storemerge_2e_i164_2e_i_2e_i;
  float llvm_cbe_targetDistance_2e_i_2e_i_2e_0;
  float llvm_cbe_targetDistance_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp112_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i117_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i120_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i124_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i127_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i143_2e_i_2e_i1355__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i146_2e_i_2e_i1362__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins;
  float llvm_cbe_tmp127_2e_i_2e_i1891325;
  llvmBitCastUnion llvm_cbe_tmp127_2e_i_2e_i1891325__BITCAST_TEMPORARY;
  float llvm_cbe_tmp130_2e_i374_2e_i1329;
  llvmBitCastUnion llvm_cbe_tmp130_2e_i374_2e_i1329__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i201;
  float llvm_cbe_tmp8_2e_i87_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i92_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i99_2e_i_2e_i;
  float llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0;
  float llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0;
  float llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp136_2e_i_2e_i2041332__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp139_2e_i_2e_i1336__BITCAST_TEMPORARY;
  float llvm_cbe_tmp150_2e_i_2e_i212;
  float llvm_cbe_tmp5_2e_i_2e_i406_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp166_2e_i_2e_i220;
  unsigned int llvm_cbe_tmp187_2e_i_2e_i228;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2165;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2164;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2163;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2160;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2162;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2161;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2159;
  float llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload;
  float llvm_cbe_tmp218_2e_i;
  float llvm_cbe_storemerge_2e_i288_2e_i;
  float llvm_cbe_toi_2e_i_2e_1;
  float llvm_cbe_toi_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp226_2e_i238;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  float llvm_cbe_toi_2e_i_2e_0;
  float llvm_cbe_toi_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  float llvm_cbe_minTOI_2e_i_2e_0;
  float llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_minContact_2e_i_2e_0;
  struct l_struct_2E_b2Contact *llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp246_2e_i;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  float llvm_cbe_minTOI_2e_i_2e_1;
  float llvm_cbe_minTOI_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_minContact_2e_i_2e_1;
  struct l_struct_2E_b2Contact *llvm_cbe_minContact_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge3_2e_in_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_storemerge3_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i275_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i271_2e_i253;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i267_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i263_2e_i;
  float llvm_cbe_tmp9_2e_i244_2e_i;
  float llvm_cbe_tmp12_2e_i247_2e_i;
  float llvm_cbe_tmp25_2e_i257_2e_i;
  float llvm_cbe_tmp9_2e_i218_2e_i;
  float llvm_cbe_tmp12_2e_i221_2e_i;
  float llvm_cbe_tmp25_2e_i231_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp286_2e_i;
  unsigned int *llvm_cbe_tmp290_2e_i259;
  unsigned int llvm_cbe_tmp291_2e_i260;
  unsigned int llvm_cbe_tmp3_2e_i203_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i196_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_seed_2e_i_2e_0;
  unsigned short *llvm_cbe_tmp318_2e_i;
  unsigned short llvm_cbe_tmp319_2e_i269;
  unsigned int llvm_cbe_stackCount_2e_i_2e_0_2e_reload;
  unsigned int llvm_cbe_tmp325_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp330_2e_i275;
  unsigned int llvm_cbe_tmp2_2e_i170_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i173_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp14_2e_i178_2e_i;
  unsigned short *llvm_cbe_tmp333_2e_i277;
  unsigned short llvm_cbe_tmp334_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i162_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp344_2e_i279;
  unsigned int llvm_cbe_tmp348_2e_i281;
  unsigned int llvm_cbe_tmp350_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp356_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp357_2e_i284;
  unsigned int llvm_cbe_tmp359_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i158_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp14_2e_i148_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp379_2e_i294;
  unsigned int *llvm_cbe_tmp383_2e_i297;
  unsigned int llvm_cbe_tmp384_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp389_2e_i;
  unsigned short *llvm_cbe_tmp391_2e_i299;
  unsigned short llvm_cbe_tmp392_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i132_2e_i;
  float llvm_cbe_tmp9_2e_i114_2e_i;
  float llvm_cbe_tmp12_2e_i117_2e_i;
  float llvm_cbe_tmp25_2e_i126_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i100_2e_i306;
  unsigned int llvm_cbe_tmp427_2e_i;
  unsigned short llvm_cbe_tmp430_2e_i317;
  unsigned int llvm_cbe_stackCount_2e_i_2e_1;
  unsigned int llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp436_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i_2e_2;
  unsigned int llvm_cbe_stackCount_2e_i_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge4_2e_in_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge4_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_storemerge4_2e_i;
  unsigned int llvm_cbe_stackCount_2e_i_2e_0_2e_be;
  unsigned int llvm_cbe_stackCount_2e_i_2e_0_2e_be__PHI_TEMPORARY;
  float llvm_cbe_tmp453_2e_i325;
  float llvm_cbe_tmp454_2e_i;
  unsigned int llvm_cbe_tmp472_2e_i331;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp7_2e_i67_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i70_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp13_2e_i73_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i76_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp20_2e_i79_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp28_2e_i83_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp32_2e_i85_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i_2e_i_2e_i338;
  float llvm_cbe_tmp43_2e_i89_2e_i;
  float llvm_cbe_tmp46_2e_i_2e_i341;
  float *llvm_cbe_tmp58_2e_i_2e_i344;
  float llvm_cbe_tmp59_2e_i_2e_i345;
  float llvm_cbe_tmp67_2e_i_2e_i350;
  float llvm_cbe_tmp3_2e_i17_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i_2e_i_2e_i354;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i_2e_i_2e_i3691299__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i_2e_i3721306__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i_2e_i_2e_i372130613071308_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp72_2e_i_2e_i3811290__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp75_2e_i_2e_i1294__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i23_2e_i_2e_i;
  float llvm_cbe_tmp2_2e_i24_2e_i_2e_i;
  float *llvm_cbe_tmp10_2e_i32_2e_i_2e_i;
  float llvm_cbe_tmp11_2e_i33_2e_i_2e_i;
  float llvm_cbe_tmp85_2e_i_2e_i388;
  float llvm_cbe_tmp88_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp97_2e_i_2e_i393;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp101_2e_i_2e_i396;
  unsigned char llvm_cbe_tmp109_2e_i_2e_i397;
  unsigned int llvm_cbe_tmp114_2e_i_2e_i399;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp118_2e_i_2e_i402;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp125_2e_i_2e_i;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp2_2e_i9_2e_i_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp5_2e_i12_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp477_2e_i410;
  struct l_struct_2E_b2Body *llvm_cbe_tmp481_2e_i413;
  unsigned short *llvm_cbe_tmp483_2e_i414;
  unsigned short llvm_cbe_tmp484_2e_i415;
  unsigned short llvm_cbe_tmp485_2e_i416;
  unsigned short llvm_cbe_tmp3_2e_i59_2e_i;
  unsigned char llvm_cbe_tmp504_2e_i428;
  struct l_struct_2E_Os *llvm_cbe_tmp512_2e_i430;
  unsigned int  (**llvm_cbe_tmp524_2e_i) ();
  unsigned int  (*llvm_cbe_tmp526_2e_i) ();
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp535_2e_i437;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp540_2e_i;
  unsigned int *llvm_cbe_tmp544_2e_i;
  unsigned int llvm_cbe_tmp545_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp549_2e_i442;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge5_2e_in_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_storemerge5_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_storemerge5_2e_i;
  unsigned int llvm_cbe_tmp558_2e_i;
  unsigned int llvm_cbe_storemerge6_2e_i;
  unsigned int llvm_cbe_storemerge6_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp561_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp569_2e_i446;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp573_2e_i448;
  unsigned int *llvm_cbe_tmp575_2e_i449;
  unsigned int llvm_cbe_tmp576_2e_i450;
  unsigned int llvm_cbe_tmp581_2e_i453;
  unsigned int llvm_cbe_storemerge7_2e_i;
  unsigned int llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp584_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp592_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp2_2e_i31_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp5_2e_i34_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp9_2e_i38_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp12_2e_i41_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp16_2e_i45_2e_i;
  struct l_struct_2E_b2StackAllocator *llvm_cbe_tmp19_2e_i48_2e_i;
  struct l_struct_2E_b2DebugDraw **llvm_cbe_tmp43_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp44_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i12;
  unsigned char llvm_cbe_tmp5859_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp61_2e_i;
  float *llvm_cbe_tmp1_2e_i112_2e_i;
  float *llvm_cbe_tmp4_2e_i115_2e_i;
  float *llvm_cbe_tmp7_2e_i118_2e_i;
  float *llvm_cbe_tmp1_2e_i321_2e_i;
  float *llvm_cbe_tmp4_2e_i324_2e_i;
  float *llvm_cbe_tmp7_2e_i327_2e_i;
  float *llvm_cbe_tmp1_2e_i239_2e_i;
  float *llvm_cbe_tmp4_2e_i242_2e_i;
  float *llvm_cbe_tmp7_2e_i245_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i84_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i100_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i104_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i182_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i105_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i183_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i594_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_i19_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_i19_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge_2e_i19;
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i590_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge1_2e_i20_2e_in;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge1_2e_i20_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge1_2e_i20;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp123_2e_i;
  float *llvm_cbe_tmp22_2e_i569_2e_i;
  float *llvm_cbe_tmp25_2e_i572_2e_i;
  float *llvm_cbe_tmp36_2e_i_2e_i;
  float *llvm_cbe_tmp39_2e_i_2e_i;
  float *llvm_cbe_tmp51_2e_i_2e_i;
  float *llvm_cbe_tmp54_2e_i_2e_i;
  float *llvm_cbe_tmp66_2e_i_2e_i;
  float *llvm_cbe_tmp69_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i_2e_i581_2e_i;
  float *llvm_cbe_tmp4_2e_i_2e_i582_2e_i;
  float *llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp95_2e_i_2e_i;
  float *llvm_cbe_tmp98_2e_i_2e_i;
  float *llvm_cbe_tmp104_2e_i_2e_i;
  float *llvm_cbe_tmp107_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i586_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i587_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i_2e_i558_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i69_2e_i_2e_i;
  float llvm_cbe_tmp18_2e_i565_2e_i;
  float llvm_cbe_tmp21_2e_i568_2e_i;
  float llvm_cbe_tmp32_2e_i578_2e_i;
  float llvm_cbe_tmp35_2e_i_2e_i;
  unsigned int  (***llvm_cbe_tmp43_2e_i_2e_i) ();
  unsigned int  (**llvm_cbe_tmp44_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp46_2e_i_2e_i) ();
  unsigned long long llvm_cbe_tmp49_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp53_2e_i_2e_i1192__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp56_2e_i_2e_i1196__BITCAST_TEMPORARY;
  unsigned int  (**llvm_cbe_tmp59_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp61_2e_i_2e_i) ();
  unsigned long long llvm_cbe_tmp64_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp68_2e_i_2e_i1199__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp71_2e_i_2e_i1203__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i80_2e_i_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp80_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp82_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp84_2e_i_2e_i) ();
  struct l_struct_2E_b2PulleyJoint *llvm_cbe_tmp9091_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp5_2e_i88_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp6_2e_i89_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i1243__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1250__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp97_2e_i_2e_i1206__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp100_2e_i_2e_i1210__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp6_2e_i111_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i_2e_i118_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i125_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i_2e_i128_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i144_2e_i_2e_i1278__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i1285__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp106_2e_i_2e_i1213__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp109_2e_i_2e_i1217__BITCAST_TEMPORARY;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp115_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp117_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp119_2e_i_2e_i) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp129_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp131_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp133_2e_i_2e_i) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp143_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp145_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp147_2e_i_2e_i) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp159_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp161_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp163_2e_i_2e_i) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp173_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp175_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp177_2e_i_2e_i) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp187_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp189_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp191_2e_i_2e_i) ();
  unsigned long long llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp2_2e_i546_2e_i;
  unsigned long long llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint **llvm_cbe_storemerge11_2e_i_2e_in;
  struct l_struct_2E_b2Joint **llvm_cbe_storemerge11_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint *llvm_cbe_storemerge11_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp152_2e_i;
  float llvm_cbe_tmp156_2e_i;
  float llvm_cbe_tmp157_2e_i;
  float llvm_cbe_tmp161_2e_i;
  float llvm_cbe_tmp162_2e_i;
  float *llvm_cbe_tmp201_2e_i;
  float *llvm_cbe_tmp226_2e_i;
  float *llvm_cbe_tmp410_2e_i;
  float *llvm_cbe_tmp413_2e_i;
  float *llvm_cbe_tmp428_2e_i;
  float *llvm_cbe_tmp431_2e_i;
  unsigned int llvm_cbe_i9_2e_i_2e_0;
  unsigned int llvm_cbe_i9_2e_i_2e_0__PHI_TEMPORARY;
  unsigned short *llvm_cbe_tmp169_2e_i;
  unsigned long long llvm_cbe_tmp176177178_2e_i;
  unsigned short llvm_cbe_tmp185_2e_i;
  unsigned long long llvm_cbe_tmp185186187_2e_i;
  unsigned short llvm_cbe_tmp194_2e_i;
  unsigned long long llvm_cbe_tmp194195196_2e_i;
  float llvm_cbe_tmp202_2e_i;
  unsigned short llvm_cbe_tmp208_2e_i;
  unsigned short llvm_cbe_tmp216_2e_i;
  float llvm_cbe_tmp227_2e_i;
  unsigned short llvm_cbe_tmp233_2e_i;
  unsigned short llvm_cbe_tmp241_2e_i;
  unsigned short llvm_cbe_tmp258_2e_i;
  unsigned short llvm_cbe_tmp266_2e_i;
  unsigned short llvm_cbe_tmp283_2e_i;
  unsigned short llvm_cbe_tmp291_2e_i;
  unsigned short llvm_cbe_tmp308_2e_i;
  unsigned short llvm_cbe_tmp316_2e_i;
  unsigned short llvm_cbe_tmp333_2e_i;
  unsigned short llvm_cbe_tmp341_2e_i;
  unsigned short llvm_cbe_tmp358_2e_i;
  unsigned short llvm_cbe_tmp366_2e_i;
  unsigned short llvm_cbe_tmp383_2e_i;
  unsigned short llvm_cbe_tmp391_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i504_2e_i1180__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i507_2e_i1187__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i507_2e_i118711881189_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp404_2e_i1073__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp407_2e_i1077__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i455_2e_i1166__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i458_2e_i1173__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i458_2e_i117311741175_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp412_2e_i1080__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp415_2e_i1084__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i410_2e_i1152__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i413_2e_i1159__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i413_2e_i115911601161_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp422_2e_i1087__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp425_2e_i1091__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i362_2e_i1138__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i365_2e_i1145__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i365_2e_i114511461147_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp430_2e_i1094__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp433_2e_i1098__BITCAST_TEMPORARY;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp439_2e_i;
  unsigned int  (**llvm_cbe_tmp441_2e_i) ();
  unsigned int  (*llvm_cbe_tmp443_2e_i) ();
  unsigned short *llvm_cbe_tmp449_2e_i;
  unsigned short *llvm_cbe_storemerge12_2e_in_2e_i;
  unsigned short *llvm_cbe_storemerge12_2e_in_2e_i__PHI_TEMPORARY;
  unsigned short llvm_cbe_storemerge12_2e_i;
  unsigned int llvm_cbe_tmp458_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp473_2e_i;
  float llvm_cbe_tmp479_2e_i;
  float llvm_cbe_tmp482_2e_i;
  float llvm_cbe_tmp494_2e_i;
  float llvm_cbe_tmp497_2e_i;
  float llvm_cbe_tmp507_2e_i;
  float llvm_cbe_tmp508_2e_i;
  float llvm_cbe_tmp512_2e_i;
  float llvm_cbe_tmp513_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp616_2e_i;
  float *llvm_cbe_tmp1_2e_i278_2e_i;
  float *llvm_cbe_tmp4_2e_i281_2e_i;
  float *llvm_cbe_tmp1_2e_i269_2e_i;
  float *llvm_cbe_tmp4_2e_i272_2e_i;
  float *llvm_cbe_tmp1_2e_i260_2e_i;
  float *llvm_cbe_tmp4_2e_i263_2e_i;
  float *llvm_cbe_tmp1_2e_i251_2e_i;
  float *llvm_cbe_tmp4_2e_i254_2e_i;
  unsigned int llvm_cbe_i5_2e_i_2e_0;
  unsigned int llvm_cbe_i5_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp518519_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i289_2e_i;
  unsigned short llvm_cbe_tmp535_2e_i;
  unsigned short llvm_cbe_tmp543_2e_i;
  float llvm_cbe_tmp547_2e_i;
  unsigned short llvm_cbe_tmp557_2e_i;
  unsigned short llvm_cbe_tmp565_2e_i;
  float llvm_cbe_tmp569_2e_i;
  unsigned short llvm_cbe_tmp579_2e_i;
  unsigned short llvm_cbe_tmp587_2e_i;
  float llvm_cbe_tmp591_2e_i;
  unsigned short llvm_cbe_tmp601_2e_i;
  unsigned short llvm_cbe_tmp609_2e_i;
  float llvm_cbe_tmp613_2e_i;
  unsigned long long llvm_cbe_tmp28_2e_i4_2e_0;
  unsigned long long llvm_cbe_tmp28_2e_i4_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp623_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp664_2e_i;
  unsigned int  (**llvm_cbe_tmp666_2e_i) ();
  unsigned int  (*llvm_cbe_tmp668_2e_i) ();
  unsigned int llvm_cbe_tmp676_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp683_2e_i;
  unsigned long long llvm_cbe_tmp25_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp25_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp690_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp723_2e_i;
  unsigned int  (**llvm_cbe_tmp725_2e_i) ();
  unsigned int  (*llvm_cbe_tmp727_2e_i) ();
  struct l_struct_2E_b2Body **llvm_cbe_tmp741_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp774_2e_i;
  float *llvm_cbe_tmp1_2e_i149_2e_i;
  float *llvm_cbe_tmp4_2e_i152_2e_i;
  float *llvm_cbe_tmp1_2e_i140_2e_i;
  float *llvm_cbe_tmp4_2e_i143_2e_i;
  float *llvm_cbe_tmp1_2e_i131_2e_i;
  float *llvm_cbe_tmp4_2e_i134_2e_i;
  float *llvm_cbe_tmp1_2e_i122_2e_i;
  float *llvm_cbe_tmp4_2e_i125_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i166_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i162_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i159_2e_i;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp756757_2e_i;
  float llvm_cbe_tmp764_2e_i;
  float llvm_cbe_tmp767_2e_i;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp781_2e_i;
  float llvm_cbe_tmp791_2e_i;
  float llvm_cbe_tmp794_2e_i;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp819_2e_i;
  float *llvm_cbe_tmp2_2e_i107_2e_i;
  float *llvm_cbe_tmp9_2e_i_2e_i;
  unsigned int llvm_cbe_i_2e_i_2e_0;
  unsigned int llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp815816_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp817_2e_i;
  unsigned long long llvm_cbe_tmp820_2e_i;
  llvmBitCastUnion llvm_cbe_tmp824_2e_i1101__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp827_2e_i1105__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i108_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i1124__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i1131__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i113111321133_2e_ins;
  float *llvm_cbe_tmp834_2e_i;
  llvmBitCastUnion llvm_cbe_tmp836_2e_i1108__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp837_2e_i;
  llvmBitCastUnion llvm_cbe_tmp839_2e_i1112__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp845_2e_i;
  llvmBitCastUnion llvm_cbe_tmp851_2e_i1115__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp854_2e_i1119__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp856_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp868_2e_i;
  unsigned int  (**llvm_cbe_tmp870_2e_i) ();
  unsigned int  (*llvm_cbe_tmp872_2e_i) ();
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i96_2e_i;
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge73_2e_i_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge73_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge73_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i92_2e_i;
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i106_2e_i_2e_3__PHI_TEMPORARY;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge74_2e_i_2e_in;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge74_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge74_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp902_2e_i;
  float *llvm_cbe_tmp909_2e_i;
  float *llvm_cbe_tmp912_2e_i;
  float *llvm_cbe_tmp919_2e_i;
  float *llvm_cbe_tmp922_2e_i;
  float *llvm_cbe_tmp927_2e_i;
  float *llvm_cbe_tmp930_2e_i;
  float llvm_cbe_tmp911_2e_i;
  float llvm_cbe_tmp914_2e_i;
  float llvm_cbe_tmp921_2e_i;
  float llvm_cbe_tmp924_2e_i;
  float llvm_cbe_tmp929_2e_i;
  float llvm_cbe_tmp932_2e_i;
  float llvm_cbe_tmp937_2e_i;
  float llvm_cbe_tmp940_2e_i;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp953_2e_i;
  unsigned int  (**llvm_cbe_tmp955_2e_i) ();
  unsigned int  (*llvm_cbe_tmp957_2e_i) ();
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i80_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge75_2e_i_2e_in;
  struct l_struct_2E_b2Body **llvm_cbe_storemerge75_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge75_2e_i;
  float llvm_cbe_tmp54;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field2);
  *llvm_cbe_tmp1 = ((unsigned char )1);
  llvm_cbe_tmp2 = (&llvm_cbe_step.field0);
  *llvm_cbe_tmp2 = 0x1.111112p-6;
  llvm_cbe_tmp4 = (&llvm_cbe_step.field3);
  *llvm_cbe_tmp4 = 10u;
  *((&llvm_cbe_step.field1)) = 0x1.dffffep+5;
  llvm_cbe_tmp16 = (&llvm_cbe_this->field19);
  llvm_cbe_tmp17 = *llvm_cbe_tmp16;
  llvm_cbe_tmp20 = (&llvm_cbe_step.field2);
  *llvm_cbe_tmp20 = (((float )(llvm_cbe_tmp17 * 0x1.111112p-6)));
  llvm_cbe_tmp22 = (&llvm_cbe_this->field21);
  llvm_cbe_tmp23 = *llvm_cbe_tmp22;
  *((&llvm_cbe_step.field5)) = llvm_cbe_tmp23;
  llvm_cbe_tmp27 = *((&llvm_cbe_this->field22));
  llvm_cbe_tmp28 = (&llvm_cbe_step.field4);
  *llvm_cbe_tmp28 = llvm_cbe_tmp27;
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp3_2e_i = (&llvm_cbe_tmp2_2e_i->field7);
  llvm_cbe_tmp29_2e_i = (&llvm_cbe_this->field4.field1);
  llvm_cbe_storemerge1_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i;   /* for PHI node */
  goto llvm_cbe_bb37_2e_i;

  do {     /* Syntactic loop 'bb37.i' to make GCC happy */
llvm_cbe_bb37_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_in = llvm_cbe_storemerge1_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i = *llvm_cbe_storemerge1_2e_i_2e_in;
  if ((llvm_cbe_storemerge1_2e_i == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe__ZN16b2ContactManager7CollideEv_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb34_2e_i:
  llvm_cbe_tmp2_2e_i3_2e_i = (&llvm_cbe_storemerge1_2e_i->field4);
  llvm_cbe_storemerge1_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i3_2e_i;   /* for PHI node */
  goto llvm_cbe_bb37_2e_i;

llvm_cbe_bb15_2e_i:
  llvm_cbe_tmp3_2e_i27_2e_i = *((&llvm_cbe_storemerge1_2e_i->field8));
  llvm_cbe_tmp3_2e_i23_2e_i = *((&llvm_cbe_tmp3_2e_i27_2e_i->field3));
  llvm_cbe_tmp3_2e_i12_2e_i = *((&llvm_cbe_tmp3_2e_i23_2e_i->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i12_2e_i)) & 8u) == 0u)) {
    goto llvm_cbe_bb27_2e_i;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i = *((&llvm_cbe_storemerge1_2e_i->field7));
  llvm_cbe_tmp3_2e_i8_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i->field3));
  llvm_cbe_tmp3_2e_i15_2e_i = *((&llvm_cbe_tmp3_2e_i8_2e_i->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i15_2e_i)) & 8u) == 0u)) {
    goto llvm_cbe_bb27_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i;
  }

llvm_cbe_bb27_2e_i:
  llvm_cbe_tmp30_2e_i = *llvm_cbe_tmp29_2e_i;
  llvm_cbe_tmp32_2e_i = *((&llvm_cbe_tmp30_2e_i->field17));
  _ZN9b2Contact6UpdateEP17b2ContactListener(llvm_cbe_storemerge1_2e_i, llvm_cbe_tmp32_2e_i);
  goto llvm_cbe_bb34_2e_i;

  } while (1); /* end of syntactic loop 'bb37.i' */
llvm_cbe__ZN16b2ContactManager7CollideEv_2e_exit:
  llvm_cbe_tmp32 = *llvm_cbe_tmp2;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp32, 0x0p+0))) {
    goto llvm_cbe_bb36;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb36:
  llvm_cbe_tmp5_2e_i524 = (&llvm_cbe_this->field20);
  *llvm_cbe_tmp5_2e_i524 = 0u;
  llvm_cbe_tmp8_2e_i525 = *((&llvm_cbe_this->field17));
  llvm_cbe_tmp10_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp13_2e_i528 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp16_2e_i531 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp18_2e_i533 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp19_2e_i534 = *llvm_cbe_tmp18_2e_i533;
  llvm_cbe_tmp1_2e_i_2e_i536 = (&llvm_cbe_island_2e_i520.field8);
  *llvm_cbe_tmp1_2e_i_2e_i536 = llvm_cbe_tmp19_2e_i534;
  llvm_cbe_tmp4_2e_i_2e_i539 = (&llvm_cbe_island_2e_i520.field9);
  *llvm_cbe_tmp4_2e_i_2e_i539 = llvm_cbe_tmp16_2e_i531;
  llvm_cbe_tmp7_2e_i_2e_i542 = (&llvm_cbe_island_2e_i520.field10);
  *llvm_cbe_tmp7_2e_i_2e_i542 = llvm_cbe_tmp13_2e_i528;
  llvm_cbe_tmp10_2e_i_2e_i545 = (&llvm_cbe_island_2e_i520.field5);
  *llvm_cbe_tmp10_2e_i_2e_i545 = 0u;
  llvm_cbe_tmp12_2e_i_2e_i547 = (&llvm_cbe_island_2e_i520.field7);
  *llvm_cbe_tmp12_2e_i_2e_i547 = 0u;
  llvm_cbe_tmp14_2e_i_2e_i549 = (&llvm_cbe_island_2e_i520.field6);
  *llvm_cbe_tmp14_2e_i_2e_i549 = 0u;
  llvm_cbe_tmp16_2e_i_2e_i551 = (&llvm_cbe_island_2e_i520.field0);
  *llvm_cbe_tmp16_2e_i_2e_i551 = llvm_cbe_tmp10_2e_i;
  *((&llvm_cbe_island_2e_i520.field1)) = llvm_cbe_tmp8_2e_i525;
  llvm_cbe_tmp28_2e_i_2e_i561 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp10_2e_i, (llvm_cbe_tmp19_2e_i534 << 3u));
  llvm_cbe_tmp31_2e_i_2e_i564 = (&llvm_cbe_island_2e_i520.field2);
  *llvm_cbe_tmp31_2e_i_2e_i564 = (((struct l_struct_2E_b2Body **)llvm_cbe_tmp28_2e_i_2e_i561));
  llvm_cbe_tmp38_2e_i_2e_i569 = *llvm_cbe_tmp16_2e_i_2e_i551;
  llvm_cbe_tmp39_2e_i_2e_i570 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp38_2e_i_2e_i569, (llvm_cbe_tmp16_2e_i531 << 3u));
  llvm_cbe_tmp42_2e_i_2e_i573 = (&llvm_cbe_island_2e_i520.field3);
  *llvm_cbe_tmp42_2e_i_2e_i573 = (((struct l_struct_2E_b2Contact **)llvm_cbe_tmp39_2e_i_2e_i570));
  llvm_cbe_tmp49_2e_i_2e_i578 = *llvm_cbe_tmp16_2e_i_2e_i551;
  llvm_cbe_tmp50_2e_i_2e_i579 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp49_2e_i_2e_i578, (llvm_cbe_tmp13_2e_i528 << 3u));
  llvm_cbe_tmp53_2e_i_2e_i582 = (&llvm_cbe_island_2e_i520.field4);
  *llvm_cbe_tmp53_2e_i_2e_i582 = (((struct l_struct_2E_b2Joint **)llvm_cbe_tmp50_2e_i_2e_i579));
  llvm_cbe_tmp55_2e_i_2e_i584 = (&llvm_cbe_island_2e_i520.field11);
  *llvm_cbe_tmp55_2e_i_2e_i584 = 0u;
  llvm_cbe_tmp21_2e_i586 = (&llvm_cbe_this->field5);
  llvm_cbe_storemerge_2e_in_2e_i596__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i586;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i;

  do {     /* Syntactic loop 'bb32.i' to make GCC happy */
llvm_cbe_bb32_2e_i:
  llvm_cbe_storemerge_2e_in_2e_i596 = llvm_cbe_storemerge_2e_in_2e_i596__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i597 = *llvm_cbe_storemerge_2e_in_2e_i596;
  if ((llvm_cbe_storemerge_2e_i597 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb36_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i595;
  }

llvm_cbe_bb_2e_i595:
  llvm_cbe_tmp24_2e_i588 = (&llvm_cbe_storemerge_2e_i597->field0);
  llvm_cbe_tmp25_2e_i589 = *llvm_cbe_tmp24_2e_i588;
  *llvm_cbe_tmp24_2e_i588 = (((unsigned short )(llvm_cbe_tmp25_2e_i589 & ((unsigned short )-5))));
  llvm_cbe_tmp30_2e_i594 = (&llvm_cbe_storemerge_2e_i597->field10);
  llvm_cbe_storemerge_2e_in_2e_i596__PHI_TEMPORARY = llvm_cbe_tmp30_2e_i594;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i;

  } while (1); /* end of syntactic loop 'bb32.i' */
llvm_cbe_bb36_2e_i:
  llvm_cbe_tmp38_2e_i600 = (&llvm_cbe_this->field7);
  llvm_cbe_storemerge1_2e_in_2e_i609__PHI_TEMPORARY = llvm_cbe_tmp38_2e_i600;   /* for PHI node */
  goto llvm_cbe_bb50_2e_i;

  do {     /* Syntactic loop 'bb50.i' to make GCC happy */
llvm_cbe_bb50_2e_i:
  llvm_cbe_storemerge1_2e_in_2e_i609 = llvm_cbe_storemerge1_2e_in_2e_i609__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i610 = *llvm_cbe_storemerge1_2e_in_2e_i609;
  if ((llvm_cbe_storemerge1_2e_i610 == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb55_2e_i613;
  } else {
    goto llvm_cbe_bb40_2e_i;
  }

llvm_cbe_bb40_2e_i:
  llvm_cbe_tmp42_2e_i602 = (&llvm_cbe_storemerge1_2e_i610->field1);
  llvm_cbe_tmp43_2e_i603 = *llvm_cbe_tmp42_2e_i602;
  *llvm_cbe_tmp42_2e_i602 = (llvm_cbe_tmp43_2e_i603 & 4294967291u);
  llvm_cbe_tmp48_2e_i608 = (&llvm_cbe_storemerge1_2e_i610->field4);
  llvm_cbe_storemerge1_2e_in_2e_i609__PHI_TEMPORARY = llvm_cbe_tmp48_2e_i608;   /* for PHI node */
  goto llvm_cbe_bb50_2e_i;

  } while (1); /* end of syntactic loop 'bb50.i' */
llvm_cbe_bb55_2e_i613:
  llvm_cbe_tmp57_2e_i612 = (&llvm_cbe_this->field6);
  llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp57_2e_i612;   /* for PHI node */
  goto llvm_cbe_bb65_2e_i;

  do {     /* Syntactic loop 'bb65.i' to make GCC happy */
llvm_cbe_bb65_2e_i:
  llvm_cbe_storemerge2_2e_in_2e_i = llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i617 = *llvm_cbe_storemerge2_2e_in_2e_i;
  if ((llvm_cbe_storemerge2_2e_i617 == ((struct l_struct_2E_b2Joint *)/*NULL*/0))) {
    goto llvm_cbe_bb70_2e_i;
  } else {
    goto llvm_cbe_bb59_2e_i;
  }

llvm_cbe_bb59_2e_i:
  *((&llvm_cbe_storemerge2_2e_i617->field9)) = ((unsigned char )0);
  llvm_cbe_tmp63_2e_i = (&llvm_cbe_storemerge2_2e_i617->field3);
  llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp63_2e_i;   /* for PHI node */
  goto llvm_cbe_bb65_2e_i;

  } while (1); /* end of syntactic loop 'bb65.i' */
llvm_cbe_bb70_2e_i:
  llvm_cbe_tmp73_2e_i619 = *llvm_cbe_tmp18_2e_i533;
  llvm_cbe_tmp80_2e_i622 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp10_2e_i, (llvm_cbe_tmp73_2e_i619 << 3u));
  llvm_cbe_tmp8081_2e_i = ((struct l_struct_2E_b2Body **)llvm_cbe_tmp80_2e_i622);
  llvm_cbe_tmp283_2e_i740 = (&llvm_cbe_this->field12);
  llvm_cbe_tmp2_2e_i71_2e_i_2e_i = (&llvm_cbe_this->field11.field1);
  llvm_cbe_tmp9_2e_i78_2e_i_2e_i = (&llvm_cbe_this->field11.field0);
  llvm_cbe_tmp200_2e_i_2e_i_2e_i = (&llvm_cbe_contactSolver_2e_i_2e_i492.field3);
  llvm_cbe_tmp14_2e_i350_2e_i_2e_i = (&llvm_cbe_contactSolver_2e_i_2e_i492.field2);
  llvm_cbe_tmp4_2e_i25_2e_i_2e_i = (&llvm_cbe_contactSolver_2e_i_2e_i492.field1);
  llvm_cbe_storemerge6_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i586;   /* for PHI node */
  goto llvm_cbe_bb336_2e_i;

llvm_cbe_bb_2e_i_2e_i643:
  __assert_fail(((&_2E_str2155[((signed long long )0ull)])), ((&_2E_str3156[((signed long long )0ull)])), 52u, ((&_ZZN8b2Island3AddEP6b2BodyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i165_2e_i:
  __assert_fail(((&_2E_str4157[((signed long long )0ull)])), ((&_2E_str3156[((signed long long )0ull)])), 58u, ((&_ZZN8b2Island3AddEP9b2ContactE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb186_2e_i:
  __assert_fail(((&_2E_str8161[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 404u, ((&_ZZN7b2World5SolveERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i144_2e_i:
  __assert_fail(((&_2E_str5158[((signed long long )0ull)])), ((&_2E_str3156[((signed long long )0ull)])), 64u, ((&_ZZN8b2Island3AddEP7b2JointE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb249_2e_i:
  __assert_fail(((&_2E_str8161[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 426u, ((&_ZZN7b2World5SolveERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb336.i' to make GCC happy */
llvm_cbe_bb336_2e_i:
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3 = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge6_2e_in_2e_i = llvm_cbe_storemerge6_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge6_2e_i1003 = *llvm_cbe_storemerge6_2e_in_2e_i;
  if ((llvm_cbe_storemerge6_2e_i1003 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb341_2e_i;
  } else {
    goto llvm_cbe_bb85_2e_i628;
  }

llvm_cbe_bb332_2e_i:
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2 = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp334_2e_i1002 = (&llvm_cbe_storemerge6_2e_i1003->field10);
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge6_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp334_2e_i1002;   /* for PHI node */
  goto llvm_cbe_bb336_2e_i;

llvm_cbe_bb85_2e_i628:
  llvm_cbe_tmp87_2e_i = (&llvm_cbe_storemerge6_2e_i1003->field0);
  llvm_cbe_tmp88_2e_i626 = *llvm_cbe_tmp87_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp88_2e_i626)) & 14u) == 0u)) {
    goto llvm_cbe_bb94_2e_i;
  } else {
    llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb332_2e_i;
  }

llvm_cbe_bb94_2e_i:
  llvm_cbe_tmp3_2e_i54_2e_i = *((&llvm_cbe_storemerge6_2e_i1003->field1));
  if ((llvm_cbe_tmp3_2e_i54_2e_i == ((unsigned short )0))) {
    llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb332_2e_i;
  } else {
    goto llvm_cbe_bb99_2e_i640;
  }

  do {     /* Syntactic loop 'bb325.i' to make GCC happy */
llvm_cbe_bb325_2e_i:
  llvm_cbe_storemerge5_2e_i996 = llvm_cbe_storemerge5_2e_i996__PHI_TEMPORARY;
  llvm_cbe_tmp327_2e_i998 = *llvm_cbe_tmp10_2e_i_2e_i545;
  if ((((signed int )llvm_cbe_tmp327_2e_i998) > ((signed int )llvm_cbe_storemerge5_2e_i996))) {
    goto llvm_cbe_bb304_2e_i;
  } else {
    llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb332_2e_i;
  }

llvm_cbe_bb322_2e_i:
  llvm_cbe_tmp324_2e_i995 = llvm_cbe_storemerge5_2e_i996 + 1u;
  llvm_cbe_storemerge5_2e_i996__PHI_TEMPORARY = llvm_cbe_tmp324_2e_i995;   /* for PHI node */
  goto llvm_cbe_bb325_2e_i;

llvm_cbe_bb304_2e_i:
  llvm_cbe_tmp306_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp310_2e_i986 = *((&llvm_cbe_tmp306_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge5_2e_i996)))]));
  llvm_cbe_tmp3_2e_i88_2e_i = *((&llvm_cbe_tmp310_2e_i986->field1));
  if ((llvm_cbe_tmp3_2e_i88_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb315_2e_i;
  } else {
    goto llvm_cbe_bb322_2e_i;
  }

llvm_cbe_bb315_2e_i:
  llvm_cbe_tmp317_2e_i989 = (&llvm_cbe_tmp310_2e_i986->field0);
  llvm_cbe_tmp318_2e_i990 = *llvm_cbe_tmp317_2e_i989;
  *llvm_cbe_tmp317_2e_i989 = (((unsigned short )(llvm_cbe_tmp318_2e_i990 & ((unsigned short )-5))));
  goto llvm_cbe_bb322_2e_i;

  } while (1); /* end of syntactic loop 'bb325.i' */
llvm_cbe__ZN8b2Island5SolveERK10b2TimeStepRK6b2Vec2bb_2e_exit_2e_i:
  llvm_cbe_tmp2_2e_i23_2e_i_2e_i = *llvm_cbe_tmp14_2e_i350_2e_i_2e_i;
  llvm_cbe_tmp5_2e_i26_2e_i_2e_i = *llvm_cbe_tmp4_2e_i25_2e_i_2e_i;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp5_2e_i26_2e_i_2e_i, (((unsigned char *)llvm_cbe_tmp2_2e_i23_2e_i_2e_i)));
  llvm_cbe_tmp297_2e_i977 = *llvm_cbe_tmp55_2e_i_2e_i584;
  llvm_cbe_tmp300_2e_i = *llvm_cbe_tmp5_2e_i524;
  *llvm_cbe_tmp5_2e_i524 = ((((((signed int )llvm_cbe_tmp300_2e_i) > ((signed int )llvm_cbe_tmp297_2e_i977))) ? (llvm_cbe_tmp300_2e_i) : (llvm_cbe_tmp297_2e_i977)));
  llvm_cbe_storemerge5_2e_i996__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb325_2e_i;

llvm_cbe_bb474_2e_i_2e_i:
  llvm_cbe_tmp476_2e_i_2e_i = *llvm_cbe_tmp14_2e_i350_2e_i_2e_i;
  _ZN8b2Island6ReportEP19b2ContactConstraint((&llvm_cbe_island_2e_i520), llvm_cbe_tmp476_2e_i_2e_i);
  if ((llvm_cbe_tmp284_2e_i741 == ((unsigned char )0))) {
    goto llvm_cbe__ZN8b2Island5SolveERK10b2TimeStepRK6b2Vec2bb_2e_exit_2e_i;
  } else {
    llvm_cbe_minSleepTime_2e_i_2e_i_2e_2__PHI_TEMPORARY = 0x1.fffffep+127;   /* for PHI node */
    llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb564_2e_i_2e_i;
  }

llvm_cbe_bb351_2e_i_2e_i:
  if ((llvm_cbe_tmp288_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb474_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge12_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb385_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb343.i.i' to make GCC happy */
llvm_cbe_bb343_2e_i_2e_i:
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge9_2e_i_2e_i = llvm_cbe_storemerge9_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp346_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i545;
  if ((((signed int )llvm_cbe_tmp346_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge9_2e_i_2e_i))) {
    goto llvm_cbe_bb270_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb351_2e_i_2e_i;
  }

llvm_cbe_bb340_2e_i_2e_i:
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp342_2e_i134_2e_i = llvm_cbe_storemerge9_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge9_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp342_2e_i134_2e_i;   /* for PHI node */
  goto llvm_cbe_bb343_2e_i_2e_i;

llvm_cbe_bb270_2e_i_2e_i:
  llvm_cbe_tmp273_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp277_2e_i_2e_i = *((&llvm_cbe_tmp273_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge9_2e_i_2e_i)))]));
  llvm_cbe_tmp3_2e_i242_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i242_2e_i_2e_i == ((unsigned short )0))) {
    llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb340_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb282_2e_i_2e_i;
  }

llvm_cbe_bb282_2e_i_2e_i:
  llvm_cbe_tmp288_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field3.field2.field0));
  llvm_cbe_tmp291_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field3.field2.field1));
  *((&llvm_cbe_tmp277_2e_i_2e_i->field3.field1.field0)) = llvm_cbe_tmp288_2e_i_2e_i;
  *((&llvm_cbe_tmp277_2e_i_2e_i->field3.field1.field1)) = llvm_cbe_tmp291_2e_i_2e_i;
  llvm_cbe_tmp303_2e_i_2e_i = (&llvm_cbe_tmp277_2e_i_2e_i->field3.field4);
  llvm_cbe_tmp304_2e_i_2e_i = *llvm_cbe_tmp303_2e_i_2e_i;
  *((&llvm_cbe_tmp277_2e_i_2e_i->field3.field3)) = llvm_cbe_tmp304_2e_i_2e_i;
  llvm_cbe_tmp312_2e_i_2e_i = *llvm_cbe_tmp2;
  llvm_cbe_tmp3_2e_i207_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field4.field1));
  llvm_cbe_tmp8_2e_i212_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field4.field0));
  llvm_cbe_tmp22_2e_i232_2e_i_2e_i178917901791_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i229_2e_i_2e_i1782__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i212_2e_i_2e_i * llvm_cbe_tmp312_2e_i_2e_i))), llvm_cbe_tmp19_2e_i229_2e_i_2e_i1782__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i232_2e_i_2e_i1789__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i207_2e_i_2e_i * llvm_cbe_tmp312_2e_i_2e_i))), llvm_cbe_tmp22_2e_i232_2e_i_2e_i1789__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i178_2e_i_2e_i = (&llvm_cbe_tmp277_2e_i_2e_i->field3.field2.field0);
  llvm_cbe_tmp2_2e_i179_2e_i_2e_i = *llvm_cbe_tmp1_2e_i178_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i178_2e_i_2e_i = (((float )(llvm_cbe_tmp2_2e_i179_2e_i_2e_i + ((llvm_cbe_tmp317_2e_i_2e_i1731__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i232_2e_i_2e_i178917901791_2e_ins)), llvm_cbe_tmp317_2e_i_2e_i1731__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i187_2e_i_2e_i = (&llvm_cbe_tmp277_2e_i_2e_i->field3.field2.field1);
  llvm_cbe_tmp11_2e_i188_2e_i_2e_i = *llvm_cbe_tmp10_2e_i187_2e_i_2e_i;
  *llvm_cbe_tmp10_2e_i187_2e_i_2e_i = (((float )(llvm_cbe_tmp11_2e_i188_2e_i_2e_i + ((llvm_cbe_tmp320_2e_i_2e_i1735__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i232_2e_i_2e_i178917901791_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp320_2e_i_2e_i1735__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp330_2e_i_2e_i = *llvm_cbe_tmp2;
  llvm_cbe_tmp333_2e_i_2e_i = *((&llvm_cbe_tmp277_2e_i_2e_i->field5));
  *llvm_cbe_tmp303_2e_i_2e_i = (((float )(llvm_cbe_tmp304_2e_i_2e_i + (((float )(llvm_cbe_tmp330_2e_i_2e_i * llvm_cbe_tmp333_2e_i_2e_i))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp277_2e_i_2e_i);
  llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i232_2e_i_2e_i178917901791_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb340_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb343.i.i' */
  do {     /* Syntactic loop 'bb49.i.i.i' to make GCC happy */
llvm_cbe_bb49_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp52_2e_i_2e_i_2e_i = *llvm_cbe_tmp200_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp52_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb_2e_i255_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i200_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_storemerge9_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb343_2e_i_2e_i;
  }

llvm_cbe_bb46_2e_i_2e_i_2e_i:
  llvm_cbe_tmp48_2e_i_2e_i_2e_i952 = llvm_cbe_storemerge1_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp48_2e_i_2e_i_2e_i952;   /* for PHI node */
  goto llvm_cbe_bb49_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb39.i.i.i' to make GCC happy */
llvm_cbe_bb39_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i267_2e_i_2e_i = llvm_cbe_storemerge_2e_i267_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp42_2e_i_2e_i_2e_i = *llvm_cbe_tmp41_2e_i_2e_i_2e_i949;
  if ((((signed int )llvm_cbe_tmp42_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i267_2e_i_2e_i))) {
    goto llvm_cbe_bb9_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb46_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb9_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1114_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i267_2e_i_2e_i);
  llvm_cbe_tmp17_2e_i259_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i250_2e_i_2e_i[((signed long long )llvm_cbe_tmp34_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp1114_2e_i_2e_i_2e_i)].field4));
  *((&llvm_cbe_tmp8_2e_i254_2e_i_2e_i->field0[((signed long long )llvm_cbe_tmp1114_2e_i_2e_i_2e_i)].field3)) = llvm_cbe_tmp17_2e_i259_2e_i_2e_i;
  llvm_cbe_tmp30_2e_i265_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i250_2e_i_2e_i[((signed long long )llvm_cbe_tmp34_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp1114_2e_i_2e_i_2e_i)].field5));
  *((&llvm_cbe_tmp8_2e_i254_2e_i_2e_i->field0[((signed long long )llvm_cbe_tmp1114_2e_i_2e_i_2e_i)].field4)) = llvm_cbe_tmp30_2e_i265_2e_i_2e_i;
  llvm_cbe_tmp38_2e_i_2e_i_2e_i947 = llvm_cbe_storemerge_2e_i267_2e_i_2e_i + 1u;
  llvm_cbe_storemerge_2e_i267_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp38_2e_i_2e_i_2e_i947;   /* for PHI node */
  goto llvm_cbe_bb39_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb39.i.i.i' */
llvm_cbe_bb_2e_i255_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i250_2e_i_2e_i = *llvm_cbe_tmp14_2e_i350_2e_i_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i);
  llvm_cbe_tmp8_2e_i254_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i250_2e_i_2e_i[((signed long long )llvm_cbe_tmp34_2e_i_2e_i_2e_i)].field2));
  llvm_cbe_tmp41_2e_i_2e_i_2e_i949 = (&llvm_cbe_tmp2_2e_i250_2e_i_2e_i[((signed long long )llvm_cbe_tmp34_2e_i_2e_i_2e_i)].field7);
  llvm_cbe_storemerge_2e_i267_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb39_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb49.i.i.i' */
  do {     /* Syntactic loop 'bb260.i.i' to make GCC happy */
llvm_cbe_bb260_2e_i_2e_i:
  llvm_cbe_storemerge8_2e_i_2e_i = llvm_cbe_storemerge8_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp263_2e_i_2e_i = *llvm_cbe_tmp4;
  if ((((signed int )llvm_cbe_tmp263_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge8_2e_i_2e_i))) {
    goto llvm_cbe_bb216_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb49_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb257_2e_i_2e_i:
  llvm_cbe_tmp259_2e_i_2e_i = llvm_cbe_storemerge8_2e_i_2e_i + 1u;
  llvm_cbe_storemerge8_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp259_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb260_2e_i_2e_i;

  do {     /* Syntactic loop 'bb249.i.i' to make GCC happy */
llvm_cbe_bb249_2e_i_2e_i:
  llvm_cbe_storemerge7_2e_i_2e_i = llvm_cbe_storemerge7_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp252_2e_i_2e_i = *llvm_cbe_tmp14_2e_i_2e_i549;
  if ((((signed int )llvm_cbe_tmp252_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge7_2e_i_2e_i))) {
    goto llvm_cbe_bb218_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb257_2e_i_2e_i;
  }

llvm_cbe_bb218_2e_i_2e_i:
  llvm_cbe_tmp228_2e_i_2e_i = *llvm_cbe_tmp53_2e_i_2e_i582;
  llvm_cbe_tmp232_2e_i_2e_i = *((&llvm_cbe_tmp228_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge7_2e_i_2e_i)))]));
  llvm_cbe_tmp234_2e_i_2e_i = *((&llvm_cbe_tmp232_2e_i_2e_i->field0));
  llvm_cbe_tmp236_2e_i_2e_i = *((&llvm_cbe_tmp234_2e_i_2e_i[((signed long long )7ull)]));
  (((void  (*) (struct l_struct_2E_b2Joint *, struct l_struct_2E_b2TimeStep *))llvm_cbe_tmp236_2e_i_2e_i))(llvm_cbe_tmp232_2e_i_2e_i, (&llvm_cbe_step));
  llvm_cbe_tmp248_2e_i_2e_i = llvm_cbe_storemerge7_2e_i_2e_i + 1u;
  llvm_cbe_storemerge7_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp248_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb249_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb249.i.i' */
llvm_cbe_bb216_2e_i_2e_i:
  _ZN15b2ContactSolver24SolveVelocityConstraintsEv((&llvm_cbe_contactSolver_2e_i_2e_i492));
  llvm_cbe_storemerge7_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb249_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb260.i.i' */
  do {     /* Syntactic loop 'bb207.i.i' to make GCC happy */
llvm_cbe_bb207_2e_i_2e_i:
  llvm_cbe_storemerge6_2e_i_2e_i = llvm_cbe_storemerge6_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp210_2e_i_2e_i = *llvm_cbe_tmp14_2e_i_2e_i549;
  if ((((signed int )llvm_cbe_tmp210_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge6_2e_i_2e_i))) {
    goto llvm_cbe_bb176_2e_i_2e_i945;
  } else {
    llvm_cbe_storemerge8_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb260_2e_i_2e_i;
  }

llvm_cbe_bb176_2e_i_2e_i945:
  llvm_cbe_tmp186_2e_i_2e_i937 = *llvm_cbe_tmp53_2e_i_2e_i582;
  llvm_cbe_tmp190_2e_i_2e_i940 = *((&llvm_cbe_tmp186_2e_i_2e_i937[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge6_2e_i_2e_i)))]));
  llvm_cbe_tmp192_2e_i_2e_i942 = *((&llvm_cbe_tmp190_2e_i_2e_i940->field0));
  llvm_cbe_tmp194_2e_i_2e_i = *((&llvm_cbe_tmp192_2e_i_2e_i942[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2Joint *, struct l_struct_2E_b2TimeStep *))llvm_cbe_tmp194_2e_i_2e_i))(llvm_cbe_tmp190_2e_i_2e_i940, (&llvm_cbe_step));
  llvm_cbe_tmp206_2e_i_2e_i = llvm_cbe_storemerge6_2e_i_2e_i + 1u;
  llvm_cbe_storemerge6_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp206_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb207_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb207.i.i' */
  do {     /* Syntactic loop 'bb198.i.i.i' to make GCC happy */
llvm_cbe_bb198_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge65_2e_i_2e_i_2e_i = llvm_cbe_storemerge65_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp201_2e_i_2e_i_2e_i = *llvm_cbe_tmp200_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp201_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge65_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb_2e_i387_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge6_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb207_2e_i_2e_i;
  }

llvm_cbe_bb195_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp197_2e_i_2e_i_2e_i = llvm_cbe_storemerge65_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i909184518461847_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge65_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp197_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb198_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb164.i.i.i' to make GCC happy */
llvm_cbe_bb164_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i388_2e_i_2e_i = llvm_cbe_storemerge_2e_i388_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp167_2e_i_2e_i_2e_i = *llvm_cbe_tmp189_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp167_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i388_2e_i_2e_i))) {
    goto llvm_cbe_bb63_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb195_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb63_2e_i_2e_i_2e_i:
  llvm_cbe_tmp6768_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i388_2e_i_2e_i);
  llvm_cbe_tmp72_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field4));
  llvm_cbe_tmp75_2e_i_2e_i_2e_i926 = *llvm_cbe_tmp20;
  llvm_cbe_tmp76_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp72_2e_i_2e_i_2e_i * llvm_cbe_tmp75_2e_i_2e_i_2e_i926));
  *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field4)) = llvm_cbe_tmp76_2e_i_2e_i_2e_i;
  llvm_cbe_tmp80_2e_i_2e_i_2e_i930 = (&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field5);
  llvm_cbe_tmp81_2e_i_2e_i_2e_i = *llvm_cbe_tmp80_2e_i_2e_i_2e_i930;
  llvm_cbe_tmp84_2e_i_2e_i_2e_i931 = *llvm_cbe_tmp20;
  llvm_cbe_tmp85_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp81_2e_i_2e_i_2e_i * llvm_cbe_tmp84_2e_i_2e_i_2e_i931));
  *llvm_cbe_tmp80_2e_i_2e_i_2e_i930 = llvm_cbe_tmp85_2e_i_2e_i_2e_i;
  llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i191519161917_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i355_2e_i_2e_i_2e_i1908__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794 * llvm_cbe_tmp85_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i355_2e_i_2e_i_2e_i1908__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i1915__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798 * llvm_cbe_tmp85_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i1915__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i190119021903_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i310_2e_i_2e_i_2e_i1894__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp41_2e_i371_2e_i_2e_i * llvm_cbe_tmp76_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i310_2e_i_2e_i_2e_i1894__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i1901__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp44_2e_i374_2e_i_2e_i * llvm_cbe_tmp76_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i1901__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i188718881889_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i269_2e_i_2e_i_2e_i1880__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp106_2e_i_2e_i_2e_i1808__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i190119021903_2e_ins)), llvm_cbe_tmp106_2e_i_2e_i_2e_i1808__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp95_2e_i_2e_i_2e_i1801__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i191519161917_2e_ins)), llvm_cbe_tmp95_2e_i_2e_i_2e_i1801__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i269_2e_i_2e_i_2e_i1880__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i1887__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp109_2e_i_2e_i_2e_i1812__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i190119021903_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp109_2e_i_2e_i_2e_i1812__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp98_2e_i_2e_i_2e_i1805__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i191519161917_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp98_2e_i_2e_i_2e_i1805__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i1887__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp114_2e_i_2e_i_2e_i1815 = (llvm_cbe_tmp114_2e_i_2e_i_2e_i1815__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i188718881889_2e_ins)), llvm_cbe_tmp114_2e_i_2e_i_2e_i1815__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp117_2e_i_2e_i_2e_i1819 = (llvm_cbe_tmp117_2e_i_2e_i_2e_i1819__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i188718881889_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp117_2e_i_2e_i_2e_i1819__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp120_2e_i_2e_i_2e_i = *llvm_cbe_tmp119_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i217_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field2.field0));
  llvm_cbe_tmp10_2e_i224_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field2.field1));
  *llvm_cbe_tmp119_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp120_2e_i_2e_i_2e_i - (((float )((((float )((((float )(llvm_cbe_tmp3_2e_i217_2e_i_2e_i_2e_i * llvm_cbe_tmp117_2e_i_2e_i_2e_i1819))) - (((float )(llvm_cbe_tmp10_2e_i224_2e_i_2e_i_2e_i * llvm_cbe_tmp114_2e_i_2e_i_2e_i1815)))))) * llvm_cbe_tmp30_2e_i364_2e_i_2e_i))))));
  llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i187318741875_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i201_2e_i_2e_i_2e_i1866__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp114_2e_i_2e_i_2e_i1815 * llvm_cbe_tmp27_2e_i361_2e_i_2e_i))), llvm_cbe_tmp19_2e_i201_2e_i_2e_i_2e_i1866__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i1873__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp117_2e_i_2e_i_2e_i1819 * llvm_cbe_tmp27_2e_i361_2e_i_2e_i))), llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i1873__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i151_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i150_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i150_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp2_2e_i151_2e_i_2e_i_2e_i - ((llvm_cbe_tmp134_2e_i_2e_i_2e_i1822__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i187318741875_2e_ins)), llvm_cbe_tmp134_2e_i_2e_i_2e_i1822__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i160_2e_i_2e_i_2e_i = *llvm_cbe_tmp10_2e_i159_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp10_2e_i159_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp11_2e_i160_2e_i_2e_i_2e_i - ((llvm_cbe_tmp137_2e_i_2e_i_2e_i1826__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i187318741875_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp137_2e_i_2e_i_2e_i1826__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp142_2e_i_2e_i_2e_i = *llvm_cbe_tmp141_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i134_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field3.field0));
  llvm_cbe_tmp10_2e_i141_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp6768_2e_i_2e_i_2e_i)].field3.field1));
  *llvm_cbe_tmp141_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp142_2e_i_2e_i_2e_i + (((float )((((float )((((float )(llvm_cbe_tmp3_2e_i134_2e_i_2e_i_2e_i * llvm_cbe_tmp117_2e_i_2e_i_2e_i1819))) - (((float )(llvm_cbe_tmp10_2e_i141_2e_i_2e_i_2e_i * llvm_cbe_tmp114_2e_i_2e_i_2e_i1815)))))) * llvm_cbe_tmp36_2e_i368_2e_i_2e_i))))));
  llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i185918601861_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i120_2e_i_2e_i_2e_i1852__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp114_2e_i_2e_i_2e_i1815 * llvm_cbe_tmp33_2e_i_2e_i_2e_i882))), llvm_cbe_tmp19_2e_i120_2e_i_2e_i_2e_i1852__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i1859__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp117_2e_i_2e_i_2e_i1819 * llvm_cbe_tmp33_2e_i_2e_i_2e_i882))), llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i1859__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i70_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i69_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i69_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp2_2e_i70_2e_i_2e_i_2e_i + ((llvm_cbe_tmp156_2e_i_2e_i_2e_i1829__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i185918601861_2e_ins)), llvm_cbe_tmp156_2e_i_2e_i_2e_i1829__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i79_2e_i_2e_i_2e_i = *llvm_cbe_tmp10_2e_i78_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp10_2e_i78_2e_i_2e_i_2e_i = (((float )(llvm_cbe_tmp11_2e_i79_2e_i_2e_i_2e_i + ((llvm_cbe_tmp159_2e_i_2e_i_2e_i1833__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i185918601861_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp159_2e_i_2e_i_2e_i1833__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp163_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i388_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i123_2e_i_2e_i_2e_i185918601861_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i204_2e_i_2e_i_2e_i187318741875_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i272_2e_i_2e_i_2e_i188718881889_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i313_2e_i_2e_i_2e_i190119021903_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i358_2e_i_2e_i_2e_i191519161917_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge_2e_i388_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp163_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb164_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb164.i.i.i' */
llvm_cbe_bb62_2e_i_2e_i_2e_i922:
  llvm_cbe_tmp119_2e_i_2e_i_2e_i = (&llvm_cbe_tmp21_2e_i355_2e_i_2e_i->field5);
  llvm_cbe_tmp1_2e_i150_2e_i_2e_i_2e_i = (&llvm_cbe_tmp21_2e_i355_2e_i_2e_i->field4.field0);
  llvm_cbe_tmp10_2e_i159_2e_i_2e_i_2e_i = (&llvm_cbe_tmp21_2e_i355_2e_i_2e_i->field4.field1);
  llvm_cbe_tmp141_2e_i_2e_i_2e_i = (&llvm_cbe_tmp24_2e_i358_2e_i_2e_i->field5);
  llvm_cbe_tmp1_2e_i69_2e_i_2e_i_2e_i = (&llvm_cbe_tmp24_2e_i358_2e_i_2e_i->field4.field0);
  llvm_cbe_tmp10_2e_i78_2e_i_2e_i_2e_i = (&llvm_cbe_tmp24_2e_i358_2e_i_2e_i->field4.field1);
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_storemerge_2e_i388_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb164_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i387_2e_i_2e_i:
  llvm_cbe_tmp15_2e_i351_2e_i_2e_i = *llvm_cbe_tmp14_2e_i350_2e_i_2e_i;
  llvm_cbe_tmp1617_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge65_2e_i_2e_i_2e_i);
  llvm_cbe_tmp21_2e_i355_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field3));
  llvm_cbe_tmp24_2e_i358_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field4));
  llvm_cbe_tmp27_2e_i361_2e_i_2e_i = *((&llvm_cbe_tmp21_2e_i355_2e_i_2e_i->field16));
  llvm_cbe_tmp30_2e_i364_2e_i_2e_i = *((&llvm_cbe_tmp21_2e_i355_2e_i_2e_i->field18));
  llvm_cbe_tmp33_2e_i_2e_i_2e_i882 = *((&llvm_cbe_tmp24_2e_i358_2e_i_2e_i->field16));
  llvm_cbe_tmp36_2e_i368_2e_i_2e_i = *((&llvm_cbe_tmp24_2e_i358_2e_i_2e_i->field18));
  llvm_cbe_tmp41_2e_i371_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field1.field0));
  llvm_cbe_tmp44_2e_i374_2e_i_2e_i = *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field1.field1));
  llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i909184518461847_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i9061838__BITCAST_TEMPORARY.Float = llvm_cbe_tmp44_2e_i374_2e_i_2e_i, llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i9061838__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i9091845__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp41_2e_i371_2e_i_2e_i * -0x1p+0))), llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i9091845__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794 = (llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i909184518461847_2e_ins)), llvm_cbe_tmp55_2e_i_2e_i_2e_i9161794__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798 = (llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i909184518461847_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp58_2e_i_2e_i_2e_i9181798__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp61_2e_i_2e_i_2e_i921 = *llvm_cbe_tmp28;
  llvm_cbe_tmp189_2e_i_2e_i_2e_i = (&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field7);
  if ((llvm_cbe_tmp61_2e_i_2e_i_2e_i921 == ((unsigned char )0))) {
    goto llvm_cbe_bb173_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb62_2e_i_2e_i_2e_i922;
  }

  do {     /* Syntactic loop 'bb187.i.i.i' to make GCC happy */
llvm_cbe_bb187_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge64_2e_i_2e_i_2e_i = llvm_cbe_storemerge64_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp190_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge64_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb174_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb195_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb174_2e_i_2e_i_2e_i:
  llvm_cbe_tmp178179_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge64_2e_i_2e_i_2e_i);
  *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp178179_2e_i_2e_i_2e_i)].field4)) = 0x0p+0;
  *((&llvm_cbe_tmp15_2e_i351_2e_i_2e_i[((signed long long )llvm_cbe_tmp1617_2e_i_2e_i_2e_i)].field0[((signed long long )llvm_cbe_tmp178179_2e_i_2e_i_2e_i)].field5)) = 0x0p+0;
  llvm_cbe_tmp186_2e_i_2e_i_2e_i = llvm_cbe_storemerge64_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_storemerge64_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp186_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb187_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb187.i.i.i' */
llvm_cbe_bb173_2e_i_2e_i_2e_i:
  llvm_cbe_tmp190_2e_i_2e_i_2e_i = *llvm_cbe_tmp189_2e_i_2e_i_2e_i;
  llvm_cbe_storemerge64_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb187_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb198.i.i.i' */
llvm_cbe_bb164_2e_i_2e_i:
  llvm_cbe_tmp167_2e_i_2e_i = *llvm_cbe_tmp16_2e_i_2e_i551;
  llvm_cbe_tmp170_2e_i_2e_i = *llvm_cbe_tmp12_2e_i_2e_i547;
  llvm_cbe_tmp173_2e_i_2e_i878 = *llvm_cbe_tmp42_2e_i_2e_i573;
  _ZN15b2ContactSolverC1ERK10b2TimeStepPP9b2ContactiP16b2StackAllocator((&llvm_cbe_contactSolver_2e_i_2e_i492), (&llvm_cbe_step), llvm_cbe_tmp173_2e_i_2e_i878, llvm_cbe_tmp170_2e_i_2e_i, llvm_cbe_tmp167_2e_i_2e_i);
  llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i91_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i172_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i236_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i281_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i326_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i331_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_storemerge65_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb198_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb156.i.i' to make GCC happy */
llvm_cbe_bb156_2e_i_2e_i:
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1 = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i132_2e_i = llvm_cbe_storemerge_2e_i132_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp159_2e_i_2e_i870 = *llvm_cbe_tmp10_2e_i_2e_i545;
  if ((((signed int )llvm_cbe_tmp159_2e_i_2e_i870) > ((signed int )llvm_cbe_storemerge_2e_i132_2e_i))) {
    goto llvm_cbe_bb_2e_i115_2e_i;
  } else {
    goto llvm_cbe_bb164_2e_i_2e_i;
  }

llvm_cbe_bb153_2e_i_2e_i867:
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0 = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp155_2e_i_2e_i = llvm_cbe_storemerge_2e_i132_2e_i + 1u;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i132_2e_i__PHI_TEMPORARY = llvm_cbe_tmp155_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb156_2e_i_2e_i;

llvm_cbe_bb_2e_i115_2e_i:
  llvm_cbe_tmp21_2e_i112_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp25_2e_i114_2e_i = *((&llvm_cbe_tmp21_2e_i112_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i132_2e_i)))]));
  llvm_cbe_tmp3_2e_i_2e_i_2e_i750 = *((&llvm_cbe_tmp25_2e_i114_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i_2e_i_2e_i750 == ((unsigned short )0))) {
    llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1;   /* for PHI node */
    goto llvm_cbe_bb153_2e_i_2e_i867;
  } else {
    goto llvm_cbe_bb29_2e_i_2e_i821;
  }

llvm_cbe_bb127_2e_i_2e_i:
  llvm_cbe_tmp130_2e_i_2e_i856 = *llvm_cbe_tmp66_2e_i_2e_i794;
  if ((llvm_fcmp_ogt((((float )(llvm_cbe_tmp130_2e_i_2e_i856 * llvm_cbe_tmp130_2e_i_2e_i856))), 0x1.e848p+15))) {
    goto llvm_cbe_bb138_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins;   /* for PHI node */
    goto llvm_cbe_bb153_2e_i_2e_i867;
  }

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit327_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i = llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i__PHI_TEMPORARY;
  *llvm_cbe_tmp66_2e_i_2e_i794 = (((float )(llvm_cbe_tmp79_2e_i_2e_i806 * llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i)));
  if ((llvm_fcmp_ogt((((float )((((float )(llvm_cbe_tmp4_2e_i284_2e_i_2e_i * llvm_cbe_tmp4_2e_i284_2e_i_2e_i))) + (((float )(llvm_cbe_tmp11_2e_i291_2e_i_2e_i * llvm_cbe_tmp11_2e_i291_2e_i_2e_i)))))), 0x1.388p+15))) {
    goto llvm_cbe_bb121_2e_i_2e_i853;
  } else {
    goto llvm_cbe_bb127_2e_i_2e_i;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i319_2e_i_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp107_2e_i_2e_i840;
  if ((llvm_fcmp_olt(llvm_cbe_tmp107_2e_i_2e_i840, 0x0p+0))) {
    llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit327_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i323_2e_i_2e_i;
  }

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp4_2e_i284_2e_i_2e_i = ((float )(llvm_cbe_tmp6_2e_i156_2e_i_2e_i * llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i));
  *llvm_cbe_tmp1_2e_i151_2e_i_2e_i = llvm_cbe_tmp4_2e_i284_2e_i_2e_i;
  llvm_cbe_tmp11_2e_i291_2e_i_2e_i = ((float )(llvm_cbe_tmp15_2e_i165_2e_i_2e_i * llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i));
  *llvm_cbe_tmp10_2e_i160_2e_i_2e_i = llvm_cbe_tmp11_2e_i291_2e_i_2e_i;
  llvm_cbe_tmp102_2e_i_2e_i835 = *llvm_cbe_tmp2;
  llvm_cbe_tmp105_2e_i_2e_i838 = *((&llvm_cbe_tmp25_2e_i114_2e_i->field20));
  llvm_cbe_tmp107_2e_i_2e_i840 = ((float )(0x1p+0 - (((float )(llvm_cbe_tmp102_2e_i_2e_i835 * llvm_cbe_tmp105_2e_i_2e_i838)))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp107_2e_i_2e_i840, 0x1p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i319_2e_i_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i319_2e_i_2e_i_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_i_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reg2mem) = llvm_cbe_tmp93_2e_i_2e_i820;
  if ((llvm_fcmp_olt(llvm_cbe_tmp93_2e_i_2e_i820, 0x0p+0))) {
    llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i821:
  llvm_cbe_tmp34_2e_i_2e_i756 = *((&llvm_cbe_tmp25_2e_i114_2e_i->field16));
  llvm_cbe_tmp3_2e_i46_2e_i_2e_i = *((&llvm_cbe_tmp25_2e_i114_2e_i->field6.field1));
  llvm_cbe_tmp7_2e_i50_2e_i_2e_i = (&llvm_cbe_tmp25_2e_i114_2e_i->field6.field0);
  llvm_cbe_tmp8_2e_i51_2e_i_2e_i = *llvm_cbe_tmp7_2e_i50_2e_i_2e_i;
  llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i_2e_i_2e_i7671740__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i51_2e_i_2e_i * llvm_cbe_tmp34_2e_i_2e_i756))), llvm_cbe_tmp19_2e_i_2e_i_2e_i7671740__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i_2e_i_2e_i7701747__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i46_2e_i_2e_i * llvm_cbe_tmp34_2e_i_2e_i756))), llvm_cbe_tmp22_2e_i_2e_i_2e_i7701747__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i72_2e_i_2e_i = *llvm_cbe_tmp2_2e_i71_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i79_2e_i_2e_i = *llvm_cbe_tmp9_2e_i78_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i98_2e_i_2e_i1754__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i79_2e_i_2e_i + ((llvm_cbe_tmp39_2e_i121_2e_i1710__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins)), llvm_cbe_tmp39_2e_i121_2e_i1710__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i98_2e_i_2e_i1754__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i101_2e_i_2e_i1761__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i72_2e_i_2e_i + ((llvm_cbe_tmp42_2e_i123_2e_i1714__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp42_2e_i123_2e_i1714__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i101_2e_i_2e_i1761__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp54_2e_i131_2e_i = *llvm_cbe_tmp2;
  llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i138_2e_i_2e_i1768__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp48_2e_i126_2e_i1717__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins)), llvm_cbe_tmp48_2e_i126_2e_i1717__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp54_2e_i131_2e_i))), llvm_cbe_tmp19_2e_i138_2e_i_2e_i1768__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i141_2e_i_2e_i1775__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp51_2e_i_2e_i7841721__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp51_2e_i_2e_i7841721__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp54_2e_i131_2e_i))), llvm_cbe_tmp22_2e_i141_2e_i_2e_i1775__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp64_2e_i_2e_i792 = (&llvm_cbe_tmp25_2e_i114_2e_i->field4);
  llvm_cbe_tmp1_2e_i151_2e_i_2e_i = (&llvm_cbe_tmp25_2e_i114_2e_i->field4.field0);
  llvm_cbe_tmp2_2e_i152_2e_i_2e_i = *llvm_cbe_tmp1_2e_i151_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i156_2e_i_2e_i = ((float )(llvm_cbe_tmp2_2e_i152_2e_i_2e_i + ((llvm_cbe_tmp59_2e_i_2e_i7871724__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins)), llvm_cbe_tmp59_2e_i_2e_i7871724__BITCAST_TEMPORARY.Float))));
  *llvm_cbe_tmp1_2e_i151_2e_i_2e_i = llvm_cbe_tmp6_2e_i156_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i160_2e_i_2e_i = (&llvm_cbe_tmp25_2e_i114_2e_i->field4.field1);
  llvm_cbe_tmp11_2e_i161_2e_i_2e_i = *llvm_cbe_tmp10_2e_i160_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i165_2e_i_2e_i = ((float )(llvm_cbe_tmp11_2e_i161_2e_i_2e_i + ((llvm_cbe_tmp62_2e_i_2e_i7901728__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp62_2e_i_2e_i7901728__BITCAST_TEMPORARY.Float))));
  *llvm_cbe_tmp10_2e_i160_2e_i_2e_i = llvm_cbe_tmp15_2e_i165_2e_i_2e_i;
  llvm_cbe_tmp66_2e_i_2e_i794 = (&llvm_cbe_tmp25_2e_i114_2e_i->field5);
  llvm_cbe_tmp67_2e_i_2e_i795 = *llvm_cbe_tmp66_2e_i_2e_i794;
  llvm_cbe_tmp70_2e_i_2e_i798 = *llvm_cbe_tmp2;
  llvm_cbe_tmp73_2e_i_2e_i801 = *((&llvm_cbe_tmp25_2e_i114_2e_i->field18));
  llvm_cbe_tmp76_2e_i_2e_i804 = (&llvm_cbe_tmp25_2e_i114_2e_i->field7);
  llvm_cbe_tmp77_2e_i_2e_i = *llvm_cbe_tmp76_2e_i_2e_i804;
  llvm_cbe_tmp79_2e_i_2e_i806 = ((float )(llvm_cbe_tmp67_2e_i_2e_i795 + (((float )((((float )(llvm_cbe_tmp70_2e_i_2e_i798 * llvm_cbe_tmp73_2e_i_2e_i801))) * llvm_cbe_tmp77_2e_i_2e_i)))));
  *llvm_cbe_tmp66_2e_i_2e_i794 = llvm_cbe_tmp79_2e_i_2e_i806;
  *llvm_cbe_tmp7_2e_i50_2e_i_2e_i = 0x0p+0;
  *((&llvm_cbe_tmp25_2e_i114_2e_i->field6.field1)) = 0x0p+0;
  *llvm_cbe_tmp76_2e_i_2e_i804 = 0x0p+0;
  llvm_cbe_tmp88_2e_i_2e_i815 = *llvm_cbe_tmp2;
  llvm_cbe_tmp91_2e_i_2e_i818 = *((&llvm_cbe_tmp25_2e_i114_2e_i->field19));
  llvm_cbe_tmp93_2e_i_2e_i820 = ((float )(0x1p+0 - (((float )(llvm_cbe_tmp88_2e_i_2e_i815 * llvm_cbe_tmp91_2e_i_2e_i818)))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp93_2e_i_2e_i820, 0x1p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_i_2e_i_2e_thread;
  }

llvm_cbe_bb6_2e_i10_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reload2153 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reload2153;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit_2e_i_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_i_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i824_2e_reg2mem) = 0x1p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i_2e_i_2e_i;

llvm_cbe_bb6_2e_i10_2e_i323_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reload2156 = *(&llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i324_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reload2156;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit327_2e_i_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i319_2e_i_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i313_2e_i_2e_i_2e_reg2mem) = 0x1p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i323_2e_i_2e_i;

llvm_cbe_bb121_2e_i_2e_i853:
  llvm_cbe_tmp124_2e_i_2e_i850 = _ZN6b2Vec29NormalizeEv(llvm_cbe_tmp64_2e_i_2e_i792);
  llvm_cbe_tmp2_2e_i412_2e_i_2e_i = *llvm_cbe_tmp1_2e_i151_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i151_2e_i_2e_i = (((float )(llvm_cbe_tmp2_2e_i412_2e_i_2e_i * 0x1.9p+7)));
  llvm_cbe_tmp9_2e_i419_2e_i_2e_i = *llvm_cbe_tmp10_2e_i160_2e_i_2e_i;
  *llvm_cbe_tmp10_2e_i160_2e_i_2e_i = (((float )(llvm_cbe_tmp9_2e_i419_2e_i_2e_i * 0x1.9p+7)));
  goto llvm_cbe_bb127_2e_i_2e_i;

llvm_cbe_bb145_2e_i_2e_i:
  *llvm_cbe_tmp66_2e_i_2e_i794 = -0x1.f4p+7;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb153_2e_i_2e_i867;

llvm_cbe_bb138_2e_i_2e_i:
  if ((llvm_fcmp_olt(llvm_cbe_tmp130_2e_i_2e_i856, 0x0p+0))) {
    goto llvm_cbe_bb145_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb150_2e_i_2e_i;
  }

llvm_cbe_bb150_2e_i_2e_i:
  *llvm_cbe_tmp66_2e_i_2e_i794 = 0x1.f4p+7;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i141_2e_i_2e_i177517761777_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i101_2e_i_2e_i176117621763_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i770174717481749_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb153_2e_i_2e_i867;

  } while (1); /* end of syntactic loop 'bb156.i.i' */
llvm_cbe_bb281_2e_i:
  llvm_cbe_tmp284_2e_i741 = *llvm_cbe_tmp283_2e_i740;
  llvm_cbe_tmp288_2e_i = *llvm_cbe_tmp22;
  llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i109_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i65_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i43_2e_i_2e_i479_2e_3;   /* for PHI node */
  llvm_cbe_storemerge_2e_i132_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb156_2e_i_2e_i;

  do {     /* Syntactic loop 'bb113.i' to make GCC happy */
llvm_cbe_bb113_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_0_2e_reload = *(&llvm_cbe_stackCount_2e_i513_2e_0_2e_reg2mem);
  llvm_cbe_tmp115_2e_i = llvm_cbe_stackCount_2e_i513_2e_0_2e_reload + 4294967295u;
  llvm_cbe_tmp120_2e_i = *((&llvm_cbe_tmp8081_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp115_2e_i)))]));
  llvm_cbe_tmp2_2e_i72_2e_i = *llvm_cbe_tmp10_2e_i_2e_i545;
  llvm_cbe_tmp5_2e_i75_2e_i = *llvm_cbe_tmp1_2e_i_2e_i536;
  if ((((signed int )llvm_cbe_tmp2_2e_i72_2e_i) < ((signed int )llvm_cbe_tmp5_2e_i75_2e_i))) {
    goto llvm_cbe__ZN8b2Island3AddEP6b2Body_2e_exit_2e_i653;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i643;
  }

llvm_cbe_bb276_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_0_2e_be = llvm_cbe_stackCount_2e_i513_2e_0_2e_be__PHI_TEMPORARY;
  *(&llvm_cbe_stackCount_2e_i513_2e_0_2e_reg2mem) = llvm_cbe_stackCount_2e_i513_2e_0_2e_be;
  if ((((signed int )llvm_cbe_stackCount_2e_i513_2e_0_2e_be) > ((signed int )0u))) {
    goto llvm_cbe_bb113_2e_i;
  } else {
    goto llvm_cbe_bb281_2e_i;
  }

llvm_cbe__ZN8b2Island3AddEP6b2Body_2e_exit_2e_i653:
  llvm_cbe_tmp14_2e_i79_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  *((&llvm_cbe_tmp14_2e_i79_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp2_2e_i72_2e_i)))])) = llvm_cbe_tmp120_2e_i;
  *llvm_cbe_tmp10_2e_i_2e_i545 = (llvm_cbe_tmp2_2e_i72_2e_i + 1u);
  llvm_cbe_tmp123_2e_i648 = (&llvm_cbe_tmp120_2e_i->field0);
  llvm_cbe_tmp124_2e_i649 = *llvm_cbe_tmp123_2e_i648;
  *llvm_cbe_tmp123_2e_i648 = (((unsigned short )(llvm_cbe_tmp124_2e_i649 & ((unsigned short )-9))));
  llvm_cbe_tmp3_2e_i184_2e_i = *((&llvm_cbe_tmp120_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i184_2e_i == ((unsigned short )0))) {
    llvm_cbe_stackCount_2e_i513_2e_0_2e_be__PHI_TEMPORARY = llvm_cbe_tmp115_2e_i;   /* for PHI node */
    goto llvm_cbe_bb276_2e_i;
  } else {
    goto llvm_cbe_bb132_2e_i656;
  }

  do {     /* Syntactic loop 'bb271.i' to make GCC happy */
llvm_cbe_bb271_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_4 = llvm_cbe_stackCount_2e_i513_2e_4__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_in_2e_i734 = llvm_cbe_storemerge4_2e_in_2e_i734__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_i735 = *llvm_cbe_storemerge4_2e_in_2e_i734;
  if ((llvm_cbe_storemerge4_2e_i735 == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    llvm_cbe_stackCount_2e_i513_2e_0_2e_be__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_4;   /* for PHI node */
    goto llvm_cbe_bb276_2e_i;
  } else {
    goto llvm_cbe_bb217_2e_i;
  }

llvm_cbe_bb267_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_3 = llvm_cbe_stackCount_2e_i513_2e_3__PHI_TEMPORARY;
  llvm_cbe_tmp269_2e_i733 = (&llvm_cbe_storemerge4_2e_i735->field3);
  llvm_cbe_stackCount_2e_i513_2e_4__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_3;   /* for PHI node */
  llvm_cbe_storemerge4_2e_in_2e_i734__PHI_TEMPORARY = llvm_cbe_tmp269_2e_i733;   /* for PHI node */
  goto llvm_cbe_bb271_2e_i;

llvm_cbe_bb217_2e_i:
  llvm_cbe_tmp219_2e_i699 = (&llvm_cbe_storemerge4_2e_i735->field1);
  llvm_cbe_tmp220_2e_i700 = *llvm_cbe_tmp219_2e_i699;
  llvm_cbe_tmp222_2e_i702 = *((&llvm_cbe_tmp220_2e_i700->field9));
  if ((llvm_cbe_tmp222_2e_i702 == ((unsigned char )0))) {
    goto llvm_cbe_bb224_2e_i;
  } else {
    llvm_cbe_stackCount_2e_i513_2e_3__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_4;   /* for PHI node */
    goto llvm_cbe_bb267_2e_i;
  }

llvm_cbe__ZN8b2Island3AddEP7b2Joint_2e_exit_2e_i:
  llvm_cbe_tmp14_2e_i147_2e_i = *llvm_cbe_tmp53_2e_i_2e_i582;
  *((&llvm_cbe_tmp14_2e_i147_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp2_2e_i139_2e_i)))])) = llvm_cbe_tmp220_2e_i700;
  *llvm_cbe_tmp14_2e_i_2e_i549 = (llvm_cbe_tmp2_2e_i139_2e_i + 1u);
  llvm_cbe_tmp230_2e_i712 = *llvm_cbe_tmp219_2e_i699;
  *((&llvm_cbe_tmp230_2e_i712->field9)) = ((unsigned char )1);
  llvm_cbe_tmp234_2e_i = *((&llvm_cbe_storemerge4_2e_i735->field0));
  llvm_cbe_tmp236_2e_i716 = (&llvm_cbe_tmp234_2e_i->field0);
  llvm_cbe_tmp237_2e_i717 = *llvm_cbe_tmp236_2e_i716;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp237_2e_i717)) & 4u) == 0u)) {
    goto llvm_cbe_bb243_2e_i;
  } else {
    llvm_cbe_stackCount_2e_i513_2e_3__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_4;   /* for PHI node */
    goto llvm_cbe_bb267_2e_i;
  }

llvm_cbe_bb224_2e_i:
  llvm_cbe_tmp2_2e_i139_2e_i = *llvm_cbe_tmp14_2e_i_2e_i549;
  llvm_cbe_tmp5_2e_i142_2e_i = *llvm_cbe_tmp7_2e_i_2e_i542;
  if ((((signed int )llvm_cbe_tmp2_2e_i139_2e_i) < ((signed int )llvm_cbe_tmp5_2e_i142_2e_i))) {
    goto llvm_cbe__ZN8b2Island3AddEP7b2Joint_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i144_2e_i;
  }

llvm_cbe_bb253_2e_i732:
  *((&llvm_cbe_tmp8081_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_stackCount_2e_i513_2e_4)))])) = llvm_cbe_tmp234_2e_i;
  llvm_cbe_tmp260_2e_i728 = llvm_cbe_stackCount_2e_i513_2e_4 + 1u;
  llvm_cbe_tmp263_2e_i = *llvm_cbe_tmp236_2e_i716;
  *llvm_cbe_tmp236_2e_i716 = (((unsigned short )(llvm_cbe_tmp263_2e_i | ((unsigned short )4))));
  llvm_cbe_stackCount_2e_i513_2e_3__PHI_TEMPORARY = llvm_cbe_tmp260_2e_i728;   /* for PHI node */
  goto llvm_cbe_bb267_2e_i;

llvm_cbe_bb243_2e_i:
  if ((((signed int )llvm_cbe_stackCount_2e_i513_2e_4) < ((signed int )llvm_cbe_tmp73_2e_i619))) {
    goto llvm_cbe_bb253_2e_i732;
  } else {
    goto llvm_cbe_bb249_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb271.i' */
llvm_cbe_bb213_2e_i:
  llvm_cbe_tmp215_2e_i697 = (&llvm_cbe_tmp120_2e_i->field13);
  llvm_cbe_stackCount_2e_i513_2e_4__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_2;   /* for PHI node */
  llvm_cbe_storemerge4_2e_in_2e_i734__PHI_TEMPORARY = llvm_cbe_tmp215_2e_i697;   /* for PHI node */
  goto llvm_cbe_bb271_2e_i;

  do {     /* Syntactic loop 'bb208.i' to make GCC happy */
llvm_cbe_bb208_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_2 = llvm_cbe_stackCount_2e_i513_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_in_2e_i693 = llvm_cbe_storemerge3_2e_in_2e_i693__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_i694 = *llvm_cbe_storemerge3_2e_in_2e_i693;
  if ((llvm_cbe_storemerge3_2e_i694 == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb213_2e_i;
  } else {
    goto llvm_cbe_bb136_2e_i;
  }

llvm_cbe_bb204_2e_i:
  llvm_cbe_stackCount_2e_i513_2e_1 = llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp206_2e_i = (&llvm_cbe_storemerge3_2e_i694->field3);
  llvm_cbe_stackCount_2e_i513_2e_2__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_1;   /* for PHI node */
  llvm_cbe_storemerge3_2e_in_2e_i693__PHI_TEMPORARY = llvm_cbe_tmp206_2e_i;   /* for PHI node */
  goto llvm_cbe_bb208_2e_i;

llvm_cbe_bb136_2e_i:
  llvm_cbe_tmp138_2e_i657 = (&llvm_cbe_storemerge3_2e_i694->field1);
  llvm_cbe_tmp139_2e_i = *llvm_cbe_tmp138_2e_i657;
  llvm_cbe_tmp141_2e_i659 = *((&llvm_cbe_tmp139_2e_i->field1));
  if (((llvm_cbe_tmp141_2e_i659 & 5u) == 0u)) {
    goto llvm_cbe_bb146_2e_i665;
  } else {
    llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_2;   /* for PHI node */
    goto llvm_cbe_bb204_2e_i;
  }

llvm_cbe_bb146_2e_i665:
  llvm_cbe_tmp3_2e_i180_2e_i = *((&llvm_cbe_tmp139_2e_i->field2));
  if ((llvm_cbe_tmp3_2e_i180_2e_i == 0u)) {
    llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_2;   /* for PHI node */
    goto llvm_cbe_bb204_2e_i;
  } else {
    goto llvm_cbe_bb155_2e_i;
  }

llvm_cbe__ZN8b2Island3AddEP9b2Contact_2e_exit_2e_i680:
  llvm_cbe_tmp14_2e_i168_2e_i = *llvm_cbe_tmp42_2e_i_2e_i573;
  *((&llvm_cbe_tmp14_2e_i168_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp2_2e_i160_2e_i)))])) = llvm_cbe_tmp139_2e_i;
  *llvm_cbe_tmp12_2e_i_2e_i547 = (llvm_cbe_tmp2_2e_i160_2e_i + 1u);
  llvm_cbe_tmp161_2e_i671 = *llvm_cbe_tmp138_2e_i657;
  llvm_cbe_tmp165_2e_i675 = (&llvm_cbe_tmp161_2e_i671->field1);
  llvm_cbe_tmp166_2e_i = *llvm_cbe_tmp165_2e_i675;
  *llvm_cbe_tmp165_2e_i675 = (llvm_cbe_tmp166_2e_i | 4u);
  llvm_cbe_tmp171_2e_i = *((&llvm_cbe_storemerge3_2e_i694->field0));
  llvm_cbe_tmp173_2e_i = (&llvm_cbe_tmp171_2e_i->field0);
  llvm_cbe_tmp174_2e_i = *llvm_cbe_tmp173_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp174_2e_i)) & 4u) == 0u)) {
    goto llvm_cbe_bb180_2e_i;
  } else {
    llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i513_2e_2;   /* for PHI node */
    goto llvm_cbe_bb204_2e_i;
  }

llvm_cbe_bb155_2e_i:
  llvm_cbe_tmp2_2e_i160_2e_i = *llvm_cbe_tmp12_2e_i_2e_i547;
  llvm_cbe_tmp5_2e_i163_2e_i = *llvm_cbe_tmp4_2e_i_2e_i539;
  if ((((signed int )llvm_cbe_tmp2_2e_i160_2e_i) < ((signed int )llvm_cbe_tmp5_2e_i163_2e_i))) {
    goto llvm_cbe__ZN8b2Island3AddEP9b2Contact_2e_exit_2e_i680;
  } else {
    goto llvm_cbe_bb_2e_i165_2e_i;
  }

llvm_cbe_bb190_2e_i:
  *((&llvm_cbe_tmp8081_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_stackCount_2e_i513_2e_2)))])) = llvm_cbe_tmp171_2e_i;
  llvm_cbe_tmp197_2e_i687 = llvm_cbe_stackCount_2e_i513_2e_2 + 1u;
  llvm_cbe_tmp200_2e_i = *llvm_cbe_tmp173_2e_i;
  *llvm_cbe_tmp173_2e_i = (((unsigned short )(llvm_cbe_tmp200_2e_i | ((unsigned short )4))));
  llvm_cbe_stackCount_2e_i513_2e_1__PHI_TEMPORARY = llvm_cbe_tmp197_2e_i687;   /* for PHI node */
  goto llvm_cbe_bb204_2e_i;

llvm_cbe_bb180_2e_i:
  if ((((signed int )llvm_cbe_stackCount_2e_i513_2e_2) < ((signed int )llvm_cbe_tmp73_2e_i619))) {
    goto llvm_cbe_bb190_2e_i;
  } else {
    goto llvm_cbe_bb186_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb208.i' */
llvm_cbe_bb132_2e_i656:
  llvm_cbe_tmp134_2e_i655 = (&llvm_cbe_tmp120_2e_i->field14);
  llvm_cbe_stackCount_2e_i513_2e_2__PHI_TEMPORARY = llvm_cbe_tmp115_2e_i;   /* for PHI node */
  llvm_cbe_storemerge3_2e_in_2e_i693__PHI_TEMPORARY = llvm_cbe_tmp134_2e_i655;   /* for PHI node */
  goto llvm_cbe_bb208_2e_i;

  } while (1); /* end of syntactic loop 'bb113.i' */
llvm_cbe_bb99_2e_i640:
  *llvm_cbe_tmp10_2e_i_2e_i545 = 0u;
  *llvm_cbe_tmp12_2e_i_2e_i547 = 0u;
  *llvm_cbe_tmp14_2e_i_2e_i549 = 0u;
  *llvm_cbe_tmp8081_2e_i = llvm_cbe_storemerge6_2e_i1003;
  llvm_cbe_tmp109_2e_i = *llvm_cbe_tmp87_2e_i;
  *llvm_cbe_tmp87_2e_i = (((unsigned short )(llvm_cbe_tmp109_2e_i | ((unsigned short )4))));
  *(&llvm_cbe_stackCount_2e_i513_2e_0_2e_reg2mem) = 1u;
  goto llvm_cbe_bb113_2e_i;

  do {     /* Syntactic loop 'bb464.i.i' to make GCC happy */
llvm_cbe_bb464_2e_i_2e_i:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp467_2e_i_2e_i_2e_rle = llvm_cbe_tmp467_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  *llvm_cbe_tmp55_2e_i_2e_i584 = llvm_cbe_storemerge;
  llvm_cbe_tmp470_2e_i_2e_i = *llvm_cbe_tmp4;
  if ((((signed int )llvm_cbe_tmp467_2e_i_2e_i_2e_rle) < ((signed int )llvm_cbe_tmp470_2e_i_2e_i))) {
    goto llvm_cbe_bb396_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb474_2e_i_2e_i;
  }

llvm_cbe_bb457_2e_i_2e_i:
  llvm_cbe_tmp460_2e_i_2e_i = *llvm_cbe_tmp55_2e_i_2e_i584;
  llvm_cbe_tmp461_2e_i_2e_i = llvm_cbe_tmp460_2e_i_2e_i + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp461_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_tmp467_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp461_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb464_2e_i_2e_i;

llvm_cbe_bb451_2e_i_2e_i:
  if (((((llvm_cbe_tmp398_2e_i_2e_i == ((unsigned char )0)) | (llvm_cbe_jointsOkay_2e_i_2e_i_2e_0 == ((unsigned char )0)))&1))) {
    goto llvm_cbe_bb457_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb474_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb443.i.i' to make GCC happy */
llvm_cbe_bb443_2e_i_2e_i:
  llvm_cbe_jointsOkay_2e_i_2e_i_2e_0 = llvm_cbe_jointsOkay_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge14_2e_i_2e_i = llvm_cbe_storemerge14_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp446_2e_i_2e_i = *llvm_cbe_tmp14_2e_i_2e_i549;
  if ((((signed int )llvm_cbe_tmp446_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge14_2e_i_2e_i))) {
    goto llvm_cbe_bb399_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb451_2e_i_2e_i;
  }

llvm_cbe_bb399_2e_i_2e_i:
  llvm_cbe_tmp409_2e_i_2e_i = *llvm_cbe_tmp53_2e_i_2e_i582;
  llvm_cbe_tmp413_2e_i_2e_i = *((&llvm_cbe_tmp409_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge14_2e_i_2e_i)))]));
  llvm_cbe_tmp415_2e_i_2e_i = *((&llvm_cbe_tmp413_2e_i_2e_i->field0));
  llvm_cbe_tmp417_2e_i_2e_i = *((&llvm_cbe_tmp415_2e_i_2e_i[((signed long long )9ull)]));
  llvm_cbe_tmp427_2e_i_2e_i = (((unsigned char  (*) (struct l_struct_2E_b2Joint *))llvm_cbe_tmp417_2e_i_2e_i))(llvm_cbe_tmp413_2e_i_2e_i);
  llvm_cbe_storemerge13_2e_i_2e_i = ((unsigned char )((((unsigned char )(bool )((((llvm_cbe_jointsOkay_2e_i_2e_i_2e_0 == ((unsigned char )0)) | (llvm_cbe_tmp427_2e_i_2e_i == ((unsigned char )0)))&1)))) ^ ((unsigned char )1)));
  llvm_cbe_tmp442_2e_i_2e_i = llvm_cbe_storemerge14_2e_i_2e_i + 1u;
  llvm_cbe_jointsOkay_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge13_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge14_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp442_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb443_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb443.i.i' */
llvm_cbe_bb396_2e_i_2e_i:
  llvm_cbe_tmp398_2e_i_2e_i = _ZN15b2ContactSolver24SolvePositionConstraintsEf((&llvm_cbe_contactSolver_2e_i_2e_i492), 0x1.99999ap-3);
  llvm_cbe_jointsOkay_2e_i_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  llvm_cbe_storemerge14_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb443_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb464.i.i' */
  do {     /* Syntactic loop 'bb385.i.i' to make GCC happy */
llvm_cbe_bb385_2e_i_2e_i:
  llvm_cbe_storemerge12_2e_i_2e_i = llvm_cbe_storemerge12_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp388_2e_i_2e_i = *llvm_cbe_tmp14_2e_i_2e_i549;
  if ((((signed int )llvm_cbe_tmp388_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge12_2e_i_2e_i))) {
    goto llvm_cbe_bb355_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
    llvm_cbe_tmp467_2e_i_2e_i_2e_rle__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb464_2e_i_2e_i;
  }

llvm_cbe_bb355_2e_i_2e_i:
  llvm_cbe_tmp365_2e_i_2e_i = *llvm_cbe_tmp53_2e_i_2e_i582;
  llvm_cbe_tmp369_2e_i_2e_i = *((&llvm_cbe_tmp365_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge12_2e_i_2e_i)))]));
  llvm_cbe_tmp371_2e_i_2e_i = *((&llvm_cbe_tmp369_2e_i_2e_i->field0));
  llvm_cbe_tmp373_2e_i_2e_i = *((&llvm_cbe_tmp371_2e_i_2e_i[((signed long long )8ull)]));
  (((void  (*) (struct l_struct_2E_b2Joint *))llvm_cbe_tmp373_2e_i_2e_i))(llvm_cbe_tmp369_2e_i_2e_i);
  llvm_cbe_tmp384_2e_i_2e_i = llvm_cbe_storemerge12_2e_i_2e_i + 1u;
  llvm_cbe_storemerge12_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp384_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb385_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb385.i.i' */
llvm_cbe_bb572_2e_i_2e_i:
  if ((llvm_fcmp_ult(llvm_cbe_minSleepTime_2e_i_2e_i_2e_2, 0x1p-1))) {
    goto llvm_cbe__ZN8b2Island5SolveERK10b2TimeStepRK6b2Vec2bb_2e_exit_2e_i;
  } else {
    llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb604_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb564.i.i' to make GCC happy */
llvm_cbe_bb564_2e_i_2e_i:
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_2 = llvm_cbe_minSleepTime_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge16_2e_i_2e_i = llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp567_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i545;
  if ((((signed int )llvm_cbe_tmp567_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge16_2e_i_2e_i))) {
    goto llvm_cbe_bb482_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb572_2e_i_2e_i;
  }

llvm_cbe_bb561_2e_i_2e_i:
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_1 = llvm_cbe_minSleepTime_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp563_2e_i_2e_i = llvm_cbe_storemerge16_2e_i_2e_i + 1u;
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_minSleepTime_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp563_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb564_2e_i_2e_i;

llvm_cbe_bb482_2e_i_2e_i:
  llvm_cbe_tmp485_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp489_2e_i_2e_i = *((&llvm_cbe_tmp485_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge16_2e_i_2e_i)))]));
  llvm_cbe_tmp492_2e_i_2e_i = *((&llvm_cbe_tmp489_2e_i_2e_i->field16));
  if ((llvm_fcmp_oeq(llvm_cbe_tmp492_2e_i_2e_i, 0x0p+0))) {
    llvm_cbe_minSleepTime_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_minSleepTime_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb561_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb496_2e_i_2e_i;
  }

llvm_cbe_bb543_2e_i_2e_i:
  *((&llvm_cbe_tmp489_2e_i_2e_i->field21)) = 0x0p+0;
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb561_2e_i_2e_i;

llvm_cbe_bb508_2e_i_2e_i:
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_0 = llvm_cbe_minSleepTime_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp499_2e_i_2e_i)) & 16u) == 0u)) {
    goto llvm_cbe_bb543_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb517_2e_i_2e_i;
  }

llvm_cbe_bb496_2e_i_2e_i:
  llvm_cbe_tmp499_2e_i_2e_i = *((&llvm_cbe_tmp489_2e_i_2e_i->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp499_2e_i_2e_i)) & 16u) == 0u)) {
    goto llvm_cbe_bb505_2e_i_2e_i;
  } else {
    llvm_cbe_minSleepTime_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minSleepTime_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb508_2e_i_2e_i;
  }

llvm_cbe_bb505_2e_i_2e_i:
  *((&llvm_cbe_tmp489_2e_i_2e_i->field21)) = 0x0p+0;
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb508_2e_i_2e_i;

llvm_cbe_bb517_2e_i_2e_i:
  llvm_cbe_tmp520_2e_i_2e_i = *((&llvm_cbe_tmp489_2e_i_2e_i->field5));
  if ((llvm_fcmp_ogt((((float )(llvm_cbe_tmp520_2e_i_2e_i * llvm_cbe_tmp520_2e_i_2e_i))), 0x1.02e85cp-13))) {
    goto llvm_cbe_bb543_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb528_2e_i_2e_i;
  }

llvm_cbe_bb528_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i38_2e_i_2e_i = *((&llvm_cbe_tmp489_2e_i_2e_i->field4.field0));
  llvm_cbe_tmp10_2e_i_2e_i_2e_i957 = *((&llvm_cbe_tmp489_2e_i_2e_i->field4.field1));
  if ((llvm_fcmp_ogt((((float )((((float )(llvm_cbe_tmp3_2e_i38_2e_i_2e_i * llvm_cbe_tmp3_2e_i38_2e_i_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i_2e_i_2e_i957 * llvm_cbe_tmp10_2e_i_2e_i_2e_i957)))))), 0x1.a36e2ep-14))) {
    goto llvm_cbe_bb543_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb546_2e_i_2e_i;
  }

llvm_cbe_bb546_2e_i_2e_i:
  llvm_cbe_tmp548_2e_i_2e_i = (&llvm_cbe_tmp489_2e_i_2e_i->field21);
  llvm_cbe_tmp549_2e_i_2e_i = *llvm_cbe_tmp548_2e_i_2e_i;
  llvm_cbe_tmp552_2e_i_2e_i = *llvm_cbe_tmp2;
  llvm_cbe_tmp553_2e_i_2e_i = ((float )(llvm_cbe_tmp549_2e_i_2e_i + llvm_cbe_tmp552_2e_i_2e_i));
  *llvm_cbe_tmp548_2e_i_2e_i = llvm_cbe_tmp553_2e_i_2e_i;
  llvm_cbe_storemerge_2e_i_2e_i_2e_i968 = (((llvm_fcmp_olt(llvm_cbe_minSleepTime_2e_i_2e_i_2e_0, llvm_cbe_tmp553_2e_i_2e_i))) ? (llvm_cbe_minSleepTime_2e_i_2e_i_2e_0) : (llvm_cbe_tmp553_2e_i_2e_i));
  llvm_cbe_minSleepTime_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i968;   /* for PHI node */
  goto llvm_cbe_bb561_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb564.i.i' */
  do {     /* Syntactic loop 'bb604.i.i' to make GCC happy */
llvm_cbe_bb604_2e_i_2e_i:
  llvm_cbe_storemerge17_2e_i_2e_i = llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp607_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i545;
  if ((((signed int )llvm_cbe_tmp607_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge17_2e_i_2e_i))) {
    goto llvm_cbe_bb578_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN8b2Island5SolveERK10b2TimeStepRK6b2Vec2bb_2e_exit_2e_i;
  }

llvm_cbe_bb578_2e_i_2e_i:
  llvm_cbe_tmp581_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp585_2e_i_2e_i = *((&llvm_cbe_tmp581_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge17_2e_i_2e_i)))]));
  llvm_cbe_tmp587_2e_i_2e_i = (&llvm_cbe_tmp585_2e_i_2e_i->field0);
  llvm_cbe_tmp588_2e_i_2e_i = *llvm_cbe_tmp587_2e_i_2e_i;
  *llvm_cbe_tmp587_2e_i_2e_i = (((unsigned short )(llvm_cbe_tmp588_2e_i_2e_i | ((unsigned short )8))));
  *((&llvm_cbe_tmp585_2e_i_2e_i->field4.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp585_2e_i_2e_i->field4.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp585_2e_i_2e_i->field5)) = 0x0p+0;
  llvm_cbe_tmp603_2e_i_2e_i = llvm_cbe_storemerge17_2e_i_2e_i + 1u;
  llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp603_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb604_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb604.i.i' */
  } while (1); /* end of syntactic loop 'bb336.i' */
llvm_cbe_bb341_2e_i:
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp10_2e_i, llvm_cbe_tmp80_2e_i622);
  llvm_cbe_tmp374_2e_i1020 = (&llvm_cbe_this->field15);
  llvm_cbe_storemerge7_2e_i1036_2e_in__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i586;   /* for PHI node */
  goto llvm_cbe_bb399_2e_i;

  do {     /* Syntactic loop 'bb399.i' to make GCC happy */
llvm_cbe_bb399_2e_i:
  llvm_cbe_storemerge7_2e_i1036_2e_in = llvm_cbe_storemerge7_2e_i1036_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge7_2e_i1036 = *llvm_cbe_storemerge7_2e_i1036_2e_in;
  if ((llvm_cbe_storemerge7_2e_i1036 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb404_2e_i;
  } else {
    goto llvm_cbe_bb350_2e_i;
  }

llvm_cbe_bb396_2e_i:
  llvm_cbe_tmp2_2e_i50_2e_i = (&llvm_cbe_storemerge7_2e_i1036->field10);
  llvm_cbe_storemerge7_2e_i1036_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i50_2e_i;   /* for PHI node */
  goto llvm_cbe_bb399_2e_i;

llvm_cbe_bb350_2e_i:
  llvm_cbe_tmp353_2e_i1012 = *((&llvm_cbe_storemerge7_2e_i1036->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp353_2e_i1012)) & 10u) == 0u)) {
    goto llvm_cbe_bb359_2e_i;
  } else {
    goto llvm_cbe_bb396_2e_i;
  }

llvm_cbe_bb359_2e_i:
  llvm_cbe_tmp3_2e_i64_2e_i = *((&llvm_cbe_storemerge7_2e_i1036->field1));
  if ((llvm_cbe_tmp3_2e_i64_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb396_2e_i;
  } else {
    goto llvm_cbe_bb364_2e_i1018;
  }

llvm_cbe_bb364_2e_i1018:
  llvm_cbe_tmp367_2e_i1017 = _ZN6b2Body17SynchronizeShapesEv(llvm_cbe_storemerge7_2e_i1036);
  if ((llvm_cbe_tmp367_2e_i1017 == ((unsigned char )0))) {
    goto llvm_cbe_bb372_2e_i;
  } else {
    goto llvm_cbe_bb396_2e_i;
  }

llvm_cbe_bb372_2e_i:
  llvm_cbe_tmp375_2e_i1021 = *llvm_cbe_tmp374_2e_i1020;
  if ((llvm_cbe_tmp375_2e_i1021 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb396_2e_i;
  } else {
    goto llvm_cbe_bb379_2e_i;
  }

llvm_cbe_bb379_2e_i:
  llvm_cbe_tmp387_2e_i1027 = *((&llvm_cbe_tmp375_2e_i1021->field0));
  llvm_cbe_tmp389_2e_i1029 = *((&llvm_cbe_tmp387_2e_i1027[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2Body *))llvm_cbe_tmp389_2e_i1029))(llvm_cbe_tmp375_2e_i1021, llvm_cbe_storemerge7_2e_i1036);
  goto llvm_cbe_bb396_2e_i;

  } while (1); /* end of syntactic loop 'bb399.i' */
llvm_cbe_bb404_2e_i:
  llvm_cbe_tmp407_2e_i1039 = *((&llvm_cbe_this->field3));
  _ZN13b2PairManager6CommitEv(((&llvm_cbe_tmp407_2e_i1039->field0)));
  llvm_cbe_tmp2_2e_i30_2e_i = *llvm_cbe_tmp53_2e_i_2e_i582;
  llvm_cbe_tmp5_2e_i33_2e_i = *llvm_cbe_tmp16_2e_i_2e_i551;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp5_2e_i33_2e_i, (((unsigned char *)llvm_cbe_tmp2_2e_i30_2e_i)));
  llvm_cbe_tmp9_2e_i37_2e_i = *llvm_cbe_tmp42_2e_i_2e_i573;
  llvm_cbe_tmp12_2e_i40_2e_i = *llvm_cbe_tmp16_2e_i_2e_i551;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp12_2e_i40_2e_i, (((unsigned char *)llvm_cbe_tmp9_2e_i37_2e_i)));
  llvm_cbe_tmp16_2e_i44_2e_i = *llvm_cbe_tmp31_2e_i_2e_i564;
  llvm_cbe_tmp19_2e_i47_2e_i = *llvm_cbe_tmp16_2e_i_2e_i551;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp19_2e_i47_2e_i, (((unsigned char *)llvm_cbe_tmp16_2e_i44_2e_i)));
  goto llvm_cbe_bb38;

llvm_cbe_bb38:
  llvm_cbe_tmp41 = *((&llvm_cbe_this->field23));
  if ((llvm_cbe_tmp41 == ((unsigned char )0))) {
    goto llvm_cbe_bb51;
  } else {
    goto llvm_cbe_bb43;
  }

llvm_cbe_bb43:
  llvm_cbe_tmp45 = *llvm_cbe_tmp2;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp45, 0x0p+0))) {
    goto llvm_cbe_bb49;
  } else {
    goto llvm_cbe_bb51;
  }

llvm_cbe_bb49:
  llvm_cbe_tmp11_2e_i49 = (&llvm_cbe_this->field17);
  llvm_cbe_tmp12_2e_i = *llvm_cbe_tmp11_2e_i49;
  llvm_cbe_tmp14_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp16_2e_i50 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp17_2e_i51 = *llvm_cbe_tmp16_2e_i50;
  llvm_cbe_tmp1_2e_i_2e_i53 = (&llvm_cbe_island_2e_i.field8);
  *llvm_cbe_tmp1_2e_i_2e_i53 = llvm_cbe_tmp17_2e_i51;
  llvm_cbe_tmp4_2e_i_2e_i56 = (&llvm_cbe_island_2e_i.field9);
  *llvm_cbe_tmp4_2e_i_2e_i56 = 32u;
  *((&llvm_cbe_island_2e_i.field10)) = 0u;
  llvm_cbe_tmp10_2e_i_2e_i62 = (&llvm_cbe_island_2e_i.field5);
  *llvm_cbe_tmp10_2e_i_2e_i62 = 0u;
  llvm_cbe_tmp12_2e_i_2e_i64 = (&llvm_cbe_island_2e_i.field7);
  *llvm_cbe_tmp12_2e_i_2e_i64 = 0u;
  llvm_cbe_tmp14_2e_i_2e_i66 = (&llvm_cbe_island_2e_i.field6);
  *llvm_cbe_tmp14_2e_i_2e_i66 = 0u;
  llvm_cbe_tmp16_2e_i_2e_i68 = (&llvm_cbe_island_2e_i.field0);
  *llvm_cbe_tmp16_2e_i_2e_i68 = llvm_cbe_tmp14_2e_i;
  *((&llvm_cbe_island_2e_i.field1)) = llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp28_2e_i_2e_i77 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp14_2e_i, (llvm_cbe_tmp17_2e_i51 << 3u));
  llvm_cbe_tmp31_2e_i_2e_i79 = (&llvm_cbe_island_2e_i.field2);
  *llvm_cbe_tmp31_2e_i_2e_i79 = (((struct l_struct_2E_b2Body **)llvm_cbe_tmp28_2e_i_2e_i77));
  llvm_cbe_tmp38_2e_i_2e_i83 = *llvm_cbe_tmp16_2e_i_2e_i68;
  llvm_cbe_tmp39_2e_i_2e_i84 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp38_2e_i_2e_i83, 256u);
  llvm_cbe_tmp42_2e_i_2e_i86 = (&llvm_cbe_island_2e_i.field3);
  *llvm_cbe_tmp42_2e_i_2e_i86 = (((struct l_struct_2E_b2Contact **)llvm_cbe_tmp39_2e_i_2e_i84));
  llvm_cbe_tmp49_2e_i_2e_i89 = *llvm_cbe_tmp16_2e_i_2e_i68;
  llvm_cbe_tmp50_2e_i_2e_i = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp49_2e_i_2e_i89, 0u);
  llvm_cbe_tmp53_2e_i_2e_i91 = (&llvm_cbe_island_2e_i.field4);
  *llvm_cbe_tmp53_2e_i_2e_i91 = (((struct l_struct_2E_b2Joint **)llvm_cbe_tmp50_2e_i_2e_i));
  *((&llvm_cbe_island_2e_i.field11)) = 0u;
  llvm_cbe_tmp20_2e_i96 = *llvm_cbe_tmp16_2e_i50;
  llvm_cbe_tmp27_2e_i = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_tmp14_2e_i, (llvm_cbe_tmp20_2e_i96 << 3u));
  llvm_cbe_tmp2728_2e_i = ((struct l_struct_2E_b2Body **)llvm_cbe_tmp27_2e_i);
  llvm_cbe_tmp30_2e_i100 = (&llvm_cbe_this->field5);
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp30_2e_i100;   /* for PHI node */
  goto llvm_cbe_bb44_2e_i;

  do {     /* Syntactic loop 'bb44.i' to make GCC happy */
llvm_cbe_bb44_2e_i:
  llvm_cbe_storemerge_2e_in_2e_i = llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i111 = *llvm_cbe_storemerge_2e_in_2e_i;
  if ((llvm_cbe_storemerge_2e_i111 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb48_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i110;
  }

llvm_cbe_bb_2e_i110:
  llvm_cbe_tmp33_2e_i102 = (&llvm_cbe_storemerge_2e_i111->field0);
  llvm_cbe_tmp34_2e_i103 = *llvm_cbe_tmp33_2e_i102;
  *llvm_cbe_tmp33_2e_i102 = (((unsigned short )(llvm_cbe_tmp34_2e_i103 & ((unsigned short )-5))));
  *((&llvm_cbe_storemerge_2e_i111->field3.field5)) = 0x0p+0;
  llvm_cbe_tmp42_2e_i = (&llvm_cbe_storemerge_2e_i111->field10);
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp42_2e_i;   /* for PHI node */
  goto llvm_cbe_bb44_2e_i;

  } while (1); /* end of syntactic loop 'bb44.i' */
llvm_cbe_bb48_2e_i:
  llvm_cbe_tmp50_2e_i = (&llvm_cbe_this->field7);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp50_2e_i;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i;

  do {     /* Syntactic loop 'bb62.i' to make GCC happy */
llvm_cbe_bb62_2e_i:
  llvm_cbe_storemerge1_2e_in_2e_i = llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i115 = *llvm_cbe_storemerge1_2e_in_2e_i;
  if ((llvm_cbe_storemerge1_2e_i115 == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb67_2e_i_2e_loopexit;
  } else {
    goto llvm_cbe_bb52_2e_i;
  }

llvm_cbe_bb52_2e_i:
  llvm_cbe_tmp54_2e_i = (&llvm_cbe_storemerge1_2e_i115->field1);
  llvm_cbe_tmp55_2e_i = *llvm_cbe_tmp54_2e_i;
  *llvm_cbe_tmp54_2e_i = (llvm_cbe_tmp55_2e_i & 4294967283u);
  llvm_cbe_tmp60_2e_i114 = (&llvm_cbe_storemerge1_2e_i115->field4);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp60_2e_i114;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i;

  } while (1); /* end of syntactic loop 'bb62.i' */
llvm_cbe_bb67_2e_i_2e_loopexit:
  llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1_2e_i_2e_i32.field0);
  llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = (&llvm_cbe_p1_2e_i_2e_i32.field1);
  llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = (&llvm_cbe_p2_2e_i_2e_i31.field0);
  llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = (&llvm_cbe_p2_2e_i_2e_i31.field1);
  llvm_cbe_tmp21_2e_i_2e_i_2e_i_2e_i174 = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp49_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_v_2e_i_2e_i_2e_i_2e_i24.field0);
  llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_v_2e_i_2e_i_2e_i_2e_i24.field1);
  llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp7_2e_i_2e_i172_2e_i_2e_i.field0);
  llvm_cbe_tmp112_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp7_2e_i_2e_i172_2e_i_2e_i.field1);
  llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_w_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_w_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp182_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp185_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp189_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp192_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp199_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp234_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp237_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp244_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp262_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp265_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p1s_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp269_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp272_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p2s_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp276_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp279_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp455_2e_i = (&llvm_cbe_subStep_2e_i.field0);
  llvm_cbe_tmp469_2e_i = (&llvm_cbe_subStep_2e_i.field1);
  llvm_cbe_tmp473_2e_i332 = (&llvm_cbe_subStep_2e_i.field3);
  llvm_cbe_tmp124_2e_i_2e_i = (&llvm_cbe_contactSolver_2e_i_2e_i.field2);
  llvm_cbe_tmp4_2e_i11_2e_i_2e_i = (&llvm_cbe_contactSolver_2e_i_2e_i.field1);
  llvm_cbe_tmp511_2e_i429 = (&llvm_cbe_this->field15);
  llvm_cbe_tmp591_2e_i456 = (&llvm_cbe_this->field3);
  goto llvm_cbe_bb67_2e_i;

  do {     /* Syntactic loop 'bb67.i' to make GCC happy */
llvm_cbe_bb67_2e_i:
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6;   /* for PHI node */
  llvm_cbe_minTOI_2e_i_2e_1__PHI_TEMPORARY = 0x1p+0;   /* for PHI node */
  llvm_cbe_minContact_2e_i_2e_1__PHI_TEMPORARY = ((struct l_struct_2E_b2Contact *)/*NULL*/0);   /* for PHI node */
  llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp50_2e_i;   /* for PHI node */
  goto llvm_cbe_bb248_2e_i;

llvm_cbe_bb269_2e_i:
  llvm_cbe_tmp3_2e_i275_2e_i = *((&llvm_cbe_minContact_2e_i_2e_1->field7));
  llvm_cbe_tmp3_2e_i271_2e_i253 = *((&llvm_cbe_minContact_2e_i_2e_1->field8));
  llvm_cbe_tmp3_2e_i267_2e_i = *((&llvm_cbe_tmp3_2e_i275_2e_i->field3));
  llvm_cbe_tmp3_2e_i263_2e_i = *((&llvm_cbe_tmp3_2e_i271_2e_i253->field3));
  _ZN7b2Sweep7AdvanceEf(((&llvm_cbe_tmp3_2e_i267_2e_i->field3)), llvm_cbe_minTOI_2e_i_2e_1);
  llvm_cbe_tmp9_2e_i244_2e_i = *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field1.field0));
  llvm_cbe_tmp12_2e_i247_2e_i = *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field1.field1));
  *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field2.field0)) = llvm_cbe_tmp9_2e_i244_2e_i;
  *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field2.field1)) = llvm_cbe_tmp12_2e_i247_2e_i;
  llvm_cbe_tmp25_2e_i257_2e_i = *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field3));
  *((&llvm_cbe_tmp3_2e_i267_2e_i->field3.field4)) = llvm_cbe_tmp25_2e_i257_2e_i;
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp3_2e_i267_2e_i);
  _ZN7b2Sweep7AdvanceEf(((&llvm_cbe_tmp3_2e_i263_2e_i->field3)), llvm_cbe_minTOI_2e_i_2e_1);
  llvm_cbe_tmp9_2e_i218_2e_i = *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field1.field0));
  llvm_cbe_tmp12_2e_i221_2e_i = *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field1.field1));
  *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field2.field0)) = llvm_cbe_tmp9_2e_i218_2e_i;
  *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field2.field1)) = llvm_cbe_tmp12_2e_i221_2e_i;
  llvm_cbe_tmp25_2e_i231_2e_i = *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field3));
  *((&llvm_cbe_tmp3_2e_i263_2e_i->field3.field4)) = llvm_cbe_tmp25_2e_i231_2e_i;
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp3_2e_i263_2e_i);
  llvm_cbe_tmp286_2e_i = *llvm_cbe_tmp11_2e_i49;
  _ZN9b2Contact6UpdateEP17b2ContactListener(llvm_cbe_minContact_2e_i_2e_1, llvm_cbe_tmp286_2e_i);
  llvm_cbe_tmp290_2e_i259 = (&llvm_cbe_minContact_2e_i_2e_1->field1);
  llvm_cbe_tmp291_2e_i260 = *llvm_cbe_tmp290_2e_i259;
  *llvm_cbe_tmp290_2e_i259 = (llvm_cbe_tmp291_2e_i260 & 4294967287u);
  llvm_cbe_tmp3_2e_i203_2e_i = *((&llvm_cbe_minContact_2e_i_2e_1->field2));
  if ((llvm_cbe_tmp3_2e_i203_2e_i == 0u)) {
    llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    goto llvm_cbe_bb67_2e_i;
  } else {
    goto llvm_cbe_bb301_2e_i;
  }

llvm_cbe_bb253_2e_i:
  if (((((llvm_cbe_minContact_2e_i_2e_1 == ((struct l_struct_2E_b2Contact *)/*NULL*/0)) | (llvm_fcmp_ogt(llvm_cbe_minTOI_2e_i_2e_1, 0x1.fffe7p-1)))&1))) {
    goto llvm_cbe__ZN7b2World8SolveTOIERK10b2TimeStep_2e_exit;
  } else {
    goto llvm_cbe_bb269_2e_i;
  }

  do {     /* Syntactic loop 'bb248.i' to make GCC happy */
llvm_cbe_bb248_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_minTOI_2e_i_2e_1 = llvm_cbe_minTOI_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_minContact_2e_i_2e_1 = llvm_cbe_minContact_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_in_2e_i = llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_i = *llvm_cbe_storemerge3_2e_in_2e_i;
  if ((llvm_cbe_storemerge3_2e_i == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb253_2e_i;
  } else {
    goto llvm_cbe_bb71_2e_i;
  }

llvm_cbe_bb244_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_minTOI_2e_i_2e_0 = llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_minContact_2e_i_2e_0 = llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp246_2e_i = (&llvm_cbe_storemerge3_2e_i->field4);
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_minTOI_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_minTOI_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_minContact_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_minContact_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp246_2e_i;   /* for PHI node */
  goto llvm_cbe_bb248_2e_i;

llvm_cbe_bb71_2e_i:
  llvm_cbe_tmp73_2e_i = (&llvm_cbe_storemerge3_2e_i->field1);
  llvm_cbe_tmp74_2e_i118 = *llvm_cbe_tmp73_2e_i;
  if (((llvm_cbe_tmp74_2e_i118 & 3u) == 0u)) {
    goto llvm_cbe_bb79_2e_i;
  } else {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minTOI_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minContact_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb244_2e_i;
  }

llvm_cbe_bb107_2e_i132:
  llvm_cbe_tmp3_2e_i430_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i430_2e_i == ((unsigned short )0))) {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minTOI_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minContact_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb244_2e_i;
  } else {
    goto llvm_cbe_bb111_2e_i;
  }

llvm_cbe_bb91_2e_i:
  llvm_cbe_tmp2_2e_i51_2e_i = (&llvm_cbe_storemerge3_2e_i->field7);
  llvm_cbe_tmp3_2e_i52_2e_i = *llvm_cbe_tmp2_2e_i51_2e_i;
  llvm_cbe_tmp2_2e_i54_2e_i = (&llvm_cbe_storemerge3_2e_i->field8);
  llvm_cbe_tmp3_2e_i55_2e_i = *llvm_cbe_tmp2_2e_i54_2e_i;
  llvm_cbe_tmp3_2e_i207_2e_i = *((&llvm_cbe_tmp3_2e_i52_2e_i->field3));
  llvm_cbe_tmp3_2e_i279_2e_i = *((&llvm_cbe_tmp3_2e_i55_2e_i->field3));
  llvm_cbe_tmp3_2e_i410_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i410_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb107_2e_i132;
  } else {
    goto llvm_cbe_bb103_2e_i;
  }

llvm_cbe_bb79_2e_i:
  if (((llvm_cbe_tmp74_2e_i118 & 8u) == 0u)) {
    goto llvm_cbe_bb91_2e_i;
  } else {
    goto llvm_cbe_bb87_2e_i;
  }

llvm_cbe_bb103_2e_i:
  llvm_cbe_tmp3_2e_i417_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i417_2e_i)) & 8u) == 0u)) {
    goto llvm_cbe_bb121_2e_i141;
  } else {
    goto llvm_cbe_bb107_2e_i132;
  }

llvm_cbe_bb111_2e_i:
  llvm_cbe_tmp3_2e_i422_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i422_2e_i)) & 8u) == 0u)) {
    goto llvm_cbe_bb121_2e_i141;
  } else {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minTOI_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minContact_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb244_2e_i;
  }

llvm_cbe_bb230_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_toi_2e_i_2e_0 = llvm_cbe_toi_2e_i_2e_0__PHI_TEMPORARY;
  if (((((llvm_fcmp_ogt(llvm_cbe_toi_2e_i_2e_0, 0x1p-23)) & (llvm_fcmp_olt(llvm_cbe_toi_2e_i_2e_0, llvm_cbe_minTOI_2e_i_2e_1)))&1))) {
    goto llvm_cbe_bb241_2e_i;
  } else {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minTOI_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minContact_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb244_2e_i;
  }

llvm_cbe_bb87_2e_i:
  llvm_cbe_tmp90_2e_i123 = *((&llvm_cbe_storemerge3_2e_i->field11));
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_toi_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp90_2e_i123;   /* for PHI node */
  goto llvm_cbe_bb230_2e_i;

llvm_cbe_bb220_2e_i:
  llvm_cbe_toi_2e_i_2e_1 = llvm_cbe_toi_2e_i_2e_1__PHI_TEMPORARY;
  *((&llvm_cbe_storemerge3_2e_i->field11)) = llvm_cbe_toi_2e_i_2e_1;
  llvm_cbe_tmp226_2e_i238 = *llvm_cbe_tmp73_2e_i;
  *llvm_cbe_tmp73_2e_i = (llvm_cbe_tmp226_2e_i238 | 8u);
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i313_2e_i_2e_i170517061707_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i248_2e_i_2e_i169116921693_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_toi_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_toi_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb230_2e_i;

llvm_cbe_bb202_2e_i:
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2163 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2160 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  if ((llvm_fcmp_ogt(llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2163, 0x0p+0))) {
    goto llvm_cbe_bb207_2e_i;
  } else {
    llvm_cbe_toi_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2160;   /* for PHI node */
    goto llvm_cbe_bb220_2e_i;
  }

llvm_cbe_bb193_2e_i:
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2164 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  if ((llvm_fcmp_ugt(llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2164, 0x1p+0))) {
    goto llvm_cbe_bb198_2e_i;
  } else {
    goto llvm_cbe_bb202_2e_i;
  }

llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem) = 0x1p+0;
  *(&llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins;
  *(&llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins;
  goto llvm_cbe_bb193_2e_i;

  do {     /* Syntactic loop 'bb81.i.i' to make GCC happy */
llvm_cbe_bb81_2e_i_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_targetDistance_2e_i_2e_i_2e_1 = llvm_cbe_targetDistance_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_iter_2e_i_2e_i_2e_0 = llvm_cbe_iter_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_alpha_2e_i_2e_i_2e_1 = llvm_cbe_alpha_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp87_2e_i359_2e_i = ((float )((((float )((((float )(0x1p+0 - llvm_cbe_alpha_2e_i_2e_i_2e_1))) * llvm_cbe_tmp12_2e_i311_2e_i))) + llvm_cbe_alpha_2e_i_2e_i_2e_1));
  _ZNK7b2Sweep8GetXFormEP7b2XFormf(llvm_cbe_tmp183_2e_i155, (&llvm_cbe_xf1_2e_i_2e_i30), llvm_cbe_tmp87_2e_i359_2e_i);
  _ZNK7b2Sweep8GetXFormEP7b2XFormf(llvm_cbe_tmp178_2e_i, (&llvm_cbe_xf2_2e_i_2e_i29), llvm_cbe_tmp87_2e_i359_2e_i);
  llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i185_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i;
  if (((((llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i == 0u) & (llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i == 0u))&1))) {
    goto llvm_cbe_bb12_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb22_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb184_2e_i_2e_i:
  llvm_cbe_tmp187_2e_i_2e_i228 = llvm_cbe_iter_2e_i_2e_i_2e_0 + 1u;
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_targetDistance_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_targetDistance_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_iter_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187_2e_i_2e_i228;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp166_2e_i_2e_i220;   /* for PHI node */
  goto llvm_cbe_bb81_2e_i_2e_i;

llvm_cbe_bb177_2e_i_2e_i:
  if ((llvm_fcmp_ogt((((float )(llvm_cbe_alpha_2e_i_2e_i_2e_1 * 0x1.0000c8p+0))), llvm_cbe_tmp166_2e_i_2e_i220))) {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins;   /* for PHI node */
    goto llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb184_2e_i_2e_i;
  }

llvm_cbe_bb158_2e_i_2e_i:
  llvm_cbe_tmp166_2e_i_2e_i220 = ((float )(llvm_cbe_alpha_2e_i_2e_i_2e_1 + (((float )(llvm_cbe_tmp112_2e_i_2e_i / llvm_cbe_tmp150_2e_i_2e_i212)))));
  if (((((llvm_fcmp_olt(llvm_cbe_tmp166_2e_i_2e_i220, 0x0p+0)) | (llvm_fcmp_ogt(llvm_cbe_tmp166_2e_i_2e_i220, 0x1p+0)))&1))) {
    goto llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb177_2e_i_2e_i;
  }

llvm_cbe__Z5b2Absf_2e_exit_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i_2e_i_2e_i, 0x1p-23))) {
    goto llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb158_2e_i_2e_i;
  }

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i:
  llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0 = llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0 = llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins = llvm_cbe_tmp23_2e_i_2e_i389_2e_i13411342 | llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350;
  llvm_cbe_tmp150_2e_i_2e_i212 = ((float )((((float )((((float )((((float )(llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0 * ((llvm_cbe_tmp136_2e_i_2e_i2041332__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins)), llvm_cbe_tmp136_2e_i_2e_i2041332__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0 * ((llvm_cbe_tmp139_2e_i_2e_i1336__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp139_2e_i_2e_i1336__BITCAST_TEMPORARY.Float)))))))) + (((float )(((((llvm_fcmp_ule(llvm_cbe_tmp67_2e_i346_2e_i, 0x0p+0))) ? (llvm_cbe_tmp5_2e_i46_2e_i_2e_i) : (llvm_cbe_tmp67_2e_i346_2e_i))) * llvm_cbe_tmp3_2e_i_2e_i307_2e_i)))))) + (((float )(((((llvm_fcmp_ule(llvm_cbe_tmp74_2e_i351_2e_i, 0x0p+0))) ? (llvm_cbe_tmp5_2e_i35_2e_i_2e_i) : (llvm_cbe_tmp74_2e_i351_2e_i))) * llvm_cbe_tmp3_2e_i205_2e_i_2e_i)))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp150_2e_i_2e_i212, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp150_2e_i_2e_i212;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit_2e_i_2e_i;
  }

llvm_cbe_bb122_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i117_2e_i_2e_i = *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i120_2e_i_2e_i = *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i124_2e_i_2e_i = *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i127_2e_i_2e_i = *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i143_2e_i_2e_i1355__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i124_2e_i_2e_i - llvm_cbe_tmp13_2e_i127_2e_i_2e_i))), llvm_cbe_tmp23_2e_i143_2e_i_2e_i1355__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i146_2e_i_2e_i1362__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i117_2e_i_2e_i - llvm_cbe_tmp6_2e_i120_2e_i_2e_i))), llvm_cbe_tmp26_2e_i146_2e_i_2e_i1362__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp127_2e_i_2e_i1891325 = (llvm_cbe_tmp127_2e_i_2e_i1891325__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins)), llvm_cbe_tmp127_2e_i_2e_i1891325__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp130_2e_i374_2e_i1329 = (llvm_cbe_tmp130_2e_i374_2e_i1329__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i146_2e_i_2e_i136213631364_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp130_2e_i374_2e_i1329__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i201 = sqrtf((((float )((((float )(llvm_cbe_tmp127_2e_i_2e_i1891325 * llvm_cbe_tmp127_2e_i_2e_i1891325))) + (((float )(llvm_cbe_tmp130_2e_i374_2e_i1329 * llvm_cbe_tmp130_2e_i374_2e_i1329)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i201, 0x1p-23))) {
    llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp127_2e_i_2e_i1891325;   /* for PHI node */
    llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp130_2e_i374_2e_i1329;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i103_2e_i_2e_i;
  }

llvm_cbe_bb109_2e_i_2e_i:
  llvm_cbe_targetDistance_2e_i_2e_i_2e_0 = llvm_cbe_targetDistance_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp112_2e_i_2e_i = ((float )(llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0 - llvm_cbe_targetDistance_2e_i_2e_i_2e_0));
  if (((((llvm_fcmp_olt(llvm_cbe_tmp112_2e_i_2e_i, 0x1.0624dep-9)) | (llvm_cbe_iter_2e_i_2e_i_2e_0 == 20u))&1))) {
    llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb122_2e_i_2e_i;
  }

llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i:
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_iter_2e_i_2e_i_2e_0 == 0u)) {
    goto llvm_cbe_bb99_2e_i_2e_i;
  } else {
    llvm_cbe_targetDistance_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_targetDistance_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb109_2e_i_2e_i;
  }

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit396_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 = llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 = llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp64_2e_i58_2e_i_2e_i_2e_i = ((float )(llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp54_2e_i54_2e_i_2e_i_2e_i));
  llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i166316641665_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i341_2e_i_2e_i_2e_i_2e_i1656__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 * llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i341_2e_i_2e_i_2e_i_2e_i1656__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i1663__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 * llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i1663__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i164916501651_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i296_2e_i_2e_i_2e_i_2e_i1642__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521 + ((llvm_cbe_tmp70_2e_i62_2e_i_2e_i_2e_i1542__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i166316641665_2e_ins)), llvm_cbe_tmp70_2e_i62_2e_i_2e_i_2e_i1542__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i296_2e_i_2e_i_2e_i_2e_i1642__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i1649__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525 + ((llvm_cbe_tmp73_2e_i65_2e_i_2e_i_2e_i1546__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i166316641665_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp73_2e_i65_2e_i_2e_i_2e_i1546__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i1649__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp79_2e_i67_2e_i_2e_i_2e_i1549__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i164916501651_2e_ins)), llvm_cbe_tmp79_2e_i67_2e_i_2e_i_2e_i1549__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = ((llvm_cbe_tmp82_2e_i70_2e_i_2e_i_2e_i1553__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i164916501651_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp82_2e_i70_2e_i_2e_i_2e_i1553__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i163516361637_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i247_2e_i_2e_i_2e_i_2e_i1628__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 * llvm_cbe_tmp51_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i247_2e_i_2e_i_2e_i_2e_i1628__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i1635__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 * llvm_cbe_tmp51_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i1635__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i162116221623_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i202_2e_i_2e_i_2e_i_2e_i1614__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528 - ((llvm_cbe_tmp88_2e_i76_2e_i_2e_i_2e_i1556__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i163516361637_2e_ins)), llvm_cbe_tmp88_2e_i76_2e_i_2e_i_2e_i1556__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i202_2e_i_2e_i_2e_i_2e_i1614__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i1621__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532 - ((llvm_cbe_tmp91_2e_i77_2e_i_2e_i_2e_i1560__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i163516361637_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp91_2e_i77_2e_i_2e_i_2e_i1560__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i1621__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = ((llvm_cbe_tmp97_2e_i81_2e_i_2e_i_2e_i1563__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i162116221623_2e_ins)), llvm_cbe_tmp97_2e_i81_2e_i_2e_i_2e_i1563__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = ((llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i1567__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i162116221623_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i1567__BITCAST_TEMPORARY.Float));
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i205_2e_i_2e_i_2e_i_2e_i162116221623_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i250_2e_i_2e_i_2e_i_2e_i163516361637_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i299_2e_i_2e_i_2e_i_2e_i164916501651_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i344_2e_i_2e_i_2e_i_2e_i166316641665_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp64_2e_i58_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb_2e_i57_2e_i_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i372_2e_i_2e_i_2e_i_2e_i = sqrtf(llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i);
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i372_2e_i_2e_i_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535;   /* for PHI node */
    llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539;   /* for PHI node */
    llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit396_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i393_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i39_2e_i_2e_i_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf1_2e_i_2e_i30), llvm_cbe_tmp2_2e_i_2e_i38_2e_i_2e_i_2e_i);
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521 = (llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp18_2e_i39_2e_i_2e_i_2e_i)), llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525 = (llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp18_2e_i39_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i170 = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf2_2e_i_2e_i29), llvm_cbe_tmp2_2e_i472_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528 = (llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i170)), llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532 = (llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i170) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i460_2e_i_2e_i_2e_i_2e_i1670__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i1528 - llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521))), llvm_cbe_tmp23_2e_i460_2e_i_2e_i_2e_i_2e_i1670__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i1677__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i1532 - llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525))), llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i1677__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535 = (llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins)), llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539 = (llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535 * llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535))) + (((float )(llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539 * llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539)))));
  llvm_cbe_tmp3_2e_i402_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i401_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp3_2e_i402_2e_i_2e_i_2e_i_2e_i - 0x1.47ae14p-5));
  llvm_cbe_tmp3_2e_i399_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i398_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp51_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp3_2e_i399_2e_i_2e_i_2e_i_2e_i - 0x1.47ae14p-5));
  llvm_cbe_tmp54_2e_i54_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp51_2e_i_2e_i_2e_i_2e_i));
  if ((llvm_fcmp_olt((((float )(llvm_cbe_tmp54_2e_i54_2e_i_2e_i_2e_i * llvm_cbe_tmp54_2e_i54_2e_i_2e_i_2e_i))), llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb_2e_i57_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb102_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb6_2e_i393_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i377_2e_i_2e_i_2e_i_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i372_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i382_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535 * llvm_cbe_tmp8_2e_i377_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp20_2e_i389_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539 * llvm_cbe_tmp8_2e_i377_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i382_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i389_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge_2e_i394_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i372_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit396_2e_i_2e_i_2e_i_2e_i;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1 = llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1__PHI_TEMPORARY;
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1 = llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i160716081609_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i130_2e_i_2e_i_2e_i_2e_i1600__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1 * llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i130_2e_i_2e_i_2e_i_2e_i1600__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i1607__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1 * llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i1607__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i159315941595_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i128_2e_i_2e_i_2e_i1586__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521 + ((llvm_cbe_tmp114_2e_i96_2e_i_2e_i_2e_i1570__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i160716081609_2e_ins)), llvm_cbe_tmp114_2e_i96_2e_i_2e_i_2e_i1570__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i_2e_i128_2e_i_2e_i_2e_i1586__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i1593__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525 + ((llvm_cbe_tmp117_2e_i99_2e_i_2e_i_2e_i1574__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i160716081609_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp117_2e_i99_2e_i_2e_i_2e_i1574__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i1593__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577 = (llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i159315941595_2e_ins)), llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577;
  llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581 = (llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i159315941595_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581;
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = llvm_cbe_tmp123_2e_i142_2e_i_2e_i_2e_i1577;
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = llvm_cbe_tmp126_2e_i_2e_i_2e_i_2e_i1581;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i131_2e_i_2e_i_2e_i159315941595_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i133_2e_i_2e_i_2e_i_2e_i160716081609_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb107_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = sqrtf(llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i);
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535;   /* for PHI node */
    llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i_2e_i88_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb102_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i421_2e_i_2e_i_2e_i_2e_i, 0x1p-46))) {
    goto llvm_cbe_bb107_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb6_2e_i_2e_i88_2e_i_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i153_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp41_2e_i48_2e_i_2e_i_2e_i1535 * llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp20_2e_i160_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp44_2e_i49_2e_i_2e_i_2e_i1539 * llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i153_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_d_2e_i_2e_i_2e_i_2e_i_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i160_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521;
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525;
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i1681521;
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = llvm_cbe_tmp25_2e_i43_2e_i_2e_i_2e_i1525;
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i463_2e_i_2e_i_2e_i_2e_i167716781679_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i_2e_i:
  llvm_cbe_tmp41_2e_i_2e_i_2e_i = _ZL10DistancePCP6b2Vec2S0_PK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_((&llvm_cbe_p1_2e_i_2e_i32), (&llvm_cbe_p2_2e_i_2e_i31), llvm_cbe_tmp3536_2e_i_2e_i_2e_i, (&llvm_cbe_xf1_2e_i_2e_i30), llvm_cbe_tmp1314_2e_i_2e_i_2e_i, (&llvm_cbe_xf2_2e_i_2e_i29));
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb22_2e_i_2e_i_2e_i:
  if (((((llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i == 1u) & (llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i == 0u))&1))) {
    goto llvm_cbe_bb32_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb42_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb52_2e_i_2e_i_2e_i:
  llvm_cbe_tmp61_2e_i_2e_i_2e_i = _ZL10DistancePCP6b2Vec2S0_PK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_((&llvm_cbe_p2_2e_i_2e_i31), (&llvm_cbe_p1_2e_i_2e_i32), llvm_cbe_tmp5556_2e_i_2e_i_2e_i, (&llvm_cbe_xf2_2e_i_2e_i29), llvm_cbe_tmp1516_2e_i_2e_i_2e_i, (&llvm_cbe_xf1_2e_i_2e_i30));
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp61_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb42_2e_i_2e_i_2e_i:
  if (((((llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i == 0u) & (llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i == 1u))&1))) {
    goto llvm_cbe_bb52_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb62_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb62_2e_i_2e_i_2e_i:
  if (((((llvm_cbe_tmp3_2e_i_2e_i186_2e_i_2e_i == 1u) & (llvm_cbe_tmp3_2e_i6_2e_i_2e_i_2e_i == 1u))&1))) {
    llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;
  }

llvm_cbe_bb174_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i = sqrtf(llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb154_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1 == 0u)) {
    goto llvm_cbe_bb159_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb174_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb86.i.i.i.i' to make GCC happy */
llvm_cbe_bb86_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i302_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i305_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i309_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i312_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i328_2e_i_2e_i_2e_i_2e_i1509__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i309_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i312_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i328_2e_i_2e_i_2e_i_2e_i1509__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i1516__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i302_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i305_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i1516__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i1381__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins)), llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i1381__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp96_2e_i_2e_i_2e_i_2e_i1385__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp96_2e_i_2e_i_2e_i_2e_i1385__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp99_2e_i_2e_i_2e_i_2e_i = _ZNK14b2PolygonShape7SupportERK7b2XFormRK6b2Vec2(llvm_cbe_tmp3536_2e_i_2e_i_2e_i, (&llvm_cbe_xf1_2e_i_2e_i30), (&llvm_cbe_v_2e_i_2e_i_2e_i_2e_i24));
  llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388 = (llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp99_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392 = (llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp99_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i260_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp7_2e_i264_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i280_2e_i_2e_i_2e_i_2e_i1495__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp7_2e_i264_2e_i_2e_i_2e_i_2e_i)))), llvm_cbe_tmp17_2e_i280_2e_i_2e_i_2e_i_2e_i1495__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i1502__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp3_2e_i260_2e_i_2e_i_2e_i_2e_i)))), llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i1502__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i1395__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins)), llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i1395__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp112_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i1399__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i1399__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i = _ZNK14b2PolygonShape7SupportERK7b2XFormRK6b2Vec2(llvm_cbe_tmp5556_2e_i_2e_i_2e_i, (&llvm_cbe_xf2_2e_i_2e_i29), (&llvm_cbe_tmp7_2e_i_2e_i172_2e_i_2e_i));
  llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402 = (llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406 = (llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i204_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i211_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i204_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp3_2e_i204_2e_i_2e_i_2e_i_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i211_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp10_2e_i211_2e_i_2e_i_2e_i_2e_i)))));
  llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i188_2e_i_2e_i_2e_i_2e_i1460__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402 - llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388))), llvm_cbe_tmp23_2e_i188_2e_i_2e_i_2e_i_2e_i1460__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i1467__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406 - llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392))), llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i1467__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409 = (llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins)), llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409;
  llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413 = (llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413;
  if ((llvm_fcmp_ugt((((float )(llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i - (((float )((((float )(llvm_cbe_tmp3_2e_i204_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp130_2e_i_2e_i_2e_i_2e_i1409))) + (((float )(llvm_cbe_tmp10_2e_i211_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i1413))))))))), (((float )(llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i * 0x1.47ae14p-7)))))) {
    goto llvm_cbe_bb143_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb154_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb341_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp343_2e_i_2e_i_2e_i_2e_i = llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp343_2e_i_2e_i_2e_i_2e_i) < ((signed int )20u))) {
    llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp343_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb86_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb349_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb319_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_fcmp_ult((((float )(llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0 * 0x1.9p-17))), llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb341_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb326_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb314_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0 == 3u)) {
    goto llvm_cbe_bb326_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb319_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb308.i.i.i.i' to make GCC happy */
llvm_cbe_bb308_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0))) {
    goto llvm_cbe_bb296_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb314_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb296_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp297298_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i90_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp297298_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp10_2e_i97_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_points_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp297298_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp15_2e_i102_2e_i_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i90_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp3_2e_i90_2e_i_2e_i_2e_i_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i97_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp10_2e_i97_2e_i_2e_i_2e_i_2e_i)))));
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i_2e_i = (((llvm_fcmp_ogt(llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0, llvm_cbe_tmp15_2e_i102_2e_i_2e_i_2e_i_2e_i))) ? (llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0) : (llvm_cbe_tmp15_2e_i102_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp307_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp307_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb308_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb308.i.i.i.i' */
llvm_cbe_bb288_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0 == 3u)) {
    llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins;   /* for PHI node */
    llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;
  } else {
    llvm_cbe_maxSqr_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
    llvm_cbe_storemerge4_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb308_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb178_2e_i_2e_i_2e_i_2e_i:
  switch (llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1) {
  default:
    llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb288_2e_i_2e_i_2e_i_2e_i;
;
  case 0u:
    goto llvm_cbe_bb180_2e_i_2e_i_2e_i_2e_i;
    break;
  case 1u:
    goto llvm_cbe_bb232_2e_i_2e_i_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb260_2e_i_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb143_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i = _ZL8InPointsRK6b2Vec2PS0_i((&llvm_cbe_w_2e_i_2e_i_2e_i_2e_i), llvm_cbe_tmp49_2e_i_2e_i_2e_i_2e_i, llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1);
  if ((llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb178_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb154_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb180_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp182_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  *llvm_cbe_tmp185_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  *llvm_cbe_tmp189_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  *llvm_cbe_tmp192_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  llvm_cbe_tmp198_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp198_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp201_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp199_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp201_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  llvm_cbe_tmp231_2e_i_2e_i_2e_i_2e_i = llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1 + 1u;
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp231_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb232_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp234_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  *llvm_cbe_tmp237_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  *llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  *llvm_cbe_tmp244_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  llvm_cbe_tmp250_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp250_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp253_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp253_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i = _ZL10ProcessTwoP6b2Vec2S0_S0_S0_S0_((&llvm_cbe_p1_2e_i_2e_i32), (&llvm_cbe_p2_2e_i_2e_i31), llvm_cbe_tmp21_2e_i_2e_i_2e_i_2e_i174, llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp49_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb260_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp262_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  *llvm_cbe_tmp265_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  *llvm_cbe_tmp269_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  *llvm_cbe_tmp272_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  llvm_cbe_tmp278_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp276_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp278_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp281_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp131_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp279_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp281_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp287_2e_i_2e_i_2e_i_2e_i = _ZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_((&llvm_cbe_p1_2e_i_2e_i32), (&llvm_cbe_p2_2e_i_2e_i31), llvm_cbe_tmp21_2e_i_2e_i_2e_i_2e_i174, llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp49_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp287_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb86.i.i.i.i' */
llvm_cbe_bb62_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf1_2e_i_2e_i30), llvm_cbe_tmp4_2e_i110_2e_i_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp71_2e_i_2e_i_2e_i_2e_i1367__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp71_2e_i_2e_i_2e_i_2e_i1367__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = ((llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i1371__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i1371__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf2_2e_i_2e_i29), llvm_cbe_tmp4_2e_i227_2e_i_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = ((llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i1374__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i1374__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = ((llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i1378__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i1378__BITCAST_TEMPORARY.Float));
  llvm_cbe_iter_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_pointCount_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb86_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb51.i.i.i.i' to make GCC happy */
llvm_cbe_bb51_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0 = llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp56_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp56_2e_i_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb62_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp56_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb51_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb51.i.i.i.i' */
  do {     /* Syntactic loop 'bb36.i.i.i.i' to make GCC happy */
llvm_cbe_bb36_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0 = llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    llvm_cbe_tmp12_2e_i_2e_i177_2e_i_2e_i_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
    goto llvm_cbe_bb51_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb36_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb36.i.i.i.i' */
  do {     /* Syntactic loop 'bb.i.i.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0 = llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i179 = llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i179 == 18446744073709551615ull)) {
    llvm_cbe_tmp15_2e_i_2e_i179_2e_i_2e_i_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
    goto llvm_cbe_bb36_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i25_2e_0__PHI_TEMPORARY = llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i179;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i.i.i' */
llvm_cbe_bb159_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i1388;
  *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i = llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i1392;
  *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i = llvm_cbe_tmp121_2e_i_2e_i_2e_i_2e_i1402;
  *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i = llvm_cbe_tmp124_2e_i_2e_i_2e_i_2e_i1406;
  goto llvm_cbe_bb174_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb326_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i64_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp98_2e_i82_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i67_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp80_2e_i68_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i71_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp95_2e_i79_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i74_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i143214331434_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i_2e_i1425__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i71_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i74_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i_2e_i1425__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i1432__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i64_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i67_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i1432__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416 = (llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i143214331434_2e_ins)), llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416;
  llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420 = (llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i143214331434_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420;
  llvm_cbe_tmp340_2e_i_2e_i_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416 * llvm_cbe_tmp334_2e_i_2e_i_2e_i_2e_i1416))) + (((float )(llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420 * llvm_cbe_tmp337_2e_i_2e_i_2e_i_2e_i1420)))))));
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i_2e_i143214331434_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp340_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb349_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp351_2e_i_2e_i_2e_i_2e_i = sqrtf(llvm_cbe_tmp15_2e_i216_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i229_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i112_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i191_2e_i_2e_i_2e_i_2e_i146714681469_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i283_2e_i_2e_i_2e_i_2e_i150215031504_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i331_2e_i_2e_i_2e_i_2e_i151615171518_2e_ins;   /* for PHI node */
  llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp351_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__Z10b2DistanceP6b2Vec2S0_PK7b2ShapeRK7b2XFormS3_S6__2e_exit_2e_i_2e_i;

llvm_cbe_bb99_2e_i_2e_i:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0, 0x1.47ae14p-4))) {
    llvm_cbe_targetDistance_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x1.eb851ep-5;   /* for PHI node */
    goto llvm_cbe_bb109_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb105_2e_i_2e_i;
  }

llvm_cbe_bb105_2e_i_2e_i:
  llvm_cbe_tmp107_2e_i_2e_i188 = ((float )(llvm_cbe_tmp_2e_i183_2e_i_2e_i_2e_0 - 0x1.47ae14p-6));
  llvm_cbe_storemerge_2e_i164_2e_i_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp107_2e_i_2e_i188, 0x1.0624dep-9))) ? (0x1.0624dep-9) : (llvm_cbe_tmp107_2e_i_2e_i188));
  llvm_cbe_targetDistance_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i164_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb109_2e_i_2e_i;

llvm_cbe_bb6_2e_i103_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i87_2e_i_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i201));
  llvm_cbe_tmp13_2e_i92_2e_i_2e_i = ((float )(llvm_cbe_tmp127_2e_i_2e_i1891325 * llvm_cbe_tmp8_2e_i87_2e_i_2e_i));
  llvm_cbe_tmp20_2e_i99_2e_i_2e_i = ((float )(llvm_cbe_tmp130_2e_i374_2e_i1329 * llvm_cbe_tmp8_2e_i87_2e_i_2e_i));
  llvm_cbe_normal_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i92_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_normal_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i99_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i_2e_i406_2e_i = ((float )(-(llvm_cbe_tmp150_2e_i_2e_i212)));
  llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i_2e_i406_2e_i;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb81.i.i' */
llvm_cbe_bb33_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i219_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field2.field1));
  llvm_cbe_tmp6_2e_i222_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field1.field1));
  llvm_cbe_tmp10_2e_i226_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field2.field0));
  llvm_cbe_tmp13_2e_i229_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field1.field0));
  llvm_cbe_tmp26_2e_i248_2e_i_2e_i169116921693_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i245_2e_i_2e_i1684__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i226_2e_i_2e_i - llvm_cbe_tmp13_2e_i229_2e_i_2e_i))), llvm_cbe_tmp23_2e_i245_2e_i_2e_i1684__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i248_2e_i_2e_i1691__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i219_2e_i_2e_i - llvm_cbe_tmp6_2e_i222_2e_i_2e_i))), llvm_cbe_tmp26_2e_i248_2e_i_2e_i1691__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i284_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field2.field1));
  llvm_cbe_tmp6_2e_i287_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field1.field1));
  llvm_cbe_tmp10_2e_i291_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field2.field0));
  llvm_cbe_tmp13_2e_i294_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field1.field0));
  llvm_cbe_tmp26_2e_i313_2e_i_2e_i170517061707_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i310_2e_i_2e_i1698__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i291_2e_i_2e_i - llvm_cbe_tmp13_2e_i294_2e_i_2e_i))), llvm_cbe_tmp23_2e_i310_2e_i_2e_i1698__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i313_2e_i_2e_i1705__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i284_2e_i_2e_i - llvm_cbe_tmp6_2e_i287_2e_i_2e_i))), llvm_cbe_tmp26_2e_i313_2e_i_2e_i1705__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp63_2e_i342_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field4));
  llvm_cbe_tmp66_2e_i345_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field3));
  llvm_cbe_tmp67_2e_i346_2e_i = ((float )(llvm_cbe_tmp63_2e_i342_2e_i - llvm_cbe_tmp66_2e_i345_2e_i));
  llvm_cbe_tmp70_2e_i347_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field4));
  llvm_cbe_tmp73_2e_i350_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field3));
  llvm_cbe_tmp74_2e_i351_2e_i = ((float )(llvm_cbe_tmp70_2e_i347_2e_i - llvm_cbe_tmp73_2e_i350_2e_i));
  llvm_cbe_tmp2_2e_i_2e_i185_2e_i_2e_i = (&llvm_cbe_tmp186_2e_i->field1);
  llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i = (&llvm_cbe_tmp181_2e_i->field1);
  llvm_cbe_tmp1314_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp181_2e_i);
  llvm_cbe_tmp1516_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp186_2e_i);
  llvm_cbe_tmp2_2e_i_2e_i38_2e_i_2e_i_2e_i = (&llvm_cbe_tmp1516_2e_i_2e_i_2e_i->field1);
  llvm_cbe_tmp2_2e_i472_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp1314_2e_i_2e_i_2e_i->field1);
  llvm_cbe_tmp2_2e_i401_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp1516_2e_i_2e_i_2e_i->field2);
  llvm_cbe_tmp2_2e_i398_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp1314_2e_i_2e_i_2e_i->field2);
  llvm_cbe_tmp23_2e_i_2e_i389_2e_i13411342 = ((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i389_2e_i1341__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp45_2e_i328_2e_i1311__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i248_2e_i_2e_i169116921693_2e_ins)), llvm_cbe_tmp45_2e_i328_2e_i1311__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp57_2e_i_2e_i1621318__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i313_2e_i_2e_i170517061707_2e_ins)), llvm_cbe_tmp57_2e_i_2e_i1621318__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i_2e_i389_2e_i1341__BITCAST_TEMPORARY.Int32)));
  llvm_cbe_tmp26_2e_i_2e_i392_2e_i134813491350 = (((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i392_2e_i1348__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp48_2e_i331_2e_i1315__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i248_2e_i_2e_i169116921693_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp48_2e_i331_2e_i1315__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp60_2e_i340_2e_i1322__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i313_2e_i_2e_i170517061707_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp60_2e_i340_2e_i1322__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i_2e_i392_2e_i1348__BITCAST_TEMPORARY.Int32)))) << 32ull;
  llvm_cbe_tmp5_2e_i46_2e_i_2e_i = ((float )(-(llvm_cbe_tmp67_2e_i346_2e_i)));
  llvm_cbe_tmp5_2e_i35_2e_i_2e_i = ((float )(-(llvm_cbe_tmp74_2e_i351_2e_i)));
  llvm_cbe_tmp3536_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp186_2e_i);
  llvm_cbe_tmp5556_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp181_2e_i);
  llvm_cbe_tmp4_2e_i110_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i_2e_i->field5[((signed long long )0ull)]);
  llvm_cbe_tmp4_2e_i227_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp5556_2e_i_2e_i_2e_i->field5[((signed long long )0ull)]);
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_targetDistance_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_iter_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_alpha_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb81_2e_i_2e_i;

llvm_cbe_bb21_2e_i_2e_i:
  if ((llvm_fcmp_ule((((float )(0x1p+0 - llvm_cbe_tmp12_2e_i311_2e_i))), 0x1p-23))) {
    goto llvm_cbe_bb29_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb33_2e_i_2e_i;
  }

llvm_cbe_bb176_2e_i:
  llvm_cbe_tmp178_2e_i = (&llvm_cbe_tmp3_2e_i279_2e_i->field3);
  llvm_cbe_tmp181_2e_i = *llvm_cbe_tmp2_2e_i54_2e_i;
  llvm_cbe_tmp183_2e_i155 = (&llvm_cbe_tmp3_2e_i207_2e_i->field3);
  llvm_cbe_tmp186_2e_i = *llvm_cbe_tmp2_2e_i51_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i307_2e_i = *((&llvm_cbe_tmp186_2e_i->field4));
  llvm_cbe_tmp3_2e_i205_2e_i_2e_i = *((&llvm_cbe_tmp181_2e_i->field4));
  llvm_cbe_tmp12_2e_i311_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field5));
  llvm_cbe_tmp15_2e_i314_2e_i = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field5));
  if ((llvm_fcmp_une(llvm_cbe_tmp12_2e_i311_2e_i, llvm_cbe_tmp15_2e_i314_2e_i))) {
    goto llvm_cbe_bb_2e_i316_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i_2e_i;
  }

llvm_cbe_bb167_2e_i:
  llvm_cbe_t0_2e_i_2e_0 = llvm_cbe_t0_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_uge(llvm_cbe_t0_2e_i_2e_0, 0x1p+0))) {
    goto llvm_cbe_bb172_2e_i;
  } else {
    goto llvm_cbe_bb176_2e_i;
  }

llvm_cbe_bb137_2e_i:
  _ZN7b2Sweep7AdvanceEf(((&llvm_cbe_tmp3_2e_i207_2e_i->field3)), llvm_cbe_tmp133_2e_i139);
  llvm_cbe_t0_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp133_2e_i139;   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

llvm_cbe_bb121_2e_i141:
  llvm_cbe_tmp125_2e_i = *((&llvm_cbe_tmp3_2e_i207_2e_i->field3.field5));
  llvm_cbe_tmp133_2e_i139 = *((&llvm_cbe_tmp3_2e_i279_2e_i->field3.field5));
  if ((llvm_fcmp_olt(llvm_cbe_tmp125_2e_i, llvm_cbe_tmp133_2e_i139))) {
    goto llvm_cbe_bb137_2e_i;
  } else {
    goto llvm_cbe_bb146_2e_i;
  }

llvm_cbe_bb146_2e_i:
  if ((llvm_fcmp_olt(llvm_cbe_tmp133_2e_i139, llvm_cbe_tmp125_2e_i))) {
    goto llvm_cbe_bb158_2e_i;
  } else {
    llvm_cbe_t0_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp125_2e_i;   /* for PHI node */
    goto llvm_cbe_bb167_2e_i;
  }

llvm_cbe_bb158_2e_i:
  _ZN7b2Sweep7AdvanceEf(((&llvm_cbe_tmp3_2e_i279_2e_i->field3)), llvm_cbe_tmp125_2e_i);
  llvm_cbe_t0_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp125_2e_i;   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

llvm_cbe__Z14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4__2e_exit_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_alpha_2e_i_2e_i_2e_1;
  *(&llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_1;
  *(&llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_1;
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2165 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  if ((llvm_fcmp_ult(llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2165, 0x0p+0))) {
    goto llvm_cbe_bb198_2e_i;
  } else {
    goto llvm_cbe_bb193_2e_i;
  }

llvm_cbe_bb207_2e_i:
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2162 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2161 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  if ((llvm_fcmp_olt(llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2162, 0x1p+0))) {
    goto llvm_cbe_bb212_2e_i;
  } else {
    llvm_cbe_toi_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2161;   /* for PHI node */
    goto llvm_cbe_bb220_2e_i;
  }

llvm_cbe_bb212_2e_i:
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2159 = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp218_2e_i = ((float )((((float )((((float )(0x1p+0 - llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload2159))) * llvm_cbe_t0_2e_i_2e_0))) + llvm_cbe_alpha_2e_i_2e_i_2e_0_2e_reload));
  llvm_cbe_storemerge_2e_i288_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp218_2e_i, 0x1p+0))) ? (llvm_cbe_tmp218_2e_i) : (0x1p+0));
  llvm_cbe_toi_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i288_2e_i;   /* for PHI node */
  goto llvm_cbe_bb220_2e_i;

llvm_cbe_bb241_2e_i:
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_minTOI_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_toi_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_minContact_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge3_2e_i;   /* for PHI node */
  goto llvm_cbe_bb244_2e_i;

  } while (1); /* end of syntactic loop 'bb248.i' */
llvm_cbe_bb589_2e_i:
  llvm_cbe_tmp592_2e_i = *llvm_cbe_tmp591_2e_i456;
  _ZN13b2PairManager6CommitEv(((&llvm_cbe_tmp592_2e_i->field0)));
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i110_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i277_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i212_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i62_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i61_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i95_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i101_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i427_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i169_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i218_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i263_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i312_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i220_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i155_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i253_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_6__PHI_TEMPORARY = llvm_cbe_retval_2e_i295_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  goto llvm_cbe_bb67_2e_i;

  do {     /* Syntactic loop 'bb582.i' to make GCC happy */
llvm_cbe_bb582_2e_i:
  llvm_cbe_storemerge7_2e_i = llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp584_2e_i = *llvm_cbe_tmp12_2e_i_2e_i64;
  if ((((signed int )llvm_cbe_tmp584_2e_i) > ((signed int )llvm_cbe_storemerge7_2e_i))) {
    goto llvm_cbe_bb567_2e_i;
  } else {
    goto llvm_cbe_bb589_2e_i;
  }

llvm_cbe_bb567_2e_i:
  llvm_cbe_tmp569_2e_i446 = *llvm_cbe_tmp42_2e_i_2e_i86;
  llvm_cbe_tmp573_2e_i448 = *((&llvm_cbe_tmp569_2e_i446[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge7_2e_i)))]));
  llvm_cbe_tmp575_2e_i449 = (&llvm_cbe_tmp573_2e_i448->field1);
  llvm_cbe_tmp576_2e_i450 = *llvm_cbe_tmp575_2e_i449;
  *llvm_cbe_tmp575_2e_i449 = (llvm_cbe_tmp576_2e_i450 & 4294967283u);
  llvm_cbe_tmp581_2e_i453 = llvm_cbe_storemerge7_2e_i + 1u;
  llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY = llvm_cbe_tmp581_2e_i453;   /* for PHI node */
  goto llvm_cbe_bb582_2e_i;

  } while (1); /* end of syntactic loop 'bb582.i' */
  do {     /* Syntactic loop 'bb559.i' to make GCC happy */
llvm_cbe_bb559_2e_i:
  llvm_cbe_storemerge6_2e_i = llvm_cbe_storemerge6_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp561_2e_i = *llvm_cbe_tmp10_2e_i_2e_i62;
  if ((((signed int )llvm_cbe_tmp561_2e_i) > ((signed int )llvm_cbe_storemerge6_2e_i))) {
    goto llvm_cbe_bb475_2e_i;
  } else {
    llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb582_2e_i;
  }

llvm_cbe_bb556_2e_i:
  llvm_cbe_tmp558_2e_i = llvm_cbe_storemerge6_2e_i + 1u;
  llvm_cbe_storemerge6_2e_i__PHI_TEMPORARY = llvm_cbe_tmp558_2e_i;   /* for PHI node */
  goto llvm_cbe_bb559_2e_i;

llvm_cbe_bb475_2e_i:
  llvm_cbe_tmp477_2e_i410 = *llvm_cbe_tmp31_2e_i_2e_i79;
  llvm_cbe_tmp481_2e_i413 = *((&llvm_cbe_tmp477_2e_i410[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge6_2e_i)))]));
  llvm_cbe_tmp483_2e_i414 = (&llvm_cbe_tmp481_2e_i413->field0);
  llvm_cbe_tmp484_2e_i415 = *llvm_cbe_tmp483_2e_i414;
  llvm_cbe_tmp485_2e_i416 = ((unsigned short )(llvm_cbe_tmp484_2e_i415 & ((unsigned short )-5)));
  *llvm_cbe_tmp483_2e_i414 = llvm_cbe_tmp485_2e_i416;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp485_2e_i416)) & 10u) == 0u)) {
    goto llvm_cbe_bb496_2e_i;
  } else {
    goto llvm_cbe_bb556_2e_i;
  }

llvm_cbe_bb496_2e_i:
  llvm_cbe_tmp3_2e_i59_2e_i = *((&llvm_cbe_tmp481_2e_i413->field1));
  if ((llvm_cbe_tmp3_2e_i59_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb556_2e_i;
  } else {
    goto llvm_cbe_bb501_2e_i;
  }

  do {     /* Syntactic loop 'bb551.i' to make GCC happy */
llvm_cbe_bb551_2e_i:
  llvm_cbe_storemerge5_2e_in_2e_i = llvm_cbe_storemerge5_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge5_2e_i = *llvm_cbe_storemerge5_2e_in_2e_i;
  if ((llvm_cbe_storemerge5_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb556_2e_i;
  } else {
    goto llvm_cbe_bb537_2e_i;
  }

llvm_cbe_bb537_2e_i:
  llvm_cbe_tmp540_2e_i = *((&llvm_cbe_storemerge5_2e_i->field1));
  llvm_cbe_tmp544_2e_i = (&llvm_cbe_tmp540_2e_i->field1);
  llvm_cbe_tmp545_2e_i = *llvm_cbe_tmp544_2e_i;
  *llvm_cbe_tmp544_2e_i = (llvm_cbe_tmp545_2e_i & 4294967287u);
  llvm_cbe_tmp549_2e_i442 = (&llvm_cbe_storemerge5_2e_i->field3);
  llvm_cbe_storemerge5_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp549_2e_i442;   /* for PHI node */
  goto llvm_cbe_bb551_2e_i;

  } while (1); /* end of syntactic loop 'bb551.i' */
llvm_cbe_bb533_2e_i:
  llvm_cbe_tmp535_2e_i437 = (&llvm_cbe_tmp481_2e_i413->field14);
  llvm_cbe_storemerge5_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp535_2e_i437;   /* for PHI node */
  goto llvm_cbe_bb551_2e_i;

llvm_cbe_bb501_2e_i:
  llvm_cbe_tmp504_2e_i428 = _ZN6b2Body17SynchronizeShapesEv(llvm_cbe_tmp481_2e_i413);
  if ((llvm_cbe_tmp504_2e_i428 == ((unsigned char )0))) {
    goto llvm_cbe_bb509_2e_i;
  } else {
    goto llvm_cbe_bb533_2e_i;
  }

llvm_cbe_bb509_2e_i:
  llvm_cbe_tmp512_2e_i430 = *llvm_cbe_tmp511_2e_i429;
  if ((llvm_cbe_tmp512_2e_i430 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb533_2e_i;
  } else {
    goto llvm_cbe_bb516_2e_i;
  }

llvm_cbe_bb516_2e_i:
  llvm_cbe_tmp524_2e_i = *((&llvm_cbe_tmp512_2e_i430->field0));
  llvm_cbe_tmp526_2e_i = *((&llvm_cbe_tmp524_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2Body *))llvm_cbe_tmp526_2e_i))(llvm_cbe_tmp512_2e_i430, llvm_cbe_tmp481_2e_i413);
  goto llvm_cbe_bb533_2e_i;

  } while (1); /* end of syntactic loop 'bb559.i' */
llvm_cbe_bb123_2e_i_2e_i:
  llvm_cbe_tmp125_2e_i_2e_i = *llvm_cbe_tmp124_2e_i_2e_i;
  _ZN8b2Island6ReportEP19b2ContactConstraint((&llvm_cbe_island_2e_i), llvm_cbe_tmp125_2e_i_2e_i);
  llvm_cbe_tmp2_2e_i9_2e_i_2e_i = *llvm_cbe_tmp124_2e_i_2e_i;
  llvm_cbe_tmp5_2e_i12_2e_i_2e_i = *llvm_cbe_tmp4_2e_i11_2e_i_2e_i;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp5_2e_i12_2e_i_2e_i, (((unsigned char *)llvm_cbe_tmp2_2e_i9_2e_i_2e_i)));
  llvm_cbe_storemerge6_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb559_2e_i;

  do {     /* Syntactic loop 'bb115.i.i' to make GCC happy */
llvm_cbe_bb115_2e_i_2e_i:
  llvm_cbe_storemerge3_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp118_2e_i_2e_i402 = *llvm_cbe_tmp473_2e_i332;
  if ((((signed int )llvm_cbe_tmp118_2e_i_2e_i402) > ((signed int )llvm_cbe_storemerge3_2e_i_2e_i))) {
    goto llvm_cbe_bb107_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i_2e_i;
  }

llvm_cbe_bb112_2e_i_2e_i:
  llvm_cbe_tmp114_2e_i_2e_i399 = llvm_cbe_storemerge3_2e_i_2e_i + 1u;
  llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp114_2e_i_2e_i399;   /* for PHI node */
  goto llvm_cbe_bb115_2e_i_2e_i;

llvm_cbe_bb107_2e_i_2e_i:
  llvm_cbe_tmp109_2e_i_2e_i397 = _ZN15b2ContactSolver24SolvePositionConstraintsEf((&llvm_cbe_contactSolver_2e_i_2e_i), 0x1.8p-1);
  if ((llvm_cbe_tmp109_2e_i_2e_i397 == ((unsigned char )0))) {
    goto llvm_cbe_bb112_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb115.i.i' */
  do {     /* Syntactic loop 'bb98.i.i' to make GCC happy */
llvm_cbe_bb98_2e_i_2e_i:
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp101_2e_i_2e_i396 = *llvm_cbe_tmp10_2e_i_2e_i62;
  if ((((signed int )llvm_cbe_tmp101_2e_i_2e_i396) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i))) {
    goto llvm_cbe_bb25_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb115_2e_i_2e_i;
  }

llvm_cbe_bb95_2e_i_2e_i:
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp97_2e_i_2e_i393 = llvm_cbe_storemerge1_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp97_2e_i_2e_i393;   /* for PHI node */
  goto llvm_cbe_bb98_2e_i_2e_i;

llvm_cbe_bb25_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i83_2e_i = *llvm_cbe_tmp31_2e_i_2e_i79;
  llvm_cbe_tmp32_2e_i85_2e_i = *((&llvm_cbe_tmp28_2e_i83_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i)))]));
  llvm_cbe_tmp3_2e_i_2e_i_2e_i338 = *((&llvm_cbe_tmp32_2e_i85_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i_2e_i_2e_i338 == ((unsigned short )0))) {
    llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb95_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb37_2e_i_2e_i;
  }

llvm_cbe_bb37_2e_i_2e_i:
  llvm_cbe_tmp43_2e_i89_2e_i = *((&llvm_cbe_tmp32_2e_i85_2e_i->field3.field2.field0));
  llvm_cbe_tmp46_2e_i_2e_i341 = *((&llvm_cbe_tmp32_2e_i85_2e_i->field3.field2.field1));
  *((&llvm_cbe_tmp32_2e_i85_2e_i->field3.field1.field0)) = llvm_cbe_tmp43_2e_i89_2e_i;
  *((&llvm_cbe_tmp32_2e_i85_2e_i->field3.field1.field1)) = llvm_cbe_tmp46_2e_i_2e_i341;
  llvm_cbe_tmp58_2e_i_2e_i344 = (&llvm_cbe_tmp32_2e_i85_2e_i->field3.field4);
  llvm_cbe_tmp59_2e_i_2e_i345 = *llvm_cbe_tmp58_2e_i_2e_i344;
  *((&llvm_cbe_tmp32_2e_i85_2e_i->field3.field3)) = llvm_cbe_tmp59_2e_i_2e_i345;
  llvm_cbe_tmp67_2e_i_2e_i350 = *llvm_cbe_tmp455_2e_i;
  llvm_cbe_tmp3_2e_i17_2e_i_2e_i = *((&llvm_cbe_tmp32_2e_i85_2e_i->field4.field1));
  llvm_cbe_tmp8_2e_i_2e_i_2e_i354 = *((&llvm_cbe_tmp32_2e_i85_2e_i->field4.field0));
  llvm_cbe_tmp22_2e_i_2e_i_2e_i372130613071308_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i_2e_i_2e_i3691299__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i_2e_i_2e_i354 * llvm_cbe_tmp67_2e_i_2e_i350))), llvm_cbe_tmp19_2e_i_2e_i_2e_i3691299__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i_2e_i_2e_i3721306__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i17_2e_i_2e_i * llvm_cbe_tmp67_2e_i_2e_i350))), llvm_cbe_tmp22_2e_i_2e_i_2e_i3721306__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i23_2e_i_2e_i = (&llvm_cbe_tmp32_2e_i85_2e_i->field3.field2.field0);
  llvm_cbe_tmp2_2e_i24_2e_i_2e_i = *llvm_cbe_tmp1_2e_i23_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i23_2e_i_2e_i = (((float )(llvm_cbe_tmp2_2e_i24_2e_i_2e_i + ((llvm_cbe_tmp72_2e_i_2e_i3811290__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i_2e_i_2e_i372130613071308_2e_ins)), llvm_cbe_tmp72_2e_i_2e_i3811290__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i32_2e_i_2e_i = (&llvm_cbe_tmp32_2e_i85_2e_i->field3.field2.field1);
  llvm_cbe_tmp11_2e_i33_2e_i_2e_i = *llvm_cbe_tmp10_2e_i32_2e_i_2e_i;
  *llvm_cbe_tmp10_2e_i32_2e_i_2e_i = (((float )(llvm_cbe_tmp11_2e_i33_2e_i_2e_i + ((llvm_cbe_tmp75_2e_i_2e_i1294__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i_2e_i_2e_i372130613071308_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp75_2e_i_2e_i1294__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp85_2e_i_2e_i388 = *llvm_cbe_tmp455_2e_i;
  llvm_cbe_tmp88_2e_i_2e_i = *((&llvm_cbe_tmp32_2e_i85_2e_i->field5));
  *llvm_cbe_tmp58_2e_i_2e_i344 = (((float )(llvm_cbe_tmp59_2e_i_2e_i345 + (((float )(llvm_cbe_tmp85_2e_i_2e_i388 * llvm_cbe_tmp88_2e_i_2e_i))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp32_2e_i85_2e_i);
  llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i372130613071308_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb95_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb98.i.i' */
  do {     /* Syntactic loop 'bb17.i.i' to make GCC happy */
llvm_cbe_bb17_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp20_2e_i79_2e_i = *llvm_cbe_tmp473_2e_i332;
  if ((((signed int )llvm_cbe_tmp20_2e_i79_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i_2e_i))) {
    goto llvm_cbe_bb_2e_i_2e_i334;
  } else {
    llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i14_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb98_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i334:
  _ZN15b2ContactSolver24SolveVelocityConstraintsEv((&llvm_cbe_contactSolver_2e_i_2e_i));
  llvm_cbe_tmp16_2e_i76_2e_i = llvm_cbe_storemerge_2e_i_2e_i + 1u;
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i76_2e_i;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb17.i.i' */
llvm_cbe_bb465_2e_i:
  *llvm_cbe_tmp469_2e_i = (((float )(0x1p+0 / llvm_cbe_tmp454_2e_i)));
  llvm_cbe_tmp472_2e_i331 = *llvm_cbe_tmp4;
  *llvm_cbe_tmp473_2e_i332 = llvm_cbe_tmp472_2e_i331;
  llvm_cbe_tmp7_2e_i67_2e_i = *llvm_cbe_tmp16_2e_i_2e_i68;
  llvm_cbe_tmp10_2e_i70_2e_i = *llvm_cbe_tmp12_2e_i_2e_i64;
  llvm_cbe_tmp13_2e_i73_2e_i = *llvm_cbe_tmp42_2e_i_2e_i86;
  _ZN15b2ContactSolverC1ERK10b2TimeStepPP9b2ContactiP16b2StackAllocator((&llvm_cbe_contactSolver_2e_i_2e_i), (&llvm_cbe_subStep_2e_i), llvm_cbe_tmp13_2e_i73_2e_i, llvm_cbe_tmp10_2e_i70_2e_i, llvm_cbe_tmp7_2e_i67_2e_i);
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i;

llvm_cbe_bb448_2e_i:
  llvm_cbe_tmp453_2e_i325 = *llvm_cbe_tmp2;
  llvm_cbe_tmp454_2e_i = ((float )((((float )(0x1p+0 - llvm_cbe_minTOI_2e_i_2e_1))) * llvm_cbe_tmp453_2e_i325));
  *llvm_cbe_tmp455_2e_i = llvm_cbe_tmp454_2e_i;
  if ((llvm_fcmp_ule(llvm_cbe_tmp454_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb461_2e_i;
  } else {
    goto llvm_cbe_bb465_2e_i;
  }

  do {     /* Syntactic loop 'bb323.i' to make GCC happy */
llvm_cbe_bb323_2e_i:
  llvm_cbe_stackCount_2e_i_2e_0_2e_reload = *(&llvm_cbe_stackCount_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp325_2e_i = llvm_cbe_stackCount_2e_i_2e_0_2e_reload + 4294967295u;
  llvm_cbe_tmp330_2e_i275 = *((&llvm_cbe_tmp2728_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp325_2e_i)))]));
  llvm_cbe_tmp2_2e_i170_2e_i = *llvm_cbe_tmp10_2e_i_2e_i62;
  llvm_cbe_tmp5_2e_i173_2e_i = *llvm_cbe_tmp1_2e_i_2e_i53;
  if ((((signed int )llvm_cbe_tmp2_2e_i170_2e_i) < ((signed int )llvm_cbe_tmp5_2e_i173_2e_i))) {
    goto llvm_cbe__ZN8b2Island3AddEP6b2Body_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i175_2e_i;
  }

llvm_cbe_bb443_2e_i:
  llvm_cbe_stackCount_2e_i_2e_0_2e_be = llvm_cbe_stackCount_2e_i_2e_0_2e_be__PHI_TEMPORARY;
  *(&llvm_cbe_stackCount_2e_i_2e_0_2e_reg2mem) = llvm_cbe_stackCount_2e_i_2e_0_2e_be;
  if ((((signed int )llvm_cbe_stackCount_2e_i_2e_0_2e_be) > ((signed int )0u))) {
    goto llvm_cbe_bb323_2e_i;
  } else {
    goto llvm_cbe_bb448_2e_i;
  }

llvm_cbe__ZN8b2Island3AddEP6b2Body_2e_exit_2e_i:
  llvm_cbe_tmp14_2e_i178_2e_i = *llvm_cbe_tmp31_2e_i_2e_i79;
  *((&llvm_cbe_tmp14_2e_i178_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp2_2e_i170_2e_i)))])) = llvm_cbe_tmp330_2e_i275;
  *llvm_cbe_tmp10_2e_i_2e_i62 = (llvm_cbe_tmp2_2e_i170_2e_i + 1u);
  llvm_cbe_tmp333_2e_i277 = (&llvm_cbe_tmp330_2e_i275->field0);
  llvm_cbe_tmp334_2e_i = *llvm_cbe_tmp333_2e_i277;
  *llvm_cbe_tmp333_2e_i277 = (((unsigned short )(llvm_cbe_tmp334_2e_i & ((unsigned short )-9))));
  llvm_cbe_tmp3_2e_i162_2e_i = *((&llvm_cbe_tmp330_2e_i275->field1));
  if ((llvm_cbe_tmp3_2e_i162_2e_i == ((unsigned short )0))) {
    llvm_cbe_stackCount_2e_i_2e_0_2e_be__PHI_TEMPORARY = llvm_cbe_tmp325_2e_i;   /* for PHI node */
    goto llvm_cbe_bb443_2e_i;
  } else {
    goto llvm_cbe_bb342_2e_i;
  }

  do {     /* Syntactic loop 'bb438.i' to make GCC happy */
llvm_cbe_bb438_2e_i:
  llvm_cbe_stackCount_2e_i_2e_2 = llvm_cbe_stackCount_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_in_2e_i = llvm_cbe_storemerge4_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_i = *llvm_cbe_storemerge4_2e_in_2e_i;
  if ((llvm_cbe_storemerge4_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    llvm_cbe_stackCount_2e_i_2e_0_2e_be__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb443_2e_i;
  } else {
    goto llvm_cbe_bb346_2e_i;
  }

llvm_cbe_bb434_2e_i:
  llvm_cbe_stackCount_2e_i_2e_1 = llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp436_2e_i = (&llvm_cbe_storemerge4_2e_i->field3);
  llvm_cbe_stackCount_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge4_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp436_2e_i;   /* for PHI node */
  goto llvm_cbe_bb438_2e_i;

llvm_cbe_bb346_2e_i:
  llvm_cbe_tmp348_2e_i281 = *llvm_cbe_tmp12_2e_i_2e_i64;
  llvm_cbe_tmp350_2e_i = *llvm_cbe_tmp4_2e_i_2e_i56;
  if ((llvm_cbe_tmp348_2e_i281 == llvm_cbe_tmp350_2e_i)) {
    llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb434_2e_i;
  } else {
    goto llvm_cbe_bb354_2e_i;
  }

llvm_cbe_bb354_2e_i:
  llvm_cbe_tmp356_2e_i = (&llvm_cbe_storemerge4_2e_i->field1);
  llvm_cbe_tmp357_2e_i284 = *llvm_cbe_tmp356_2e_i;
  llvm_cbe_tmp359_2e_i = *((&llvm_cbe_tmp357_2e_i284->field1));
  if (((llvm_cbe_tmp359_2e_i & 7u) == 0u)) {
    goto llvm_cbe_bb364_2e_i;
  } else {
    llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb434_2e_i;
  }

llvm_cbe_bb364_2e_i:
  llvm_cbe_tmp3_2e_i158_2e_i = *((&llvm_cbe_tmp357_2e_i284->field2));
  if ((llvm_cbe_tmp3_2e_i158_2e_i == 0u)) {
    llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb434_2e_i;
  } else {
    goto llvm_cbe_bb373_2e_i;
  }

llvm_cbe__ZN8b2Island3AddEP9b2Contact_2e_exit_2e_i:
  llvm_cbe_tmp14_2e_i148_2e_i = *llvm_cbe_tmp42_2e_i_2e_i86;
  *((&llvm_cbe_tmp14_2e_i148_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp348_2e_i281)))])) = llvm_cbe_tmp357_2e_i284;
  *llvm_cbe_tmp12_2e_i_2e_i64 = (llvm_cbe_tmp348_2e_i281 + 1u);
  llvm_cbe_tmp379_2e_i294 = *llvm_cbe_tmp356_2e_i;
  llvm_cbe_tmp383_2e_i297 = (&llvm_cbe_tmp379_2e_i294->field1);
  llvm_cbe_tmp384_2e_i = *llvm_cbe_tmp383_2e_i297;
  *llvm_cbe_tmp383_2e_i297 = (llvm_cbe_tmp384_2e_i | 4u);
  llvm_cbe_tmp389_2e_i = *((&llvm_cbe_storemerge4_2e_i->field0));
  llvm_cbe_tmp391_2e_i299 = (&llvm_cbe_tmp389_2e_i->field0);
  llvm_cbe_tmp392_2e_i = *llvm_cbe_tmp391_2e_i299;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp392_2e_i)) & 4u) == 0u)) {
    goto llvm_cbe_bb398_2e_i;
  } else {
    llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_stackCount_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb434_2e_i;
  }

llvm_cbe_bb373_2e_i:
  if ((((signed int )llvm_cbe_tmp348_2e_i281) < ((signed int )llvm_cbe_tmp350_2e_i))) {
    goto llvm_cbe__ZN8b2Island3AddEP9b2Contact_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i145_2e_i;
  }

llvm_cbe_bb420_2e_i:
  *((&llvm_cbe_tmp2728_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_stackCount_2e_i_2e_2)))])) = llvm_cbe_tmp389_2e_i;
  llvm_cbe_tmp427_2e_i = llvm_cbe_stackCount_2e_i_2e_2 + 1u;
  llvm_cbe_tmp430_2e_i317 = *llvm_cbe_tmp391_2e_i299;
  *llvm_cbe_tmp391_2e_i299 = (((unsigned short )(llvm_cbe_tmp430_2e_i317 | ((unsigned short )4))));
  llvm_cbe_stackCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp427_2e_i;   /* for PHI node */
  goto llvm_cbe_bb434_2e_i;

llvm_cbe_bb410_2e_i:
  if ((((signed int )llvm_cbe_stackCount_2e_i_2e_2) < ((signed int )llvm_cbe_tmp20_2e_i96))) {
    goto llvm_cbe_bb420_2e_i;
  } else {
    goto llvm_cbe_bb416_2e_i;
  }

llvm_cbe_bb398_2e_i:
  llvm_cbe_tmp3_2e_i132_2e_i = *((&llvm_cbe_tmp389_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i132_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb410_2e_i;
  } else {
    goto llvm_cbe_bb405_2e_i;
  }

llvm_cbe_bb405_2e_i:
  _ZN7b2Sweep7AdvanceEf(((&llvm_cbe_tmp389_2e_i->field3)), llvm_cbe_minTOI_2e_i_2e_1);
  llvm_cbe_tmp9_2e_i114_2e_i = *((&llvm_cbe_tmp389_2e_i->field3.field1.field0));
  llvm_cbe_tmp12_2e_i117_2e_i = *((&llvm_cbe_tmp389_2e_i->field3.field1.field1));
  *((&llvm_cbe_tmp389_2e_i->field3.field2.field0)) = llvm_cbe_tmp9_2e_i114_2e_i;
  *((&llvm_cbe_tmp389_2e_i->field3.field2.field1)) = llvm_cbe_tmp12_2e_i117_2e_i;
  llvm_cbe_tmp25_2e_i126_2e_i = *((&llvm_cbe_tmp389_2e_i->field3.field3));
  *((&llvm_cbe_tmp389_2e_i->field3.field4)) = llvm_cbe_tmp25_2e_i126_2e_i;
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp389_2e_i);
  llvm_cbe_tmp2_2e_i100_2e_i306 = *llvm_cbe_tmp391_2e_i299;
  *llvm_cbe_tmp391_2e_i299 = (((unsigned short )(llvm_cbe_tmp2_2e_i100_2e_i306 & ((unsigned short )-9))));
  *((&llvm_cbe_tmp389_2e_i->field21)) = 0x0p+0;
  goto llvm_cbe_bb410_2e_i;

  } while (1); /* end of syntactic loop 'bb438.i' */
llvm_cbe_bb342_2e_i:
  llvm_cbe_tmp344_2e_i279 = (&llvm_cbe_tmp330_2e_i275->field14);
  llvm_cbe_stackCount_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp325_2e_i;   /* for PHI node */
  llvm_cbe_storemerge4_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp344_2e_i279;   /* for PHI node */
  goto llvm_cbe_bb438_2e_i;

  } while (1); /* end of syntactic loop 'bb323.i' */
llvm_cbe_bb301_2e_i:
  llvm_cbe_tmp3_2e_i196_2e_i = *((&llvm_cbe_tmp3_2e_i267_2e_i->field1));
  llvm_cbe_seed_2e_i_2e_0 = (((llvm_cbe_tmp3_2e_i196_2e_i == ((unsigned short )0))) ? (llvm_cbe_tmp3_2e_i263_2e_i) : (llvm_cbe_tmp3_2e_i267_2e_i));
  *llvm_cbe_tmp10_2e_i_2e_i62 = 0u;
  *llvm_cbe_tmp12_2e_i_2e_i64 = 0u;
  *llvm_cbe_tmp14_2e_i_2e_i66 = 0u;
  *llvm_cbe_tmp2728_2e_i = llvm_cbe_seed_2e_i_2e_0;
  llvm_cbe_tmp318_2e_i = (&llvm_cbe_seed_2e_i_2e_0->field0);
  llvm_cbe_tmp319_2e_i269 = *llvm_cbe_tmp318_2e_i;
  *llvm_cbe_tmp318_2e_i = (((unsigned short )(llvm_cbe_tmp319_2e_i269 | ((unsigned short )4))));
  *(&llvm_cbe_stackCount_2e_i_2e_0_2e_reg2mem) = 1u;
  goto llvm_cbe_bb323_2e_i;

  } while (1); /* end of syntactic loop 'bb67.i' */
llvm_cbe_bb172_2e_i:
  __assert_fail(((&_2E_str6159[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 548u, ((&_ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i316_2e_i:
  __assert_fail(((&_2E_str166[((signed long long )0ull)])), ((&_2E_str1167[((signed long long )0ull)])), 31u, ((&_ZZ14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb29_2e_i_2e_i:
  __assert_fail(((&_2E_str2168[((signed long long )0ull)])), ((&_2E_str1167[((signed long long )0ull)])), 32u, ((&_ZZ14b2TimeOfImpactPK7b2ShapeRK7b2SweepS1_S4_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb198_2e_i:
  __assert_fail(((&_2E_str7160[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 553u, ((&_ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i175_2e_i:
  __assert_fail(((&_2E_str2155[((signed long long )0ull)])), ((&_2E_str3156[((signed long long )0ull)])), 52u, ((&_ZZN8b2Island3AddEP6b2BodyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i145_2e_i:
  __assert_fail(((&_2E_str4157[((signed long long )0ull)])), ((&_2E_str3156[((signed long long )0ull)])), 58u, ((&_ZZN8b2Island3AddEP9b2ContactE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb416_2e_i:
  __assert_fail(((&_2E_str8161[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 668u, ((&_ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb461_2e_i:
  __assert_fail(((&_2E_str9162[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 676u, ((&_ZZN7b2World8SolveTOIERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN7b2World8SolveTOIERK10b2TimeStep_2e_exit:
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp14_2e_i, llvm_cbe_tmp27_2e_i);
  llvm_cbe_tmp2_2e_i31_2e_i = *llvm_cbe_tmp53_2e_i_2e_i91;
  llvm_cbe_tmp5_2e_i34_2e_i = *llvm_cbe_tmp16_2e_i_2e_i68;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp5_2e_i34_2e_i, (((unsigned char *)llvm_cbe_tmp2_2e_i31_2e_i)));
  llvm_cbe_tmp9_2e_i38_2e_i = *llvm_cbe_tmp42_2e_i_2e_i86;
  llvm_cbe_tmp12_2e_i41_2e_i = *llvm_cbe_tmp16_2e_i_2e_i68;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp12_2e_i41_2e_i, (((unsigned char *)llvm_cbe_tmp9_2e_i38_2e_i)));
  llvm_cbe_tmp16_2e_i45_2e_i = *llvm_cbe_tmp31_2e_i_2e_i79;
  llvm_cbe_tmp19_2e_i48_2e_i = *llvm_cbe_tmp16_2e_i_2e_i68;
  _ZN16b2StackAllocator4FreeEPv(llvm_cbe_tmp19_2e_i48_2e_i, (((unsigned char *)llvm_cbe_tmp16_2e_i45_2e_i)));
  goto llvm_cbe_bb51;

llvm_cbe_bb51:
  llvm_cbe_tmp43_2e_i = (&llvm_cbe_this->field18);
  llvm_cbe_tmp44_2e_i = *llvm_cbe_tmp43_2e_i;
  if ((llvm_cbe_tmp44_2e_i == ((struct l_struct_2E_b2DebugDraw *)/*NULL*/0))) {
    goto llvm_cbe__ZN7b2World13DrawDebugDataEv_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i14;
  }

llvm_cbe_bb_2e_i14:
  llvm_cbe_tmp3_2e_i_2e_i12 = *((&llvm_cbe_tmp44_2e_i->field1));
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 1u) == 0u)) {
    goto llvm_cbe_bb115_2e_i;
  } else {
    goto llvm_cbe_bb55_2e_i;
  }

llvm_cbe_bb55_2e_i:
  llvm_cbe_tmp5859_2e_i = ((unsigned char )((((unsigned char )(((unsigned char )(((unsigned char )(((unsigned char )llvm_cbe_tmp3_2e_i_2e_i12))) >> ((unsigned char )((unsigned char )2))))))) & ((unsigned char )1)));
  llvm_cbe_tmp61_2e_i = (&llvm_cbe_this->field5);
  llvm_cbe_tmp1_2e_i112_2e_i = (&llvm_cbe_tmp41_2e_i.field0);
  llvm_cbe_tmp4_2e_i115_2e_i = (&llvm_cbe_tmp41_2e_i.field1);
  llvm_cbe_tmp7_2e_i118_2e_i = (&llvm_cbe_tmp41_2e_i.field2);
  llvm_cbe_tmp1_2e_i321_2e_i = (&llvm_cbe_tmp39_2e_i10.field0);
  llvm_cbe_tmp4_2e_i324_2e_i = (&llvm_cbe_tmp39_2e_i10.field1);
  llvm_cbe_tmp7_2e_i327_2e_i = (&llvm_cbe_tmp39_2e_i10.field2);
  llvm_cbe_tmp1_2e_i239_2e_i = (&llvm_cbe_tmp40_2e_i.field0);
  llvm_cbe_tmp4_2e_i242_2e_i = (&llvm_cbe_tmp40_2e_i.field1);
  llvm_cbe_tmp7_2e_i245_2e_i = (&llvm_cbe_tmp40_2e_i.field2);
  llvm_cbe_storemerge1_2e_i20_2e_in__PHI_TEMPORARY = llvm_cbe_tmp61_2e_i;   /* for PHI node */
  goto llvm_cbe_bb110_2e_i;

  do {     /* Syntactic loop 'bb110.i' to make GCC happy */
llvm_cbe_bb110_2e_i:
  llvm_cbe_storemerge1_2e_i20_2e_in = llvm_cbe_storemerge1_2e_i20_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i20 = *llvm_cbe_storemerge1_2e_i20_2e_in;
  if ((llvm_cbe_storemerge1_2e_i20 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb115_2e_i;
  } else {
    goto llvm_cbe_bb63_2e_i;
  }

llvm_cbe_bb107_2e_i:
  llvm_cbe_tmp2_2e_i590_2e_i = (&llvm_cbe_storemerge1_2e_i20->field10);
  llvm_cbe_storemerge1_2e_i20_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i590_2e_i;   /* for PHI node */
  goto llvm_cbe_bb110_2e_i;

  do {     /* Syntactic loop 'bb102.i' to make GCC happy */
llvm_cbe_bb102_2e_i:
  llvm_cbe_storemerge_2e_i19_2e_in = llvm_cbe_storemerge_2e_i19_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i19 = *llvm_cbe_storemerge_2e_i19_2e_in;
  if ((llvm_cbe_storemerge_2e_i19 == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb107_2e_i;
  } else {
    goto llvm_cbe_bb68_2e_i;
  }

llvm_cbe_bb99_2e_i:
  llvm_cbe_tmp2_2e_i594_2e_i = (&llvm_cbe_storemerge_2e_i19->field2);
  llvm_cbe_storemerge_2e_i19_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i594_2e_i;   /* for PHI node */
  goto llvm_cbe_bb102_2e_i;

llvm_cbe_bb73_2e_i:
  *llvm_cbe_tmp1_2e_i112_2e_i = 0x1p-1;
  *llvm_cbe_tmp4_2e_i115_2e_i = 0x1.ccccccp-1;
  *llvm_cbe_tmp7_2e_i118_2e_i = 0x1p-1;
  _ZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2Colorb(llvm_cbe_this, llvm_cbe_storemerge_2e_i19, llvm_cbe_tmp2_2e_i84_2e_i, (&llvm_cbe_tmp41_2e_i), llvm_cbe_tmp5859_2e_i);
  goto llvm_cbe_bb99_2e_i;

llvm_cbe_bb68_2e_i:
  llvm_cbe_tmp3_2e_i105_2e_i = *llvm_cbe_tmp2_2e_i104_2e_i;
  if ((llvm_cbe_tmp3_2e_i105_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb73_2e_i;
  } else {
    goto llvm_cbe_bb80_2e_i;
  }

llvm_cbe_bb85_2e_i:
  *llvm_cbe_tmp1_2e_i239_2e_i = 0x1p-1;
  *llvm_cbe_tmp4_2e_i242_2e_i = 0x1p-1;
  *llvm_cbe_tmp7_2e_i245_2e_i = 0x1.ccccccp-1;
  _ZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2Colorb(llvm_cbe_this, llvm_cbe_storemerge_2e_i19, llvm_cbe_tmp2_2e_i84_2e_i, (&llvm_cbe_tmp40_2e_i), llvm_cbe_tmp5859_2e_i);
  goto llvm_cbe_bb99_2e_i;

llvm_cbe_bb80_2e_i:
  llvm_cbe_tmp3_2e_i183_2e_i = *llvm_cbe_tmp2_2e_i182_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i183_2e_i)) & 8u) == 0u)) {
    goto llvm_cbe_bb92_2e_i;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb92_2e_i:
  *llvm_cbe_tmp1_2e_i321_2e_i = 0x1.ccccccp-1;
  *llvm_cbe_tmp4_2e_i324_2e_i = 0x1.ccccccp-1;
  *llvm_cbe_tmp7_2e_i327_2e_i = 0x1.ccccccp-1;
  _ZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2Colorb(llvm_cbe_this, llvm_cbe_storemerge_2e_i19, llvm_cbe_tmp2_2e_i84_2e_i, (&llvm_cbe_tmp39_2e_i10), llvm_cbe_tmp5859_2e_i);
  goto llvm_cbe_bb99_2e_i;

  } while (1); /* end of syntactic loop 'bb102.i' */
llvm_cbe_bb63_2e_i:
  llvm_cbe_tmp2_2e_i84_2e_i = (&llvm_cbe_storemerge1_2e_i20->field2);
  llvm_cbe_tmp2_2e_i100_2e_i = (&llvm_cbe_storemerge1_2e_i20->field11);
  llvm_cbe_tmp2_2e_i104_2e_i = (&llvm_cbe_storemerge1_2e_i20->field1);
  llvm_cbe_tmp2_2e_i182_2e_i = (&llvm_cbe_storemerge1_2e_i20->field0);
  llvm_cbe_storemerge_2e_i19_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i100_2e_i;   /* for PHI node */
  goto llvm_cbe_bb102_2e_i;

  } while (1); /* end of syntactic loop 'bb110.i' */
llvm_cbe_bb115_2e_i:
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 2u) == 0u)) {
    goto llvm_cbe_bb143_2e_i;
  } else {
    goto llvm_cbe_bb121_2e_i;
  }

llvm_cbe_bb121_2e_i:
  llvm_cbe_tmp123_2e_i = (&llvm_cbe_this->field6);
  llvm_cbe_tmp22_2e_i569_2e_i = (&llvm_cbe_x1_2e_i_2e_i.field0);
  llvm_cbe_tmp25_2e_i572_2e_i = (&llvm_cbe_x1_2e_i_2e_i.field1);
  llvm_cbe_tmp36_2e_i_2e_i = (&llvm_cbe_x2_2e_i_2e_i.field0);
  llvm_cbe_tmp39_2e_i_2e_i = (&llvm_cbe_x2_2e_i_2e_i.field1);
  llvm_cbe_tmp51_2e_i_2e_i = (&llvm_cbe_p1_2e_i_2e_i.field0);
  llvm_cbe_tmp54_2e_i_2e_i = (&llvm_cbe_p1_2e_i_2e_i.field1);
  llvm_cbe_tmp66_2e_i_2e_i = (&llvm_cbe_p2_2e_i_2e_i.field0);
  llvm_cbe_tmp69_2e_i_2e_i = (&llvm_cbe_p2_2e_i_2e_i.field1);
  llvm_cbe_tmp1_2e_i_2e_i581_2e_i = (&llvm_cbe_color_2e_i_2e_i.field0);
  llvm_cbe_tmp4_2e_i_2e_i582_2e_i = (&llvm_cbe_color_2e_i_2e_i.field1);
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = (&llvm_cbe_color_2e_i_2e_i.field2);
  llvm_cbe_tmp95_2e_i_2e_i = (&llvm_cbe_s1_2e_i_2e_i.field0);
  llvm_cbe_tmp98_2e_i_2e_i = (&llvm_cbe_s1_2e_i_2e_i.field1);
  llvm_cbe_tmp104_2e_i_2e_i = (&llvm_cbe_s2_2e_i_2e_i.field0);
  llvm_cbe_tmp107_2e_i_2e_i = (&llvm_cbe_s2_2e_i_2e_i.field1);
  llvm_cbe_storemerge11_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp123_2e_i;   /* for PHI node */
  goto llvm_cbe_bb138_2e_i;

  do {     /* Syntactic loop 'bb138.i' to make GCC happy */
llvm_cbe_bb138_2e_i:
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge11_2e_i_2e_in = llvm_cbe_storemerge11_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge11_2e_i = *llvm_cbe_storemerge11_2e_i_2e_in;
  if ((llvm_cbe_storemerge11_2e_i == ((struct l_struct_2E_b2Joint *)/*NULL*/0))) {
    goto llvm_cbe_bb143_2e_i;
  } else {
    goto llvm_cbe_bb125_2e_i;
  }

llvm_cbe_bb135_2e_i:
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i546_2e_i = (&llvm_cbe_storemerge11_2e_i->field3);
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge11_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i546_2e_i;   /* for PHI node */
  goto llvm_cbe_bb138_2e_i;

llvm_cbe_bb125_2e_i:
  llvm_cbe_tmp2_2e_i586_2e_i = (&llvm_cbe_storemerge11_2e_i->field1);
  llvm_cbe_tmp3_2e_i587_2e_i = *llvm_cbe_tmp2_2e_i586_2e_i;
  if ((llvm_cbe_tmp3_2e_i587_2e_i == 5u)) {
    llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb135_2e_i;
  } else {
    goto llvm_cbe_bb132_2e_i;
  }

llvm_cbe_bb132_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i558_2e_i = *((&llvm_cbe_storemerge11_2e_i->field6));
  llvm_cbe_tmp3_2e_i69_2e_i_2e_i = *((&llvm_cbe_storemerge11_2e_i->field7));
  llvm_cbe_tmp18_2e_i565_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i558_2e_i->field2.field0.field0));
  llvm_cbe_tmp21_2e_i568_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i558_2e_i->field2.field0.field1));
  *llvm_cbe_tmp22_2e_i569_2e_i = llvm_cbe_tmp18_2e_i565_2e_i;
  *llvm_cbe_tmp25_2e_i572_2e_i = llvm_cbe_tmp21_2e_i568_2e_i;
  llvm_cbe_tmp32_2e_i578_2e_i = *((&llvm_cbe_tmp3_2e_i69_2e_i_2e_i->field2.field0.field0));
  llvm_cbe_tmp35_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i69_2e_i_2e_i->field2.field0.field1));
  *llvm_cbe_tmp36_2e_i_2e_i = llvm_cbe_tmp32_2e_i578_2e_i;
  *llvm_cbe_tmp39_2e_i_2e_i = llvm_cbe_tmp35_2e_i_2e_i;
  llvm_cbe_tmp43_2e_i_2e_i = (&llvm_cbe_storemerge11_2e_i->field0);
  llvm_cbe_tmp44_2e_i_2e_i = *llvm_cbe_tmp43_2e_i_2e_i;
  llvm_cbe_tmp46_2e_i_2e_i = *llvm_cbe_tmp44_2e_i_2e_i;
  llvm_cbe_tmp49_2e_i_2e_i = (((unsigned long long  (*) (struct l_struct_2E_b2Joint *))llvm_cbe_tmp46_2e_i_2e_i))(llvm_cbe_storemerge11_2e_i);
  *llvm_cbe_tmp51_2e_i_2e_i = ((llvm_cbe_tmp53_2e_i_2e_i1192__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp49_2e_i_2e_i)), llvm_cbe_tmp53_2e_i_2e_i1192__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp54_2e_i_2e_i = ((llvm_cbe_tmp56_2e_i_2e_i1196__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp49_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp56_2e_i_2e_i1196__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp59_2e_i_2e_i = *llvm_cbe_tmp43_2e_i_2e_i;
  llvm_cbe_tmp61_2e_i_2e_i = *((&llvm_cbe_tmp59_2e_i_2e_i[((signed long long )1ull)]));
  llvm_cbe_tmp64_2e_i_2e_i = (((unsigned long long  (*) (struct l_struct_2E_b2Joint *))llvm_cbe_tmp61_2e_i_2e_i))(llvm_cbe_storemerge11_2e_i);
  *llvm_cbe_tmp66_2e_i_2e_i = ((llvm_cbe_tmp68_2e_i_2e_i1199__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp64_2e_i_2e_i)), llvm_cbe_tmp68_2e_i_2e_i1199__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp69_2e_i_2e_i = ((llvm_cbe_tmp71_2e_i_2e_i1203__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp64_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp71_2e_i_2e_i1203__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp1_2e_i_2e_i581_2e_i = 0x1p-1;
  *llvm_cbe_tmp4_2e_i_2e_i582_2e_i = 0x1.99999ap-1;
  *llvm_cbe_tmp7_2e_i_2e_i_2e_i = 0x1.99999ap-1;
  llvm_cbe_tmp3_2e_i80_2e_i_2e_i = *llvm_cbe_tmp2_2e_i586_2e_i;
  switch (llvm_cbe_tmp3_2e_i80_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb153_2e_i_2e_i;
;
  case 3u:
    goto llvm_cbe_bb_2e_i_2e_i;
    break;
  case 4u:
    goto llvm_cbe_bb89_2e_i_2e_i;
  case 5u:
    llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb135_2e_i;
  }
llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp80_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp82_2e_i_2e_i = *((&llvm_cbe_tmp80_2e_i_2e_i->field0));
  llvm_cbe_tmp84_2e_i_2e_i = *((&llvm_cbe_tmp82_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp84_2e_i_2e_i))(llvm_cbe_tmp80_2e_i_2e_i, (&llvm_cbe_p1_2e_i_2e_i), (&llvm_cbe_p2_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  goto llvm_cbe_bb135_2e_i;

llvm_cbe_bb89_2e_i_2e_i:
  llvm_cbe_tmp9091_2e_i_2e_i = ((struct l_struct_2E_b2PulleyJoint *)llvm_cbe_storemerge11_2e_i);
  llvm_cbe_tmp5_2e_i88_2e_i_2e_i = (&llvm_cbe_tmp9091_2e_i_2e_i->field1);
  llvm_cbe_tmp6_2e_i89_2e_i_2e_i = *llvm_cbe_tmp5_2e_i88_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp6_2e_i89_2e_i_2e_i->field2.field0.field1));
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9091_2e_i_2e_i->field2.field1));
  llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp6_2e_i89_2e_i_2e_i->field2.field0.field0));
  llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9091_2e_i_2e_i->field2.field0));
  llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i1243__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i_2e_i_2e_i_2e_i1243__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1250__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1250__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp95_2e_i_2e_i = ((llvm_cbe_tmp97_2e_i_2e_i1206__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins)), llvm_cbe_tmp97_2e_i_2e_i1206__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp98_2e_i_2e_i = ((llvm_cbe_tmp100_2e_i_2e_i1210__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp100_2e_i_2e_i1210__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp6_2e_i111_2e_i_2e_i = *llvm_cbe_tmp5_2e_i88_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i118_2e_i_2e_i = *((&llvm_cbe_tmp6_2e_i111_2e_i_2e_i->field2.field0.field1));
  llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i = *((&llvm_cbe_tmp9091_2e_i_2e_i->field3.field1));
  llvm_cbe_tmp10_2e_i_2e_i125_2e_i_2e_i = *((&llvm_cbe_tmp6_2e_i111_2e_i_2e_i->field2.field0.field0));
  llvm_cbe_tmp13_2e_i_2e_i128_2e_i_2e_i = *((&llvm_cbe_tmp9091_2e_i_2e_i->field3.field0));
  llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i144_2e_i_2e_i1278__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i_2e_i125_2e_i_2e_i + llvm_cbe_tmp13_2e_i_2e_i128_2e_i_2e_i))), llvm_cbe_tmp23_2e_i_2e_i144_2e_i_2e_i1278__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i1285__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i_2e_i118_2e_i_2e_i + llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i))), llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i1285__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp104_2e_i_2e_i = ((llvm_cbe_tmp106_2e_i_2e_i1213__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins)), llvm_cbe_tmp106_2e_i_2e_i1213__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp107_2e_i_2e_i = ((llvm_cbe_tmp109_2e_i_2e_i1217__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp109_2e_i_2e_i1217__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp115_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp117_2e_i_2e_i = *((&llvm_cbe_tmp115_2e_i_2e_i->field0));
  llvm_cbe_tmp119_2e_i_2e_i = *((&llvm_cbe_tmp117_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp119_2e_i_2e_i))(llvm_cbe_tmp115_2e_i_2e_i, (&llvm_cbe_s1_2e_i_2e_i), (&llvm_cbe_p1_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_tmp129_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp131_2e_i_2e_i = *((&llvm_cbe_tmp129_2e_i_2e_i->field0));
  llvm_cbe_tmp133_2e_i_2e_i = *((&llvm_cbe_tmp131_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp133_2e_i_2e_i))(llvm_cbe_tmp129_2e_i_2e_i, (&llvm_cbe_s2_2e_i_2e_i), (&llvm_cbe_p2_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_tmp143_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp145_2e_i_2e_i = *((&llvm_cbe_tmp143_2e_i_2e_i->field0));
  llvm_cbe_tmp147_2e_i_2e_i = *((&llvm_cbe_tmp145_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp147_2e_i_2e_i))(llvm_cbe_tmp143_2e_i_2e_i, (&llvm_cbe_s1_2e_i_2e_i), (&llvm_cbe_s2_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i147_2e_i_2e_i128512861287_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i125012511252_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb135_2e_i;

llvm_cbe_bb153_2e_i_2e_i:
  llvm_cbe_tmp159_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp161_2e_i_2e_i = *((&llvm_cbe_tmp159_2e_i_2e_i->field0));
  llvm_cbe_tmp163_2e_i_2e_i = *((&llvm_cbe_tmp161_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp163_2e_i_2e_i))(llvm_cbe_tmp159_2e_i_2e_i, (&llvm_cbe_x1_2e_i_2e_i), (&llvm_cbe_p1_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_tmp173_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp175_2e_i_2e_i = *((&llvm_cbe_tmp173_2e_i_2e_i->field0));
  llvm_cbe_tmp177_2e_i_2e_i = *((&llvm_cbe_tmp175_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp177_2e_i_2e_i))(llvm_cbe_tmp173_2e_i_2e_i, (&llvm_cbe_p1_2e_i_2e_i), (&llvm_cbe_p2_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_tmp187_2e_i_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp189_2e_i_2e_i = *((&llvm_cbe_tmp187_2e_i_2e_i->field0));
  llvm_cbe_tmp191_2e_i_2e_i = *((&llvm_cbe_tmp189_2e_i_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp191_2e_i_2e_i))(llvm_cbe_tmp187_2e_i_2e_i, (&llvm_cbe_x2_2e_i_2e_i), (&llvm_cbe_p2_2e_i_2e_i), (&llvm_cbe_color_2e_i_2e_i));
  llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i102_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i96_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i83_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i32_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  goto llvm_cbe_bb135_2e_i;

  } while (1); /* end of syntactic loop 'bb138.i' */
llvm_cbe_bb143_2e_i:
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 32u) == 0u)) {
    goto llvm_cbe_bb464_2e_i;
  } else {
    goto llvm_cbe_bb149_2e_i;
  }

llvm_cbe_bb149_2e_i:
  llvm_cbe_tmp152_2e_i = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp156_2e_i = *((&llvm_cbe_tmp152_2e_i->field7.field1));
  llvm_cbe_tmp157_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp156_2e_i));
  llvm_cbe_tmp161_2e_i = *((&llvm_cbe_tmp152_2e_i->field7.field0));
  llvm_cbe_tmp162_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp161_2e_i));
  *((&llvm_cbe_color10_2e_i.field0)) = 0x1.ccccccp-1;
  *((&llvm_cbe_color10_2e_i.field1)) = 0x1.ccccccp-1;
  *((&llvm_cbe_color10_2e_i.field2)) = 0x1.333334p-2;
  llvm_cbe_tmp201_2e_i = (&llvm_cbe_tmp152_2e_i->field6.field0.field0);
  llvm_cbe_tmp226_2e_i = (&llvm_cbe_tmp152_2e_i->field6.field0.field1);
  llvm_cbe_tmp410_2e_i = (&llvm_cbe_x1_2e_i.field0);
  llvm_cbe_tmp413_2e_i = (&llvm_cbe_x1_2e_i.field1);
  llvm_cbe_tmp428_2e_i = (&llvm_cbe_x2_2e_i.field0);
  llvm_cbe_tmp431_2e_i = (&llvm_cbe_x2_2e_i.field1);
  llvm_cbe_i9_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb163_2e_i;

  do {     /* Syntactic loop 'bb163.i' to make GCC happy */
llvm_cbe_bb163_2e_i:
  llvm_cbe_i9_2e_i_2e_0 = llvm_cbe_i9_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp169_2e_i = (&llvm_cbe_tmp152_2e_i->field0.field7[((signed long long )(((signed long long )(signed int )llvm_cbe_i9_2e_i_2e_0)))]);
  llvm_cbe_storemerge12_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp169_2e_i;   /* for PHI node */
  goto llvm_cbe_bb451_2e_i;

llvm_cbe_bb456_2e_i:
  llvm_cbe_tmp458_2e_i = llvm_cbe_i9_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp458_2e_i) < ((signed int )16384u))) {
    llvm_cbe_i9_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp458_2e_i;   /* for PHI node */
    goto llvm_cbe_bb163_2e_i;
  } else {
    goto llvm_cbe_bb464_2e_i;
  }

  do {     /* Syntactic loop 'bb451.i' to make GCC happy */
llvm_cbe_bb451_2e_i:
  llvm_cbe_storemerge12_2e_in_2e_i = llvm_cbe_storemerge12_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge12_2e_i = *llvm_cbe_storemerge12_2e_in_2e_i;
  if ((llvm_cbe_storemerge12_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb456_2e_i;
  } else {
    goto llvm_cbe_bb171_2e_i;
  }

llvm_cbe_bb171_2e_i:
  llvm_cbe_tmp176177178_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_storemerge12_2e_i);
  llvm_cbe_tmp185_2e_i = *((&llvm_cbe_tmp152_2e_i->field0.field2[((signed long long )llvm_cbe_tmp176177178_2e_i)].field1));
  llvm_cbe_tmp185186187_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp185_2e_i);
  llvm_cbe_tmp194_2e_i = *((&llvm_cbe_tmp152_2e_i->field0.field2[((signed long long )llvm_cbe_tmp176177178_2e_i)].field2));
  llvm_cbe_tmp194195196_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp194_2e_i);
  llvm_cbe_tmp202_2e_i = *llvm_cbe_tmp201_2e_i;
  llvm_cbe_tmp208_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp185186187_2e_i)].field0[((signed long long )0ull)]));
  llvm_cbe_tmp216_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp208_2e_i)))].field0));
  llvm_cbe_tmp227_2e_i = *llvm_cbe_tmp226_2e_i;
  llvm_cbe_tmp233_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp185186187_2e_i)].field0[((signed long long )1ull)]));
  llvm_cbe_tmp241_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp233_2e_i)))].field0));
  llvm_cbe_tmp258_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp185186187_2e_i)].field1[((signed long long )0ull)]));
  llvm_cbe_tmp266_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp258_2e_i)))].field0));
  llvm_cbe_tmp283_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp185186187_2e_i)].field1[((signed long long )1ull)]));
  llvm_cbe_tmp291_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp283_2e_i)))].field0));
  llvm_cbe_tmp308_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp194195196_2e_i)].field0[((signed long long )0ull)]));
  llvm_cbe_tmp316_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp308_2e_i)))].field0));
  llvm_cbe_tmp333_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp194195196_2e_i)].field0[((signed long long )1ull)]));
  llvm_cbe_tmp341_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp333_2e_i)))].field0));
  llvm_cbe_tmp358_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp194195196_2e_i)].field1[((signed long long )0ull)]));
  llvm_cbe_tmp366_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp358_2e_i)))].field0));
  llvm_cbe_tmp383_2e_i = *((&llvm_cbe_tmp152_2e_i->field1[((signed long long )llvm_cbe_tmp194195196_2e_i)].field1[((signed long long )1ull)]));
  llvm_cbe_tmp391_2e_i = *((&llvm_cbe_tmp152_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp383_2e_i)))].field0));
  llvm_cbe_tmp26_2e_i507_2e_i118711881189_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i504_2e_i1180__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp202_2e_i + (((float )(llvm_cbe_tmp162_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp216_2e_i)))))))))) + (((float )(llvm_cbe_tmp202_2e_i + (((float )(llvm_cbe_tmp162_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp266_2e_i))))))))))))), llvm_cbe_tmp23_2e_i504_2e_i1180__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i507_2e_i1187__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp227_2e_i + (((float )(llvm_cbe_tmp157_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp241_2e_i)))))))))) + (((float )(llvm_cbe_tmp227_2e_i + (((float )(llvm_cbe_tmp157_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp291_2e_i))))))))))))), llvm_cbe_tmp26_2e_i507_2e_i1187__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i458_2e_i117311741175_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i455_2e_i1166__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp404_2e_i1073__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i507_2e_i118711881189_2e_ins)), llvm_cbe_tmp404_2e_i1073__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp19_2e_i455_2e_i1166__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i458_2e_i1173__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp407_2e_i1077__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i507_2e_i118711881189_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp407_2e_i1077__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp22_2e_i458_2e_i1173__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp410_2e_i = ((llvm_cbe_tmp412_2e_i1080__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i458_2e_i117311741175_2e_ins)), llvm_cbe_tmp412_2e_i1080__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp413_2e_i = ((llvm_cbe_tmp415_2e_i1084__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i458_2e_i117311741175_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp415_2e_i1084__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp26_2e_i413_2e_i115911601161_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i410_2e_i1152__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp202_2e_i + (((float )(llvm_cbe_tmp162_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp316_2e_i)))))))))) + (((float )(llvm_cbe_tmp202_2e_i + (((float )(llvm_cbe_tmp162_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp366_2e_i))))))))))))), llvm_cbe_tmp23_2e_i410_2e_i1152__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i413_2e_i1159__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp227_2e_i + (((float )(llvm_cbe_tmp157_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp341_2e_i)))))))))) + (((float )(llvm_cbe_tmp227_2e_i + (((float )(llvm_cbe_tmp157_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp391_2e_i))))))))))))), llvm_cbe_tmp26_2e_i413_2e_i1159__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i365_2e_i114511461147_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i362_2e_i1138__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp422_2e_i1087__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i413_2e_i115911601161_2e_ins)), llvm_cbe_tmp422_2e_i1087__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp19_2e_i362_2e_i1138__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i365_2e_i1145__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp425_2e_i1091__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i413_2e_i115911601161_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp425_2e_i1091__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp22_2e_i365_2e_i1145__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp428_2e_i = ((llvm_cbe_tmp430_2e_i1094__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i365_2e_i114511461147_2e_ins)), llvm_cbe_tmp430_2e_i1094__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp431_2e_i = ((llvm_cbe_tmp433_2e_i1098__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i365_2e_i114511461147_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp433_2e_i1098__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp439_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp441_2e_i = *((&llvm_cbe_tmp439_2e_i->field0));
  llvm_cbe_tmp443_2e_i = *((&llvm_cbe_tmp441_2e_i[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp443_2e_i))(llvm_cbe_tmp439_2e_i, (&llvm_cbe_x1_2e_i), (&llvm_cbe_x2_2e_i), (&llvm_cbe_color10_2e_i));
  llvm_cbe_tmp449_2e_i = (&llvm_cbe_tmp152_2e_i->field0.field2[((signed long long )llvm_cbe_tmp176177178_2e_i)].field3);
  llvm_cbe_storemerge12_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp449_2e_i;   /* for PHI node */
  goto llvm_cbe_bb451_2e_i;

  } while (1); /* end of syntactic loop 'bb451.i' */
  } while (1); /* end of syntactic loop 'bb163.i' */
llvm_cbe_bb464_2e_i:
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 8u) == 0u)) {
    goto llvm_cbe_bb733_2e_i;
  } else {
    goto llvm_cbe_bb470_2e_i;
  }

llvm_cbe_bb470_2e_i:
  llvm_cbe_tmp473_2e_i = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp479_2e_i = *((&llvm_cbe_tmp473_2e_i->field6.field0.field0));
  llvm_cbe_tmp482_2e_i = *((&llvm_cbe_tmp473_2e_i->field6.field0.field1));
  llvm_cbe_tmp494_2e_i = *((&llvm_cbe_tmp473_2e_i->field6.field1.field0));
  llvm_cbe_tmp497_2e_i = *((&llvm_cbe_tmp473_2e_i->field6.field1.field1));
  llvm_cbe_tmp507_2e_i = *((&llvm_cbe_tmp473_2e_i->field7.field1));
  llvm_cbe_tmp508_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp507_2e_i));
  llvm_cbe_tmp512_2e_i = *((&llvm_cbe_tmp473_2e_i->field7.field0));
  llvm_cbe_tmp513_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp512_2e_i));
  *((&llvm_cbe_color7_2e_i.field0)) = 0x1.ccccccp-1;
  *((&llvm_cbe_color7_2e_i.field1)) = 0x1.333334p-2;
  *((&llvm_cbe_color7_2e_i.field2)) = 0x1.ccccccp-1;
  llvm_cbe_tmp616_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp1_2e_i278_2e_i = (&llvm_cbe_vs3_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp4_2e_i281_2e_i = (&llvm_cbe_vs3_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp1_2e_i269_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp4_2e_i272_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp1_2e_i260_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp4_2e_i263_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp1_2e_i251_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )3ull)].field0);
  llvm_cbe_tmp4_2e_i254_2e_i = (&llvm_cbe_vs3_2e_i[((signed long long )3ull)].field1);
  llvm_cbe_i5_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb514_2e_i;

  do {     /* Syntactic loop 'bb514.i' to make GCC happy */
llvm_cbe_bb514_2e_i:
  llvm_cbe_i5_2e_i_2e_0 = llvm_cbe_i5_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp518519_2e_i = ((signed long long )(signed int )llvm_cbe_i5_2e_i_2e_0);
  llvm_cbe_tmp3_2e_i289_2e_i = *((&llvm_cbe_tmp473_2e_i->field1[((signed long long )llvm_cbe_tmp518519_2e_i)].field2));
  if ((llvm_cbe_tmp3_2e_i289_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb674_2e_i;
  } else {
    goto llvm_cbe_bb527_2e_i;
  }

llvm_cbe_bb674_2e_i:
  llvm_cbe_tmp676_2e_i = llvm_cbe_i5_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp676_2e_i) < ((signed int )2048u))) {
    llvm_cbe_i5_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp676_2e_i;   /* for PHI node */
    goto llvm_cbe_bb514_2e_i;
  } else {
    goto llvm_cbe_bb682_2e_i;
  }

llvm_cbe_bb629_2e_i:
  *llvm_cbe_tmp1_2e_i278_2e_i = llvm_cbe_tmp547_2e_i;
  *llvm_cbe_tmp4_2e_i281_2e_i = llvm_cbe_tmp569_2e_i;
  *llvm_cbe_tmp1_2e_i269_2e_i = llvm_cbe_tmp591_2e_i;
  *llvm_cbe_tmp4_2e_i272_2e_i = llvm_cbe_tmp569_2e_i;
  *llvm_cbe_tmp1_2e_i260_2e_i = llvm_cbe_tmp591_2e_i;
  *llvm_cbe_tmp4_2e_i263_2e_i = llvm_cbe_tmp613_2e_i;
  *llvm_cbe_tmp1_2e_i251_2e_i = llvm_cbe_tmp547_2e_i;
  *llvm_cbe_tmp4_2e_i254_2e_i = llvm_cbe_tmp613_2e_i;
  llvm_cbe_tmp664_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp666_2e_i = *((&llvm_cbe_tmp664_2e_i->field0));
  llvm_cbe_tmp668_2e_i = *((&llvm_cbe_tmp666_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, unsigned int , struct l_struct_2E_b2Color *))llvm_cbe_tmp668_2e_i))(llvm_cbe_tmp664_2e_i, llvm_cbe_tmp616_2e_i, 4u, (&llvm_cbe_color7_2e_i));
  goto llvm_cbe_bb674_2e_i;

  do {     /* Syntactic loop 'bb618.i' to make GCC happy */
llvm_cbe_bb618_2e_i:
  llvm_cbe_tmp28_2e_i4_2e_0 = llvm_cbe_tmp28_2e_i4_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp623_2e_i = llvm_cbe_tmp28_2e_i4_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp623_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb629_2e_i;
  } else {
    llvm_cbe_tmp28_2e_i4_2e_0__PHI_TEMPORARY = llvm_cbe_tmp623_2e_i;   /* for PHI node */
    goto llvm_cbe_bb618_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb618.i' */
llvm_cbe_bb527_2e_i:
  llvm_cbe_tmp535_2e_i = *((&llvm_cbe_tmp473_2e_i->field1[((signed long long )llvm_cbe_tmp518519_2e_i)].field0[((signed long long )0ull)]));
  llvm_cbe_tmp543_2e_i = *((&llvm_cbe_tmp473_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp535_2e_i)))].field0));
  llvm_cbe_tmp547_2e_i = ((float )(llvm_cbe_tmp479_2e_i + (((float )(llvm_cbe_tmp513_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp543_2e_i)))))))));
  llvm_cbe_tmp557_2e_i = *((&llvm_cbe_tmp473_2e_i->field1[((signed long long )llvm_cbe_tmp518519_2e_i)].field0[((signed long long )1ull)]));
  llvm_cbe_tmp565_2e_i = *((&llvm_cbe_tmp473_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp557_2e_i)))].field0));
  llvm_cbe_tmp569_2e_i = ((float )(llvm_cbe_tmp482_2e_i + (((float )(llvm_cbe_tmp508_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp565_2e_i)))))))));
  llvm_cbe_tmp579_2e_i = *((&llvm_cbe_tmp473_2e_i->field1[((signed long long )llvm_cbe_tmp518519_2e_i)].field1[((signed long long )0ull)]));
  llvm_cbe_tmp587_2e_i = *((&llvm_cbe_tmp473_2e_i->field3[((signed int )0u)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp579_2e_i)))].field0));
  llvm_cbe_tmp591_2e_i = ((float )(llvm_cbe_tmp479_2e_i + (((float )(llvm_cbe_tmp513_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp587_2e_i)))))))));
  llvm_cbe_tmp601_2e_i = *((&llvm_cbe_tmp473_2e_i->field1[((signed long long )llvm_cbe_tmp518519_2e_i)].field1[((signed long long )1ull)]));
  llvm_cbe_tmp609_2e_i = *((&llvm_cbe_tmp473_2e_i->field3[((signed long long )1ull)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp601_2e_i)))].field0));
  llvm_cbe_tmp613_2e_i = ((float )(llvm_cbe_tmp482_2e_i + (((float )(llvm_cbe_tmp508_2e_i * (((float )(signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp609_2e_i)))))))));
  llvm_cbe_tmp28_2e_i4_2e_0__PHI_TEMPORARY = 3ull;   /* for PHI node */
  goto llvm_cbe_bb618_2e_i;

  } while (1); /* end of syntactic loop 'bb514.i' */
llvm_cbe_bb682_2e_i:
  llvm_cbe_tmp683_2e_i = (&llvm_cbe_vs6_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp25_2e_i_2e_0__PHI_TEMPORARY = 3ull;   /* for PHI node */
  goto llvm_cbe_bb685_2e_i;

  do {     /* Syntactic loop 'bb685.i' to make GCC happy */
llvm_cbe_bb685_2e_i:
  llvm_cbe_tmp25_2e_i_2e_0 = llvm_cbe_tmp25_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp690_2e_i = llvm_cbe_tmp25_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp690_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb696_2e_i;
  } else {
    llvm_cbe_tmp25_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp690_2e_i;   /* for PHI node */
    goto llvm_cbe_bb685_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb685.i' */
llvm_cbe_bb696_2e_i:
  *((&llvm_cbe_vs6_2e_i[((signed int )0u)].field0)) = llvm_cbe_tmp479_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed int )0u)].field1)) = llvm_cbe_tmp482_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )1ull)].field0)) = llvm_cbe_tmp494_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )1ull)].field1)) = llvm_cbe_tmp482_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )2ull)].field0)) = llvm_cbe_tmp494_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )2ull)].field1)) = llvm_cbe_tmp497_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )3ull)].field0)) = llvm_cbe_tmp479_2e_i;
  *((&llvm_cbe_vs6_2e_i[((signed long long )3ull)].field1)) = llvm_cbe_tmp497_2e_i;
  llvm_cbe_tmp723_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp725_2e_i = *((&llvm_cbe_tmp723_2e_i->field0));
  llvm_cbe_tmp727_2e_i = *((&llvm_cbe_tmp725_2e_i[((signed long long )2ull)]));
  *((&llvm_cbe_tmp24_2e_i.field0)) = 0x1.333334p-2;
  *((&llvm_cbe_tmp24_2e_i.field1)) = 0x1.ccccccp-1;
  *((&llvm_cbe_tmp24_2e_i.field2)) = 0x1.ccccccp-1;
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, unsigned int , struct l_struct_2E_b2Color *))llvm_cbe_tmp727_2e_i))(llvm_cbe_tmp723_2e_i, llvm_cbe_tmp683_2e_i, 4u, (&llvm_cbe_tmp24_2e_i));
  goto llvm_cbe_bb733_2e_i;

llvm_cbe_bb733_2e_i:
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 16u) == 0u)) {
    goto llvm_cbe_bb894_2e_i;
  } else {
    goto llvm_cbe_bb739_2e_i;
  }

llvm_cbe_bb739_2e_i:
  *((&llvm_cbe_color_2e_i.field0)) = 0x1p-1;
  *((&llvm_cbe_color_2e_i.field1)) = 0x1.333334p-2;
  *((&llvm_cbe_color_2e_i.field2)) = 0x1p-1;
  llvm_cbe_tmp741_2e_i = (&llvm_cbe_this->field5);
  llvm_cbe_tmp774_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp1_2e_i149_2e_i = (&llvm_cbe_vs_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp4_2e_i152_2e_i = (&llvm_cbe_vs_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp1_2e_i140_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp4_2e_i143_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp1_2e_i131_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp4_2e_i134_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp1_2e_i122_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )3ull)].field0);
  llvm_cbe_tmp4_2e_i125_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )3ull)].field1);
  llvm_cbe_storemerge74_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp741_2e_i;   /* for PHI node */
  goto llvm_cbe_bb889_2e_i;

  do {     /* Syntactic loop 'bb889.i' to make GCC happy */
llvm_cbe_bb889_2e_i:
  llvm_cbe_retval_2e_i106_2e_i_2e_3 = llvm_cbe_retval_2e_i106_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_storemerge74_2e_i_2e_in = llvm_cbe_storemerge74_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge74_2e_i = *llvm_cbe_storemerge74_2e_i_2e_in;
  if ((llvm_cbe_storemerge74_2e_i == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb894_2e_i;
  } else {
    goto llvm_cbe_bb743_2e_i;
  }

llvm_cbe_bb886_2e_i:
  llvm_cbe_tmp2_2e_i92_2e_i = (&llvm_cbe_storemerge74_2e_i->field10);
  llvm_cbe_retval_2e_i106_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i106_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_storemerge74_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i92_2e_i;   /* for PHI node */
  goto llvm_cbe_bb889_2e_i;

  do {     /* Syntactic loop 'bb881.i' to make GCC happy */
llvm_cbe_bb881_2e_i:
  llvm_cbe_retval_2e_i106_2e_i_2e_2 = llvm_cbe_retval_2e_i106_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge73_2e_i_2e_in = llvm_cbe_storemerge73_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge73_2e_i = *llvm_cbe_storemerge73_2e_i_2e_in;
  if ((llvm_cbe_storemerge73_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb886_2e_i;
  } else {
    goto llvm_cbe_bb748_2e_i;
  }

llvm_cbe_bb878_2e_i:
  llvm_cbe_retval_2e_i106_2e_i_2e_1 = llvm_cbe_retval_2e_i106_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i96_2e_i = (&llvm_cbe_storemerge73_2e_i->field2);
  llvm_cbe_retval_2e_i106_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i106_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge73_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i96_2e_i;   /* for PHI node */
  goto llvm_cbe_bb881_2e_i;

llvm_cbe_bb748_2e_i:
  llvm_cbe_tmp3_2e_i159_2e_i = *((&llvm_cbe_storemerge73_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i159_2e_i == 1u)) {
    goto llvm_cbe_bb755_2e_i;
  } else {
    llvm_cbe_retval_2e_i106_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i106_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb878_2e_i;
  }

llvm_cbe_bb862_2e_i:
  llvm_cbe_tmp868_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp870_2e_i = *((&llvm_cbe_tmp868_2e_i->field0));
  llvm_cbe_tmp872_2e_i = *((&llvm_cbe_tmp870_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, unsigned int , struct l_struct_2E_b2Color *))llvm_cbe_tmp872_2e_i))(llvm_cbe_tmp868_2e_i, llvm_cbe_tmp774_2e_i, 4u, (&llvm_cbe_color_2e_i));
  llvm_cbe_retval_2e_i106_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i_2e_i113111321133_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb878_2e_i;

  do {     /* Syntactic loop 'bb813.i' to make GCC happy */
llvm_cbe_bb813_2e_i:
  llvm_cbe_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp815816_2e_i = ((signed long long )(signed int )llvm_cbe_i_2e_i_2e_0);
  llvm_cbe_tmp817_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )llvm_cbe_tmp815816_2e_i)]);
  llvm_cbe_tmp820_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp819_2e_i, llvm_cbe_tmp817_2e_i);
  llvm_cbe_tmp3_2e_i108_2e_i = *llvm_cbe_tmp2_2e_i107_2e_i;
  llvm_cbe_tmp10_2e_i_2e_i = *llvm_cbe_tmp9_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i_2e_i113111321133_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i1124__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i_2e_i + ((llvm_cbe_tmp824_2e_i1101__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp820_2e_i)), llvm_cbe_tmp824_2e_i1101__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i_2e_i1124__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i1131__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i108_2e_i + ((llvm_cbe_tmp827_2e_i1105__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp820_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp827_2e_i1105__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i_2e_i1131__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp834_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )llvm_cbe_tmp815816_2e_i)].field0);
  *llvm_cbe_tmp834_2e_i = ((llvm_cbe_tmp836_2e_i1108__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i113111321133_2e_ins)), llvm_cbe_tmp836_2e_i1108__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp837_2e_i = (&llvm_cbe_vs_2e_i[((signed long long )llvm_cbe_tmp815816_2e_i)].field1);
  *llvm_cbe_tmp837_2e_i = ((llvm_cbe_tmp839_2e_i1112__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i113111321133_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp839_2e_i1112__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp845_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i166_2e_i, llvm_cbe_tmp817_2e_i);
  *llvm_cbe_tmp834_2e_i = ((llvm_cbe_tmp851_2e_i1115__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp845_2e_i)), llvm_cbe_tmp851_2e_i1115__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp837_2e_i = ((llvm_cbe_tmp854_2e_i1119__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp845_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp854_2e_i1119__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp856_2e_i = llvm_cbe_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp856_2e_i) < ((signed int )4u))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp856_2e_i;   /* for PHI node */
    goto llvm_cbe_bb813_2e_i;
  } else {
    goto llvm_cbe_bb862_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb813.i' */
llvm_cbe_bb787_2e_i:
  llvm_cbe_tmp791_2e_i = ((float )(-(llvm_cbe_tmp767_2e_i)));
  llvm_cbe_tmp794_2e_i = ((float )(-(llvm_cbe_tmp764_2e_i)));
  *llvm_cbe_tmp1_2e_i149_2e_i = llvm_cbe_tmp794_2e_i;
  *llvm_cbe_tmp4_2e_i152_2e_i = llvm_cbe_tmp791_2e_i;
  *llvm_cbe_tmp1_2e_i140_2e_i = llvm_cbe_tmp764_2e_i;
  *llvm_cbe_tmp4_2e_i143_2e_i = llvm_cbe_tmp791_2e_i;
  *llvm_cbe_tmp1_2e_i131_2e_i = llvm_cbe_tmp764_2e_i;
  *llvm_cbe_tmp4_2e_i134_2e_i = llvm_cbe_tmp767_2e_i;
  *llvm_cbe_tmp1_2e_i122_2e_i = llvm_cbe_tmp794_2e_i;
  *llvm_cbe_tmp4_2e_i125_2e_i = llvm_cbe_tmp767_2e_i;
  llvm_cbe_tmp819_2e_i = (&llvm_cbe_tmp756757_2e_i->field2.field0);
  llvm_cbe_tmp2_2e_i107_2e_i = (&llvm_cbe_tmp756757_2e_i->field2.field1.field1);
  llvm_cbe_tmp9_2e_i_2e_i = (&llvm_cbe_tmp756757_2e_i->field2.field1.field0);
  llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb813_2e_i;

  do {     /* Syntactic loop 'bb776.i' to make GCC happy */
llvm_cbe_bb776_2e_i:
  llvm_cbe_tmp20_2e_i_2e_0 = llvm_cbe_tmp20_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp781_2e_i = llvm_cbe_tmp20_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp781_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb787_2e_i;
  } else {
    llvm_cbe_tmp20_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp781_2e_i;   /* for PHI node */
    goto llvm_cbe_bb776_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb776.i' */
llvm_cbe_bb755_2e_i:
  llvm_cbe_tmp756757_2e_i = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_storemerge73_2e_i);
  llvm_cbe_tmp764_2e_i = *((&llvm_cbe_tmp756757_2e_i->field2.field2.field0));
  llvm_cbe_tmp767_2e_i = *((&llvm_cbe_tmp756757_2e_i->field2.field2.field1));
  llvm_cbe_tmp20_2e_i_2e_0__PHI_TEMPORARY = 3ull;   /* for PHI node */
  goto llvm_cbe_bb776_2e_i;

  } while (1); /* end of syntactic loop 'bb881.i' */
llvm_cbe_bb743_2e_i:
  llvm_cbe_tmp2_2e_i166_2e_i = (&llvm_cbe_storemerge74_2e_i->field2);
  llvm_cbe_tmp2_2e_i162_2e_i = (&llvm_cbe_storemerge74_2e_i->field11);
  llvm_cbe_retval_2e_i106_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i106_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_storemerge73_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i162_2e_i;   /* for PHI node */
  goto llvm_cbe_bb881_2e_i;

  } while (1); /* end of syntactic loop 'bb889.i' */
llvm_cbe_bb894_2e_i:
  if (((llvm_cbe_tmp3_2e_i_2e_i12 & 64u) == 0u)) {
    goto llvm_cbe__ZN7b2World13DrawDebugDataEv_2e_exit;
  } else {
    goto llvm_cbe_bb900_2e_i;
  }

llvm_cbe_bb900_2e_i:
  llvm_cbe_tmp902_2e_i = (&llvm_cbe_this->field5);
  llvm_cbe_tmp909_2e_i = (&llvm_cbe_xf_2e_i.field0.field0);
  llvm_cbe_tmp912_2e_i = (&llvm_cbe_xf_2e_i.field0.field1);
  llvm_cbe_tmp919_2e_i = (&llvm_cbe_xf_2e_i.field1.field0.field0);
  llvm_cbe_tmp922_2e_i = (&llvm_cbe_xf_2e_i.field1.field0.field1);
  llvm_cbe_tmp927_2e_i = (&llvm_cbe_xf_2e_i.field1.field1.field0);
  llvm_cbe_tmp930_2e_i = (&llvm_cbe_xf_2e_i.field1.field1.field1);
  llvm_cbe_storemerge75_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp902_2e_i;   /* for PHI node */
  goto llvm_cbe_bb964_2e_i;

  do {     /* Syntactic loop 'bb964.i' to make GCC happy */
llvm_cbe_bb964_2e_i:
  llvm_cbe_storemerge75_2e_i_2e_in = llvm_cbe_storemerge75_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge75_2e_i = *llvm_cbe_storemerge75_2e_i_2e_in;
  if ((llvm_cbe_storemerge75_2e_i == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe__ZN7b2World13DrawDebugDataEv_2e_exit;
  } else {
    goto llvm_cbe_bb904_2e_i;
  }

llvm_cbe_bb904_2e_i:
  llvm_cbe_tmp911_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field0.field0));
  *llvm_cbe_tmp909_2e_i = llvm_cbe_tmp911_2e_i;
  llvm_cbe_tmp914_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field0.field1));
  *llvm_cbe_tmp912_2e_i = llvm_cbe_tmp914_2e_i;
  llvm_cbe_tmp921_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field1.field0.field0));
  *llvm_cbe_tmp919_2e_i = llvm_cbe_tmp921_2e_i;
  llvm_cbe_tmp924_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field1.field0.field1));
  *llvm_cbe_tmp922_2e_i = llvm_cbe_tmp924_2e_i;
  llvm_cbe_tmp929_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field1.field1.field0));
  *llvm_cbe_tmp927_2e_i = llvm_cbe_tmp929_2e_i;
  llvm_cbe_tmp932_2e_i = *((&llvm_cbe_storemerge75_2e_i->field2.field1.field1.field1));
  *llvm_cbe_tmp930_2e_i = llvm_cbe_tmp932_2e_i;
  llvm_cbe_tmp937_2e_i = *((&llvm_cbe_storemerge75_2e_i->field3.field2.field0));
  llvm_cbe_tmp940_2e_i = *((&llvm_cbe_storemerge75_2e_i->field3.field2.field1));
  *llvm_cbe_tmp909_2e_i = llvm_cbe_tmp937_2e_i;
  *llvm_cbe_tmp912_2e_i = llvm_cbe_tmp940_2e_i;
  llvm_cbe_tmp953_2e_i = *llvm_cbe_tmp43_2e_i;
  llvm_cbe_tmp955_2e_i = *((&llvm_cbe_tmp953_2e_i->field0));
  llvm_cbe_tmp957_2e_i = *((&llvm_cbe_tmp955_2e_i[((signed long long )7ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp957_2e_i))(llvm_cbe_tmp953_2e_i, (&llvm_cbe_xf_2e_i));
  llvm_cbe_tmp2_2e_i80_2e_i = (&llvm_cbe_storemerge75_2e_i->field10);
  llvm_cbe_storemerge75_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i80_2e_i;   /* for PHI node */
  goto llvm_cbe_bb964_2e_i;

  } while (1); /* end of syntactic loop 'bb964.i' */
llvm_cbe__ZN7b2World13DrawDebugDataEv_2e_exit:
  llvm_cbe_tmp54 = *((&llvm_cbe_step.field1));
  *llvm_cbe_tmp16 = llvm_cbe_tmp54;
  *llvm_cbe_tmp1 = ((unsigned char )0);
  return;
}


static void _ZN5SceneC1Eb(struct l_struct_2E_Scene *llvm_cbe_this, unsigned char llvm_cbe_noWorld) {
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2BodyDef llvm_cbe_bd_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_worldAABB;    /* Address-exposed local */
  struct l_struct_2E_b2World **llvm_cbe_tmp8;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp1_2e_i50;
  unsigned int *llvm_cbe_tmp5_2e_i54;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i78;
  float *llvm_cbe_tmp1_2e_i38;
  float *llvm_cbe_tmp4_2e_i41;
  float *llvm_cbe_tmp1_2e_i29;
  float *llvm_cbe_tmp4_2e_i32;
  unsigned char *llvm_cbe_tmp30;
  struct l_struct_2E_b2World *llvm_cbe_tmp3031;
  struct l_struct_2E_b2BlockAllocator *llvm_cbe_tmp3_2e_i14;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i84;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp13_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i;
  unsigned char *ltmp_8_1;
  unsigned char *ltmp_9_1;
  bool llvm_cbe_tmp27_2e_b_2e_i_2e_i;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload116;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload115;
  unsigned int llvm_cbe_tmp43_2e_i_2e_i;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload112;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload111;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload113;
  unsigned int llvm_cbe_tmp56_2e_i_2e_i;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_j_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload110;
  unsigned int llvm_cbe_tmp64_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp17_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i123_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i128_2e_i;
  unsigned char *llvm_cbe_tmp13_2e_i131_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp6768_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp74_2e_i;
  unsigned int llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp15_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp2528_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp59_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp12_2e_i85_2e_i;
  float llvm_cbe_tmp26_2e_i91_2e_i;
  float llvm_cbe_tmp29_2e_i94_2e_i;
  float llvm_cbe_tmp34_2e_i_2e_i;
  float llvm_cbe_tmp37_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i22_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i_2e_i102_2e_i;
  float llvm_cbe_tmp10_2e_i24_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i25_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i32_2e_i_2e_i100__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i34_2e_i_2e_i107__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i34_2e_i_2e_i107108109_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i_2e_i_2e_i99__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i37_2e_i_2e_i105__BITCAST_TEMPORARY;
  unsigned short llvm_cbe_i_2e_i69_2e_i_2e_0;
  unsigned short llvm_cbe_i_2e_i69_2e_i_2e_0__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp66_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp686972_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp93_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV5Scene[((signed long long )2ull)]));
  llvm_cbe_tmp8 = (&llvm_cbe_this->field1);
  *llvm_cbe_tmp8 = ((struct l_struct_2E_b2World *)/*NULL*/0);
  llvm_cbe_tmp1_2e_i50 = (&llvm_cbe_this->field2.field0);
  *llvm_cbe_tmp1_2e_i50 = ((struct l_struct_2E_Stroke **)/*NULL*/0);
  *((&llvm_cbe_this->field2.field1)) = 0u;
  llvm_cbe_tmp5_2e_i54 = (&llvm_cbe_this->field2.field2);
  *llvm_cbe_tmp5_2e_i54 = 0u;
  llvm_cbe_tmp28_2e_i_2e_i78 = malloc(0ull);
  *llvm_cbe_tmp1_2e_i50 = (((struct l_struct_2E_Stroke **)llvm_cbe_tmp28_2e_i_2e_i78));
  *llvm_cbe_tmp5_2e_i54 = 0u;
  _ZNSsC1Ev(((&llvm_cbe_this->field3)));
  _ZNSsC1Ev(((&llvm_cbe_this->field4)));
  _ZNSsC1Ev(((&llvm_cbe_this->field5)));
  *((&llvm_cbe_this->field6)) = ((struct l_struct_2E_Image *)/*NULL*/0);
  *((&llvm_cbe_this->field7)) = 0u;
  if ((llvm_cbe_noWorld == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp1_2e_i38 = (&llvm_cbe_worldAABB.field0.field0);
  *llvm_cbe_tmp1_2e_i38 = -0x1.9p+6;
  llvm_cbe_tmp4_2e_i41 = (&llvm_cbe_worldAABB.field0.field1);
  *llvm_cbe_tmp4_2e_i41 = -0x1.9p+6;
  llvm_cbe_tmp1_2e_i29 = (&llvm_cbe_worldAABB.field1.field0);
  *llvm_cbe_tmp1_2e_i29 = 0x1.9p+6;
  llvm_cbe_tmp4_2e_i32 = (&llvm_cbe_worldAABB.field1.field1);
  *llvm_cbe_tmp4_2e_i32 = 0x1.9p+6;
  llvm_cbe_tmp30 = _Znwm(103344ull);
  llvm_cbe_tmp3031 = ((struct l_struct_2E_b2World *)llvm_cbe_tmp30);
  llvm_cbe_tmp3_2e_i14 = ((struct l_struct_2E_b2BlockAllocator *)llvm_cbe_tmp30);
  *((&llvm_cbe_tmp3031->field0.field2)) = 128u;
  *((&llvm_cbe_tmp3031->field0.field1)) = 0u;
  llvm_cbe_tmp5_2e_i_2e_i = (&llvm_cbe_tmp3031->field0.field2);
  llvm_cbe_tmp6_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i_2e_i_2e_i84 = (llvm_cbe_tmp6_2e_i_2e_i << 4u) | 4u;
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *(&b2_byteCount);
  *(&b2_byteCount) = (llvm_cbe_tmp3_2e_i_2e_i_2e_i + llvm_cbe_tmp2_2e_i_2e_i_2e_i84);
  llvm_cbe_tmp8_2e_i_2e_i_2e_i = malloc((((signed long long )(signed int )llvm_cbe_tmp2_2e_i_2e_i_2e_i84)));
  *(((unsigned int *)llvm_cbe_tmp8_2e_i_2e_i_2e_i)) = llvm_cbe_tmp2_2e_i_2e_i_2e_i84;
  llvm_cbe_tmp13_2e_i_2e_i_2e_i = (&llvm_cbe_tmp8_2e_i_2e_i_2e_i[((signed long long )4ull)]);
  *(((struct l_struct_2E_b2Chunk **)llvm_cbe_tmp30)) = (((struct l_struct_2E_b2Chunk *)llvm_cbe_tmp13_2e_i_2e_i_2e_i));
  llvm_cbe_tmp16_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i;
  ltmp_8_1 = memset(llvm_cbe_tmp13_2e_i_2e_i_2e_i, (((unsigned int )(unsigned char )((unsigned char )0))), ((((signed long long )(signed int )llvm_cbe_tmp16_2e_i_2e_i)) << 4ull));
  ltmp_9_1 = memset(((&llvm_cbe_tmp30[((signed long long )16ull)])), (((unsigned int )(unsigned char )((unsigned char )0))), 112ull);
  llvm_cbe_tmp27_2e_b_2e_i_2e_i = ((*(&_ZN16b2BlockAllocator28s_blockSizeLookupInitializedE_2E_b))&1);
  if (llvm_cbe_tmp27_2e_b_2e_i_2e_i) {
    goto llvm_cbe__ZN16b2BlockAllocatorC1Ev_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb30_2e_i_2e_i_2e_thread;
  }

llvm_cbe_bb30_2e_i_2e_i_2e_thread:
  *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem) = 0u;
  *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem) = 1u;
  goto llvm_cbe_bb39_2e_i_2e_i;

llvm_cbe_bb35_2e_i_2e_i:
  __assert_fail(((&_2E_str3180[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 72u, ((&_ZZN16b2BlockAllocatorC4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb39.i.i' to make GCC happy */
llvm_cbe_bb39_2e_i_2e_i:
  llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload115 = *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_tmp43_2e_i_2e_i = *((&_ZN16b2BlockAllocator12s_blockSizesE[((signed long long )(((signed long long )(signed int )llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload115)))]));
  llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload112 = *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem);
  if ((((signed int )llvm_cbe_tmp43_2e_i_2e_i) < ((signed int )llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload112))) {
    goto llvm_cbe_bb54_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb48_2e_i_2e_i;
  }

llvm_cbe_bb30_2e_i_2e_i:
  *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_j_2e_i_2e_i_2e_0;
  *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_tmp64_2e_i_2e_i;
  llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload116 = *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem);
  if ((((signed int )llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload116) > ((signed int )13u))) {
    goto llvm_cbe_bb35_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb39_2e_i_2e_i;
  }

llvm_cbe_bb62_2e_i_2e_i:
  llvm_cbe_j_2e_i_2e_i_2e_0 = llvm_cbe_j_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload110 = *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp64_2e_i_2e_i = llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload110 + 1u;
  if ((((signed int )llvm_cbe_tmp64_2e_i_2e_i) < ((signed int )641u))) {
    goto llvm_cbe_bb30_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb71_2e_i_2e_i;
  }

llvm_cbe_bb48_2e_i_2e_i:
  llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload111 = *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem);
  *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )(((signed long long )(signed int )llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload111)))])) = (((unsigned char )llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload));
  llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload113 = *(&llvm_cbe_j_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_j_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload113;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i_2e_i;

llvm_cbe_bb54_2e_i_2e_i:
  llvm_cbe_tmp56_2e_i_2e_i = llvm_cbe_j_2e_i_2e_i_2e_1_2e_reload + 1u;
  llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_i_2e_i_2e_i_2e_0_2e_reg2mem);
  *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )(((signed long long )(signed int )llvm_cbe_i_2e_i_2e_i_2e_0_2e_reload)))])) = (((unsigned char )llvm_cbe_tmp56_2e_i_2e_i));
  llvm_cbe_j_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp56_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb39.i.i' */
llvm_cbe_bb71_2e_i_2e_i:
  *(&_ZN16b2BlockAllocator28s_blockSizeLookupInitializedE_2E_b) = ((1) & 1);
  goto llvm_cbe__ZN16b2BlockAllocatorC1Ev_2e_exit_2e_i;

llvm_cbe__ZN16b2BlockAllocatorC1Ev_2e_exit_2e_i:
  *((&llvm_cbe_tmp3031->field1.field1)) = 0u;
  *((&llvm_cbe_tmp3031->field1.field2)) = 0u;
  *((&llvm_cbe_tmp3031->field1.field3)) = 0u;
  *((&llvm_cbe_tmp3031->field1.field5)) = 0u;
  *((&llvm_cbe_tmp3031->field4.field0.field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  *((&llvm_cbe_tmp3031->field4.field0.field0)) = ((&_ZTV16b2ContactManager[((signed long long )2ull)]));
  *((&llvm_cbe_tmp3031->field4.field1)) = ((struct l_struct_2E_b2World *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field4.field2.field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  *((&llvm_cbe_tmp3031->field4.field2.field0.field7)) = ((struct l_struct_2E_b2Shape *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field4.field2.field0.field8)) = ((struct l_struct_2E_b2Shape *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field4.field2.field0.field0)) = ((&_ZTV13b2NullContact[((signed long long )2ull)]));
  *((&llvm_cbe_tmp3031->field4.field3)) = ((unsigned char )0);
  *((&llvm_cbe_tmp3031->field14)) = ((struct l_struct_2E_Os *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field15)) = ((struct l_struct_2E_Os *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field16)) = (&b2_defaultFilter);
  llvm_cbe_tmp17_2e_i = (&llvm_cbe_tmp3031->field17);
  *llvm_cbe_tmp17_2e_i = ((struct l_struct_2E_Os *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field18)) = ((struct l_struct_2E_b2DebugDraw *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field5)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field7)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field6)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp3031->field8)) = 0u;
  *((&llvm_cbe_tmp3031->field9)) = 0u;
  *((&llvm_cbe_tmp3031->field10)) = 0u;
  *((&llvm_cbe_tmp3031->field21)) = ((unsigned char )1);
  *((&llvm_cbe_tmp3031->field22)) = ((unsigned char )1);
  *((&llvm_cbe_tmp3031->field23)) = ((unsigned char )1);
  *((&llvm_cbe_tmp3031->field12)) = ((unsigned char )1);
  *((&llvm_cbe_tmp3031->field11.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp3031->field11.field1)) = 0x1.4p+3;
  *((&llvm_cbe_tmp3031->field2)) = ((unsigned char )0);
  *((&llvm_cbe_tmp3031->field19)) = 0x0p+0;
  *((&llvm_cbe_tmp3031->field4.field1)) = llvm_cbe_tmp3031;
  llvm_cbe_tmp3_2e_i123_2e_i = *(&b2_byteCount);
  *(&b2_byteCount) = (llvm_cbe_tmp3_2e_i123_2e_i + 462924u);
  llvm_cbe_tmp8_2e_i128_2e_i = malloc(462924ull);
  *(((unsigned int *)llvm_cbe_tmp8_2e_i128_2e_i)) = 462924u;
  llvm_cbe_tmp13_2e_i131_2e_i = (&llvm_cbe_tmp8_2e_i128_2e_i[((signed long long )4ull)]);
  llvm_cbe_tmp6768_2e_i = ((struct l_struct_2E_b2BroadPhase *)llvm_cbe_tmp13_2e_i131_2e_i);
  if ((llvm_cbe_tmp13_2e_i131_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb87_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i18;
  }

llvm_cbe_bb_2e_i18:
  llvm_cbe_tmp74_2e_i = (&llvm_cbe_tmp3031->field4.field0);
  llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb8_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb8.i.i.i' to make GCC happy */
llvm_cbe_bb8_2e_i_2e_i_2e_i:
  llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_tmp6768_2e_i->field0.field7[((signed long long )(((signed long long )(signed int )llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0)))])) = ((unsigned short )-1);
  llvm_cbe_tmp15_2e_i_2e_i_2e_i = llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp15_2e_i_2e_i_2e_i) < ((signed int )16384u))) {
    llvm_cbe_i1_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb8_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb8.i.i.i' */
llvm_cbe_bb21_2e_i_2e_i_2e_i:
  *((&llvm_cbe_tmp6768_2e_i->field0.field3)) = ((unsigned short )0);
  llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb24_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb24.i.i.i' to make GCC happy */
llvm_cbe_bb24_2e_i_2e_i_2e_i:
  llvm_cbe_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp2528_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_i_2e_i_2e_i_2e_i_2e_0);
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )llvm_cbe_tmp2528_2e_i_2e_i_2e_i)].field1)) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )llvm_cbe_tmp2528_2e_i_2e_i_2e_i)].field2)) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )llvm_cbe_tmp2528_2e_i_2e_i_2e_i)].field0)) = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )llvm_cbe_tmp2528_2e_i_2e_i_2e_i)].field4)) = ((unsigned short )0);
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )llvm_cbe_tmp2528_2e_i_2e_i_2e_i)].field3)) = (((unsigned short )((((unsigned short )llvm_cbe_i_2e_i_2e_i_2e_i_2e_0)) + ((unsigned short )1))));
  llvm_cbe_tmp59_2e_i_2e_i_2e_i = llvm_cbe_i_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp59_2e_i_2e_i_2e_i) < ((signed int )16384u))) {
    llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp59_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb24_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN13b2PairManagerC1Ev_2e_exit_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb24.i.i.i' */
llvm_cbe__ZN13b2PairManagerC1Ev_2e_exit_2e_i_2e_i:
  *((&llvm_cbe_tmp6768_2e_i->field0.field2[((signed long long )16383ull)].field3)) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field0.field4)) = 0u;
  *((&llvm_cbe_tmp6768_2e_i->field0.field6)) = 0u;
  *(((struct l_struct_2E_b2BroadPhase **)llvm_cbe_tmp13_2e_i131_2e_i)) = llvm_cbe_tmp6768_2e_i;
  *((&llvm_cbe_tmp6768_2e_i->field0.field1)) = llvm_cbe_tmp74_2e_i;
  llvm_cbe_tmp12_2e_i85_2e_i = _ZNK6b2AABB7IsValidEv((&llvm_cbe_worldAABB));
  if ((llvm_cbe_tmp12_2e_i85_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb_2e_i86_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i86_2e_i:
  __assert_fail(((&_2E_str24214[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 71u, ((&_ZZN12b2BroadPhaseC4ERK6b2AABBP14b2PairCallbackE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i_2e_i:
  llvm_cbe_tmp26_2e_i91_2e_i = *((&llvm_cbe_worldAABB.field0.field0));
  *((&llvm_cbe_tmp6768_2e_i->field6.field0.field0)) = llvm_cbe_tmp26_2e_i91_2e_i;
  llvm_cbe_tmp29_2e_i94_2e_i = *((&llvm_cbe_worldAABB.field0.field1));
  *((&llvm_cbe_tmp6768_2e_i->field6.field0.field1)) = llvm_cbe_tmp29_2e_i94_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i = *((&llvm_cbe_worldAABB.field1.field0));
  *((&llvm_cbe_tmp6768_2e_i->field6.field1.field0)) = llvm_cbe_tmp34_2e_i_2e_i;
  llvm_cbe_tmp37_2e_i_2e_i = *((&llvm_cbe_worldAABB.field1.field1));
  *((&llvm_cbe_tmp6768_2e_i->field6.field1.field1)) = llvm_cbe_tmp37_2e_i_2e_i;
  *((&llvm_cbe_tmp6768_2e_i->field8)) = 0u;
  llvm_cbe_tmp3_2e_i22_2e_i_2e_i = *llvm_cbe_tmp4_2e_i32;
  llvm_cbe_tmp6_2e_i_2e_i102_2e_i = *llvm_cbe_tmp4_2e_i41;
  llvm_cbe_tmp10_2e_i24_2e_i_2e_i = *llvm_cbe_tmp1_2e_i29;
  llvm_cbe_tmp13_2e_i25_2e_i_2e_i = *llvm_cbe_tmp1_2e_i38;
  llvm_cbe_tmp26_2e_i34_2e_i_2e_i107108109_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i32_2e_i_2e_i100__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i24_2e_i_2e_i - llvm_cbe_tmp13_2e_i25_2e_i_2e_i))), llvm_cbe_tmp23_2e_i32_2e_i_2e_i100__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i34_2e_i_2e_i107__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i22_2e_i_2e_i - llvm_cbe_tmp6_2e_i_2e_i102_2e_i))), llvm_cbe_tmp26_2e_i34_2e_i_2e_i107__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp6768_2e_i->field7.field0)) = (((float )(0x1.fffep+15 / ((llvm_cbe_tmp29_2e_i_2e_i_2e_i99__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i34_2e_i_2e_i107108109_2e_ins)), llvm_cbe_tmp29_2e_i_2e_i_2e_i99__BITCAST_TEMPORARY.Float)))));
  *((&llvm_cbe_tmp6768_2e_i->field7.field1)) = (((float )(0x1.fffep+15 / ((llvm_cbe_tmp32_2e_i37_2e_i_2e_i105__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i34_2e_i_2e_i107108109_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i37_2e_i_2e_i105__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_i_2e_i69_2e_i_2e_0__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
  goto llvm_cbe_bb64_2e_i_2e_i;

  do {     /* Syntactic loop 'bb64.i.i' to make GCC happy */
llvm_cbe_bb64_2e_i_2e_i:
  llvm_cbe_i_2e_i69_2e_i_2e_0 = llvm_cbe_i_2e_i69_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp66_2e_i_2e_i = ((unsigned short )(llvm_cbe_i_2e_i69_2e_i_2e_0 + ((unsigned short )1)));
  llvm_cbe_tmp686972_2e_i_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_i_2e_i69_2e_i_2e_0);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )llvm_cbe_tmp686972_2e_i_2e_i)].field0[((signed long long )0ull)])) = llvm_cbe_tmp66_2e_i_2e_i;
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )llvm_cbe_tmp686972_2e_i_2e_i)].field3)) = ((unsigned short )0);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )llvm_cbe_tmp686972_2e_i_2e_i)].field2)) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )llvm_cbe_tmp686972_2e_i_2e_i)].field4)) = ((unsigned char *)/*NULL*/0);
  if ((((unsigned short )llvm_cbe_tmp66_2e_i_2e_i) < ((unsigned short )((unsigned short )2047)))) {
    llvm_cbe_i_2e_i69_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp66_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb64_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN12b2BroadPhaseC1ERK6b2AABBP14b2PairCallback_2e_exit_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb64.i.i' */
llvm_cbe__ZN12b2BroadPhaseC1ERK6b2AABBP14b2PairCallback_2e_exit_2e_i:
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )2047ull)].field0[((signed long long )0ull)])) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )2047ull)].field3)) = ((unsigned short )0);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )2047ull)].field2)) = ((unsigned short )-1);
  *((&llvm_cbe_tmp6768_2e_i->field1[((signed long long )2047ull)].field4)) = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_tmp6768_2e_i->field2)) = ((unsigned short )0);
  *((&llvm_cbe_tmp6768_2e_i->field9)) = ((unsigned short )1);
  *((&llvm_cbe_tmp6768_2e_i->field5)) = 0u;
  goto llvm_cbe_bb87_2e_i;

llvm_cbe_bb87_2e_i:
  *((&llvm_cbe_tmp3031->field3)) = llvm_cbe_tmp6768_2e_i;
  *((&llvm_cbe_bd_2e_i.field0.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field0.field1.field1)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field0.field0)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field0.field2)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field1)) = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_bd_2e_i.field2.field0)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field2.field1)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field3)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field4)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field5)) = 0x0p+0;
  *((&llvm_cbe_bd_2e_i.field6)) = ((unsigned char )1);
  *((&llvm_cbe_bd_2e_i.field7)) = ((unsigned char )0);
  *((&llvm_cbe_bd_2e_i.field8)) = ((unsigned char )0);
  *((&llvm_cbe_bd_2e_i.field9)) = ((unsigned char )0);
  llvm_cbe_tmp93_2e_i = _ZN7b2World10CreateBodyEPK9b2BodyDef(llvm_cbe_tmp3031, (&llvm_cbe_bd_2e_i));
  *((&llvm_cbe_tmp3031->field13)) = llvm_cbe_tmp93_2e_i;
  *llvm_cbe_tmp8 = llvm_cbe_tmp3031;
  *llvm_cbe_tmp17_2e_i = ((&llvm_cbe_this->field0));
  return;
llvm_cbe_return:
  return;
}


static void _ZN5SceneD1Ev(struct l_struct_2E_Scene *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp4) ();
  struct l_struct_2E_b2World **llvm_cbe_tmp7;
  struct l_struct_2E_b2World *llvm_cbe_tmp8;
  struct l_struct_2E_b2World *llvm_cbe_tmp15;
  struct l_struct_2E_Stroke **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp7_2e_i;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp4 = ((&_ZTV5Scene[((signed long long )2ull)]));
  _ZN5Scene5clearEv(llvm_cbe_this);
  llvm_cbe_tmp7 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp8 = *llvm_cbe_tmp7;
  if ((llvm_cbe_tmp8 == ((struct l_struct_2E_b2World *)/*NULL*/0))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  _ZN5Scene4stepEv(llvm_cbe_this);
  llvm_cbe_tmp15 = *llvm_cbe_tmp7;
  if ((llvm_cbe_tmp15 == ((struct l_struct_2E_b2World *)/*NULL*/0))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb20;
  }

llvm_cbe_bb20:
  _ZN7b2WorldD1Ev(llvm_cbe_tmp15);
  _ZdlPv((((unsigned char *)llvm_cbe_tmp15)));
  goto llvm_cbe_bb25;

llvm_cbe_bb25:
  _ZNSsD1Ev(((&llvm_cbe_this->field5)));
  _ZNSsD1Ev(((&llvm_cbe_this->field4)));
  _ZNSsD1Ev(((&llvm_cbe_this->field3)));
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field2.field0));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_Stroke **)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field2.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i)));
  goto llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit;

llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit:
  *llvm_cbe_tmp4 = ((&_ZTV17b2ContactListener[((signed long long )2ull)]));
  return;
}


static void _ZN5SceneD0Ev(struct l_struct_2E_Scene *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp4) ();
  struct l_struct_2E_b2World **llvm_cbe_tmp7;
  struct l_struct_2E_b2World *llvm_cbe_tmp8;
  struct l_struct_2E_b2World *llvm_cbe_tmp15;
  struct l_struct_2E_Stroke **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp7_2e_i;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp4 = ((&_ZTV5Scene[((signed long long )2ull)]));
  _ZN5Scene5clearEv(llvm_cbe_this);
  llvm_cbe_tmp7 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp8 = *llvm_cbe_tmp7;
  if ((llvm_cbe_tmp8 == ((struct l_struct_2E_b2World *)/*NULL*/0))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  _ZN5Scene4stepEv(llvm_cbe_this);
  llvm_cbe_tmp15 = *llvm_cbe_tmp7;
  if ((llvm_cbe_tmp15 == ((struct l_struct_2E_b2World *)/*NULL*/0))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb20;
  }

llvm_cbe_bb20:
  _ZN7b2WorldD1Ev(llvm_cbe_tmp15);
  _ZdlPv((((unsigned char *)llvm_cbe_tmp15)));
  goto llvm_cbe_bb25;

llvm_cbe_bb25:
  _ZNSsD1Ev(((&llvm_cbe_this->field5)));
  _ZNSsD1Ev(((&llvm_cbe_this->field4)));
  _ZNSsD1Ev(((&llvm_cbe_this->field3)));
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field2.field0));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_Stroke **)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field2.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i)));
  goto llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit;

llvm_cbe__ZN5ArrayIP6StrokeED1Ev_2e_exit:
  *llvm_cbe_tmp4 = ((&_ZTV17b2ContactListener[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11GameControlD0Ev(struct l_struct_2E_GameControl *llvm_cbe_this) {
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i_2e_i;

  *((&llvm_cbe_this->field0)) = ((&_ZTV11GameControl[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i = *((&llvm_cbe_this->field9.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i == ((struct l_struct_2E_Levels_3A__3A_LevelDesc **)/*NULL*/0))) {
    goto llvm_cbe_bb5;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_this->field9.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i)));
  goto llvm_cbe_bb5;

llvm_cbe_bb5:
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11GameControlD1Ev(struct l_struct_2E_GameControl *llvm_cbe_this) {
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i_2e_i;

  *((&llvm_cbe_this->field0)) = ((&_ZTV11GameControl[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i = *((&llvm_cbe_this->field9.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i == ((struct l_struct_2E_Levels_3A__3A_LevelDesc **)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_this->field9.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i)));
  return;
llvm_cbe_return:
  return;
}


static void _ZN6b2Body8SetXFormERK6b2Vec2f(struct l_struct_2E_b2Body *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_position, float llvm_cbe_angle) {
  struct l_struct_2E_b2World **llvm_cbe_tmp6;
  struct l_struct_2E_b2World *llvm_cbe_tmp7;
  unsigned char llvm_cbe_tmp9;
  unsigned short *llvm_cbe_tmp2_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp1_2e_i20;
  float llvm_cbe_tmp3_2e_i22;
  float llvm_cbe_tmp35;
  float llvm_cbe_tmp38;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp52;
  unsigned long long llvm_cbe_tmp53;
  float llvm_cbe_tmp6031;
  llvmBitCastUnion llvm_cbe_tmp6031__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6335;
  llvmBitCastUnion llvm_cbe_tmp6335__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp94;
  unsigned char llvm_cbe_tmp107;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp115;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge;
  struct l_struct_2E_b2World *llvm_cbe_tmp158;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp160;
  unsigned short llvm_cbe_tmp128;
  unsigned short *llvm_cbe_tmp1_2e_i11;
  unsigned short llvm_cbe_tmp2_2e_i12;
  struct l_struct_2E_b2World *llvm_cbe_tmp142;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp144;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp147;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge1;

  llvm_cbe_tmp6 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  llvm_cbe_tmp9 = *((&llvm_cbe_tmp7->field2));
  if ((llvm_cbe_tmp9 == ((unsigned char )0))) {
    goto llvm_cbe_bb21;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str146[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 314u, ((&_ZZN6b2Body8SetXFormERK6b2Vec2fE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb21:
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i)) & 2u) == 0u)) {
    goto llvm_cbe_bb27;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb27:
  llvm_cbe_tmp1_2e_i20 = cosf(llvm_cbe_angle);
  llvm_cbe_tmp3_2e_i22 = sinf(llvm_cbe_angle);
  *((&llvm_cbe_this->field2.field1.field0.field0)) = llvm_cbe_tmp1_2e_i20;
  *((&llvm_cbe_this->field2.field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i22))));
  *((&llvm_cbe_this->field2.field1.field0.field1)) = llvm_cbe_tmp3_2e_i22;
  *((&llvm_cbe_this->field2.field1.field1.field1)) = llvm_cbe_tmp1_2e_i20;
  llvm_cbe_tmp35 = *((&llvm_cbe_position->field0));
  llvm_cbe_tmp38 = *((&llvm_cbe_position->field1));
  *((&llvm_cbe_this->field2.field0.field0)) = llvm_cbe_tmp35;
  *((&llvm_cbe_this->field2.field0.field1)) = llvm_cbe_tmp38;
  llvm_cbe_tmp52 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp53 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp52, ((&llvm_cbe_this->field3.field0)));
  llvm_cbe_tmp6031 = (llvm_cbe_tmp6031__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp53)), llvm_cbe_tmp6031__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_this->field3.field2.field0)) = llvm_cbe_tmp6031;
  llvm_cbe_tmp6335 = (llvm_cbe_tmp6335__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp53) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp6335__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_this->field3.field2.field1)) = llvm_cbe_tmp6335;
  *((&llvm_cbe_this->field3.field1.field0)) = llvm_cbe_tmp6031;
  *((&llvm_cbe_this->field3.field1.field1)) = llvm_cbe_tmp6335;
  *((&llvm_cbe_this->field3.field4)) = llvm_cbe_angle;
  *((&llvm_cbe_this->field3.field3)) = llvm_cbe_angle;
  llvm_cbe_tmp94 = (&llvm_cbe_this->field11);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp94;   /* for PHI node */
  goto llvm_cbe_bb117;

  do {     /* Syntactic loop 'bb117' to make GCC happy */
llvm_cbe_bb117:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = *llvm_cbe_storemerge_2e_in;
  llvm_cbe_tmp158 = *llvm_cbe_tmp6;
  llvm_cbe_tmp160 = *((&llvm_cbe_tmp158->field3));
  if ((llvm_cbe_storemerge == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb155;
  } else {
    goto llvm_cbe_bb96;
  }

llvm_cbe_bb113:
  llvm_cbe_tmp115 = (&llvm_cbe_storemerge->field2);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp115;   /* for PHI node */
  goto llvm_cbe_bb117;

llvm_cbe_bb96:
  llvm_cbe_tmp107 = _ZN7b2Shape11SynchronizeEP12b2BroadPhaseRK7b2XFormS4_(llvm_cbe_storemerge, llvm_cbe_tmp160, llvm_cbe_tmp52, llvm_cbe_tmp52);
  if ((llvm_cbe_tmp107 == ((unsigned char )0))) {
    goto llvm_cbe_bb125;
  } else {
    goto llvm_cbe_bb113;
  }

  } while (1); /* end of syntactic loop 'bb117' */
llvm_cbe_bb125:
  llvm_cbe_tmp128 = *llvm_cbe_tmp2_2e_i;
  *llvm_cbe_tmp2_2e_i = (((unsigned short )(llvm_cbe_tmp128 | ((unsigned short )2))));
  *((&llvm_cbe_this->field4.field0)) = 0x0p+0;
  *((&llvm_cbe_this->field4.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp94;   /* for PHI node */
  goto llvm_cbe_bb149;

  do {     /* Syntactic loop 'bb149' to make GCC happy */
llvm_cbe_bb149:
  llvm_cbe_storemerge1_2e_in = llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1 = *llvm_cbe_storemerge1_2e_in;
  if ((llvm_cbe_storemerge1 == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb139;
  }

llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit:
  llvm_cbe_tmp147 = (&llvm_cbe_storemerge1->field2);
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp147;   /* for PHI node */
  goto llvm_cbe_bb149;

llvm_cbe_bb139:
  llvm_cbe_tmp1_2e_i11 = (&llvm_cbe_storemerge1->field8);
  llvm_cbe_tmp2_2e_i12 = *llvm_cbe_tmp1_2e_i11;
  if ((llvm_cbe_tmp2_2e_i12 == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp142 = *llvm_cbe_tmp6;
  llvm_cbe_tmp144 = *((&llvm_cbe_tmp142->field3));
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp144, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i12)));
  *llvm_cbe_tmp1_2e_i11 = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;

  } while (1); /* end of syntactic loop 'bb149' */
llvm_cbe_bb155:
  _ZN13b2PairManager6CommitEv(((&llvm_cbe_tmp160->field0)));
  return;
llvm_cbe_return:
  return;
}


static unsigned char _ZN6Stroke9transformEv(struct l_struct_2E_Stroke *llvm_cbe_this) {
  struct l_struct_2E_Vec2 llvm_cbe_n_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_rot;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_o;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp6;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp9;
  struct l_struct_2E_Path *llvm_cbe_tmp22;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp10_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp3_2e_i15;
  unsigned int llvm_cbe_tmp38;
  unsigned int llvm_cbe_tmp41;
  unsigned int llvm_cbe_tmp46;
  unsigned int llvm_cbe_tmp49;
  unsigned int llvm_cbe_tmp52;
  struct l_struct_2E_b2Body **llvm_cbe_tmp59;
  struct l_struct_2E_b2Body *llvm_cbe_tmp60;
  unsigned int llvm_cbe_tmp3_2e_i27;
  float llvm_cbe_tmp79;
  float llvm_cbe_tmp4_2e_i45;
  float *llvm_cbe_tmp96;
  float llvm_cbe_tmp97;
  float *llvm_cbe_tmp3_2e_i70;
  float llvm_cbe_tmp4_2e_i71;
  float llvm_cbe_tmp3_2e_i89;
  float llvm_cbe_tmp6_2e_i92;
  float llvm_cbe_tmp11_2e_i96;
  float llvm_cbe_tmp14_2e_i99;
  float llvm_cbe_tmp4_2e_i154;
  float llvm_cbe_tmp5_2e_i136;
  float llvm_cbe_tmp7_2e_i138;
  float llvm_cbe_tmp3_2e_i107;
  float llvm_cbe_tmp8_2e_i112;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i167__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i174__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i174175176_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i166__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i172__BITCAST_TEMPORARY;
  struct l_struct_2E_Path *llvm_cbe_tmp142;
  struct l_struct_2E_Path *llvm_cbe_tmp149;
  struct l_struct_2E_b2Body *llvm_cbe_tmp152;
  float llvm_cbe_tmp4_2e_i67;
  float llvm_cbe_tmp162;
  float llvm_cbe_tmp165;
  struct l_struct_2E_Path *llvm_cbe_tmp175;
  unsigned char llvm_cbe_tmp5_2e_i52;
  struct l_struct_2E_Path *llvm_cbe_tmp15_2e_i60;
  unsigned int llvm_cbe_tmp186;
  unsigned int llvm_cbe_tmp189;
  unsigned int llvm_cbe_tmp194;
  unsigned int llvm_cbe_tmp197;
  struct l_struct_2E_Path *llvm_cbe_tmp203;
  struct l_struct_2E_Path *llvm_cbe_tmp209;
  struct l_struct_2E_Path *llvm_cbe_tmp211;
  unsigned char llvm_cbe_tmp5_2e_i20;
  struct l_struct_2E_Path *llvm_cbe_tmp15_2e_i;
  unsigned int llvm_cbe_tmp222;
  unsigned int llvm_cbe_tmp225;
  unsigned int llvm_cbe_tmp230;
  unsigned int llvm_cbe_tmp233;
  unsigned char llvm_cbe_tmp5_2e_0;
  unsigned char llvm_cbe_tmp5_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp8 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp9 = *llvm_cbe_tmp8;
  if ((llvm_cbe_tmp9 == 0u)) {
    goto llvm_cbe_bb57;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  if ((((signed int )llvm_cbe_tmp9) < ((signed int )80u))) {
    goto llvm_cbe_bb18;
  } else {
    llvm_cbe_tmp5_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb18:
  llvm_cbe_o = _ZNK4Rect8centroidEv(((&llvm_cbe_this->field9)));
  llvm_cbe_tmp22 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_o.field1));
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_o.field0));
  *((&llvm_cbe_n_2e_i.field0)) = (-(llvm_cbe_tmp7_2e_i));
  *((&llvm_cbe_n_2e_i.field1)) = (-(llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp10_2e_i = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp22, (&llvm_cbe_n_2e_i));
  _ZN4Path5scaleEf(llvm_cbe_tmp22, 0x1.fae148p-1);
  llvm_cbe_tmp3_2e_i15 = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp22, (&llvm_cbe_o));
  llvm_cbe_tmp6 = _ZNK4Path4bboxEv(llvm_cbe_tmp22);
  llvm_cbe_tmp38 = *((&llvm_cbe_tmp6.field0.field0));
  *((&llvm_cbe_this->field9.field0.field0)) = llvm_cbe_tmp38;
  llvm_cbe_tmp41 = *((&llvm_cbe_tmp6.field0.field1));
  *((&llvm_cbe_this->field9.field0.field1)) = llvm_cbe_tmp41;
  llvm_cbe_tmp46 = *((&llvm_cbe_tmp6.field1.field0));
  *((&llvm_cbe_this->field9.field1.field0)) = llvm_cbe_tmp46;
  llvm_cbe_tmp49 = *((&llvm_cbe_tmp6.field1.field1));
  *((&llvm_cbe_this->field9.field1.field1)) = llvm_cbe_tmp49;
  llvm_cbe_tmp52 = *llvm_cbe_tmp8;
  *llvm_cbe_tmp8 = (llvm_cbe_tmp52 + 1u);
  return ((unsigned char )1);
llvm_cbe_bb57:
  llvm_cbe_tmp59 = (&llvm_cbe_this->field12);
  llvm_cbe_tmp60 = *llvm_cbe_tmp59;
  if ((llvm_cbe_tmp60 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb199;
  } else {
    goto llvm_cbe_bb64;
  }

llvm_cbe_bb64:
  llvm_cbe_tmp3_2e_i27 = *((&llvm_cbe_this->field2));
  if (((llvm_cbe_tmp3_2e_i27 & 8u) == 0u)) {
    goto llvm_cbe_bb70;
  } else {
    llvm_cbe_tmp5_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb70:
  if (((llvm_cbe_tmp3_2e_i27 & 1u) == 0u)) {
    goto llvm_cbe_bb94;
  } else {
    goto llvm_cbe_bb76;
  }

llvm_cbe_bb76:
  llvm_cbe_tmp79 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp4_2e_i45 = *((&llvm_cbe_tmp60->field3.field4));
  if ((llvm_fcmp_une(llvm_cbe_tmp79, llvm_cbe_tmp4_2e_i45))) {
    goto llvm_cbe_bb94;
  } else {
    llvm_cbe_tmp5_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb94:
  llvm_cbe_tmp96 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp97 = *llvm_cbe_tmp96;
  llvm_cbe_tmp3_2e_i70 = (&llvm_cbe_tmp60->field3.field4);
  llvm_cbe_tmp4_2e_i71 = *llvm_cbe_tmp3_2e_i70;
  if ((llvm_fcmp_une(llvm_cbe_tmp97, llvm_cbe_tmp4_2e_i71))) {
    goto llvm_cbe_bb122;
  } else {
    goto llvm_cbe_bb105;
  }

llvm_cbe_bb105:
  llvm_cbe_tmp3_2e_i89 = *((&llvm_cbe_this->field8.field0));
  llvm_cbe_tmp6_2e_i92 = *((&llvm_cbe_tmp60->field2.field0.field0));
  if ((llvm_fcmp_une(llvm_cbe_tmp3_2e_i89, llvm_cbe_tmp6_2e_i92))) {
    goto llvm_cbe_bb122;
  } else {
    goto llvm_cbe_bb_2e_i101;
  }

llvm_cbe_bb_2e_i101:
  llvm_cbe_tmp11_2e_i96 = *((&llvm_cbe_this->field8.field1));
  llvm_cbe_tmp14_2e_i99 = *((&llvm_cbe_tmp60->field2.field0.field1));
  if ((llvm_fcmp_une(llvm_cbe_tmp11_2e_i96, llvm_cbe_tmp14_2e_i99))) {
    goto llvm_cbe_bb122;
  } else {
    llvm_cbe_tmp5_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb122:
  llvm_cbe_tmp4_2e_i154 = *llvm_cbe_tmp3_2e_i70;
  llvm_cbe_tmp5_2e_i136 = cosf(llvm_cbe_tmp4_2e_i154);
  llvm_cbe_tmp7_2e_i138 = sinf(llvm_cbe_tmp4_2e_i154);
  *((&llvm_cbe_rot.field0.field0)) = llvm_cbe_tmp5_2e_i136;
  *((&llvm_cbe_rot.field1.field0)) = (((float )(-(llvm_cbe_tmp7_2e_i138))));
  *((&llvm_cbe_rot.field0.field1)) = llvm_cbe_tmp7_2e_i138;
  *((&llvm_cbe_rot.field1.field1)) = llvm_cbe_tmp5_2e_i136;
  llvm_cbe_tmp3_2e_i107 = *((&llvm_cbe_tmp60->field2.field0.field1));
  llvm_cbe_tmp8_2e_i112 = *((&llvm_cbe_tmp60->field2.field0.field0));
  llvm_cbe_tmp22_2e_i174175176_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i167__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i112 * 0x1.4p+3))), llvm_cbe_tmp19_2e_i167__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i174__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i107 * 0x1.4p+3))), llvm_cbe_tmp22_2e_i174__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp142 = (&llvm_cbe_this->field5);
  _ZN4PathaSERKS_(llvm_cbe_tmp142, ((&llvm_cbe_this->field0)));
  _ZN4Path6rotateERK7b2Mat22(llvm_cbe_tmp142, (&llvm_cbe_rot));
  *((&llvm_cbe_tmp3.field0)) = (((signed int )((llvm_cbe_tmp25_2e_i166__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i174175176_2e_ins)), llvm_cbe_tmp25_2e_i166__BITCAST_TEMPORARY.Float))));
  *((&llvm_cbe_tmp3.field1)) = (((signed int )((llvm_cbe_tmp28_2e_i172__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i174175176_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i172__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp149 = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp142, (&llvm_cbe_tmp3));
  llvm_cbe_tmp152 = *llvm_cbe_tmp59;
  llvm_cbe_tmp4_2e_i67 = *((&llvm_cbe_tmp152->field3.field4));
  *llvm_cbe_tmp96 = llvm_cbe_tmp4_2e_i67;
  llvm_cbe_tmp162 = *((&llvm_cbe_tmp152->field2.field0.field0));
  llvm_cbe_tmp165 = *((&llvm_cbe_tmp152->field2.field0.field1));
  *((&llvm_cbe_this->field8.field0)) = llvm_cbe_tmp162;
  *((&llvm_cbe_this->field8.field1)) = llvm_cbe_tmp165;
  llvm_cbe_tmp175 = (&llvm_cbe_this->field6);
  _ZN4PathaSERKS_(llvm_cbe_tmp175, llvm_cbe_tmp142);
  llvm_cbe_tmp5_2e_i52 = *((&worldToScreen.field0));
  if ((llvm_cbe_tmp5_2e_i52 == ((unsigned char )0))) {
    goto llvm_cbe_bb_2e_i61;
  } else {
    goto llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit62;
  }

llvm_cbe_bb_2e_i61:
  _ZN4Path6rotateERK7b2Mat22(llvm_cbe_tmp175, ((&worldToScreen.field1)));
  llvm_cbe_tmp15_2e_i60 = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp175, ((&worldToScreen.field3)));
  goto llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit62;

llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit62:
  llvm_cbe_tmp1 = _ZNK4Path4bboxEv(llvm_cbe_tmp175);
  llvm_cbe_tmp186 = *((&llvm_cbe_tmp1.field0.field0));
  *((&llvm_cbe_this->field9.field0.field0)) = llvm_cbe_tmp186;
  llvm_cbe_tmp189 = *((&llvm_cbe_tmp1.field0.field1));
  *((&llvm_cbe_this->field9.field0.field1)) = llvm_cbe_tmp189;
  llvm_cbe_tmp194 = *((&llvm_cbe_tmp1.field1.field0));
  *((&llvm_cbe_this->field9.field1.field0)) = llvm_cbe_tmp194;
  llvm_cbe_tmp197 = *((&llvm_cbe_tmp1.field1.field1));
  *((&llvm_cbe_this->field9.field1.field1)) = llvm_cbe_tmp197;
  return ((unsigned char )1);
llvm_cbe_bb199:
  llvm_cbe_tmp203 = (&llvm_cbe_this->field5);
  _ZN4PathaSERKS_(llvm_cbe_tmp203, ((&llvm_cbe_this->field0)));
  llvm_cbe_tmp209 = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp203, ((&llvm_cbe_this->field3)));
  llvm_cbe_tmp211 = (&llvm_cbe_this->field6);
  _ZN4PathaSERKS_(llvm_cbe_tmp211, llvm_cbe_tmp203);
  llvm_cbe_tmp5_2e_i20 = *((&worldToScreen.field0));
  if ((llvm_cbe_tmp5_2e_i20 == ((unsigned char )0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit;
  }

llvm_cbe_bb_2e_i:
  _ZN4Path6rotateERK7b2Mat22(llvm_cbe_tmp211, ((&worldToScreen.field1)));
  llvm_cbe_tmp15_2e_i = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp211, ((&worldToScreen.field3)));
  goto llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit;

llvm_cbe__ZN9Transform9transformERK4PathRS0__2e_exit:
  llvm_cbe_tmp = _ZNK4Path4bboxEv(llvm_cbe_tmp211);
  llvm_cbe_tmp222 = *((&llvm_cbe_tmp.field0.field0));
  *((&llvm_cbe_this->field9.field0.field0)) = llvm_cbe_tmp222;
  llvm_cbe_tmp225 = *((&llvm_cbe_tmp.field0.field1));
  *((&llvm_cbe_this->field9.field0.field1)) = llvm_cbe_tmp225;
  llvm_cbe_tmp230 = *((&llvm_cbe_tmp.field1.field0));
  *((&llvm_cbe_this->field9.field1.field0)) = llvm_cbe_tmp230;
  llvm_cbe_tmp233 = *((&llvm_cbe_tmp.field1.field1));
  *((&llvm_cbe_this->field9.field1.field1)) = llvm_cbe_tmp233;
  return ((unsigned char )0);
llvm_cbe_return:
  llvm_cbe_tmp5_2e_0 = llvm_cbe_tmp5_2e_0__PHI_TEMPORARY;
  return llvm_cbe_tmp5_2e_0;
}


static void _ZN6Stroke12createBodiesER7b2World(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_b2World *llvm_cbe_world) {
  struct l_struct_2E_b2Vec2 llvm_cbe_v_addr_2e_i_2e_i132;    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_bar_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_aabb_2e_i_2e_i56;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_center_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_r_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_upper_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_lower_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[9];    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_A_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_d_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_aabb_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2MassData llvm_cbe_massData_2e_i;    /* Address-exposed local */
  unsigned int  (**llvm_cbe_boxDef456[14]) ();    /* Address-exposed local */
  struct l_struct_2E_Stroke_3A__3A_BoxDef *llvm_cbe_tmpcast455;
  struct l_struct_2E_b2BodyDef llvm_cbe_bodyDef;    /* Address-exposed local */
  struct l_struct_2E_Path *llvm_cbe_tmp1_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp6_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp9_2e_i;
  float llvm_cbe_thresh_2e_i_2e_0;
  float llvm_cbe_thresh_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i13;
  unsigned int llvm_cbe_tmp3_2e_i14;
  float *llvm_cbe_tmp1_2e_i1_2e_i;
  float *llvm_cbe_tmp4_2e_i_2e_i438;
  unsigned char *llvm_cbe_tmp26_2e_i449;
  unsigned int llvm_cbe_tmp4_2e_i390;
  unsigned int llvm_cbe_tmp8_2e_i394;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i409977__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i412984__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i412984985986_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i415976__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i418982__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i371;
  float llvm_cbe_tmp9_2e_i378;
  struct l_struct_2E_b2Body *llvm_cbe_tmp39;
  struct l_struct_2E_b2Body **llvm_cbe_tmp41;
  struct l_struct_2E_b2ShapeDef *llvm_cbe_tmp45_2e_i_2e_i323;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i326;
  unsigned char **llvm_cbe_tmp6_2e_i_2e_i_2e_i328;
  float *llvm_cbe_tmp8_2e_i_2e_i_2e_i330;
  float *llvm_cbe_tmp10_2e_i_2e_i_2e_i332;
  float *llvm_cbe_tmp12_2e_i_2e_i_2e_i334;
  unsigned short *llvm_cbe_tmp15_2e_i_2e_i_2e_i336;
  unsigned short *llvm_cbe_tmp18_2e_i_2e_i_2e_i338;
  unsigned short *llvm_cbe_tmp21_2e_i_2e_i_2e_i340;
  unsigned char *llvm_cbe_tmp23_2e_i_2e_i_2e_i342;
  unsigned int  (***llvm_cbe_tmp10_2e_i_2e_i344) ();
  unsigned int *llvm_cbe_tmp29_2e_i_2e_i356;
  unsigned int *llvm_cbe_tmp31_2e_i_2e_i358;
  unsigned int  (***llvm_cbe_tmp7_2e_i360) ();
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i_2e_i310;
  float *llvm_cbe_tmp20_2e_i195;
  float *llvm_cbe_tmp23_2e_i198;
  unsigned int *llvm_cbe_tmp28_2e_i202;
  unsigned int *llvm_cbe_tmp30_2e_i204;
  unsigned int *llvm_cbe_tmp2_2e_i168_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i169_2e_i;
  float *llvm_cbe_tmp5_2e_i170_2e_i;
  float *llvm_cbe_tmp7_2e_i172_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i44_2e_i;
  float *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i230;
  float *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i233;
  float *llvm_cbe_tmp1_2e_i23_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i26_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i14_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i17_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i5_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i8_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp13_2e_i54_2e_i250;
  float *llvm_cbe_tmp16_2e_i57_2e_i253;
  float *llvm_cbe_tmp6_2e_i39_2e_i_2e_i;
  float *llvm_cbe_tmp12_2e_i_2e_i_2e_i256;
  float *llvm_cbe_tmp15_2e_i44_2e_i_2e_i;
  float *llvm_cbe_tmp19_2e_i46_2e_i_2e_i;
  struct l_struct_2E_b2ShapeDef *llvm_cbe_tmp5556_2e_i;
  float *llvm_cbe_tmp57_2e_i269;
  float *llvm_cbe_tmp101_2e_i284;
  float *llvm_cbe_tmp107_2e_i286;
  struct l_struct_2E_b2CircleDef *llvm_cbe_tmp1920_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp27_2e_i69_2e_i_2e_i;
  float *llvm_cbe_tmp30_2e_i71_2e_i_2e_i;
  float *llvm_cbe_tmp41_2e_i79_2e_i_2e_i;
  struct l_struct_2E_b2PolygonDef *llvm_cbe_tmp9798_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp100_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp234_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp143_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp145_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp218_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp221_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp321_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp324_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp348_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp352_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp356_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp360_2e_i_2e_i_2e_i;
  unsigned int  (***llvm_cbe_tmp2_2e_i_2e_i_2e_i51) ();
  unsigned long long llvm_cbe_tmp_2e_i_2e_i319_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i319_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp19_2e_i_2e_i351;
  unsigned int llvm_cbe_tmp45;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i311;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i313;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i298;
  unsigned int llvm_cbe_tmp4_2e_i_2e_i158;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i162;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i_2e_i177914__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i_2e_i180921__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i_2e_i180921922923_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp12_2e_i189884__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp15_2e_i192888__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp5_2e_i255_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i262_2e_i;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i237_2e_i963__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i240_2e_i970__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i240_2e_i970971972_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i197891__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i200895__BITCAST_TEMPORARY;
  float llvm_cbe_tmp11_2e_i204_2e_i;
  unsigned int llvm_cbe_tmp29_2e_i203;
  unsigned int llvm_cbe_tmp31_2e_i205;
  float llvm_cbe_tmp6_2e_i171_2e_i;
  float llvm_cbe_tmp8_2e_i173_2e_i;
  float llvm_cbe_tmp9_2e_i174_2e_i;
  float llvm_cbe_tmp8_2e_i139_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i156_2e_i949__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i159_2e_i956__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i159_2e_i956957958_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp37_2e_i209898__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp40_2e_i212902__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i117_2e_i935__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i120_2e_i942__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i120_2e_i942943944_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp45_2e_i219905__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp48_2e_i222909__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i83_2e_i;
  float llvm_cbe_tmp50_2e_i223;
  float llvm_cbe_tmp5_2e_i_2e_i48_2e_i;
  float llvm_cbe_tmp1_2e_i35_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i37_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp2225_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp27_2e_i65_2e_i;
  llvmBitCastUnion llvm_cbe_tmp35_2e_i_2e_i926__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp38_2e_i_2e_i260930__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp40_2e_i_2e_i262;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i264;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i264__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp44_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp59;
  struct l_struct_2E_b2World **llvm_cbe_tmp2_2e_i67;
  struct l_struct_2E_b2World *llvm_cbe_tmp3_2e_i68;
  unsigned char llvm_cbe_tmp5_2e_i70;
  struct l_struct_2E_b2BlockAllocator *llvm_cbe_tmp21_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i82;
  unsigned char *llvm_cbe_tmp8_2e_i_2e_i84;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp1011_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i_2e_i15_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i20_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i_2e_i25_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i_2e_i30_2e_i_2e_i;
  unsigned short llvm_cbe_tmp37_2e_i_2e_i45_2e_i_2e_i;
  unsigned short llvm_cbe_tmp40_2e_i_2e_i48_2e_i_2e_i;
  unsigned short llvm_cbe_tmp43_2e_i_2e_i51_2e_i_2e_i;
  unsigned char llvm_cbe_tmp46_2e_i_2e_i54_2e_i_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i63_2e_i_2e_i;
  float llvm_cbe_tmp28_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp31_2e_i72_2e_i_2e_i;
  float llvm_cbe_tmp42_2e_i80_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp33_2e_i_2e_i;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp3536_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp37_2e_i_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp43_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp58_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp75_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp85_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp101_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp103_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp124127_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp131_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp134_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp146_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp159_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_phitmp1435;
  unsigned long long llvm_cbe_storemerge4_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_storemerge4_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp172175_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i474_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i477_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i481_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i484_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i500_2e_i_2e_i_2e_i872__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879880881_2e_ins;
  float llvm_cbe_tmp186_2e_i_2e_i_2e_i499;
  llvmBitCastUnion llvm_cbe_tmp186_2e_i_2e_i_2e_i499__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp189_2e_i_2e_i_2e_i501;
  float llvm_cbe_tmp189_2e_i_2e_i_2e_i503;
  llvmBitCastUnion llvm_cbe_tmp189_2e_i_2e_i_2e_i503__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865866867_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp208_2e_i_2e_i_2e_i506__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp211_2e_i_2e_i_2e_i510__BITCAST_TEMPORARY;
  float llvm_cbe_tmp217_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge5_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge5_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp223_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp231_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp2627_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp31_2e_i274_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp34_2e_i277_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i285_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp52_2e_i291_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp60_2e_i295_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp63_2e_i298_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i278_2e_i_2e_i_2e_i_2e_i844__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851852853_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp74_2e_i302_2e_i_2e_i_2e_i737__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp77_2e_i305_2e_i_2e_i_2e_i741__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i229_2e_i_2e_i_2e_i_2e_i830__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837838839_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp82_2e_i307_2e_i_2e_i_2e_i744__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp85_2e_i310_2e_i_2e_i_2e_i748__BITCAST_TEMPORARY;
  float llvm_cbe_tmp88_2e_i312_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i162_2e_i_2e_i_2e_i_2e_i816__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823824825_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp96_2e_i316_2e_i_2e_i_2e_i751__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp99_2e_i319_2e_i_2e_i_2e_i755__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i118_2e_i_2e_i_2e_i_2e_i802__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809810811_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp104_2e_i327_2e_i_2e_i_2e_i758__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i762__BITCAST_TEMPORARY;
  float llvm_cbe_tmp109_2e_i329_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i_2e_i338_2e_i_2e_i_2e_i788__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795796797_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp114_2e_i351_2e_i_2e_i_2e_i765__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp117_2e_i352_2e_i_2e_i_2e_i769__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i54_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i_2e_i354_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0;
  float llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0;
  float llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0;
  float llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp137_2e_i362_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp146_2e_i383_2e_i_2e_i_2e_i774__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781782783_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp241_2e_i_2e_i_2e_i513__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp244_2e_i_2e_i_2e_i517__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp63_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp75_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp78_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp7179_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp193_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp202_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp205_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp225_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp238_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp256_2e_i_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp8990_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp97_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp104105_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i160_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i167_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i186_2e_i_2e_i_2e_i_2e_i683__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690691692_2e_ins;
  float llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569;
  llvmBitCastUnion llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569__BITCAST_TEMPORARY;
  float llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573;
  llvmBitCastUnion llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i299_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i311_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp129_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp131132_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i371_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i378_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i397_2e_i_2e_i_2e_i_2e_i725__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732733734_2e_ins;
  float llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576;
  llvmBitCastUnion llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576__BITCAST_TEMPORARY;
  float llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580;
  llvmBitCastUnion llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp150_2e_i_2e_i_2e_i_2e_i583__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i587__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp154_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590;
  llvmBitCastUnion llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590__BITCAST_TEMPORARY;
  float llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594;
  llvmBitCastUnion llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp163_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle;
  float llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  float llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle;
  float llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp174_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp179_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp181_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i254_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i257_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i261_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i264_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i280_2e_i_2e_i_2e_i_2e_i711__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718719720_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp212_2e_i_2e_i_2e_i_2e_i597__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp215_2e_i_2e_i_2e_i_2e_i601__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i231_2e_i_2e_i_2e_i_2e_i697__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704705706_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp220_2e_i_2e_i_2e_i_2e_i604__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp223_2e_i_2e_i_2e_i_2e_i608__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp226_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp230_2e_i_2e_i_2e_i_2e_i611__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp233_2e_i_2e_i_2e_i_2e_i615__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i137_2e_i_2e_i_2e_i_2e_i669__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676677678_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp240_2e_i_2e_i_2e_i_2e_i618__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp243_2e_i_2e_i_2e_i_2e_i622__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i67_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i70_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i74_2e_i_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i77_2e_i_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i93_2e_i_2e_i_2e_i_2e_i655__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662663664_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i625__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i629__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i641__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648649650_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp258_2e_i_2e_i_2e_i_2e_i632__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp261_2e_i_2e_i_2e_i_2e_i636__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0;
  float llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp264_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  float llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1;
  float llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float *llvm_cbe_tmp5_2e_i156_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp12_2e_i163_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp270273_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp277_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp280_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp287290_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp294_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp297_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i154_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i157_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i161_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i164_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i180_2e_i_2e_i_2e_i557__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564565566_2e_ins;
  float llvm_cbe_tmp315_2e_i_2e_i_2e_i520;
  llvmBitCastUnion llvm_cbe_tmp315_2e_i_2e_i_2e_i520__BITCAST_TEMPORARY;
  float llvm_cbe_tmp318_2e_i_2e_i_2e_i524;
  llvmBitCastUnion llvm_cbe_tmp318_2e_i_2e_i_2e_i524__BITCAST_TEMPORARY;
  float llvm_cbe_tmp320_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp323_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp364_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp368_2e_i_2e_i_2e_i527__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp371_2e_i_2e_i_2e_i531__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i75_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i82_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i92_2e_i_2e_i_2e_i543__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550551552_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp380_2e_i_2e_i_2e_i534__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp383_2e_i_2e_i_2e_i538__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp385_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge46_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge46_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp389_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned char *llvm_cbe_storemerge2_2e_i_2e_i_2e_in;
  unsigned char *llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge2_2e_i_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp25_2e_i97;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp26_2e_i98;
  unsigned int *llvm_cbe_tmp33_2e_i103;
  unsigned int llvm_cbe_tmp34_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp45_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp47_2e_i112;
  unsigned short *llvm_cbe_tmp1_2e_i_2e_i114;
  unsigned short llvm_cbe_tmp2_2e_i3_2e_i;
  unsigned int  (***llvm_cbe_tmp10_2e_i_2e_i117) ();
  unsigned int  (**llvm_cbe_tmp11_2e_i_2e_i118) ();
  unsigned int  (*llvm_cbe_tmp13_2e_i8_2e_i) ();
  unsigned char llvm_cbe_tmp18_2e_i11_2e_i;
  unsigned short llvm_cbe_tmp35_2e_i_2e_i130;
  unsigned int  (**llvm_cbe_tmp51_2e_i125) ();
  unsigned int  (*llvm_cbe_tmp53_2e_i127) ();
  unsigned int llvm_cbe_tmp66;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5;
  unsigned long long llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned long long llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp79;
  struct l_struct_2E_b2World **llvm_cbe_tmp7_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp8_2e_i24;
  unsigned char llvm_cbe_tmp10_2e_i26;
  float *llvm_cbe_tmp23_2e_i;
  float *llvm_cbe_tmp25_2e_i;
  float *llvm_cbe_tmp27_2e_i;
  float *llvm_cbe_tmp29_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp37_2e_i;
  float *llvm_cbe_tmp50_2e_i;
  float *llvm_cbe_tmp2_2e_i17_2e_i;
  float *llvm_cbe_tmp7_2e_i21_2e_i;
  float *llvm_cbe_tmp69_2e_i;
  unsigned char *ltmp_10_1;
  unsigned int  (**llvm_cbe_tmp42_2e_i) ();
  unsigned int  (*llvm_cbe_tmp44_2e_i) ();
  float llvm_cbe_tmp49_2e_i;
  float llvm_cbe_tmp51_2e_i;
  float llvm_cbe_tmp52_2e_i;
  float llvm_cbe_tmp56_2e_i;
  float llvm_cbe_tmp3_2e_i18_2e_i;
  float llvm_cbe_tmp8_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i34_2e_i487__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i_2e_i494__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i_2e_i494495496_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp62_2e_i471__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp65_2e_i475__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i47_2e_i;
  float llvm_cbe_tmp15_2e_i56_2e_i;
  float llvm_cbe_tmp68_2e_i;
  float llvm_cbe_tmp70_2e_i;
  float llvm_cbe_tmp71_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp75_2e_i;
  float llvm_cbe_tmp102_2e_i_2e_rle1433;
  float llvm_cbe_tmp102_2e_i_2e_rle1433__PHI_TEMPORARY;
  float llvm_cbe_tmp85_2e_i_2e_rle;
  float llvm_cbe_tmp85_2e_i_2e_rle__PHI_TEMPORARY;
  float llvm_cbe_center_2e_i_2e_0_2e_1;
  float llvm_cbe_center_2e_i_2e_0_2e_1__PHI_TEMPORARY;
  float llvm_cbe_center_2e_i_2e_1_2e_1;
  float llvm_cbe_center_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp93_2e_i;
  float llvm_cbe_tmp4_2e_i82_2e_i;
  float llvm_cbe_tmp11_2e_i89_2e_i;
  float llvm_cbe_center_2e_i_2e_0_2e_0;
  float llvm_cbe_center_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_center_2e_i_2e_1_2e_0;
  float llvm_cbe_center_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp109_2e_i;
  float llvm_cbe_tmp124_2e_i;
  float llvm_cbe_tmp141_2e_i;
  float llvm_cbe_storemerge1437;
  float llvm_cbe_storemerge1437__PHI_TEMPORARY;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp161_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp163_2e_i;
  unsigned long long llvm_cbe_tmp164_2e_i;
  float llvm_cbe_tmp171_2e_i478;
  llvmBitCastUnion llvm_cbe_tmp171_2e_i478__BITCAST_TEMPORARY;
  float llvm_cbe_tmp174_2e_i482;
  llvmBitCastUnion llvm_cbe_tmp174_2e_i482__BITCAST_TEMPORARY;
  unsigned int  (**llvm_cbe_tmp199_2e_i) ();
  unsigned int  (*llvm_cbe_tmp201_2e_i) ();
  struct l_struct_2E_b2Shape **llvm_cbe_tmp208_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge2_2e_in_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge2_2e_i;
  unsigned short *llvm_cbe_tmp217_2e_i;
  unsigned short llvm_cbe_tmp218_2e_i;
  float llvm_cbe_tmp221_2e_i;
  float llvm_cbe_tmp228_2e_i;
  unsigned short llvm_cbe_storemerge1438;
  unsigned short llvm_cbe_storemerge1438__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp241_2e_i_2e_rle;
  unsigned short llvm_cbe_tmp241_2e_i_2e_rle__PHI_TEMPORARY;
  struct l_struct_2E_b2World *llvm_cbe_tmp255_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp257_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i13_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i_2e_i31;
  unsigned int  (**llvm_cbe_tmp12_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp14_2e_i_2e_i) ();
  unsigned char llvm_cbe_tmp19_2e_i_2e_i;
  unsigned short llvm_cbe_tmp26_2e_i_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp260_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge3_2e_in_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge3_2e_i;
  unsigned char llvm_cbe_tmp82;

  llvm_cbe_tmpcast455 = ((struct l_struct_2E_Stroke_3A__3A_BoxDef *)(&llvm_cbe_boxDef456));
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field0);
  _ZN4Path8simplifyEf(llvm_cbe_tmp1_2e_i, 0x1.99999ap-4);
  llvm_cbe_tmp6_2e_i = (&llvm_cbe_this->field4);
  _ZN4PathaSERKS_(llvm_cbe_tmp6_2e_i, llvm_cbe_tmp1_2e_i);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = (&llvm_cbe_this->field4.field0.field1);
  llvm_cbe_thresh_2e_i_2e_0__PHI_TEMPORARY = 0x1.99999ap-4;   /* for PHI node */
  goto llvm_cbe_bb13_2e_i;

  do {     /* Syntactic loop 'bb13.i' to make GCC happy */
llvm_cbe_bb13_2e_i:
  llvm_cbe_thresh_2e_i_2e_0 = llvm_cbe_thresh_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i) > ((signed int )64u))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN6Stroke7processEv_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp9_2e_i = ((float )(llvm_cbe_thresh_2e_i_2e_0 + 0x1p+0));
  _ZN4Path8simplifyEf(llvm_cbe_tmp6_2e_i, llvm_cbe_tmp9_2e_i);
  llvm_cbe_thresh_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp9_2e_i;   /* for PHI node */
  goto llvm_cbe_bb13_2e_i;

  } while (1); /* end of syntactic loop 'bb13.i' */
llvm_cbe__ZN6Stroke7processEv_2e_exit:
  llvm_cbe_tmp2_2e_i13 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp3_2e_i14 = *llvm_cbe_tmp2_2e_i13;
  if (((llvm_cbe_tmp3_2e_i14 & 8u) == 0u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i) > ((signed int )1u))) {
    goto llvm_cbe_bb12;
  } else {
    goto llvm_cbe_bb80;
  }

llvm_cbe_bb12:
  *((&llvm_cbe_bodyDef.field0.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field0.field1.field1)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field0.field0)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field0.field2)) = 0x0p+0;
  llvm_cbe_tmp1_2e_i1_2e_i = (&llvm_cbe_bodyDef.field2.field0);
  *llvm_cbe_tmp1_2e_i1_2e_i = 0x0p+0;
  llvm_cbe_tmp4_2e_i_2e_i438 = (&llvm_cbe_bodyDef.field2.field1);
  *llvm_cbe_tmp4_2e_i_2e_i438 = 0x0p+0;
  *((&llvm_cbe_bodyDef.field3)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field4)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field5)) = 0x0p+0;
  *((&llvm_cbe_bodyDef.field6)) = ((unsigned char )1);
  llvm_cbe_tmp26_2e_i449 = (&llvm_cbe_bodyDef.field7);
  *llvm_cbe_tmp26_2e_i449 = ((unsigned char )0);
  *((&llvm_cbe_bodyDef.field8)) = ((unsigned char )0);
  *((&llvm_cbe_bodyDef.field9)) = ((unsigned char )0);
  llvm_cbe_tmp4_2e_i390 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp8_2e_i394 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp21_2e_i412984985986_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i409977__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp8_2e_i394)), llvm_cbe_tmp18_2e_i409977__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i412984__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp4_2e_i390)), llvm_cbe_tmp21_2e_i412984__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_bodyDef.field2.field0)) = ((llvm_cbe_tmp24_2e_i415976__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i412984985986_2e_ins)), llvm_cbe_tmp24_2e_i415976__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_bodyDef.field2.field1)) = ((llvm_cbe_tmp27_2e_i418982__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i412984985986_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i418982__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp2_2e_i371 = *llvm_cbe_tmp1_2e_i1_2e_i;
  *llvm_cbe_tmp1_2e_i1_2e_i = (((float )(llvm_cbe_tmp2_2e_i371 * 0x1.99999ap-4)));
  llvm_cbe_tmp9_2e_i378 = *llvm_cbe_tmp4_2e_i_2e_i438;
  *llvm_cbe_tmp4_2e_i_2e_i438 = (((float )(llvm_cbe_tmp9_2e_i378 * 0x1.99999ap-4)));
  *((&llvm_cbe_bodyDef.field1)) = (((unsigned char *)llvm_cbe_this));
  if (((llvm_cbe_tmp3_2e_i14 & 16u) == 0u)) {
    goto llvm_cbe_bb37;
  } else {
    goto llvm_cbe_bb35;
  }

llvm_cbe_bb35:
  *llvm_cbe_tmp26_2e_i449 = ((unsigned char )1);
  goto llvm_cbe_bb37;

llvm_cbe_bb37:
  llvm_cbe_tmp39 = _ZN7b2World10CreateBodyEPK9b2BodyDef(llvm_cbe_world, (&llvm_cbe_bodyDef));
  llvm_cbe_tmp41 = (&llvm_cbe_this->field12);
  *llvm_cbe_tmp41 = llvm_cbe_tmp39;
  llvm_cbe_tmp45_2e_i_2e_i323 = ((struct l_struct_2E_b2ShapeDef *)(&llvm_cbe_boxDef456));
  llvm_cbe_tmp4_2e_i_2e_i_2e_i326 = (&llvm_cbe_tmp45_2e_i_2e_i323->field1);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i328 = (&llvm_cbe_tmp45_2e_i_2e_i323->field2);
  llvm_cbe_tmp8_2e_i_2e_i_2e_i330 = (&llvm_cbe_tmp45_2e_i_2e_i323->field3);
  llvm_cbe_tmp10_2e_i_2e_i_2e_i332 = (&llvm_cbe_tmp45_2e_i_2e_i323->field4);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i334 = (&llvm_cbe_tmp45_2e_i_2e_i323->field5);
  llvm_cbe_tmp15_2e_i_2e_i_2e_i336 = (&llvm_cbe_tmp45_2e_i_2e_i323->field7.field0);
  llvm_cbe_tmp18_2e_i_2e_i_2e_i338 = (&llvm_cbe_tmp45_2e_i_2e_i323->field7.field1);
  llvm_cbe_tmp21_2e_i_2e_i_2e_i340 = (&llvm_cbe_tmp45_2e_i_2e_i323->field7.field2);
  llvm_cbe_tmp23_2e_i_2e_i_2e_i342 = (&llvm_cbe_tmp45_2e_i_2e_i323->field6);
  llvm_cbe_tmp10_2e_i_2e_i344 = (&llvm_cbe_boxDef456[((signed int )0u)]);
  llvm_cbe_tmp29_2e_i_2e_i356 = (&(((struct l_struct_2E_b2ShapeDef *)(&llvm_cbe_boxDef456)))->field1);
  llvm_cbe_tmp31_2e_i_2e_i358 = (&(((struct l_struct_2E_b2PolygonDef *)(&llvm_cbe_boxDef456)))->field2);
  llvm_cbe_tmp7_2e_i360 = (&llvm_cbe_boxDef456[((signed int )0u)]);
  llvm_cbe_tmp2_2e_i_2e_i310 = (&llvm_cbe_this->field4.field0.field0);
  llvm_cbe_tmp20_2e_i195 = (&llvm_cbe_bar_2e_i.field0);
  llvm_cbe_tmp23_2e_i198 = (&llvm_cbe_bar_2e_i.field1);
  llvm_cbe_tmp28_2e_i202 = ((unsigned int *)(&llvm_cbe_bar_2e_i));
  llvm_cbe_tmp30_2e_i204 = (&(((struct l_unnamed2 *)(&llvm_cbe_bar_2e_i)))->field0[((signed int )1u)]);
  llvm_cbe_tmp2_2e_i168_2e_i = ((unsigned int *)(&llvm_cbe_v_addr_2e_i_2e_i132));
  llvm_cbe_tmp3_2e_i169_2e_i = (&(((struct l_unnamed2 *)(&llvm_cbe_v_addr_2e_i_2e_i132)))->field0[((signed int )1u)]);
  llvm_cbe_tmp5_2e_i170_2e_i = (&llvm_cbe_v_addr_2e_i_2e_i132.field0);
  llvm_cbe_tmp7_2e_i172_2e_i = (&llvm_cbe_v_addr_2e_i_2e_i132.field1);
  llvm_cbe_tmp1_2e_i_2e_i44_2e_i = (&llvm_cbe_tmpcast455->field0.field2);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i230 = (&llvm_cbe_tmpcast455->field0.field1[((signed int )0u)].field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i233 = (&llvm_cbe_tmpcast455->field0.field1[((signed int )0u)].field1);
  llvm_cbe_tmp1_2e_i23_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )1ull)].field0);
  llvm_cbe_tmp4_2e_i26_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )1ull)].field1);
  llvm_cbe_tmp1_2e_i14_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )2ull)].field0);
  llvm_cbe_tmp4_2e_i17_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )2ull)].field1);
  llvm_cbe_tmp1_2e_i5_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )3ull)].field0);
  llvm_cbe_tmp4_2e_i8_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast455->field0.field1[((signed long long )3ull)].field1);
  llvm_cbe_tmp13_2e_i54_2e_i250 = (&llvm_cbe_xf_2e_i_2e_i.field0.field0);
  llvm_cbe_tmp16_2e_i57_2e_i253 = (&llvm_cbe_xf_2e_i_2e_i.field0.field1);
  llvm_cbe_tmp6_2e_i39_2e_i_2e_i = (&llvm_cbe_xf_2e_i_2e_i.field1.field0.field0);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i256 = (&llvm_cbe_xf_2e_i_2e_i.field1.field1.field0);
  llvm_cbe_tmp15_2e_i44_2e_i_2e_i = (&llvm_cbe_xf_2e_i_2e_i.field1.field0.field1);
  llvm_cbe_tmp19_2e_i46_2e_i_2e_i = (&llvm_cbe_xf_2e_i_2e_i.field1.field1.field1);
  llvm_cbe_tmp5556_2e_i = ((struct l_struct_2E_b2ShapeDef *)(&llvm_cbe_boxDef456));
  llvm_cbe_tmp57_2e_i269 = (&llvm_cbe_tmp5556_2e_i->field3);
  llvm_cbe_tmp101_2e_i284 = (&llvm_cbe_tmp5556_2e_i->field5);
  llvm_cbe_tmp107_2e_i286 = (&llvm_cbe_tmp5556_2e_i->field4);
  llvm_cbe_tmp1920_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2CircleDef *)(&llvm_cbe_boxDef456));
  llvm_cbe_tmp27_2e_i69_2e_i_2e_i = (&llvm_cbe_tmp1920_2e_i_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp30_2e_i71_2e_i_2e_i = (&llvm_cbe_tmp1920_2e_i_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp41_2e_i79_2e_i_2e_i = (&llvm_cbe_tmp1920_2e_i_2e_i_2e_i->field2);
  llvm_cbe_tmp9798_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PolygonDef *)(&llvm_cbe_boxDef456));
  llvm_cbe_tmp100_2e_i_2e_i_2e_i = (&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field2);
  llvm_cbe_tmp234_2e_i_2e_i_2e_i = (&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )0ull)]);
  llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_lower_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_lower_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_upper_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_upper_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp143_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_r_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp145_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_r_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp218_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_center_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp221_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_center_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp321_2e_i_2e_i_2e_i = (&llvm_cbe_d_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp324_2e_i_2e_i_2e_i = (&llvm_cbe_d_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp348_2e_i_2e_i_2e_i = (&llvm_cbe_A_2e_i_2e_i_2e_i.field0.field0);
  llvm_cbe_tmp352_2e_i_2e_i_2e_i = (&llvm_cbe_A_2e_i_2e_i_2e_i.field1.field0);
  llvm_cbe_tmp356_2e_i_2e_i_2e_i = (&llvm_cbe_A_2e_i_2e_i_2e_i.field0.field1);
  llvm_cbe_tmp360_2e_i_2e_i_2e_i = (&llvm_cbe_A_2e_i_2e_i_2e_i.field1.field1);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i51 = (&llvm_cbe_boxDef456[((signed int )0u)]);
  llvm_cbe_storemerge__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb70;

llvm_cbe_bb_2e_i72:
  __assert_fail(((&_2E_str146[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 117u, ((&_ZZN6b2Body11CreateShapeEP10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i65_2e_i_2e_i:
  __assert_fail(((&_2E_str246[((signed long long )0ull)])), ((&_2E_str1247[((signed long long )0ull)])), 24u, ((&_ZZN13b2CircleShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb89_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str10135[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 141u, ((&_ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb117_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str11136[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 147u, ((&_ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb194_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str12137[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 161u, ((&_ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i263_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str6131[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 46u, ((&_ZZL15ComputeCentroidPK6b2Vec2iE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb131_2e_i_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str2127[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 85u, ((&_ZZL15ComputeCentroidPK6b2Vec2iE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i213_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str7132[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 93u, ((&_ZZL10ComputeOBBP5b2OBBPK6b2Vec2iE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb120_2e_i_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str8133[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 108u, ((&_ZZL10ComputeOBBP5b2OBBPK6b2Vec2iE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb276_2e_i_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str9134[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 135u, ((&_ZZL10ComputeOBBP5b2OBBPK6b2Vec2iE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb330_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str13138[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 225u, ((&_ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb340_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str14139[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 226u, ((&_ZZN14b2PolygonShapeC4EPK10b2ShapeDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb60_2e_i_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 45u, ((&_ZZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i4_2e_i:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 94u, ((&_ZZN7b2Shape11CreateProxyEP12b2BroadPhaseRK7b2XFormE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb23_2e_i_2e_i:
  __assert_fail(((&_2E_str2175[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 102u, ((&_ZZN7b2Shape11CreateProxyEP12b2BroadPhaseRK7b2XFormE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb70' to make GCC happy */
llvm_cbe_bb70:
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5 = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb42;
  } else {
    goto llvm_cbe_bb76;
  }

llvm_cbe_bb30_2e_i_2e_i:
  llvm_cbe_tmp35_2e_i_2e_i130 = _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(llvm_cbe_tmp47_2e_i112, (&llvm_cbe_aabb_2e_i_2e_i56), llvm_cbe_storemerge2_2e_i_2e_i_2e_in);
  *llvm_cbe_tmp1_2e_i_2e_i114 = llvm_cbe_tmp35_2e_i_2e_i130;
  llvm_cbe_tmp51_2e_i125 = *llvm_cbe_tmp10_2e_i_2e_i117;
  llvm_cbe_tmp53_2e_i127 = *((&llvm_cbe_tmp51_2e_i125[((signed long long )7ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Vec2 *))llvm_cbe_tmp53_2e_i127))(llvm_cbe_storemerge2_2e_i_2e_i, ((&llvm_cbe_tmp59->field3.field0)));
  *llvm_cbe_tmp2_2e_i_2e_i_2e_i51 = ((&_ZTV10b2ShapeDef[((signed long long )2ull)]));
  llvm_cbe_tmp66 = llvm_cbe_storemerge + 1u;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp66;   /* for PHI node */
  goto llvm_cbe_bb70;

llvm_cbe_bb8_2e_i_2e_i:
  llvm_cbe_tmp10_2e_i_2e_i117 = ((unsigned int  (***) ())llvm_cbe_storemerge2_2e_i_2e_i_2e_in);
  llvm_cbe_tmp11_2e_i_2e_i118 = *llvm_cbe_tmp10_2e_i_2e_i117;
  llvm_cbe_tmp13_2e_i8_2e_i = *((&llvm_cbe_tmp11_2e_i_2e_i118[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp13_2e_i8_2e_i))(llvm_cbe_storemerge2_2e_i_2e_i, (&llvm_cbe_aabb_2e_i_2e_i56), ((&llvm_cbe_tmp59->field2)));
  llvm_cbe_tmp18_2e_i11_2e_i = _ZNK12b2BroadPhase7InRangeERK6b2AABB(llvm_cbe_tmp47_2e_i112, (&llvm_cbe_aabb_2e_i_2e_i56));
  if ((llvm_cbe_tmp18_2e_i11_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb23_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb30_2e_i_2e_i;
  }

llvm_cbe__ZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocator_2e_exit_2e_i:
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i_2e_i_2e_in = llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i_2e_i = ((struct l_struct_2E_b2Shape *)llvm_cbe_storemerge2_2e_i_2e_i_2e_in);
  llvm_cbe_tmp25_2e_i97 = (&llvm_cbe_tmp59->field11);
  llvm_cbe_tmp26_2e_i98 = *llvm_cbe_tmp25_2e_i97;
  *((&llvm_cbe_storemerge2_2e_i_2e_i->field2)) = llvm_cbe_tmp26_2e_i98;
  *llvm_cbe_tmp25_2e_i97 = llvm_cbe_storemerge2_2e_i_2e_i;
  llvm_cbe_tmp33_2e_i103 = (&llvm_cbe_tmp59->field12);
  llvm_cbe_tmp34_2e_i = *llvm_cbe_tmp33_2e_i103;
  *llvm_cbe_tmp33_2e_i103 = (llvm_cbe_tmp34_2e_i + 1u);
  *((&llvm_cbe_storemerge2_2e_i_2e_i->field3)) = llvm_cbe_tmp59;
  llvm_cbe_tmp45_2e_i = *llvm_cbe_tmp2_2e_i67;
  llvm_cbe_tmp47_2e_i112 = *((&llvm_cbe_tmp45_2e_i->field3));
  llvm_cbe_tmp1_2e_i_2e_i114 = (&llvm_cbe_storemerge2_2e_i_2e_i->field8);
  llvm_cbe_tmp2_2e_i3_2e_i = *llvm_cbe_tmp1_2e_i_2e_i114;
  if ((llvm_cbe_tmp2_2e_i3_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb8_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i4_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i86:
  llvm_cbe_tmp8_2e_i_2e_i84 = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp21_2e_i, 88u);
  llvm_cbe_tmp1011_2e_i_2e_i = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp8_2e_i_2e_i84);
  if ((llvm_cbe_tmp8_2e_i_2e_i84 == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp8_2e_i_2e_i84;   /* for PHI node */
    goto llvm_cbe__ZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp21_2e_i = (&llvm_cbe_tmp3_2e_i68->field0);
  llvm_cbe_tmp6_2e_i_2e_i82 = *llvm_cbe_tmp4_2e_i_2e_i_2e_i326;
  switch (llvm_cbe_tmp6_2e_i_2e_i82) {
  default:
    goto llvm_cbe_bb60_2e_i_2e_i;
;
  case 0u:
    goto llvm_cbe_bb_2e_i_2e_i86;
    break;
  case 1u:
    goto llvm_cbe_bb31_2e_i_2e_i;
  }
llvm_cbe__ZN6Stroke6BoxDef4initERK4Vec2S3_i_2e_exit:
  *llvm_cbe_tmp107_2e_i286 = 0x1.99999ap-3;
  llvm_cbe_tmp59 = *llvm_cbe_tmp41;
  llvm_cbe_tmp2_2e_i67 = (&llvm_cbe_tmp59->field8);
  llvm_cbe_tmp3_2e_i68 = *llvm_cbe_tmp2_2e_i67;
  llvm_cbe_tmp5_2e_i70 = *((&llvm_cbe_tmp3_2e_i68->field2));
  if ((llvm_cbe_tmp5_2e_i70 == ((unsigned char )0))) {
    goto llvm_cbe_bb17_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i72;
  }

llvm_cbe_bb_2e_i274:
  *llvm_cbe_tmp101_2e_i284 = 0x0p+0;
  goto llvm_cbe__ZN6Stroke6BoxDef4initERK4Vec2S3_i_2e_exit;

llvm_cbe__ZN12b2PolygonDef8SetAsBoxEffRK6b2Vec2f_2e_exit_2e_i:
  *llvm_cbe_tmp57_2e_i269 = 0x1.333334p-2;
  if (((llvm_cbe_tmp45 & 1u) == 0u)) {
    goto llvm_cbe_bb66_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i274;
  }

  do {     /* Syntactic loop 'bb41.i.i267' to make GCC happy */
llvm_cbe_bb41_2e_i_2e_i267:
  llvm_cbe_storemerge_2e_i_2e_i264 = llvm_cbe_storemerge_2e_i_2e_i264__PHI_TEMPORARY;
  llvm_cbe_tmp44_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i44_2e_i;
  if ((((signed int )llvm_cbe_tmp44_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i_2e_i264))) {
    goto llvm_cbe_bb_2e_i_2e_i263;
  } else {
    goto llvm_cbe__ZN12b2PolygonDef8SetAsBoxEffRK6b2Vec2f_2e_exit_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i263:
  llvm_cbe_tmp2225_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i_2e_i264);
  llvm_cbe_tmp27_2e_i65_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf_2e_i_2e_i), ((&llvm_cbe_tmpcast455->field0.field1[((signed long long )llvm_cbe_tmp2225_2e_i_2e_i)])));
  *((&llvm_cbe_tmpcast455->field0.field1[((signed long long )llvm_cbe_tmp2225_2e_i_2e_i)].field0)) = ((llvm_cbe_tmp35_2e_i_2e_i926__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp27_2e_i65_2e_i)), llvm_cbe_tmp35_2e_i_2e_i926__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmpcast455->field0.field1[((signed long long )llvm_cbe_tmp2225_2e_i_2e_i)].field1)) = ((llvm_cbe_tmp38_2e_i_2e_i260930__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp27_2e_i65_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp38_2e_i_2e_i260930__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp40_2e_i_2e_i262 = llvm_cbe_storemerge_2e_i_2e_i264 + 1u;
  llvm_cbe_storemerge_2e_i_2e_i264__PHI_TEMPORARY = llvm_cbe_tmp40_2e_i_2e_i262;   /* for PHI node */
  goto llvm_cbe_bb41_2e_i_2e_i267;

  } while (1); /* end of syntactic loop 'bb41.i.i267' */
llvm_cbe__ZN6Stroke6BoxDefC1Ev_2e_exit:
  *llvm_cbe_tmp29_2e_i_2e_i356 = 1u;
  *llvm_cbe_tmp31_2e_i_2e_i358 = 0u;
  *llvm_cbe_tmp7_2e_i360 = ((&_ZTVN6Stroke6BoxDefE[((signed long long )2ull)]));
  llvm_cbe_tmp45 = *llvm_cbe_tmp2_2e_i13;
  llvm_cbe_tmp3_2e_i_2e_i311 = *llvm_cbe_tmp2_2e_i_2e_i310;
  llvm_cbe_tmp45_2e_i_2e_i313 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp45_2e_i_2e_i298 = ((signed long long )(signed int )(llvm_cbe_storemerge + 4294967295u));
  llvm_cbe_tmp4_2e_i_2e_i158 = *((&llvm_cbe_tmp3_2e_i_2e_i311[((signed long long )llvm_cbe_tmp45_2e_i_2e_i298)].field1));
  llvm_cbe_tmp8_2e_i_2e_i162 = *((&llvm_cbe_tmp3_2e_i_2e_i311[((signed long long )llvm_cbe_tmp45_2e_i_2e_i298)].field0));
  llvm_cbe_tmp21_2e_i_2e_i180921922923_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i_2e_i177914__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp8_2e_i_2e_i162)), llvm_cbe_tmp18_2e_i_2e_i177914__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i_2e_i180921__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp4_2e_i_2e_i158)), llvm_cbe_tmp21_2e_i_2e_i180921__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp5_2e_i255_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i311[((signed long long )llvm_cbe_tmp45_2e_i_2e_i313)].field1));
  llvm_cbe_tmp12_2e_i262_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i311[((signed long long )llvm_cbe_tmp45_2e_i_2e_i313)].field0));
  llvm_cbe_tmp21_2e_i240_2e_i970971972_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i237_2e_i963__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp12_2e_i262_2e_i - llvm_cbe_tmp8_2e_i_2e_i162))), llvm_cbe_tmp18_2e_i237_2e_i963__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i240_2e_i970__BITCAST_TEMPORARY.Float = (((float )(signed int )(llvm_cbe_tmp5_2e_i255_2e_i - llvm_cbe_tmp4_2e_i_2e_i158))), llvm_cbe_tmp21_2e_i240_2e_i970__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp20_2e_i195 = (((float )(((llvm_cbe_tmp22_2e_i197891__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i240_2e_i970971972_2e_ins)), llvm_cbe_tmp22_2e_i197891__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)));
  llvm_cbe_tmp11_2e_i204_2e_i = ((float )(((llvm_cbe_tmp25_2e_i200895__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i240_2e_i970971972_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp25_2e_i200895__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4));
  *llvm_cbe_tmp23_2e_i198 = llvm_cbe_tmp11_2e_i204_2e_i;
  llvm_cbe_tmp29_2e_i203 = *llvm_cbe_tmp28_2e_i202;
  llvm_cbe_tmp31_2e_i205 = *llvm_cbe_tmp30_2e_i204;
  *llvm_cbe_tmp2_2e_i168_2e_i = llvm_cbe_tmp29_2e_i203;
  *llvm_cbe_tmp3_2e_i169_2e_i = llvm_cbe_tmp31_2e_i205;
  llvm_cbe_tmp6_2e_i171_2e_i = *llvm_cbe_tmp5_2e_i170_2e_i;
  llvm_cbe_tmp8_2e_i173_2e_i = *llvm_cbe_tmp7_2e_i172_2e_i;
  llvm_cbe_tmp9_2e_i174_2e_i = atan2f(llvm_cbe_tmp8_2e_i173_2e_i, llvm_cbe_tmp6_2e_i171_2e_i);
  llvm_cbe_tmp8_2e_i139_2e_i = *llvm_cbe_tmp20_2e_i195;
  llvm_cbe_tmp22_2e_i159_2e_i956957958_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i156_2e_i949__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i139_2e_i * 0x1p-1))), llvm_cbe_tmp19_2e_i156_2e_i949__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i159_2e_i956__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp11_2e_i204_2e_i * 0x1p-1))), llvm_cbe_tmp22_2e_i159_2e_i956__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i120_2e_i942943944_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i117_2e_i935__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp37_2e_i209898__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i159_2e_i956957958_2e_ins)), llvm_cbe_tmp37_2e_i209898__BITCAST_TEMPORARY.Float)) + (((float )(((llvm_cbe_tmp12_2e_i189884__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i_2e_i180921922923_2e_ins)), llvm_cbe_tmp12_2e_i189884__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)))))), llvm_cbe_tmp23_2e_i117_2e_i935__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i120_2e_i942__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp40_2e_i212902__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i159_2e_i956957958_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp40_2e_i212902__BITCAST_TEMPORARY.Float)) + (((float )(((llvm_cbe_tmp15_2e_i192888__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i_2e_i180921922923_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp15_2e_i192888__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)))))), llvm_cbe_tmp26_2e_i120_2e_i942__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp16_2e_i83_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp8_2e_i139_2e_i * llvm_cbe_tmp8_2e_i139_2e_i))) + (((float )(llvm_cbe_tmp11_2e_i204_2e_i * llvm_cbe_tmp11_2e_i204_2e_i)))))));
  llvm_cbe_tmp50_2e_i223 = ((float )(llvm_cbe_tmp16_2e_i83_2e_i / 0x1p+1));
  *llvm_cbe_tmp1_2e_i_2e_i44_2e_i = 4u;
  llvm_cbe_tmp5_2e_i_2e_i48_2e_i = ((float )(-(llvm_cbe_tmp50_2e_i223)));
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i230 = llvm_cbe_tmp5_2e_i_2e_i48_2e_i;
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i233 = -0x1.99999ap-4;
  *llvm_cbe_tmp1_2e_i23_2e_i_2e_i_2e_i = llvm_cbe_tmp50_2e_i223;
  *llvm_cbe_tmp4_2e_i26_2e_i_2e_i_2e_i = -0x1.99999ap-4;
  *llvm_cbe_tmp1_2e_i14_2e_i_2e_i_2e_i = llvm_cbe_tmp50_2e_i223;
  *llvm_cbe_tmp4_2e_i17_2e_i_2e_i_2e_i = 0x1.99999ap-4;
  *llvm_cbe_tmp1_2e_i5_2e_i_2e_i_2e_i = llvm_cbe_tmp5_2e_i_2e_i48_2e_i;
  *llvm_cbe_tmp4_2e_i8_2e_i_2e_i_2e_i = 0x1.99999ap-4;
  *llvm_cbe_tmp13_2e_i54_2e_i250 = ((llvm_cbe_tmp45_2e_i219905__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i120_2e_i942943944_2e_ins)), llvm_cbe_tmp45_2e_i219905__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp16_2e_i57_2e_i253 = ((llvm_cbe_tmp48_2e_i222909__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i120_2e_i942943944_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp48_2e_i222909__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp1_2e_i35_2e_i_2e_i = cosf(llvm_cbe_tmp9_2e_i174_2e_i);
  llvm_cbe_tmp3_2e_i37_2e_i_2e_i = sinf(llvm_cbe_tmp9_2e_i174_2e_i);
  *llvm_cbe_tmp6_2e_i39_2e_i_2e_i = llvm_cbe_tmp1_2e_i35_2e_i_2e_i;
  *llvm_cbe_tmp12_2e_i_2e_i_2e_i256 = (((float )(-(llvm_cbe_tmp3_2e_i37_2e_i_2e_i))));
  *llvm_cbe_tmp15_2e_i44_2e_i_2e_i = llvm_cbe_tmp3_2e_i37_2e_i_2e_i;
  *llvm_cbe_tmp19_2e_i46_2e_i_2e_i = llvm_cbe_tmp1_2e_i35_2e_i_2e_i;
  llvm_cbe_storemerge_2e_i_2e_i264__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb41_2e_i_2e_i267;

  do {     /* Syntactic loop 'bb.i.i352' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i352:
  llvm_cbe_tmp_2e_i_2e_i319_2e_0 = llvm_cbe_tmp_2e_i_2e_i319_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp19_2e_i_2e_i351 = llvm_cbe_tmp_2e_i_2e_i319_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp19_2e_i_2e_i351 == 18446744073709551615ull)) {
    goto llvm_cbe__ZN6Stroke6BoxDefC1Ev_2e_exit;
  } else {
    llvm_cbe_tmp_2e_i_2e_i319_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i_2e_i351;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i352;
  }

  } while (1); /* end of syntactic loop 'bb.i.i352' */
llvm_cbe_bb42:
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i326 = 4294967295u;
  *llvm_cbe_tmp6_2e_i_2e_i_2e_i328 = ((unsigned char *)/*NULL*/0);
  *llvm_cbe_tmp8_2e_i_2e_i_2e_i330 = 0x1.99999ap-3;
  *llvm_cbe_tmp10_2e_i_2e_i_2e_i332 = 0x0p+0;
  *llvm_cbe_tmp12_2e_i_2e_i_2e_i334 = 0x0p+0;
  *llvm_cbe_tmp15_2e_i_2e_i_2e_i336 = ((unsigned short )1);
  *llvm_cbe_tmp18_2e_i_2e_i_2e_i338 = ((unsigned short )-1);
  *llvm_cbe_tmp21_2e_i_2e_i_2e_i340 = ((unsigned short )0);
  *llvm_cbe_tmp23_2e_i_2e_i_2e_i342 = ((unsigned char )0);
  *llvm_cbe_tmp10_2e_i_2e_i344 = ((&_ZTV12b2PolygonDef[((signed long long )2ull)]));
  llvm_cbe_tmp_2e_i_2e_i319_2e_0__PHI_TEMPORARY = 7ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i352;

llvm_cbe_bb73_2e_i:
  *llvm_cbe_tmp101_2e_i284 = 0x1.9p+6;
  goto llvm_cbe__ZN6Stroke6BoxDef4initERK4Vec2S3_i_2e_exit;

llvm_cbe_bb66_2e_i:
  if (((llvm_cbe_tmp45 & 4u) == 0u)) {
    goto llvm_cbe_bb79_2e_i;
  } else {
    goto llvm_cbe_bb73_2e_i;
  }

llvm_cbe_bb85_2e_i:
  *llvm_cbe_tmp101_2e_i284 = 0x1.8p+1;
  *llvm_cbe_tmp57_2e_i269 = 0x1.99999ap-4;
  goto llvm_cbe__ZN6Stroke6BoxDef4initERK4Vec2S3_i_2e_exit;

llvm_cbe_bb79_2e_i:
  if (((llvm_cbe_tmp45 & 2u) == 0u)) {
    goto llvm_cbe_bb96_2e_i;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb96_2e_i:
  *llvm_cbe_tmp101_2e_i284 = 0x1.4p+2;
  goto llvm_cbe__ZN6Stroke6BoxDef4initERK4Vec2S3_i_2e_exit;

llvm_cbe__ZN13b2CircleShapeC1EPK10b2ShapeDef_2e_exit_2e_i_2e_i:
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field1)) = 0u;
  llvm_cbe_tmp28_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i69_2e_i_2e_i;
  llvm_cbe_tmp31_2e_i72_2e_i_2e_i = *llvm_cbe_tmp30_2e_i71_2e_i_2e_i;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field1.field0)) = llvm_cbe_tmp28_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field1.field1)) = llvm_cbe_tmp31_2e_i72_2e_i_2e_i;
  llvm_cbe_tmp42_2e_i80_2e_i_2e_i = *llvm_cbe_tmp41_2e_i79_2e_i_2e_i;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field2)) = llvm_cbe_tmp42_2e_i80_2e_i_2e_i;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp8_2e_i_2e_i84;   /* for PHI node */
  goto llvm_cbe__ZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb15_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp8_2e_i_2e_i84)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i15_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i_2e_i328;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp5_2e_i_2e_i15_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i_2e_i20_2e_i_2e_i = *llvm_cbe_tmp8_2e_i_2e_i_2e_i330;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp10_2e_i_2e_i20_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i_2e_i25_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i_2e_i332;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp15_2e_i_2e_i25_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i30_2e_i_2e_i = *llvm_cbe_tmp12_2e_i_2e_i_2e_i334;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field5)) = llvm_cbe_tmp20_2e_i_2e_i30_2e_i_2e_i;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field4)) = 0x0p+0;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Shape *)/*NULL*/0);
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field8)) = ((unsigned short )-1);
  llvm_cbe_tmp37_2e_i_2e_i45_2e_i_2e_i = *llvm_cbe_tmp15_2e_i_2e_i_2e_i336;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field9.field0)) = llvm_cbe_tmp37_2e_i_2e_i45_2e_i_2e_i;
  llvm_cbe_tmp40_2e_i_2e_i48_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i_2e_i338;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field9.field1)) = llvm_cbe_tmp40_2e_i_2e_i48_2e_i_2e_i;
  llvm_cbe_tmp43_2e_i_2e_i51_2e_i_2e_i = *llvm_cbe_tmp21_2e_i_2e_i_2e_i340;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field9.field2)) = llvm_cbe_tmp43_2e_i_2e_i51_2e_i_2e_i;
  llvm_cbe_tmp46_2e_i_2e_i54_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i_2e_i342;
  *((&llvm_cbe_tmp1011_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp46_2e_i_2e_i54_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp8_2e_i_2e_i84)) = ((&_ZTV13b2CircleShape[((signed long long )2ull)]));
  llvm_cbe_tmp12_2e_i63_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i_2e_i326;
  if ((llvm_cbe_tmp12_2e_i63_2e_i_2e_i == 0u)) {
    goto llvm_cbe__ZN13b2CircleShapeC1EPK10b2ShapeDef_2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i65_2e_i_2e_i;
  }

llvm_cbe_bb31_2e_i_2e_i:
  llvm_cbe_tmp33_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp21_2e_i, 312u);
  llvm_cbe_tmp3536_2e_i_2e_i = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp33_2e_i_2e_i);
  if ((llvm_cbe_tmp33_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
    llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp33_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb41_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb386.i.i.i' to make GCC happy */
llvm_cbe_bb386_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge46_2e_i_2e_i_2e_i = llvm_cbe_storemerge46_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp389_2e_i_2e_i_2e_i = *llvm_cbe_tmp103_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp389_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge46_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb253_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i246_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781782783_2e_ins;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_storemerge2_2e_i_2e_i_2e_in__PHI_TEMPORARY = llvm_cbe_tmp33_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Shape6CreateEPK10b2ShapeDefP16b2BlockAllocator_2e_exit_2e_i;
  }

llvm_cbe_bb344_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp348_2e_i_2e_i_2e_i = llvm_cbe_tmp277_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp352_2e_i_2e_i_2e_i = llvm_cbe_tmp280_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp356_2e_i_2e_i_2e_i = llvm_cbe_tmp294_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp360_2e_i_2e_i_2e_i = llvm_cbe_tmp297_2e_i_2e_i_2e_i;
  llvm_cbe_tmp364_2e_i_2e_i_2e_i = _ZNK7b2Mat225SolveERK6b2Vec2((&llvm_cbe_A_2e_i_2e_i_2e_i), (&llvm_cbe_d_2e_i_2e_i_2e_i));
  llvm_cbe_tmp6_2e_i75_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i156_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i82_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i163_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550551552_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i92_2e_i_2e_i_2e_i543__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp368_2e_i_2e_i_2e_i527__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp364_2e_i_2e_i_2e_i)), llvm_cbe_tmp368_2e_i_2e_i_2e_i527__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp13_2e_i82_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i92_2e_i_2e_i_2e_i543__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp371_2e_i_2e_i_2e_i531__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp364_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp371_2e_i_2e_i_2e_i531__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp6_2e_i75_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field5[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field0)) = ((llvm_cbe_tmp380_2e_i_2e_i_2e_i534__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550551552_2e_ins)), llvm_cbe_tmp380_2e_i_2e_i_2e_i534__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field5[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field1)) = ((llvm_cbe_tmp383_2e_i_2e_i_2e_i538__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550551552_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp383_2e_i_2e_i_2e_i538__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp385_2e_i_2e_i_2e_i = llvm_cbe_storemerge46_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i95_2e_i_2e_i_2e_i550551552_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564565566_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge46_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp385_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb386_2e_i_2e_i_2e_i;

llvm_cbe_bb334_2e_i_2e_i_2e_i:
  if ((llvm_fcmp_ult(llvm_cbe_tmp323_2e_i_2e_i_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb340_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb344_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb253_2e_i_2e_i_2e_i:
  llvm_cbe_tmp270273_2e_i_2e_i_2e_i = ((signed long long )(signed int )(((((((signed int )(llvm_cbe_storemerge46_2e_i_2e_i_2e_i + 4294967295u)) > ((signed int )4294967295u))) ? (llvm_cbe_storemerge46_2e_i_2e_i_2e_i) : (llvm_cbe_tmp389_2e_i_2e_i_2e_i))) + 4294967295u));
  llvm_cbe_tmp277_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp270273_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp280_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp270273_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp287290_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge46_2e_i_2e_i_2e_i);
  llvm_cbe_tmp294_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp297_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp3_2e_i154_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp6_2e_i157_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i156_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i161_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp287290_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp13_2e_i164_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i163_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564565566_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i180_2e_i_2e_i_2e_i557__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i161_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i164_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i180_2e_i_2e_i_2e_i557__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i154_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i157_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp315_2e_i_2e_i_2e_i520 = (llvm_cbe_tmp315_2e_i_2e_i_2e_i520__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564565566_2e_ins)), llvm_cbe_tmp315_2e_i_2e_i_2e_i520__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp318_2e_i_2e_i_2e_i524 = (llvm_cbe_tmp318_2e_i_2e_i_2e_i524__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i183_2e_i_2e_i_2e_i564565566_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp318_2e_i_2e_i_2e_i524__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp320_2e_i_2e_i_2e_i = ((float )((((float )((((float )(llvm_cbe_tmp277_2e_i_2e_i_2e_i * llvm_cbe_tmp315_2e_i_2e_i_2e_i520))) + (((float )(llvm_cbe_tmp280_2e_i_2e_i_2e_i * llvm_cbe_tmp318_2e_i_2e_i_2e_i524)))))) - 0x1.47ae14p-5));
  *llvm_cbe_tmp321_2e_i_2e_i_2e_i = llvm_cbe_tmp320_2e_i_2e_i_2e_i;
  llvm_cbe_tmp323_2e_i_2e_i_2e_i = ((float )((((float )((((float )(llvm_cbe_tmp294_2e_i_2e_i_2e_i * llvm_cbe_tmp315_2e_i_2e_i_2e_i520))) + (((float )(llvm_cbe_tmp297_2e_i_2e_i_2e_i * llvm_cbe_tmp318_2e_i_2e_i_2e_i524)))))) - 0x1.47ae14p-5));
  *llvm_cbe_tmp324_2e_i_2e_i_2e_i = llvm_cbe_tmp323_2e_i_2e_i_2e_i;
  if ((llvm_fcmp_ult(llvm_cbe_tmp320_2e_i_2e_i_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb330_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb334_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb386.i.i.i' */
llvm_cbe__ZL10ComputeOBBP5b2OBBPK6b2Vec2i_2e_exit_2e_i_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i156_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp12_2e_i163_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field1.field0);
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i147_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_storemerge46_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb386_2e_i_2e_i_2e_i;

llvm_cbe_bb271_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_fcmp_uge(llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1, 0x1.fffffep+127))) {
    goto llvm_cbe_bb276_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZL10ComputeOBBP5b2OBBPK6b2Vec2i_2e_exit_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb265.i.i.i.i' to make GCC happy */
llvm_cbe_bb265_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb271_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb262_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp264_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690691692_2e_ins;   /* for PHI node */
  llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp264_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb265_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb170_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp174_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp179_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp181_2e_i_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle - llvm_cbe_tmp174_2e_i_2e_i_2e_i_2e_i))) * (((float )(llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle - llvm_cbe_tmp179_2e_i_2e_i_2e_i_2e_i)))));
  if ((llvm_fcmp_ogt((((float )(llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1 * 0x1.e66666p-1))), llvm_cbe_tmp181_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb188_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb262_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb164.i.i.i.i' to make GCC happy */
llvm_cbe_bb164_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle = llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle = llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb130_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb170_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb130_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp131132_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i371_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp131132_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp10_2e_i378_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp131132_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732733734_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i397_2e_i_2e_i_2e_i_2e_i725__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i378_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i397_2e_i_2e_i_2e_i_2e_i725__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i371_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp97_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576 = (llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732733734_2e_ins)), llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580 = (llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732733734_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp143_2e_i_2e_i_2e_i_2e_i = (((float )((((float )(llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576))) + (((float )(llvm_cbe_tmp20_2e_i311_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580))))));
  *llvm_cbe_tmp145_2e_i_2e_i_2e_i_2e_i = (((float )((((float )(llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i576 * llvm_cbe_tmp129_2e_i_2e_i_2e_i_2e_i))) + (((float )(llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i * llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i580))))));
  llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i = _Z5b2MinRK6b2Vec2S1_((&llvm_cbe_lower_2e_i_2e_i_2e_i_2e_i), (&llvm_cbe_r_2e_i_2e_i_2e_i_2e_i));
  *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp150_2e_i_2e_i_2e_i_2e_i583__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp150_2e_i_2e_i_2e_i_2e_i583__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i587__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp146_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i587__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp154_2e_i_2e_i_2e_i_2e_i = _Z5b2MaxRK6b2Vec2S1_((&llvm_cbe_upper_2e_i_2e_i_2e_i_2e_i), (&llvm_cbe_r_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590 = (llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp154_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590;
  llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594 = (llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp154_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594;
  llvm_cbe_tmp163_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp161_2e_i_2e_i_2e_i_2e_i594;   /* for PHI node */
  llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i590;   /* for PHI node */
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i400_2e_i_2e_i_2e_i_2e_i732733734_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp163_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb164_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb164.i.i.i.i' */
llvm_cbe_bb124_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp129_2e_i_2e_i_2e_i_2e_i = ((float )(-(llvm_cbe_tmp20_2e_i311_2e_i_2e_i_2e_i_2e_i)));
  *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i = 0x1.fffffep+127;
  *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i = 0x1.fffffep+127;
  *llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i = -0x1.fffffep+127;
  *llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i = -0x1.fffffep+127;
  llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_tmp172_2e_i_2e_i_2e_i_2e_i_2e_rle__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_storemerge2_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb164_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb6_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i299_2e_i_2e_i_2e_i_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569 * llvm_cbe_tmp8_2e_i299_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp20_2e_i311_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573 * llvm_cbe_tmp8_2e_i299_2e_i_2e_i_2e_i_2e_i));
  if ((llvm_fcmp_ule(llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb120_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb124_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp8990_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )(llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i + 4294967295u));
  llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp8990_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp97_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp8990_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp104105_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i160_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp104105_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp10_2e_i167_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp104105_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690691692_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i186_2e_i_2e_i_2e_i_2e_i683__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i167_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i186_2e_i_2e_i_2e_i_2e_i683__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i160_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp97_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569 = (llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690691692_2e_ins)), llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573 = (llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i189_2e_i_2e_i_2e_i_2e_i690691692_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569 * llvm_cbe_tmp111_2e_i_2e_i_2e_i_2e_i569))) + (((float )(llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573 * llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i573)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb120_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb188_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp193_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp20_2e_i311_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp202_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp129_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp205_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp13_2e_i304_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i254_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i257_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i261_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i264_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718719720_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i280_2e_i_2e_i_2e_i_2e_i711__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i261_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp13_2e_i264_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i280_2e_i_2e_i_2e_i_2e_i711__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i254_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp6_2e_i257_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704705706_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i231_2e_i_2e_i_2e_i_2e_i697__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp212_2e_i_2e_i_2e_i_2e_i597__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718719720_2e_ins)), llvm_cbe_tmp212_2e_i_2e_i_2e_i_2e_i597__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp19_2e_i231_2e_i_2e_i_2e_i_2e_i697__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp215_2e_i_2e_i_2e_i_2e_i601__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718719720_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp215_2e_i_2e_i_2e_i_2e_i601__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp218_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp220_2e_i_2e_i_2e_i_2e_i604__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704705706_2e_ins)), llvm_cbe_tmp220_2e_i_2e_i_2e_i_2e_i604__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp221_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp223_2e_i_2e_i_2e_i_2e_i608__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704705706_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp223_2e_i_2e_i_2e_i_2e_i608__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp226_2e_i_2e_i_2e_i_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp225_2e_i_2e_i_2e_i_2e_i, (&llvm_cbe_center_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676677678_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i137_2e_i_2e_i_2e_i_2e_i669__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp94_2e_i_2e_i_2e_i_2e_i + ((llvm_cbe_tmp230_2e_i_2e_i_2e_i_2e_i611__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp226_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp230_2e_i_2e_i_2e_i_2e_i611__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i137_2e_i_2e_i_2e_i_2e_i669__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp97_2e_i_2e_i_2e_i_2e_i + ((llvm_cbe_tmp233_2e_i_2e_i_2e_i_2e_i615__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp226_2e_i_2e_i_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp233_2e_i_2e_i_2e_i_2e_i615__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp238_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp240_2e_i_2e_i_2e_i_2e_i618__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676677678_2e_ins)), llvm_cbe_tmp240_2e_i_2e_i_2e_i_2e_i618__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp243_2e_i_2e_i_2e_i_2e_i622__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676677678_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp243_2e_i_2e_i_2e_i_2e_i622__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i67_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i415_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i70_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i424_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i74_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i412_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i77_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i421_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662663664_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i93_2e_i_2e_i_2e_i_2e_i655__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i74_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i77_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i93_2e_i_2e_i_2e_i_2e_i655__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i67_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i70_2e_i_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648649650_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i641__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i625__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662663664_2e_ins)), llvm_cbe_tmp248_2e_i_2e_i_2e_i_2e_i625__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i641__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i629__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662663664_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp251_2e_i_2e_i_2e_i_2e_i629__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp256_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp258_2e_i_2e_i_2e_i_2e_i632__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648649650_2e_ins)), llvm_cbe_tmp258_2e_i_2e_i_2e_i_2e_i632__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i = ((llvm_cbe_tmp261_2e_i_2e_i_2e_i_2e_i636__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648649650_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp261_2e_i_2e_i_2e_i_2e_i636__BITCAST_TEMPORARY.Float));
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i648649650_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i96_2e_i_2e_i_2e_i_2e_i662663664_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i140_2e_i_2e_i_2e_i_2e_i676677678_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i234_2e_i_2e_i_2e_i_2e_i704705706_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i283_2e_i_2e_i_2e_i_2e_i718719720_2e_ins;   /* for PHI node */
  llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp181_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb262_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb265.i.i.i.i' */
llvm_cbe_bb70_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp75_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp74_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp78_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp7179_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i);
  *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp7179_2e_i_2e_i_2e_i_2e_i)].field0)) = llvm_cbe_tmp75_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp7179_2e_i_2e_i_2e_i_2e_i)].field1)) = llvm_cbe_tmp78_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp193_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field0.field0.field0);
  llvm_cbe_tmp196_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field0.field0.field1);
  llvm_cbe_tmp202_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field0.field1.field0);
  llvm_cbe_tmp205_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field0.field1.field1);
  llvm_cbe_tmp225_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field0);
  llvm_cbe_tmp238_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field1.field0);
  llvm_cbe_tmp241_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field1.field1);
  llvm_cbe_tmp256_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field2.field0);
  llvm_cbe_tmp259_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field2.field2.field1);
  llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i364_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i60_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i104_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i202_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i247_2e_i_2e_i_2e_i_2e_i_2e_5;   /* for PHI node */
  llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i153_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
  llvm_cbe_minArea_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_storemerge48_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb265_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb64.i.i.i.i' to make GCC happy */
llvm_cbe_bb64_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb42_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb70_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb42_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i)].field1));
  *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i)].field0)) = llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp4546_2e_i_2e_i_2e_i_2e_i)].field1)) = llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp63_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp63_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb64_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb64.i.i.i.i' */
  do {     /* Syntactic loop 'bb29.i.i.i.i' to make GCC happy */
llvm_cbe_bb29_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb64_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb29_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb29.i.i.i.i' */
llvm_cbe__ZL15ComputeCentroidPK6b2Vec2i_2e_exit_2e_i_2e_i_2e_i:
  llvm_cbe_tmp137_2e_i362_2e_i_2e_i_2e_i = ((float )(0x1p+0 / llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0));
  llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781782783_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp146_2e_i383_2e_i_2e_i_2e_i774__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 * llvm_cbe_tmp137_2e_i362_2e_i_2e_i_2e_i))), llvm_cbe_tmp146_2e_i383_2e_i_2e_i_2e_i774__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 * llvm_cbe_tmp137_2e_i362_2e_i_2e_i_2e_i))), llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field1.field0)) = ((llvm_cbe_tmp241_2e_i_2e_i_2e_i513__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781782783_2e_ins)), llvm_cbe_tmp241_2e_i_2e_i_2e_i513__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field1.field1)) = ((llvm_cbe_tmp244_2e_i_2e_i_2e_i517__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp149_2e_i385_2e_i_2e_i_2e_i781782783_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp244_2e_i_2e_i_2e_i517__BITCAST_TEMPORARY.Float));
  if ((((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i) > ((signed int )8u))) {
    goto llvm_cbe_bb_2e_i213_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp17_2e_i210_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 8ull;   /* for PHI node */
    goto llvm_cbe_bb29_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb126_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_fcmp_ule(llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0, 0x1p-23))) {
    goto llvm_cbe_bb131_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZL15ComputeCentroidPK6b2Vec2i_2e_exit_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb120.i358.i.i.i' to make GCC happy */
llvm_cbe_bb120_2e_i358_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 = llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 = llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp231_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb18_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb126_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb56_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp60_2e_i295_2e_i_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i->field0));
  llvm_cbe_tmp63_2e_i298_2e_i_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851852853_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i278_2e_i_2e_i_2e_i_2e_i844__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp31_2e_i274_2e_i_2e_i_2e_i - 0x0p+0))), llvm_cbe_tmp23_2e_i278_2e_i_2e_i_2e_i_2e_i844__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp34_2e_i277_2e_i_2e_i_2e_i - 0x0p+0))), llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837838839_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i229_2e_i_2e_i_2e_i_2e_i830__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp60_2e_i295_2e_i_2e_i_2e_i - 0x0p+0))), llvm_cbe_tmp23_2e_i229_2e_i_2e_i_2e_i_2e_i830__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp63_2e_i298_2e_i_2e_i_2e_i - 0x0p+0))), llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp88_2e_i312_2e_i_2e_i_2e_i = ((float )((((float )((((float )(((llvm_cbe_tmp74_2e_i302_2e_i_2e_i_2e_i737__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851852853_2e_ins)), llvm_cbe_tmp74_2e_i302_2e_i_2e_i_2e_i737__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp85_2e_i310_2e_i_2e_i_2e_i748__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837838839_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp85_2e_i310_2e_i_2e_i_2e_i748__BITCAST_TEMPORARY.Float))))) - (((float )(((llvm_cbe_tmp77_2e_i305_2e_i_2e_i_2e_i741__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851852853_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp77_2e_i305_2e_i_2e_i_2e_i741__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp82_2e_i307_2e_i_2e_i_2e_i744__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837838839_2e_ins)), llvm_cbe_tmp82_2e_i307_2e_i_2e_i_2e_i744__BITCAST_TEMPORARY.Float)))))))) * 0x1p-1));
  llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0 + llvm_cbe_tmp88_2e_i312_2e_i_2e_i_2e_i));
  llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823824825_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i162_2e_i_2e_i_2e_i_2e_i816__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp31_2e_i274_2e_i_2e_i_2e_i + 0x0p+0))), llvm_cbe_tmp23_2e_i162_2e_i_2e_i_2e_i_2e_i816__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp34_2e_i277_2e_i_2e_i_2e_i + 0x0p+0))), llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809810811_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i118_2e_i_2e_i_2e_i_2e_i802__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp96_2e_i316_2e_i_2e_i_2e_i751__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823824825_2e_ins)), llvm_cbe_tmp96_2e_i316_2e_i_2e_i_2e_i751__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp60_2e_i295_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i118_2e_i_2e_i_2e_i_2e_i802__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp99_2e_i319_2e_i_2e_i_2e_i755__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823824825_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp99_2e_i319_2e_i_2e_i_2e_i755__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp63_2e_i298_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp109_2e_i329_2e_i_2e_i_2e_i = ((float )(llvm_cbe_tmp88_2e_i312_2e_i_2e_i_2e_i * 0x1.555556p-2));
  llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795796797_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i_2e_i338_2e_i_2e_i_2e_i788__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp104_2e_i327_2e_i_2e_i_2e_i758__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809810811_2e_ins)), llvm_cbe_tmp104_2e_i327_2e_i_2e_i_2e_i758__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp109_2e_i329_2e_i_2e_i_2e_i))), llvm_cbe_tmp19_2e_i_2e_i338_2e_i_2e_i_2e_i788__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i762__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809810811_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i762__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp109_2e_i329_2e_i_2e_i_2e_i))), llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i54_2e_i_2e_i_2e_i_2e_i = ((float )(llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0 + ((llvm_cbe_tmp114_2e_i351_2e_i_2e_i_2e_i765__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795796797_2e_ins)), llvm_cbe_tmp114_2e_i351_2e_i_2e_i_2e_i765__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i_2e_i354_2e_i_2e_i_2e_i = ((float )(llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0 + ((llvm_cbe_tmp117_2e_i352_2e_i_2e_i_2e_i769__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795796797_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp117_2e_i352_2e_i_2e_i_2e_i769__BITCAST_TEMPORARY.Float))));
  llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i341_2e_i_2e_i_2e_i795796797_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i121_2e_i_2e_i_2e_i_2e_i809810811_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i165_2e_i_2e_i_2e_i_2e_i823824825_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i232_2e_i_2e_i_2e_i_2e_i837838839_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i281_2e_i_2e_i_2e_i_2e_i851852853_2e_ins;   /* for PHI node */
  llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i54_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i_2e_i354_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp91_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp42_2e_i285_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb120_2e_i358_2e_i_2e_i_2e_i;

llvm_cbe_bb18_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp2627_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i);
  llvm_cbe_tmp31_2e_i274_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )llvm_cbe_tmp2627_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp34_2e_i277_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )llvm_cbe_tmp2627_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp42_2e_i285_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i + 1u;
  if ((((signed int )llvm_cbe_tmp42_2e_i285_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp231_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp234_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb56_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp52_2e_i291_2e_i_2e_i_2e_i = (&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp42_2e_i285_2e_i_2e_i_2e_i)))]);
  llvm_cbe_storemerge_2e_i292_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i291_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb56_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb120.i358.i.i.i' */
llvm_cbe_bb228_2e_i_2e_i_2e_i:
  llvm_cbe_tmp231_2e_i_2e_i_2e_i = *llvm_cbe_tmp100_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp231_2e_i_2e_i_2e_i) < ((signed int )3u))) {
    goto llvm_cbe_bb_2e_i263_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i238_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i85_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i129_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i196_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_i_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    llvm_cbe_c_2e_i_2e_i_2e_i_2e_i_2e_1_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    llvm_cbe_area_2e_i248_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    llvm_cbe_storemerge1_2e_i357_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb120_2e_i358_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb220.i.i.i' to make GCC happy */
llvm_cbe_bb220_2e_i_2e_i_2e_i:
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge5_2e_i_2e_i_2e_i = llvm_cbe_storemerge5_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp223_2e_i_2e_i_2e_i = *llvm_cbe_tmp103_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge5_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb156_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb228_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb198_2e_i_2e_i_2e_i:
  llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865866867_2e_ins = llvm_cbe_tmp189_2e_i_2e_i_2e_i501 | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp186_2e_i_2e_i_2e_i499 * -0x1p+0))), llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp172175_2e_i_2e_i_2e_i)].field0)) = ((llvm_cbe_tmp208_2e_i_2e_i_2e_i506__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865866867_2e_ins)), llvm_cbe_tmp208_2e_i_2e_i_2e_i506__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp172175_2e_i_2e_i_2e_i)].field1)) = ((llvm_cbe_tmp211_2e_i_2e_i_2e_i510__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865866867_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp211_2e_i_2e_i_2e_i510__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp217_2e_i_2e_i_2e_i = _ZN6b2Vec29NormalizeEv(((&llvm_cbe_tmp3536_2e_i_2e_i->field4[((signed long long )llvm_cbe_tmp172175_2e_i_2e_i_2e_i)])));
  llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879880881_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i438_2e_i_2e_i_2e_i865866867_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge5_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp159_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb220_2e_i_2e_i_2e_i;

llvm_cbe_bb170_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge4_2e_i_2e_i_2e_i = llvm_cbe_storemerge4_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp172175_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge5_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i474_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_storemerge4_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp6_2e_i477_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp172175_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp10_2e_i481_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_storemerge4_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp13_2e_i484_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp172175_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879880881_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i500_2e_i_2e_i_2e_i872__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i481_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i484_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i500_2e_i_2e_i_2e_i872__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i474_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i477_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp186_2e_i_2e_i_2e_i499 = (llvm_cbe_tmp186_2e_i_2e_i_2e_i499__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879880881_2e_ins)), llvm_cbe_tmp186_2e_i_2e_i_2e_i499__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp189_2e_i_2e_i_2e_i501 = ((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i503_2e_i_2e_i_2e_i879880881_2e_ins) >> ((unsigned long long )32ull)));
  llvm_cbe_tmp189_2e_i_2e_i_2e_i503 = (llvm_cbe_tmp189_2e_i_2e_i_2e_i503__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp189_2e_i_2e_i_2e_i501)), llvm_cbe_tmp189_2e_i_2e_i_2e_i503__BITCAST_TEMPORARY.Float);
  if ((llvm_fcmp_ule((((float )((((float )(llvm_cbe_tmp186_2e_i_2e_i_2e_i499 * llvm_cbe_tmp186_2e_i_2e_i_2e_i499))) + (((float )(llvm_cbe_tmp189_2e_i_2e_i_2e_i503 * llvm_cbe_tmp189_2e_i_2e_i_2e_i503)))))), 0x1p-46))) {
    goto llvm_cbe_bb194_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb198_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb156_2e_i_2e_i_2e_i:
  llvm_cbe_tmp159_2e_i_2e_i_2e_i = llvm_cbe_storemerge5_2e_i_2e_i_2e_i + 1u;
  if ((((signed int )llvm_cbe_tmp159_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp223_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb166_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge4_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0ull;   /* for PHI node */
    goto llvm_cbe_bb170_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb166_2e_i_2e_i_2e_i:
  llvm_cbe_phitmp1435 = ((signed long long )(signed int )llvm_cbe_tmp159_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge4_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_phitmp1435;   /* for PHI node */
  goto llvm_cbe_bb170_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb220.i.i.i' */
  do {     /* Syntactic loop 'bb147.i.i.i' to make GCC happy */
llvm_cbe_bb147_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge3_2e_i_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp101_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge3_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb122_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i467_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i405_2e_i_2e_i_2e_i_2e_4;   /* for PHI node */
    llvm_cbe_storemerge5_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb220_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb122_2e_i_2e_i_2e_i:
  llvm_cbe_tmp124127_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge3_2e_i_2e_i_2e_i);
  llvm_cbe_tmp131_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )llvm_cbe_tmp124127_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp134_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9798_2e_i_2e_i_2e_i->field1[((signed long long )llvm_cbe_tmp124127_2e_i_2e_i_2e_i)].field1));
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp124127_2e_i_2e_i_2e_i)].field0)) = llvm_cbe_tmp131_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field3[((signed long long )llvm_cbe_tmp124127_2e_i_2e_i_2e_i)].field1)) = llvm_cbe_tmp134_2e_i_2e_i_2e_i;
  llvm_cbe_tmp146_2e_i_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i_2e_i + 1u;
  llvm_cbe_storemerge3_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp146_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb147_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb147.i.i.i' */
llvm_cbe_bb93_2e_i_2e_i_2e_i:
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field1)) = 1u;
  llvm_cbe_tmp101_2e_i_2e_i_2e_i = *llvm_cbe_tmp100_2e_i_2e_i_2e_i;
  llvm_cbe_tmp103_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3536_2e_i_2e_i->field6);
  *llvm_cbe_tmp103_2e_i_2e_i_2e_i = llvm_cbe_tmp101_2e_i_2e_i_2e_i;
  if ((((unsigned int )(llvm_cbe_tmp101_2e_i_2e_i_2e_i + 4294967293u)) > ((unsigned int )5u))) {
    goto llvm_cbe_bb117_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge3_2e_i_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb147_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb81_2e_i_2e_i_2e_i:
  llvm_cbe_tmp85_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i_2e_i326;
  if ((llvm_cbe_tmp85_2e_i_2e_i_2e_i == 1u)) {
    goto llvm_cbe_bb93_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb89_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb70.i.i.i' to make GCC happy */
llvm_cbe_bb70_2e_i_2e_i_2e_i:
  llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp75_2e_i_2e_i_2e_i = llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp75_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb81_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb70_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb70.i.i.i' */
  do {     /* Syntactic loop 'bb53.i.i.i' to make GCC happy */
llvm_cbe_bb53_2e_i_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp58_2e_i_2e_i_2e_i = llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp58_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 7ull;   /* for PHI node */
    goto llvm_cbe_bb70_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp58_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb53_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb53.i.i.i' */
  do {     /* Syntactic loop 'bb.i.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp42_2e_i_2e_i_2e_i = llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp42_2e_i_2e_i_2e_i == 18446744073709551615ull)) {
    llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 7ull;   /* for PHI node */
    goto llvm_cbe_bb53_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp42_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i.i' */
llvm_cbe_bb41_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp33_2e_i_2e_i)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i_2e_i328;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp8_2e_i_2e_i_2e_i330;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp10_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i_2e_i332;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i_2e_i_2e_i334;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field5)) = llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field4)) = 0x0p+0;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Shape *)/*NULL*/0);
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field8)) = ((unsigned short )-1);
  llvm_cbe_tmp37_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp15_2e_i_2e_i_2e_i336;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field9.field0)) = llvm_cbe_tmp37_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i_2e_i338;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field9.field1)) = llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp43_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp21_2e_i_2e_i_2e_i340;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field9.field2)) = llvm_cbe_tmp43_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i_2e_i342;
  *((&llvm_cbe_tmp3536_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp33_2e_i_2e_i)) = ((&_ZTV14b2PolygonShape[((signed long long )2ull)]));
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 7ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb70' */
llvm_cbe_bb76:
  llvm_cbe_tmp79 = *llvm_cbe_tmp41;
  llvm_cbe_tmp7_2e_i = (&llvm_cbe_tmp79->field8);
  llvm_cbe_tmp8_2e_i24 = *llvm_cbe_tmp7_2e_i;
  llvm_cbe_tmp10_2e_i26 = *((&llvm_cbe_tmp8_2e_i24->field2));
  if ((llvm_cbe_tmp10_2e_i26 == ((unsigned char )0))) {
    goto llvm_cbe_bb21_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i27;
  }

llvm_cbe_bb_2e_i27:
  __assert_fail(((&_2E_str146[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 240u, ((&_ZZN6b2Body17SetMassFromShapesEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb21_2e_i:
  llvm_cbe_tmp23_2e_i = (&llvm_cbe_tmp79->field15);
  llvm_cbe_tmp25_2e_i = (&llvm_cbe_tmp79->field16);
  llvm_cbe_tmp27_2e_i = (&llvm_cbe_tmp79->field17);
  llvm_cbe_tmp29_2e_i = (&llvm_cbe_tmp79->field18);
  llvm_cbe_tmp37_2e_i = (&llvm_cbe_tmp79->field11);
  llvm_cbe_tmp50_2e_i = (&llvm_cbe_massData_2e_i.field0);
  llvm_cbe_tmp2_2e_i17_2e_i = (&llvm_cbe_massData_2e_i.field1.field1);
  llvm_cbe_tmp7_2e_i21_2e_i = (&llvm_cbe_massData_2e_i.field1.field0);
  llvm_cbe_tmp69_2e_i = (&llvm_cbe_massData_2e_i.field2);
  ltmp_10_1 = memset((((unsigned char *)llvm_cbe_tmp23_2e_i)), (((unsigned int )(unsigned char )((unsigned char )0))), 16ull);
  llvm_cbe_tmp102_2e_i_2e_rle1433__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_tmp85_2e_i_2e_rle__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_center_2e_i_2e_0_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_center_2e_i_2e_1_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp37_2e_i;   /* for PHI node */
  goto llvm_cbe_bb77_2e_i;

  do {     /* Syntactic loop 'bb77.i' to make GCC happy */
llvm_cbe_bb77_2e_i:
  llvm_cbe_tmp102_2e_i_2e_rle1433 = llvm_cbe_tmp102_2e_i_2e_rle1433__PHI_TEMPORARY;
  llvm_cbe_tmp85_2e_i_2e_rle = llvm_cbe_tmp85_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_center_2e_i_2e_0_2e_1 = llvm_cbe_center_2e_i_2e_0_2e_1__PHI_TEMPORARY;
  llvm_cbe_center_2e_i_2e_1_2e_1 = llvm_cbe_center_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_in_2e_i = llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i = *llvm_cbe_storemerge_2e_in_2e_i;
  if ((llvm_cbe_storemerge_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb82_2e_i;
  } else {
    goto llvm_cbe_bb39_2e_i;
  }

llvm_cbe_bb39_2e_i:
  llvm_cbe_tmp42_2e_i = *((&llvm_cbe_storemerge_2e_i->field0));
  llvm_cbe_tmp44_2e_i = *((&llvm_cbe_tmp42_2e_i[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2MassData *))llvm_cbe_tmp44_2e_i))(llvm_cbe_storemerge_2e_i, (&llvm_cbe_massData_2e_i));
  llvm_cbe_tmp49_2e_i = *llvm_cbe_tmp23_2e_i;
  llvm_cbe_tmp51_2e_i = *llvm_cbe_tmp50_2e_i;
  llvm_cbe_tmp52_2e_i = ((float )(llvm_cbe_tmp49_2e_i + llvm_cbe_tmp51_2e_i));
  *llvm_cbe_tmp23_2e_i = llvm_cbe_tmp52_2e_i;
  llvm_cbe_tmp56_2e_i = *llvm_cbe_tmp50_2e_i;
  llvm_cbe_tmp3_2e_i18_2e_i = *llvm_cbe_tmp2_2e_i17_2e_i;
  llvm_cbe_tmp8_2e_i_2e_i = *llvm_cbe_tmp7_2e_i21_2e_i;
  llvm_cbe_tmp22_2e_i_2e_i494495496_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i34_2e_i487__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i_2e_i * llvm_cbe_tmp56_2e_i))), llvm_cbe_tmp19_2e_i34_2e_i487__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i_2e_i494__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i18_2e_i * llvm_cbe_tmp56_2e_i))), llvm_cbe_tmp22_2e_i_2e_i494__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i47_2e_i = ((float )(llvm_cbe_center_2e_i_2e_0_2e_1 + ((llvm_cbe_tmp62_2e_i471__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i_2e_i494495496_2e_ins)), llvm_cbe_tmp62_2e_i471__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i56_2e_i = ((float )(llvm_cbe_center_2e_i_2e_1_2e_1 + ((llvm_cbe_tmp65_2e_i475__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i_2e_i494495496_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp65_2e_i475__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp68_2e_i = *llvm_cbe_tmp27_2e_i;
  llvm_cbe_tmp70_2e_i = *llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp71_2e_i = ((float )(llvm_cbe_tmp68_2e_i + llvm_cbe_tmp70_2e_i));
  *llvm_cbe_tmp27_2e_i = llvm_cbe_tmp71_2e_i;
  llvm_cbe_tmp75_2e_i = (&llvm_cbe_storemerge_2e_i->field2);
  llvm_cbe_tmp102_2e_i_2e_rle1433__PHI_TEMPORARY = llvm_cbe_tmp71_2e_i;   /* for PHI node */
  llvm_cbe_tmp85_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i;   /* for PHI node */
  llvm_cbe_center_2e_i_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i47_2e_i;   /* for PHI node */
  llvm_cbe_center_2e_i_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i56_2e_i;   /* for PHI node */
  llvm_cbe_storemerge_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp75_2e_i;   /* for PHI node */
  goto llvm_cbe_bb77_2e_i;

  } while (1); /* end of syntactic loop 'bb77.i' */
llvm_cbe_bb82_2e_i:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp85_2e_i_2e_rle, 0x0p+0))) {
    goto llvm_cbe_bb89_2e_i;
  } else {
    llvm_cbe_center_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_center_2e_i_2e_0_2e_1;   /* for PHI node */
    llvm_cbe_center_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_center_2e_i_2e_1_2e_1;   /* for PHI node */
    goto llvm_cbe_bb99_2e_i;
  }

llvm_cbe_bb89_2e_i:
  llvm_cbe_tmp93_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp85_2e_i_2e_rle));
  *llvm_cbe_tmp25_2e_i = llvm_cbe_tmp93_2e_i;
  llvm_cbe_tmp4_2e_i82_2e_i = ((float )(llvm_cbe_center_2e_i_2e_0_2e_1 * llvm_cbe_tmp93_2e_i));
  llvm_cbe_tmp11_2e_i89_2e_i = ((float )(llvm_cbe_center_2e_i_2e_1_2e_1 * llvm_cbe_tmp93_2e_i));
  llvm_cbe_center_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i82_2e_i;   /* for PHI node */
  llvm_cbe_center_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i89_2e_i;   /* for PHI node */
  goto llvm_cbe_bb99_2e_i;

llvm_cbe_bb99_2e_i:
  llvm_cbe_center_2e_i_2e_0_2e_0 = llvm_cbe_center_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_center_2e_i_2e_1_2e_0 = llvm_cbe_center_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_ule(llvm_cbe_tmp102_2e_i_2e_rle1433, 0x0p+0))) {
    goto llvm_cbe_bb144_2e_i;
  } else {
    goto llvm_cbe_bb106_2e_i;
  }

llvm_cbe_bb106_2e_i:
  llvm_cbe_tmp109_2e_i = *((&llvm_cbe_tmp79->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp109_2e_i)) & 64u) == 0u)) {
    goto llvm_cbe_bb115_2e_i;
  } else {
    goto llvm_cbe_bb144_2e_i;
  }

llvm_cbe_bb115_2e_i:
  llvm_cbe_tmp124_2e_i = ((float )(llvm_cbe_tmp102_2e_i_2e_rle1433 - (((float )(llvm_cbe_tmp85_2e_i_2e_rle * (((float )((((float )(llvm_cbe_center_2e_i_2e_0_2e_0 * llvm_cbe_center_2e_i_2e_0_2e_0))) + (((float )(llvm_cbe_center_2e_i_2e_1_2e_0 * llvm_cbe_center_2e_i_2e_1_2e_0)))))))))));
  *llvm_cbe_tmp27_2e_i = llvm_cbe_tmp124_2e_i;
  if ((llvm_fcmp_ule(llvm_cbe_tmp124_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb133_2e_i;
  } else {
    goto llvm_cbe_bb137_2e_i;
  }

llvm_cbe_bb133_2e_i:
  __assert_fail(((&_2E_str3149[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 273u, ((&_ZZN6b2Body17SetMassFromShapesEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb137_2e_i:
  llvm_cbe_tmp141_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp124_2e_i));
  llvm_cbe_storemerge1437__PHI_TEMPORARY = llvm_cbe_tmp141_2e_i;   /* for PHI node */
  goto llvm_cbe_bb149_2e_i;

llvm_cbe_bb144_2e_i:
  *llvm_cbe_tmp27_2e_i = 0x0p+0;
  llvm_cbe_storemerge1437__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb149_2e_i;

llvm_cbe_bb149_2e_i:
  llvm_cbe_storemerge1437 = llvm_cbe_storemerge1437__PHI_TEMPORARY;
  *llvm_cbe_tmp29_2e_i = llvm_cbe_storemerge1437;
  *((&llvm_cbe_tmp79->field3.field0.field0)) = llvm_cbe_center_2e_i_2e_0_2e_0;
  *((&llvm_cbe_tmp79->field3.field0.field1)) = llvm_cbe_center_2e_i_2e_1_2e_0;
  llvm_cbe_tmp161_2e_i = (&llvm_cbe_tmp79->field3.field0);
  llvm_cbe_tmp163_2e_i = (&llvm_cbe_tmp79->field2);
  llvm_cbe_tmp164_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp163_2e_i, llvm_cbe_tmp161_2e_i);
  llvm_cbe_tmp171_2e_i478 = (llvm_cbe_tmp171_2e_i478__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp164_2e_i)), llvm_cbe_tmp171_2e_i478__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_tmp79->field3.field2.field0)) = llvm_cbe_tmp171_2e_i478;
  llvm_cbe_tmp174_2e_i482 = (llvm_cbe_tmp174_2e_i482__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp164_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp174_2e_i482__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_tmp79->field3.field2.field1)) = llvm_cbe_tmp174_2e_i482;
  *((&llvm_cbe_tmp79->field3.field1.field0)) = llvm_cbe_tmp171_2e_i478;
  *((&llvm_cbe_tmp79->field3.field1.field1)) = llvm_cbe_tmp174_2e_i482;
  llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp37_2e_i;   /* for PHI node */
  goto llvm_cbe_bb210_2e_i;

  do {     /* Syntactic loop 'bb210.i' to make GCC happy */
llvm_cbe_bb210_2e_i:
  llvm_cbe_storemerge2_2e_in_2e_i = llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i = *llvm_cbe_storemerge2_2e_in_2e_i;
  if ((llvm_cbe_storemerge2_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb215_2e_i;
  } else {
    goto llvm_cbe_bb196_2e_i;
  }

llvm_cbe_bb196_2e_i:
  llvm_cbe_tmp199_2e_i = *((&llvm_cbe_storemerge2_2e_i->field0));
  llvm_cbe_tmp201_2e_i = *((&llvm_cbe_tmp199_2e_i[((signed long long )7ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Vec2 *))llvm_cbe_tmp201_2e_i))(llvm_cbe_storemerge2_2e_i, llvm_cbe_tmp161_2e_i);
  llvm_cbe_tmp208_2e_i = (&llvm_cbe_storemerge2_2e_i->field2);
  llvm_cbe_storemerge2_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp208_2e_i;   /* for PHI node */
  goto llvm_cbe_bb210_2e_i;

  } while (1); /* end of syntactic loop 'bb210.i' */
llvm_cbe_bb215_2e_i:
  llvm_cbe_tmp217_2e_i = (&llvm_cbe_tmp79->field1);
  llvm_cbe_tmp218_2e_i = *llvm_cbe_tmp217_2e_i;
  llvm_cbe_tmp221_2e_i = *llvm_cbe_tmp25_2e_i;
  if ((llvm_fcmp_une(llvm_cbe_tmp221_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb235_2e_i;
  } else {
    goto llvm_cbe_bb225_2e_i;
  }

llvm_cbe_bb225_2e_i:
  llvm_cbe_tmp228_2e_i = *llvm_cbe_tmp29_2e_i;
  if ((llvm_fcmp_une(llvm_cbe_tmp228_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb235_2e_i;
  } else {
    llvm_cbe_storemerge1438__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    llvm_cbe_tmp241_2e_i_2e_rle__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    goto llvm_cbe_bb238_2e_i;
  }

llvm_cbe_bb235_2e_i:
  llvm_cbe_storemerge1438__PHI_TEMPORARY = ((unsigned short )1);   /* for PHI node */
  llvm_cbe_tmp241_2e_i_2e_rle__PHI_TEMPORARY = ((unsigned short )1);   /* for PHI node */
  goto llvm_cbe_bb238_2e_i;

llvm_cbe_bb238_2e_i:
  llvm_cbe_storemerge1438 = llvm_cbe_storemerge1438__PHI_TEMPORARY;
  llvm_cbe_tmp241_2e_i_2e_rle = llvm_cbe_tmp241_2e_i_2e_rle__PHI_TEMPORARY;
  *llvm_cbe_tmp217_2e_i = llvm_cbe_storemerge1438;
  if ((llvm_cbe_tmp241_2e_i_2e_rle == llvm_cbe_tmp218_2e_i)) {
    goto llvm_cbe_bb80;
  } else {
    llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp37_2e_i;   /* for PHI node */
    goto llvm_cbe_bb262_2e_i;
  }

  do {     /* Syntactic loop 'bb262.i' to make GCC happy */
llvm_cbe_bb262_2e_i:
  llvm_cbe_storemerge3_2e_in_2e_i = llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_i = *llvm_cbe_storemerge3_2e_in_2e_i;
  if ((llvm_cbe_storemerge3_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe_bb80;
  } else {
    goto llvm_cbe_bb250_2e_i;
  }

llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i:
  llvm_cbe_tmp260_2e_i = (&llvm_cbe_storemerge3_2e_i->field2);
  llvm_cbe_storemerge3_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp260_2e_i;   /* for PHI node */
  goto llvm_cbe_bb262_2e_i;

llvm_cbe_bb250_2e_i:
  llvm_cbe_tmp255_2e_i = *llvm_cbe_tmp7_2e_i;
  llvm_cbe_tmp257_2e_i = *((&llvm_cbe_tmp255_2e_i->field3));
  llvm_cbe_tmp1_2e_i13_2e_i = (&llvm_cbe_storemerge3_2e_i->field8);
  llvm_cbe_tmp2_2e_i_2e_i31 = *llvm_cbe_tmp1_2e_i13_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i31 == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb22_2e_i_2e_i:
  llvm_cbe_tmp26_2e_i_2e_i = _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(llvm_cbe_tmp257_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), (((unsigned char *)llvm_cbe_storemerge3_2e_i)));
  *llvm_cbe_tmp1_2e_i13_2e_i = llvm_cbe_tmp26_2e_i_2e_i;
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

llvm_cbe_bb_2e_i_2e_i:
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp257_2e_i, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i_2e_i31)));
  llvm_cbe_tmp12_2e_i_2e_i = *((&llvm_cbe_storemerge3_2e_i->field0));
  llvm_cbe_tmp14_2e_i_2e_i = *((&llvm_cbe_tmp12_2e_i_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp14_2e_i_2e_i))(llvm_cbe_storemerge3_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), llvm_cbe_tmp163_2e_i);
  llvm_cbe_tmp19_2e_i_2e_i = _ZNK12b2BroadPhase7InRangeERK6b2AABB(llvm_cbe_tmp257_2e_i, (&llvm_cbe_aabb_2e_i_2e_i));
  if ((llvm_cbe_tmp19_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb29_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb22_2e_i_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i13_2e_i = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

  } while (1); /* end of syntactic loop 'bb262.i' */
llvm_cbe_bb80:
  llvm_cbe_tmp82 = _ZN6Stroke9transformEv(llvm_cbe_this);
  return;
llvm_cbe_return:
  return;
}


static struct l_struct_2E_b2Body *_ZN7b2World10CreateBodyEPK9b2BodyDef(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2BodyDef *llvm_cbe_def) {
  float llvm_cbe_tmp235_2e_i_2e_rle_2e_reg2mem;    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp3;
  unsigned char llvm_cbe_tmp4;
  unsigned char *llvm_cbe_tmp17;
  struct l_struct_2E_b2Body *llvm_cbe_tmp1920;
  unsigned char llvm_cbe_tmp14_2e_i;
  unsigned short *llvm_cbe_tmp20_2e_i;
  unsigned char llvm_cbe_tmp23_2e_i;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle15;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle15__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp35_2e_i;
  unsigned short llvm_cbe_tmp41_2e_i;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle14;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle14__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp47_2e_i;
  unsigned short llvm_cbe_tmp53_2e_i;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle;
  unsigned short llvm_cbe_tmp64_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp59_2e_i;
  float llvm_cbe_tmp76_2e_i;
  float llvm_cbe_tmp79_2e_i;
  float *llvm_cbe_tmp90_2e_i;
  float llvm_cbe_tmp91_2e_i;
  float llvm_cbe_tmp1_2e_i31_2e_i;
  float llvm_cbe_tmp3_2e_i33_2e_i;
  float llvm_cbe_tmp100_2e_i;
  float llvm_cbe_tmp103_2e_i;
  float llvm_cbe_tmp118_2e_i;
  unsigned long long llvm_cbe_tmp134_2e_i;
  float llvm_cbe_tmp141_2e_i4;
  llvmBitCastUnion llvm_cbe_tmp141_2e_i4__BITCAST_TEMPORARY;
  float llvm_cbe_tmp144_2e_i8;
  llvmBitCastUnion llvm_cbe_tmp144_2e_i8__BITCAST_TEMPORARY;
  float llvm_cbe_tmp173_2e_i;
  float llvm_cbe_tmp178_2e_i;
  float *llvm_cbe_tmp192_2e_i;
  float *llvm_cbe_tmp194_2e_i;
  float *llvm_cbe_tmp196_2e_i;
  float llvm_cbe_tmp200_2e_i;
  float llvm_cbe_tmp213_2e_i;
  bool llvm_cbe_tmp249_2e_i_2e_rle11;
  bool llvm_cbe_tmp249_2e_i_2e_rle11__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp219_2e_i;
  float llvm_cbe_tmp229_2e_i;
  float llvm_cbe_tmp235_2e_i_2e_rle_2e_reload;
  float llvm_cbe_tmp243_2e_i;
  bool llvm_cbe_tmp256_2e_i_2e_rle;
  bool llvm_cbe_tmp256_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp269_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp43;
  struct l_struct_2E_b2Body *llvm_cbe_tmp44;
  struct l_struct_2E_b2Body *llvm_cbe_tmp49;
  unsigned int *llvm_cbe_tmp64;
  unsigned int llvm_cbe_tmp65;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  if ((llvm_cbe_tmp4 == ((unsigned char )0))) {
    goto llvm_cbe_bb14;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str10163[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 99u, ((&_ZZN7b2World10CreateBodyEPK9b2BodyDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb14:
  llvm_cbe_tmp17 = _ZN16b2BlockAllocator8AllocateEi(((&llvm_cbe_this->field0)), 184u);
  llvm_cbe_tmp1920 = ((struct l_struct_2E_b2Body *)llvm_cbe_tmp17);
  if ((llvm_cbe_tmp17 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb38;
  } else {
    goto llvm_cbe_bb25;
  }

llvm_cbe_bb25:
  llvm_cbe_tmp14_2e_i = *llvm_cbe_tmp3;
  if ((llvm_cbe_tmp14_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb18_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str2148[((signed long long )0ull)])), ((&_2E_str1147[((signed long long )0ull)])), 26u, ((&_ZZN6b2BodyC4EPK9b2BodyDefP7b2WorldE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i:
  llvm_cbe_tmp20_2e_i = ((unsigned short *)llvm_cbe_tmp17);
  *llvm_cbe_tmp20_2e_i = ((unsigned short )0);
  llvm_cbe_tmp23_2e_i = *((&llvm_cbe_def->field9));
  if ((llvm_cbe_tmp23_2e_i == ((unsigned char )0))) {
    llvm_cbe_tmp64_2e_i_2e_rle15__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    goto llvm_cbe_bb32_2e_i;
  } else {
    goto llvm_cbe_bb25_2e_i;
  }

llvm_cbe_bb25_2e_i:
  *llvm_cbe_tmp20_2e_i = ((unsigned short )32);
  llvm_cbe_tmp64_2e_i_2e_rle15__PHI_TEMPORARY = ((unsigned short )32);   /* for PHI node */
  goto llvm_cbe_bb32_2e_i;

llvm_cbe_bb32_2e_i:
  llvm_cbe_tmp64_2e_i_2e_rle15 = llvm_cbe_tmp64_2e_i_2e_rle15__PHI_TEMPORARY;
  llvm_cbe_tmp35_2e_i = *((&llvm_cbe_def->field8));
  if ((llvm_cbe_tmp35_2e_i == ((unsigned char )0))) {
    llvm_cbe_tmp64_2e_i_2e_rle14__PHI_TEMPORARY = llvm_cbe_tmp64_2e_i_2e_rle15;   /* for PHI node */
    goto llvm_cbe_bb44_2e_i;
  } else {
    goto llvm_cbe_bb37_2e_i;
  }

llvm_cbe_bb37_2e_i:
  llvm_cbe_tmp41_2e_i = ((unsigned short )(llvm_cbe_tmp64_2e_i_2e_rle15 | ((unsigned short )64)));
  *llvm_cbe_tmp20_2e_i = llvm_cbe_tmp41_2e_i;
  llvm_cbe_tmp64_2e_i_2e_rle14__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i;   /* for PHI node */
  goto llvm_cbe_bb44_2e_i;

llvm_cbe_bb44_2e_i:
  llvm_cbe_tmp64_2e_i_2e_rle14 = llvm_cbe_tmp64_2e_i_2e_rle14__PHI_TEMPORARY;
  llvm_cbe_tmp47_2e_i = *((&llvm_cbe_def->field6));
  if ((llvm_cbe_tmp47_2e_i == ((unsigned char )0))) {
    llvm_cbe_tmp64_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp64_2e_i_2e_rle14;   /* for PHI node */
    goto llvm_cbe_bb56_2e_i;
  } else {
    goto llvm_cbe_bb49_2e_i;
  }

llvm_cbe_bb49_2e_i:
  llvm_cbe_tmp53_2e_i = ((unsigned short )(llvm_cbe_tmp64_2e_i_2e_rle14 | ((unsigned short )16)));
  *llvm_cbe_tmp20_2e_i = llvm_cbe_tmp53_2e_i;
  llvm_cbe_tmp64_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp53_2e_i;   /* for PHI node */
  goto llvm_cbe_bb56_2e_i;

llvm_cbe_bb56_2e_i:
  llvm_cbe_tmp64_2e_i_2e_rle = llvm_cbe_tmp64_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp59_2e_i = *((&llvm_cbe_def->field7));
  if ((llvm_cbe_tmp59_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb68_2e_i;
  } else {
    goto llvm_cbe_bb61_2e_i;
  }

llvm_cbe_bb61_2e_i:
  *llvm_cbe_tmp20_2e_i = (((unsigned short )(llvm_cbe_tmp64_2e_i_2e_rle | ((unsigned short )8))));
  goto llvm_cbe_bb68_2e_i;

llvm_cbe_bb68_2e_i:
  *((&llvm_cbe_tmp1920->field8)) = llvm_cbe_this;
  llvm_cbe_tmp76_2e_i = *((&llvm_cbe_def->field2.field0));
  llvm_cbe_tmp79_2e_i = *((&llvm_cbe_def->field2.field1));
  *((&llvm_cbe_tmp1920->field2.field0.field0)) = llvm_cbe_tmp76_2e_i;
  *((&llvm_cbe_tmp1920->field2.field0.field1)) = llvm_cbe_tmp79_2e_i;
  llvm_cbe_tmp90_2e_i = (&llvm_cbe_def->field3);
  llvm_cbe_tmp91_2e_i = *llvm_cbe_tmp90_2e_i;
  llvm_cbe_tmp1_2e_i31_2e_i = cosf(llvm_cbe_tmp91_2e_i);
  llvm_cbe_tmp3_2e_i33_2e_i = sinf(llvm_cbe_tmp91_2e_i);
  *((&llvm_cbe_tmp1920->field2.field1.field0.field0)) = llvm_cbe_tmp1_2e_i31_2e_i;
  *((&llvm_cbe_tmp1920->field2.field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i33_2e_i))));
  *((&llvm_cbe_tmp1920->field2.field1.field0.field1)) = llvm_cbe_tmp3_2e_i33_2e_i;
  *((&llvm_cbe_tmp1920->field2.field1.field1.field1)) = llvm_cbe_tmp1_2e_i31_2e_i;
  llvm_cbe_tmp100_2e_i = *((&llvm_cbe_def->field0.field1.field0));
  llvm_cbe_tmp103_2e_i = *((&llvm_cbe_def->field0.field1.field1));
  *((&llvm_cbe_tmp1920->field3.field0.field0)) = llvm_cbe_tmp100_2e_i;
  *((&llvm_cbe_tmp1920->field3.field0.field1)) = llvm_cbe_tmp103_2e_i;
  *((&llvm_cbe_tmp1920->field3.field5)) = 0x1p+0;
  llvm_cbe_tmp118_2e_i = *llvm_cbe_tmp90_2e_i;
  *((&llvm_cbe_tmp1920->field3.field4)) = llvm_cbe_tmp118_2e_i;
  *((&llvm_cbe_tmp1920->field3.field3)) = llvm_cbe_tmp118_2e_i;
  llvm_cbe_tmp134_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp1920->field2)), ((&llvm_cbe_tmp1920->field3.field0)));
  llvm_cbe_tmp141_2e_i4 = (llvm_cbe_tmp141_2e_i4__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp134_2e_i)), llvm_cbe_tmp141_2e_i4__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_tmp1920->field3.field2.field0)) = llvm_cbe_tmp141_2e_i4;
  llvm_cbe_tmp144_2e_i8 = (llvm_cbe_tmp144_2e_i8__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp134_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp144_2e_i8__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_tmp1920->field3.field2.field1)) = llvm_cbe_tmp144_2e_i8;
  *((&llvm_cbe_tmp1920->field3.field1.field0)) = llvm_cbe_tmp141_2e_i4;
  *((&llvm_cbe_tmp1920->field3.field1.field1)) = llvm_cbe_tmp144_2e_i8;
  *((&llvm_cbe_tmp1920->field13)) = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  *((&llvm_cbe_tmp1920->field14)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  *((&llvm_cbe_tmp1920->field9)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp1920->field10)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  llvm_cbe_tmp173_2e_i = *((&llvm_cbe_def->field4));
  *((&llvm_cbe_tmp1920->field19)) = llvm_cbe_tmp173_2e_i;
  llvm_cbe_tmp178_2e_i = *((&llvm_cbe_def->field5));
  *((&llvm_cbe_tmp1920->field20)) = llvm_cbe_tmp178_2e_i;
  *((&llvm_cbe_tmp1920->field6.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field6.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field7)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field4.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field4.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field5)) = 0x0p+0;
  *((&llvm_cbe_tmp1920->field21)) = 0x0p+0;
  llvm_cbe_tmp192_2e_i = (&llvm_cbe_tmp1920->field16);
  *llvm_cbe_tmp192_2e_i = 0x0p+0;
  llvm_cbe_tmp194_2e_i = (&llvm_cbe_tmp1920->field17);
  *llvm_cbe_tmp194_2e_i = 0x0p+0;
  llvm_cbe_tmp196_2e_i = (&llvm_cbe_tmp1920->field18);
  *llvm_cbe_tmp196_2e_i = 0x0p+0;
  llvm_cbe_tmp200_2e_i = *((&llvm_cbe_def->field0.field0));
  *((&llvm_cbe_tmp1920->field15)) = llvm_cbe_tmp200_2e_i;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp200_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb209_2e_i;
  } else {
    llvm_cbe_tmp249_2e_i_2e_rle11__PHI_TEMPORARY = 0;   /* for PHI node */
    goto llvm_cbe_bb216_2e_i;
  }

llvm_cbe_bb209_2e_i:
  llvm_cbe_tmp213_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp200_2e_i));
  *llvm_cbe_tmp192_2e_i = llvm_cbe_tmp213_2e_i;
  llvm_cbe_tmp249_2e_i_2e_rle11__PHI_TEMPORARY = (llvm_fcmp_une(llvm_cbe_tmp213_2e_i, 0x0p+0));   /* for PHI node */
  goto llvm_cbe_bb216_2e_i;

llvm_cbe_bb216_2e_i:
  llvm_cbe_tmp249_2e_i_2e_rle11 = ((llvm_cbe_tmp249_2e_i_2e_rle11__PHI_TEMPORARY)&1);
  llvm_cbe_tmp219_2e_i = *llvm_cbe_tmp20_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp219_2e_i)) & 64u) == 0u)) {
    goto llvm_cbe_bb225_2e_i;
  } else {
    goto llvm_cbe_bb232_2e_i_2e_thread;
  }

llvm_cbe_bb232_2e_i_2e_thread:
  *(&llvm_cbe_tmp235_2e_i_2e_rle_2e_reg2mem) = 0x0p+0;
  llvm_cbe_tmp256_2e_i_2e_rle__PHI_TEMPORARY = 0;   /* for PHI node */
  goto llvm_cbe_bb246_2e_i;

llvm_cbe_bb225_2e_i:
  llvm_cbe_tmp229_2e_i = *((&llvm_cbe_def->field0.field2));
  *llvm_cbe_tmp194_2e_i = llvm_cbe_tmp229_2e_i;
  *(&llvm_cbe_tmp235_2e_i_2e_rle_2e_reg2mem) = llvm_cbe_tmp229_2e_i;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp229_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb239_2e_i;
  } else {
    llvm_cbe_tmp256_2e_i_2e_rle__PHI_TEMPORARY = 0;   /* for PHI node */
    goto llvm_cbe_bb246_2e_i;
  }

llvm_cbe_bb239_2e_i:
  llvm_cbe_tmp235_2e_i_2e_rle_2e_reload = *(&llvm_cbe_tmp235_2e_i_2e_rle_2e_reg2mem);
  llvm_cbe_tmp243_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp235_2e_i_2e_rle_2e_reload));
  *llvm_cbe_tmp196_2e_i = llvm_cbe_tmp243_2e_i;
  llvm_cbe_tmp256_2e_i_2e_rle__PHI_TEMPORARY = (llvm_fcmp_une(llvm_cbe_tmp243_2e_i, 0x0p+0));   /* for PHI node */
  goto llvm_cbe_bb246_2e_i;

llvm_cbe_bb246_2e_i:
  llvm_cbe_tmp256_2e_i_2e_rle = ((llvm_cbe_tmp256_2e_i_2e_rle__PHI_TEMPORARY)&1);
  *((&llvm_cbe_tmp1920->field1)) = ((((((llvm_cbe_tmp249_2e_i_2e_rle11 | llvm_cbe_tmp256_2e_i_2e_rle)&1))) ? (((unsigned short )1)) : (((unsigned short )0))));
  llvm_cbe_tmp269_2e_i = *((&llvm_cbe_def->field1));
  *((&llvm_cbe_tmp1920->field22)) = llvm_cbe_tmp269_2e_i;
  *((&llvm_cbe_tmp1920->field11)) = ((struct l_struct_2E_b2Shape *)/*NULL*/0);
  *((&llvm_cbe_tmp1920->field12)) = 0u;
  goto llvm_cbe_bb38;

llvm_cbe_bb38:
  *((&llvm_cbe_tmp1920->field9)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  llvm_cbe_tmp43 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp44 = *llvm_cbe_tmp43;
  *((&llvm_cbe_tmp1920->field10)) = llvm_cbe_tmp44;
  llvm_cbe_tmp49 = *llvm_cbe_tmp43;
  if ((llvm_cbe_tmp49 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb53;
  }

llvm_cbe_bb53:
  *((&llvm_cbe_tmp49->field9)) = llvm_cbe_tmp1920;
  goto llvm_cbe_bb59;

llvm_cbe_bb59:
  *llvm_cbe_tmp43 = llvm_cbe_tmp1920;
  llvm_cbe_tmp64 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp65 = *llvm_cbe_tmp64;
  *llvm_cbe_tmp64 = (llvm_cbe_tmp65 + 1u);
  return llvm_cbe_tmp1920;
}


static float _ZN6Stroke10distanceToERK4Vec2(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_pt) {
  struct l_struct_2E_Rect llvm_cbe_s;    /* Address-exposed local */
  unsigned char llvm_cbe_tmp2;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i4;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i30;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i6_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i11_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i19;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i28;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i;
  float llvm_cbe_tmp13;
  float llvm_cbe_best_2e_0;
  unsigned int llvm_cbe_tmp22;
  float llvm_cbe_best_2e_1;
  float llvm_cbe_best_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i5;

  llvm_cbe_tmp2 = _ZN6Stroke9transformEv(llvm_cbe_this);
  llvm_cbe_tmp2_2e_i_2e_i4 = (&llvm_cbe_this->field5.field0.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field5.field0.field0);
  llvm_cbe_tmp4_2e_i_2e_i30 = (&llvm_cbe_s.field0.field0);
  llvm_cbe_tmp9_2e_i_2e_i = (&llvm_cbe_s.field0.field1);
  llvm_cbe_tmp4_2e_i6_2e_i = (&llvm_cbe_s.field1.field0);
  llvm_cbe_tmp9_2e_i11_2e_i = (&llvm_cbe_s.field1.field1);
  llvm_cbe_best_2e_1__PHI_TEMPORARY = 0x1.86ap+16;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb23;

  do {     /* Syntactic loop 'bb23' to make GCC happy */
llvm_cbe_bb23:
  llvm_cbe_best_2e_1 = llvm_cbe_best_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i5 = *llvm_cbe_tmp2_2e_i_2e_i4;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i5) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp45_2e_i_2e_i19 = ((signed long long )(signed int )(llvm_cbe_storemerge + 4294967295u));
  llvm_cbe_tmp2_2e_i_2e_i28 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i19)].field0));
  *llvm_cbe_tmp4_2e_i_2e_i30 = llvm_cbe_tmp2_2e_i_2e_i28;
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i19)].field1));
  *llvm_cbe_tmp9_2e_i_2e_i = llvm_cbe_tmp7_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i4_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field0));
  *llvm_cbe_tmp4_2e_i6_2e_i = llvm_cbe_tmp2_2e_i4_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field1));
  *llvm_cbe_tmp9_2e_i11_2e_i = llvm_cbe_tmp7_2e_i9_2e_i;
  llvm_cbe_tmp13 = _ZN7Segment10distanceToERK4Vec2((&llvm_cbe_s), llvm_cbe_pt);
  llvm_cbe_best_2e_0 = (((llvm_fcmp_olt(llvm_cbe_tmp13, llvm_cbe_best_2e_1))) ? (llvm_cbe_tmp13) : (llvm_cbe_best_2e_1));
  llvm_cbe_tmp22 = llvm_cbe_storemerge + 1u;
  llvm_cbe_best_2e_1__PHI_TEMPORARY = llvm_cbe_best_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp22;   /* for PHI node */
  goto llvm_cbe_bb23;

  } while (1); /* end of syntactic loop 'bb23' */
llvm_cbe_return:
  return llvm_cbe_best_2e_1;
}


static struct l_struct_2E_Stroke *_ZN5Scene13strokeAtPointE4Vec2f(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Vec2 *llvm_cbe_pt) {
  unsigned int *llvm_cbe_tmp2_2e_i2;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp5;
  float llvm_cbe_tmp7;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i14;
  struct l_struct_2E_Stroke *llvm_cbe_tmp18;
  float llvm_cbe_max_addr_2e_0;
  float llvm_cbe_max_addr_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Stroke *llvm_cbe_best_2e_0;
  struct l_struct_2E_Stroke *llvm_cbe_best_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp21;
  float llvm_cbe_max_addr_2e_1;
  float llvm_cbe_max_addr_2e_1__PHI_TEMPORARY;
  struct l_struct_2E_Stroke *llvm_cbe_best_2e_1;
  struct l_struct_2E_Stroke *llvm_cbe_best_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;

  llvm_cbe_tmp2_2e_i2 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_max_addr_2e_1__PHI_TEMPORARY = 0x1.4p+2;   /* for PHI node */
  llvm_cbe_best_2e_1__PHI_TEMPORARY = ((struct l_struct_2E_Stroke *)/*NULL*/0);   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb22;

  do {     /* Syntactic loop 'bb22' to make GCC happy */
llvm_cbe_bb22:
  llvm_cbe_max_addr_2e_1 = llvm_cbe_max_addr_2e_1__PHI_TEMPORARY;
  llvm_cbe_best_2e_1 = llvm_cbe_best_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i2;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb19:
  llvm_cbe_max_addr_2e_0 = llvm_cbe_max_addr_2e_0__PHI_TEMPORARY;
  llvm_cbe_best_2e_0 = llvm_cbe_best_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp21 = llvm_cbe_storemerge + 1u;
  llvm_cbe_max_addr_2e_1__PHI_TEMPORARY = llvm_cbe_max_addr_2e_0;   /* for PHI node */
  llvm_cbe_best_2e_1__PHI_TEMPORARY = llvm_cbe_best_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp21;   /* for PHI node */
  goto llvm_cbe_bb22;

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp5 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  llvm_cbe_tmp7 = _ZN6Stroke10distanceToERK4Vec2(llvm_cbe_tmp5, llvm_cbe_pt);
  if ((llvm_fcmp_olt(llvm_cbe_tmp7, llvm_cbe_max_addr_2e_1))) {
    goto llvm_cbe_bb12;
  } else {
    llvm_cbe_max_addr_2e_0__PHI_TEMPORARY = llvm_cbe_max_addr_2e_1;   /* for PHI node */
    llvm_cbe_best_2e_0__PHI_TEMPORARY = llvm_cbe_best_2e_1;   /* for PHI node */
    goto llvm_cbe_bb19;
  }

llvm_cbe_bb12:
  llvm_cbe_tmp3_2e_i_2e_i14 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp18 = *((&llvm_cbe_tmp3_2e_i_2e_i14[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  llvm_cbe_max_addr_2e_0__PHI_TEMPORARY = llvm_cbe_tmp7;   /* for PHI node */
  llvm_cbe_best_2e_0__PHI_TEMPORARY = llvm_cbe_tmp18;   /* for PHI node */
  goto llvm_cbe_bb19;

  } while (1); /* end of syntactic loop 'bb22' */
llvm_cbe_return:
  return llvm_cbe_best_2e_1;
}


static void _ZN6Stroke16maybeCreateJointER7b2WorldPS_(struct l_struct_2E_Stroke *llvm_cbe_this, struct l_struct_2E_b2World *llvm_cbe_world, struct l_struct_2E_Stroke *llvm_cbe_other) {
  struct l_struct_2E_b2AABB llvm_cbe_aabb_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2JointDef llvm_cbe_j12[2];    /* Address-exposed local */
  struct l_struct_2E_Stroke_3A__3A_JointDef *llvm_cbe_tmpcast;
  struct l_struct_2E_b2Vec2 llvm_cbe_pw;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp4;
  unsigned int llvm_cbe_tmp8;
  struct l_struct_2E_b2Body **llvm_cbe_tmp20;
  struct l_struct_2E_b2Body *llvm_cbe_tmp21;
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i145;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i146;
  unsigned char llvm_cbe_tmp39;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i164;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i_2e_i155;
  float *llvm_cbe_tmp78;
  float *llvm_cbe_tmp81;
  unsigned char **llvm_cbe_tmp3_2e_i_2e_i_2e_i40;
  struct l_struct_2E_b2Body **llvm_cbe_tmp5_2e_i_2e_i_2e_i42;
  struct l_struct_2E_b2Body **llvm_cbe_tmp7_2e_i_2e_i_2e_i44;
  unsigned char *llvm_cbe_tmp9_2e_i_2e_i_2e_i45;
  unsigned int *llvm_cbe_tmp10_2e_i_2e_i50;
  float *llvm_cbe_tmp1_2e_i11_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i14_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i2_2e_i_2e_i;
  float *llvm_cbe_tmp4_2e_i5_2e_i_2e_i;
  float *llvm_cbe_tmp17_2e_i_2e_i57;
  float *llvm_cbe_tmp19_2e_i_2e_i59;
  float *llvm_cbe_tmp23_2e_i_2e_i61;
  float *llvm_cbe_tmp25_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp27_2e_i_2e_i64;
  struct l_struct_2E_b2Body **llvm_cbe_tmp5_2e_i5_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp10_2e_i8_2e_i;
  float *llvm_cbe_tmp22_2e_i22_2e_i;
  float *llvm_cbe_tmp25_2e_i25_2e_i;
  float *llvm_cbe_tmp39_2e_i_2e_i;
  float *llvm_cbe_tmp42_2e_i_2e_i;
  float *llvm_cbe_tmp9_2e_i92;
  float *llvm_cbe_tmp12_2e_i;
  unsigned char *llvm_cbe_tmp15_2e_i95;
  unsigned char *llvm_cbe_tmp2_2e_i27;
  struct l_struct_2E_b2BlockAllocator *llvm_cbe_tmp9_2e_i;
  unsigned int *llvm_cbe_tmp13_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJointDef *llvm_cbe_tmp108109_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  float *llvm_cbe_tmp21_2e_i288_2e_i_2e_i;
  float *llvm_cbe_tmp25_2e_i291_2e_i_2e_i;
  float *llvm_cbe_tmp38_2e_i302_2e_i_2e_i;
  float *llvm_cbe_tmp41_2e_i305_2e_i_2e_i;
  float *llvm_cbe_tmp52_2e_i314_2e_i_2e_i;
  float *llvm_cbe_tmp65_2e_i331_2e_i_2e_i;
  float *llvm_cbe_tmp70_2e_i336_2e_i_2e_i;
  float *llvm_cbe_tmp75_2e_i341_2e_i_2e_i;
  float *llvm_cbe_tmp80_2e_i345_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp85_2e_i349_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp90_2e_i354_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp15_2e_i;
  unsigned int *llvm_cbe_tmp36_2e_i;
  struct l_struct_2E_b2BroadPhase **llvm_cbe_tmp168_2e_i;
  struct l_struct_2E_b2PrismaticJointDef *llvm_cbe_tmp7980_2e_i_2e_i;
  float *llvm_cbe_tmp27_2e_i433_2e_i_2e_i;
  float *llvm_cbe_tmp30_2e_i436_2e_i_2e_i;
  float *llvm_cbe_tmp43_2e_i447_2e_i_2e_i;
  float *llvm_cbe_tmp47_2e_i450_2e_i_2e_i;
  float *llvm_cbe_tmp60_2e_i461_2e_i_2e_i;
  float *llvm_cbe_tmp63_2e_i464_2e_i_2e_i;
  float *llvm_cbe_tmp86_2e_i498_2e_i_2e_i;
  float *llvm_cbe_tmp111_2e_i524_2e_i_2e_i;
  float *llvm_cbe_tmp116_2e_i529_2e_i_2e_i;
  float *llvm_cbe_tmp121_2e_i534_2e_i_2e_i;
  float *llvm_cbe_tmp126_2e_i539_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp131_2e_i544_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp136_2e_i549_2e_i_2e_i;
  struct l_struct_2E_b2DistanceJointDef *llvm_cbe_tmp2425_2e_i_2e_i;
  float *llvm_cbe_tmp19_2e_i57_2e_i_2e_i;
  float *llvm_cbe_tmp22_2e_i60_2e_i_2e_i;
  float *llvm_cbe_tmp36_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp39_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp50_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp55_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp60_2e_i75_2e_i_2e_i;
  struct l_struct_2E_b2PulleyJointDef *llvm_cbe_tmp137138_2e_i_2e_i;
  float *llvm_cbe_tmp2_2e_i76_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp9_2e_i83_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp2_2e_i32_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp9_2e_i39_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp70_2e_i171_2e_i_2e_i;
  float *llvm_cbe_tmp73_2e_i173_2e_i_2e_i;
  float *llvm_cbe_tmp86_2e_i176_2e_i_2e_i;
  float *llvm_cbe_tmp89_2e_i179_2e_i_2e_i;
  float *llvm_cbe_tmp100_2e_i188_2e_i_2e_i;
  float *llvm_cbe_tmp114_2e_i195_2e_i_2e_i;
  float *llvm_cbe_tmp120_2e_i200_2e_i_2e_i;
  float *llvm_cbe_tmp135_2e_i213_2e_i_2e_i;
  float *llvm_cbe_tmp149_2e_i224_2e_i_2e_i;
  struct l_struct_2E_b2MouseJointDef *llvm_cbe_tmp5051_2e_i_2e_i;
  float *llvm_cbe_tmp24_2e_i616_2e_i_2e_i;
  float *llvm_cbe_tmp27_2e_i619_2e_i_2e_i;
  float *llvm_cbe_tmp55_2e_i644_2e_i_2e_i;
  float *llvm_cbe_tmp68_2e_i656_2e_i_2e_i;
  float *llvm_cbe_tmp74_2e_i662_2e_i_2e_i;
  float *llvm_cbe_tmp80_2e_i668_2e_i_2e_i;
  struct l_struct_2E_b2GearJointDef *llvm_cbe_tmp166167_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint **llvm_cbe_tmp31_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp323_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp60;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i113_2e_1;
  unsigned long long llvm_cbe_retval_2e_i113_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_end_2e_0;
  unsigned int llvm_cbe_end_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp48;
  unsigned char llvm_cbe_tmp49;
  unsigned long long llvm_cbe_phitmp;
  unsigned long long llvm_cbe_storemerge1;
  unsigned long long llvm_cbe_storemerge1__PHI_TEMPORARY;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i156;
  float llvm_cbe_tmp69;
  unsigned int llvm_cbe_tmp4_2e_i117;
  unsigned int llvm_cbe_tmp8_2e_i121;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i137304__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i140311__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i140311312313_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp80169__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp83173__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp86;
  struct l_struct_2E_b2Body *llvm_cbe_tmp89;
  unsigned char *ltmp_11_1;
  unsigned long long llvm_cbe_tmp5_2e_i_2e_i17_2e_i;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i24_2e_i246__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i27_2e_i250__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp32_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp5_2e_i29_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp41_2e_i_2e_i90253__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp44_2e_i_2e_i257__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp49_2e_i_2e_i;
  float llvm_cbe_tmp4_2e_i16_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp55_2e_i_2e_i;
  float llvm_cbe_tmp4_2e_i13_2e_i_2e_i;
  unsigned char llvm_cbe_tmp3_2e_i28;
  unsigned int llvm_cbe_tmp14_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i_2e_i;
  struct l_struct_2E_b2DistanceJoint *llvm_cbe_tmp1819_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i21_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i30_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i35_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i40_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i47_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i58_2e_i_2e_i;
  float llvm_cbe_tmp24_2e_i61_2e_i_2e_i;
  float llvm_cbe_tmp37_2e_i69_2e_i_2e_i;
  float llvm_cbe_tmp40_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp51_2e_i73_2e_i_2e_i;
  float llvm_cbe_tmp56_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp61_2e_i76_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp41_2e_i_2e_i;
  struct l_struct_2E_b2MouseJoint *llvm_cbe_tmp4344_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i570_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i579_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i584_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i589_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i596_2e_i_2e_i;
  float llvm_cbe_tmp25_2e_i617_2e_i_2e_i;
  float llvm_cbe_tmp28_2e_i620_2e_i_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp41_2e_i631_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp42_2e_i632_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp44_2e_i635_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp50_2e_i639_2e_i_2e_i239__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp53_2e_i642_2e_i_2e_i243__BITCAST_TEMPORARY;
  float llvm_cbe_tmp56_2e_i645_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp64_2e_i652_2e_i_2e_i;
  float llvm_cbe_tmp66_2e_i654_2e_i_2e_i;
  float llvm_cbe_tmp69_2e_i657_2e_i_2e_i;
  float llvm_cbe_tmp70_2e_i658_2e_i_2e_i;
  float llvm_cbe_tmp75_2e_i663_2e_i_2e_i;
  float llvm_cbe_tmp81_2e_i669_2e_i_2e_i;
  float llvm_cbe_tmp87_2e_i674_2e_i_2e_i;
  float llvm_cbe_tmp90_2e_i677_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp70_2e_i_2e_i;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp7273_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i386_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i395_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i400_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i405_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i412_2e_i_2e_i;
  float llvm_cbe_tmp28_2e_i434_2e_i_2e_i;
  float llvm_cbe_tmp31_2e_i437_2e_i_2e_i;
  float llvm_cbe_tmp44_2e_i448_2e_i_2e_i;
  float llvm_cbe_tmp48_2e_i451_2e_i_2e_i;
  float llvm_cbe_tmp61_2e_i462_2e_i_2e_i;
  float llvm_cbe_tmp64_2e_i465_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i40_2e_i485_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i53_2e_i_2e_i_2e_i227__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234235236_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp81_2e_i493_2e_i_2e_i218__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp84_2e_i496_2e_i_2e_i222__BITCAST_TEMPORARY;
  float llvm_cbe_tmp87_2e_i499_2e_i_2e_i;
  unsigned char *ltmp_12_1;
  unsigned char *ltmp_13_1;
  float llvm_cbe_tmp112_2e_i525_2e_i_2e_i;
  float llvm_cbe_tmp117_2e_i530_2e_i_2e_i;
  float llvm_cbe_tmp122_2e_i535_2e_i_2e_i;
  float llvm_cbe_tmp127_2e_i540_2e_i_2e_i;
  unsigned char llvm_cbe_tmp132_2e_i545_2e_i_2e_i;
  unsigned char llvm_cbe_tmp137_2e_i550_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp99_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp101102_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i247_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i256_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i261_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i266_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i273_2e_i_2e_i;
  float llvm_cbe_tmp22_2e_i289_2e_i_2e_i;
  float llvm_cbe_tmp26_2e_i292_2e_i_2e_i;
  float llvm_cbe_tmp39_2e_i303_2e_i_2e_i;
  float llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp53_2e_i315_2e_i_2e_i;
  float llvm_cbe_tmp66_2e_i332_2e_i_2e_i;
  float llvm_cbe_tmp71_2e_i337_2e_i_2e_i;
  float llvm_cbe_tmp76_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp81_2e_i346_2e_i_2e_i;
  unsigned char llvm_cbe_tmp86_2e_i350_2e_i_2e_i;
  unsigned char llvm_cbe_tmp91_2e_i355_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp128_2e_i_2e_i;
  struct l_struct_2E_b2PulleyJoint *llvm_cbe_tmp130131_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i94_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i103_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i108_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i113_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i120_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp27_2e_i139_2e_i_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp3_2e_i122_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i119_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp3_2e_i77_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp5_2e_i79_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i80_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i84_2e_i_2e_i_2e_i;
  float *llvm_cbe_tmp12_2e_i86_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i87_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i103_2e_i_2e_i_2e_i206__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213214215_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp46_2e_i152_2e_i_2e_i176__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp49_2e_i155_2e_i_2e_i180__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i33_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i36_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp10_2e_i40_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i43_2e_i_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i53_2e_i_2e_i_2e_i192__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199200201_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp63_2e_i165_2e_i_2e_i183__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp66_2e_i168_2e_i_2e_i187__BITCAST_TEMPORARY;
  float llvm_cbe_tmp71_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp74_2e_i174_2e_i_2e_i;
  float llvm_cbe_tmp87_2e_i177_2e_i_2e_i;
  float llvm_cbe_tmp90_2e_i180_2e_i_2e_i;
  float llvm_cbe_tmp101_2e_i189_2e_i_2e_i;
  float llvm_cbe_tmp115_2e_i196_2e_i_2e_i;
  float llvm_cbe_tmp121_2e_i201_2e_i_2e_i;
  float llvm_cbe_tmp123_2e_i202_2e_i_2e_i;
  float llvm_cbe_tmp133_2e_i211_2e_i_2e_i;
  float llvm_cbe_tmp136_2e_i214_2e_i_2e_i;
  float llvm_cbe_tmp147_2e_i223_2e_i_2e_i;
  float llvm_cbe_tmp150_2e_i225_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp157_2e_i_2e_i;
  struct l_struct_2E_b2GearJoint *llvm_cbe_tmp159160_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp28_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i78_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp32_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i74_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i70_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i63_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i59_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i55_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint **llvm_cbe_tmp87_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2PrismaticJoint **llvm_cbe_tmp90_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint **llvm_cbe_tmp92_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2PrismaticJoint **llvm_cbe_tmp94_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp97_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i51_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp103_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i47_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp115_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp115116_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp125_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp128_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp143_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp146_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp4_2e_i30_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp8_2e_i33_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp12_2e_i35_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i42_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp21_2e_i43_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp162163_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp172_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp175_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp190_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp193_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp206_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp210_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i24_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp216_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i21_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp228_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp228229_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp238_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp241_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp256_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp259_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp4_2e_i5_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp8_2e_i8_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp12_2e_i10_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp16_2e_i13_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp20_2e_i17_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp21_2e_i18_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp276277_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp286_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp289_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp304_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp307_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp320_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge1_2e_i_2e_i_2e_i;
  float llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp324_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned char *llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in;
  unsigned char *llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Joint *llvm_cbe_joint_2e_i_2e_i_2e_0;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp16_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp21_2e_i;
  unsigned int llvm_cbe_tmp37_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp46_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp47_2e_i;
  struct l_struct_2E_b2Body **llvm_cbe_tmp55_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp56_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp57_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp58_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp66_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp82_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp92_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp101_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp102_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp103_2e_i;
  struct l_struct_2E_b2JointEdge *llvm_cbe_tmp111_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp127_2e_i;
  unsigned char llvm_cbe_tmp133_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp140_2e_i;
  unsigned int llvm_cbe_tmp142_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp145_2e_i;
  unsigned int llvm_cbe_tmp147_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i_2e_val;
  struct l_struct_2E_b2Body *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i_2e_val;
  struct l_struct_2E_b2Body *llvm_cbe_storemerge_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp162_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i21_2e_i;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp169_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp12_2e_i11_2e_i) ();
  unsigned int  (*llvm_cbe_tmp14_2e_i13_2e_i) ();
  unsigned char llvm_cbe_tmp19_2e_i_2e_i;
  unsigned short llvm_cbe_tmp26_2e_i18_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp172_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge1_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2;
  unsigned long long llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i113_2e_0;
  unsigned long long llvm_cbe_retval_2e_i113_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp102;
  struct l_struct_2E_b2Body *llvm_cbe_tmp111;

  llvm_cbe_tmpcast = ((struct l_struct_2E_Stroke_3A__3A_JointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp4 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp8 = *((&llvm_cbe_other->field2));
  if ((((llvm_cbe_tmp4 ^ llvm_cbe_tmp8) & 6u) == 0u)) {
    goto llvm_cbe_bb12;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb12:
  if (((llvm_cbe_tmp4 & 1u) == 0u)) {
    goto llvm_cbe_bb18;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb18:
  llvm_cbe_tmp20 = (&llvm_cbe_this->field12);
  llvm_cbe_tmp21 = *llvm_cbe_tmp20;
  if ((llvm_cbe_tmp21 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb108;
  } else {
    goto llvm_cbe_bb25;
  }

llvm_cbe_bb25:
  llvm_cbe_tmp2_2e_i145 = (&llvm_cbe_other->field12);
  llvm_cbe_tmp3_2e_i146 = *llvm_cbe_tmp2_2e_i145;
  if ((llvm_cbe_tmp3_2e_i146 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb108;
  } else {
    goto llvm_cbe_bb37;
  }

llvm_cbe_bb37:
  llvm_cbe_tmp39 = _ZN6Stroke9transformEv(llvm_cbe_this);
  llvm_cbe_tmp3_2e_i_2e_i164 = *((&llvm_cbe_this->field5.field0.field1));
  llvm_cbe_tmp2_2e_i_2e_i155 = (&llvm_cbe_this->field5.field0.field0);
  llvm_cbe_tmp78 = (&llvm_cbe_pw.field0);
  llvm_cbe_tmp81 = (&llvm_cbe_pw.field1);
  llvm_cbe_tmp3_2e_i_2e_i_2e_i40 = (&llvm_cbe_j12[((signed int )0u)].field1);
  llvm_cbe_tmp5_2e_i_2e_i_2e_i42 = (&llvm_cbe_j12[((signed int )0u)].field2);
  llvm_cbe_tmp7_2e_i_2e_i_2e_i44 = (&llvm_cbe_j12[((signed int )0u)].field3);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i45 = (&llvm_cbe_j12[((signed int )0u)].field4);
  llvm_cbe_tmp10_2e_i_2e_i50 = (&llvm_cbe_j12[((signed int )0u)].field0);
  llvm_cbe_tmp1_2e_i11_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field1.field0);
  llvm_cbe_tmp4_2e_i14_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field1.field1);
  llvm_cbe_tmp1_2e_i2_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field2.field0);
  llvm_cbe_tmp4_2e_i5_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field2.field1);
  llvm_cbe_tmp17_2e_i_2e_i57 = (&llvm_cbe_tmpcast->field0.field3);
  llvm_cbe_tmp19_2e_i_2e_i59 = (&llvm_cbe_tmpcast->field0.field5);
  llvm_cbe_tmp23_2e_i_2e_i61 = (&llvm_cbe_tmpcast->field0.field9);
  llvm_cbe_tmp25_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field8);
  llvm_cbe_tmp27_2e_i_2e_i64 = (&llvm_cbe_tmpcast->field0.field4);
  llvm_cbe_tmp5_2e_i5_2e_i = (&llvm_cbe_j12[((signed int )0u)].field2);
  llvm_cbe_tmp10_2e_i8_2e_i = (&llvm_cbe_j12[((signed int )0u)].field3);
  llvm_cbe_tmp22_2e_i22_2e_i = (&llvm_cbe_tmpcast->field0.field1.field0);
  llvm_cbe_tmp25_2e_i25_2e_i = (&llvm_cbe_tmpcast->field0.field1.field1);
  llvm_cbe_tmp39_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field2.field0);
  llvm_cbe_tmp42_2e_i_2e_i = (&llvm_cbe_tmpcast->field0.field2.field1);
  llvm_cbe_tmp9_2e_i92 = (&llvm_cbe_tmpcast->field0.field9);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_tmpcast->field0.field8);
  llvm_cbe_tmp15_2e_i95 = (&llvm_cbe_tmpcast->field0.field7);
  llvm_cbe_tmp2_2e_i27 = (&llvm_cbe_world->field2);
  llvm_cbe_tmp9_2e_i = (&llvm_cbe_world->field0);
  llvm_cbe_tmp13_2e_i_2e_i = (&llvm_cbe_j12[((signed int )0u)].field0);
  llvm_cbe_tmp108109_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i = (&llvm_cbe_j12[((signed int )0u)].field2);
  llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i = (&llvm_cbe_j12[((signed int )0u)].field3);
  llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i = (&llvm_cbe_j12[((signed int )0u)].field4);
  llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i = (&llvm_cbe_j12[((signed int )0u)].field1);
  llvm_cbe_tmp21_2e_i288_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp25_2e_i291_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp38_2e_i302_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field2.field0);
  llvm_cbe_tmp41_2e_i305_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field2.field1);
  llvm_cbe_tmp52_2e_i314_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field3);
  llvm_cbe_tmp65_2e_i331_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field5);
  llvm_cbe_tmp70_2e_i336_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field6);
  llvm_cbe_tmp75_2e_i341_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field9);
  llvm_cbe_tmp80_2e_i345_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field8);
  llvm_cbe_tmp85_2e_i349_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field4);
  llvm_cbe_tmp90_2e_i354_2e_i_2e_i = (&llvm_cbe_tmp108109_2e_i_2e_i->field7);
  llvm_cbe_tmp15_2e_i = (&llvm_cbe_world->field6);
  llvm_cbe_tmp36_2e_i = (&llvm_cbe_world->field10);
  llvm_cbe_tmp168_2e_i = (&llvm_cbe_world->field3);
  llvm_cbe_tmp7980_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp27_2e_i433_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp30_2e_i436_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp43_2e_i447_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field2.field0);
  llvm_cbe_tmp47_2e_i450_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field2.field1);
  llvm_cbe_tmp60_2e_i461_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field3.field0);
  llvm_cbe_tmp63_2e_i464_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field3.field1);
  llvm_cbe_tmp86_2e_i498_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field4);
  llvm_cbe_tmp111_2e_i524_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field6);
  llvm_cbe_tmp116_2e_i529_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field7);
  llvm_cbe_tmp121_2e_i534_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field9);
  llvm_cbe_tmp126_2e_i539_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field10);
  llvm_cbe_tmp131_2e_i544_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field5);
  llvm_cbe_tmp136_2e_i549_2e_i_2e_i = (&llvm_cbe_tmp7980_2e_i_2e_i->field8);
  llvm_cbe_tmp2425_2e_i_2e_i = ((struct l_struct_2E_b2DistanceJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp19_2e_i57_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp22_2e_i60_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp36_2e_i_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field2.field0);
  llvm_cbe_tmp39_2e_i_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field2.field1);
  llvm_cbe_tmp50_2e_i_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field3);
  llvm_cbe_tmp55_2e_i_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field4);
  llvm_cbe_tmp60_2e_i75_2e_i_2e_i = (&llvm_cbe_tmp2425_2e_i_2e_i->field5);
  llvm_cbe_tmp137138_2e_i_2e_i = ((struct l_struct_2E_b2PulleyJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp2_2e_i76_2e_i_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp9_2e_i83_2e_i_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp2_2e_i32_2e_i_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field2.field1);
  llvm_cbe_tmp9_2e_i39_2e_i_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field2.field0);
  llvm_cbe_tmp70_2e_i171_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field3.field0);
  llvm_cbe_tmp73_2e_i173_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field3.field1);
  llvm_cbe_tmp86_2e_i176_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field4.field0);
  llvm_cbe_tmp89_2e_i179_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field4.field1);
  llvm_cbe_tmp100_2e_i188_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field9);
  llvm_cbe_tmp114_2e_i195_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field5);
  llvm_cbe_tmp120_2e_i200_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field7);
  llvm_cbe_tmp135_2e_i213_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field6);
  llvm_cbe_tmp149_2e_i224_2e_i_2e_i = (&llvm_cbe_tmp137138_2e_i_2e_i->field8);
  llvm_cbe_tmp5051_2e_i_2e_i = ((struct l_struct_2E_b2MouseJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp24_2e_i616_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field1.field0);
  llvm_cbe_tmp27_2e_i619_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field1.field1);
  llvm_cbe_tmp55_2e_i644_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field2);
  llvm_cbe_tmp68_2e_i656_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field3);
  llvm_cbe_tmp74_2e_i662_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field4);
  llvm_cbe_tmp80_2e_i668_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i_2e_i->field5);
  llvm_cbe_tmp166167_2e_i_2e_i = ((struct l_struct_2E_b2GearJointDef *)(&llvm_cbe_j12));
  llvm_cbe_tmp27_2e_i_2e_i_2e_i = (&llvm_cbe_tmp166167_2e_i_2e_i->field1);
  llvm_cbe_tmp31_2e_i_2e_i_2e_i = (&llvm_cbe_tmp166167_2e_i_2e_i->field2);
  llvm_cbe_tmp323_2e_i_2e_i_2e_i = (&llvm_cbe_tmp166167_2e_i_2e_i->field3);
  llvm_cbe_tmp60 = llvm_cbe_tmp3_2e_i_2e_i164 + 4294967295u;
  llvm_cbe_end_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb43;

  do {     /* Syntactic loop 'bb43' to make GCC happy */
llvm_cbe_bb43:
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1 = llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i113_2e_1 = llvm_cbe_retval_2e_i113_2e_1__PHI_TEMPORARY;
  llvm_cbe_end_2e_0 = llvm_cbe_end_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp48 = (&llvm_cbe_this->field13[((signed long long )(((signed long long )(signed int )llvm_cbe_end_2e_0)))]);
  llvm_cbe_tmp49 = *llvm_cbe_tmp48;
  if ((llvm_cbe_tmp49 == ((unsigned char )0))) {
    goto llvm_cbe_bb53;
  } else {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i113_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i113_2e_1;   /* for PHI node */
    goto llvm_cbe_bb100;
  }

llvm_cbe_bb100:
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0 = llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0 = llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i113_2e_0 = llvm_cbe_retval_2e_i113_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp102 = llvm_cbe_end_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp102) < ((signed int )2u))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0;   /* for PHI node */
    llvm_cbe_retval_2e_i113_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i113_2e_0;   /* for PHI node */
    llvm_cbe_end_2e_0__PHI_TEMPORARY = llvm_cbe_tmp102;   /* for PHI node */
    goto llvm_cbe_bb43;
  } else {
    goto llvm_cbe_bb108;
  }

llvm_cbe_bb62:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i156 = *llvm_cbe_tmp2_2e_i_2e_i155;
  llvm_cbe_tmp69 = _ZN6Stroke10distanceToERK4Vec2(llvm_cbe_other, ((&llvm_cbe_tmp3_2e_i_2e_i156[((signed long long )llvm_cbe_storemerge1)])));
  if ((llvm_fcmp_ugt(llvm_cbe_tmp69, 0x1p+2))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i113_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i113_2e_1;   /* for PHI node */
    goto llvm_cbe_bb100;
  } else {
    goto llvm_cbe_bb74;
  }

llvm_cbe_bb53:
  if ((llvm_cbe_end_2e_0 == 0u)) {
    llvm_cbe_storemerge1__PHI_TEMPORARY = 0ull;   /* for PHI node */
    goto llvm_cbe_bb62;
  } else {
    goto llvm_cbe_bb58;
  }

llvm_cbe_bb58:
  llvm_cbe_phitmp = ((signed long long )(signed int )llvm_cbe_tmp60);
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_phitmp;   /* for PHI node */
  goto llvm_cbe_bb62;

llvm_cbe__ZN7b2World11CreateJointEPK10b2JointDef_2e_exit:
  *llvm_cbe_tmp48 = ((unsigned char )1);
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i20_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i29_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i_2e_i_2e_i30_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i_2e_i17_2e_i;   /* for PHI node */
  llvm_cbe_retval_2e_i113_2e_0__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i140311312313_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb100;

llvm_cbe_bb124_2e_i:
  llvm_cbe_tmp127_2e_i = *llvm_cbe_tmp46_2e_i;
  *((&llvm_cbe_tmp127_2e_i->field13)) = ((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5));
  llvm_cbe_tmp133_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  if ((llvm_cbe_tmp133_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb137_2e_i;
  } else {
    goto llvm_cbe__ZN7b2World11CreateJointEPK10b2JointDef_2e_exit;
  }

llvm_cbe_bb79_2e_i:
  llvm_cbe_tmp82_2e_i = *llvm_cbe_tmp55_2e_i;
  *((&llvm_cbe_tmp82_2e_i->field13)) = ((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4));
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5.field1)) = llvm_cbe_joint_2e_i_2e_i_2e_0;
  llvm_cbe_tmp92_2e_i = *llvm_cbe_tmp55_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5.field0)) = llvm_cbe_tmp92_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5.field2)) = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  llvm_cbe_tmp101_2e_i = *llvm_cbe_tmp46_2e_i;
  llvm_cbe_tmp102_2e_i = (&llvm_cbe_tmp101_2e_i->field13);
  llvm_cbe_tmp103_2e_i = *llvm_cbe_tmp102_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5.field3)) = llvm_cbe_tmp103_2e_i;
  llvm_cbe_tmp111_2e_i = *llvm_cbe_tmp102_2e_i;
  if ((llvm_cbe_tmp111_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb124_2e_i;
  } else {
    goto llvm_cbe_bb115_2e_i;
  }

llvm_cbe_bb31_2e_i:
  *llvm_cbe_tmp15_2e_i = llvm_cbe_joint_2e_i_2e_i_2e_0;
  llvm_cbe_tmp37_2e_i = *llvm_cbe_tmp36_2e_i;
  *llvm_cbe_tmp36_2e_i = (llvm_cbe_tmp37_2e_i + 1u);
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4.field1)) = llvm_cbe_joint_2e_i_2e_i_2e_0;
  llvm_cbe_tmp46_2e_i = (&llvm_cbe_joint_2e_i_2e_i_2e_0->field7);
  llvm_cbe_tmp47_2e_i = *llvm_cbe_tmp46_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4.field0)) = llvm_cbe_tmp47_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4.field2)) = ((struct l_struct_2E_b2JointEdge *)/*NULL*/0);
  llvm_cbe_tmp55_2e_i = (&llvm_cbe_joint_2e_i_2e_i_2e_0->field6);
  llvm_cbe_tmp56_2e_i = *llvm_cbe_tmp55_2e_i;
  llvm_cbe_tmp57_2e_i = (&llvm_cbe_tmp56_2e_i->field13);
  llvm_cbe_tmp58_2e_i = *llvm_cbe_tmp57_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4.field3)) = llvm_cbe_tmp58_2e_i;
  llvm_cbe_tmp66_2e_i = *llvm_cbe_tmp57_2e_i;
  if ((llvm_cbe_tmp66_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb79_2e_i;
  } else {
    goto llvm_cbe_bb70_2e_i;
  }

llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i:
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in = llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY;
  llvm_cbe_joint_2e_i_2e_i_2e_0 = ((struct l_struct_2E_b2Joint *)llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in);
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp16_2e_i = *llvm_cbe_tmp15_2e_i;
  *((&llvm_cbe_joint_2e_i_2e_i_2e_0->field3)) = llvm_cbe_tmp16_2e_i;
  llvm_cbe_tmp21_2e_i = *llvm_cbe_tmp15_2e_i;
  if ((llvm_cbe_tmp21_2e_i == ((struct l_struct_2E_b2Joint *)/*NULL*/0))) {
    goto llvm_cbe_bb31_2e_i;
  } else {
    goto llvm_cbe_bb25_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 184u);
  llvm_cbe_tmp1819_2e_i_2e_i = ((struct l_struct_2E_b2DistanceJoint *)llvm_cbe_tmp16_2e_i_2e_i);
  if ((llvm_cbe_tmp16_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i_2e_i;
  }

llvm_cbe_bb7_2e_i:
  llvm_cbe_tmp14_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  switch (llvm_cbe_tmp14_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb184_2e_i_2e_i;
;
  case 1u:
    goto llvm_cbe_bb97_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb68_2e_i_2e_i;
  case 3u:
    goto llvm_cbe_bb_2e_i_2e_i;
    break;
  case 4u:
    goto llvm_cbe_bb126_2e_i_2e_i;
  case 5u:
    goto llvm_cbe_bb39_2e_i_2e_i;
  case 6u:
    goto llvm_cbe_bb155_2e_i_2e_i;
  }
llvm_cbe_bb74:
  llvm_cbe_tmp4_2e_i117 = *((&llvm_cbe_tmp3_2e_i_2e_i156[((signed long long )llvm_cbe_storemerge1)].field1));
  llvm_cbe_tmp8_2e_i121 = *((&llvm_cbe_tmp3_2e_i_2e_i156[((signed long long )llvm_cbe_storemerge1)].field0));
  llvm_cbe_tmp21_2e_i140311312313_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i137304__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp8_2e_i121)), llvm_cbe_tmp18_2e_i137304__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i140311__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp4_2e_i117)), llvm_cbe_tmp21_2e_i140311__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp78 = (((float )(((llvm_cbe_tmp80169__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i140311312313_2e_ins)), llvm_cbe_tmp80169__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)));
  *llvm_cbe_tmp81 = (((float )(((llvm_cbe_tmp83173__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i140311312313_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp83173__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)));
  llvm_cbe_tmp86 = *llvm_cbe_tmp2_2e_i145;
  llvm_cbe_tmp89 = *llvm_cbe_tmp20;
  *llvm_cbe_tmp3_2e_i_2e_i_2e_i40 = ((unsigned char *)/*NULL*/0);
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i42 = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *llvm_cbe_tmp7_2e_i_2e_i_2e_i44 = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i45 = ((unsigned char )0);
  *llvm_cbe_tmp10_2e_i_2e_i50 = 1u;
  *llvm_cbe_tmp1_2e_i11_2e_i_2e_i = 0x0p+0;
  *llvm_cbe_tmp4_2e_i14_2e_i_2e_i = 0x0p+0;
  *llvm_cbe_tmp1_2e_i2_2e_i_2e_i = 0x0p+0;
  *llvm_cbe_tmp4_2e_i5_2e_i_2e_i = 0x0p+0;
  *llvm_cbe_tmp17_2e_i_2e_i57 = 0x0p+0;
  *llvm_cbe_tmp23_2e_i_2e_i61 = 0x0p+0;
  *llvm_cbe_tmp25_2e_i_2e_i = 0x0p+0;
  *llvm_cbe_tmp27_2e_i_2e_i64 = ((unsigned char )0);
  ltmp_11_1 = memset((((unsigned char *)llvm_cbe_tmp19_2e_i_2e_i59)), (((unsigned int )(unsigned char )((unsigned char )0))), 9ull);
  *llvm_cbe_tmp5_2e_i5_2e_i = llvm_cbe_tmp89;
  *llvm_cbe_tmp10_2e_i8_2e_i = llvm_cbe_tmp86;
  llvm_cbe_tmp5_2e_i_2e_i17_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp89->field2)), (&llvm_cbe_pw));
  *llvm_cbe_tmp22_2e_i22_2e_i = ((llvm_cbe_tmp24_2e_i24_2e_i246__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i_2e_i17_2e_i)), llvm_cbe_tmp24_2e_i24_2e_i246__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp25_2e_i25_2e_i = ((llvm_cbe_tmp27_2e_i27_2e_i250__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i_2e_i17_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i27_2e_i250__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp32_2e_i_2e_i = *llvm_cbe_tmp10_2e_i8_2e_i;
  llvm_cbe_tmp5_2e_i29_2e_i_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp32_2e_i_2e_i->field2)), (&llvm_cbe_pw));
  *llvm_cbe_tmp39_2e_i_2e_i = ((llvm_cbe_tmp41_2e_i_2e_i90253__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i29_2e_i_2e_i)), llvm_cbe_tmp41_2e_i_2e_i90253__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp42_2e_i_2e_i = ((llvm_cbe_tmp44_2e_i_2e_i257__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i29_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp44_2e_i_2e_i257__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp49_2e_i_2e_i = *llvm_cbe_tmp10_2e_i8_2e_i;
  llvm_cbe_tmp4_2e_i16_2e_i_2e_i = *((&llvm_cbe_tmp49_2e_i_2e_i->field3.field4));
  llvm_cbe_tmp55_2e_i_2e_i = *llvm_cbe_tmp5_2e_i5_2e_i;
  llvm_cbe_tmp4_2e_i13_2e_i_2e_i = *((&llvm_cbe_tmp55_2e_i_2e_i->field3.field4));
  *llvm_cbe_tmp17_2e_i_2e_i57 = (((float )(llvm_cbe_tmp4_2e_i16_2e_i_2e_i - llvm_cbe_tmp4_2e_i13_2e_i_2e_i)));
  *llvm_cbe_tmp9_2e_i92 = 0x1.4p+3;
  *llvm_cbe_tmp12_2e_i = 0x0p+0;
  *llvm_cbe_tmp15_2e_i95 = ((unsigned char )1);
  llvm_cbe_tmp3_2e_i28 = *llvm_cbe_tmp2_2e_i27;
  if ((llvm_cbe_tmp3_2e_i28 == ((unsigned char )0))) {
    goto llvm_cbe_bb7_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb23_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp16_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i21_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i21_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i30_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i30_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i35_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i35_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i40_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i40_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i47_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i47_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp16_2e_i_2e_i)) = ((&_ZTV15b2DistanceJoint[((signed long long )2ull)]));
  llvm_cbe_tmp20_2e_i58_2e_i_2e_i = *llvm_cbe_tmp19_2e_i57_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i61_2e_i_2e_i = *llvm_cbe_tmp22_2e_i60_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field1.field0)) = llvm_cbe_tmp20_2e_i58_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field1.field1)) = llvm_cbe_tmp24_2e_i61_2e_i_2e_i;
  llvm_cbe_tmp37_2e_i69_2e_i_2e_i = *llvm_cbe_tmp36_2e_i_2e_i_2e_i;
  llvm_cbe_tmp40_2e_i_2e_i_2e_i = *llvm_cbe_tmp39_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field2.field0)) = llvm_cbe_tmp37_2e_i69_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field2.field1)) = llvm_cbe_tmp40_2e_i_2e_i_2e_i;
  llvm_cbe_tmp51_2e_i73_2e_i_2e_i = *llvm_cbe_tmp50_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field10)) = llvm_cbe_tmp51_2e_i73_2e_i_2e_i;
  llvm_cbe_tmp56_2e_i_2e_i_2e_i = *llvm_cbe_tmp55_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field4)) = llvm_cbe_tmp56_2e_i_2e_i_2e_i;
  llvm_cbe_tmp61_2e_i76_2e_i_2e_i = *llvm_cbe_tmp60_2e_i75_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field5)) = llvm_cbe_tmp61_2e_i76_2e_i_2e_i;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field8)) = 0x0p+0;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field6)) = 0x0p+0;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field7)) = 0x0p+0;
  *((&llvm_cbe_tmp1819_2e_i_2e_i->field0.field8)) = 0x0p+0;
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb39_2e_i_2e_i:
  llvm_cbe_tmp41_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 192u);
  llvm_cbe_tmp4344_2e_i_2e_i = ((struct l_struct_2E_b2MouseJoint *)llvm_cbe_tmp41_2e_i_2e_i);
  if ((llvm_cbe_tmp41_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb49_2e_i_2e_i;
  }

llvm_cbe__ZN12b2MouseJointC1EPK15b2MouseJointDef_2e_exit_2e_i_2e_i:
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field8)) = (((float )(0x1p+0 / llvm_cbe_tmp90_2e_i677_2e_i_2e_i)));
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field7)) = (((float )(llvm_cbe_tmp87_2e_i674_2e_i_2e_i / llvm_cbe_tmp90_2e_i677_2e_i_2e_i)));
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb49_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp41_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i570_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i570_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i579_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i579_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i584_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i584_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i589_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i589_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i596_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i596_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp41_2e_i_2e_i)) = ((&_ZTV12b2MouseJoint[((signed long long )2ull)]));
  llvm_cbe_tmp25_2e_i617_2e_i_2e_i = *llvm_cbe_tmp24_2e_i616_2e_i_2e_i;
  llvm_cbe_tmp28_2e_i620_2e_i_2e_i = *llvm_cbe_tmp27_2e_i619_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field2.field0)) = llvm_cbe_tmp25_2e_i617_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field2.field1)) = llvm_cbe_tmp28_2e_i620_2e_i_2e_i;
  llvm_cbe_tmp41_2e_i631_2e_i_2e_i = (&llvm_cbe_tmp4344_2e_i_2e_i->field0.field7);
  llvm_cbe_tmp42_2e_i632_2e_i_2e_i = *llvm_cbe_tmp41_2e_i631_2e_i_2e_i;
  llvm_cbe_tmp44_2e_i635_2e_i_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp42_2e_i632_2e_i_2e_i->field2)), ((&llvm_cbe_tmp4344_2e_i_2e_i->field2)));
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field1.field0)) = ((llvm_cbe_tmp50_2e_i639_2e_i_2e_i239__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp44_2e_i635_2e_i_2e_i)), llvm_cbe_tmp50_2e_i639_2e_i_2e_i239__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field1.field1)) = ((llvm_cbe_tmp53_2e_i642_2e_i_2e_i243__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp44_2e_i635_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp53_2e_i642_2e_i_2e_i243__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp56_2e_i645_2e_i_2e_i = *llvm_cbe_tmp55_2e_i644_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field6)) = llvm_cbe_tmp56_2e_i645_2e_i_2e_i;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field3.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp4344_2e_i_2e_i->field3.field1)) = 0x0p+0;
  llvm_cbe_tmp64_2e_i652_2e_i_2e_i = *llvm_cbe_tmp41_2e_i631_2e_i_2e_i;
  llvm_cbe_tmp66_2e_i654_2e_i_2e_i = *((&llvm_cbe_tmp64_2e_i652_2e_i_2e_i->field15));
  llvm_cbe_tmp69_2e_i657_2e_i_2e_i = *llvm_cbe_tmp68_2e_i656_2e_i_2e_i;
  llvm_cbe_tmp70_2e_i658_2e_i_2e_i = ((float )(llvm_cbe_tmp69_2e_i657_2e_i_2e_i * 0x1.921fb6p+2));
  llvm_cbe_tmp75_2e_i663_2e_i_2e_i = *llvm_cbe_tmp74_2e_i662_2e_i_2e_i;
  llvm_cbe_tmp81_2e_i669_2e_i_2e_i = *llvm_cbe_tmp80_2e_i668_2e_i_2e_i;
  llvm_cbe_tmp87_2e_i674_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp81_2e_i669_2e_i_2e_i * llvm_cbe_tmp66_2e_i654_2e_i_2e_i))) * (((float )(llvm_cbe_tmp70_2e_i658_2e_i_2e_i * llvm_cbe_tmp70_2e_i658_2e_i_2e_i)))));
  llvm_cbe_tmp90_2e_i677_2e_i_2e_i = ((float )((((float )((((float )((((float )(llvm_cbe_tmp66_2e_i654_2e_i_2e_i * 0x1p+1))) * llvm_cbe_tmp75_2e_i663_2e_i_2e_i))) * llvm_cbe_tmp70_2e_i658_2e_i_2e_i))) + llvm_cbe_tmp87_2e_i674_2e_i_2e_i));
  if ((llvm_fcmp_ule(llvm_cbe_tmp90_2e_i677_2e_i_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb_2e_i679_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN12b2MouseJointC1EPK15b2MouseJointDef_2e_exit_2e_i_2e_i;
  }

llvm_cbe_bb68_2e_i_2e_i:
  llvm_cbe_tmp70_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 272u);
  llvm_cbe_tmp7273_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJoint *)llvm_cbe_tmp70_2e_i_2e_i);
  if ((llvm_cbe_tmp70_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp70_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb78_2e_i_2e_i;
  }

llvm_cbe_bb78_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp70_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i386_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i386_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i395_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i395_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i400_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i400_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i405_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i405_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i412_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i412_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp70_2e_i_2e_i)) = ((&_ZTV16b2PrismaticJoint[((signed long long )2ull)]));
  llvm_cbe_tmp28_2e_i434_2e_i_2e_i = *llvm_cbe_tmp27_2e_i433_2e_i_2e_i;
  llvm_cbe_tmp31_2e_i437_2e_i_2e_i = *llvm_cbe_tmp30_2e_i436_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field1.field0)) = llvm_cbe_tmp28_2e_i434_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field1.field1)) = llvm_cbe_tmp31_2e_i437_2e_i_2e_i;
  llvm_cbe_tmp44_2e_i448_2e_i_2e_i = *llvm_cbe_tmp43_2e_i447_2e_i_2e_i;
  llvm_cbe_tmp48_2e_i451_2e_i_2e_i = *llvm_cbe_tmp47_2e_i450_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field2.field0)) = llvm_cbe_tmp44_2e_i448_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field2.field1)) = llvm_cbe_tmp48_2e_i451_2e_i_2e_i;
  llvm_cbe_tmp61_2e_i462_2e_i_2e_i = *llvm_cbe_tmp60_2e_i461_2e_i_2e_i;
  llvm_cbe_tmp64_2e_i465_2e_i_2e_i = *llvm_cbe_tmp63_2e_i464_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field3.field0)) = llvm_cbe_tmp61_2e_i462_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field3.field1)) = llvm_cbe_tmp64_2e_i465_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i40_2e_i485_2e_i_2e_i = *((&llvm_cbe_tmp7273_2e_i_2e_i->field3.field1));
  llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234235236_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i53_2e_i_2e_i_2e_i227__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i40_2e_i485_2e_i_2e_i * -0x1p+0))), llvm_cbe_tmp20_2e_i53_2e_i_2e_i_2e_i227__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234__BITCAST_TEMPORARY.Float = llvm_cbe_tmp61_2e_i462_2e_i_2e_i, llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field4.field0)) = ((llvm_cbe_tmp81_2e_i493_2e_i_2e_i218__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234235236_2e_ins)), llvm_cbe_tmp81_2e_i493_2e_i_2e_i218__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field4.field1)) = ((llvm_cbe_tmp84_2e_i496_2e_i_2e_i222__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234235236_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp84_2e_i496_2e_i_2e_i222__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp87_2e_i499_2e_i_2e_i = *llvm_cbe_tmp86_2e_i498_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field5)) = llvm_cbe_tmp87_2e_i499_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field0.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field2.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field2.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field6.field3)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field7)) = 0x0p+0;
  ltmp_12_1 = memset(((&llvm_cbe_tmp70_2e_i_2e_i[((signed long long )192ull)])), (((unsigned int )(unsigned char )((unsigned char )0))), 16ull);
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field11.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field11.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field11.field2.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field11.field2.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field11.field3)) = 0x0p+0;
  ltmp_13_1 = memset(((&llvm_cbe_tmp70_2e_i_2e_i[((signed long long )228ull)])), (((unsigned int )(unsigned char )((unsigned char )0))), 16ull);
  llvm_cbe_tmp112_2e_i525_2e_i_2e_i = *llvm_cbe_tmp111_2e_i524_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field16)) = llvm_cbe_tmp112_2e_i525_2e_i_2e_i;
  llvm_cbe_tmp117_2e_i530_2e_i_2e_i = *llvm_cbe_tmp116_2e_i529_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field17)) = llvm_cbe_tmp117_2e_i530_2e_i_2e_i;
  llvm_cbe_tmp122_2e_i535_2e_i_2e_i = *llvm_cbe_tmp121_2e_i534_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field18)) = llvm_cbe_tmp122_2e_i535_2e_i_2e_i;
  llvm_cbe_tmp127_2e_i540_2e_i_2e_i = *llvm_cbe_tmp126_2e_i539_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field19)) = llvm_cbe_tmp127_2e_i540_2e_i_2e_i;
  llvm_cbe_tmp132_2e_i545_2e_i_2e_i = *llvm_cbe_tmp131_2e_i544_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field20)) = llvm_cbe_tmp132_2e_i545_2e_i_2e_i;
  llvm_cbe_tmp137_2e_i550_2e_i_2e_i = *llvm_cbe_tmp136_2e_i549_2e_i_2e_i;
  *((&llvm_cbe_tmp7273_2e_i_2e_i->field21)) = llvm_cbe_tmp137_2e_i550_2e_i_2e_i;
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i56_2e_i_2e_i_2e_i234235236_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp70_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb97_2e_i_2e_i:
  llvm_cbe_tmp99_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 216u);
  llvm_cbe_tmp101102_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJoint *)llvm_cbe_tmp99_2e_i_2e_i);
  if ((llvm_cbe_tmp99_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp99_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb107_2e_i_2e_i;
  }

llvm_cbe_bb107_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp99_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i247_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i247_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i256_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i256_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i261_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i261_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i266_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i266_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i273_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i273_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp99_2e_i_2e_i)) = ((&_ZTV15b2RevoluteJoint[((signed long long )2ull)]));
  llvm_cbe_tmp22_2e_i289_2e_i_2e_i = *llvm_cbe_tmp21_2e_i288_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i292_2e_i_2e_i = *llvm_cbe_tmp25_2e_i291_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field1.field0)) = llvm_cbe_tmp22_2e_i289_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field1.field1)) = llvm_cbe_tmp26_2e_i292_2e_i_2e_i;
  llvm_cbe_tmp39_2e_i303_2e_i_2e_i = *llvm_cbe_tmp38_2e_i302_2e_i_2e_i;
  llvm_cbe_tmp42_2e_i_2e_i_2e_i = *llvm_cbe_tmp41_2e_i305_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field2.field0)) = llvm_cbe_tmp39_2e_i303_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field2.field1)) = llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  llvm_cbe_tmp53_2e_i315_2e_i_2e_i = *llvm_cbe_tmp52_2e_i314_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field13)) = llvm_cbe_tmp53_2e_i315_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field3.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field3.field1)) = 0x0p+0;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field4)) = 0x0p+0;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field5)) = 0x0p+0;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field6)) = 0x0p+0;
  llvm_cbe_tmp66_2e_i332_2e_i_2e_i = *llvm_cbe_tmp65_2e_i331_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field14)) = llvm_cbe_tmp66_2e_i332_2e_i_2e_i;
  llvm_cbe_tmp71_2e_i337_2e_i_2e_i = *llvm_cbe_tmp70_2e_i336_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field15)) = llvm_cbe_tmp71_2e_i337_2e_i_2e_i;
  llvm_cbe_tmp76_2e_i_2e_i_2e_i = *llvm_cbe_tmp75_2e_i341_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field10)) = llvm_cbe_tmp76_2e_i_2e_i_2e_i;
  llvm_cbe_tmp81_2e_i346_2e_i_2e_i = *llvm_cbe_tmp80_2e_i345_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field11)) = llvm_cbe_tmp81_2e_i346_2e_i_2e_i;
  llvm_cbe_tmp86_2e_i350_2e_i_2e_i = *llvm_cbe_tmp85_2e_i349_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field12)) = llvm_cbe_tmp86_2e_i350_2e_i_2e_i;
  llvm_cbe_tmp91_2e_i355_2e_i_2e_i = *llvm_cbe_tmp90_2e_i354_2e_i_2e_i;
  *((&llvm_cbe_tmp101102_2e_i_2e_i->field9)) = llvm_cbe_tmp91_2e_i355_2e_i_2e_i;
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp99_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb126_2e_i_2e_i:
  llvm_cbe_tmp128_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 248u);
  llvm_cbe_tmp130131_2e_i_2e_i = ((struct l_struct_2E_b2PulleyJoint *)llvm_cbe_tmp128_2e_i_2e_i);
  if ((llvm_cbe_tmp128_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp128_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb136_2e_i_2e_i;
  }

llvm_cbe_bb107_2e_i_2e_i_2e_i:
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field9)) = llvm_cbe_tmp101_2e_i189_2e_i_2e_i;
  llvm_cbe_tmp115_2e_i196_2e_i_2e_i = *llvm_cbe_tmp114_2e_i195_2e_i_2e_i;
  llvm_cbe_tmp121_2e_i201_2e_i_2e_i = *llvm_cbe_tmp120_2e_i200_2e_i_2e_i;
  llvm_cbe_tmp123_2e_i202_2e_i_2e_i = ((float )(llvm_cbe_tmp115_2e_i196_2e_i_2e_i + (((float )(llvm_cbe_tmp101_2e_i189_2e_i_2e_i * llvm_cbe_tmp121_2e_i201_2e_i_2e_i)))));
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field8)) = llvm_cbe_tmp123_2e_i202_2e_i_2e_i;
  llvm_cbe_tmp133_2e_i211_2e_i_2e_i = ((float )(llvm_cbe_tmp123_2e_i202_2e_i_2e_i + (((float )(llvm_cbe_tmp101_2e_i189_2e_i_2e_i * -0x1p+1)))));
  llvm_cbe_tmp136_2e_i214_2e_i_2e_i = *llvm_cbe_tmp135_2e_i213_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field10)) = ((((llvm_fcmp_olt(llvm_cbe_tmp136_2e_i214_2e_i_2e_i, llvm_cbe_tmp133_2e_i211_2e_i_2e_i))) ? (llvm_cbe_tmp136_2e_i214_2e_i_2e_i) : (llvm_cbe_tmp133_2e_i211_2e_i_2e_i)));
  llvm_cbe_tmp147_2e_i223_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp123_2e_i202_2e_i_2e_i - 0x1p+1))) / llvm_cbe_tmp101_2e_i189_2e_i_2e_i));
  llvm_cbe_tmp150_2e_i225_2e_i_2e_i = *llvm_cbe_tmp149_2e_i224_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field11)) = ((((llvm_fcmp_olt(llvm_cbe_tmp150_2e_i225_2e_i_2e_i, llvm_cbe_tmp147_2e_i223_2e_i_2e_i))) ? (llvm_cbe_tmp150_2e_i225_2e_i_2e_i) : (llvm_cbe_tmp147_2e_i223_2e_i_2e_i)));
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field15)) = 0x0p+0;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field16)) = 0x0p+0;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field17)) = 0x0p+0;
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199200201_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213214215_2e_ins;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp128_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb136_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp128_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i94_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i94_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i103_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i103_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i108_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i108_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i113_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i113_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i120_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i120_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp128_2e_i_2e_i)) = ((&_ZTV13b2PulleyJoint[((signed long long )2ull)]));
  llvm_cbe_tmp27_2e_i139_2e_i_2e_i = *((&llvm_cbe_tmp130131_2e_i_2e_i->field0.field6));
  llvm_cbe_tmp3_2e_i122_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp27_2e_i139_2e_i_2e_i->field8));
  llvm_cbe_tmp3_2e_i119_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i122_2e_i_2e_i_2e_i->field13));
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field1)) = llvm_cbe_tmp3_2e_i119_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i77_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i76_2e_i_2e_i_2e_i;
  llvm_cbe_tmp5_2e_i79_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i119_2e_i_2e_i_2e_i->field2.field0.field1);
  llvm_cbe_tmp6_2e_i80_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i79_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i84_2e_i_2e_i_2e_i = *llvm_cbe_tmp9_2e_i83_2e_i_2e_i_2e_i;
  llvm_cbe_tmp12_2e_i86_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i119_2e_i_2e_i_2e_i->field2.field0.field0);
  llvm_cbe_tmp13_2e_i87_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i86_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213214215_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i103_2e_i_2e_i_2e_i206__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i84_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i87_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i103_2e_i_2e_i_2e_i206__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i77_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i80_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field2.field0)) = ((llvm_cbe_tmp46_2e_i152_2e_i_2e_i176__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213214215_2e_ins)), llvm_cbe_tmp46_2e_i152_2e_i_2e_i176__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field2.field1)) = ((llvm_cbe_tmp49_2e_i155_2e_i_2e_i180__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i106_2e_i_2e_i_2e_i213214215_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp49_2e_i155_2e_i_2e_i180__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i33_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i32_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i36_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i79_2e_i_2e_i_2e_i;
  llvm_cbe_tmp10_2e_i40_2e_i_2e_i_2e_i = *llvm_cbe_tmp9_2e_i39_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i43_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i86_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199200201_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i53_2e_i_2e_i_2e_i192__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i40_2e_i_2e_i_2e_i - llvm_cbe_tmp13_2e_i43_2e_i_2e_i_2e_i))), llvm_cbe_tmp23_2e_i53_2e_i_2e_i_2e_i192__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i33_2e_i_2e_i_2e_i - llvm_cbe_tmp6_2e_i36_2e_i_2e_i_2e_i))), llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field3.field0)) = ((llvm_cbe_tmp63_2e_i165_2e_i_2e_i183__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199200201_2e_ins)), llvm_cbe_tmp63_2e_i165_2e_i_2e_i183__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field3.field1)) = ((llvm_cbe_tmp66_2e_i168_2e_i_2e_i187__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i56_2e_i_2e_i_2e_i199200201_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp66_2e_i168_2e_i_2e_i187__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp71_2e_i_2e_i_2e_i = *llvm_cbe_tmp70_2e_i171_2e_i_2e_i;
  llvm_cbe_tmp74_2e_i174_2e_i_2e_i = *llvm_cbe_tmp73_2e_i173_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field4.field0)) = llvm_cbe_tmp71_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field4.field1)) = llvm_cbe_tmp74_2e_i174_2e_i_2e_i;
  llvm_cbe_tmp87_2e_i177_2e_i_2e_i = *llvm_cbe_tmp86_2e_i176_2e_i_2e_i;
  llvm_cbe_tmp90_2e_i180_2e_i_2e_i = *llvm_cbe_tmp89_2e_i179_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field5.field0)) = llvm_cbe_tmp87_2e_i177_2e_i_2e_i;
  *((&llvm_cbe_tmp130131_2e_i_2e_i->field5.field1)) = llvm_cbe_tmp90_2e_i180_2e_i_2e_i;
  llvm_cbe_tmp101_2e_i189_2e_i_2e_i = *llvm_cbe_tmp100_2e_i188_2e_i_2e_i;
  if ((llvm_fcmp_oeq(llvm_cbe_tmp101_2e_i189_2e_i_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i191_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb107_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb155_2e_i_2e_i:
  llvm_cbe_tmp157_2e_i_2e_i = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_tmp9_2e_i, 248u);
  llvm_cbe_tmp159160_2e_i_2e_i = ((struct l_struct_2E_b2GearJoint *)llvm_cbe_tmp157_2e_i_2e_i);
  if ((llvm_cbe_tmp157_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp157_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb165_2e_i_2e_i;
  }

llvm_cbe__ZN11b2GearJointC1EPK14b2GearJointDef_2e_exit_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp324_2e_i_2e_i_2e_i = *llvm_cbe_tmp323_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field13)) = llvm_cbe_tmp324_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field12)) = (((float )((((float )(llvm_cbe_tmp324_2e_i_2e_i_2e_i * llvm_cbe_storemerge1_2e_i_2e_i_2e_i))) + llvm_cbe_storemerge_2e_i_2e_i_2e_i)));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field15)) = 0x0p+0;
  llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i365_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i30_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i70_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
  llvm_cbe_joint_2e_i_2e_i_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp157_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocator_2e_exit_2e_i;

llvm_cbe_bb225_2e_i_2e_i_2e_i:
  llvm_cbe_tmp228229_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJoint *)llvm_cbe_tmp228_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp92_2e_i_2e_i_2e_i = llvm_cbe_tmp228229_2e_i_2e_i_2e_i;
  llvm_cbe_tmp238_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field1.field0));
  llvm_cbe_tmp241_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field1.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field8.field0)) = llvm_cbe_tmp238_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field8.field1)) = llvm_cbe_tmp241_2e_i_2e_i_2e_i;
  llvm_cbe_tmp256_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field2.field0));
  llvm_cbe_tmp259_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field2.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field10.field0)) = llvm_cbe_tmp256_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field10.field1)) = llvm_cbe_tmp259_2e_i_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i5_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field0.field6));
  llvm_cbe_tmp8_2e_i8_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field0.field7));
  llvm_cbe_tmp12_2e_i10_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp8_2e_i8_2e_i_2e_i_2e_i->field3.field4));
  llvm_cbe_tmp16_2e_i13_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i5_2e_i_2e_i_2e_i->field3.field4));
  llvm_cbe_tmp20_2e_i17_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp228229_2e_i_2e_i_2e_i->field13));
  llvm_cbe_tmp21_2e_i18_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp12_2e_i10_2e_i_2e_i_2e_i - llvm_cbe_tmp16_2e_i13_2e_i_2e_i_2e_i))) - llvm_cbe_tmp20_2e_i17_2e_i_2e_i_2e_i));
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i18_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN11b2GearJointC1EPK14b2GearJointDef_2e_exit_2e_i_2e_i;

llvm_cbe_bb207_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp210_2e_i_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i24_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp210_2e_i_2e_i_2e_i->field6));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field2)) = llvm_cbe_tmp3_2e_i24_2e_i_2e_i_2e_i;
  llvm_cbe_tmp216_2e_i_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i21_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp216_2e_i_2e_i_2e_i->field7));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp3_2e_i21_2e_i_2e_i_2e_i;
  llvm_cbe_tmp228_2e_i_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i74_2e_i_2e_i_2e_i == 1u)) {
    goto llvm_cbe_bb225_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb273_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb112_2e_i_2e_i_2e_i:
  llvm_cbe_tmp115116_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJoint *)llvm_cbe_tmp115_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp87_2e_i_2e_i_2e_i = llvm_cbe_tmp115116_2e_i_2e_i_2e_i;
  llvm_cbe_tmp125_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field1.field0));
  llvm_cbe_tmp128_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field1.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field7.field0)) = llvm_cbe_tmp125_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field7.field1)) = llvm_cbe_tmp128_2e_i_2e_i_2e_i;
  llvm_cbe_tmp143_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field2.field0));
  llvm_cbe_tmp146_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field2.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field9.field0)) = llvm_cbe_tmp143_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field9.field1)) = llvm_cbe_tmp146_2e_i_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i30_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field0.field6));
  llvm_cbe_tmp8_2e_i33_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field0.field7));
  llvm_cbe_tmp12_2e_i35_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp8_2e_i33_2e_i_2e_i_2e_i->field3.field4));
  llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i30_2e_i_2e_i_2e_i->field3.field4));
  llvm_cbe_tmp20_2e_i42_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp115116_2e_i_2e_i_2e_i->field13));
  llvm_cbe_tmp21_2e_i43_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp12_2e_i35_2e_i_2e_i_2e_i - llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i))) - llvm_cbe_tmp20_2e_i42_2e_i_2e_i_2e_i));
  llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i43_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb207_2e_i_2e_i_2e_i;

llvm_cbe_bb85_2e_i_2e_i_2e_i:
  llvm_cbe_tmp87_2e_i_2e_i_2e_i = (&llvm_cbe_tmp159160_2e_i_2e_i->field3);
  *llvm_cbe_tmp87_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0);
  llvm_cbe_tmp90_2e_i_2e_i_2e_i = (&llvm_cbe_tmp159160_2e_i_2e_i->field4);
  *llvm_cbe_tmp90_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJoint *)/*NULL*/0);
  llvm_cbe_tmp92_2e_i_2e_i_2e_i = (&llvm_cbe_tmp159160_2e_i_2e_i->field5);
  *llvm_cbe_tmp92_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0);
  llvm_cbe_tmp94_2e_i_2e_i_2e_i = (&llvm_cbe_tmp159160_2e_i_2e_i->field6);
  *llvm_cbe_tmp94_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJoint *)/*NULL*/0);
  llvm_cbe_tmp97_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i51_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp97_2e_i_2e_i_2e_i->field6));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field1)) = llvm_cbe_tmp3_2e_i51_2e_i_2e_i_2e_i;
  llvm_cbe_tmp103_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i47_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp103_2e_i_2e_i_2e_i->field7));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp3_2e_i47_2e_i_2e_i_2e_i;
  llvm_cbe_tmp115_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i78_2e_i_2e_i_2e_i == 1u)) {
    goto llvm_cbe_bb112_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb159_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb72_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i59_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp32_2e_i_2e_i_2e_i->field6));
  llvm_cbe_tmp3_2e_i55_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i59_2e_i_2e_i_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i55_2e_i_2e_i_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb85_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb81_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb59_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i70_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp28_2e_i_2e_i_2e_i->field6));
  llvm_cbe_tmp3_2e_i63_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i70_2e_i_2e_i_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i63_2e_i_2e_i_2e_i == ((unsigned short )0))) {
    goto llvm_cbe_bb72_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb68_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb45_2e_i_2e_i_2e_i:
  switch (llvm_cbe_tmp3_2e_i74_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb55_2e_i_2e_i_2e_i;
;
  case 1u:
    goto llvm_cbe_bb59_2e_i_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb59_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb165_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp157_2e_i_2e_i)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field1)) = llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field2)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field3)) = ((struct l_struct_2E_b2Joint *)/*NULL*/0);
  llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field6)) = llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field7)) = llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp23_2e_i_2e_i265_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field10)) = llvm_cbe_tmp24_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i272_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field0.field11)) = llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i;
  *(((unsigned int  (***) ())llvm_cbe_tmp157_2e_i_2e_i)) = ((&_ZTV11b2GearJoint[((signed long long )2ull)]));
  llvm_cbe_tmp28_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i78_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp28_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp32_2e_i_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i74_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp32_2e_i_2e_i_2e_i->field1));
  switch (llvm_cbe_tmp3_2e_i78_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb41_2e_i_2e_i_2e_i;
;
  case 1u:
    goto llvm_cbe_bb45_2e_i_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb45_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb159_2e_i_2e_i_2e_i:
  llvm_cbe_tmp162163_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJoint *)llvm_cbe_tmp115_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp90_2e_i_2e_i_2e_i = llvm_cbe_tmp162163_2e_i_2e_i_2e_i;
  llvm_cbe_tmp172_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp162163_2e_i_2e_i_2e_i->field1.field0));
  llvm_cbe_tmp175_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp162163_2e_i_2e_i_2e_i->field1.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field7.field0)) = llvm_cbe_tmp172_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field7.field1)) = llvm_cbe_tmp175_2e_i_2e_i_2e_i;
  llvm_cbe_tmp190_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp162163_2e_i_2e_i_2e_i->field2.field0));
  llvm_cbe_tmp193_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp162163_2e_i_2e_i_2e_i->field2.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field9.field0)) = llvm_cbe_tmp190_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field9.field1)) = llvm_cbe_tmp193_2e_i_2e_i_2e_i;
  llvm_cbe_tmp206_2e_i_2e_i_2e_i = _ZNK16b2PrismaticJoint19GetJointTranslationEv(llvm_cbe_tmp162163_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp206_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb207_2e_i_2e_i_2e_i;

llvm_cbe_bb273_2e_i_2e_i_2e_i:
  llvm_cbe_tmp276277_2e_i_2e_i_2e_i = ((struct l_struct_2E_b2PrismaticJoint *)llvm_cbe_tmp228_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp94_2e_i_2e_i_2e_i = llvm_cbe_tmp276277_2e_i_2e_i_2e_i;
  llvm_cbe_tmp286_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp276277_2e_i_2e_i_2e_i->field1.field0));
  llvm_cbe_tmp289_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp276277_2e_i_2e_i_2e_i->field1.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field8.field0)) = llvm_cbe_tmp286_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field8.field1)) = llvm_cbe_tmp289_2e_i_2e_i_2e_i;
  llvm_cbe_tmp304_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp276277_2e_i_2e_i_2e_i->field2.field0));
  llvm_cbe_tmp307_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp276277_2e_i_2e_i_2e_i->field2.field1));
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field10.field0)) = llvm_cbe_tmp304_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp159160_2e_i_2e_i->field10.field1)) = llvm_cbe_tmp307_2e_i_2e_i_2e_i;
  llvm_cbe_tmp320_2e_i_2e_i_2e_i = _ZNK16b2PrismaticJoint19GetJointTranslationEv(llvm_cbe_tmp276277_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp320_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN11b2GearJointC1EPK14b2GearJointDef_2e_exit_2e_i_2e_i;

llvm_cbe_bb25_2e_i:
  *((&llvm_cbe_tmp21_2e_i->field2)) = llvm_cbe_joint_2e_i_2e_i_2e_0;
  goto llvm_cbe_bb31_2e_i;

llvm_cbe_bb70_2e_i:
  *((&llvm_cbe_tmp66_2e_i->field2)) = ((&llvm_cbe_joint_2e_i_2e_i_2e_0->field4));
  goto llvm_cbe_bb79_2e_i;

llvm_cbe_bb115_2e_i:
  *((&llvm_cbe_tmp111_2e_i->field2)) = ((&llvm_cbe_joint_2e_i_2e_i_2e_0->field5));
  goto llvm_cbe_bb124_2e_i;

  do {     /* Syntactic loop 'bb174.i' to make GCC happy */
llvm_cbe_bb174_2e_i:
  llvm_cbe_storemerge1_2e_in_2e_i = llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i = *llvm_cbe_storemerge1_2e_in_2e_i;
  if ((llvm_cbe_storemerge1_2e_i == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    goto llvm_cbe__ZN7b2World11CreateJointEPK10b2JointDef_2e_exit;
  } else {
    goto llvm_cbe_bb164_2e_i;
  }

llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i:
  llvm_cbe_tmp172_2e_i = (&llvm_cbe_storemerge1_2e_i->field2);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp172_2e_i;   /* for PHI node */
  goto llvm_cbe_bb174_2e_i;

llvm_cbe_bb164_2e_i:
  llvm_cbe_tmp169_2e_i = *llvm_cbe_tmp168_2e_i;
  llvm_cbe_tmp1_2e_i_2e_i = (&llvm_cbe_storemerge1_2e_i->field8);
  llvm_cbe_tmp2_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i15_2e_i;
  }

llvm_cbe_bb22_2e_i_2e_i:
  llvm_cbe_tmp26_2e_i18_2e_i = _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(llvm_cbe_tmp169_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), (((unsigned char *)llvm_cbe_storemerge1_2e_i)));
  *llvm_cbe_tmp1_2e_i_2e_i = llvm_cbe_tmp26_2e_i18_2e_i;
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

llvm_cbe_bb_2e_i15_2e_i:
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp169_2e_i, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i_2e_i)));
  llvm_cbe_tmp12_2e_i11_2e_i = *((&llvm_cbe_storemerge1_2e_i->field0));
  llvm_cbe_tmp14_2e_i13_2e_i = *((&llvm_cbe_tmp12_2e_i11_2e_i[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp14_2e_i13_2e_i))(llvm_cbe_storemerge1_2e_i, (&llvm_cbe_aabb_2e_i_2e_i), llvm_cbe_tmp2_2e_i21_2e_i);
  llvm_cbe_tmp19_2e_i_2e_i = _ZNK12b2BroadPhase7InRangeERK6b2AABB(llvm_cbe_tmp169_2e_i, (&llvm_cbe_aabb_2e_i_2e_i));
  if ((llvm_cbe_tmp19_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb29_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb22_2e_i_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i_2e_i = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape13RefilterProxyEP12b2BroadPhaseRK7b2XForm_2e_exit_2e_i;

  } while (1); /* end of syntactic loop 'bb174.i' */
llvm_cbe_bb137_2e_i:
  llvm_cbe_tmp140_2e_i = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  llvm_cbe_tmp142_2e_i = *((&llvm_cbe_tmp140_2e_i->field12));
  llvm_cbe_tmp145_2e_i = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  llvm_cbe_tmp147_2e_i = *((&llvm_cbe_tmp145_2e_i->field12));
  llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i_2e_val = *llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i;
  llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i_2e_val = *llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i;
  llvm_cbe_storemerge_2e_i = (((((signed int )llvm_cbe_tmp142_2e_i) < ((signed int )llvm_cbe_tmp147_2e_i))) ? (llvm_cbe_tmp13_2e_i_2e_i255_2e_i_2e_i_2e_val) : (llvm_cbe_tmp18_2e_i_2e_i260_2e_i_2e_i_2e_val));
  llvm_cbe_tmp162_2e_i = (&llvm_cbe_storemerge_2e_i->field11);
  llvm_cbe_tmp2_2e_i21_2e_i = (&llvm_cbe_storemerge_2e_i->field2);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp162_2e_i;   /* for PHI node */
  goto llvm_cbe_bb174_2e_i;

  } while (1); /* end of syntactic loop 'bb43' */
llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str10163[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 185u, ((&_ZZN7b2World11CreateJointEPK10b2JointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i679_2e_i_2e_i:
  __assert_fail(((&_2E_str2244[((signed long long )0ull)])), ((&_2E_str3245[((signed long long )0ull)])), 52u, ((&_ZZN12b2MouseJointC4EPK15b2MouseJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i191_2e_i_2e_i:
  __assert_fail(((&_2E_str5226[((signed long long )0ull)])), ((&_2E_str1222[((signed long long )0ull)])), 73u, ((&_ZZN13b2PulleyJointC4EPK16b2PulleyJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb41_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str2230[((signed long long )0ull)])), ((&_2E_str1229[((signed long long )0ull)])), 51u, ((&_ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb55_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str3231[((signed long long )0ull)])), ((&_2E_str1229[((signed long long )0ull)])), 52u, ((&_ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb68_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str4232[((signed long long )0ull)])), ((&_2E_str1229[((signed long long )0ull)])), 53u, ((&_ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb81_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str5233[((signed long long )0ull)])), ((&_2E_str1229[((signed long long )0ull)])), 54u, ((&_ZZN11b2GearJointC4EPK14b2GearJointDefE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb184_2e_i_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1172[((signed long long )0ull)])), 82u, ((&_ZZN7b2Joint6CreateEPK10b2JointDefP16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb108:
  llvm_cbe_tmp111 = *llvm_cbe_tmp20;
  return;
llvm_cbe_return:
  return;
}


static void _ZN5Scene12createJointsEP6Stroke(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Stroke *llvm_cbe_s) {
  unsigned int llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp20;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp8;
  struct l_struct_2E_b2World *llvm_cbe_tmp21;
  struct l_struct_2E_b2World *llvm_cbe_tmp26;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i14;
  struct l_struct_2E_Stroke *llvm_cbe_tmp31;
  unsigned int llvm_cbe_storemerge_2e_in;
  unsigned int llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_tmp20 = (&llvm_cbe_this->field1);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i;   /* for PHI node */
  goto llvm_cbe_bb37;

  do {     /* Syntactic loop 'bb37' to make GCC happy */
llvm_cbe_bb37:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge_2e_in + 4294967295u;
  if ((((signed int )llvm_cbe_storemerge) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp8 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  if ((llvm_cbe_tmp8 == llvm_cbe_s)) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb37;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb13:
  llvm_cbe_tmp21 = *llvm_cbe_tmp20;
  _ZN6Stroke16maybeCreateJointER7b2WorldPS_(llvm_cbe_s, llvm_cbe_tmp21, llvm_cbe_tmp8);
  llvm_cbe_tmp26 = *llvm_cbe_tmp20;
  llvm_cbe_tmp3_2e_i_2e_i14 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp31 = *((&llvm_cbe_tmp3_2e_i_2e_i14[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  _ZN6Stroke16maybeCreateJointER7b2WorldPS_(llvm_cbe_tmp31, llvm_cbe_tmp26, llvm_cbe_s);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
  goto llvm_cbe_bb37;

  } while (1); /* end of syntactic loop 'bb37' */
llvm_cbe_return:
  return;
}


static void _ZN5Scene4stepEv(struct l_struct_2E_Scene *llvm_cbe_this) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp1_2e_i109;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_b2World **llvm_cbe_tmp3;
  struct l_struct_2E_b2World *llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp2_2e_i103;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i;
  float *llvm_cbe_tmp1_2e_i_2e_i119;
  float *llvm_cbe_tmp4_2e_i_2e_i122;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp9;
  unsigned int *llvm_cbe_tmp2_2e_i29;
  unsigned int llvm_cbe_tmp3_2e_i30;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i139;
  struct l_struct_2E_Stroke *llvm_cbe_tmp22;
  unsigned int *llvm_cbe_tmp3_2e_i110;
  unsigned int llvm_cbe_tmp4_2e_i111;
  struct l_struct_2E_b2Body **llvm_cbe_tmp10_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp11_2e_i116;
  unsigned int llvm_cbe_tmp16_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp21_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp25_2e_i125;
  struct l_struct_2E_b2Body *llvm_cbe_tmp28_2e_i;
  unsigned int llvm_cbe_tmp25;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i104;
  unsigned int *llvm_cbe_tmp3_2e_i51;
  unsigned int *llvm_cbe_tmp13_2e_i;
  unsigned int *llvm_cbe_tmp25_2e_i;
  unsigned int *llvm_cbe_tmp37_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i96;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i98;
  struct l_struct_2E_Stroke *llvm_cbe_tmp41;
  unsigned int llvm_cbe_tmp3_2e_i79;
  unsigned int llvm_cbe_tmp4_2e_i52;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp14_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i;
  unsigned int llvm_cbe_tmp26_2e_i;
  unsigned int llvm_cbe_tmp30_2e_i;
  unsigned int llvm_cbe_tmp38_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i43;
  struct l_struct_2E_Stroke *llvm_cbe_tmp69;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i20;
  struct l_struct_2E_Stroke *llvm_cbe_tmp75;
  struct l_struct_2E_b2World *llvm_cbe_tmp2_2e_i8;
  unsigned int llvm_cbe_tmp79;
  unsigned int llvm_cbe_storemerge2;
  unsigned int llvm_cbe_storemerge2__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  _ZN7b2World4StepEfi(llvm_cbe_tmp4);
  llvm_cbe_tmp2_2e_i103 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field2.field0);
  llvm_cbe_tmp1_2e_i_2e_i119 = (&llvm_cbe_tmp1_2e_i109.field0);
  llvm_cbe_tmp4_2e_i_2e_i122 = (&llvm_cbe_tmp1_2e_i109.field1);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb26;

  do {     /* Syntactic loop 'bb26' to make GCC happy */
llvm_cbe_bb26:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i104 = *llvm_cbe_tmp2_2e_i103;
  if ((((signed int )llvm_cbe_tmp3_2e_i104) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb35;
  }

llvm_cbe_bb23:
  llvm_cbe_tmp25 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp25;   /* for PHI node */
  goto llvm_cbe_bb26;

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp9 = *((&llvm_cbe_tmp3_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  llvm_cbe_tmp2_2e_i29 = (&llvm_cbe_tmp9->field2);
  llvm_cbe_tmp3_2e_i30 = *llvm_cbe_tmp2_2e_i29;
  if (((llvm_cbe_tmp3_2e_i30 & 64u) == 0u)) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb12;
  }

llvm_cbe_bb12:
  *llvm_cbe_tmp2_2e_i29 = (llvm_cbe_tmp3_2e_i30 & 4294967231u);
  llvm_cbe_tmp3_2e_i_2e_i139 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp22 = *((&llvm_cbe_tmp3_2e_i_2e_i139[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)]));
  llvm_cbe_tmp3_2e_i110 = (&llvm_cbe_tmp22->field14);
  llvm_cbe_tmp4_2e_i111 = *llvm_cbe_tmp3_2e_i110;
  if ((llvm_cbe_tmp4_2e_i111 == 0u)) {
    goto llvm_cbe_bb_2e_i117;
  } else {
    goto llvm_cbe_bb23;
  }

llvm_cbe_bb_2e_i117:
  *llvm_cbe_tmp3_2e_i110 = 1u;
  llvm_cbe_tmp10_2e_i = (&llvm_cbe_tmp22->field12);
  llvm_cbe_tmp11_2e_i116 = *llvm_cbe_tmp10_2e_i;
  if ((llvm_cbe_tmp11_2e_i116 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb15_2e_i;
  }

llvm_cbe_bb15_2e_i:
  llvm_cbe_tmp16_2e_i = *(&SCREEN_HEIGHT);
  *llvm_cbe_tmp1_2e_i_2e_i119 = 0x0p+0;
  *llvm_cbe_tmp4_2e_i_2e_i122 = (((float )((((float )(signed int )llvm_cbe_tmp16_2e_i)) * 0x1p+1)));
  llvm_cbe_tmp21_2e_i = *llvm_cbe_tmp10_2e_i;
  _ZN6b2Body8SetXFormERK6b2Vec2f(llvm_cbe_tmp21_2e_i, (&llvm_cbe_tmp1_2e_i109), 0x0p+0);
  llvm_cbe_tmp25_2e_i125 = *llvm_cbe_tmp10_2e_i;
  *((&llvm_cbe_tmp25_2e_i125->field4.field0)) = 0x0p+0;
  *((&llvm_cbe_tmp25_2e_i125->field4.field1)) = 0x0p+0;
  llvm_cbe_tmp28_2e_i = *llvm_cbe_tmp10_2e_i;
  *((&llvm_cbe_tmp28_2e_i->field5)) = 0x0p+0;
  goto llvm_cbe_bb23;

  } while (1); /* end of syntactic loop 'bb26' */
llvm_cbe_bb35:
  llvm_cbe_tmp3_2e_i51 = (&llvm_cbe_tmp.field0.field0);
  llvm_cbe_tmp13_2e_i = (&llvm_cbe_tmp.field0.field1);
  llvm_cbe_tmp25_2e_i = (&llvm_cbe_tmp.field1.field0);
  llvm_cbe_tmp37_2e_i = (&llvm_cbe_tmp.field1.field1);
  llvm_cbe_storemerge2__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb80;

  do {     /* Syntactic loop 'bb80' to make GCC happy */
llvm_cbe_bb80:
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i103;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge2))) {
    goto llvm_cbe_bb36;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb77:
  llvm_cbe_tmp79 = llvm_cbe_storemerge2 + 1u;
  llvm_cbe_storemerge2__PHI_TEMPORARY = llvm_cbe_tmp79;   /* for PHI node */
  goto llvm_cbe_bb80;

llvm_cbe_bb36:
  llvm_cbe_tmp3_2e_i_2e_i96 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i98 = ((signed long long )(signed int )llvm_cbe_storemerge2);
  llvm_cbe_tmp41 = *((&llvm_cbe_tmp3_2e_i_2e_i96[((signed long long )llvm_cbe_tmp45_2e_i_2e_i98)]));
  llvm_cbe_tmp3_2e_i79 = *((&llvm_cbe_tmp41->field2));
  if (((llvm_cbe_tmp3_2e_i79 & 2u) == 0u)) {
    goto llvm_cbe_bb77;
  } else {
    goto llvm_cbe_bb46;
  }

llvm_cbe_bb34_2e_i:
  llvm_cbe_tmp38_2e_i = *llvm_cbe_tmp37_2e_i;
  llvm_cbe_tmp42_2e_i = *((&BOUNDS_RECT.field0.field1));
  if ((((signed int )llvm_cbe_tmp38_2e_i) < ((signed int )llvm_cbe_tmp42_2e_i))) {
    goto llvm_cbe_bb64;
  } else {
    goto llvm_cbe_bb77;
  }

llvm_cbe_bb22_2e_i:
  llvm_cbe_tmp26_2e_i = *llvm_cbe_tmp25_2e_i;
  llvm_cbe_tmp30_2e_i = *((&BOUNDS_RECT.field0.field0));
  if ((((signed int )llvm_cbe_tmp26_2e_i) < ((signed int )llvm_cbe_tmp30_2e_i))) {
    goto llvm_cbe_bb64;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp14_2e_i = *llvm_cbe_tmp13_2e_i;
  llvm_cbe_tmp18_2e_i = *((&BOUNDS_RECT.field1.field1));
  if ((((signed int )llvm_cbe_tmp14_2e_i) > ((signed int )llvm_cbe_tmp18_2e_i))) {
    goto llvm_cbe_bb64;
  } else {
    goto llvm_cbe_bb22_2e_i;
  }

llvm_cbe_bb46:
  llvm_cbe_tmp = _ZNK4Path4bboxEv(((&llvm_cbe_tmp41->field5)));
  llvm_cbe_tmp4_2e_i52 = *llvm_cbe_tmp3_2e_i51;
  llvm_cbe_tmp8_2e_i = *((&BOUNDS_RECT.field1.field0));
  if ((((signed int )llvm_cbe_tmp4_2e_i52) > ((signed int )llvm_cbe_tmp8_2e_i))) {
    goto llvm_cbe_bb64;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb64:
  llvm_cbe_tmp3_2e_i_2e_i43 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp69 = *((&llvm_cbe_tmp3_2e_i_2e_i43[((signed long long )llvm_cbe_tmp45_2e_i_2e_i98)]));
  _ZN5Scene5resetEP6Stroke(llvm_cbe_this, llvm_cbe_tmp69);
  llvm_cbe_tmp3_2e_i_2e_i20 = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp75 = *((&llvm_cbe_tmp3_2e_i_2e_i20[((signed long long )llvm_cbe_tmp45_2e_i_2e_i98)]));
  llvm_cbe_tmp2_2e_i8 = *llvm_cbe_tmp3;
  _ZN6Stroke12createBodiesER7b2World(llvm_cbe_tmp75, llvm_cbe_tmp2_2e_i8);
  _ZN5Scene12createJointsEP6Stroke(llvm_cbe_this, llvm_cbe_tmp75);
  goto llvm_cbe_bb77;

  } while (1); /* end of syntactic loop 'bb80' */
llvm_cbe_return:
  return;
}


static void _ZN7b2WorldD1Ev(struct l_struct_2E_b2World *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp2;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp10;
  unsigned char *llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i27;
  unsigned int llvm_cbe_tmp11_2e_i32;

  llvm_cbe_tmp2 = *((&llvm_cbe_this->field13));
  _ZN7b2World11DestroyBodyEP6b2Body(llvm_cbe_this, llvm_cbe_tmp2);
  llvm_cbe_tmp10 = *((&llvm_cbe_this->field3));
  if ((llvm_cbe_tmp10 == ((struct l_struct_2E_b2BroadPhase *)/*NULL*/0))) {
    goto llvm_cbe_invcont12;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i = (&(((unsigned char *)llvm_cbe_tmp10))[((signed long long )18446744073709551612ull)]);
  llvm_cbe_tmp8_2e_i = *(((unsigned int *)llvm_cbe_tmp5_2e_i));
  llvm_cbe_tmp9_2e_i = *(&b2_byteCount);
  if ((((signed int )llvm_cbe_tmp9_2e_i) < ((signed int )llvm_cbe_tmp8_2e_i))) {
    goto llvm_cbe_bb14_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i;
  }

llvm_cbe_bb14_2e_i:
  __assert_fail(((&_2E_str169[((signed long long )0ull)])), ((&_2E_str1170[((signed long long )0ull)])), 48u, ((&_ZZ6b2FreePvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i:
  *(&b2_byteCount) = (llvm_cbe_tmp9_2e_i - llvm_cbe_tmp8_2e_i);
  free(llvm_cbe_tmp5_2e_i);
  goto llvm_cbe_invcont12;

llvm_cbe_invcont12:
  *((&llvm_cbe_this->field4.field0.field0)) = ((&_ZTV16b2ContactManager[((signed long long )2ull)]));
  *((&llvm_cbe_this->field4.field2.field0.field0)) = ((&_ZTV13b2NullContact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field4.field2.field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field4.field0.field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i27 = *((&llvm_cbe_this->field1.field1));
  if ((llvm_cbe_tmp2_2e_i27 == 0u)) {
    goto llvm_cbe_bb8_2e_i34;
  } else {
    goto llvm_cbe_bb_2e_i29;
  }

llvm_cbe_bb_2e_i29:
  __assert_fail(((&_2E_str184[((signed long long )0ull)])), ((&_2E_str1185[((signed long long )0ull)])), 32u, ((&_ZZN16b2StackAllocatorD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb8_2e_i34:
  llvm_cbe_tmp11_2e_i32 = *((&llvm_cbe_this->field1.field5));
  if ((llvm_cbe_tmp11_2e_i32 == 0u)) {
    goto llvm_cbe_bb32;
  } else {
    goto llvm_cbe_bb15_2e_i35;
  }

llvm_cbe_bb15_2e_i35:
  __assert_fail(((&_2E_str2186[((signed long long )0ull)])), ((&_2E_str1185[((signed long long )0ull)])), 33u, ((&_ZZN16b2StackAllocatorD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb32:
  _ZN16b2BlockAllocatorD1Ev(((&llvm_cbe_this->field0)));
  return;
}


static unsigned char _ZN5Scene4loadERSi(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_std_3A__3A_istream *llvm_cbe_in) {
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp_2e_i_2e_i9;    /* Address-exposed local */
  struct l_struct_2E_Path llvm_cbe_tmp2_2e_i_2e_i10;    /* Address-exposed local */
  struct l_struct_2E_Stroke *llvm_cbe_tmp1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2_2e_i14;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp3_2e_i15;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp5_2e_i17;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_line;    /* Address-exposed local */
  struct l_struct_2E_Image *llvm_cbe_tmp3;
  unsigned char *llvm_cbe_tmp6;
  struct l_struct_2E_Image *llvm_cbe_tmp67;
  unsigned int llvm_cbe_tmp11;
  unsigned int llvm_cbe_tmp12;
  unsigned char **llvm_cbe_tmp2_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i21_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i22_2e_i;
  double llvm_cbe_tmp23_2e_i;
  double llvm_cbe_tmp29_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp22_2e_i_2e_i;
  unsigned char llvm_cbe_tmp24_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp49_2e_i_2e_i;
  unsigned int llvm_cbe_tmp52_2e_i_2e_i;
  bool llvm_cbe_src_converted_2e_i_2e_i_2e_0;
  bool llvm_cbe_src_converted_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  bool llvm_cbe_is32bit_2e_i_2e_i_2e_0;
  bool llvm_cbe_is32bit_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_SDL_Surface *llvm_cbe_rz_src_2e_i_2e_i_2e_0;
  struct l_struct_2E_SDL_Surface *llvm_cbe_rz_src_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  double llvm_cbe_tmp63_2e_i_2e_i;
  double llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0;
  double llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  double llvm_cbe_tmp74_2e_i_2e_i;
  double llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0;
  double llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_tmp89_2e_i_2e_i;
  unsigned int llvm_cbe_tmp90_2e_i_2e_i;
  unsigned int llvm_cbe_tmp9394_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp96_2e_i_2e_i;
  unsigned int llvm_cbe_tmp97_2e_i_2e_i;
  unsigned int llvm_cbe_tmp100101_2e_i_2e_i;
  unsigned int llvm_cbe_dstwidth_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_dstheight_2e_i_2e_i_2e_0;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp121_2e_i_2e_i;
  unsigned int llvm_cbe_tmp123_2e_i_2e_i;
  unsigned int llvm_cbe_tmp128_2e_i_2e_i;
  unsigned int llvm_cbe_tmp133_2e_i_2e_i;
  unsigned int llvm_cbe_tmp138_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp141_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp145_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_storemerge_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp148_2e_i_2e_i;
  unsigned int llvm_cbe_tmp156_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp162_2e_i_2e_i;
  unsigned int llvm_cbe_tmp163_2e_i_2e_i;
  unsigned int llvm_cbe_tmp166167_2e_i_2e_i;
  unsigned int llvm_cbe_tmp170_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp176_2e_i_2e_i;
  unsigned int llvm_cbe_tmp177_2e_i_2e_i;
  unsigned int llvm_cbe_tmp180181_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp188_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp188189_2e_i_2e_i;
  unsigned int llvm_cbe_tmp199_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp203_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp203204_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp216_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp216217_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp221_2e_i_2e_i;
  unsigned int llvm_cbe_tmp230_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp234_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp245_2e_i_2e_i;
  unsigned int llvm_cbe_tmp249_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp253254_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_1;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int *llvm_cbe_tmp261_2e_i_2e_i;
  unsigned int llvm_cbe_tmp266_2e_i_2e_i;
  unsigned int llvm_cbe_tmp268_2e_i_2e_i;
  unsigned int llvm_cbe_csx6_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_csx6_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csax8_2e_i_2e_i_2e_0;
  unsigned int *llvm_cbe_csax8_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp272_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp283_2e_i_2e_i;
  unsigned int llvm_cbe_tmp288_2e_i_2e_i;
  unsigned int llvm_cbe_tmp290_2e_i_2e_i;
  unsigned int llvm_cbe_csy5_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_csy5_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csay7_2e_i_2e_i_2e_0;
  unsigned int *llvm_cbe_csay7_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp294_2e_i_2e_i;
  unsigned short llvm_cbe_tmp302_2e_i_2e_i;
  unsigned int llvm_cbe_tmp306_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp318_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp578579_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp314_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp315316_2e_i_2e_i;
  unsigned short llvm_cbe_tmp319_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp322323_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp326_2e_i_2e_i;
  unsigned int llvm_cbe_tmp330_2e_i_2e_i;
  unsigned int llvm_cbe_tmp331_2e_i_2e_i;
  unsigned int llvm_cbe_tmp333_2e_i_2e_i;
  unsigned int llvm_cbe_tmp334_2e_i_2e_i;
  unsigned char llvm_cbe_tmp337_2e_i_2e_i;
  unsigned char llvm_cbe_tmp341_2e_i_2e_i;
  unsigned int llvm_cbe_tmp341342_2e_i_2e_i;
  unsigned int llvm_cbe_tmp352_2e_i_2e_i;
  unsigned char llvm_cbe_tmp355_2e_i_2e_i;
  unsigned char llvm_cbe_tmp359_2e_i_2e_i;
  unsigned int llvm_cbe_tmp359360_2e_i_2e_i;
  unsigned char llvm_cbe_tmp385_2e_i_2e_i;
  unsigned char llvm_cbe_tmp389_2e_i_2e_i;
  unsigned int llvm_cbe_tmp389390_2e_i_2e_i;
  unsigned int llvm_cbe_tmp400_2e_i_2e_i;
  unsigned char llvm_cbe_tmp403_2e_i_2e_i;
  unsigned char llvm_cbe_tmp407_2e_i_2e_i;
  unsigned int llvm_cbe_tmp407408_2e_i_2e_i;
  unsigned char llvm_cbe_tmp433_2e_i_2e_i;
  unsigned char llvm_cbe_tmp437_2e_i_2e_i;
  unsigned int llvm_cbe_tmp437438_2e_i_2e_i;
  unsigned int llvm_cbe_tmp448_2e_i_2e_i;
  unsigned char llvm_cbe_tmp451_2e_i_2e_i;
  unsigned char llvm_cbe_tmp455_2e_i_2e_i;
  unsigned int llvm_cbe_tmp455456_2e_i_2e_i;
  unsigned char llvm_cbe_tmp481_2e_i_2e_i;
  unsigned char llvm_cbe_tmp485_2e_i_2e_i;
  unsigned int llvm_cbe_tmp485486_2e_i_2e_i;
  unsigned int llvm_cbe_tmp496_2e_i_2e_i;
  unsigned char llvm_cbe_tmp499_2e_i_2e_i;
  unsigned char llvm_cbe_tmp503_2e_i_2e_i;
  unsigned int llvm_cbe_tmp503504_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp528_2e_i_2e_i;
  unsigned int llvm_cbe_tmp530_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp533534_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp535_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp539_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp543_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp547_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp549_2e_i_2e_i;
  unsigned int llvm_cbe_tmp551_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_dp2_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_dp2_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_c11_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_c11_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_c10_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_c10_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_c01_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_c01_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_c00_2e_i_2e_i_2e_0;
  struct l_struct_2E__2E_0Features *llvm_cbe_c00_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csax8_2e_i_2e_i_2e_1;
  unsigned int *llvm_cbe_csax8_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp555_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp562_2e_i_2e_i;
  unsigned int llvm_cbe_tmp566_2e_i_2e_i;
  unsigned short llvm_cbe_tmp570_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp574575_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp580_2e_i_2e_i;
  unsigned int llvm_cbe_tmp583_2e_i_2e_i;
  unsigned char *llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in;
  unsigned char *llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_2;
  struct l_struct_2E__2E_0Features *llvm_cbe_csp3_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csay7_2e_i_2e_i_2e_1;
  unsigned int *llvm_cbe_csay7_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge16_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_dp2_2e_i_2e_i_2e_1;
  unsigned int llvm_cbe_tmp587_2e_i_2e_i;
  unsigned int llvm_cbe_tmp598_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat **llvm_cbe_tmp649_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat **llvm_cbe_tmp602_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp607_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp614_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp615616_2e_i_2e_i;
  unsigned char llvm_cbe_tmp620_2e_i_2e_i;
  unsigned char llvm_cbe_tmp623_2e_i_2e_i;
  unsigned char llvm_cbe_tmp626_2e_i_2e_i;
  unsigned char llvm_cbe_tmp629_2e_i_2e_i;
  unsigned int llvm_cbe_tmp646_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge17_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp650_2e_i_2e_i;
  struct l_struct_2E_SDL_Palette *llvm_cbe_tmp652_2e_i_2e_i;
  unsigned int llvm_cbe_tmp654_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp603_2e_i_2e_i;
  struct l_struct_2E_SDL_Palette *llvm_cbe_tmp605_2e_i_2e_i;
  unsigned int llvm_cbe_tmp675_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp680_2e_i_2e_i;
  unsigned int llvm_cbe_tmp681_2e_i_2e_i;
  unsigned int llvm_cbe_tmp684685_2e_i_2e_i;
  unsigned int llvm_cbe_tmp688_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp693_2e_i_2e_i;
  unsigned int llvm_cbe_tmp694_2e_i_2e_i;
  unsigned int llvm_cbe_tmp697698_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp704_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp704705_2e_i_2e_i;
  unsigned int llvm_cbe_tmp715_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp718_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp718719_2e_i_2e_i;
  unsigned int llvm_cbe_tmp739_2e_i_2e_i;
  unsigned int llvm_cbe_tmp744_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp746_2e_i_2e_i;
  unsigned int llvm_cbe_tmp748_2e_i_2e_i;
  unsigned int llvm_cbe_csx_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_csx_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csax_2e_i_2e_i_2e_0;
  unsigned int *llvm_cbe_csax_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge18_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge18_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp752_2e_i_2e_i;
  unsigned int llvm_cbe_tmp762_2e_i_2e_i;
  unsigned int llvm_cbe_tmp767_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp769_2e_i_2e_i;
  unsigned int llvm_cbe_tmp771_2e_i_2e_i;
  unsigned int llvm_cbe_csy_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_csy_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csay_2e_i_2e_i_2e_0;
  unsigned int *llvm_cbe_csay_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge19_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge19_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp775_2e_i_2e_i;
  unsigned int llvm_cbe_tmp794_2e_i_2e_i;
  unsigned int llvm_cbe_tmp790_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge20_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge20_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp809_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge21_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge21_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp821_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp825_2e_i_2e_i;
  unsigned short llvm_cbe_tmp828_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp865_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp875876_2e_i_2e_i;
  unsigned char llvm_cbe_tmp840_2e_i_2e_i;
  unsigned int llvm_cbe_tmp843_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp846_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp848_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp850_2e_i_2e_i;
  unsigned int llvm_cbe_tmp852_2e_i_2e_i;
  unsigned char *llvm_cbe_dp_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_dp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_sp_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_sp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csax_2e_i_2e_i_2e_2;
  unsigned int *llvm_cbe_csax_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge22_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge22_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp856_2e_i_2e_i;
  unsigned int llvm_cbe_tmp863_2e_i_2e_i;
  unsigned short llvm_cbe_tmp866_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp871_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp873_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp877_2e_i_2e_i;
  unsigned int llvm_cbe_tmp879_2e_i_2e_i;
  unsigned char *llvm_cbe_csp_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_csp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_dp_2e_i_2e_i_2e_1;
  unsigned char *llvm_cbe_dp_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int *llvm_cbe_csay_2e_i_2e_i_2e_2;
  unsigned int *llvm_cbe_csay_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge23_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge23_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp883_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp895_2e_i_2e_i;
  unsigned int llvm_cbe_tmp897_2e_i_2e_i;
  unsigned int llvm_cbe_tmp899_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp43_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reload117;
  struct l_struct_2E_Image *llvm_cbe_tmp21;
  unsigned int  (***llvm_cbe_tmp35) ();
  unsigned char *llvm_cbe_tmp32331;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp41_2e_i28;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp27_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i51_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Array_3C_Stroke_2A__3E_ *llvm_cbe_tmp57_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i_2e_i82_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp6_2e_i_2e_i86_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp16_2e_i;
  struct l_struct_2E_std_3A__3A_istream *llvm_cbe_tmp27;
  unsigned char *llvm_cbe_tmp7_2e_i18105;
  unsigned char llvm_cbe_tmp8_2e_i19;
  unsigned long long llvm_cbe_tmp12_2e_i106;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp17_2e_i;
  unsigned long long llvm_cbe_tmp23_2e_i23108;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp29_2e_i26;
  unsigned long long llvm_cbe_tmp37_2e_i27111;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp43_2e_i29;
  unsigned char *llvm_cbe_tmp50_2e_i114;
  struct l_struct_2E_Stroke *llvm_cbe_tmp5051_2e_i;
  unsigned int *llvm_cbe_tmp25_2e_i_2e_i38;
  unsigned int *llvm_cbe_tmp27_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp30_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp33_2e_i_2e_i40;
  unsigned int llvm_cbe_tmp26_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp29_2e_i244_2e_i_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp53_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp40_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i206_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i179_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i181_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i152_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i154_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i125_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i127_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i98_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i100_2e_i_2e_i;
  unsigned int llvm_cbe_tmp71_2e_i_2e_i;
  unsigned int llvm_cbe_col_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp74_2e_i_2e_i58;
  unsigned int llvm_cbe_col_2e_i_2e_i_2e_1;
  unsigned int llvm_cbe_col_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned char *llvm_cbe_storemerge_2e_i_2e_i60;
  unsigned char *llvm_cbe_storemerge_2e_i_2e_i60__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp77_2e_i_2e_i61;
  unsigned int llvm_cbe_tmp108_2e_i_2e_i72;
  unsigned char llvm_cbe_tmp113_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i83_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i87_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i67_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp141_2e_i_2e_i81;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i62_2e_i_2e_i;
  unsigned int llvm_cbe_tmp156_2e_i_2e_i87;
  unsigned int llvm_cbe_tmp159_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i45_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i49_2e_i_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp165_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp36) ();
  unsigned long long llvm_cbe_tmp39;
  unsigned char llvm_cbe_tmp44;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i6;

  _ZN5Scene5clearEv(llvm_cbe_this);
  llvm_cbe_tmp3 = *(&_ZN5Scene9g_bgImageE);
  if ((llvm_cbe_tmp3 == ((struct l_struct_2E_Image *)/*NULL*/0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb20;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6 = _Znwm(48ull);
  llvm_cbe_tmp67 = ((struct l_struct_2E_Image *)llvm_cbe_tmp6);
  _ZN5ImageC1EPKcb(llvm_cbe_tmp67, ((&_2E_str429[((signed long long )0ull)])));
  *(&_ZN5Scene9g_bgImageE) = llvm_cbe_tmp67;
  llvm_cbe_tmp11 = *(&SCREEN_HEIGHT);
  llvm_cbe_tmp12 = *(&SCREEN_WIDTH);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_tmp67->field0.field1);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i);
  llvm_cbe_tmp5_2e_i_2e_i = (&llvm_cbe_tmp34_2e_i_2e_i->field2);
  llvm_cbe_tmp6_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i;
  if ((llvm_cbe_tmp6_2e_i_2e_i == llvm_cbe_tmp12)) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i21_2e_i = (&llvm_cbe_tmp34_2e_i_2e_i->field3);
  llvm_cbe_tmp6_2e_i22_2e_i = *llvm_cbe_tmp5_2e_i21_2e_i;
  if ((llvm_cbe_tmp6_2e_i22_2e_i == llvm_cbe_tmp11)) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb17_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp23_2e_i = (((double )(signed int )llvm_cbe_tmp11)) / (((double )(signed int )llvm_cbe_tmp6_2e_i22_2e_i));
  llvm_cbe_tmp29_2e_i = (((double )(signed int )llvm_cbe_tmp12)) / (((double )(signed int )llvm_cbe_tmp6_2e_i_2e_i));
  if ((llvm_cbe_tmp3_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb19_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i_2e_i:
  llvm_cbe_tmp22_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i->field1));
  llvm_cbe_tmp24_2e_i_2e_i = *((&llvm_cbe_tmp22_2e_i_2e_i->field1));
  switch (llvm_cbe_tmp24_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb42_2e_i_2e_i;
;
  case ((unsigned char )8):
    goto llvm_cbe_bb40_2e_i_2e_i;
    break;
  case ((unsigned char )32):
    goto llvm_cbe_bb40_2e_i_2e_i;
    break;
  }
llvm_cbe_bb40_2e_i_2e_i:
  llvm_cbe_src_converted_2e_i_2e_i_2e_0__PHI_TEMPORARY = 1;   /* for PHI node */
  llvm_cbe_is32bit_2e_i_2e_i_2e_0__PHI_TEMPORARY = (llvm_cbe_tmp24_2e_i_2e_i != ((unsigned char )32));   /* for PHI node */
  llvm_cbe_rz_src_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb53_2e_i_2e_i;

llvm_cbe_bb42_2e_i_2e_i:
  llvm_cbe_tmp49_2e_i_2e_i = SDL_CreateRGBSurface(0u, llvm_cbe_tmp6_2e_i_2e_i, llvm_cbe_tmp6_2e_i22_2e_i, 32u, 255u, 65280u, 16711680u, 4278190080u);
  llvm_cbe_tmp52_2e_i_2e_i = SDL_UpperBlit(llvm_cbe_tmp34_2e_i_2e_i, ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), llvm_cbe_tmp49_2e_i_2e_i, ((struct l_struct_2E_SDL_Rect *)/*NULL*/0));
  llvm_cbe_src_converted_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0;   /* for PHI node */
  llvm_cbe_is32bit_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0;   /* for PHI node */
  llvm_cbe_rz_src_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb53_2e_i_2e_i;

llvm_cbe_bb53_2e_i_2e_i:
  llvm_cbe_src_converted_2e_i_2e_i_2e_0 = ((llvm_cbe_src_converted_2e_i_2e_i_2e_0__PHI_TEMPORARY)&1);
  llvm_cbe_is32bit_2e_i_2e_i_2e_0 = ((llvm_cbe_is32bit_2e_i_2e_i_2e_0__PHI_TEMPORARY)&1);
  llvm_cbe_rz_src_2e_i_2e_i_2e_0 = llvm_cbe_rz_src_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_tmp29_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb61_2e_i_2e_i;
  } else {
    llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29_2e_i;   /* for PHI node */
    goto llvm_cbe_bb64_2e_i_2e_i;
  }

llvm_cbe_bb61_2e_i_2e_i:
  llvm_cbe_tmp63_2e_i_2e_i = -(llvm_cbe_tmp29_2e_i);
  llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp63_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb64_2e_i_2e_i;

llvm_cbe_bb64_2e_i_2e_i:
  llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0 = llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_tmp23_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb72_2e_i_2e_i;
  } else {
    llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i;   /* for PHI node */
    goto llvm_cbe_bb75_2e_i_2e_i;
  }

llvm_cbe_bb72_2e_i_2e_i:
  llvm_cbe_tmp74_2e_i_2e_i = -(llvm_cbe_tmp23_2e_i);
  llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp74_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb75_2e_i_2e_i;

llvm_cbe_bb75_2e_i_2e_i:
  llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0 = llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp89_2e_i_2e_i = (&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field2);
  llvm_cbe_tmp90_2e_i_2e_i = *llvm_cbe_tmp89_2e_i_2e_i;
  llvm_cbe_tmp9394_2e_i_2e_i = ((signed int )((((double )(signed int )llvm_cbe_tmp90_2e_i_2e_i)) * ((((llvm_fcmp_olt(llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0, 0x1.a36e2eb1c432dp-14))) ? (0x1.a36e2eb1c432dp-14) : (llvm_cbe_zoomx_addr_2e_i_2e_i_2e_0)))));
  llvm_cbe_tmp96_2e_i_2e_i = (&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field3);
  llvm_cbe_tmp97_2e_i_2e_i = *llvm_cbe_tmp96_2e_i_2e_i;
  llvm_cbe_tmp100101_2e_i_2e_i = ((signed int )((((double )(signed int )llvm_cbe_tmp97_2e_i_2e_i)) * ((((llvm_fcmp_olt(llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0, 0x1.a36e2eb1c432dp-14))) ? (0x1.a36e2eb1c432dp-14) : (llvm_cbe_zoomy_addr_2e_i_2e_i_2e_0)))));
  llvm_cbe_dstwidth_2e_i_2e_i_2e_0 = (((((signed int )llvm_cbe_tmp9394_2e_i_2e_i) < ((signed int )1u))) ? (1u) : (llvm_cbe_tmp9394_2e_i_2e_i));
  llvm_cbe_dstheight_2e_i_2e_i_2e_0 = (((((signed int )llvm_cbe_tmp100101_2e_i_2e_i) < ((signed int )1u))) ? (1u) : (llvm_cbe_tmp100101_2e_i_2e_i));
  if (llvm_cbe_is32bit_2e_i_2e_i_2e_0) {
    goto llvm_cbe_bb142_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb118_2e_i_2e_i;
  }

llvm_cbe_bb118_2e_i_2e_i:
  llvm_cbe_tmp121_2e_i_2e_i = *((&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field1));
  llvm_cbe_tmp123_2e_i_2e_i = *((&llvm_cbe_tmp121_2e_i_2e_i->field14));
  llvm_cbe_tmp128_2e_i_2e_i = *((&llvm_cbe_tmp121_2e_i_2e_i->field13));
  llvm_cbe_tmp133_2e_i_2e_i = *((&llvm_cbe_tmp121_2e_i_2e_i->field12));
  llvm_cbe_tmp138_2e_i_2e_i = *((&llvm_cbe_tmp121_2e_i_2e_i->field11));
  llvm_cbe_tmp141_2e_i_2e_i = SDL_CreateRGBSurface(0u, llvm_cbe_dstwidth_2e_i_2e_i_2e_0, llvm_cbe_dstheight_2e_i_2e_i_2e_0, 32u, llvm_cbe_tmp138_2e_i_2e_i, llvm_cbe_tmp133_2e_i_2e_i, llvm_cbe_tmp128_2e_i_2e_i, llvm_cbe_tmp123_2e_i_2e_i);
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp141_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb146_2e_i_2e_i;

llvm_cbe_bb142_2e_i_2e_i:
  llvm_cbe_tmp145_2e_i_2e_i = SDL_CreateRGBSurface(0u, llvm_cbe_dstwidth_2e_i_2e_i_2e_0, llvm_cbe_dstheight_2e_i_2e_i_2e_0, 8u, 0u, 0u, 0u, 0u);
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp145_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb146_2e_i_2e_i;

llvm_cbe_bb146_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp148_2e_i_2e_i = SDL_LockSurface(llvm_cbe_rz_src_2e_i_2e_i_2e_0);
  if (llvm_cbe_is32bit_2e_i_2e_i_2e_0) {
    goto llvm_cbe_bb599_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb153_2e_i_2e_i;
  }

llvm_cbe_bb153_2e_i_2e_i:
  llvm_cbe_tmp156_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i;
  llvm_cbe_tmp162_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i->field2);
  llvm_cbe_tmp163_2e_i_2e_i = *llvm_cbe_tmp162_2e_i_2e_i;
  llvm_cbe_tmp166167_2e_i_2e_i = ((signed int )(((((double )(((float )(signed int )(llvm_cbe_tmp156_2e_i_2e_i + 4294967295u))))) * 0x1p+16) / (((double )(((float )(signed int )llvm_cbe_tmp163_2e_i_2e_i))))));
  llvm_cbe_tmp170_2e_i_2e_i = *llvm_cbe_tmp5_2e_i21_2e_i;
  llvm_cbe_tmp176_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i->field3);
  llvm_cbe_tmp177_2e_i_2e_i = *llvm_cbe_tmp176_2e_i_2e_i;
  llvm_cbe_tmp180181_2e_i_2e_i = ((signed int )(((((double )(((float )(signed int )(llvm_cbe_tmp170_2e_i_2e_i + 4294967295u))))) * 0x1p+16) / (((double )(((float )(signed int )llvm_cbe_tmp177_2e_i_2e_i))))));
  llvm_cbe_tmp188_2e_i_2e_i = malloc(((((signed long long )(signed int )(llvm_cbe_tmp163_2e_i_2e_i + 1u))) << 2ull));
  llvm_cbe_tmp188189_2e_i_2e_i = ((unsigned int *)llvm_cbe_tmp188_2e_i_2e_i);
  if ((llvm_cbe_tmp188_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb196_2e_i_2e_i;
  }

llvm_cbe_bb196_2e_i_2e_i:
  llvm_cbe_tmp199_2e_i_2e_i = *llvm_cbe_tmp176_2e_i_2e_i;
  llvm_cbe_tmp203_2e_i_2e_i = malloc(((((signed long long )(signed int )(llvm_cbe_tmp199_2e_i_2e_i + 1u))) << 2ull));
  llvm_cbe_tmp203204_2e_i_2e_i = ((unsigned int *)llvm_cbe_tmp203_2e_i_2e_i);
  if ((llvm_cbe_tmp203_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb210_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb213_2e_i_2e_i;
  }

llvm_cbe_bb210_2e_i_2e_i:
  free(llvm_cbe_tmp188_2e_i_2e_i);
  goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;

llvm_cbe_bb213_2e_i_2e_i:
  llvm_cbe_tmp216_2e_i_2e_i = *((&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field5));
  llvm_cbe_tmp216217_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)llvm_cbe_tmp216_2e_i_2e_i);
  llvm_cbe_tmp221_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i_2e_i->field5));
  if ((llvm_fcmp_olt(llvm_cbe_tmp29_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb227_2e_i_2e_i;
  } else {
    llvm_cbe_csp3_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp216217_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb235_2e_i_2e_i;
  }

llvm_cbe_bb227_2e_i_2e_i:
  llvm_cbe_tmp230_2e_i_2e_i = *llvm_cbe_tmp89_2e_i_2e_i;
  llvm_cbe_tmp234_2e_i_2e_i = (&llvm_cbe_tmp216217_2e_i_2e_i[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp230_2e_i_2e_i + 4294967295u))))]);
  llvm_cbe_csp3_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp234_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb235_2e_i_2e_i;

llvm_cbe_bb235_2e_i_2e_i:
  llvm_cbe_csp3_2e_i_2e_i_2e_0 = llvm_cbe_csp3_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_tmp23_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb240_2e_i_2e_i;
  } else {
    llvm_cbe_csp3_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_csp3_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb255_2e_i_2e_i;
  }

llvm_cbe_bb240_2e_i_2e_i:
  llvm_cbe_tmp245_2e_i_2e_i = *((&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field4));
  llvm_cbe_tmp249_2e_i_2e_i = *llvm_cbe_tmp5_2e_i21_2e_i;
  llvm_cbe_tmp253254_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)((&((&llvm_cbe_csp3_2e_i_2e_i_2e_0->field0))[((signed long long )(((signed long long )(signed int )((((unsigned int )(unsigned short )llvm_cbe_tmp245_2e_i_2e_i)) * (llvm_cbe_tmp249_2e_i_2e_i + 4294967295u)))))])));
  llvm_cbe_csp3_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp253254_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb255_2e_i_2e_i;

llvm_cbe_bb255_2e_i_2e_i:
  llvm_cbe_csp3_2e_i_2e_i_2e_1 = llvm_cbe_csp3_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_csx6_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_csax8_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp188189_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb269_2e_i_2e_i;

  do {     /* Syntactic loop 'bb269.i.i' to make GCC happy */
llvm_cbe_bb269_2e_i_2e_i:
  llvm_cbe_csx6_2e_i_2e_i_2e_0 = llvm_cbe_csx6_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csax8_2e_i_2e_i_2e_0 = llvm_cbe_csax8_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp272_2e_i_2e_i = *llvm_cbe_tmp162_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp272_2e_i_2e_i) < ((signed int )llvm_cbe_storemerge1_2e_i_2e_i))) {
    llvm_cbe_csy5_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    llvm_cbe_csay7_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp203204_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb291_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb257_2e_i_2e_i;
  }

llvm_cbe_bb257_2e_i_2e_i:
  *llvm_cbe_csax8_2e_i_2e_i_2e_0 = llvm_cbe_csx6_2e_i_2e_i_2e_0;
  llvm_cbe_tmp261_2e_i_2e_i = (&llvm_cbe_csax8_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp266_2e_i_2e_i = (llvm_cbe_csx6_2e_i_2e_i_2e_0 & 65535u) + llvm_cbe_tmp166167_2e_i_2e_i;
  llvm_cbe_tmp268_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i + 1u;
  llvm_cbe_csx6_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp266_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csax8_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp261_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp268_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb269_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb269.i.i' */
  do {     /* Syntactic loop 'bb291.i.i' to make GCC happy */
llvm_cbe_bb291_2e_i_2e_i:
  llvm_cbe_csy5_2e_i_2e_i_2e_0 = llvm_cbe_csy5_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csay7_2e_i_2e_i_2e_0 = llvm_cbe_csay7_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp294_2e_i_2e_i = *llvm_cbe_tmp176_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp294_2e_i_2e_i) < ((signed int )llvm_cbe_storemerge2_2e_i_2e_i))) {
    goto llvm_cbe_bb299_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb279_2e_i_2e_i;
  }

llvm_cbe_bb279_2e_i_2e_i:
  *llvm_cbe_csay7_2e_i_2e_i_2e_0 = llvm_cbe_csy5_2e_i_2e_i_2e_0;
  llvm_cbe_tmp283_2e_i_2e_i = (&llvm_cbe_csay7_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp288_2e_i_2e_i = (llvm_cbe_csy5_2e_i_2e_i_2e_0 & 65535u) + llvm_cbe_tmp180181_2e_i_2e_i;
  llvm_cbe_tmp290_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i + 1u;
  llvm_cbe_csy5_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp288_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csay7_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp283_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp290_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb291_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb291.i.i' */
llvm_cbe_bb299_2e_i_2e_i:
  llvm_cbe_tmp302_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i_2e_i->field4));
  llvm_cbe_tmp306_2e_i_2e_i = *llvm_cbe_tmp162_2e_i_2e_i;
  llvm_cbe_tmp318_2e_i_2e_i = (&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field4);
  llvm_cbe_tmp578579_2e_i_2e_i = ((signed long long )(signed int )((((unsigned int )(unsigned short )llvm_cbe_tmp302_2e_i_2e_i)) - (llvm_cbe_tmp306_2e_i_2e_i << 2u)));
  llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp221_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csp3_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_csp3_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_csay7_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp203204_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb584_2e_i_2e_i;

  do {     /* Syntactic loop 'bb584.i.i' to make GCC happy */
llvm_cbe_bb584_2e_i_2e_i:
  llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in = llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in__PHI_TEMPORARY;
  llvm_cbe_csp3_2e_i_2e_i_2e_2 = llvm_cbe_csp3_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_csay7_2e_i_2e_i_2e_1 = llvm_cbe_csay7_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge16_2e_i_2e_i = llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_dp2_2e_i_2e_i_2e_1 = ((struct l_struct_2E__2E_0Features *)llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in);
  llvm_cbe_tmp587_2e_i_2e_i = *llvm_cbe_tmp176_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp587_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge16_2e_i_2e_i))) {
    goto llvm_cbe_bb310_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb592_2e_i_2e_i;
  }

llvm_cbe_bb560_2e_i_2e_i:
  llvm_cbe_tmp562_2e_i_2e_i = (&llvm_cbe_csay7_2e_i_2e_i_2e_1[((signed long long )1ull)]);
  llvm_cbe_tmp566_2e_i_2e_i = *llvm_cbe_tmp562_2e_i_2e_i;
  llvm_cbe_tmp570_2e_i_2e_i = *llvm_cbe_tmp318_2e_i_2e_i;
  llvm_cbe_tmp574575_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)((&llvm_cbe_tmp315316_2e_i_2e_i[((signed long long )(((signed long long )(signed int )((((signed int )(((signed int )llvm_cbe_tmp566_2e_i_2e_i) >> ((signed int )16u)))) * (((unsigned int )(unsigned short )llvm_cbe_tmp570_2e_i_2e_i))))))])));
  llvm_cbe_tmp580_2e_i_2e_i = (&((&llvm_cbe_dp2_2e_i_2e_i_2e_0->field0))[((signed long long )llvm_cbe_tmp578579_2e_i_2e_i)]);
  llvm_cbe_tmp583_2e_i_2e_i = llvm_cbe_storemerge16_2e_i_2e_i + 1u;
  llvm_cbe_dp2_2e_i_2e_i_2e_1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp580_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csp3_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp574575_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csay7_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp562_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge16_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp583_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb584_2e_i_2e_i;

  do {     /* Syntactic loop 'bb552.i.i' to make GCC happy */
llvm_cbe_bb552_2e_i_2e_i:
  llvm_cbe_dp2_2e_i_2e_i_2e_0 = llvm_cbe_dp2_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_c11_2e_i_2e_i_2e_0 = llvm_cbe_c11_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_c10_2e_i_2e_i_2e_0 = llvm_cbe_c10_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_c01_2e_i_2e_i_2e_0 = llvm_cbe_c01_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_c00_2e_i_2e_i_2e_0 = llvm_cbe_c00_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csax8_2e_i_2e_i_2e_1 = llvm_cbe_csax8_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp555_2e_i_2e_i = *llvm_cbe_tmp162_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp555_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge3_2e_i_2e_i))) {
    goto llvm_cbe_bb328_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb560_2e_i_2e_i;
  }

llvm_cbe_bb328_2e_i_2e_i:
  llvm_cbe_tmp330_2e_i_2e_i = *llvm_cbe_csax8_2e_i_2e_i_2e_1;
  llvm_cbe_tmp331_2e_i_2e_i = llvm_cbe_tmp330_2e_i_2e_i & 65535u;
  llvm_cbe_tmp333_2e_i_2e_i = *llvm_cbe_csay7_2e_i_2e_i_2e_1;
  llvm_cbe_tmp334_2e_i_2e_i = llvm_cbe_tmp333_2e_i_2e_i & 65535u;
  llvm_cbe_tmp337_2e_i_2e_i = *((&llvm_cbe_c01_2e_i_2e_i_2e_0->field0));
  llvm_cbe_tmp341_2e_i_2e_i = *((&llvm_cbe_c00_2e_i_2e_i_2e_0->field0));
  llvm_cbe_tmp341342_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp341_2e_i_2e_i);
  llvm_cbe_tmp352_2e_i_2e_i = ((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp337_2e_i_2e_i)) - llvm_cbe_tmp341342_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp341342_2e_i_2e_i) & 255u;
  llvm_cbe_tmp355_2e_i_2e_i = *((&llvm_cbe_c11_2e_i_2e_i_2e_0->field0));
  llvm_cbe_tmp359_2e_i_2e_i = *((&llvm_cbe_c10_2e_i_2e_i_2e_0->field0));
  llvm_cbe_tmp359360_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp359_2e_i_2e_i);
  *((&llvm_cbe_dp2_2e_i_2e_i_2e_0->field0)) = (((unsigned char )((((unsigned char )(((unsigned int )(((unsigned int )(((((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp355_2e_i_2e_i)) - llvm_cbe_tmp359360_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp359360_2e_i_2e_i) & 255u) - llvm_cbe_tmp352_2e_i_2e_i) * llvm_cbe_tmp334_2e_i_2e_i)) >> ((unsigned int )16u)))))) + (((unsigned char )llvm_cbe_tmp352_2e_i_2e_i)))));
  llvm_cbe_tmp385_2e_i_2e_i = *((&llvm_cbe_c01_2e_i_2e_i_2e_0->field1));
  llvm_cbe_tmp389_2e_i_2e_i = *((&llvm_cbe_c00_2e_i_2e_i_2e_0->field1));
  llvm_cbe_tmp389390_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp389_2e_i_2e_i);
  llvm_cbe_tmp400_2e_i_2e_i = ((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp385_2e_i_2e_i)) - llvm_cbe_tmp389390_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp389390_2e_i_2e_i) & 255u;
  llvm_cbe_tmp403_2e_i_2e_i = *((&llvm_cbe_c11_2e_i_2e_i_2e_0->field1));
  llvm_cbe_tmp407_2e_i_2e_i = *((&llvm_cbe_c10_2e_i_2e_i_2e_0->field1));
  llvm_cbe_tmp407408_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp407_2e_i_2e_i);
  *((&llvm_cbe_dp2_2e_i_2e_i_2e_0->field1)) = (((unsigned char )((((unsigned char )(((unsigned int )(((unsigned int )(((((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp403_2e_i_2e_i)) - llvm_cbe_tmp407408_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp407408_2e_i_2e_i) & 255u) - llvm_cbe_tmp400_2e_i_2e_i) * llvm_cbe_tmp334_2e_i_2e_i)) >> ((unsigned int )16u)))))) + (((unsigned char )llvm_cbe_tmp400_2e_i_2e_i)))));
  llvm_cbe_tmp433_2e_i_2e_i = *((&llvm_cbe_c01_2e_i_2e_i_2e_0->field2));
  llvm_cbe_tmp437_2e_i_2e_i = *((&llvm_cbe_c00_2e_i_2e_i_2e_0->field2));
  llvm_cbe_tmp437438_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp437_2e_i_2e_i);
  llvm_cbe_tmp448_2e_i_2e_i = ((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp433_2e_i_2e_i)) - llvm_cbe_tmp437438_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp437438_2e_i_2e_i) & 255u;
  llvm_cbe_tmp451_2e_i_2e_i = *((&llvm_cbe_c11_2e_i_2e_i_2e_0->field2));
  llvm_cbe_tmp455_2e_i_2e_i = *((&llvm_cbe_c10_2e_i_2e_i_2e_0->field2));
  llvm_cbe_tmp455456_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp455_2e_i_2e_i);
  *((&llvm_cbe_dp2_2e_i_2e_i_2e_0->field2)) = (((unsigned char )((((unsigned char )(((unsigned int )(((unsigned int )(((((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp451_2e_i_2e_i)) - llvm_cbe_tmp455456_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp455456_2e_i_2e_i) & 255u) - llvm_cbe_tmp448_2e_i_2e_i) * llvm_cbe_tmp334_2e_i_2e_i)) >> ((unsigned int )16u)))))) + (((unsigned char )llvm_cbe_tmp448_2e_i_2e_i)))));
  llvm_cbe_tmp481_2e_i_2e_i = *((&llvm_cbe_c01_2e_i_2e_i_2e_0->field3));
  llvm_cbe_tmp485_2e_i_2e_i = *((&llvm_cbe_c00_2e_i_2e_i_2e_0->field3));
  llvm_cbe_tmp485486_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp485_2e_i_2e_i);
  llvm_cbe_tmp496_2e_i_2e_i = ((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp481_2e_i_2e_i)) - llvm_cbe_tmp485486_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp485486_2e_i_2e_i) & 255u;
  llvm_cbe_tmp499_2e_i_2e_i = *((&llvm_cbe_c11_2e_i_2e_i_2e_0->field3));
  llvm_cbe_tmp503_2e_i_2e_i = *((&llvm_cbe_c10_2e_i_2e_i_2e_0->field3));
  llvm_cbe_tmp503504_2e_i_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp503_2e_i_2e_i);
  *((&llvm_cbe_dp2_2e_i_2e_i_2e_0->field3)) = (((unsigned char )((((unsigned char )(((unsigned int )(((unsigned int )(((((((unsigned int )(((unsigned int )(((((unsigned int )(unsigned char )llvm_cbe_tmp499_2e_i_2e_i)) - llvm_cbe_tmp503504_2e_i_2e_i) * llvm_cbe_tmp331_2e_i_2e_i)) >> ((unsigned int )16u)))) + llvm_cbe_tmp503504_2e_i_2e_i) & 255u) - llvm_cbe_tmp496_2e_i_2e_i) * llvm_cbe_tmp334_2e_i_2e_i)) >> ((unsigned int )16u)))))) + (((unsigned char )llvm_cbe_tmp496_2e_i_2e_i)))));
  llvm_cbe_tmp528_2e_i_2e_i = (&llvm_cbe_csax8_2e_i_2e_i_2e_1[((signed long long )1ull)]);
  llvm_cbe_tmp530_2e_i_2e_i = *llvm_cbe_tmp528_2e_i_2e_i;
  llvm_cbe_tmp533534_2e_i_2e_i = ((signed long long )(signed int )(((signed int )(((signed int )llvm_cbe_tmp530_2e_i_2e_i) >> ((signed int )16u)))));
  llvm_cbe_tmp535_2e_i_2e_i = (&llvm_cbe_c00_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp533534_2e_i_2e_i)]);
  llvm_cbe_tmp539_2e_i_2e_i = (&llvm_cbe_c01_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp533534_2e_i_2e_i)]);
  llvm_cbe_tmp543_2e_i_2e_i = (&llvm_cbe_c10_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp533534_2e_i_2e_i)]);
  llvm_cbe_tmp547_2e_i_2e_i = (&llvm_cbe_c11_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp533534_2e_i_2e_i)]);
  llvm_cbe_tmp549_2e_i_2e_i = (&llvm_cbe_dp2_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp551_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i + 1u;
  llvm_cbe_dp2_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp549_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c11_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp547_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c10_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp543_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c01_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp539_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c00_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp535_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csax8_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp528_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp551_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb552_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb552.i.i' */
llvm_cbe_bb310_2e_i_2e_i:
  llvm_cbe_tmp314_2e_i_2e_i = (&llvm_cbe_csp3_2e_i_2e_i_2e_2[((signed long long )1ull)]);
  llvm_cbe_tmp315316_2e_i_2e_i = (&llvm_cbe_csp3_2e_i_2e_i_2e_2->field0);
  llvm_cbe_tmp319_2e_i_2e_i = *llvm_cbe_tmp318_2e_i_2e_i;
  llvm_cbe_tmp322323_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)((&llvm_cbe_tmp315316_2e_i_2e_i[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp319_2e_i_2e_i)))])));
  llvm_cbe_tmp326_2e_i_2e_i = (&llvm_cbe_tmp322323_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe_dp2_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_dp2_2e_i_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_c11_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp326_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c10_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp322323_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c01_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp314_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_c00_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_csp3_2e_i_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_csax8_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp188189_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb552_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb584.i.i' */
llvm_cbe_bb592_2e_i_2e_i:
  free(llvm_cbe_tmp188_2e_i_2e_i);
  free(llvm_cbe_tmp203_2e_i_2e_i);
  llvm_cbe_tmp598_2e_i_2e_i = SDL_SetAlpha(llvm_cbe_storemerge_2e_i_2e_i, 65536u, ((unsigned char )-1));
  goto llvm_cbe_bb900_2e_i_2e_i;

llvm_cbe_bb599_2e_i_2e_i:
  llvm_cbe_tmp649_2e_i_2e_i = (&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field1);
  llvm_cbe_tmp602_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i->field1);
  llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb647_2e_i_2e_i;

  do {     /* Syntactic loop 'bb647.i.i' to make GCC happy */
llvm_cbe_bb647_2e_i_2e_i:
  llvm_cbe_storemerge17_2e_i_2e_i = llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp650_2e_i_2e_i = *llvm_cbe_tmp649_2e_i_2e_i;
  llvm_cbe_tmp652_2e_i_2e_i = *((&llvm_cbe_tmp650_2e_i_2e_i->field0));
  llvm_cbe_tmp654_2e_i_2e_i = *((&llvm_cbe_tmp652_2e_i_2e_i->field0));
  llvm_cbe_tmp603_2e_i_2e_i = *llvm_cbe_tmp602_2e_i_2e_i;
  llvm_cbe_tmp605_2e_i_2e_i = *((&llvm_cbe_tmp603_2e_i_2e_i->field0));
  if ((((signed int )llvm_cbe_tmp654_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge17_2e_i_2e_i))) {
    goto llvm_cbe_bb600_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb659_2e_i_2e_i;
  }

llvm_cbe_bb600_2e_i_2e_i:
  llvm_cbe_tmp607_2e_i_2e_i = *((&llvm_cbe_tmp605_2e_i_2e_i->field1));
  llvm_cbe_tmp614_2e_i_2e_i = *((&llvm_cbe_tmp652_2e_i_2e_i->field1));
  llvm_cbe_tmp615616_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge17_2e_i_2e_i);
  llvm_cbe_tmp620_2e_i_2e_i = *((&llvm_cbe_tmp614_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field0));
  llvm_cbe_tmp623_2e_i_2e_i = *((&llvm_cbe_tmp614_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field1));
  llvm_cbe_tmp626_2e_i_2e_i = *((&llvm_cbe_tmp614_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field2));
  llvm_cbe_tmp629_2e_i_2e_i = *((&llvm_cbe_tmp614_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field3));
  *((&llvm_cbe_tmp607_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field0)) = llvm_cbe_tmp620_2e_i_2e_i;
  *((&llvm_cbe_tmp607_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field1)) = llvm_cbe_tmp623_2e_i_2e_i;
  *((&llvm_cbe_tmp607_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field2)) = llvm_cbe_tmp626_2e_i_2e_i;
  *((&llvm_cbe_tmp607_2e_i_2e_i[((signed long long )llvm_cbe_tmp615616_2e_i_2e_i)].field3)) = llvm_cbe_tmp629_2e_i_2e_i;
  llvm_cbe_tmp646_2e_i_2e_i = llvm_cbe_storemerge17_2e_i_2e_i + 1u;
  llvm_cbe_storemerge17_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp646_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb647_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb647.i.i' */
llvm_cbe_bb659_2e_i_2e_i:
  *((&llvm_cbe_tmp605_2e_i_2e_i->field0)) = llvm_cbe_tmp654_2e_i_2e_i;
  llvm_cbe_tmp675_2e_i_2e_i = *llvm_cbe_tmp89_2e_i_2e_i;
  llvm_cbe_tmp680_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i->field2);
  llvm_cbe_tmp681_2e_i_2e_i = *llvm_cbe_tmp680_2e_i_2e_i;
  llvm_cbe_tmp684685_2e_i_2e_i = ((unsigned int )(((((double )(((float )(signed int )llvm_cbe_tmp675_2e_i_2e_i)))) * 0x1p+16) / (((double )(((float )(signed int )llvm_cbe_tmp681_2e_i_2e_i))))));
  llvm_cbe_tmp688_2e_i_2e_i = *llvm_cbe_tmp96_2e_i_2e_i;
  llvm_cbe_tmp693_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i->field3);
  llvm_cbe_tmp694_2e_i_2e_i = *llvm_cbe_tmp693_2e_i_2e_i;
  llvm_cbe_tmp697698_2e_i_2e_i = ((unsigned int )(((((double )(((float )(signed int )llvm_cbe_tmp688_2e_i_2e_i)))) * 0x1p+16) / (((double )(((float )(signed int )llvm_cbe_tmp694_2e_i_2e_i))))));
  llvm_cbe_tmp704_2e_i_2e_i = malloc(((((signed long long )(signed int )llvm_cbe_tmp681_2e_i_2e_i)) << 2ull));
  llvm_cbe_tmp704705_2e_i_2e_i = ((unsigned int *)llvm_cbe_tmp704_2e_i_2e_i);
  if ((llvm_cbe_tmp704_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb712_2e_i_2e_i;
  }

llvm_cbe_bb712_2e_i_2e_i:
  llvm_cbe_tmp715_2e_i_2e_i = *llvm_cbe_tmp693_2e_i_2e_i;
  llvm_cbe_tmp718_2e_i_2e_i = malloc(((((signed long long )(signed int )llvm_cbe_tmp715_2e_i_2e_i)) << 2ull));
  llvm_cbe_tmp718719_2e_i_2e_i = ((unsigned int *)llvm_cbe_tmp718_2e_i_2e_i);
  if ((llvm_cbe_tmp718_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb725_2e_i_2e_i;
  } else {
    llvm_cbe_csx_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    llvm_cbe_csax_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp704705_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_storemerge18_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb749_2e_i_2e_i;
  }

llvm_cbe_bb725_2e_i_2e_i:
  if ((llvm_cbe_tmp704_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb730_2e_i_2e_i;
  }

llvm_cbe_bb730_2e_i_2e_i:
  free(llvm_cbe_tmp704_2e_i_2e_i);
  goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread;

  do {     /* Syntactic loop 'bb749.i.i' to make GCC happy */
llvm_cbe_bb749_2e_i_2e_i:
  llvm_cbe_csx_2e_i_2e_i_2e_0 = llvm_cbe_csx_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csax_2e_i_2e_i_2e_0 = llvm_cbe_csax_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge18_2e_i_2e_i = llvm_cbe_storemerge18_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp752_2e_i_2e_i = *llvm_cbe_tmp680_2e_i_2e_i;
  if ((((unsigned int )llvm_cbe_tmp752_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge18_2e_i_2e_i))) {
    goto llvm_cbe_bb736_2e_i_2e_i;
  } else {
    llvm_cbe_csy_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    llvm_cbe_csay_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp718719_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_storemerge19_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb772_2e_i_2e_i;
  }

llvm_cbe_bb736_2e_i_2e_i:
  llvm_cbe_tmp739_2e_i_2e_i = llvm_cbe_csx_2e_i_2e_i_2e_0 + llvm_cbe_tmp684685_2e_i_2e_i;
  *llvm_cbe_csax_2e_i_2e_i_2e_0 = (((unsigned int )(((unsigned int )llvm_cbe_tmp739_2e_i_2e_i) >> ((unsigned int )16u))));
  llvm_cbe_tmp744_2e_i_2e_i = llvm_cbe_tmp739_2e_i_2e_i & 65535u;
  llvm_cbe_tmp746_2e_i_2e_i = (&llvm_cbe_csax_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp748_2e_i_2e_i = llvm_cbe_storemerge18_2e_i_2e_i + 1u;
  llvm_cbe_csx_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp744_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csax_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp746_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge18_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp748_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb749_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb749.i.i' */
  do {     /* Syntactic loop 'bb772.i.i' to make GCC happy */
llvm_cbe_bb772_2e_i_2e_i:
  llvm_cbe_csy_2e_i_2e_i_2e_0 = llvm_cbe_csy_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csay_2e_i_2e_i_2e_0 = llvm_cbe_csay_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge19_2e_i_2e_i = llvm_cbe_storemerge19_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp775_2e_i_2e_i = *llvm_cbe_tmp693_2e_i_2e_i;
  if ((((unsigned int )llvm_cbe_tmp775_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge19_2e_i_2e_i))) {
    goto llvm_cbe_bb759_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb780_2e_i_2e_i;
  }

llvm_cbe_bb759_2e_i_2e_i:
  llvm_cbe_tmp762_2e_i_2e_i = llvm_cbe_csy_2e_i_2e_i_2e_0 + llvm_cbe_tmp697698_2e_i_2e_i;
  *llvm_cbe_csay_2e_i_2e_i_2e_0 = (((unsigned int )(((unsigned int )llvm_cbe_tmp762_2e_i_2e_i) >> ((unsigned int )16u))));
  llvm_cbe_tmp767_2e_i_2e_i = llvm_cbe_tmp762_2e_i_2e_i & 65535u;
  llvm_cbe_tmp769_2e_i_2e_i = (&llvm_cbe_csay_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp771_2e_i_2e_i = llvm_cbe_storemerge19_2e_i_2e_i + 1u;
  llvm_cbe_csy_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp767_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csay_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp769_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge19_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp771_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb772_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb772.i.i' */
llvm_cbe_bb780_2e_i_2e_i:
  llvm_cbe_tmp794_2e_i_2e_i = *llvm_cbe_tmp680_2e_i_2e_i;
  llvm_cbe_storemerge20_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb791_2e_i_2e_i;

  do {     /* Syntactic loop 'bb791.i.i' to make GCC happy */
llvm_cbe_bb791_2e_i_2e_i:
  llvm_cbe_storemerge20_2e_i_2e_i = llvm_cbe_storemerge20_2e_i_2e_i__PHI_TEMPORARY;
  if ((((unsigned int )llvm_cbe_tmp794_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge20_2e_i_2e_i))) {
    goto llvm_cbe_bb782_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge21_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb810_2e_i_2e_i;
  }

llvm_cbe_bb782_2e_i_2e_i:
  llvm_cbe_tmp790_2e_i_2e_i = llvm_cbe_storemerge20_2e_i_2e_i + 1u;
  llvm_cbe_storemerge20_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp790_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb791_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb791.i.i' */
  do {     /* Syntactic loop 'bb810.i.i' to make GCC happy */
llvm_cbe_bb810_2e_i_2e_i:
  llvm_cbe_storemerge21_2e_i_2e_i = llvm_cbe_storemerge21_2e_i_2e_i__PHI_TEMPORARY;
  if ((((unsigned int )llvm_cbe_tmp775_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge21_2e_i_2e_i))) {
    goto llvm_cbe_bb801_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb818_2e_i_2e_i;
  }

llvm_cbe_bb801_2e_i_2e_i:
  llvm_cbe_tmp809_2e_i_2e_i = llvm_cbe_storemerge21_2e_i_2e_i + 1u;
  llvm_cbe_storemerge21_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp809_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb810_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb810.i.i' */
llvm_cbe_bb818_2e_i_2e_i:
  llvm_cbe_tmp821_2e_i_2e_i = *((&llvm_cbe_rz_src_2e_i_2e_i_2e_0->field5));
  llvm_cbe_tmp825_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i_2e_i->field5));
  llvm_cbe_tmp828_2e_i_2e_i = *((&llvm_cbe_storemerge_2e_i_2e_i->field4));
  llvm_cbe_tmp865_2e_i_2e_i = (&llvm_cbe_tmp34_2e_i_2e_i->field4);
  llvm_cbe_tmp875876_2e_i_2e_i = ((signed long long )(signed int )((((unsigned int )(unsigned short )llvm_cbe_tmp828_2e_i_2e_i)) - llvm_cbe_tmp794_2e_i_2e_i));
  llvm_cbe_csp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp821_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_dp_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp825_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csay_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp718719_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge23_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb880_2e_i_2e_i;

  do {     /* Syntactic loop 'bb880.i.i' to make GCC happy */
llvm_cbe_bb880_2e_i_2e_i:
  llvm_cbe_csp_2e_i_2e_i_2e_0 = llvm_cbe_csp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_dp_2e_i_2e_i_2e_1 = llvm_cbe_dp_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_csay_2e_i_2e_i_2e_2 = llvm_cbe_csay_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge23_2e_i_2e_i = llvm_cbe_storemerge23_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp883_2e_i_2e_i = *llvm_cbe_tmp693_2e_i_2e_i;
  if ((((unsigned int )llvm_cbe_tmp883_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge23_2e_i_2e_i))) {
    llvm_cbe_dp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_dp_2e_i_2e_i_2e_1;   /* for PHI node */
    llvm_cbe_sp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_csp_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_csax_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp704705_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_storemerge22_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb853_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb888_2e_i_2e_i;
  }

llvm_cbe_bb861_2e_i_2e_i:
  llvm_cbe_tmp863_2e_i_2e_i = *llvm_cbe_csay_2e_i_2e_i_2e_2;
  llvm_cbe_tmp866_2e_i_2e_i = *llvm_cbe_tmp865_2e_i_2e_i;
  llvm_cbe_tmp871_2e_i_2e_i = (&llvm_cbe_csp_2e_i_2e_i_2e_0[((signed long long )(((unsigned long long )(unsigned int )(llvm_cbe_tmp863_2e_i_2e_i * (((unsigned int )(unsigned short )llvm_cbe_tmp866_2e_i_2e_i))))))]);
  llvm_cbe_tmp873_2e_i_2e_i = (&llvm_cbe_csay_2e_i_2e_i_2e_2[((signed long long )1ull)]);
  llvm_cbe_tmp877_2e_i_2e_i = (&llvm_cbe_dp_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp875876_2e_i_2e_i)]);
  llvm_cbe_tmp879_2e_i_2e_i = llvm_cbe_storemerge23_2e_i_2e_i + 1u;
  llvm_cbe_csp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp871_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_dp_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp877_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csay_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp873_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge23_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp879_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb880_2e_i_2e_i;

  do {     /* Syntactic loop 'bb853.i.i' to make GCC happy */
llvm_cbe_bb853_2e_i_2e_i:
  llvm_cbe_dp_2e_i_2e_i_2e_0 = llvm_cbe_dp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_sp_2e_i_2e_i_2e_0 = llvm_cbe_sp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_csax_2e_i_2e_i_2e_2 = llvm_cbe_csax_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge22_2e_i_2e_i = llvm_cbe_storemerge22_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp856_2e_i_2e_i = *llvm_cbe_tmp680_2e_i_2e_i;
  if ((((unsigned int )llvm_cbe_tmp856_2e_i_2e_i) > ((unsigned int )llvm_cbe_storemerge22_2e_i_2e_i))) {
    goto llvm_cbe_bb838_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb861_2e_i_2e_i;
  }

llvm_cbe_bb838_2e_i_2e_i:
  llvm_cbe_tmp840_2e_i_2e_i = *llvm_cbe_sp_2e_i_2e_i_2e_0;
  *llvm_cbe_dp_2e_i_2e_i_2e_0 = llvm_cbe_tmp840_2e_i_2e_i;
  llvm_cbe_tmp843_2e_i_2e_i = *llvm_cbe_csax_2e_i_2e_i_2e_2;
  llvm_cbe_tmp846_2e_i_2e_i = (&llvm_cbe_sp_2e_i_2e_i_2e_0[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe_tmp843_2e_i_2e_i)))]);
  llvm_cbe_tmp848_2e_i_2e_i = (&llvm_cbe_csax_2e_i_2e_i_2e_2[((signed long long )1ull)]);
  llvm_cbe_tmp850_2e_i_2e_i = (&llvm_cbe_dp_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp852_2e_i_2e_i = llvm_cbe_storemerge22_2e_i_2e_i + 1u;
  llvm_cbe_dp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp850_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_sp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp846_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_csax_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp848_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge22_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp852_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb853_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb853.i.i' */
  } while (1); /* end of syntactic loop 'bb880.i.i' */
llvm_cbe_bb888_2e_i_2e_i:
  free(llvm_cbe_tmp704_2e_i_2e_i);
  free(llvm_cbe_tmp718_2e_i_2e_i);
  llvm_cbe_tmp895_2e_i_2e_i = *llvm_cbe_tmp649_2e_i_2e_i;
  llvm_cbe_tmp897_2e_i_2e_i = *((&llvm_cbe_tmp895_2e_i_2e_i->field15));
  llvm_cbe_tmp899_2e_i_2e_i = SDL_SetColorKey(llvm_cbe_storemerge_2e_i_2e_i, 20480u, llvm_cbe_tmp897_2e_i_2e_i);
  goto llvm_cbe_bb900_2e_i_2e_i;

llvm_cbe_bb900_2e_i_2e_i:
  SDL_UnlockSurface(llvm_cbe_rz_src_2e_i_2e_i_2e_0);
  if (llvm_cbe_src_converted_2e_i_2e_i_2e_0) {
    goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb906_2e_i_2e_i;
  }

llvm_cbe_bb906_2e_i_2e_i:
  SDL_FreeSurface(llvm_cbe_rz_src_2e_i_2e_i_2e_0);
  goto llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i;

llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reg2mem) = ((struct l_struct_2E_SDL_Surface *)/*NULL*/0);
  goto llvm_cbe_bb20;

llvm_cbe__Z11zoomSurfaceP11SDL_Surfacedd_2e_exit_2e_i:
  *(&llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_storemerge_2e_i_2e_i;
  if ((llvm_cbe_storemerge_2e_i_2e_i == ((struct l_struct_2E_SDL_Surface *)/*NULL*/0))) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb40_2e_i;
  }

llvm_cbe_bb40_2e_i:
  llvm_cbe_tmp43_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  SDL_FreeSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp43_2e_i)));
  llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reload117 = *(&llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reg2mem);
  *llvm_cbe_tmp2_2e_i_2e_i = (((unsigned char *)llvm_cbe_tmp15_2e_i_2e_i_2e_0_2e_reload117));
  goto llvm_cbe_bb20;

llvm_cbe_bb20:
  llvm_cbe_tmp21 = *(&_ZN5Scene9g_bgImageE);
  *((&llvm_cbe_this->field6)) = llvm_cbe_tmp21;
  _ZNSsC1Ev((&llvm_cbe_line));
  llvm_cbe_tmp35 = (&llvm_cbe_in->field0);
  llvm_cbe_tmp32331 = ((unsigned char *)llvm_cbe_in);
  llvm_cbe_tmp41_2e_i28 = (&llvm_cbe_this->field4);
  llvm_cbe_tmp27_2e_i = (&llvm_cbe_this->field5);
  llvm_cbe_tmp1_2e_i_2e_i51_2e_i_2e_i = (&llvm_cbe_tmp_2e_i_2e_i9.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp_2e_i_2e_i9.field1);
  llvm_cbe_tmp57_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp1_2e_i_2e_i82_2e_i_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i10.field0.field0);
  llvm_cbe_tmp6_2e_i_2e_i86_2e_i_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i10.field0.field0);
  llvm_cbe_tmp16_2e_i = (&llvm_cbe_this->field3);
  goto llvm_cbe_bb31;

llvm_cbe_bb140_2e_i_2e_i:
  llvm_cbe_tmp141_2e_i_2e_i81 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp141_2e_i_2e_i81)) = ((&_2E_str328[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp141_2e_i_2e_i81, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb31' to make GCC happy */
llvm_cbe_bb31:
  llvm_cbe_tmp36 = *llvm_cbe_tmp35;
  llvm_cbe_tmp39 = *(((unsigned long long *)((&llvm_cbe_tmp36[((signed long long )18446744073709551613ull)]))));
  llvm_cbe_tmp44 = _ZNKSt9basic_iosIcSt11char_traitsIcEE3eofEv((((struct l_struct_2E_std_3A__3A_basic_ios_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *)((&llvm_cbe_tmp32331[((signed long long )llvm_cbe_tmp39)])))));
  if ((llvm_cbe_tmp44 == ((unsigned char )0))) {
    goto llvm_cbe_bb24;
  } else {
    goto llvm_cbe__ZN5Scene7protectEi_2e_exit;
  }

llvm_cbe_bb24:
  llvm_cbe_tmp27 = _ZSt7getlineIcSt11char_traitsIcESaIcEERSt13basic_istreamIT_T0_ES7_RSbIS4_S5_T1_E(llvm_cbe_in, (&llvm_cbe_line));
  llvm_cbe_tmp7_2e_i18105 = _ZNKSsixEm((&llvm_cbe_line), 0ull);
  llvm_cbe_tmp8_2e_i19 = *llvm_cbe_tmp7_2e_i18105;
  switch ((((signed int )(signed char )llvm_cbe_tmp8_2e_i19))) {
  default:
    goto llvm_cbe_bb31;
;
  case 65u:
    goto llvm_cbe_bb35_2e_i;
  case 66u:
    goto llvm_cbe_bb21_2e_i;
  case 83u:
    goto llvm_cbe_bb49_2e_i;
  case 84u:
    goto llvm_cbe_bb_2e_i21;
    break;
  }
llvm_cbe__ZN6StrokeC1ERKSs_2e_exit_2e_i:
  *(&llvm_cbe_tmp1_2e_i) = llvm_cbe_tmp5051_2e_i;
  _ZN5ArrayIP6StrokeE6appendERKS1_(llvm_cbe_tmp57_2e_i, (&llvm_cbe_tmp1_2e_i));
  goto llvm_cbe_bb31;

llvm_cbe_bb_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  goto llvm_cbe__ZN6StrokeC1ERKSs_2e_exit_2e_i;

llvm_cbe_bb147_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i62_2e_i_2e_i = *(((struct l_struct_2E_Vec2 **)llvm_cbe_tmp50_2e_i114));
  llvm_cbe_tmp156_2e_i_2e_i87 = *((&llvm_cbe_tmp3_2e_i_2e_i62_2e_i_2e_i->field0));
  *llvm_cbe_tmp30_2e_i_2e_i = llvm_cbe_tmp156_2e_i_2e_i87;
  llvm_cbe_tmp159_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i62_2e_i_2e_i->field1));
  *llvm_cbe_tmp33_2e_i_2e_i40 = llvm_cbe_tmp159_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i45_2e_i_2e_i = *((&llvm_cbe_tmp5051_2e_i->field3.field1));
  llvm_cbe_tmp8_2e_i49_2e_i_2e_i = *((&llvm_cbe_tmp5051_2e_i->field3.field0));
  *llvm_cbe_tmp1_2e_i_2e_i51_2e_i_2e_i = (-(llvm_cbe_tmp8_2e_i49_2e_i_2e_i));
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i = (-(llvm_cbe_tmp4_2e_i45_2e_i_2e_i));
  llvm_cbe_tmp165_2e_i_2e_i = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp53_2e_i_2e_i_2e_i, (&llvm_cbe_tmp_2e_i_2e_i9));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  if (((llvm_cbe_tmp2_2e_i_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb131_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i67_2e_i_2e_i = *((&llvm_cbe_tmp5051_2e_i->field0.field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i67_2e_i_2e_i) < ((signed int )2u))) {
    goto llvm_cbe_bb140_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb147_2e_i_2e_i;
  }

llvm_cbe_bb111_2e_i_2e_i:
  llvm_cbe_tmp113_2e_i_2e_i = *llvm_cbe_storemerge_2e_i_2e_i60;
  if ((llvm_cbe_tmp113_2e_i_2e_i == ((unsigned char )58))) {
    goto llvm_cbe_bb120_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb131_2e_i_2e_i;
  }

llvm_cbe_bb93_2e_i_2e_i:
  if ((((unsigned int )llvm_cbe_col_2e_i_2e_i_2e_1) < ((unsigned int )12u))) {
    goto llvm_cbe_bb104_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb111_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb75.i.i62' to make GCC happy */
llvm_cbe_bb75_2e_i_2e_i62:
  llvm_cbe_col_2e_i_2e_i_2e_1 = llvm_cbe_col_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i_2e_i60 = llvm_cbe_storemerge_2e_i_2e_i60__PHI_TEMPORARY;
  llvm_cbe_tmp77_2e_i_2e_i61 = *llvm_cbe_storemerge_2e_i_2e_i60;
  switch (llvm_cbe_tmp77_2e_i_2e_i61) {
  default:
    goto llvm_cbe_bb53_2e_i_2e_i53;
;
  case ((unsigned char )0):
    goto llvm_cbe_bb93_2e_i_2e_i;
    break;
  case ((unsigned char )58):
    goto llvm_cbe_bb93_2e_i_2e_i;
    break;
  case ((unsigned char )10):
    goto llvm_cbe_bb93_2e_i_2e_i;
    break;
  case ((unsigned char )100):
    goto llvm_cbe_bb51_2e_i_2e_i;
  case ((unsigned char )102):
    goto llvm_cbe_bb47_2e_i_2e_i;
  case ((unsigned char )103):
    goto llvm_cbe_bb45_2e_i_2e_i;
  case ((unsigned char )115):
    goto llvm_cbe_bb49_2e_i_2e_i;
  case ((unsigned char )116):
    goto llvm_cbe_bb43_2e_i_2e_i;
  }
llvm_cbe_bb72_2e_i_2e_i59:
  llvm_cbe_col_2e_i_2e_i_2e_0 = llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp74_2e_i_2e_i58 = (&llvm_cbe_storemerge_2e_i_2e_i60[((signed long long )1ull)]);
  llvm_cbe_col_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i60__PHI_TEMPORARY = llvm_cbe_tmp74_2e_i_2e_i58;   /* for PHI node */
  goto llvm_cbe_bb75_2e_i_2e_i62;

llvm_cbe_bb43_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i206_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  *llvm_cbe_tmp27_2e_i_2e_i = (llvm_cbe_tmp2_2e_i206_2e_i_2e_i | 2u);
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb_2e_i191_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb45_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i179_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i181_2e_i_2e_i = llvm_cbe_tmp2_2e_i179_2e_i_2e_i | 4u;
  *llvm_cbe_tmp27_2e_i_2e_i = llvm_cbe_tmp4_2e_i181_2e_i_2e_i;
  if (((llvm_cbe_tmp4_2e_i181_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb25_2e_i200_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i191_2e_i_2e_i;
  }

llvm_cbe_bb25_2e_i200_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 15649024u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb_2e_i164_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb47_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i152_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i154_2e_i_2e_i = llvm_cbe_tmp2_2e_i152_2e_i_2e_i | 1u;
  *llvm_cbe_tmp27_2e_i_2e_i = llvm_cbe_tmp4_2e_i154_2e_i_2e_i;
  if (((llvm_cbe_tmp4_2e_i154_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i170_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i164_2e_i_2e_i;
  }

llvm_cbe_bb17_2e_i170_2e_i_2e_i:
  if (((llvm_cbe_tmp4_2e_i154_2e_i_2e_i & 4u) == 0u)) {
    llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb72_2e_i_2e_i59;
  } else {
    goto llvm_cbe_bb25_2e_i173_2e_i_2e_i;
  }

llvm_cbe_bb25_2e_i173_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 15649024u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb_2e_i137_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb49_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i125_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i127_2e_i_2e_i = llvm_cbe_tmp2_2e_i125_2e_i_2e_i | 16u;
  *llvm_cbe_tmp27_2e_i_2e_i = llvm_cbe_tmp4_2e_i127_2e_i_2e_i;
  if (((llvm_cbe_tmp4_2e_i127_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i143_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i137_2e_i_2e_i;
  }

llvm_cbe_bb17_2e_i143_2e_i_2e_i:
  if (((llvm_cbe_tmp4_2e_i127_2e_i_2e_i & 4u) == 0u)) {
    llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb72_2e_i_2e_i59;
  } else {
    goto llvm_cbe_bb25_2e_i146_2e_i_2e_i;
  }

llvm_cbe_bb25_2e_i146_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 15649024u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb_2e_i110_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 12058624u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb51_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i98_2e_i_2e_i = *llvm_cbe_tmp27_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i100_2e_i_2e_i = llvm_cbe_tmp2_2e_i98_2e_i_2e_i | 8u;
  *llvm_cbe_tmp27_2e_i_2e_i = llvm_cbe_tmp4_2e_i100_2e_i_2e_i;
  if (((llvm_cbe_tmp4_2e_i100_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i116_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i110_2e_i_2e_i;
  }

llvm_cbe_bb17_2e_i116_2e_i_2e_i:
  if (((llvm_cbe_tmp4_2e_i100_2e_i_2e_i & 4u) == 0u)) {
    llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb72_2e_i_2e_i59;
  } else {
    goto llvm_cbe_bb25_2e_i119_2e_i_2e_i;
  }

llvm_cbe_bb25_2e_i119_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 15649024u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

llvm_cbe_bb53_2e_i_2e_i53:
  if ((((unsigned char )(((unsigned char )(llvm_cbe_tmp77_2e_i_2e_i61 + ((unsigned char )-48))))) < ((unsigned char )((unsigned char )10)))) {
    goto llvm_cbe_bb64_2e_i_2e_i56;
  } else {
    llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_col_2e_i_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb72_2e_i_2e_i59;
  }

llvm_cbe_bb64_2e_i_2e_i56:
  llvm_cbe_tmp71_2e_i_2e_i = ((llvm_cbe_col_2e_i_2e_i_2e_1 * 10u) + (((signed int )(signed char )llvm_cbe_tmp77_2e_i_2e_i61))) + 4294967248u;
  llvm_cbe_col_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp71_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb72_2e_i_2e_i59;

  } while (1); /* end of syntactic loop 'bb75.i.i62' */
llvm_cbe_bb49_2e_i:
  llvm_cbe_tmp50_2e_i114 = _Znwm(144ull);
  llvm_cbe_tmp5051_2e_i = ((struct l_struct_2E_Stroke *)llvm_cbe_tmp50_2e_i114);
  _ZN5ArrayI4Vec2EC2Ei((((struct l_struct_2E_Array_3C_Vec2_3E_ *)llvm_cbe_tmp50_2e_i114)));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp5051_2e_i->field4.field0)));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp5051_2e_i->field5.field0)));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp5051_2e_i->field6.field0)));
  llvm_cbe_tmp25_2e_i_2e_i38 = (&llvm_cbe_tmp5051_2e_i->field1);
  *llvm_cbe_tmp25_2e_i_2e_i38 = 119u;
  llvm_cbe_tmp27_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i->field2);
  *llvm_cbe_tmp27_2e_i_2e_i = 0u;
  llvm_cbe_tmp30_2e_i_2e_i = (&llvm_cbe_tmp5051_2e_i->field3.field0);
  *llvm_cbe_tmp30_2e_i_2e_i = 400u;
  llvm_cbe_tmp33_2e_i_2e_i40 = (&llvm_cbe_tmp5051_2e_i->field3.field1);
  *llvm_cbe_tmp33_2e_i_2e_i40 = 240u;
  *((&llvm_cbe_tmp5051_2e_i->field12)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp5051_2e_i->field7)) = 0x1.cp+2;
  llvm_cbe_tmp26_2e_i_2e_i_2e_i = *llvm_cbe_tmp30_2e_i_2e_i;
  *((&llvm_cbe_tmp5051_2e_i->field10.field0.field0)) = llvm_cbe_tmp26_2e_i_2e_i_2e_i;
  llvm_cbe_tmp29_2e_i244_2e_i_2e_i = *llvm_cbe_tmp33_2e_i_2e_i40;
  *((&llvm_cbe_tmp5051_2e_i->field10.field0.field1)) = llvm_cbe_tmp29_2e_i244_2e_i_2e_i;
  *((&llvm_cbe_tmp5051_2e_i->field10.field1.field0)) = llvm_cbe_tmp26_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp5051_2e_i->field10.field1.field1)) = llvm_cbe_tmp29_2e_i244_2e_i_2e_i;
  *((&llvm_cbe_tmp5051_2e_i->field13[((signed long long )1ull)])) = ((unsigned char )0);
  *((&llvm_cbe_tmp5051_2e_i->field13[((signed long long )0ull)])) = ((unsigned char )0);
  llvm_cbe_tmp53_2e_i_2e_i_2e_i = ((struct l_struct_2E_Path *)llvm_cbe_tmp50_2e_i114);
  _ZN4PathaSERKS_(((&llvm_cbe_tmp5051_2e_i->field4)), llvm_cbe_tmp53_2e_i_2e_i_2e_i);
  *((&llvm_cbe_tmp5051_2e_i->field14)) = 0u;
  *((&llvm_cbe_tmp5051_2e_i->field11)) = ((unsigned char )0);
  llvm_cbe_tmp40_2e_i_2e_i = _ZNKSs5c_strEv((&llvm_cbe_line));
  llvm_cbe_col_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i60__PHI_TEMPORARY = llvm_cbe_tmp40_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb75_2e_i_2e_i62;

llvm_cbe_bb104_2e_i_2e_i:
  llvm_cbe_tmp108_2e_i_2e_i72 = *((&brushColours[((signed long long )(((signed long long )(signed int )llvm_cbe_col_2e_i_2e_i_2e_1)))]));
  *llvm_cbe_tmp25_2e_i_2e_i38 = llvm_cbe_tmp108_2e_i_2e_i72;
  goto llvm_cbe_bb111_2e_i_2e_i;

llvm_cbe_bb120_2e_i_2e_i:
  _ZN4PathC1EPKc((&llvm_cbe_tmp2_2e_i_2e_i10), ((&llvm_cbe_storemerge_2e_i_2e_i60[((signed long long )1ull)])));
  _ZN4PathaSERKS_(llvm_cbe_tmp53_2e_i_2e_i_2e_i, (&llvm_cbe_tmp2_2e_i_2e_i10));
  llvm_cbe_tmp2_2e_i_2e_i83_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i82_2e_i_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i83_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe_bb131_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i89_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i89_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i87_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i86_2e_i_2e_i;
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i87_2e_i_2e_i)));
  goto llvm_cbe_bb131_2e_i_2e_i;

llvm_cbe_bb17_2e_i_2e_i_2e_i:
  if (((llvm_cbe_tmp2_2e_i_2e_i_2e_i & 4u) == 0u)) {
    goto llvm_cbe__ZN6StrokeC1ERKSs_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb25_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb25_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp25_2e_i_2e_i38 = 15649024u;
  goto llvm_cbe__ZN6StrokeC1ERKSs_2e_exit_2e_i;

llvm_cbe_bb_2e_i21:
  llvm_cbe_tmp12_2e_i106 = _ZNKSs4findEcm((&llvm_cbe_line), ((unsigned char )58), 0ull);
  llvm_cbe_tmp5_2e_i17 = _ZNKSs6substrEmm((&llvm_cbe_line), (llvm_cbe_tmp12_2e_i106 + 1ull), 18446744073709551615ull);
  llvm_cbe_tmp17_2e_i = _ZNSsaSERKSs(llvm_cbe_tmp16_2e_i, (&llvm_cbe_tmp5_2e_i17));
  _ZNSsD1Ev((&llvm_cbe_tmp5_2e_i17));
  goto llvm_cbe_bb31;

llvm_cbe_bb21_2e_i:
  llvm_cbe_tmp23_2e_i23108 = _ZNKSs4findEcm((&llvm_cbe_line), ((unsigned char )58), 0ull);
  llvm_cbe_tmp3_2e_i15 = _ZNKSs6substrEmm((&llvm_cbe_line), (llvm_cbe_tmp23_2e_i23108 + 1ull), 18446744073709551615ull);
  llvm_cbe_tmp29_2e_i26 = _ZNSsaSERKSs(llvm_cbe_tmp27_2e_i, (&llvm_cbe_tmp3_2e_i15));
  _ZNSsD1Ev((&llvm_cbe_tmp3_2e_i15));
  goto llvm_cbe_bb31;

llvm_cbe_bb35_2e_i:
  llvm_cbe_tmp37_2e_i27111 = _ZNKSs4findEcm((&llvm_cbe_line), ((unsigned char )58), 0ull);
  llvm_cbe_tmp2_2e_i14 = _ZNKSs6substrEmm((&llvm_cbe_line), (llvm_cbe_tmp37_2e_i27111 + 1ull), 18446744073709551615ull);
  llvm_cbe_tmp43_2e_i29 = _ZNSsaSERKSs(llvm_cbe_tmp41_2e_i28, (&llvm_cbe_tmp2_2e_i14));
  _ZNSsD1Ev((&llvm_cbe_tmp2_2e_i14));
  goto llvm_cbe_bb31;

  } while (1); /* end of syntactic loop 'bb31' */
llvm_cbe__ZN5Scene7protectEi_2e_exit:
  llvm_cbe_tmp3_2e_i_2e_i6 = *((&llvm_cbe_this->field2.field1));
  *((&llvm_cbe_this->field7)) = llvm_cbe_tmp3_2e_i_2e_i6;
  _ZNSsD1Ev((&llvm_cbe_line));
  return ((unsigned char )1);
}


static void _ZN5Scene4drawER6CanvasRK4Rect(struct l_struct_2E_Scene *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_canvas, struct l_struct_2E_Rect *llvm_cbe_area) {
  unsigned long long llvm_cbe_srcRect_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  struct l_struct_2E_Image *llvm_cbe_tmp3;
  struct l_struct_2E_Canvas *llvm_cbe_tmp2_2e_i87;
  unsigned int llvm_cbe_tmp12_2e_i;
  unsigned short llvm_cbe_tmp1213_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i98;
  unsigned short llvm_cbe_tmp1819_2e_i;
  unsigned int llvm_cbe_tmp24_2e_i;
  unsigned int llvm_cbe_tmp38_2e_i108;
  unsigned char *llvm_cbe_tmp50_2e_i;
  unsigned char *llvm_cbe_tmp56_2e_i;
  unsigned int llvm_cbe_tmp58_2e_i;
  unsigned int llvm_cbe_tmp62_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i72;
  unsigned int *llvm_cbe_tmp1_2e_i3_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i1;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i60;
  unsigned int *llvm_cbe_tmp17_2e_i;
  unsigned int *llvm_cbe_tmp41_2e_i36;
  unsigned char **llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i61;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i63;
  struct l_struct_2E_Stroke *llvm_cbe_tmp47;
  unsigned char llvm_cbe_tmp2_2e_i41;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i28;
  unsigned int llvm_cbe_tmp30_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i37;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i14;
  struct l_struct_2E_Stroke *llvm_cbe_tmp57;
  unsigned int llvm_cbe_tmp2_2e_i5;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i;
  unsigned char llvm_cbe_tmp10_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i;
  unsigned char *llvm_cbe_tmp15_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i;
  unsigned int llvm_cbe_tmp33_2e_i;
  unsigned int llvm_cbe_tmp37_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i;
  unsigned int llvm_cbe_tmp45_2e_i;
  unsigned int llvm_cbe_tmp61;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_srcRect_2e_i));
  llvm_cbe_tmp3 = *((&llvm_cbe_this->field6));
  if ((llvm_cbe_tmp3 == ((struct l_struct_2E_Image *)/*NULL*/0))) {
    goto llvm_cbe_bb11;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  *((&llvm_cbe_canvas->field3)) = ((&llvm_cbe_tmp3->field0));
  goto llvm_cbe_bb13;

llvm_cbe_bb11:
  *((&llvm_cbe_canvas->field2)) = 0u;
  goto llvm_cbe_bb13;

llvm_cbe_bb13:
  llvm_cbe_tmp2_2e_i87 = *((&llvm_cbe_canvas->field3));
  if ((llvm_cbe_tmp2_2e_i87 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb59_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i113;
  }

llvm_cbe_bb_2e_i113:
  *(&llvm_cbe_srcRect_2e_i) = 0ull;
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_area->field0.field0));
  llvm_cbe_tmp1213_2e_i = ((unsigned short )llvm_cbe_tmp12_2e_i);
  *(((unsigned short *)(&llvm_cbe_srcRect_2e_i))) = llvm_cbe_tmp1213_2e_i;
  llvm_cbe_tmp18_2e_i98 = *((&llvm_cbe_area->field0.field1));
  llvm_cbe_tmp1819_2e_i = ((unsigned short )llvm_cbe_tmp18_2e_i98);
  *((&llvm_cbe_tmpcast->field1)) = llvm_cbe_tmp1819_2e_i;
  llvm_cbe_tmp24_2e_i = *((&llvm_cbe_area->field1.field0));
  *((&llvm_cbe_tmpcast->field2)) = (((unsigned short )((((unsigned short )((((unsigned short )llvm_cbe_tmp24_2e_i)) - llvm_cbe_tmp1213_2e_i))) + ((unsigned short )1))));
  llvm_cbe_tmp38_2e_i108 = *((&llvm_cbe_area->field1.field1));
  *((&llvm_cbe_tmpcast->field3)) = (((unsigned short )((((unsigned short )((((unsigned short )llvm_cbe_tmp38_2e_i108)) - llvm_cbe_tmp1819_2e_i))) + ((unsigned short )1))));
  llvm_cbe_tmp50_2e_i = *((&llvm_cbe_canvas->field1));
  llvm_cbe_tmp56_2e_i = *((&llvm_cbe_tmp2_2e_i87->field1));
  llvm_cbe_tmp58_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp56_2e_i)), llvm_cbe_tmpcast, (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp50_2e_i)), llvm_cbe_tmpcast);
  goto llvm_cbe__ZN6Canvas5clearERK4Rect_2e_exit;

llvm_cbe_bb59_2e_i:
  llvm_cbe_tmp62_2e_i = *((&llvm_cbe_canvas->field2));
  _ZN6Canvas8drawRectERK4Rectib(llvm_cbe_canvas, llvm_cbe_area, llvm_cbe_tmp62_2e_i, ((unsigned char )1));
  goto llvm_cbe__ZN6Canvas5clearERK4Rect_2e_exit;

llvm_cbe__ZN6Canvas5clearERK4Rect_2e_exit:
  llvm_cbe_tmp1_2e_i_2e_i72 = (&llvm_cbe_area->field0.field0);
  llvm_cbe_tmp1_2e_i3_2e_i = (&llvm_cbe_area->field1.field0);
  llvm_cbe_tmp2_2e_i1 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i60 = (&llvm_cbe_this->field2.field0);
  llvm_cbe_tmp17_2e_i = (&llvm_cbe_area->field1.field1);
  llvm_cbe_tmp41_2e_i36 = (&llvm_cbe_area->field0.field1);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_canvas->field1);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb62;

  do {     /* Syntactic loop 'bb62' to make GCC happy */
llvm_cbe_bb62:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i1;
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb41;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb59:
  llvm_cbe_tmp61 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp61;   /* for PHI node */
  goto llvm_cbe_bb62;

llvm_cbe_bb41:
  llvm_cbe_tmp3_2e_i_2e_i61 = *llvm_cbe_tmp2_2e_i_2e_i60;
  llvm_cbe_tmp45_2e_i_2e_i63 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp47 = *((&llvm_cbe_tmp3_2e_i_2e_i61[((signed long long )llvm_cbe_tmp45_2e_i_2e_i63)]));
  llvm_cbe_tmp2_2e_i41 = _ZN6Stroke9transformEv(llvm_cbe_tmp47);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp47->field9.field0.field0));
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i = *((&llvm_cbe_tmp47->field9.field1.field0));
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i = *((&llvm_cbe_tmp47->field9.field1.field1));
  llvm_cbe_tmp8_2e_i = *llvm_cbe_tmp1_2e_i3_2e_i;
  if ((((signed int )llvm_cbe_tmp2_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_tmp8_2e_i))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb_2e_i30;
  }

llvm_cbe_bb_2e_i30:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp47->field9.field0.field1));
  llvm_cbe_tmp18_2e_i28 = *llvm_cbe_tmp17_2e_i;
  if ((((signed int )llvm_cbe_tmp7_2e_i_2e_i_2e_i) > ((signed int )llvm_cbe_tmp18_2e_i28))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb22_2e_i;
  }

llvm_cbe_bb22_2e_i:
  llvm_cbe_tmp30_2e_i = *llvm_cbe_tmp1_2e_i_2e_i72;
  if ((((signed int )llvm_cbe_tmp2_2e_i4_2e_i_2e_i) < ((signed int )llvm_cbe_tmp30_2e_i))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb34_2e_i:
  llvm_cbe_tmp42_2e_i37 = *llvm_cbe_tmp41_2e_i36;
  if ((((signed int )llvm_cbe_tmp7_2e_i9_2e_i_2e_i) < ((signed int )llvm_cbe_tmp42_2e_i37))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb52;
  }

llvm_cbe__ZN6Stroke4drawER6Canvas_2e_exit:
  llvm_cbe_tmp33_2e_i = *((&llvm_cbe_tmp57->field9.field0.field0));
  *((&llvm_cbe_tmp57->field10.field0.field0)) = llvm_cbe_tmp33_2e_i;
  llvm_cbe_tmp37_2e_i = *((&llvm_cbe_tmp57->field9.field0.field1));
  *((&llvm_cbe_tmp57->field10.field0.field1)) = llvm_cbe_tmp37_2e_i;
  llvm_cbe_tmp42_2e_i = *((&llvm_cbe_tmp57->field9.field1.field0));
  *((&llvm_cbe_tmp57->field10.field1.field0)) = llvm_cbe_tmp42_2e_i;
  llvm_cbe_tmp45_2e_i = *((&llvm_cbe_tmp57->field9.field1.field1));
  *((&llvm_cbe_tmp57->field10.field1.field1)) = llvm_cbe_tmp45_2e_i;
  goto llvm_cbe_bb59;

llvm_cbe_bb52:
  llvm_cbe_tmp3_2e_i_2e_i14 = *llvm_cbe_tmp2_2e_i_2e_i60;
  llvm_cbe_tmp57 = *((&llvm_cbe_tmp3_2e_i_2e_i14[((signed long long )llvm_cbe_tmp45_2e_i_2e_i63)]));
  llvm_cbe_tmp2_2e_i5 = *((&llvm_cbe_tmp57->field14));
  if ((((signed int )llvm_cbe_tmp2_2e_i5) < ((signed int )80u))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN6Stroke4drawER6Canvas_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i))->field2));
  llvm_cbe_tmp10_2e_i = _ZN6Stroke9transformEv(llvm_cbe_tmp57);
  llvm_cbe_tmp15_2e_i = *((&llvm_cbe_tmp57->field1));
  llvm_cbe_tmp15_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp18_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp15_2e_i_2e_i))->field1));
  llvm_cbe_tmp22_2e_i_2e_i = SDL_MapRGB(llvm_cbe_tmp18_2e_i_2e_i, (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp15_2e_i) >> ((unsigned int )16u)))))), (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp15_2e_i) >> ((unsigned int )8u)))))), (((unsigned char )llvm_cbe_tmp15_2e_i)));
  _ZN6Canvas8drawPathERK4Pathib(llvm_cbe_canvas, ((&llvm_cbe_tmp57->field6)), llvm_cbe_tmp22_2e_i_2e_i, (((unsigned char )(bool )(((signed int )llvm_cbe_tmp6_2e_i_2e_i) > ((signed int )400u)))));
  *((&llvm_cbe_tmp57->field11)) = ((unsigned char )1);
  goto llvm_cbe__ZN6Stroke4drawER6Canvas_2e_exit;

  } while (1); /* end of syntactic loop 'bb62' */
llvm_cbe_return:
  return;
}


static unsigned char _ZN5Scene4loadEPhi(struct l_struct_2E_Scene *llvm_cbe_this, unsigned int llvm_cbe_bufsize) {
  struct l_struct_2E_std_3A__3A_stringstream llvm_cbe_in;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_s;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1;    /* Address-exposed local */
  unsigned char llvm_cbe_tmp15;

  _ZNSaIcEC1Ev((&llvm_cbe_tmp1));
  _ZNSsC1EPKcmRKSaIcE((&llvm_cbe_s), ((&levelbuf[((signed long long )0ull)])), (((signed long long )(signed int )llvm_cbe_bufsize)), (&llvm_cbe_tmp1));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1));
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEEC1ERKSsSt13_Ios_Openmode((&llvm_cbe_in), (&llvm_cbe_s), 8u);
  llvm_cbe_tmp15 = _ZN5Scene4loadERSi(llvm_cbe_this, (((struct l_struct_2E_std_3A__3A_istream *)(&llvm_cbe_in))));
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEED1Ev((&llvm_cbe_in));
  _ZNSsD1Ev((&llvm_cbe_s));
  return llvm_cbe_tmp15;
}


static unsigned char _ZN4Game11renderSceneER6Canvasi(struct l_struct_2E_Game *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_c, unsigned int llvm_cbe_level) {
  struct l_struct_2E_Scene llvm_cbe_scene;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp6;
  unsigned char llvm_cbe_tmp13;
  unsigned char llvm_cbe_storemerge1;
  unsigned char llvm_cbe_storemerge1__PHI_TEMPORARY;

  _ZN5SceneC1Eb((&llvm_cbe_scene), ((unsigned char )1));
  llvm_cbe_tmp6 = _ZN6Levels4loadEiPhi(((&llvm_cbe_this->field0.field9)), llvm_cbe_level);
  if ((llvm_cbe_tmp6 == 0u)) {
    llvm_cbe_storemerge1__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb30;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp13 = _ZN5Scene4loadEPhi((&llvm_cbe_scene), llvm_cbe_tmp6);
  if ((llvm_cbe_tmp13 == ((unsigned char )0))) {
    llvm_cbe_storemerge1__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb30;
  } else {
    goto llvm_cbe_bb23;
  }

llvm_cbe_bb23:
  _ZN5Scene4drawER6CanvasRK4Rect((&llvm_cbe_scene), llvm_cbe_c, (&FULLSCREEN_RECT));
  llvm_cbe_storemerge1__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb30;

llvm_cbe_bb30:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  _ZN5SceneD1Ev((&llvm_cbe_scene));
  return llvm_cbe_storemerge1;
}


static struct l_struct_2E_std_3A__3A_string *_ZN6Config10planetRootEv(void) {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1;    /* Address-exposed local */
  unsigned char llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp13;

  llvm_cbe_tmp3 = *((unsigned char *)(&_ZGVZN6Config10planetRootEvE1d));
  if ((llvm_cbe_tmp3 == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6 = __cxa_guard_acquire((&_ZGVZN6Config10planetRootEvE1d));
  if ((llvm_cbe_tmp6 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb11;
  }

llvm_cbe_bb11:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp1));
  _ZNSsC1EPKcRKSaIcE((&_ZZN6Config10planetRootEvE1d), ((&_2E_str530[((signed long long )0ull)])), (&llvm_cbe_tmp1));
  __cxa_guard_release((&_ZGVZN6Config10planetRootEvE1d));
  llvm_cbe_tmp13 = __cxa_atexit(__tcf_1, ((unsigned char *)/*NULL*/0), ((unsigned char *)(&__dso_handle)));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1));
  return (&_ZZN6Config10planetRootEvE1d);
llvm_cbe_return:
  return (&_ZZN6Config10planetRootEvE1d);
}


static unsigned char _ZN4Game4sendEv(struct l_struct_2E_Game *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A_string llvm_cbe_msg_2e_i_2e_i194_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp_2e_i23_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp6_2e_i29_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp7_2e_i30_2e_i_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_buf_2e_i_2e_i_2e_i[32];    /* Address-exposed local */
  unsigned long long llvm_cbe___nodes_to_add_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp_2e_i_2e_i_2e_i222_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_req_2e_i_2e_i_2e_i[512];    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1_2e_i_2e_i227_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2_2e_i_2e_i228_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_status_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_timespec llvm_cbe_tv_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_fd_set llvm_cbe_fds_2e_i_2e_i_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_buf_2e_i_2e_i[2048];    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp2_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_happyhttp_3A__3A_Wobbly llvm_cbe_w_2e_i;    /* Address-exposed local */
  struct l_struct_2E_happyhttp_3A__3A_Connection llvm_cbe_con_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_data_2e_i[65536];    /* Address-exposed local */
  unsigned char llvm_cbe_path_2e_i[256];    /* Address-exposed local */
  unsigned char llvm_cbe_host_2e_i[256];    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_id;    /* Address-exposed local */
  struct l_struct_2E_Http llvm_cbe_h;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp5;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp6;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp8;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp9;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp10;    /* Address-exposed local */
  unsigned int  (**llvm_cbe_tmp14) ();
  unsigned int  (*llvm_cbe_tmp16) ();
  unsigned char llvm_cbe_tmp20;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp22;
  unsigned char *llvm_cbe_tmp24;
  struct l_struct_2E_FILE *llvm_cbe_tmp2_2e_i7287;
  struct l_struct_2E_FILE **llvm_cbe_tmp4_2e_i74;
  unsigned char *llvm_cbe_tmp8_2e_i78;
  unsigned long long llvm_cbe_tmp9_2e_i7988;
  unsigned int *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_FILE *llvm_cbe_tmp15_2e_i82;
  unsigned int llvm_cbe_tmp16_2e_i89;
  unsigned char *llvm_cbe_tmp18_2e_i;
  unsigned char *llvm_cbe_tmp19_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp7_2e_i_2e_i;
  unsigned char *llvm_cbe_uri_addr_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_uri_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp11_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp13_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp23_2e_i_2e_i;
  unsigned int llvm_cbe_tmp32_2e_i_2e_i;
  unsigned int llvm_cbe_port_2e_i_2e_0;
  unsigned int llvm_cbe_port_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp36_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp38_2e_i_2e_i;
  struct l_struct_2E_FILE *llvm_cbe_tmp41_2e_i_2e_i;
  unsigned int llvm_cbe_tmp46_2e_i_2e_i90;
  void  (**llvm_cbe_tmp4_2e_i5_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  void  (**llvm_cbe_tmp6_2e_i6_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int );
  void  (**llvm_cbe_tmp8_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char **llvm_cbe_tmp10_2e_i9_2e_i;
  unsigned int *llvm_cbe_tmp12_2e_i11_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp14_2e_i13_2e_i;
  unsigned int *llvm_cbe_tmp20_2e_i16_2e_i;
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ****llvm_cbe_tmp4_2e_i_2e_i_2e_i18_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp5_2e_i55_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i25_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i14_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp62_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp29_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i257_2e_i;
  unsigned char *llvm_cbe_tmp9_2e_i_2e_i259_2e_i;
  unsigned char *llvm_cbe_tmp21_2e_i_2e_i264_2e_i;
  unsigned int llvm_cbe_tmp25_2e_i_2e_i267_2e_i;
  struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp29_2e_i_2e_i270_2e_i;
  unsigned char *llvm_cbe_tmp40_2e_i_2e_i273469_2e_i;
  unsigned char *llvm_cbe_tmp46_2e_i_2e_i276472_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_tmp4647_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i299_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_tmp60_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp5_2e_i11_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp11_2e_i_2e_i_2e_i359_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp31_2e_i23_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp32_2e_i24_2e_i_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp5_2e_i_2e_i_2e_i29_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ****llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i372_2e_i;
  unsigned long long llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ****llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i374_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ****llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i36_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i39_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i42_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *ltmp_14_1;
  unsigned long long llvm_cbe_tmp108_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp110_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i473_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp134_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp175_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i390_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp8_2e_i3_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i44_2e_i_2e_i_2e_i_2e_i475_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i398_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i402_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i403_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i12_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp39_2e_i_2e_i_2e_i_2e_i410_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_storemerge;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp_2e_i2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp11_2e_i_2e_i431_2e_i;
  unsigned char *llvm_cbe_tmp14_2e_i_2e_i433_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1_2e_i_2e_i_2e_i49_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp5_2e_i18_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i41_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp61_2e_i_2e_i441_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i32_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1_2e_i_2e_i19_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i_2e_i73_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp7_2e_i_2e_i_2e_i75_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp8_2e_i_2e_i_2e_i76_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i87_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp88_2e_i_2e_i461_2e_i;
  unsigned char *llvm_cbe_tmp91_2e_i_2e_i462_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp2_2e_i_2e_i_2e_i41_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp5_2e_i_2e_i_2e_i44_2e_i;
  unsigned long long *llvm_cbe_tmp29_2e_i_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp30_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_buf25_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp1_2e_i_2e_i_2e_i113_2e_i_2e_i;
  struct l_struct_2E_FILE *llvm_cbe_tmp35_2e_i;
  unsigned long long llvm_cbe_tmp38_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp3_2e_i_2e_i_2e_i68_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp6_2e_i_2e_i_2e_i71_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i81_2e_i;
  unsigned int llvm_cbe___i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe___i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp8_2e_i24_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp20_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp21_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp24_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp33_2e_i_2e_i155_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i25_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i26_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i27_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp4_2e_i_2e_i28_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp46_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp28_2e_i90_2e_i;
  unsigned long long llvm_cbe_tmp29_2e_i91157_2e_i;
  unsigned int llvm_cbe_tmp2930_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i93_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i30_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i31_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp4_2e_i32_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp2_2e_i_2e_i_2e_i114_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_tmp46_2e_i98_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i141_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i142_2e_i_2e_i;
  unsigned char llvm_cbe_tmp15_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp24_2e_i153_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp4_2e_i_2e_i159_2e_i_2e_i;
  void  (*llvm_cbe_tmp6_2e_i_2e_i161_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp31_2e_i174_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i180_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp148_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp102_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp118_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Connection **llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i;
  unsigned int *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp47_2e_i63_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp49_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp51_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp59_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i_2e_i65_2e_i163_2e_i;
  unsigned char *llvm_cbe_tmp7_2e_i_2e_i67_2e_i_2e_i;
  unsigned char *llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp10_2e_i_2e_i68_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp29_2e_i_2e_i_2e_i164_2e_i;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp64_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp66_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp69_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp101_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4;
  unsigned char *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp115_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp135_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp136_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i1_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp164_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp176_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge175;
  unsigned int llvm_cbe_storemerge175__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp1_2e_i141_2e_i_2e_i168_2e_i;
  unsigned char llvm_cbe_tmp3_2e_i143_2e_i_2e_i169_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i105171_2e_i;
  unsigned int llvm_cbe_tmp14_2e_i_2e_i163_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i110_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i_2e_i113172_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i116_2e_i;
  unsigned char *llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i_2e_i173_2e_i;
  unsigned char llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0;
  unsigned char llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp30_2e_i_2e_i_2e_i_2e_i119174_2e_i;
  unsigned char llvm_cbe_tmp38_2e_i_2e_i_2e_i_2e_i123_2e_i;
  unsigned int llvm_cbe_tmp44_2e_i_2e_i_2e_i_2e_i125_2e_i;
  unsigned int llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i_2e_i_2e_i_2e_i175_2e_i;
  unsigned char llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i_2e_i;
  void  (*llvm_cbe_tmp119_2e_i_2e_i_2e_i_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char *llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge176;
  unsigned int llvm_cbe_storemerge177;
  unsigned int llvm_cbe_storemerge177__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp20_2e_i169_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i170_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_storemerge_2e_i174_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp34_2e_i175_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i179_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp49_2e_i183_2e_i_2e_i177_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp53_2e_i187_2e_i_2e_i178_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp59_2e_i193_2e_i_2e_i180_2e_i;
  unsigned char llvm_cbe_tmp1_2e_i113_2e_i_2e_i181_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp4_2e_i_2e_i119_2e_i_2e_i_2e_i;
  void  (*llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char *llvm_cbe_tmp18_2e_i_2e_i133_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp1_2e_i95_2e_i_2e_i183_2e_i;
  unsigned long long llvm_cbe_tmp2_2e_i96_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i97_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp79_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp104_2e_i_2e_i186_2e_i;
  unsigned char *llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0;
  unsigned char *llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_count_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp121_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp13_2e_i52_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp25_2e_i59_2e_i_2e_i_2e_i;
  void  (*llvm_cbe_tmp27_2e_i61_2e_i_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int );
  unsigned char *llvm_cbe_tmp41_2e_i71_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp48_2e_i77_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp55_2e_i84_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i_2e_i71_2e_i_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp24_2e_i14_2e_i_2e_i_2e_i;
  void  (*llvm_cbe_tmp26_2e_i16_2e_i_2e_i_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int );
  unsigned char *llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp47_2e_i26_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp49_2e_i28_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp54_2e_i30_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_tmp4_2e_i_2e_i40_2e_i_2e_i_2e_i;
  void  (*llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i143_2e_i) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *);
  unsigned char *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i74_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp137_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp140_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;
  unsigned char *llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY;
  unsigned int llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;
  unsigned int llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp149_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp156_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i36_2e_i_2e_i;
  unsigned int llvm_cbe_tmp105_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i153_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i153_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp3_2e_i_2e_i12_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp6_2e_i_2e_i15_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp2_2e_i_2e_i_2e_i84_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_tmp76_2e_i_2e_i;
  unsigned int llvm_cbe_tmp79_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp82_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp3_2e_i_2e_i_2e_i42_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp6_2e_i_2e_i_2e_i45_2e_i;
  unsigned long long llvm_cbe_tmp35;
  unsigned char *llvm_cbe_tmp42;
  unsigned int llvm_cbe_tmp45;
  struct l_struct_2E_Os **llvm_cbe_tmp50;
  struct l_struct_2E_Os *llvm_cbe_tmp51;
  unsigned int  (**llvm_cbe_tmp53) ();
  unsigned int  (*llvm_cbe_tmp55) ();
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp57;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i128;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i104;
  unsigned char *llvm_cbe_tmp62;
  struct l_struct_2E_Os *llvm_cbe_tmp65;
  unsigned char llvm_cbe_tmp68;
  unsigned char *llvm_cbe_tmp1_2e_i6466;
  unsigned int llvm_cbe_tmp3_2e_i6567;
  unsigned char *llvm_cbe_tmp1_2e_i5961;
  unsigned int llvm_cbe_tmp3_2e_i6062;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i;
  unsigned char *llvm_cbe_tmp1_2e_i3840;
  unsigned int llvm_cbe_tmp3_2e_i3941;

  llvm_cbe_tmp14 = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp14[((signed long long )2ull)]));
  llvm_cbe_tmp20 = (((unsigned char  (*) (struct l_struct_2E_Game *, unsigned char *))llvm_cbe_tmp16))(llvm_cbe_this, ((&_2E_str631[((signed long long )0ull)])));
  if ((llvm_cbe_tmp20 == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_h.field2);
  _ZNSsC1Ev(llvm_cbe_tmp1_2e_i);
  llvm_cbe_tmp3_2e_i = (&llvm_cbe_h.field3);
  _ZNSsC1Ev(llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp22 = _ZN6Config10planetRootEv();
  llvm_cbe_tmp24 = _ZNKSs5c_strEv(llvm_cbe_tmp22);
  llvm_cbe_tmp2_2e_i7287 = fopen(((&_2E_str631[((signed long long )0ull)])), ((&_2E_str9[((signed long long )0ull)])));
  llvm_cbe_tmp4_2e_i74 = (&llvm_cbe_h.field0);
  *llvm_cbe_tmp4_2e_i74 = llvm_cbe_tmp2_2e_i7287;
  llvm_cbe_tmp8_2e_i78 = (&llvm_cbe_data_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp9_2e_i7988 = fread(llvm_cbe_tmp8_2e_i78, 1ull, 65536ull, llvm_cbe_tmp2_2e_i7287);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_h.field1);
  *llvm_cbe_tmp12_2e_i = (((unsigned int )llvm_cbe_tmp9_2e_i7988));
  llvm_cbe_tmp15_2e_i82 = *llvm_cbe_tmp4_2e_i74;
  llvm_cbe_tmp16_2e_i89 = fclose(llvm_cbe_tmp15_2e_i82);
  llvm_cbe_tmp18_2e_i = (&llvm_cbe_host_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_path_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp3_2e_i_2e_i = strncmp(llvm_cbe_tmp24, ((&_2E_str71[((signed long long )0ull)])), 7ull);
  if ((llvm_cbe_tmp3_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i_2e_i;
  } else {
    llvm_cbe_uri_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp24;   /* for PHI node */
    goto llvm_cbe_bb8_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = (&llvm_cbe_tmp24[((signed long long )7ull)]);
  llvm_cbe_uri_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp7_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb8_2e_i_2e_i;

llvm_cbe_bb8_2e_i_2e_i:
  llvm_cbe_uri_addr_2e_i_2e_i_2e_0 = llvm_cbe_uri_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i_2e_i = strcpy(llvm_cbe_tmp18_2e_i, llvm_cbe_uri_addr_2e_i_2e_i_2e_0);
  llvm_cbe_tmp13_2e_i_2e_i = strchr(llvm_cbe_tmp18_2e_i, 47u);
  if ((llvm_cbe_tmp13_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb21_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb19_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i_2e_i:
  *llvm_cbe_tmp13_2e_i_2e_i = ((unsigned char )0);
  goto llvm_cbe_bb21_2e_i_2e_i;

llvm_cbe_bb21_2e_i_2e_i:
  llvm_cbe_tmp23_2e_i_2e_i = strchr(llvm_cbe_tmp18_2e_i, 58u);
  if ((llvm_cbe_tmp23_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    llvm_cbe_port_2e_i_2e_0__PHI_TEMPORARY = 80u;   /* for PHI node */
    goto llvm_cbe__ZL8parseUriPKcPcPiS1__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb28_2e_i_2e_i;
  }

llvm_cbe_bb28_2e_i_2e_i:
  *llvm_cbe_tmp23_2e_i_2e_i = ((unsigned char )0);
  llvm_cbe_tmp32_2e_i_2e_i = atoi(((&llvm_cbe_tmp23_2e_i_2e_i[((signed long long )1ull)])));
  llvm_cbe_port_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZL8parseUriPKcPcPiS1__2e_exit_2e_i;

llvm_cbe__ZL8parseUriPKcPcPiS1__2e_exit_2e_i:
  llvm_cbe_port_2e_i_2e_0 = llvm_cbe_port_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp36_2e_i_2e_i = strchr(llvm_cbe_uri_addr_2e_i_2e_i_2e_0, 47u);
  llvm_cbe_tmp38_2e_i_2e_i = strcpy(llvm_cbe_tmp19_2e_i, llvm_cbe_tmp36_2e_i_2e_i);
  llvm_cbe_tmp41_2e_i_2e_i = *(&stderr);
  llvm_cbe_tmp46_2e_i_2e_i90 = fprintf(llvm_cbe_tmp41_2e_i_2e_i, ((&_2E_str172[((signed long long )0ull)])), llvm_cbe_tmp18_2e_i, llvm_cbe_port_2e_i_2e_0, llvm_cbe_tmp19_2e_i);
  llvm_cbe_tmp4_2e_i5_2e_i = (&llvm_cbe_con_2e_i.field0);
  *llvm_cbe_tmp4_2e_i5_2e_i = ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0);
  llvm_cbe_tmp6_2e_i6_2e_i = (&llvm_cbe_con_2e_i.field1);
  *llvm_cbe_tmp6_2e_i6_2e_i = ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int ))/*NULL*/0);
  llvm_cbe_tmp8_2e_i_2e_i = (&llvm_cbe_con_2e_i.field2);
  *llvm_cbe_tmp8_2e_i_2e_i = ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0);
  llvm_cbe_tmp10_2e_i9_2e_i = (&llvm_cbe_con_2e_i.field3);
  *llvm_cbe_tmp10_2e_i9_2e_i = ((unsigned char *)/*NULL*/0);
  llvm_cbe_tmp12_2e_i11_2e_i = (&llvm_cbe_con_2e_i.field4);
  *llvm_cbe_tmp12_2e_i11_2e_i = 0u;
  _ZNSaIcEC1Ev((&llvm_cbe_tmp2_2e_i_2e_i));
  llvm_cbe_tmp14_2e_i13_2e_i = (&llvm_cbe_con_2e_i.field5);
  _ZNSsC1EPKcRKSaIcE(llvm_cbe_tmp14_2e_i13_2e_i, llvm_cbe_tmp18_2e_i, (&llvm_cbe_tmp2_2e_i_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp2_2e_i_2e_i));
  *((&llvm_cbe_con_2e_i.field6)) = llvm_cbe_port_2e_i_2e_0;
  llvm_cbe_tmp20_2e_i16_2e_i = (&llvm_cbe_con_2e_i.field7);
  *llvm_cbe_tmp20_2e_i16_2e_i = 4294967295u;
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field8.field0.field0.field0);
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field8.field0.field0.field1)) = ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field8.field0.field0.field2)) = ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i18_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field0);
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i18_2e_i_2e_i = ((struct l_struct_2E_happyhttp_3A__3A_Response ***)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field1)) = 0ull;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field0)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field1)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field2)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field3)) = ((struct l_struct_2E_happyhttp_3A__3A_Response ***)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field0)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field2)) = ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field3)) = ((struct l_struct_2E_happyhttp_3A__3A_Response ***)/*NULL*/0);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field1);
  *llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i = 8ull;
  llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i = _ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_allocate_mapEm(((&llvm_cbe_con_2e_i.field9.field0)), 8ull);
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i18_2e_i_2e_i = llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned long long )(((unsigned long long )(llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i + 18446744073709551615ull)) >> ((unsigned long long )1ull)));
  llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i_2e_i)]);
  llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i[((signed long long )(llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i_2e_i + 1ull))]);
  llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb6.i.i.i.i.i.i' to make GCC happy */
llvm_cbe_bb6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((unsigned long long )llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i) < ((unsigned long long )llvm_cbe_tmp36_2e_i_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE8allocateEmPKv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_create_nodesEPPS2_S6__2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE8allocateEmPKv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp12_2e_i_2e_i1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = _Znwm(512ull);
  *llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i = (((struct l_struct_2E_happyhttp_3A__3A_Response **)llvm_cbe_tmp12_2e_i_2e_i1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp5_2e_i55_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe_storemerge_2e_i56_2e_i_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i55_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb6.i.i.i.i.i.i' */
llvm_cbe__ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_create_nodesEPPS2_S6__2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i:
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field3)) = llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i25_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp33_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field1)) = llvm_cbe_tmp4_2e_i25_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field2)) = ((&llvm_cbe_tmp4_2e_i25_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )64ull)]));
  llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp18_2e_i19_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i_2e_i)]);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field3)) = llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i14_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1)) = llvm_cbe_tmp4_2e_i14_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field2)) = ((&llvm_cbe_tmp4_2e_i14_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )64ull)]));
  llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field1));
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field0)) = llvm_cbe_tmp53_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp62_2e_i_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1));
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field0)) = llvm_cbe_tmp62_2e_i_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp4_2e_i5_2e_i = _ZL13http_begin_cbPKN9happyhttp8ResponseEPv;
  *llvm_cbe_tmp6_2e_i6_2e_i = _ZL12http_post_cbPKN9happyhttp8ResponseEPvPKhi;
  *llvm_cbe_tmp8_2e_i_2e_i = _ZL16http_complete_cbPKN9happyhttp8ResponseEPv;
  *llvm_cbe_tmp10_2e_i9_2e_i = (((unsigned char *)(&llvm_cbe_h)));
  llvm_cbe_tmp29_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i257_2e_i = *llvm_cbe_tmp12_2e_i11_2e_i;
  if ((llvm_cbe_tmp6_2e_i_2e_i257_2e_i == 0u)) {
    goto llvm_cbe_bb18_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i261_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i261_2e_i:
  llvm_cbe_tmp9_2e_i_2e_i259_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp9_2e_i_2e_i259_2e_i)), ((&_2E_str22104[((signed long long )0ull)])));
  __cxa_throw(llvm_cbe_tmp9_2e_i_2e_i259_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp12_2e_i11_2e_i = 1u;
  llvm_cbe_tmp21_2e_i_2e_i264_2e_i = (&llvm_cbe_req_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp25_2e_i_2e_i267_2e_i = sprintf(llvm_cbe_tmp21_2e_i_2e_i264_2e_i, ((&_2E_str23105[((signed long long )0ull)])), ((&_2E_str374[((signed long long )0ull)])), llvm_cbe_tmp19_2e_i);
  _ZNSaIcEC1Ev((&llvm_cbe_tmp1_2e_i_2e_i227_2e_i));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp2_2e_i_2e_i228_2e_i), llvm_cbe_tmp21_2e_i_2e_i264_2e_i, (&llvm_cbe_tmp1_2e_i_2e_i227_2e_i));
  llvm_cbe_tmp29_2e_i_2e_i270_2e_i = (&llvm_cbe_con_2e_i.field8);
  _ZNSt6vectorISsSaISsEE9push_backERKSs(llvm_cbe_tmp29_2e_i_2e_i270_2e_i, (&llvm_cbe_tmp2_2e_i_2e_i228_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp2_2e_i_2e_i228_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1_2e_i_2e_i227_2e_i));
  llvm_cbe_tmp40_2e_i_2e_i273469_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp14_2e_i13_2e_i);
  _ZN9happyhttp10Connection9putheaderEPKcS2_((&llvm_cbe_con_2e_i), ((&_2E_str24106[((signed long long )0ull)])), llvm_cbe_tmp40_2e_i_2e_i273469_2e_i);
  _ZN9happyhttp10Connection9putheaderEPKcS2_((&llvm_cbe_con_2e_i), ((&_2E_str25107[((signed long long )0ull)])), ((&_2E_str26108[((signed long long )0ull)])));
  llvm_cbe_tmp46_2e_i_2e_i276472_2e_i = _Znwm(136ull);
  llvm_cbe_tmp4647_2e_i_2e_i_2e_i = ((struct l_struct_2E_happyhttp_3A__3A_Response *)llvm_cbe_tmp46_2e_i_2e_i276472_2e_i);
  *(((unsigned int *)llvm_cbe_tmp46_2e_i_2e_i276472_2e_i)) = 0u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field1)) = (&llvm_cbe_con_2e_i);
  _ZNSaIcEC1Ev((&llvm_cbe_tmp_2e_i_2e_i_2e_i222_2e_i));
  _ZNSsC1EPKcRKSaIcE(((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field2)), ((&_2E_str374[((signed long long )0ull)])), (&llvm_cbe_tmp_2e_i_2e_i_2e_i222_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp_2e_i_2e_i_2e_i222_2e_i));
  _ZNSsC1Ev(((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field3)));
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field4)) = 0u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field5)) = 0u;
  _ZNSsC1Ev(((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field6)));
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i299_2e_i = (&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0);
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field2)) = 0ull;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field1.field0)) = 0u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field1.field1)) = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0);
  llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field1);
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field1.field2)) = llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field7.field0.field0.field1.field3)) = llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field8)) = 0u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field9)) = ((unsigned char )0);
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field10)) = 0u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field11)) = 4294967295u;
  *((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field12)) = ((unsigned char )0);
  _ZNSsC1Ev(((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field13)));
  _ZNSsC1Ev(((&llvm_cbe_tmp4647_2e_i_2e_i_2e_i->field14)));
  llvm_cbe_tmp60_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9);
  llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field3.field0);
  llvm_cbe_tmp5_2e_i11_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i;
  llvm_cbe_tmp11_2e_i_2e_i_2e_i359_2e_i = *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field2));
  if ((llvm_cbe_tmp5_2e_i11_2e_i_2e_i_2e_i == ((&llvm_cbe_tmp11_2e_i_2e_i_2e_i359_2e_i[((signed long long )18446744073709551615ull)])))) {
    goto llvm_cbe_bb38_2e_i_2e_i_2e_i378_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i363_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i363_2e_i:
  if ((llvm_cbe_tmp5_2e_i11_2e_i_2e_i_2e_i == ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0))) {
    goto llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i367_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i367_2e_i:
  *llvm_cbe_tmp5_2e_i11_2e_i_2e_i_2e_i = llvm_cbe_tmp4647_2e_i_2e_i_2e_i;
  goto llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i;

llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp31_2e_i23_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i;
  llvm_cbe_tmp32_2e_i24_2e_i_2e_i_2e_i = (&llvm_cbe_tmp31_2e_i23_2e_i_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i24_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN9happyhttp10Connection10putrequestEPKcS2__2e_exit_2e_i_2e_i;

llvm_cbe_bb38_2e_i_2e_i_2e_i378_2e_i:
  llvm_cbe_tmp5_2e_i_2e_i_2e_i29_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field1);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i_2e_i29_2e_i_2e_i_2e_i;
  llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field3.field3);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i372_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i;
  llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned long long )(unsigned long)llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i372_2e_i);
  llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i374_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field0);
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i374_2e_i;
  if ((((unsigned long long )(llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i - (((signed long long )(((signed long long )(llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i - (((unsigned long long )(unsigned long)llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)))) >> ((signed long long )3ull)))))) < ((unsigned long long )2ull))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i380_2e_i;
  } else {
    goto llvm_cbe__ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE22_M_reserve_map_at_backEm_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i380_2e_i:
  *(&llvm_cbe___nodes_to_add_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i) = 1ull;
  llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i36_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field2.field3);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i36_2e_i_2e_i_2e_i;
  llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned long long )(unsigned long)llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i);
  llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = ((signed long long )(((signed long long )(llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)) >> ((signed long long )3ull)));
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i39_2e_i_2e_i_2e_i = llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i + 1ull;
  llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i42_2e_i_2e_i_2e_i = llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i + 2ull;
  if ((((unsigned long long )llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i) > ((unsigned long long )(llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i42_2e_i_2e_i_2e_i << 1ull)))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i381_2e_i;
  } else {
    goto llvm_cbe_bb97_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i381_2e_i:
  llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned long long )(((unsigned long long )(llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i - llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i42_2e_i_2e_i_2e_i)) >> ((unsigned long long )1ull)));
  llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)]);
  if ((((unsigned long long )llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i) > ((unsigned long long )llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb62_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb78_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb62_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  _ZSt4copyIPPPN9happyhttp8ResponseES4_ET0_T_S6_S5_(llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i, ((&llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i372_2e_i[((signed long long )1ull)])), llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb166_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb78_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (((unsigned long long )(unsigned long)((&llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i372_2e_i[((signed long long )1ull)])))) - llvm_cbe_tmp1213_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  ltmp_14_1 = memmove((((unsigned char *)((&llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )((llvm_cbe_tmp41_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i + llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i39_2e_i_2e_i_2e_i) - (((signed long long )(((signed long long )llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i) >> ((signed long long )3ull))))))])))), (((unsigned char *)llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i37_2e_i_2e_i_2e_i)), (llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i & 18446744073709551608ull));
  llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb166_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb97_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp108_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *((((llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i == 0ull)) ? ((&llvm_cbe___nodes_to_add_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)) : (llvm_cbe_tmp5_2e_i_2e_i_2e_i29_2e_i_2e_i_2e_i)));
  llvm_cbe_tmp110_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (llvm_cbe_tmp6_2e_i_2e_i_2e_i30_2e_i_2e_i_2e_i + llvm_cbe_tmp108_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i) + 2ull;
  llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i473_2e_i = _ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_allocate_mapEm(((&llvm_cbe_con_2e_i.field9.field0)), llvm_cbe_tmp110_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i473_2e_i[((signed long long )(((unsigned long long )(((unsigned long long )(llvm_cbe_tmp110_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i - llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i42_2e_i_2e_i_2e_i)) >> ((unsigned long long )1ull)))))]);
  llvm_cbe_tmp134_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i;
  llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i36_2e_i_2e_i_2e_i;
  _ZSt4copyIPPPN9happyhttp8ResponseES4_ET0_T_S6_S5_(llvm_cbe_tmp141_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i, ((&llvm_cbe_tmp134_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)])), llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i374_2e_i;
  _ZdlPv((((unsigned char *)llvm_cbe_tmp153_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)));
  *llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i374_2e_i = llvm_cbe_tmp114_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i473_2e_i;
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i29_2e_i_2e_i_2e_i = llvm_cbe_tmp110_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp128_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb166_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb166_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field3)) = llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0;
  llvm_cbe_tmp4_2e_i16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field1)) = llvm_cbe_tmp4_2e_i16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field2.field2)) = ((&llvm_cbe_tmp4_2e_i16_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )64ull)]));
  llvm_cbe_tmp175_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe___new_nstart_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i)]);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field3)) = llvm_cbe_tmp175_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i390_2e_i = *llvm_cbe_tmp175_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1)) = llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i390_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field2)) = ((&llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i390_2e_i[((signed long long )64ull)]));
  goto llvm_cbe__ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE22_M_reserve_map_at_backEm_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe__ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE22_M_reserve_map_at_backEm_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i3_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i;
  llvm_cbe_tmp12_2e_i_2e_i44_2e_i_2e_i_2e_i_2e_i475_2e_i = _Znwm(512ull);
  *((&llvm_cbe_tmp8_2e_i3_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)])) = (((struct l_struct_2E_happyhttp_3A__3A_Response **)llvm_cbe_tmp12_2e_i_2e_i44_2e_i_2e_i_2e_i_2e_i475_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i398_2e_i = *llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i398_2e_i == ((struct l_struct_2E_happyhttp_3A__3A_Response **)/*NULL*/0))) {
    goto llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i29_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i29_2e_i_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i398_2e_i = llvm_cbe_tmp4647_2e_i_2e_i_2e_i;
  goto llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe__ZN9__gnu_cxx13new_allocatorIPN9happyhttp8ResponseEE9constructEPS3_RKS3__2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i402_2e_i = *llvm_cbe_tmp11_2e_i_2e_i_2e_i_2e_i_2e_i371_2e_i;
  llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i403_2e_i = (&llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i402_2e_i[((signed long long )1ull)]);
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field3)) = llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i403_2e_i;
  llvm_cbe_tmp4_2e_i12_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i403_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1)) = llvm_cbe_tmp4_2e_i12_2e_i_2e_i_2e_i_2e_i_2e_i;
  *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field2)) = ((&llvm_cbe_tmp4_2e_i12_2e_i_2e_i_2e_i_2e_i_2e_i[((signed long long )64ull)]));
  llvm_cbe_tmp39_2e_i_2e_i_2e_i_2e_i410_2e_i = *((&llvm_cbe_con_2e_i.field9.field0.field0.field3.field1));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp39_2e_i_2e_i_2e_i_2e_i410_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN9happyhttp10Connection10putrequestEPKcS2__2e_exit_2e_i_2e_i;

llvm_cbe__ZN9happyhttp10Connection10putrequestEPKcS2__2e_exit_2e_i_2e_i:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *llvm_cbe_tmp4_2e_i10_2e_i_2e_i_2e_i = llvm_cbe_storemerge;
  llvm_cbe_tmp_2e_i2_2e_i_2e_i = (&llvm_cbe_buf_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp3_2e_i4_2e_i_2e_i = sprintf(llvm_cbe_tmp_2e_i2_2e_i_2e_i, ((&_2E_str21103[((signed long long )0ull)])), llvm_cbe_tmp29_2e_i);
  _ZN9happyhttp10Connection9putheaderEPKcS2_((&llvm_cbe_con_2e_i), ((&_2E_str36118[((signed long long )0ull)])), llvm_cbe_tmp_2e_i2_2e_i_2e_i);
  llvm_cbe_tmp11_2e_i_2e_i431_2e_i = *llvm_cbe_tmp12_2e_i11_2e_i;
  if ((llvm_cbe_tmp11_2e_i_2e_i431_2e_i == 1u)) {
    goto llvm_cbe_bb23_2e_i_2e_i435_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i33_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i33_2e_i_2e_i:
  llvm_cbe_tmp14_2e_i_2e_i433_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp14_2e_i_2e_i433_2e_i)), ((&_2E_str32114[((signed long long )0ull)])));
  __cxa_throw(llvm_cbe_tmp14_2e_i_2e_i433_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb23_2e_i_2e_i435_2e_i:
  *llvm_cbe_tmp12_2e_i11_2e_i = 0u;
  _ZNSaIcEC1Ev((&llvm_cbe_tmp6_2e_i29_2e_i_2e_i));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp7_2e_i30_2e_i_2e_i), ((&_2E_str33115[((signed long long )0ull)])), (&llvm_cbe_tmp6_2e_i29_2e_i_2e_i));
  _ZNSt6vectorISsSaISsEE9push_backERKSs(llvm_cbe_tmp29_2e_i_2e_i270_2e_i, (&llvm_cbe_tmp7_2e_i30_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp7_2e_i30_2e_i_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp6_2e_i29_2e_i_2e_i));
  _ZNSsC1Ev((&llvm_cbe_msg_2e_i_2e_i194_2e_i));
  llvm_cbe_tmp1_2e_i_2e_i_2e_i49_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp5_2e_i18_2e_i_2e_i_2e_i = (&llvm_cbe_con_2e_i.field8.field0.field0.field1);
  llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i_2e_i_2e_i49_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb70_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb70.i.i.i' to make GCC happy */
llvm_cbe_bb70_2e_i_2e_i_2e_i:
  llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0 = llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp1_2e_i_2e_i19_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i18_2e_i_2e_i_2e_i;
  if ((llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0 == llvm_cbe_tmp1_2e_i_2e_i19_2e_i_2e_i_2e_i)) {
    goto llvm_cbe_bb83_2e_i_2e_i451_2e_i;
  } else {
    goto llvm_cbe_bb56_2e_i_2e_i439_2e_i;
  }

llvm_cbe_bb56_2e_i_2e_i439_2e_i:
  _ZNSsC1ERKSs((&llvm_cbe_tmp_2e_i23_2e_i_2e_i), llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0);
  llvm_cbe_tmp9_2e_i41_2e_i_2e_i_2e_i = _ZNSs6appendEPKc((&llvm_cbe_tmp_2e_i23_2e_i_2e_i), ((&_2E_str34116[((signed long long )0ull)])));
  llvm_cbe_tmp61_2e_i_2e_i441_2e_i = _ZNSspLERKSs((&llvm_cbe_msg_2e_i_2e_i194_2e_i), (&llvm_cbe_tmp_2e_i23_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp_2e_i23_2e_i_2e_i));
  llvm_cbe_tmp4_2e_i32_2e_i_2e_i_2e_i = (&llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0[((signed long long )1ull)]);
  llvm_cbe_it_2e_i_2e_i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i32_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb70_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb70.i.i.i' */
llvm_cbe_bb83_2e_i_2e_i451_2e_i:
  llvm_cbe_tmp4_2e_i_2e_i73_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i_2e_i75_2e_i_2e_i = (&llvm_cbe_con_2e_i.field8.field0.field0.field1);
  llvm_cbe_tmp8_2e_i_2e_i_2e_i76_2e_i_2e_i = *llvm_cbe_tmp7_2e_i_2e_i_2e_i75_2e_i_2e_i;
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i73_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb5.i.i.i.i.i.i.i.i' to make GCC happy */
llvm_cbe_bb5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0 = llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0 == llvm_cbe_tmp8_2e_i_2e_i_2e_i76_2e_i_2e_i)) {
    goto llvm_cbe__ZNSt6vectorISsSaISsEE5clearEv_2e_exit_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i85_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i85_2e_i_2e_i:
  _ZNSsD1Ev(llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i87_2e_i_2e_i = (&llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i12_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i87_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb5.i.i.i.i.i.i.i.i' */
llvm_cbe__ZNSt6vectorISsSaISsEE5clearEv_2e_exit_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp7_2e_i_2e_i_2e_i75_2e_i_2e_i = llvm_cbe_tmp4_2e_i_2e_i73_2e_i_2e_i;
  llvm_cbe_tmp88_2e_i_2e_i461_2e_i = _ZNKSs4sizeEv((&llvm_cbe_msg_2e_i_2e_i194_2e_i));
  llvm_cbe_tmp91_2e_i_2e_i462_2e_i = _ZNKSs5c_strEv((&llvm_cbe_msg_2e_i_2e_i194_2e_i));
  _ZN9happyhttp10Connection4sendEPKhi((&llvm_cbe_con_2e_i), llvm_cbe_tmp91_2e_i_2e_i462_2e_i, (((unsigned int )llvm_cbe_tmp88_2e_i_2e_i461_2e_i)));
  _ZNSsD1Ev((&llvm_cbe_msg_2e_i_2e_i194_2e_i));
  _ZN9happyhttp10Connection4sendEPKhi((&llvm_cbe_con_2e_i), llvm_cbe_tmp8_2e_i78, llvm_cbe_tmp29_2e_i);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i41_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field3.field0);
  llvm_cbe_tmp5_2e_i_2e_i_2e_i44_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field2.field0);
  llvm_cbe_tmp29_2e_i_2e_i_2e_i = (&llvm_cbe_tv_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp30_2e_i_2e_i_2e_i = (&llvm_cbe_tv_2e_i_2e_i_2e_i.field1);
  llvm_cbe_buf25_2e_i_2e_i = (&llvm_cbe_buf_2e_i_2e_i[((signed int )0u)]);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i113_2e_i_2e_i = (&llvm_cbe_con_2e_i.field9.field0.field0.field2.field0);
  goto llvm_cbe_bb40_2e_i;

llvm_cbe_bb11_2e_i_2e_i:
  __assert_fail(((&_2E_str38120[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 436u, ((&_ZZN9happyhttp10Connection4pumpEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb38_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i_2e_i25_2e_i_2e_i = __errno_location();
  llvm_cbe_tmp2_2e_i_2e_i26_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i25_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i27_2e_i_2e_i = strerror(llvm_cbe_tmp2_2e_i_2e_i26_2e_i_2e_i);
  llvm_cbe_tmp4_2e_i_2e_i28_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp4_2e_i_2e_i28_2e_i_2e_i)), ((&_2E_str27109[((signed long long )0ull)])), ((&_2E_str37119[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i_2e_i27_2e_i_2e_i);
  __cxa_throw(llvm_cbe_tmp4_2e_i_2e_i28_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb35_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i_2e_i93_2e_i = __errno_location();
  llvm_cbe_tmp2_2e_i30_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i93_2e_i;
  llvm_cbe_tmp3_2e_i31_2e_i_2e_i = strerror(llvm_cbe_tmp2_2e_i30_2e_i_2e_i);
  llvm_cbe_tmp4_2e_i32_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp4_2e_i32_2e_i_2e_i)), ((&_2E_str27109[((signed long long )0ull)])), ((&_2E_str39121[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i31_2e_i_2e_i);
  __cxa_throw(llvm_cbe_tmp4_2e_i32_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb30_2e_i175_2e_i_2e_i:
  llvm_cbe_tmp31_2e_i174_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp31_2e_i174_2e_i_2e_i)), ((&_2E_str18100[((signed long long )0ull)])));
  __cxa_throw(llvm_cbe_tmp31_2e_i174_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb53_2e_i_2e_i:
  __assert_fail(((&_2E_str40122[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 452u, ((&_ZZN9happyhttp10Connection4pumpEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i49_2e_i_2e_i:
  __assert_fail(((&_2E_str1698[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 564u, ((&_ZZN9happyhttp8Response4pumpEPKhiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb132_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp135_2e_i_2e_i_2e_i_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  llvm_cbe_tmp136_2e_i_2e_i_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp136_2e_i_2e_i_2e_i_2e_i)), ((&_2E_str1294[((signed long long )0ull)])), llvm_cbe_tmp135_2e_i_2e_i_2e_i_2e_i);
  __cxa_throw(llvm_cbe_tmp136_2e_i_2e_i_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb172_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp176_2e_i_2e_i_2e_i_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i)), ((&_2E_str1597[((signed long long )0ull)])), llvm_cbe_tmp176_2e_i_2e_i_2e_i_2e_i);
  __cxa_throw(llvm_cbe_tmp177_2e_i_2e_i_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb83_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str1799[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 599u, ((&_ZZN9happyhttp8Response4pumpEPKhiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb66_2e_i_2e_i_2e_i_2e_i:
  __assert_fail(((&_2E_str284[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 668u, ((&_ZZN9happyhttp8Response18ProcessDataChunkedEPKhiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb133_2e_i_2e_i:
  __assert_fail(((&_2E_str41123[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 480u, ((&_ZZN9happyhttp10Connection4pumpEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb40.i' to make GCC happy */
llvm_cbe_bb40_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i42_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i41_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i_2e_i45_2e_i = *llvm_cbe_tmp5_2e_i_2e_i_2e_i44_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i_2e_i42_2e_i == llvm_cbe_tmp6_2e_i_2e_i_2e_i45_2e_i)) {
    goto llvm_cbe_bb45_2e_i;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb34_2e_i:
  llvm_cbe_tmp35_2e_i = *(&stderr);
  llvm_cbe_tmp38_2e_i = fwrite(((&_2E_str475[((signed long long )0ull)])), 1ull, 16ull, llvm_cbe_tmp35_2e_i);
  llvm_cbe_tmp3_2e_i_2e_i_2e_i68_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i41_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i_2e_i71_2e_i = *llvm_cbe_tmp5_2e_i_2e_i_2e_i44_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i_2e_i68_2e_i == llvm_cbe_tmp6_2e_i_2e_i_2e_i71_2e_i)) {
    goto llvm_cbe_bb40_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i83_2e_i;
  }

llvm_cbe_bb40_2e_i_2e_i_2e_i:
  llvm_cbe_tmp46_2e_i_2e_i_2e_i = *llvm_cbe_tmp20_2e_i_2e_i_2e_i;
  if (((llvm_cbe_tmp46_2e_i_2e_i_2e_i & llvm_cbe_tmp24_2e_i_2e_i_2e_i) == 0ull)) {
    goto llvm_cbe_bb40_2e_i;
  } else {
    goto llvm_cbe_bb24_2e_i_2e_i;
  }

llvm_cbe_bb13_2e_i_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i_2e_i = (&llvm_cbe_fds_2e_i_2e_i_2e_i.field0[((signed long long )(((unsigned long long )(((unsigned long long )(((signed long long )(signed int )llvm_cbe_tmp7_2e_i81_2e_i))) >> ((unsigned long long )6ull)))))]);
  llvm_cbe_tmp21_2e_i_2e_i_2e_i = *llvm_cbe_tmp20_2e_i_2e_i_2e_i;
  llvm_cbe_tmp24_2e_i_2e_i_2e_i = 1ull << (((unsigned long long )(unsigned int )(llvm_cbe_tmp7_2e_i81_2e_i & 63u)));
  *llvm_cbe_tmp20_2e_i_2e_i_2e_i = (llvm_cbe_tmp21_2e_i_2e_i_2e_i | llvm_cbe_tmp24_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp29_2e_i_2e_i_2e_i = 0ull;
  *llvm_cbe_tmp30_2e_i_2e_i_2e_i = 0ull;
  llvm_cbe_tmp33_2e_i_2e_i155_2e_i = select((llvm_cbe_tmp7_2e_i81_2e_i + 1u), (&llvm_cbe_fds_2e_i_2e_i_2e_i), ((struct l_struct_2E_fd_set *)/*NULL*/0), ((struct l_struct_2E_fd_set *)/*NULL*/0), (&llvm_cbe_tv_2e_i_2e_i_2e_i));
  if ((((signed int )llvm_cbe_tmp33_2e_i_2e_i155_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb38_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb40_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb.i.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe___i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe___i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_fds_2e_i_2e_i_2e_i.field0[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe___i_2e_i_2e_i_2e_i_2e_0)))])) = 0ull;
  llvm_cbe_tmp8_2e_i24_2e_i_2e_i = llvm_cbe___i_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((unsigned int )llvm_cbe_tmp8_2e_i24_2e_i_2e_i) < ((unsigned int )16u))) {
    llvm_cbe___i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp8_2e_i24_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb13_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i.i' */
llvm_cbe_bb_2e_i83_2e_i:
  llvm_cbe_tmp7_2e_i81_2e_i = *llvm_cbe_tmp20_2e_i16_2e_i;
  if ((((signed int )llvm_cbe_tmp7_2e_i81_2e_i) < ((signed int )1u))) {
    goto llvm_cbe_bb11_2e_i_2e_i;
  } else {
    llvm_cbe___i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb127_2e_i_2e_i:
  if ((llvm_cbe_storemerge1_2e_i153_2e_i == llvm_cbe_tmp2930_2e_i_2e_i)) {
    goto llvm_cbe_bb40_2e_i;
  } else {
    goto llvm_cbe_bb133_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb106.i.i' to make GCC happy */
llvm_cbe_bb106_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i153_2e_i = llvm_cbe_storemerge1_2e_i153_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i153_2e_i) < ((signed int )llvm_cbe_tmp2930_2e_i_2e_i))) {
    goto llvm_cbe_bb112_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb127_2e_i_2e_i;
  }

llvm_cbe_bb102_2e_i_2e_i:
  llvm_cbe_tmp105_2e_i_2e_i = llvm_cbe_storemerge1_2e_i153_2e_i + llvm_cbe_tmp156_2e_i_2e_i_2e_i;
  llvm_cbe_storemerge1_2e_i153_2e_i__PHI_TEMPORARY = llvm_cbe_tmp105_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb106_2e_i_2e_i;

llvm_cbe__ZN9happyhttp8Response4pumpEPKhi_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp156_2e_i_2e_i_2e_i = llvm_cbe_tmp79_2e_i_2e_i - llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;
  llvm_cbe_tmp3_2e_i36_2e_i_2e_i = *llvm_cbe_tmp148_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i36_2e_i_2e_i == 6u)) {
    goto llvm_cbe_bb89_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb102_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb141.i.i.i.outer' to make GCC happy */
llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_outer:
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY;
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY;
  goto llvm_cbe_bb141_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb105.i.i.i' to make GCC happy */
llvm_cbe_bb105_2e_i_2e_i_2e_i:
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_count_2e_i_2e_i_2e_i_2e_0) > ((signed int )0u))) {
    goto llvm_cbe_bb45_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_outer;
  }

llvm_cbe_bb45_2e_i_2e_i_2e_i:
  llvm_cbe_tmp47_2e_i63_2e_i_2e_i = *llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0;
  llvm_cbe_tmp49_2e_i_2e_i_2e_i = (&llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp51_2e_i_2e_i_2e_i = llvm_cbe_count_2e_i_2e_i_2e_i_2e_0 + 4294967295u;
  switch (llvm_cbe_tmp47_2e_i63_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb98_2e_i_2e_i_2e_i;
;
  case ((unsigned char )10):
    goto llvm_cbe_bb56_2e_i_2e_i_2e_i;
    break;
  case ((unsigned char )13):
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i_2e_i_2e_i;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp51_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb98_2e_i_2e_i_2e_i:
  llvm_cbe_tmp104_2e_i_2e_i186_2e_i = _ZNSspLEc(llvm_cbe_tmp102_2e_i_2e_i_2e_i, llvm_cbe_tmp47_2e_i63_2e_i_2e_i);
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp51_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb105_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb105.i.i.i' */
  do {     /* Syntactic loop 'bb141.i.i.i' to make GCC happy */
llvm_cbe_bb141_2e_i_2e_i_2e_i:
  if ((((signed int )llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph) < ((signed int )1u))) {
    goto llvm_cbe__ZN9happyhttp8Response4pumpEPKhi_2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb146_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb146_2e_i_2e_i_2e_i:
  llvm_cbe_tmp149_2e_i_2e_i_2e_i = *llvm_cbe_tmp148_2e_i_2e_i_2e_i;
  switch (llvm_cbe_tmp149_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb141_2e_i_2e_i_2e_i;
;
  case 6u:
    goto llvm_cbe__ZN9happyhttp8Response4pumpEPKhi_2e_exit_2e_i_2e_i;
    break;
  case 0u:
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  case 1u:
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  case 5u:
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  case 3u:
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  case 4u:
    llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    llvm_cbe_count_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb105_2e_i_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb118_2e_i_2e_i_2e_i;
  }
  } while (1); /* end of syntactic loop 'bb141.i.i.i' */
llvm_cbe_bb133_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i74_2e_i_2e_i = llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp137_2e_i_2e_i_2e_i = (&llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i74_2e_i_2e_i)))]);
  llvm_cbe_tmp140_2e_i_2e_i_2e_i = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph - llvm_cbe_storemerge_2e_i74_2e_i_2e_i;
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp137_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp140_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_outer;

llvm_cbe_bb70_2e_i_2e_i_2e_i_2e_i:
  if ((llvm_cbe_tmp55_2e_i84_2e_i_2e_i_2e_i == llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0)) {
    goto llvm_cbe_bb77_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb45_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp48_2e_i77_2e_i_2e_i_2e_i = *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i = (llvm_cbe_tmp48_2e_i77_2e_i_2e_i_2e_i + llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0);
  llvm_cbe_tmp55_2e_i84_2e_i_2e_i_2e_i = *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i;
  llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp55_2e_i84_2e_i_2e_i_2e_i - llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0;
  *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i = llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb66_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb70_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb9_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp13_2e_i52_2e_i_2e_i_2e_i = *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i;
  llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0 = (((((signed int )llvm_cbe_tmp13_2e_i52_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph))) ? (llvm_cbe_tmp13_2e_i52_2e_i_2e_i_2e_i) : (llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph));
  llvm_cbe_tmp25_2e_i59_2e_i_2e_i_2e_i = *llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp27_2e_i61_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp25_2e_i59_2e_i_2e_i_2e_i->field1));
  if ((llvm_cbe_tmp27_2e_i61_2e_i_2e_i_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int ))/*NULL*/0))) {
    goto llvm_cbe_bb45_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb118_2e_i_2e_i_2e_i:
  llvm_cbe_tmp121_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp121_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb128_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb9_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb31_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp41_2e_i71_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp25_2e_i59_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp27_2e_i61_2e_i_2e_i_2e_i(llvm_cbe_tmp76_2e_i_2e_i, llvm_cbe_tmp41_2e_i71_2e_i_2e_i_2e_i, llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph, llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0);
  goto llvm_cbe_bb45_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb77_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 4u;
  llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_n_2e_i44_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  goto llvm_cbe_bb133_2e_i_2e_i_2e_i;

llvm_cbe_bb44_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp47_2e_i26_2e_i_2e_i_2e_i = *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp49_2e_i28_2e_i_2e_i_2e_i = llvm_cbe_tmp47_2e_i26_2e_i_2e_i_2e_i + llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0;
  *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp49_2e_i28_2e_i_2e_i_2e_i;
  llvm_cbe_tmp54_2e_i30_2e_i_2e_i_2e_i = *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i;
  if (((((llvm_cbe_tmp49_2e_i28_2e_i_2e_i_2e_i == llvm_cbe_tmp54_2e_i30_2e_i_2e_i_2e_i) & (llvm_cbe_tmp54_2e_i30_2e_i_2e_i_2e_i != 4294967295u))&1))) {
    goto llvm_cbe_bb68_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp24_2e_i14_2e_i_2e_i_2e_i = *llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp26_2e_i16_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp24_2e_i14_2e_i_2e_i_2e_i->field1));
  if ((llvm_cbe_tmp26_2e_i16_2e_i_2e_i_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *, unsigned char *, unsigned int ))/*NULL*/0))) {
    goto llvm_cbe_bb44_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb30_2e_i24_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb128_2e_i_2e_i_2e_i:
  llvm_cbe_tmp4_2e_i_2e_i71_2e_i_2e_i = *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp4_2e_i_2e_i71_2e_i_2e_i == 4294967295u)) {
    llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i11_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i11_2e_i_2e_i_2e_i:
  llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp4_2e_i_2e_i71_2e_i_2e_i - llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i;
  if ((((signed int )llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph) > ((signed int )llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb19_2e_i12_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i12_2e_i_2e_i_2e_i:
  llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb30_2e_i24_2e_i_2e_i_2e_i:
  llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp24_2e_i14_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp26_2e_i16_2e_i_2e_i_2e_i(llvm_cbe_tmp76_2e_i_2e_i, llvm_cbe_tmp40_2e_i_2e_i_2e_i_2e_i, llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph, llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0);
  goto llvm_cbe_bb44_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb68_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 6u;
  llvm_cbe_tmp4_2e_i_2e_i40_2e_i_2e_i_2e_i = *llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i143_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i40_2e_i_2e_i_2e_i->field2));
  if ((llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i143_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0))) {
    llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb133_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i40_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i143_2e_i(llvm_cbe_tmp76_2e_i_2e_i, llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge_2e_i74_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_n_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  goto llvm_cbe_bb133_2e_i_2e_i_2e_i;

llvm_cbe_bb90_2e_i_2e_i_2e_i:
  _ZNSs5clearEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp51_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_outer;

llvm_cbe_bb56_2e_i_2e_i_2e_i:
  llvm_cbe_tmp59_2e_i_2e_i_2e_i = *llvm_cbe_tmp148_2e_i_2e_i_2e_i;
  switch (llvm_cbe_tmp59_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb90_2e_i_2e_i_2e_i;
;
  case 0u:
    goto llvm_cbe_bb60_2e_i_2e_i_2e_i;
    break;
  case 1u:
    goto llvm_cbe_bb64_2e_i_2e_i_2e_i;
  case 3u:
    goto llvm_cbe_bb72_2e_i_2e_i_2e_i;
  case 4u:
    goto llvm_cbe_bb76_2e_i_2e_i_2e_i;
  case 5u:
    goto llvm_cbe_bb68_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb17_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge177 = llvm_cbe_storemerge177__PHI_TEMPORARY;
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = llvm_cbe_storemerge177;
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i150_2e_i_2e_i_2e_i:
  _ZN9happyhttp8Response11FlushHeaderEv(llvm_cbe_tmp76_2e_i_2e_i);
  llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i = *llvm_cbe_tmp118_2e_i_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp8_2e_i148_2e_i_2e_i_2e_i == 100u)) {
    llvm_cbe_storemerge177__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb17_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i161_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb64_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i141_2e_i_2e_i168_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i143_2e_i_2e_i169_2e_i = _ZNKSs5emptyEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  if ((llvm_cbe_tmp3_2e_i143_2e_i_2e_i169_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb18_2e_i172_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i150_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb135_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  llvm_cbe_storemerge176 = (((llvm_cbe_tmp138_2e_i_2e_i_2e_i_2e_i_2e_i == ((unsigned char )0))) ? (2u) : (3u));
  llvm_cbe_storemerge177__PHI_TEMPORARY = llvm_cbe_storemerge176;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb114_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp119_2e_i_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i_2e_i->field0));
  if ((llvm_cbe_tmp119_2e_i_2e_i_2e_i_2e_i_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0))) {
    goto llvm_cbe_bb135_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb90_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp93_2e_i_2e_i_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb97_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb114_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb75_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i3_2e_i_2e_i_2e_i_2e_i175_2e_i = _ZNKSs7compareEPKc(llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i_2e_i, ((&_2E_str1092[((signed long long )0ull)])));
  if ((llvm_cbe_tmp3_2e_i3_2e_i_2e_i_2e_i_2e_i175_2e_i == 0u)) {
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb90_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb61_2e_i_2e_i_2e_i_2e_i_2e_i:
  if ((((unsigned int )(llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i + 4294967196u)) < ((unsigned int )100u))) {
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb75_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp118_2e_i_2e_i_2e_i_2e_i;
  switch (llvm_cbe_tmp50_2e_i_2e_i_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb61_2e_i_2e_i_2e_i_2e_i_2e_i;
;
  case 204u:
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i_2e_i;
  case 304u:
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i_2e_i;
  }
llvm_cbe__ZN9happyhttp8Response10CheckCloseEv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY;
  *llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i = llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0;
  llvm_cbe_tmp30_2e_i_2e_i_2e_i_2e_i119174_2e_i = _ZNK9happyhttp8Response9getheaderEPKc(llvm_cbe_tmp76_2e_i_2e_i, ((&_2E_str991[((signed long long )0ull)])));
  if ((llvm_cbe_tmp30_2e_i_2e_i_2e_i_2e_i119174_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb35_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb13_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i116_2e_i = strcasecmp(llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i_2e_i113172_2e_i, ((&_2E_str587[((signed long long )0ull)])));
  if ((llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i116_2e_i == 0u)) {
    llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe__ZN9happyhttp8Response10CheckCloseEv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i114_2e_i:
  llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i_2e_i113172_2e_i = _ZNK9happyhttp8Response9getheaderEPKc(llvm_cbe_tmp76_2e_i_2e_i, ((&_2E_str486[((signed long long )0ull)])));
  if ((llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i_2e_i113172_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb13_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i110_2e_i = *llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i110_2e_i == 11u)) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i114_2e_i;
  } else {
    goto llvm_cbe_bb22_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb15_2e_i161_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i = ((unsigned char )0);
  *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i = 4294967295u;
  *llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i = ((unsigned char )0);
  llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i105171_2e_i = _ZNK9happyhttp8Response9getheaderEPKc(llvm_cbe_tmp76_2e_i_2e_i, ((&_2E_str789[((signed long long )0ull)])));
  if ((llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i105171_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i165_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i165_2e_i_2e_i_2e_i:
  llvm_cbe_tmp14_2e_i_2e_i163_2e_i_2e_i_2e_i = strcasecmp(llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i105171_2e_i, ((&_2E_str890[((signed long long )0ull)])));
  if ((llvm_cbe_tmp14_2e_i_2e_i163_2e_i_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb18_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb18_2e_i_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i = ((unsigned char )1);
  *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i = 4294967295u;
  goto llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb21_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  goto llvm_cbe__ZN9happyhttp8Response10CheckCloseEv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb22_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i_2e_i173_2e_i = _ZNK9happyhttp8Response9getheaderEPKc(llvm_cbe_tmp76_2e_i_2e_i, ((&_2E_str688[((signed long long )0ull)])));
  if ((llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i_2e_i173_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb31_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe__ZN9happyhttp8Response10CheckCloseEv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb31_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_i_2e_i_2e_i49_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe__ZN9happyhttp8Response10CheckCloseEv_2e_exit_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb35_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp38_2e_i_2e_i_2e_i_2e_i123_2e_i = *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp38_2e_i_2e_i_2e_i_2e_i123_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb42_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb42_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp44_2e_i_2e_i_2e_i_2e_i125_2e_i = atoi(llvm_cbe_tmp30_2e_i_2e_i_2e_i_2e_i119174_2e_i);
  *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i = llvm_cbe_tmp44_2e_i_2e_i_2e_i_2e_i125_2e_i;
  goto llvm_cbe_bb47_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb87_2e_i_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i = 0u;
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb97_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp100_2e_i_2e_i_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb104_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb114_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb104_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp107_2e_i_2e_i_2e_i_2e_i_2e_i == 4294967295u)) {
    goto llvm_cbe_bb111_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb114_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb111_2e_i_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i = ((unsigned char )1);
  goto llvm_cbe_bb114_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb123_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp117_2e_i_2e_i_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp119_2e_i_2e_i_2e_i_2e_i_2e_i(llvm_cbe_tmp76_2e_i_2e_i, llvm_cbe_tmp133_2e_i_2e_i_2e_i_2e_i_2e_i);
  goto llvm_cbe_bb135_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb68_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i113_2e_i_2e_i181_2e_i = _ZNKSs5emptyEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  if ((llvm_cbe_tmp1_2e_i113_2e_i_2e_i181_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb90_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i123_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i123_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 6u;
  llvm_cbe_tmp4_2e_i_2e_i119_2e_i_2e_i_2e_i = *llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i119_2e_i_2e_i_2e_i->field2));
  if ((llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0))) {
    goto llvm_cbe_bb90_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i135_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb15_2e_i_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 2u;
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb72_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i95_2e_i_2e_i183_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  llvm_cbe_tmp2_2e_i96_2e_i_2e_i_2e_i = strtol(llvm_cbe_tmp1_2e_i95_2e_i_2e_i183_2e_i, ((unsigned char **)/*NULL*/0), 16u);
  llvm_cbe_tmp23_2e_i97_2e_i_2e_i_2e_i = ((unsigned int )llvm_cbe_tmp2_2e_i96_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i = llvm_cbe_tmp23_2e_i97_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp23_2e_i97_2e_i_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i108_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb87_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 3u;
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb76_2e_i_2e_i_2e_i:
  llvm_cbe_tmp79_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp79_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb83_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb87_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb191_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge175 = llvm_cbe_storemerge175__PHI_TEMPORARY;
  *llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge175;
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 1u;
  _ZNSs5clearEv(llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i);
  _ZNSsD1Ev((&llvm_cbe_status_2e_i_2e_i_2e_i_2e_i));
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb148_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i1_2e_i_2e_i_2e_i_2e_i = _ZNKSs7compareEPKc(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i, ((&_2E_str1395[((signed long long )0ull)])));
  if ((llvm_cbe_tmp3_2e_i1_2e_i_2e_i_2e_i_2e_i == 0u)) {
    llvm_cbe_storemerge175__PHI_TEMPORARY = 10u;   /* for PHI node */
    goto llvm_cbe_bb191_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb159_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb113_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp115_2e_i_2e_i_2e_i_2e_i = _ZNKSs5c_strEv((&llvm_cbe_status_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i = atoi(llvm_cbe_tmp115_2e_i_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp118_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i;
  if ((((unsigned int )(llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i + 4294967196u)) > ((unsigned int )899u))) {
    goto llvm_cbe_bb132_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb148_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb107.i.i.i.i' to make GCC happy */
llvm_cbe_bb107_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4 = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY;
  llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4;
  if ((llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb113_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb96_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb96_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp101_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4[((signed long long )1ull)]);
  llvm_cbe_tmp106_2e_i_2e_i_2e_i_2e_i = _ZNSspLEc(llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp109_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_tmp101_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb107_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb107.i.i.i.i' */
  do {     /* Syntactic loop 'bb83.i.i.i.i' to make GCC happy */
llvm_cbe_bb83_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3 = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY;
  llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3;
  if ((llvm_cbe_tmp85_2e_i_2e_i_2e_i_2e_i == ((unsigned char )32))) {
    goto llvm_cbe_bb80_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_4__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3;   /* for PHI node */
    goto llvm_cbe_bb107_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb80_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3[((signed long long )1ull)]);
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_tmp82_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb83_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb83.i.i.i.i' */
  do {     /* Syntactic loop 'bb67.i.i.i.i' to make GCC happy */
llvm_cbe_bb67_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2 = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_tmp69_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2;
  switch (llvm_cbe_tmp69_2e_i_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb59_2e_i_2e_i_2e_i_2e_i;
;
  case ((unsigned char )0):
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb83_2e_i_2e_i_2e_i_2e_i;
  case ((unsigned char )32):
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_3__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2;   /* for PHI node */
    goto llvm_cbe_bb83_2e_i_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb59_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp64_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2[((signed long long )1ull)]);
  llvm_cbe_tmp66_2e_i_2e_i_2e_i_2e_i = _ZNSspLEc((&llvm_cbe_status_2e_i_2e_i_2e_i_2e_i), llvm_cbe_tmp69_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp64_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb67_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb67.i.i.i.i' */
llvm_cbe_bb58_2e_i_2e_i_2e_i_2e_i:
  _ZNSsC1Ev((&llvm_cbe_status_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb67_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb46.i.i.i.i' to make GCC happy */
llvm_cbe_bb46_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1 = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1;
  if ((llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i == ((unsigned char )32))) {
    goto llvm_cbe_bb43_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb58_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb43_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1[((signed long long )1ull)]);
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb46_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb46.i.i.i.i' */
  do {     /* Syntactic loop 'bb30.i.i.i.i' to make GCC happy */
llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0;
  switch (llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb20_2e_i_2e_i_2e_i_2e_i;
;
  case ((unsigned char )0):
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb46_2e_i_2e_i_2e_i_2e_i;
  case ((unsigned char )32):
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb46_2e_i_2e_i_2e_i_2e_i;
  }
llvm_cbe_bb20_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp29_2e_i_2e_i_2e_i164_2e_i = _ZNSspLEc(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp32_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp25_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb30.i.i.i.i' */
  do {     /* Syntactic loop 'bb8.i.i.i.i' to make GCC happy */
llvm_cbe_bb8_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp10_2e_i_2e_i68_2e_i_2e_i = *llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp10_2e_i_2e_i68_2e_i_2e_i == ((unsigned char )32))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_p_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i67_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp7_2e_i_2e_i67_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb8_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb8.i.i.i.i' */
llvm_cbe_bb60_2e_i_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i_2e_i65_2e_i163_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp102_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i_2e_i65_2e_i163_2e_i;   /* for PHI node */
  goto llvm_cbe_bb8_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb159_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp164_2e_i_2e_i_2e_i_2e_i = _ZNKSs7compareEmmPKc(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i, 0ull, 7ull, ((&_2E_str1496[((signed long long )0ull)])));
  if ((llvm_cbe_tmp164_2e_i_2e_i_2e_i_2e_i == 0u)) {
    llvm_cbe_storemerge175__PHI_TEMPORARY = 11u;   /* for PHI node */
    goto llvm_cbe_bb191_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb172_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb46_2e_i188_2e_i_2e_i_2e_i:
  llvm_cbe_tmp49_2e_i183_2e_i_2e_i177_2e_i = _ZNSspLEc(llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i, ((unsigned char )32));
  llvm_cbe_tmp53_2e_i187_2e_i_2e_i178_2e_i = _ZNSspLEPKc(llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i, llvm_cbe_storemerge_2e_i174_2e_i_2e_i_2e_i);
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb32.i.i.i.i' to make GCC happy */
llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i174_2e_i_2e_i_2e_i = (&llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe_tmp34_2e_i175_2e_i_2e_i_2e_i = *llvm_cbe_storemerge_2e_i174_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp34_2e_i175_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb46_2e_i188_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb38_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb38_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i179_2e_i_2e_i_2e_i = isspace((((signed int )(signed char )llvm_cbe_tmp34_2e_i175_2e_i_2e_i_2e_i)));
  if ((llvm_cbe_tmp42_2e_i179_2e_i_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb46_2e_i188_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i174_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb32.i.i.i.i' */
llvm_cbe_bb18_2e_i172_2e_i_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i169_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i141_2e_i_2e_i168_2e_i;
  llvm_cbe_tmp22_2e_i170_2e_i_2e_i_2e_i = isspace((((signed int )(signed char )llvm_cbe_tmp20_2e_i169_2e_i_2e_i_2e_i)));
  if ((llvm_cbe_tmp22_2e_i170_2e_i_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb54_2e_i_2e_i_2e_i_2e_i;
  } else {
    llvm_cbe_tmp30_2e_pn_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i141_2e_i_2e_i168_2e_i;   /* for PHI node */
    goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb54_2e_i_2e_i_2e_i_2e_i:
  _ZN9happyhttp8Response11FlushHeaderEv(llvm_cbe_tmp76_2e_i_2e_i);
  llvm_cbe_tmp59_2e_i193_2e_i_2e_i180_2e_i = _ZNSsaSEPKc(llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp1_2e_i141_2e_i_2e_i168_2e_i);
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i135_2e_i_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i133_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i119_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i_2e_i121_2e_i_2e_i_2e_i(llvm_cbe_tmp76_2e_i_2e_i, llvm_cbe_tmp18_2e_i_2e_i133_2e_i_2e_i_2e_i);
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i108_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp148_2e_i_2e_i_2e_i = 5u;
  _ZNSs5clearEv(llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i);
  goto llvm_cbe_bb90_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb141.i.i.i.outer' */
llvm_cbe_bb7_2e_i_2e_i_2e_i:
  llvm_cbe_tmp148_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field0);
  llvm_cbe_tmp102_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field13);
  llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field3);
  llvm_cbe_tmp103_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field6);
  llvm_cbe_tmp118_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field5);
  llvm_cbe_tmp158_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field4);
  llvm_cbe_tmp195_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field14);
  llvm_cbe_tmp1_2e_i_2e_i154_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field9);
  llvm_cbe_tmp3_2e_i_2e_i156_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field11);
  llvm_cbe_tmp5_2e_i_2e_i158_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field12);
  llvm_cbe_tmp116_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field1);
  llvm_cbe_tmp77_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field2);
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i107_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field10);
  llvm_cbe_tmp46_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp76_2e_i_2e_i->field8);
  llvm_cbe_data_addr_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp82_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_count_2e_i_2e_i_2e_i_2e_2_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp79_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb141_2e_i_2e_i_2e_i_2e_outer;

llvm_cbe_bb123_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i_2e_i84_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i_2e_i113_2e_i_2e_i;
  llvm_cbe_tmp76_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i84_2e_i_2e_i;
  llvm_cbe_tmp79_2e_i_2e_i = llvm_cbe_tmp2930_2e_i_2e_i - llvm_cbe_storemerge1_2e_i153_2e_i;
  llvm_cbe_tmp82_2e_i_2e_i = (&llvm_cbe_buf_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i153_2e_i)))]);
  if ((llvm_cbe_tmp2930_2e_i_2e_i == llvm_cbe_storemerge1_2e_i153_2e_i)) {
    goto llvm_cbe_bb_2e_i49_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb7_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb112_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i12_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i41_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i15_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i_2e_i44_2e_i;
  if ((llvm_cbe_tmp3_2e_i_2e_i12_2e_i_2e_i == llvm_cbe_tmp6_2e_i_2e_i15_2e_i_2e_i)) {
    goto llvm_cbe_bb127_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i_2e_i;
  }

llvm_cbe_bb99_2e_i_2e_i:
  _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE9pop_frontEv(llvm_cbe_tmp60_2e_i_2e_i_2e_i);
  goto llvm_cbe_bb102_2e_i_2e_i;

llvm_cbe_bb89_2e_i_2e_i:
  if ((llvm_cbe_tmp76_2e_i_2e_i == ((struct l_struct_2E_happyhttp_3A__3A_Response *)/*NULL*/0))) {
    goto llvm_cbe_bb99_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb95_2e_i_2e_i;
  }

llvm_cbe_bb95_2e_i_2e_i:
  _ZN9happyhttp8ResponseD1Ev(llvm_cbe_tmp76_2e_i_2e_i);
  _ZdlPv((((unsigned char *)llvm_cbe_tmp76_2e_i_2e_i)));
  goto llvm_cbe_bb99_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb106.i.i' */
llvm_cbe_bb37_2e_i_2e_i:
  if ((llvm_cbe_tmp2930_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb42_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge1_2e_i153_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb106_2e_i_2e_i;
  }

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i90_2e_i = *llvm_cbe_tmp20_2e_i16_2e_i;
  llvm_cbe_tmp29_2e_i91157_2e_i = recv(llvm_cbe_tmp28_2e_i90_2e_i, llvm_cbe_buf25_2e_i_2e_i, 2048ull, 0u);
  llvm_cbe_tmp2930_2e_i_2e_i = ((unsigned int )llvm_cbe_tmp29_2e_i91157_2e_i);
  if ((((signed int )llvm_cbe_tmp2930_2e_i_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb35_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb37_2e_i_2e_i;
  }

llvm_cbe_bb67_2e_i_2e_i:
  _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE9pop_frontEv(llvm_cbe_tmp60_2e_i_2e_i_2e_i);
  _ZN9happyhttp10Connection5closeEv((&llvm_cbe_con_2e_i));
  goto llvm_cbe_bb40_2e_i;

llvm_cbe_bb57_2e_i_2e_i:
  if ((llvm_cbe_tmp46_2e_i98_2e_i == ((struct l_struct_2E_happyhttp_3A__3A_Response *)/*NULL*/0))) {
    goto llvm_cbe_bb67_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb63_2e_i_2e_i;
  }

llvm_cbe__ZN9happyhttp8Response22notifyconnectionclosedEv_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i180_2e_i_2e_i = *llvm_cbe_tmp2_2e_i141_2e_i_2e_i;
  if ((llvm_cbe_tmp3_2e_i180_2e_i_2e_i == 6u)) {
    goto llvm_cbe_bb57_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb53_2e_i_2e_i;
  }

llvm_cbe_bb42_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i_2e_i114_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i_2e_i113_2e_i_2e_i;
  llvm_cbe_tmp46_2e_i98_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i114_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i141_2e_i_2e_i = (&llvm_cbe_tmp46_2e_i98_2e_i->field0);
  llvm_cbe_tmp3_2e_i142_2e_i_2e_i = *llvm_cbe_tmp2_2e_i141_2e_i_2e_i;
  switch (llvm_cbe_tmp3_2e_i142_2e_i_2e_i) {
  default:
    goto llvm_cbe_bb30_2e_i175_2e_i_2e_i;
;
  case 6u:
    goto llvm_cbe__ZN9happyhttp8Response22notifyconnectionclosedEv_2e_exit_2e_i_2e_i;
  case 2u:
    goto llvm_cbe_bb12_2e_i_2e_i_2e_i;
    break;
  }
llvm_cbe_bb28_2e_i_2e_i_2e_i:
  *llvm_cbe_tmp2_2e_i141_2e_i_2e_i = 6u;
  llvm_cbe_tmp4_2e_i_2e_i159_2e_i_2e_i = *((&llvm_cbe_tmp46_2e_i98_2e_i->field1));
  llvm_cbe_tmp6_2e_i_2e_i161_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i159_2e_i_2e_i->field2));
  if ((llvm_cbe_tmp6_2e_i_2e_i161_2e_i_2e_i == ((void  (*) (struct l_struct_2E_happyhttp_3A__3A_Response *, unsigned char *))/*NULL*/0))) {
    goto llvm_cbe__ZN9happyhttp8Response22notifyconnectionclosedEv_2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i173_2e_i_2e_i;
  }

llvm_cbe_bb21_2e_i_2e_i_2e_i:
  llvm_cbe_tmp24_2e_i153_2e_i_2e_i = *((&llvm_cbe_tmp46_2e_i98_2e_i->field11));
  if ((llvm_cbe_tmp24_2e_i153_2e_i_2e_i == 4294967295u)) {
    goto llvm_cbe_bb28_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb30_2e_i175_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i_2e_i:
  llvm_cbe_tmp15_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp46_2e_i98_2e_i->field9));
  if ((llvm_cbe_tmp15_2e_i_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb30_2e_i175_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i173_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i_2e_i159_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i_2e_i161_2e_i_2e_i(llvm_cbe_tmp46_2e_i98_2e_i, llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i);
  goto llvm_cbe__ZN9happyhttp8Response22notifyconnectionclosedEv_2e_exit_2e_i_2e_i;

llvm_cbe_bb63_2e_i_2e_i:
  _ZN9happyhttp8ResponseD1Ev(llvm_cbe_tmp46_2e_i98_2e_i);
  _ZdlPv((((unsigned char *)llvm_cbe_tmp46_2e_i98_2e_i)));
  goto llvm_cbe_bb67_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb40.i' */
llvm_cbe_bb45_2e_i:
  _ZN9happyhttp10ConnectionD1Ev((&llvm_cbe_con_2e_i));
  if (((bool )/*UNDEF*/0)) {
    goto llvm_cbe_bb128;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb31:
  _ZNSsC1ERKSs((&llvm_cbe_id), llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp35 = _ZNKSs6lengthEv((&llvm_cbe_id));
  if ((llvm_cbe_tmp35 == 0ull)) {
    goto llvm_cbe_bb103;
  } else {
    goto llvm_cbe_bb40;
  }

llvm_cbe_bb40:
  llvm_cbe_tmp42 = _ZNKSs5c_strEv((&llvm_cbe_id));
  llvm_cbe_tmp45 = printf(((&_2E_str934[((signed long long )0ull)])), llvm_cbe_tmp42);
  llvm_cbe_tmp50 = (&llvm_cbe_this->field10);
  llvm_cbe_tmp51 = *llvm_cbe_tmp50;
  llvm_cbe_tmp53 = *((&llvm_cbe_tmp51->field0));
  llvm_cbe_tmp55 = *((&llvm_cbe_tmp53[((signed long long )2ull)]));
  llvm_cbe_tmp57 = _ZN6Config10planetRootEv();
  _ZNSsC1ERKSs((&llvm_cbe_tmp9), llvm_cbe_tmp57);
  llvm_cbe_tmp9_2e_i128 = _ZNSs6appendEPKc((&llvm_cbe_tmp9), ((&_2E_str1035[((signed long long )0ull)])));
  _ZNSsC1ERKSs((&llvm_cbe_tmp10), (&llvm_cbe_tmp9));
  llvm_cbe_tmp9_2e_i104 = _ZNSs6appendERKSs((&llvm_cbe_tmp10), (&llvm_cbe_id));
  llvm_cbe_tmp62 = _ZNKSs5c_strEv((&llvm_cbe_tmp10));
  llvm_cbe_tmp65 = *llvm_cbe_tmp50;
  llvm_cbe_tmp68 = (((unsigned char  (*) (struct l_struct_2E_Os *, unsigned char *))llvm_cbe_tmp55))(llvm_cbe_tmp65, llvm_cbe_tmp62);
  _ZNSsD1Ev((&llvm_cbe_tmp10));
  _ZNSsD1Ev((&llvm_cbe_tmp9));
  if ((llvm_cbe_tmp68 == ((unsigned char )0))) {
    goto llvm_cbe_bb85;
  } else {
    goto llvm_cbe_bb120;
  }

llvm_cbe_bb85:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp7));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp8), ((&_2E_str1136[((signed long long )0ull)])), (&llvm_cbe_tmp7));
  llvm_cbe_tmp1_2e_i6466 = _ZNKSs5c_strEv((&llvm_cbe_tmp8));
  llvm_cbe_tmp3_2e_i6567 = printf(((&_2E_str227[((signed long long )0ull)])), llvm_cbe_tmp1_2e_i6466);
  _ZNSsD1Ev((&llvm_cbe_tmp8));
  _ZNSaIcED1Ev((&llvm_cbe_tmp7));
  goto llvm_cbe_bb120;

llvm_cbe_bb103:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp5));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp6), ((&_2E_str1237[((signed long long )0ull)])), (&llvm_cbe_tmp5));
  llvm_cbe_tmp1_2e_i5961 = _ZNKSs5c_strEv((&llvm_cbe_tmp6));
  llvm_cbe_tmp3_2e_i6062 = printf(((&_2E_str227[((signed long long )0ull)])), llvm_cbe_tmp1_2e_i5961);
  _ZNSsD1Ev((&llvm_cbe_tmp6));
  _ZNSaIcED1Ev((&llvm_cbe_tmp5));
  goto llvm_cbe_bb120;

llvm_cbe_bb120:
  _ZNSsD1Ev((&llvm_cbe_id));
  goto llvm_cbe_bb160;

llvm_cbe_bb128:
  _ZNSsC1ERKSs((&llvm_cbe_tmp3), llvm_cbe_tmp1_2e_i);
  _ZNSaIcEC1Ev((&llvm_cbe_tmp1));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp2), ((&_2E_str13[((signed long long )0ull)])), (&llvm_cbe_tmp1));
  _ZNSsC1ERKSs((&llvm_cbe_tmp4), (&llvm_cbe_tmp2));
  llvm_cbe_tmp9_2e_i = _ZNSs6appendERKSs((&llvm_cbe_tmp4), (&llvm_cbe_tmp3));
  llvm_cbe_tmp1_2e_i3840 = _ZNKSs5c_strEv((&llvm_cbe_tmp4));
  llvm_cbe_tmp3_2e_i3941 = printf(((&_2E_str227[((signed long long )0ull)])), llvm_cbe_tmp1_2e_i3840);
  _ZNSsD1Ev((&llvm_cbe_tmp4));
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1));
  _ZNSsD1Ev((&llvm_cbe_tmp3));
  goto llvm_cbe_bb160;

llvm_cbe_bb160:
  _ZNSsD1Ev(llvm_cbe_tmp3_2e_i);
  _ZNSsD1Ev(llvm_cbe_tmp1_2e_i);
  return ((unsigned char )0);
llvm_cbe_return:
  return ((unsigned char )0);
}


static void _ZN12DemoRecorder4stopEv(struct l_struct_2E_DemoRecorder *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A_stringstream llvm_cbe_s_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp6;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_DemoEntry **llvm_cbe_tmp2_2e_i7_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp2425_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp3_2e_i8_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i;
  unsigned int llvm_cbe_tmp21_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp27_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp29_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp32_2e_i;
  unsigned char llvm_cbe_tmp37_2e_i;
  unsigned int llvm_cbe_tmp46_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp53_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp55_2e_i;
  unsigned int llvm_cbe_tmp63_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp70_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp72_2e_i;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp7677_2e_i;
  unsigned char llvm_cbe_tmp79_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp88_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp90_2e_i;
  unsigned short llvm_cbe_tmp96_2e_i;
  unsigned short llvm_cbe_tmp103_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp111_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp114_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp117_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp120_2e_i;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp124125_2e_i;
  unsigned char llvm_cbe_tmp127_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp136_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp138_2e_i;
  unsigned short llvm_cbe_tmp144_2e_i;
  unsigned short llvm_cbe_tmp151_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp159_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp162_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp165_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp168_2e_i;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp172173_2e_i;
  unsigned short llvm_cbe_tmp175_2e_i;
  unsigned short llvm_cbe_tmp182_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp190_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp193_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp196_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp199_2e_i;
  unsigned char *llvm_cbe_tmp10;
  unsigned int llvm_cbe_tmp13;
  unsigned int llvm_cbe_tmp15;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i3;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field1.field0.field1);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp6 = printf(((&_2E_str27[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_this->field1.field0.field1);
  llvm_cbe_tmp2_2e_i7_2e_i = (&llvm_cbe_this->field1.field0.field0);
  llvm_cbe_tmp2425_2e_i = ((struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *)((&llvm_cbe_s_2e_i.field0.field1)));
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb19;

  do {     /* Syntactic loop 'bb19' to make GCC happy */
llvm_cbe_bb19:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i3 = *llvm_cbe_tmp2_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i3) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb28;
  }

llvm_cbe__ZN7DemoLog8asStringEi_2e_exit:
  llvm_cbe_tmp10 = _ZNKSs5c_strEv((&llvm_cbe_tmp));
  llvm_cbe_tmp13 = printf(((&_2E_str28[((signed long long )0ull)])), llvm_cbe_tmp10);
  _ZNSsD1Ev((&llvm_cbe_tmp));
  llvm_cbe_tmp15 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp15;   /* for PHI node */
  goto llvm_cbe_bb19;

llvm_cbe_bb200_2e_i:
  llvm_cbe_tmp = _ZNKSt18basic_stringstreamIcSt11char_traitsIcESaIcEE3strEv((&llvm_cbe_s_2e_i));
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEED1Ev((&llvm_cbe_s_2e_i));
  goto llvm_cbe__ZN7DemoLog8asStringEi_2e_exit;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i8_2e_i = *llvm_cbe_tmp2_2e_i7_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge);
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEEC1ESt13_Ios_Openmode((&llvm_cbe_s_2e_i), 24u);
  llvm_cbe_tmp21_2e_i = *((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field0));
  llvm_cbe_tmp27_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str19[((signed long long )0ull)])));
  llvm_cbe_tmp29_2e_i = _ZNSolsEi(llvm_cbe_tmp27_2e_i, llvm_cbe_tmp21_2e_i);
  llvm_cbe_tmp32_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp29_2e_i, ((&_2E_str20[((signed long long )0ull)])));
  llvm_cbe_tmp37_2e_i = *((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2.field0.field0));
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp37_2e_i))) {
  default:
    goto llvm_cbe_bb200_2e_i;
;
  case 2u:
    goto llvm_cbe_bb39_2e_i;
    break;
  case 3u:
    goto llvm_cbe_bb56_2e_i;
  case 4u:
    goto llvm_cbe_bb169_2e_i;
  case 5u:
    goto llvm_cbe_bb73_2e_i;
  case 6u:
    goto llvm_cbe_bb121_2e_i;
  }
llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb208_2e_i;
  }

llvm_cbe_bb39_2e_i:
  llvm_cbe_tmp46_2e_i = *((&(((struct l_struct_2E_SDL_KeyboardEvent *)((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2))))->field3.field1));
  llvm_cbe_tmp53_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str21[((signed long long )0ull)])));
  llvm_cbe_tmp55_2e_i = _ZNSolsEi(llvm_cbe_tmp53_2e_i, llvm_cbe_tmp46_2e_i);
  goto llvm_cbe_bb200_2e_i;

llvm_cbe_bb56_2e_i:
  llvm_cbe_tmp63_2e_i = *((&(((struct l_struct_2E_SDL_KeyboardEvent *)((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2))))->field3.field1));
  llvm_cbe_tmp70_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str2238[((signed long long )0ull)])));
  llvm_cbe_tmp72_2e_i = _ZNSolsEi(llvm_cbe_tmp70_2e_i, llvm_cbe_tmp63_2e_i);
  goto llvm_cbe_bb200_2e_i;

llvm_cbe_bb73_2e_i:
  llvm_cbe_tmp7677_2e_i = ((struct l_struct_2E_SDL_MouseButtonEvent *)((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2)));
  llvm_cbe_tmp79_2e_i = *((&llvm_cbe_tmp7677_2e_i->field2));
  llvm_cbe_tmp88_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str23[((signed long long )0ull)])));
  llvm_cbe_tmp90_2e_i = _ZNSolsEi(llvm_cbe_tmp88_2e_i, ((((unsigned int )(unsigned char )llvm_cbe_tmp79_2e_i)) + 48u));
  llvm_cbe_tmp96_2e_i = *((&llvm_cbe_tmp7677_2e_i->field5));
  llvm_cbe_tmp103_2e_i = *((&llvm_cbe_tmp7677_2e_i->field4));
  llvm_cbe_tmp111_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str24[((signed long long )0ull)])));
  llvm_cbe_tmp114_2e_i = _ZNSolsEt(llvm_cbe_tmp111_2e_i, llvm_cbe_tmp103_2e_i);
  llvm_cbe_tmp117_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp114_2e_i, ((&_2E_str24[((signed long long )0ull)])));
  llvm_cbe_tmp120_2e_i = _ZNSolsEt(llvm_cbe_tmp117_2e_i, llvm_cbe_tmp96_2e_i);
  goto llvm_cbe_bb200_2e_i;

llvm_cbe_bb121_2e_i:
  llvm_cbe_tmp124125_2e_i = ((struct l_struct_2E_SDL_MouseButtonEvent *)((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2)));
  llvm_cbe_tmp127_2e_i = *((&llvm_cbe_tmp124125_2e_i->field2));
  llvm_cbe_tmp136_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str2539[((signed long long )0ull)])));
  llvm_cbe_tmp138_2e_i = _ZNSolsEi(llvm_cbe_tmp136_2e_i, ((((unsigned int )(unsigned char )llvm_cbe_tmp127_2e_i)) + 48u));
  llvm_cbe_tmp144_2e_i = *((&llvm_cbe_tmp124125_2e_i->field5));
  llvm_cbe_tmp151_2e_i = *((&llvm_cbe_tmp124125_2e_i->field4));
  llvm_cbe_tmp159_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str24[((signed long long )0ull)])));
  llvm_cbe_tmp162_2e_i = _ZNSolsEt(llvm_cbe_tmp159_2e_i, llvm_cbe_tmp151_2e_i);
  llvm_cbe_tmp165_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp162_2e_i, ((&_2E_str24[((signed long long )0ull)])));
  llvm_cbe_tmp168_2e_i = _ZNSolsEt(llvm_cbe_tmp165_2e_i, llvm_cbe_tmp144_2e_i);
  goto llvm_cbe_bb200_2e_i;

llvm_cbe_bb169_2e_i:
  llvm_cbe_tmp172173_2e_i = ((struct l_struct_2E_SDL_MouseButtonEvent *)((&llvm_cbe_tmp3_2e_i8_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i)].field2)));
  llvm_cbe_tmp175_2e_i = *((&llvm_cbe_tmp172173_2e_i->field5));
  llvm_cbe_tmp182_2e_i = *((&llvm_cbe_tmp172173_2e_i->field4));
  llvm_cbe_tmp190_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp2425_2e_i, ((&_2E_str26[((signed long long )0ull)])));
  llvm_cbe_tmp193_2e_i = _ZNSolsEt(llvm_cbe_tmp190_2e_i, llvm_cbe_tmp182_2e_i);
  llvm_cbe_tmp196_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp193_2e_i, ((&_2E_str24[((signed long long )0ull)])));
  llvm_cbe_tmp199_2e_i = _ZNSolsEt(llvm_cbe_tmp196_2e_i, llvm_cbe_tmp175_2e_i);
  goto llvm_cbe_bb200_2e_i;

llvm_cbe_bb208_2e_i:
  _ZNSsC1Ev((&llvm_cbe_tmp));
  goto llvm_cbe__ZN7DemoLog8asStringEi_2e_exit;

  } while (1); /* end of syntactic loop 'bb19' */
llvm_cbe_bb28:
  *((&llvm_cbe_this->field0)) = ((unsigned char )0);
  return;
}


static void _ZN4GameD1Ev(struct l_struct_2E_Game *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp3) ();
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp2_2e_i42;
  struct l_struct_2E_Os **llvm_cbe_tmp7_2e_i46;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp2_2e_i_2e_i_2e_i19;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i_2e_i_2e_i23;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp3 = ((&_ZTV4Game[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field8.field1.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_DemoEntry *)/*NULL*/0))) {
    goto llvm_cbe_invcont;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field8.field1.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  goto llvm_cbe_invcont;

llvm_cbe_invcont:
  *((&llvm_cbe_this->field5.field0.field0)) = ((&_ZTV6Window[((signed long long )2ull)]));
  *((&llvm_cbe_this->field5.field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i42 = *((&llvm_cbe_this->field4.field0));
  if ((llvm_cbe_tmp2_2e_i42 == ((struct l_struct_2E_Os **)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49;
  } else {
    goto llvm_cbe_bb_2e_i48;
  }

llvm_cbe_bb_2e_i48:
  llvm_cbe_tmp7_2e_i46 = *((&llvm_cbe_this->field4.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i46)));
  goto llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49;

llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49:
  _ZN5SceneD1Ev(((&llvm_cbe_this->field1)));
  *llvm_cbe_tmp3 = ((&_ZTV11GameControl[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i19 = *((&llvm_cbe_this->field0.field9.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i19 == ((struct l_struct_2E_Levels_3A__3A_LevelDesc **)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i25;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i25:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i23 = *((&llvm_cbe_this->field0.field9.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i23)));
  return;
llvm_cbe_return:
  return;
}


static void _ZN4GameD0Ev(struct l_struct_2E_Game *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp3) ();
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp2_2e_i42;
  struct l_struct_2E_Os **llvm_cbe_tmp7_2e_i46;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp2_2e_i_2e_i_2e_i19;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp7_2e_i_2e_i_2e_i23;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp3 = ((&_ZTV4Game[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field8.field1.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_DemoEntry *)/*NULL*/0))) {
    goto llvm_cbe_invcont;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field8.field1.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  goto llvm_cbe_invcont;

llvm_cbe_invcont:
  *((&llvm_cbe_this->field5.field0.field0)) = ((&_ZTV6Window[((signed long long )2ull)]));
  *((&llvm_cbe_this->field5.field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i42 = *((&llvm_cbe_this->field4.field0));
  if ((llvm_cbe_tmp2_2e_i42 == ((struct l_struct_2E_Os **)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49;
  } else {
    goto llvm_cbe_bb_2e_i48;
  }

llvm_cbe_bb_2e_i48:
  llvm_cbe_tmp7_2e_i46 = *((&llvm_cbe_this->field4.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i46)));
  goto llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49;

llvm_cbe__ZN5ArrayIP7OverlayED1Ev_2e_exit49:
  _ZN5SceneD1Ev(((&llvm_cbe_this->field1)));
  *llvm_cbe_tmp3 = ((&_ZTV11GameControl[((signed long long )2ull)]));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i19 = *((&llvm_cbe_this->field0.field9.field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i19 == ((struct l_struct_2E_Levels_3A__3A_LevelDesc **)/*NULL*/0))) {
    goto llvm_cbe_bb51;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i25;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i25:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i23 = *((&llvm_cbe_this->field0.field9.field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i23)));
  goto llvm_cbe_bb51;

llvm_cbe_bb51:
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static unsigned char _ZN4Game4saveEPKc(struct l_struct_2E_Game *llvm_cbe_this, unsigned char *llvm_cbe_file) {
  struct l_struct_2E_std_3A__3A_stringstream llvm_cbe_s_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_ofstream llvm_cbe_o_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_p;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp7;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp12;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp11_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i12;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp18;
  unsigned char *llvm_cbe_tmp3_2e_i32;
  unsigned int llvm_cbe_tmp5_2e_i33;
  unsigned char *llvm_cbe_tmp7_2e_i2434;
  unsigned char llvm_cbe_tmp8_2e_i25;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp1213_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp16_2e_i26;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp18_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp27_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp29_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp31_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp38_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp40_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp42_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i4_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp1718_2e_i_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp49_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp19_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i14_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp28_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i56_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp40_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i44_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp52_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i32_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp64_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i20_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp76_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp80_2e_i_2e_i;
  unsigned int llvm_cbe_i7_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_i7_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp81_2e_i_2e_i;
  unsigned int llvm_cbe_tmp85_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp96_2e_i_2e_i;
  unsigned int llvm_cbe_tmp99_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp113_2e_i_2e_i;
  unsigned char llvm_cbe_tmp116_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i3_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp125_2e_i_2e_i;
  unsigned int llvm_cbe_tmp128_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp134_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp136_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp138_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp140_2e_i_2e_i;
  unsigned int llvm_cbe_tmp142_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i4_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp159_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *llvm_cbe_tmp54_2e_i;
  unsigned int llvm_cbe_tmp61_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp39;
  struct l_struct_2E_Levels *llvm_cbe_tmp42;
  unsigned char *llvm_cbe_tmp46;
  unsigned int llvm_cbe_tmp51;
  unsigned char *llvm_cbe_tmp62;
  unsigned char llvm_cbe_storemerge;
  unsigned char llvm_cbe_storemerge__PHI_TEMPORARY;

  _ZNSsC1Ev((&llvm_cbe_p));
  if ((llvm_cbe_file == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb8;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp7 = _ZNSsaSEPKc((&llvm_cbe_p), llvm_cbe_file);
  goto llvm_cbe_bb30;

llvm_cbe_bb8:
  llvm_cbe_tmp12 = _ZN6Config11userDataDirEv();
  _ZNSsC1ERKSs((&llvm_cbe_tmp1), llvm_cbe_tmp12);
  llvm_cbe_tmp11_2e_i = _ZNSs6appendEmc((&llvm_cbe_tmp1), 1ull, ((unsigned char )47));
  _ZNSsC1ERKSs((&llvm_cbe_tmp2), (&llvm_cbe_tmp1));
  llvm_cbe_tmp9_2e_i12 = _ZNSs6appendEPKc((&llvm_cbe_tmp2), ((&_2E_str33[((signed long long )0ull)])));
  llvm_cbe_tmp18 = _ZNSsaSERKSs((&llvm_cbe_p), (&llvm_cbe_tmp2));
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSsD1Ev((&llvm_cbe_tmp1));
  goto llvm_cbe_bb30;

llvm_cbe_bb30:
  llvm_cbe_tmp3_2e_i32 = _ZNKSs5c_strEv((&llvm_cbe_p));
  llvm_cbe_tmp5_2e_i33 = printf(((&_2E_str15[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i32);
  llvm_cbe_tmp7_2e_i2434 = _ZNKSs5c_strEv((&llvm_cbe_p));
  _ZNSt14basic_ofstreamIcSt11char_traitsIcEEC1EPKcSt13_Ios_Openmode((&llvm_cbe_o_2e_i), llvm_cbe_tmp7_2e_i2434, 16u);
  llvm_cbe_tmp8_2e_i25 = _ZNSt14basic_ofstreamIcSt11char_traitsIcEE7is_openEv((&llvm_cbe_o_2e_i));
  if ((llvm_cbe_tmp8_2e_i25 == ((unsigned char )0))) {
    goto llvm_cbe_bb79_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp1213_2e_i = ((struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *)(&llvm_cbe_o_2e_i));
  llvm_cbe_tmp16_2e_i26 = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp1213_2e_i, ((&_2E_str16[((signed long long )0ull)])));
  llvm_cbe_tmp18_2e_i = _ZStlsIcSt11char_traitsIcESaIcEERSt13basic_ostreamIT_T0_ES7_RKSbIS4_S5_T1_E(llvm_cbe_tmp16_2e_i26, ((&llvm_cbe_this->field1.field3)));
  llvm_cbe_tmp20_2e_i = _ZNSolsEPFRSoS_E(llvm_cbe_tmp18_2e_i, _ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_);
  llvm_cbe_tmp27_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp1213_2e_i, ((&_2E_str17[((signed long long )0ull)])));
  llvm_cbe_tmp29_2e_i = _ZStlsIcSt11char_traitsIcESaIcEERSt13basic_ostreamIT_T0_ES7_RKSbIS4_S5_T1_E(llvm_cbe_tmp27_2e_i, ((&llvm_cbe_this->field1.field4)));
  llvm_cbe_tmp31_2e_i = _ZNSolsEPFRSoS_E(llvm_cbe_tmp29_2e_i, _ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_);
  llvm_cbe_tmp38_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp1213_2e_i, ((&_2E_str18[((signed long long )0ull)])));
  llvm_cbe_tmp40_2e_i = _ZStlsIcSt11char_traitsIcESaIcEERSt13basic_ostreamIT_T0_ES7_RKSbIS4_S5_T1_E(llvm_cbe_tmp38_2e_i, ((&llvm_cbe_this->field1.field5)));
  llvm_cbe_tmp42_2e_i = _ZNSolsEPFRSoS_E(llvm_cbe_tmp40_2e_i, _ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_);
  llvm_cbe_tmp2_2e_i4_2e_i = (&llvm_cbe_this->field1.field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = (&llvm_cbe_this->field1.field2.field0);
  llvm_cbe_tmp1718_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A_basic_ostream_3C_char_2C_std_3A__3A_char_traits_3C_char_3E__20__3E_ *)((&llvm_cbe_s_2e_i_2e_i.field0.field1)));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i;

  do {     /* Syntactic loop 'bb62.i' to make GCC happy */
llvm_cbe_bb62_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i4_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb43_2e_i;
  } else {
    goto llvm_cbe_bb71_2e_i;
  }

llvm_cbe_bb153_2e_i_2e_i:
  llvm_cbe_tmp159_2e_i_2e_i = _ZNSolsEPFRSoS_E(llvm_cbe_tmp1718_2e_i_2e_i, _ZSt4endlIcSt11char_traitsIcEERSt13basic_ostreamIT_T0_ES6_);
  llvm_cbe_tmp1_2e_i = _ZNKSt18basic_stringstreamIcSt11char_traitsIcESaIcEE3strEv((&llvm_cbe_s_2e_i_2e_i));
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEED1Ev((&llvm_cbe_s_2e_i_2e_i));
  llvm_cbe_tmp54_2e_i = _ZStlsIcSt11char_traitsIcESaIcEERSt13basic_ostreamIT_T0_ES7_RKSbIS4_S5_T1_E(llvm_cbe_tmp1213_2e_i, (&llvm_cbe_tmp1_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp1_2e_i));
  llvm_cbe_tmp61_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp61_2e_i;   /* for PHI node */
  goto llvm_cbe_bb62_2e_i;

  do {     /* Syntactic loop 'bb143.i.i' to make GCC happy */
llvm_cbe_bb143_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i4_2e_i_2e_i = *llvm_cbe_tmp2_2e_i3_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i4_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i))) {
    goto llvm_cbe_bb117_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb153_2e_i_2e_i;
  }

llvm_cbe_bb117_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i);
  llvm_cbe_tmp125_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i)].field1));
  llvm_cbe_tmp128_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i_2e_i_2e_i)].field0));
  llvm_cbe_tmp134_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )32));
  llvm_cbe_tmp136_2e_i_2e_i = _ZNSolsEi(llvm_cbe_tmp134_2e_i_2e_i, llvm_cbe_tmp128_2e_i_2e_i);
  llvm_cbe_tmp138_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp136_2e_i_2e_i, ((unsigned char )44));
  llvm_cbe_tmp140_2e_i_2e_i = _ZNSolsEi(llvm_cbe_tmp138_2e_i_2e_i, llvm_cbe_tmp125_2e_i_2e_i);
  llvm_cbe_tmp142_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp142_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb143_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb143.i.i' */
llvm_cbe_bb106_2e_i_2e_i:
  llvm_cbe_tmp113_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_PKc(llvm_cbe_tmp1718_2e_i_2e_i, ((&_2E_str14[((signed long long )0ull)])));
  llvm_cbe_tmp116_2e_i_2e_i = _ZN6Stroke9transformEv(llvm_cbe_tmp49_2e_i);
  llvm_cbe_tmp2_2e_i3_2e_i_2e_i = (&llvm_cbe_tmp49_2e_i->field5.field0.field1);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp49_2e_i->field5.field0.field0);
  llvm_cbe_storemerge1_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb143_2e_i_2e_i;

  do {     /* Syntactic loop 'bb78.i.i' to make GCC happy */
llvm_cbe_bb78_2e_i_2e_i:
  llvm_cbe_i7_2e_i_2e_i_2e_0 = llvm_cbe_i7_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp81_2e_i_2e_i = *llvm_cbe_tmp80_2e_i_2e_i;
  llvm_cbe_tmp85_2e_i_2e_i = *((&brushColours[((signed long long )(((signed long long )(signed int )llvm_cbe_i7_2e_i_2e_i_2e_0)))]));
  if ((llvm_cbe_tmp81_2e_i_2e_i == llvm_cbe_tmp85_2e_i_2e_i)) {
    goto llvm_cbe_bb89_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb97_2e_i_2e_i;
  }

llvm_cbe_bb97_2e_i_2e_i:
  llvm_cbe_tmp99_2e_i_2e_i = llvm_cbe_i7_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp99_2e_i_2e_i) < ((signed int )12u))) {
    llvm_cbe_i7_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp99_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb78_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb106_2e_i_2e_i;
  }

llvm_cbe_bb89_2e_i_2e_i:
  llvm_cbe_tmp96_2e_i_2e_i = _ZNSolsEi(llvm_cbe_tmp1718_2e_i_2e_i, llvm_cbe_i7_2e_i_2e_i_2e_0);
  goto llvm_cbe_bb97_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb78.i.i' */
llvm_cbe_bb100_2e_i_2e_i_2e_thread:
  llvm_cbe_tmp80_2e_i_2e_i = (&llvm_cbe_tmp49_2e_i->field1);
  llvm_cbe_i7_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb78_2e_i_2e_i;

llvm_cbe_bb65_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i20_2e_i_2e_i = *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  if (((llvm_cbe_tmp3_2e_i20_2e_i_2e_i & 8u) == 0u)) {
    goto llvm_cbe_bb100_2e_i_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb70_2e_i_2e_i;
  }

llvm_cbe_bb53_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i32_2e_i_2e_i = *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  if (((llvm_cbe_tmp3_2e_i32_2e_i_2e_i & 16u) == 0u)) {
    goto llvm_cbe_bb65_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb58_2e_i_2e_i;
  }

llvm_cbe_bb41_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i44_2e_i_2e_i = *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  if (((llvm_cbe_tmp3_2e_i44_2e_i_2e_i & 1u) == 0u)) {
    goto llvm_cbe_bb53_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb46_2e_i_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i56_2e_i_2e_i = *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  if (((llvm_cbe_tmp3_2e_i56_2e_i_2e_i & 4u) == 0u)) {
    goto llvm_cbe_bb41_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb34_2e_i_2e_i;
  }

llvm_cbe_bb43_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  llvm_cbe_tmp49_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i)))]));
  _ZNSt18basic_stringstreamIcSt11char_traitsIcESaIcEEC1ESt13_Ios_Openmode((&llvm_cbe_s_2e_i_2e_i), 24u);
  llvm_cbe_tmp19_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )83));
  llvm_cbe_tmp2_2e_i13_2e_i_2e_i = (&llvm_cbe_tmp49_2e_i->field2);
  llvm_cbe_tmp3_2e_i14_2e_i_2e_i = *llvm_cbe_tmp2_2e_i13_2e_i_2e_i;
  if (((llvm_cbe_tmp3_2e_i14_2e_i_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb29_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )116));
  goto llvm_cbe_bb29_2e_i_2e_i;

llvm_cbe_bb34_2e_i_2e_i:
  llvm_cbe_tmp40_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )103));
  goto llvm_cbe_bb41_2e_i_2e_i;

llvm_cbe_bb46_2e_i_2e_i:
  llvm_cbe_tmp52_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )102));
  goto llvm_cbe_bb53_2e_i_2e_i;

llvm_cbe_bb58_2e_i_2e_i:
  llvm_cbe_tmp64_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )115));
  goto llvm_cbe_bb65_2e_i_2e_i;

llvm_cbe_bb70_2e_i_2e_i:
  llvm_cbe_tmp76_2e_i_2e_i = _ZStlsISt11char_traitsIcEERSt13basic_ostreamIcT_ES5_c(llvm_cbe_tmp1718_2e_i_2e_i, ((unsigned char )100));
  goto llvm_cbe_bb100_2e_i_2e_i_2e_thread;

  } while (1); /* end of syntactic loop 'bb62.i' */
llvm_cbe_bb71_2e_i:
  _ZNSt14basic_ofstreamIcSt11char_traitsIcEE5closeEv((&llvm_cbe_o_2e_i));
  _ZNSt14basic_ofstreamIcSt11char_traitsIcEED1Ev((&llvm_cbe_o_2e_i));
  llvm_cbe_tmp39 = _ZNKSs5c_strEv((&llvm_cbe_p));
  llvm_cbe_tmp42 = (&llvm_cbe_this->field0.field9);
  _ZN6Levels7addPathEPKc(llvm_cbe_tmp42, llvm_cbe_tmp39);
  llvm_cbe_tmp46 = _ZNKSs5c_strEv((&llvm_cbe_p));
  llvm_cbe_tmp51 = _ZN6Levels9findLevelEPKc(llvm_cbe_tmp42, llvm_cbe_tmp46);
  if ((((signed int )llvm_cbe_tmp51) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb56;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_bb73;
  }

llvm_cbe_bb79_2e_i:
  _ZNSt14basic_ofstreamIcSt11char_traitsIcEED1Ev((&llvm_cbe_o_2e_i));
  llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  goto llvm_cbe_bb73;

llvm_cbe_bb56:
  *((&llvm_cbe_this->field0.field10)) = llvm_cbe_tmp51;
  llvm_cbe_tmp62 = _ZNKSs5c_strEv((&llvm_cbe_p));
  llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb73;

llvm_cbe_bb73:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  _ZNSsD1Ev((&llvm_cbe_p));
  return llvm_cbe_storemerge;
}


static void _ZN4Game9gotoLevelEib(struct l_struct_2E_Game *llvm_cbe_this, unsigned int llvm_cbe_level, unsigned char llvm_cbe_replay) {
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  unsigned int llvm_cbe_tmp23;
  struct l_struct_2E_Scene *llvm_cbe_tmp30;
  unsigned char llvm_cbe_tmp33;
  unsigned int *llvm_cbe_tmp2_2e_i6_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp2_2e_i30;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp3_2e_i31;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp8_2e_i38;
  unsigned int llvm_cbe_tmp10_2e_i40;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i7_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i19_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp25_2e_i;
  unsigned int llvm_cbe_tmp28_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i44;
  unsigned char llvm_cbe_tmp52;
  struct l_struct_2E_DemoLog **llvm_cbe_tmp3_2e_i25;
  unsigned int llvm_cbe_tmp9_2e_i13;
  struct l_struct_2E_DemoLog *llvm_cbe_tmp14_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i18;
  unsigned int llvm_cbe_tmp18_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i3;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  struct l_struct_2E_DemoEntry **llvm_cbe_tmp17_2e_i_2e_i;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i;

  if ((((signed int )llvm_cbe_level) < ((signed int )0u))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i = *((&llvm_cbe_this->field0.field9.field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) > ((signed int )llvm_cbe_level))) {
    goto llvm_cbe_bb17;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb17:
  llvm_cbe_tmp23 = _ZN6Levels4loadEiPhi(((&llvm_cbe_this->field0.field9)), llvm_cbe_level);
  if ((llvm_cbe_tmp23 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb28;
  }

llvm_cbe_bb28:
  llvm_cbe_tmp30 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp33 = _ZN5Scene4loadEPhi(llvm_cbe_tmp30, llvm_cbe_tmp23);
  if ((llvm_cbe_tmp33 == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb43;
  }

llvm_cbe_bb43:
  llvm_cbe_tmp2_2e_i6_2e_i = (&llvm_cbe_this->field1.field2.field1);
  llvm_cbe_tmp2_2e_i30 = (&llvm_cbe_this->field1.field1);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = (&llvm_cbe_this->field1.field2.field0);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb11_2e_i;

  do {     /* Syntactic loop 'bb11.i' to make GCC happy */
llvm_cbe_bb11_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i7_2e_i = *llvm_cbe_tmp2_2e_i6_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i7_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb29_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i31 = *llvm_cbe_tmp2_2e_i30;
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  llvm_cbe_tmp8_2e_i38 = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i)))]));
  _ZN6Stroke12createBodiesER7b2World(llvm_cbe_tmp8_2e_i38, llvm_cbe_tmp3_2e_i31);
  llvm_cbe_tmp10_2e_i40 = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp10_2e_i40;   /* for PHI node */
  goto llvm_cbe_bb11_2e_i;

  } while (1); /* end of syntactic loop 'bb11.i' */
  do {     /* Syntactic loop 'bb29.i' to make GCC happy */
llvm_cbe_bb29_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i44 = *llvm_cbe_tmp2_2e_i6_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i44) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe_bb20_2e_i;
  } else {
    goto llvm_cbe__ZN5Scene11activateAllEv_2e_exit;
  }

llvm_cbe_bb20_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i19_2e_i = *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  llvm_cbe_tmp25_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i19_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)))]));
  _ZN5Scene12createJointsEP6Stroke(llvm_cbe_tmp30, llvm_cbe_tmp25_2e_i);
  llvm_cbe_tmp28_2e_i = llvm_cbe_storemerge1_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp28_2e_i;   /* for PHI node */
  goto llvm_cbe_bb29_2e_i;

  } while (1); /* end of syntactic loop 'bb29.i' */
llvm_cbe__ZN5Scene11activateAllEv_2e_exit:
  *((&llvm_cbe_this->field0.field3)) = ((unsigned char )1);
  llvm_cbe_tmp52 = *((&llvm_cbe_this->field0.field2));
  if ((llvm_cbe_tmp52 == ((unsigned char )0))) {
    goto llvm_cbe_bb57;
  } else {
    goto llvm_cbe__ZN5Scene7protectEi_2e_exit;
  }

llvm_cbe__ZN5Scene7protectEi_2e_exit:
  *((&llvm_cbe_this->field1.field7)) = 0u;
  goto llvm_cbe_bb57;

llvm_cbe_bb57:
  _ZN12DemoRecorder4stopEv(((&llvm_cbe_this->field8)));
  *((&llvm_cbe_this->field9.field0)) = ((unsigned char )0);
  llvm_cbe_tmp3_2e_i25 = (&llvm_cbe_this->field9.field1);
  *llvm_cbe_tmp3_2e_i25 = ((struct l_struct_2E_DemoLog *)/*NULL*/0);
  if ((llvm_cbe_replay == ((unsigned char )0))) {
    goto llvm_cbe_bb70;
  } else {
    goto llvm_cbe_bb64;
  }

llvm_cbe_bb64:
  *((&llvm_cbe_this->field9.field0)) = ((unsigned char )1);
  *llvm_cbe_tmp3_2e_i25 = ((&llvm_cbe_this->field8.field1));
  *((&llvm_cbe_this->field9.field2)) = 0u;
  *((&llvm_cbe_this->field9.field3)) = 0u;
  llvm_cbe_tmp9_2e_i13 = SDL_GetTicks();
  *((&llvm_cbe_this->field9.field4)) = llvm_cbe_tmp9_2e_i13;
  llvm_cbe_tmp14_2e_i = *llvm_cbe_tmp3_2e_i25;
  llvm_cbe_tmp3_2e_i_2e_i18 = *((&llvm_cbe_tmp14_2e_i->field0.field1));
  llvm_cbe_tmp18_2e_i = printf(((&_2E_str34[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i_2e_i18);
  goto llvm_cbe_bb73;

llvm_cbe_bb70:
  *((&llvm_cbe_this->field8.field0)) = ((unsigned char )1);
  *((&llvm_cbe_this->field8.field1.field0.field1)) = 0u;
  llvm_cbe_tmp2_2e_i_2e_i3 = *((&llvm_cbe_this->field8.field1.field0.field1));
  if ((((signed int )llvm_cbe_tmp2_2e_i_2e_i3) > ((signed int )512u))) {
    goto llvm_cbe__ZN12DemoRecorder5startEv_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = (&llvm_cbe_this->field8.field1.field0.field2);
  llvm_cbe_tmp8_2e_i_2e_i = *llvm_cbe_tmp7_2e_i_2e_i;
  if ((llvm_cbe_tmp8_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_this->field8.field1.field0.field0);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i)), 16384ull);
  *llvm_cbe_tmp17_2e_i_2e_i = (((struct l_struct_2E_DemoEntry *)llvm_cbe_tmp20_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(16384ull);
  *((&llvm_cbe_this->field8.field1.field0.field0)) = (((struct l_struct_2E_DemoEntry *)llvm_cbe_tmp28_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i:
  *llvm_cbe_tmp7_2e_i_2e_i = 512u;
  goto llvm_cbe__ZN12DemoRecorder5startEv_2e_exit;

llvm_cbe__ZN12DemoRecorder5startEv_2e_exit:
  *((&llvm_cbe_this->field8.field2)) = 0u;
  llvm_cbe_tmp10_2e_i = SDL_GetTicks();
  *((&llvm_cbe_this->field8.field3)) = llvm_cbe_tmp10_2e_i;
  goto llvm_cbe_bb73;

llvm_cbe_bb73:
  *((&llvm_cbe_this->field0.field10)) = llvm_cbe_level;
  return;
llvm_cbe_return:
  return;
}


static struct l_struct_2E_std_3A__3A_string *_ZN6Config11userDataDirEv(void) {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp3;    /* Address-exposed local */
  unsigned char llvm_cbe_tmp5;
  unsigned int llvm_cbe_tmp8;
  unsigned char *llvm_cbe_tmp17;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp11_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i11;
  unsigned int llvm_cbe_tmp22;

  llvm_cbe_tmp5 = *((unsigned char *)(&_ZGVZN6Config11userDataDirEvE1d));
  if ((llvm_cbe_tmp5 == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp8 = __cxa_guard_acquire((&_ZGVZN6Config11userDataDirEvE1d));
  if ((llvm_cbe_tmp8 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb13:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp1));
  llvm_cbe_tmp17 = getenv(((&_2E_str31[((signed long long )0ull)])));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp2), llvm_cbe_tmp17, (&llvm_cbe_tmp1));
  _ZNSsC1ERKSs((&llvm_cbe_tmp3), (&llvm_cbe_tmp2));
  llvm_cbe_tmp11_2e_i = _ZNSs6appendEmc((&llvm_cbe_tmp3), 1ull, ((unsigned char )47));
  _ZNSsC1ERKSs((&_ZZN6Config11userDataDirEvE1d), (&llvm_cbe_tmp3));
  llvm_cbe_tmp9_2e_i11 = _ZNSs6appendEPKc((&_ZZN6Config11userDataDirEvE1d), ((&_2E_str32[((signed long long )0ull)])));
  __cxa_guard_release((&_ZGVZN6Config11userDataDirEvE1d));
  llvm_cbe_tmp22 = __cxa_atexit(__tcf_0, ((unsigned char *)/*NULL*/0), ((unsigned char *)(&__dso_handle)));
  _ZNSsD1Ev((&llvm_cbe_tmp3));
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1));
  return (&_ZZN6Config11userDataDirEvE1d);
llvm_cbe_return:
  return (&_ZZN6Config11userDataDirEvE1d);
}


static void _ZN4Game3runEv(struct l_struct_2E_Game *llvm_cbe_this) {
  struct l_struct_2E_Path *llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned long long llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_Path *llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_p_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp_2e_i_2e_i_2e_i986;    /* Address-exposed local */
  struct l_struct_2E_Stroke *llvm_cbe_s_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp1_2e_i999;    /* Address-exposed local */
  struct l_struct_2E_Path llvm_cbe_tmp2_2e_i1000;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp3_2e_i1001;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp_2e_i854;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp9_2e_i855;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_pw_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp1_2e_i694;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp2_2e_i695;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp3_2e_i696;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp_2e_i_2e_i_2e_i79_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i;    /* Address-exposed local */
  unsigned long long llvm_cbe_dest_2e_i_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  struct l_unnamed3 llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Path llvm_cbe_p_2e_i_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp5_2e_i7_2e_i_2e_i_2e_i455;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i456;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i457;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i458;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_tmp1_2e_i_2e_i24_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp2_2e_i_2e_i_2e_i472;    /* Address-exposed local */
  struct l_struct_2E_DemoEntry llvm_cbe_tmp_2e_i_2e_i130;    /* Address-exposed local */
  struct l_struct_2E_XEvent llvm_cbe_ev_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_SysWMinfo llvm_cbe_sys_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_func_addr_2e_i213_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i214_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_func_addr_2e_i126_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i127_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_func_addr_2e_i39_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i40_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_func_addr_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot llvm_cbe_hs_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_tmp1_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_tmp3_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_tmp5_2e_i_2e_i;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_tmp7_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp8_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp9_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp10_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp11_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp12_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp13_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp14_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp15_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp16_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp17_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp18_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Event llvm_cbe_ev;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_r;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp5;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_GameControl *llvm_cbe_tmp12;
  unsigned char *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_NextLevelOverlay *llvm_cbe_tmp23_2e_i;
  unsigned int llvm_cbe_tmp20_2e_i_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp42_2e_i_2e_i;
  struct l_struct_2E_Font **llvm_cbe_tmp44_2e_i_2e_i;
  struct l_struct_2E_Canvas **llvm_cbe_tmp50_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp51_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp54_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp61_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp2_2e_i303315_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp23_2e_i_2e_i_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload1305;
  struct l_struct_2E_Path *llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload1307;
  struct l_struct_2E_Path *llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload;
  struct l_struct_2E_Path *llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload;
  unsigned long long llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload;
  unsigned long long llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload1306;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp21_2e_i314_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp78_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp81_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp102_2e_i_2e_i;
  struct l_struct_2E_Font *llvm_cbe_tmp105_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp126_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp128_2e_i_2e_i;
  unsigned char *ltmp_15_1;
  struct l_struct_2E_anon *llvm_cbe_tmp12_2e_i251_2e_i_2e_i;
  void  (*llvm_cbe_tmp16_2e_i255_2e_i_2e_i) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp19_2e_i258_2e_i_2e_i;
  struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ *llvm_cbe_tmp21_2e_i260_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp148_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp150_2e_i_2e_i;
  unsigned char *ltmp_16_1;
  struct l_struct_2E_anon *llvm_cbe_tmp12_2e_i164_2e_i_2e_i;
  void  (*llvm_cbe_tmp16_2e_i168_2e_i_2e_i) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp19_2e_i171_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp164_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp166_2e_i_2e_i;
  unsigned char *ltmp_17_1;
  struct l_struct_2E_anon *llvm_cbe_tmp12_2e_i77_2e_i_2e_i;
  void  (*llvm_cbe_tmp16_2e_i81_2e_i_2e_i) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp19_2e_i84_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp180_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp182_2e_i_2e_i;
  unsigned char *ltmp_18_1;
  struct l_struct_2E_anon *llvm_cbe_tmp12_2e_i15_2e_i_2e_i;
  void  (*llvm_cbe_tmp16_2e_i_2e_i_2e_i) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp19_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp67_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp16;
  struct l_struct_2E_Scene *llvm_cbe_tmp18;
  struct l_struct_2E_Image *llvm_cbe_tmp20;
  unsigned int llvm_cbe_tmp21;
  unsigned char *llvm_cbe_tmp506;
  unsigned int *llvm_cbe_tmp2_2e_i21;
  struct l_struct_2E_Os ***llvm_cbe_tmp2_2e_i_2e_i12;
  struct l_struct_2E_Os **llvm_cbe_tmp2_2e_i28;
  struct l_struct_2E_DemoRecorder *llvm_cbe_tmp58;
  unsigned char *llvm_cbe_tmp1_2e_i54;
  unsigned char *llvm_cbe_tmp1_2e_i72;
  unsigned int *llvm_cbe_tmp4_2e_i76;
  unsigned int *llvm_cbe_tmp11_2e_i83;
  unsigned int *llvm_cbe_tmp4_2e_i57;
  unsigned int *llvm_cbe_tmp11_2e_i64;
  unsigned char *llvm_cbe_tmp2_2e_i94;
  unsigned int *llvm_cbe_tmp7_2e_i98;
  struct l_struct_2E_DemoLog **llvm_cbe_tmp10_2e_i101;
  unsigned char *llvm_cbe_tmp4951_2e_i;
  unsigned char *llvm_cbe_tmp1_2e_i134;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i_2e_i152;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i155;
  unsigned char *llvm_cbe_tmp79_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i3_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i164;
  struct l_struct_2E_DemoEntry **llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp1517_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp175_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp182_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i11_2e_i1255;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i5_2e_i;
  unsigned char *llvm_cbe_tmp211_2e_i;
  struct l_unnamed1 *llvm_cbe_tmp158_2e_i;
  unsigned long long *llvm_cbe_tmp160_2e_i;
  unsigned long long *llvm_cbe_tmp162_2e_i;
  unsigned long long *llvm_cbe_tmp164_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i27_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i30_2e_i;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i32_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i35_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i1009;
  struct l_struct_2E_Array_3C_Vec2_3E_ *llvm_cbe_tmp1_2e_i_2e_i1027;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i45_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i1071;
  struct l_struct_2E_Array_3C_Stroke_2A__3E_ *llvm_cbe_tmp8_2e_i_2e_i1148;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i_2e_i59_2e_i;
  unsigned int *llvm_cbe_tmp53_2e_i1164;
  unsigned char *llvm_cbe_tmp79_2e_i1185;
  unsigned char *llvm_cbe_tmp89_2e_i1192;
  unsigned char *llvm_cbe_tmp99_2e_i1198;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp6_2e_i_2e_i63_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp1_2e_i80_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp91_2e_i756;
  unsigned int *llvm_cbe_tmp28_2e_i_2e_i821;
  unsigned int *llvm_cbe_tmp31_2e_i_2e_i823;
  float *llvm_cbe_tmp9_2e_i_2e_i802;
  float *llvm_cbe_tmp12_2e_i_2e_i805;
  unsigned int *llvm_cbe_tmp19_2e_i_2e_i13_2e_i;
  unsigned char *llvm_cbe_tmp58_2e_i609;
  struct l_struct_2E_Os **llvm_cbe_tmp38_2e_i_2e_i626;
  unsigned int *llvm_cbe_tmp10_2e_i_2e_i195_2e_i;
  unsigned char *llvm_cbe_hs1_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i123_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i126_2e_i;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i128_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i131_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i3_2e_i_2e_i_2e_i_2e_i_2e_i136_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i139_2e_i;
  unsigned int *llvm_cbe_tmp6_2e_i8_2e_i_2e_i_2e_i_2e_i_2e_i141_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i144_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i145_2e_i;
  unsigned int  (***llvm_cbe_tmp82_2e_i) ();
  unsigned int *llvm_cbe_tmp88_2e_i650;
  void  (**llvm_cbe_tmp12_2e_i_2e_i41_2e_i) (struct l_struct_2E_MenuOverlay *);
  unsigned long long *llvm_cbe_tmp15_2e_i_2e_i42_2e_i;
  unsigned long long *llvm_cbe_tmp23_2e_i_2e_i46_2e_i;
  unsigned long long *llvm_cbe_tmp25_2e_i_2e_i_2e_i587;
  unsigned long long *llvm_cbe_tmp2_2e_i11_2e_i_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp3_2e_i12_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp7_2e_i47_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp14_2e_i53_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i56_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i59_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i_2e_i14_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp6_2e_i_2e_i18_2e_i_2e_i_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp2_2e_i3_2e_i_2e_i_2e_i_2e_i;
  unsigned long long *llvm_cbe_tmp3_2e_i_2e_i18_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_hs4_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i19_2e_i_2e_i_2e_i;
  void  (**llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i598) (unsigned char *, unsigned long long , unsigned long long );
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i601;
  struct l_struct_2E_anon *llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i;
  void  (**llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i_2e_i) (struct l_struct_2E_MenuOverlay *);
  void  (**llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i602) (struct l_struct_2E_MenuOverlay *);
  unsigned long long *llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i604;
  unsigned long long *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i605;
  unsigned short *llvm_cbe_tmp_2e_i24_2e_i_2e_i_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i25_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i_2e_i863;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i866;
  unsigned int *llvm_cbe_tmp1_2e_i5_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i8_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i7_2e_i;
  struct l_struct_2E_Stroke ***llvm_cbe_tmp2_2e_i_2e_i182_2e_i;
  unsigned int *llvm_cbe_tmp59_2e_i899;
  unsigned int *llvm_cbe_tmp62_2e_i902;
  unsigned int *llvm_cbe_tmp67_2e_i905;
  unsigned int *llvm_cbe_tmp70_2e_i908;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i22_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i925;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i930;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i_2e_i932;
  unsigned int *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i933;
  unsigned int *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i57_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i61_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i_2e_i_2e_i66_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i70_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i6_2e_i_2e_i74_2e_i;
  unsigned int *llvm_cbe_tmp9_2e_i11_2e_i_2e_i79_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp1_2e_i448;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp4_2e_i451;
  unsigned int *llvm_cbe_tmp7_2e_i224;
  unsigned int *llvm_cbe_tmp17_2e_i230;
  unsigned int *llvm_cbe_tmp29_2e_i237;
  unsigned int *llvm_cbe_tmp41_2e_i242;
  struct l_struct_2E_Os **llvm_cbe_tmp397;
  struct l_struct_2E_Levels *llvm_cbe_tmp440;
  unsigned char *llvm_cbe_tmp1_2e_i16;
  unsigned char *llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp5_2e_i17;
  unsigned char *llvm_cbe_ev7_2e_i;
  unsigned int *llvm_cbe_tmp10_2e_i;
  unsigned long long *llvm_cbe_tmp13_2e_i;
  struct l_struct_2E_XClientMessageEvent *llvm_cbe_tmp1516_2e_i;
  unsigned long long *llvm_cbe_tmp17_2e_i;
  struct l_struct_2E_Display **llvm_cbe_tmp20_2e_i;
  unsigned long long *llvm_cbe_tmp26_2e_i;
  unsigned int *llvm_cbe_tmp29_2e_i;
  unsigned char *llvm_cbe_tmp316;
  unsigned int *llvm_cbe_tmp6_2e_i_2e_i15_2e_i;
  unsigned int *llvm_cbe_tmp15_2e_i_2e_i_2e_i311;
  unsigned int *llvm_cbe_tmp6_2e_i13_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp15_2e_i30_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp7_2e_i342;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i13;
  struct l_struct_2E_Os *llvm_cbe_tmp27;
  unsigned int  (**llvm_cbe_tmp30) ();
  unsigned int  (*llvm_cbe_tmp32) ();
  unsigned int llvm_cbe_tmp37;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i22;
  struct l_struct_2E_Os *llvm_cbe_tmp3_2e_i29;
  unsigned int llvm_cbe_tmp20_2e_i_2e_i48;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i34;
  struct l_struct_2E_Os *llvm_cbe_tmp7_2e_i_2e_i38;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i44;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i45;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i45__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp2_2e_i55;
  unsigned int llvm_cbe_tmp5_2e_i58;
  unsigned int llvm_cbe_tmp9_2e_i62;
  unsigned char llvm_cbe_tmp2_2e_i73;
  unsigned int llvm_cbe_tmp5_2e_i77;
  unsigned int llvm_cbe_tmp9_2e_i81;
  unsigned int llvm_cbe_tmp63;
  unsigned char llvm_cbe_tmp6465;
  unsigned char llvm_cbe_tmp3_2e_i87;
  unsigned char llvm_cbe_tmp75;
  unsigned char llvm_cbe_tmp3_2e_i95;
  unsigned int llvm_cbe_tmp8_2e_i99;
  struct l_struct_2E_DemoLog *llvm_cbe_tmp11_2e_i102;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i105;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp3_2e_i10_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i12_2e_i;
  unsigned int llvm_cbe_tmp27_2e_i;
  unsigned int llvm_cbe_tmp30_2e_i;
  unsigned char *ltmp_19_1;
  unsigned int llvm_cbe_tmp55_2e_i123;
  unsigned char llvm_cbe_more_2e_2;
  unsigned char llvm_cbe_more_2e_2__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp2_2e_i135;
  unsigned int llvm_cbe_tmp3_2e_i137;
  unsigned int llvm_cbe_tmp6_2e_i140;
  unsigned int llvm_cbe_tmp10_2e_i144;
  unsigned char *ltmp_20_1;
  unsigned int llvm_cbe_tmp3_2e_i4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i5_2e_i_2e_i161;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i176;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_storemerge1303_2e_in;
  unsigned char *llvm_cbe_storemerge1303_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_DemoEntry *llvm_cbe_tmp8_2e_i8_2e_i_2e_i;
  unsigned int llvm_cbe_tmp11_2e_i_2e_i_2e_i;
  unsigned char *ltmp_21_1;
  unsigned int llvm_cbe_tmp3_2e_i201;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i257;
  struct l_struct_2E_Os *llvm_cbe_tmp124;
  unsigned int  (**llvm_cbe_tmp127) ();
  unsigned int  (*llvm_cbe_tmp129) ();
  unsigned char llvm_cbe_tmp132;
  unsigned char llvm_cbe_handled_2e_0;
  unsigned char llvm_cbe_handled_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2_2e_in;
  unsigned int llvm_cbe_storemerge2_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2;
  unsigned char llvm_cbe_tmp4_2e_i391;
  unsigned int llvm_cbe_tmp11_2e_i395;
  unsigned int llvm_cbe_tmp33_2e_i407;
  unsigned char llvm_cbe_tmp54_2e_i416;
  unsigned int llvm_cbe_tmp59_2e_i418;
  unsigned char llvm_cbe_storemerge_2e_i420;
  unsigned char llvm_cbe_storemerge_2e_i420__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp4_2e_i484;
  unsigned int llvm_cbe_tmp15_2e_i491;
  struct l_struct_2E_Os *llvm_cbe_tmp24_2e_i496;
  unsigned char *llvm_cbe_tmp2_2e_i_2e_i500;
  struct l_struct_2E_IconOverlay *llvm_cbe_tmp23_2e_i_2e_i501;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp17_2e_i_2e_i_2e_i517;
  unsigned char *llvm_cbe_tmp22_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp1213_2e_i_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp37_2e_i539_2e_rle;
  struct l_struct_2E_Os *llvm_cbe_tmp37_2e_i539_2e_rle__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp20_2e_i_2e_i14_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i_2e_i543;
  struct l_struct_2E_Os *llvm_cbe_tmp7_2e_i_2e_i6_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i10_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i11_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i11_2e_i__PHI_TEMPORARY;
  unsigned int  (**llvm_cbe_tmp43_2e_i552) ();
  unsigned int  (*llvm_cbe_tmp46_2e_i554) ();
  unsigned char llvm_cbe_tmp49_2e_i556;
  unsigned char *llvm_cbe_tmp2_2e_i33_2e_i;
  struct l_struct_2E_MenuOverlay *llvm_cbe_tmp23_2e_i34_2e_i;
  unsigned int *llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i579;
  unsigned int *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i581;
  unsigned char *llvm_cbe_tmp31_2e_i80_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp3132_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas **llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp43_2e_i85_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp2_2e_i_2e_i97_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp7_2e_i4_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp13_2e_i_2e_i103_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i7_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp19_2e_i_2e_i106_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i585;
  unsigned int llvm_cbe_tmp24_2e_i8_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp24_2e_i_2e_i47_2e_i;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i2_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp33_2e_i20_2e_i_2e_i_2e_i;
  struct l_struct_2E_Image *llvm_cbe_tmp3334_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp52_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i34_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i39_2e_i21_2e_i_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp68_2e_i_2e_i_2e_i_2e_i) ();
  unsigned int  (*llvm_cbe_tmp70_2e_i_2e_i_2e_i_2e_i) ();
  unsigned int llvm_cbe_tmp8_2e_i48_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i54_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp81_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp84_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp88_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i15_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i19_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp102_2e_i_2e_i_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp104_2e_i_2e_i_2e_i_2e_i;
  unsigned char *ltmp_22_1;
  void  (*llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i603) (struct l_struct_2E_MenuOverlay *);
  unsigned long long llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char llvm_cbe_tmp59_2e_i610;
  unsigned char llvm_cbe_toBool60not616264_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp19_2e_i_2e_i613;
  unsigned char *llvm_cbe_tmp2_2e_i_2e_i101_2e_i;
  struct l_struct_2E_EditOverlay *llvm_cbe_tmp23_2e_i_2e_i102_2e_i;
  struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ *llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i148_2e_i;
  unsigned int llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *ltmp_23_1;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i124_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i129_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i_2e_i_2e_i137_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i_2e_i_2e_i142_2e_i;
  unsigned int llvm_cbe_tmp24_2e_i_2e_i_2e_i150_2e_i;
  struct l_struct_2E_Canvas **llvm_cbe_tmp38_2e_i_2e_i_2e_i157_2e_i;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0;
  unsigned int llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp34_2e_i_2e_i_2e_i155_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp39_2e_i_2e_i_2e_i158_2e_i;
  unsigned char *llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i161_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i163_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i8_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp51_2e_i_2e_i_2e_i168_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp67_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp32_2e_i_2e_i_2e_rle;
  struct l_struct_2E_Os *llvm_cbe_tmp32_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp53_2e_i_2e_i634;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i2_2e_i_2e_i;
  unsigned int  (**llvm_cbe_tmp70_2e_i639) ();
  unsigned int  (*llvm_cbe_tmp72_2e_i641) ();
  unsigned int llvm_cbe_tmp76_2e_i643;
  unsigned int  (**llvm_cbe_tmp83_2e_i646) ();
  unsigned int  (*llvm_cbe_tmp85_2e_i648) ();
  unsigned int llvm_cbe_tmp89_2e_i651;
  unsigned int  (**llvm_cbe_tmp97_2e_i) ();
  unsigned int  (*llvm_cbe_tmp99_2e_i654) ();
  unsigned int llvm_cbe_tmp103_2e_i;
  unsigned int  (**llvm_cbe_tmp111_2e_i660) ();
  unsigned int  (*llvm_cbe_tmp113_2e_i) ();
  unsigned int llvm_cbe_tmp117_2e_i;
  unsigned char llvm_cbe_tmp7_2e_i698;
  unsigned char llvm_cbe_tmp13_2e_i702;
  struct l_struct_2E_Stroke *llvm_cbe_tmp19_2e_i707;
  unsigned long long llvm_cbe_tmp29_2e_i714;
  unsigned long long llvm_cbe_tmp31_2e_i716;
  unsigned long long llvm_cbe_tmp33_2e_i718;
  struct l_struct_2E_Stroke *llvm_cbe_tmp36_2e_i721;
  unsigned long long llvm_cbe_tmp54_2e_i733;
  unsigned long long llvm_cbe_tmp57_2e_i735;
  unsigned long long llvm_cbe_tmp59_2e_i737;
  struct l_struct_2E_Stroke *llvm_cbe_tmp62_2e_i739;
  unsigned char llvm_cbe_tmp74_2e_i748;
  struct l_struct_2E_Stroke *llvm_cbe_tmp81_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp92_2e_i757;
  unsigned long long llvm_cbe_tmp102_2e_i761;
  unsigned long long llvm_cbe_tmp104_2e_i763;
  unsigned long long llvm_cbe_tmp106_2e_i764;
  struct l_struct_2E_Stroke *llvm_cbe_tmp109_2e_i766;
  struct l_struct_2E_b2Body **llvm_cbe_tmp2_2e_i_2e_i768;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i_2e_i769;
  unsigned int llvm_cbe_tmp4_2e_i_2e_i_2e_i773;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i_2e_i777;
  llvmBitCastUnion llvm_cbe_tmp18_2e_i_2e_i_2e_i7921283__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i_2e_i_2e_i7951290__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp21_2e_i_2e_i_2e_i795129012911292_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp11_2e_i_2e_i8041274__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp14_2e_i_2e_i8071278__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp17_2e_i_2e_i813;
  float llvm_cbe_tmp4_2e_i20_2e_i_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp29_2e_i_2e_i;
  unsigned int llvm_cbe_tmp32_2e_i_2e_i824;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp7_2e_i1005;
  unsigned char llvm_cbe_tmp13_2e_i1010;
  struct l_struct_2E_Stroke *llvm_cbe_tmp19_2e_i1015;
  unsigned long long llvm_cbe_tmp29_2e_i1022;
  unsigned long long llvm_cbe_tmp31_2e_i1024;
  unsigned long long llvm_cbe_tmp33_2e_i1026;
  unsigned char *llvm_cbe_tmp2_2e_i1921_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp23_2e_i_2e_i1034;
  struct l_struct_2E_Path *llvm_cbe_tmp2_2e_i_2e_i_2e_i1037;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i56_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp32_2e_i_2e_i_2e_i1063;
  unsigned int llvm_cbe_tmp34_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp35_2e_i_2e_i_2e_i1064;
  unsigned int llvm_cbe_tmp37_2e_i_2e_i_2e_i1065;
  unsigned int llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i1066;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i1068;
  struct l_struct_2E_Path *llvm_cbe_tmp43_2e_i_2e_i_2e_i1073;
  unsigned int llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1124;
  unsigned int llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i1126;
  struct l_struct_2E_Stroke *llvm_cbe_tmp9_2e_i_2e_i1149;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i60_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i64_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp43_2e_i1156;
  unsigned int llvm_cbe_tmp54_2e_i1165;
  unsigned int *llvm_cbe_tmp1_2e_i198_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i199_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i171_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i172_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i174_2e_i;
  unsigned int *llvm_cbe_tmp29_2e_i192_2e_i;
  unsigned int llvm_cbe_tmp71_2e_i1179;
  unsigned char llvm_cbe_tmp80_2e_i1186;
  struct l_struct_2E_Stroke *llvm_cbe_tmp85_2e_i1189;
  unsigned int *llvm_cbe_tmp1_2e_i140_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i141_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i143_2e_i;
  unsigned char llvm_cbe_tmp90_2e_i1193;
  struct l_struct_2E_Stroke *llvm_cbe_tmp95_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i113_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i114_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i116_2e_i;
  unsigned char llvm_cbe_tmp100_2e_i1199;
  struct l_struct_2E_Stroke *llvm_cbe_tmp105_2e_i1203;
  unsigned int *llvm_cbe_tmp1_2e_i97_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i98_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i100_2e_i;
  unsigned char llvm_cbe_tmp112_2e_i1216;
  struct l_struct_2E_Stroke *llvm_cbe_tmp119_2e_i1221;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i91_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp2_2e_i81_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp151_2e_i;
  unsigned long long llvm_cbe_tmp161_2e_i;
  unsigned long long llvm_cbe_tmp163_2e_i;
  unsigned long long llvm_cbe_tmp165_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp168_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i28_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i33_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i7_2e_i_2e_i1239;
  unsigned int llvm_cbe_tmp6_2e_i8_2e_i_2e_i1240;
  unsigned int llvm_cbe_tmp14_2e_i_2e_i41_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i30_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp3_2e_i_2e_i_2e_i52_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i19_2e_i_2e_i;
  unsigned int llvm_cbe_tmp176_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp183_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i12_2e_i1256;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i6_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp205_2e_i;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY;
  unsigned char llvm_cbe_more_2e_0_2e_ph;
  unsigned char llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY;
  unsigned char llvm_cbe_more_2e_0;
  unsigned char llvm_cbe_more_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp175;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4__PHI_TEMPORARY;
  unsigned int llvm_cbe_iterateCounter_2e_0;
  unsigned int llvm_cbe_iterateCounter_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp183;
  unsigned char llvm_cbe_tmp190;
  unsigned char llvm_cbe_isComplete_2e_0;
  unsigned char llvm_cbe_isComplete_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp198;
  unsigned char llvm_cbe_tmp207;
  unsigned char llvm_cbe_tmp222;
  unsigned char llvm_cbe_isComplete_2e_2;
  unsigned char llvm_cbe_isComplete_2e_2__PHI_TEMPORARY;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i183_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i185_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp20_2e_i875;
  unsigned char llvm_cbe_tmp3_2e_i168_2e_i;
  unsigned char llvm_cbe_tmp7_2e_i170_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i159_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp28_2e_i881;
  unsigned char llvm_cbe_tmp2_2e_i120_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i128_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i133_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i141_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i146_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i90_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp78_2e_i915;
  unsigned char llvm_cbe_tmp2_2e_i51_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i59_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i64_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i72_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i77_2e_i;
  struct l_struct_2E_Stroke **llvm_cbe_tmp3_2e_i_2e_i32_2e_i;
  struct l_struct_2E_Stroke *llvm_cbe_tmp85_2e_i921;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i923;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i928;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i936;
  unsigned int llvm_cbe_tmp88_2e_i939;
  unsigned int llvm_cbe_numDirty_2e_i_2e_0;
  unsigned int llvm_cbe_numDirty_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp91_2e_i941;
  unsigned int llvm_cbe_numDirty_2e_i_2e_1;
  unsigned int llvm_cbe_numDirty_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i943;
  unsigned int llvm_cbe_storemerge_2e_i943__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i8_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i3_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i_2e_i953;
  unsigned int llvm_cbe_tmp119_2e_i964;
  unsigned int llvm_cbe_tmp126_2e_i967;
  unsigned int llvm_cbe_tmp133_2e_i;
  unsigned char llvm_cbe_tmp241;
  unsigned int llvm_cbe_tmp248;
  unsigned int llvm_cbe_tmp251;
  unsigned int llvm_cbe_tmp256;
  unsigned int llvm_cbe_tmp259;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i835;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i837;
  struct l_struct_2E_Os *llvm_cbe_tmp266;
  unsigned int  (**llvm_cbe_tmp269) ();
  unsigned int  (*llvm_cbe_tmp271) ();
  unsigned char llvm_cbe_tmp274;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i675;
  struct l_struct_2E_Os *llvm_cbe_tmp282;
  unsigned int  (**llvm_cbe_tmp285) ();
  unsigned int  (*llvm_cbe_tmp287) ();
  unsigned int llvm_cbe_tmp292;
  unsigned int llvm_cbe_storemerge5;
  unsigned int llvm_cbe_storemerge5__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i444;
  unsigned int llvm_cbe_tmp4_2e_i430;
  unsigned int llvm_cbe_tmp10_2e_i434;
  unsigned char llvm_cbe_tmp317;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i290;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i295;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i16_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i_2e_i312;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i322;
  unsigned int llvm_cbe_tmp7_2e_i14_2e_i_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i31_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i343;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp89_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp11_2e_i345;
  unsigned char llvm_cbe_tmp13_2e_i347;
  unsigned int llvm_cbe_tmp1314_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i352;
  unsigned int llvm_cbe_tmp6_2e_i7_2e_i;
  unsigned int llvm_cbe_tmp30_2e_i361;
  unsigned int llvm_cbe_tmp38_2e_i367;
  unsigned char *llvm_cbe_tmp52_2e_i378;
  unsigned int llvm_cbe_tmp57_2e_i382;
  unsigned long long llvm_cbe_tmp8587_2e_i;
  unsigned short *llvm_cbe_tmp6263_2e_i;
  unsigned short *llvm_cbe_tmp68_2e_i;
  unsigned short llvm_cbe_tmp69_2e_i;
  unsigned int llvm_cbe_tmp76_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i385;
  unsigned int llvm_cbe_storemerge_2e_i385__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp88_2e_i;
  unsigned int llvm_cbe_tmp91_2e_i;
  unsigned char *llvm_cbe_row_2e_i_2e_0;
  unsigned char *llvm_cbe_row_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1_2e_i386;
  unsigned int llvm_cbe_storemerge1_2e_i386__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp126128_2e_i;
  unsigned int *llvm_cbe_tmp102103_2e_i;
  unsigned int *llvm_cbe_tmp108_2e_i;
  unsigned int llvm_cbe_tmp109_2e_i;
  unsigned int llvm_cbe_tmp116_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp129_2e_i;
  unsigned int llvm_cbe_tmp131_2e_i;
  unsigned char *llvm_cbe_row_2e_i_2e_1;
  unsigned char *llvm_cbe_row_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge3_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp140_2e_i;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i273;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i275;
  struct l_struct_2E_Os *llvm_cbe_tmp329;
  unsigned int  (**llvm_cbe_tmp332) ();
  unsigned int  (*llvm_cbe_tmp334) ();
  unsigned int llvm_cbe_tmp4_2e_i222;
  unsigned int llvm_cbe_tmp8_2e_i225;
  unsigned int llvm_cbe_tmp14_2e_i229;
  unsigned int llvm_cbe_tmp18_2e_i231;
  unsigned int llvm_cbe_tmp26_2e_i235;
  unsigned int llvm_cbe_tmp30_2e_i238;
  unsigned int llvm_cbe_tmp38_2e_i;
  unsigned int llvm_cbe_tmp42_2e_i243;
  struct l_struct_2E_Os **llvm_cbe_tmp3_2e_i_2e_i213;
  struct l_struct_2E_Os *llvm_cbe_tmp345;
  unsigned int  (**llvm_cbe_tmp348) ();
  unsigned int  (*llvm_cbe_tmp350) ();
  unsigned int llvm_cbe_tmp358;
  unsigned int llvm_cbe_storemerge6;
  unsigned int llvm_cbe_storemerge6__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i197;
  unsigned char llvm_cbe_tmp372;
  unsigned int llvm_cbe_tmp383;
  unsigned int llvm_cbe_tmp389;
  struct l_struct_2E_Os *llvm_cbe_tmp398;
  unsigned int  (**llvm_cbe_tmp410) ();
  unsigned int  (*llvm_cbe_tmp412) ();
  struct l_struct_2E_Os *llvm_cbe_tmp422;
  unsigned int  (**llvm_cbe_tmp424) ();
  unsigned int  (*llvm_cbe_tmp426) ();
  unsigned char *llvm_cbe_tmp431;
  unsigned int llvm_cbe_tmp447;
  unsigned int  (**llvm_cbe_tmp456) ();
  unsigned int  (*llvm_cbe_tmp458) ();
  unsigned int llvm_cbe_tmp6_2e_i18;
  unsigned char *ltmp_24_1;
  unsigned long long llvm_cbe_tmp14_2e_i;
  struct l_struct_2E_Display *llvm_cbe_tmp21_2e_i;
  unsigned long long llvm_cbe_tmp23_2e_i19;
  struct l_struct_2E_Display *llvm_cbe_tmp33_2e_i;
  struct l_struct_2E__2E__125 *llvm_cbe_tmp3334_2e_i;
  struct l_struct_2E_Screen *llvm_cbe_tmp36_2e_i;
  unsigned int llvm_cbe_tmp43_2e_i;
  unsigned long long llvm_cbe_tmp47_2e_i;
  unsigned int llvm_cbe_tmp52_2e_i;
  struct l_struct_2E_Display *llvm_cbe_tmp56_2e_i;
  unsigned int llvm_cbe_tmp57_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp470;
  unsigned int  (**llvm_cbe_tmp472) ();
  unsigned int  (*llvm_cbe_tmp474) ();
  unsigned char *llvm_cbe_tmp479;
  unsigned char *llvm_cbe_storemerge7;
  unsigned char *llvm_cbe_storemerge7__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp487;
  unsigned int llvm_cbe_tmp488;
  unsigned int llvm_cbe_tmp489;
  unsigned int llvm_cbe_tmp500;
  unsigned int llvm_cbe_tmp502;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5;
  unsigned long long llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5__PHI_TEMPORARY;
  unsigned char llvm_cbe_isComplete_2e_1;
  unsigned char llvm_cbe_isComplete_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_lastTick_2e_0;
  unsigned int llvm_cbe_lastTick_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_iterateCounter_2e_1;
  unsigned int llvm_cbe_iterateCounter_2e_1__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp507;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_dest_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp12 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp2_2e_i = _Znwm(112ull);
  llvm_cbe_tmp23_2e_i = ((struct l_struct_2E_NextLevelOverlay *)llvm_cbe_tmp2_2e_i);
  llvm_cbe_tmp18_2e_i_2e_i = _ZNK4Rect8centroidEv((&FULLSCREEN_RECT));
  llvm_cbe_tmp20_2e_i_2e_i = *((&llvm_cbe_tmp18_2e_i_2e_i.field1));
  llvm_cbe_tmp17_2e_i_2e_i = _ZNK4Rect8centroidEv((&FULLSCREEN_RECT));
  llvm_cbe_tmp23_2e_i_2e_i = *((&llvm_cbe_tmp17_2e_i_2e_i.field0));
  _ZN11IconOverlayC2ER11GameControlPKciib((((struct l_struct_2E_IconOverlay *)llvm_cbe_tmp2_2e_i)), llvm_cbe_tmp12, ((&_2E_str155[((signed long long )0ull)])), (llvm_cbe_tmp23_2e_i_2e_i + 4294967096u), (llvm_cbe_tmp20_2e_i_2e_i + 4294967176u));
  *(((unsigned int  (***) ())llvm_cbe_tmp2_2e_i)) = ((&_ZTV16NextLevelOverlay[((signed long long )2ull)]));
  *((&llvm_cbe_tmp23_2e_i->field2)) = 4294967294u;
  *((&llvm_cbe_tmp23_2e_i->field3)) = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  _ZNSsC1Ev(((&llvm_cbe_tmp23_2e_i->field5)));
  llvm_cbe_tmp42_2e_i_2e_i = _ZN6Config4fontEv();
  llvm_cbe_tmp44_2e_i_2e_i = (&llvm_cbe_tmp23_2e_i->field4);
  *llvm_cbe_tmp44_2e_i_2e_i = llvm_cbe_tmp42_2e_i_2e_i;
  _ZNSaIcEC1Ev((&llvm_cbe_tmp15_2e_i_2e_i));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp16_2e_i_2e_i), ((&_2E_str256[((signed long long )0ull)])), (&llvm_cbe_tmp15_2e_i_2e_i));
  *((&llvm_cbe_tmp14_2e_i_2e_i.field0)) = 130u;
  *((&llvm_cbe_tmp14_2e_i_2e_i.field1)) = 20u;
  llvm_cbe_tmp50_2e_i_2e_i = (&llvm_cbe_tmp23_2e_i->field0.field0.field4);
  llvm_cbe_tmp51_2e_i_2e_i = *llvm_cbe_tmp50_2e_i_2e_i;
  llvm_cbe_tmp54_2e_i_2e_i = *llvm_cbe_tmp44_2e_i_2e_i;
  _ZN4Font4drawEP6Canvas4Vec2RKSsi(llvm_cbe_tmp54_2e_i_2e_i, llvm_cbe_tmp51_2e_i_2e_i, (&llvm_cbe_tmp14_2e_i_2e_i), (&llvm_cbe_tmp16_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp16_2e_i_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp15_2e_i_2e_i));
  llvm_cbe_tmp61_2e_i_2e_i = _ZN6Config4fontEv();
  llvm_cbe_tmp2_2e_i303315_2e_i_2e_i = _Znwm(2048ull);
  llvm_cbe_tmp23_2e_i_2e_i_2e_i = ((struct l_struct_2E_Font *)llvm_cbe_tmp2_2e_i303315_2e_i_2e_i);
  *(&llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reg2mem) = (((struct l_struct_2E_Path *)llvm_cbe_tmp2_2e_i303315_2e_i_2e_i));
  *(&llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reg2mem) = 127ull;
  *(&llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reg2mem) = ((&llvm_cbe_tmp61_2e_i_2e_i->field0[((signed long long )0ull)]));
  goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb.i.i.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload1305 = *(&llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload1307 = *(&llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reg2mem);
  _ZN4PathC1ERKS_(llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload1307, llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload1305);
  llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reg2mem);
  *(&llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reg2mem) = ((&llvm_cbe_tmp3_2e_i_2e_i297_2e_i_2e_i_2e_0_2e_reload[((signed long long )1ull)]));
  *(&llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reg2mem) = (llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload + 18446744073709551615ull);
  *(&llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reg2mem) = ((&llvm_cbe_tmp1_2e_i_2e_i295_2e_i_2e_i_2e_0_2e_reload[((signed long long )1ull)]));
  llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload1306 = *(&llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reg2mem);
  if ((llvm_cbe_tmp2_2e_i_2e_i296_2e_i_2e_i_2e_0_2e_reload1306 == 18446744073709551615ull)) {
    llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb11_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i.i.i' */
  do {     /* Syntactic loop 'bb11.i.i.i' to make GCC happy */
llvm_cbe_bb11_2e_i_2e_i_2e_i:
  llvm_cbe_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  _ZN4Path5scaleEf(((&llvm_cbe_tmp23_2e_i_2e_i_2e_i->field0[((signed long long )(((signed long long )(signed int )llvm_cbe_i_2e_i_2e_i_2e_i_2e_0)))])), 0x1p-1);
  llvm_cbe_tmp21_2e_i314_2e_i_2e_i = llvm_cbe_i_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp21_2e_i314_2e_i_2e_i) < ((signed int )128u))) {
    llvm_cbe_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i314_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb11_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN4Font7rescaleEd_2e_exit_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb11.i.i.i' */
llvm_cbe__ZN4Font7rescaleEd_2e_exit_2e_i_2e_i:
  *llvm_cbe_tmp44_2e_i_2e_i = llvm_cbe_tmp23_2e_i_2e_i_2e_i;
  _ZNSaIcEC1Ev((&llvm_cbe_tmp12_2e_i_2e_i));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp13_2e_i_2e_i), ((&_2E_str357[((signed long long )0ull)])), (&llvm_cbe_tmp12_2e_i_2e_i));
  *((&llvm_cbe_tmp11_2e_i_2e_i.field0)) = 30u;
  *((&llvm_cbe_tmp11_2e_i_2e_i.field1)) = 220u;
  llvm_cbe_tmp78_2e_i_2e_i = *llvm_cbe_tmp50_2e_i_2e_i;
  llvm_cbe_tmp81_2e_i_2e_i = *llvm_cbe_tmp44_2e_i_2e_i;
  _ZN4Font4drawEP6Canvas4Vec2RKSsi(llvm_cbe_tmp81_2e_i_2e_i, llvm_cbe_tmp78_2e_i_2e_i, (&llvm_cbe_tmp11_2e_i_2e_i), (&llvm_cbe_tmp13_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp13_2e_i_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp12_2e_i_2e_i));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp9_2e_i_2e_i));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp10_2e_i_2e_i), ((&_2E_str458[((signed long long )0ull)])), (&llvm_cbe_tmp9_2e_i_2e_i));
  *((&llvm_cbe_tmp8_2e_i_2e_i.field0)) = 300u;
  *((&llvm_cbe_tmp8_2e_i_2e_i.field1)) = 220u;
  llvm_cbe_tmp102_2e_i_2e_i = *llvm_cbe_tmp50_2e_i_2e_i;
  llvm_cbe_tmp105_2e_i_2e_i = *llvm_cbe_tmp44_2e_i_2e_i;
  _ZN4Font4drawEP6Canvas4Vec2RKSsi(llvm_cbe_tmp105_2e_i_2e_i, llvm_cbe_tmp102_2e_i_2e_i, (&llvm_cbe_tmp8_2e_i_2e_i), (&llvm_cbe_tmp10_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp10_2e_i_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp9_2e_i_2e_i));
  *((&llvm_cbe_tmp7_2e_i_2e_i.field0)) = _ZN16NextLevelOverlay11doPrevLevelEv;
  *((&llvm_cbe_tmp7_2e_i_2e_i.field1)) = 0ull;
  llvm_cbe_tmp126_2e_i_2e_i = *(((unsigned long long *)(&llvm_cbe_tmp7_2e_i_2e_i)));
  llvm_cbe_tmp128_2e_i_2e_i = *((&(((struct l_unnamed5 *)(&llvm_cbe_tmp7_2e_i_2e_i)))->field0[((signed int )1u)]));
  *(((unsigned long long *)(&llvm_cbe_func_addr_2e_i213_2e_i_2e_i))) = llvm_cbe_tmp126_2e_i_2e_i;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i213_2e_i_2e_i)))->field0[((signed int )1u)])) = llvm_cbe_tmp128_2e_i_2e_i;
  ltmp_15_1 = memset((((unsigned char *)(&llvm_cbe_hs_2e_i214_2e_i_2e_i))), (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field1)) = 4294967295u;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field4)) = _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field0.field0.field0)) = 0u;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field0.field0.field1)) = 0u;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field0.field1.field0)) = 100u;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field0.field1.field1)) = 180u;
  *((&llvm_cbe_hs_2e_i214_2e_i_2e_i.field2)) = llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp12_2e_i251_2e_i_2e_i = (&llvm_cbe_hs_2e_i214_2e_i_2e_i.field3);
  llvm_cbe_tmp16_2e_i255_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i213_2e_i_2e_i.field0));
  *(((void  (**) (struct l_struct_2E_NextLevelOverlay *))llvm_cbe_tmp12_2e_i251_2e_i_2e_i)) = llvm_cbe_tmp16_2e_i255_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i258_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i213_2e_i_2e_i.field1));
  *((&(((struct l_unnamed4 *)llvm_cbe_tmp12_2e_i251_2e_i_2e_i))->field1)) = llvm_cbe_tmp19_2e_i258_2e_i_2e_i;
  llvm_cbe_tmp21_2e_i260_2e_i_2e_i = (&llvm_cbe_tmp23_2e_i->field0.field0.field13);
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(llvm_cbe_tmp21_2e_i260_2e_i_2e_i, (&llvm_cbe_hs_2e_i214_2e_i_2e_i));
  *((&llvm_cbe_tmp5_2e_i_2e_i.field0)) = _ZN16NextLevelOverlay11doNextLevelEv;
  *((&llvm_cbe_tmp5_2e_i_2e_i.field1)) = 0ull;
  llvm_cbe_tmp148_2e_i_2e_i = *(((unsigned long long *)(&llvm_cbe_tmp5_2e_i_2e_i)));
  llvm_cbe_tmp150_2e_i_2e_i = *((&(((struct l_unnamed5 *)(&llvm_cbe_tmp5_2e_i_2e_i)))->field0[((signed int )1u)]));
  *(((unsigned long long *)(&llvm_cbe_func_addr_2e_i126_2e_i_2e_i))) = llvm_cbe_tmp148_2e_i_2e_i;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i126_2e_i_2e_i)))->field0[((signed int )1u)])) = llvm_cbe_tmp150_2e_i_2e_i;
  ltmp_16_1 = memset((((unsigned char *)(&llvm_cbe_hs_2e_i127_2e_i_2e_i))), (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field1)) = 4294967295u;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field4)) = _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field0.field0.field0)) = 300u;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field0.field0.field1)) = 0u;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field0.field1.field0)) = 400u;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field0.field1.field1)) = 180u;
  *((&llvm_cbe_hs_2e_i127_2e_i_2e_i.field2)) = llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp12_2e_i164_2e_i_2e_i = (&llvm_cbe_hs_2e_i127_2e_i_2e_i.field3);
  llvm_cbe_tmp16_2e_i168_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i126_2e_i_2e_i.field0));
  *(((void  (**) (struct l_struct_2E_NextLevelOverlay *))llvm_cbe_tmp12_2e_i164_2e_i_2e_i)) = llvm_cbe_tmp16_2e_i168_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i171_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i126_2e_i_2e_i.field1));
  *((&(((struct l_unnamed4 *)llvm_cbe_tmp12_2e_i164_2e_i_2e_i))->field1)) = llvm_cbe_tmp19_2e_i171_2e_i_2e_i;
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(llvm_cbe_tmp21_2e_i260_2e_i_2e_i, (&llvm_cbe_hs_2e_i127_2e_i_2e_i));
  *((&llvm_cbe_tmp3_2e_i_2e_i.field0)) = _ZN16NextLevelOverlay14doActionReplayEv;
  *((&llvm_cbe_tmp3_2e_i_2e_i.field1)) = 0ull;
  llvm_cbe_tmp164_2e_i_2e_i = *(((unsigned long long *)(&llvm_cbe_tmp3_2e_i_2e_i)));
  llvm_cbe_tmp166_2e_i_2e_i = *((&(((struct l_unnamed5 *)(&llvm_cbe_tmp3_2e_i_2e_i)))->field0[((signed int )1u)]));
  *(((unsigned long long *)(&llvm_cbe_func_addr_2e_i39_2e_i_2e_i))) = llvm_cbe_tmp164_2e_i_2e_i;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i39_2e_i_2e_i)))->field0[((signed int )1u)])) = llvm_cbe_tmp166_2e_i_2e_i;
  ltmp_17_1 = memset((((unsigned char *)(&llvm_cbe_hs_2e_i40_2e_i_2e_i))), (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field1)) = 4294967295u;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field4)) = _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field0.field0.field0)) = 0u;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field0.field0.field1)) = 180u;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field0.field1.field0)) = 200u;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field0.field1.field1)) = 240u;
  *((&llvm_cbe_hs_2e_i40_2e_i_2e_i.field2)) = llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp12_2e_i77_2e_i_2e_i = (&llvm_cbe_hs_2e_i40_2e_i_2e_i.field3);
  llvm_cbe_tmp16_2e_i81_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i39_2e_i_2e_i.field0));
  *(((void  (**) (struct l_struct_2E_NextLevelOverlay *))llvm_cbe_tmp12_2e_i77_2e_i_2e_i)) = llvm_cbe_tmp16_2e_i81_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i84_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i39_2e_i_2e_i.field1));
  *((&(((struct l_unnamed4 *)llvm_cbe_tmp12_2e_i77_2e_i_2e_i))->field1)) = llvm_cbe_tmp19_2e_i84_2e_i_2e_i;
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(llvm_cbe_tmp21_2e_i260_2e_i_2e_i, (&llvm_cbe_hs_2e_i40_2e_i_2e_i));
  *((&llvm_cbe_tmp1_2e_i_2e_i.field0)) = _ZN16NextLevelOverlay10doContinueEv;
  *((&llvm_cbe_tmp1_2e_i_2e_i.field1)) = 0ull;
  llvm_cbe_tmp180_2e_i_2e_i = *(((unsigned long long *)(&llvm_cbe_tmp1_2e_i_2e_i)));
  llvm_cbe_tmp182_2e_i_2e_i = *((&(((struct l_unnamed5 *)(&llvm_cbe_tmp1_2e_i_2e_i)))->field0[((signed int )1u)]));
  *(((unsigned long long *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i))) = llvm_cbe_tmp180_2e_i_2e_i;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i)))->field0[((signed int )1u)])) = llvm_cbe_tmp182_2e_i_2e_i;
  ltmp_18_1 = memset((((unsigned char *)(&llvm_cbe_hs_2e_i_2e_i_2e_i))), (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field1)) = 4294967295u;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field4)) = _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field0.field0.field0)) = 200u;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field0.field0.field1)) = 180u;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field0.field1.field0)) = 400u;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field0.field1.field1)) = 240u;
  *((&llvm_cbe_hs_2e_i_2e_i_2e_i.field2)) = llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp12_2e_i15_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i.field3);
  llvm_cbe_tmp16_2e_i_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i_2e_i_2e_i.field0));
  *(((void  (**) (struct l_struct_2E_NextLevelOverlay *))llvm_cbe_tmp12_2e_i15_2e_i_2e_i)) = llvm_cbe_tmp16_2e_i_2e_i_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i_2e_i = *((&llvm_cbe_func_addr_2e_i_2e_i_2e_i.field1));
  *((&(((struct l_unnamed4 *)llvm_cbe_tmp12_2e_i15_2e_i_2e_i))->field1)) = llvm_cbe_tmp19_2e_i_2e_i_2e_i;
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(llvm_cbe_tmp21_2e_i260_2e_i_2e_i, (&llvm_cbe_hs_2e_i_2e_i_2e_i));
  llvm_cbe_tmp67_2e_i = ((struct l_struct_2E_Os *)llvm_cbe_tmp2_2e_i);
  llvm_cbe_tmp16 = (&llvm_cbe_this->field5.field0);
  llvm_cbe_tmp18 = (&llvm_cbe_this->field1);
  _ZN5Scene4drawER6CanvasRK4Rect(llvm_cbe_tmp18, llvm_cbe_tmp16, (&FULLSCREEN_RECT));
  llvm_cbe_tmp20 = (&llvm_cbe_this->field5);
  _ZN6Window6updateERK4Rect(llvm_cbe_tmp20, (&FULLSCREEN_RECT));
  llvm_cbe_tmp21 = SDL_GetTicks();
  llvm_cbe_tmp506 = (&llvm_cbe_this->field0.field1);
  llvm_cbe_tmp2_2e_i21 = (&llvm_cbe_this->field4.field1);
  llvm_cbe_tmp2_2e_i_2e_i12 = (&llvm_cbe_this->field4.field0);
  llvm_cbe_tmp2_2e_i28 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp58 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp1_2e_i54 = (&llvm_cbe_this->field8.field0);
  llvm_cbe_tmp1_2e_i72 = (&llvm_cbe_this->field9.field0);
  llvm_cbe_tmp4_2e_i76 = (&llvm_cbe_this->field9.field3);
  llvm_cbe_tmp11_2e_i83 = (&llvm_cbe_this->field9.field4);
  llvm_cbe_tmp4_2e_i57 = (&llvm_cbe_this->field8.field2);
  llvm_cbe_tmp11_2e_i64 = (&llvm_cbe_this->field8.field3);
  llvm_cbe_tmp2_2e_i94 = (&llvm_cbe_this->field9.field0);
  llvm_cbe_tmp7_2e_i98 = (&llvm_cbe_this->field9.field2);
  llvm_cbe_tmp10_2e_i101 = (&llvm_cbe_this->field9.field1);
  llvm_cbe_tmp4951_2e_i = (&llvm_cbe_ev.field0.field0);
  llvm_cbe_tmp1_2e_i134 = (&llvm_cbe_this->field8.field0);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i152 = (&llvm_cbe_tmp_2e_i_2e_i130.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i155 = (&llvm_cbe_tmp_2e_i_2e_i130.field1);
  llvm_cbe_tmp79_2e_i_2e_i_2e_i = (&llvm_cbe_tmp_2e_i_2e_i130.field2.field0.field0);
  llvm_cbe_tmp2_2e_i3_2e_i_2e_i = (&llvm_cbe_this->field8.field1.field0.field1);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i164 = (&llvm_cbe_this->field8.field1.field0.field2);
  llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_this->field8.field1.field0.field0);
  llvm_cbe_tmp1517_2e_i_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_tmp_2e_i_2e_i130));
  llvm_cbe_tmp175_2e_i = (&(((struct l_struct_2E_SDL_KeyboardEvent *)(&llvm_cbe_ev)))->field3.field1);
  llvm_cbe_tmp182_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp2_2e_i11_2e_i1255 = (&llvm_cbe_this->field1.field2.field1);
  llvm_cbe_tmp2_2e_i5_2e_i = (&llvm_cbe_this->field1.field2.field0);
  llvm_cbe_tmp211_2e_i = (&llvm_cbe_this->field0.field3);
  llvm_cbe_tmp158_2e_i = ((struct l_unnamed1 *)(&llvm_cbe_ev));
  llvm_cbe_tmp160_2e_i = ((unsigned long long *)(&llvm_cbe_ev));
  llvm_cbe_tmp162_2e_i = (&llvm_cbe_tmp158_2e_i->field0[((signed int )1u)]);
  llvm_cbe_tmp164_2e_i = (&llvm_cbe_tmp158_2e_i->field0[((signed int )2u)]);
  llvm_cbe_tmp1_2e_i_2e_i27_2e_i = (&llvm_cbe_tmp1_2e_i999.field0);
  llvm_cbe_tmp4_2e_i_2e_i30_2e_i = (&llvm_cbe_p_2e_i_2e_i.field0);
  llvm_cbe_tmp6_2e_i_2e_i32_2e_i = (&llvm_cbe_tmp1_2e_i999.field1);
  llvm_cbe_tmp9_2e_i_2e_i35_2e_i = (&llvm_cbe_p_2e_i_2e_i.field1);
  llvm_cbe_tmp12_2e_i1009 = (&(((struct l_struct_2E_SDL_MouseButtonEvent *)(&llvm_cbe_ev)))->field2);
  llvm_cbe_tmp1_2e_i_2e_i1027 = (&llvm_cbe_tmp2_2e_i1000.field0);
  llvm_cbe_tmp1_2e_i_2e_i45_2e_i_2e_i_2e_i = (&llvm_cbe_tmp_2e_i_2e_i_2e_i986.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i1071 = (&llvm_cbe_tmp_2e_i_2e_i_2e_i986.field1);
  llvm_cbe_tmp8_2e_i_2e_i1148 = (&llvm_cbe_this->field1.field2);
  llvm_cbe_tmp1_2e_i_2e_i59_2e_i = (&llvm_cbe_tmp2_2e_i1000.field0.field0);
  llvm_cbe_tmp53_2e_i1164 = (&llvm_cbe_this->field0.field5);
  llvm_cbe_tmp79_2e_i1185 = (&llvm_cbe_this->field0.field6);
  llvm_cbe_tmp89_2e_i1192 = (&llvm_cbe_this->field0.field7);
  llvm_cbe_tmp99_2e_i1198 = (&llvm_cbe_this->field0.field8);
  llvm_cbe_tmp6_2e_i_2e_i63_2e_i = (&llvm_cbe_tmp2_2e_i1000.field0.field0);
  llvm_cbe_tmp1_2e_i80_2e_i = (&llvm_cbe_this->field1.field1);
  llvm_cbe_tmp91_2e_i756 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp28_2e_i_2e_i821 = (&llvm_cbe_tmp1_2e_i694.field0);
  llvm_cbe_tmp31_2e_i_2e_i823 = (&llvm_cbe_tmp1_2e_i694.field1);
  llvm_cbe_tmp9_2e_i_2e_i802 = (&llvm_cbe_pw_2e_i_2e_i.field0);
  llvm_cbe_tmp12_2e_i_2e_i805 = (&llvm_cbe_pw_2e_i_2e_i.field1);
  llvm_cbe_tmp19_2e_i_2e_i13_2e_i = (&llvm_cbe_this->field4.field1);
  llvm_cbe_tmp58_2e_i609 = (&llvm_cbe_this->field0.field2);
  llvm_cbe_tmp38_2e_i_2e_i626 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp10_2e_i_2e_i195_2e_i = (&llvm_cbe_this->field1.field7);
  llvm_cbe_hs1_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i));
  llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i123_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i.field0.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i126_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i.field0.field0.field0);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i128_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i.field0.field1);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i131_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i.field0.field0.field1);
  llvm_cbe_tmp1_2e_i3_2e_i_2e_i_2e_i_2e_i_2e_i136_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i.field1.field0);
  llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i139_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i.field0.field1.field0);
  llvm_cbe_tmp6_2e_i8_2e_i_2e_i_2e_i_2e_i_2e_i141_2e_i = (&llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i.field1.field1);
  llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i144_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i.field0.field1.field1);
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i145_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i.field1);
  llvm_cbe_tmp82_2e_i = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp88_2e_i650 = (&llvm_cbe_this->field0.field10);
  llvm_cbe_tmp12_2e_i_2e_i41_2e_i = (&llvm_cbe_tmp1_2e_i_2e_i24_2e_i.field0);
  llvm_cbe_tmp15_2e_i_2e_i42_2e_i = (&llvm_cbe_tmp1_2e_i_2e_i24_2e_i.field1);
  llvm_cbe_tmp23_2e_i_2e_i46_2e_i = ((unsigned long long *)(&llvm_cbe_tmp1_2e_i_2e_i24_2e_i));
  llvm_cbe_tmp25_2e_i_2e_i_2e_i587 = (&(((struct l_unnamed5 *)(&llvm_cbe_tmp1_2e_i_2e_i24_2e_i)))->field0[((signed int )1u)]);
  llvm_cbe_tmp2_2e_i11_2e_i_2e_i_2e_i = ((unsigned long long *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp3_2e_i12_2e_i_2e_i_2e_i = (&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i)))->field0[((signed int )1u)]);
  llvm_cbe_tmp7_2e_i47_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i.field0.field1);
  llvm_cbe_tmp14_2e_i53_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i.field0.field0);
  llvm_cbe_tmp1_2e_i_2e_i56_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp5_2e_i7_2e_i_2e_i_2e_i455.field0);
  llvm_cbe_tmp4_2e_i_2e_i59_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmp5_2e_i7_2e_i_2e_i_2e_i455.field1);
  llvm_cbe_tmp1_2e_i_2e_i14_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i.field0.field0);
  llvm_cbe_tmp6_2e_i_2e_i18_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i.field0.field0);
  llvm_cbe_tmp2_2e_i3_2e_i_2e_i_2e_i_2e_i = ((unsigned long long *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp3_2e_i_2e_i18_2e_i_2e_i_2e_i = (&(((struct l_unnamed5 *)(&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i_2e_i)))->field0[((signed int )1u)]);
  llvm_cbe_hs4_2e_i_2e_i_2e_i_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp5_2e_i_2e_i19_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i598 = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field4);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field0.field0.field0);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field0.field0.field1);
  llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field0.field1.field0);
  llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field0.field1.field1);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i601 = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field2);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i.field3);
  llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i_2e_i = ((void  (**) (struct l_struct_2E_MenuOverlay *))llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i602 = (&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i_2e_i.field0);
  llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i604 = (&(((struct l_unnamed3 *)llvm_cbe_tmp12_2e_i_2e_i_2e_i_2e_i_2e_i))->field1);
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i605 = (&llvm_cbe_func_addr_2e_i_2e_i_2e_i_2e_i_2e_i.field1);
  llvm_cbe_tmp_2e_i24_2e_i_2e_i_2e_i_2e_i = ((unsigned short *)(&llvm_cbe_dest_2e_i_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp1_2e_i25_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_tmpcast->field1);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i863 = (&llvm_cbe_r.field0.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i866 = (&llvm_cbe_r.field0.field1);
  llvm_cbe_tmp1_2e_i5_2e_i_2e_i = (&llvm_cbe_r.field1.field0);
  llvm_cbe_tmp4_2e_i8_2e_i_2e_i = (&llvm_cbe_r.field1.field1);
  llvm_cbe_tmp2_2e_i7_2e_i = (&llvm_cbe_this->field1.field2.field1);
  llvm_cbe_tmp2_2e_i_2e_i182_2e_i = (&llvm_cbe_this->field1.field2.field0);
  llvm_cbe_tmp59_2e_i899 = (&llvm_cbe_r.field0.field0);
  llvm_cbe_tmp62_2e_i902 = (&llvm_cbe_r.field0.field1);
  llvm_cbe_tmp67_2e_i905 = (&llvm_cbe_r.field1.field0);
  llvm_cbe_tmp70_2e_i908 = (&llvm_cbe_r.field1.field1);
  llvm_cbe_tmp3_2e_i_2e_i22_2e_i = (&llvm_cbe_tmp_2e_i854.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i925 = (&llvm_cbe_tmp_2e_i854.field0.field0);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i930 = (&llvm_cbe_tmp_2e_i854.field0.field1);
  llvm_cbe_tmp7_2e_i_2e_i_2e_i932 = (&llvm_cbe_tmp_2e_i854.field1);
  llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i933 = (&llvm_cbe_tmp_2e_i854.field1.field0);
  llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i = (&llvm_cbe_tmp_2e_i854.field1.field1);
  llvm_cbe_tmp3_2e_i_2e_i57_2e_i = (&llvm_cbe_tmp9_2e_i855.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i61_2e_i = (&llvm_cbe_tmp9_2e_i855.field0.field0);
  llvm_cbe_tmp9_2e_i_2e_i_2e_i66_2e_i = (&llvm_cbe_tmp9_2e_i855.field0.field1);
  llvm_cbe_tmp7_2e_i_2e_i70_2e_i = (&llvm_cbe_tmp9_2e_i855.field1);
  llvm_cbe_tmp4_2e_i6_2e_i_2e_i74_2e_i = (&llvm_cbe_tmp9_2e_i855.field1.field0);
  llvm_cbe_tmp9_2e_i11_2e_i_2e_i79_2e_i = (&llvm_cbe_tmp9_2e_i855.field1.field1);
  llvm_cbe_tmp1_2e_i448 = (&llvm_cbe_tmp7.field0);
  llvm_cbe_tmp4_2e_i451 = (&llvm_cbe_tmp7.field1);
  llvm_cbe_tmp7_2e_i224 = (&llvm_cbe_tmp5.field1.field0);
  llvm_cbe_tmp17_2e_i230 = (&llvm_cbe_tmp5.field1.field1);
  llvm_cbe_tmp29_2e_i237 = (&llvm_cbe_tmp5.field0.field0);
  llvm_cbe_tmp41_2e_i242 = (&llvm_cbe_tmp5.field0.field1);
  llvm_cbe_tmp397 = (&llvm_cbe_this->field10);
  llvm_cbe_tmp440 = (&llvm_cbe_this->field0.field9);
  llvm_cbe_tmp1_2e_i16 = (&llvm_cbe_sys_2e_i.field0.field0);
  llvm_cbe_tmp3_2e_i = (&llvm_cbe_sys_2e_i.field0.field1);
  llvm_cbe_tmp5_2e_i17 = (&llvm_cbe_sys_2e_i.field0.field2);
  llvm_cbe_ev7_2e_i = ((unsigned char *)(&llvm_cbe_ev_2e_i));
  llvm_cbe_tmp10_2e_i = ((unsigned int *)(&llvm_cbe_ev_2e_i));
  llvm_cbe_tmp13_2e_i = (&llvm_cbe_sys_2e_i.field2.field0.field5);
  llvm_cbe_tmp1516_2e_i = ((struct l_struct_2E_XClientMessageEvent *)(&llvm_cbe_ev_2e_i));
  llvm_cbe_tmp17_2e_i = (&llvm_cbe_tmp1516_2e_i->field4);
  llvm_cbe_tmp20_2e_i = (&llvm_cbe_sys_2e_i.field2.field0.field0);
  llvm_cbe_tmp26_2e_i = (&llvm_cbe_tmp1516_2e_i->field5);
  llvm_cbe_tmp29_2e_i = (&llvm_cbe_tmp1516_2e_i->field6);
  llvm_cbe_tmp316 = (&llvm_cbe_this->field0.field4);
  llvm_cbe_tmp6_2e_i_2e_i15_2e_i = (&llvm_cbe_this->field5.field0.field4.field0.field0);
  llvm_cbe_tmp15_2e_i_2e_i_2e_i311 = (&llvm_cbe_this->field5.field0.field4.field0.field1);
  llvm_cbe_tmp6_2e_i13_2e_i_2e_i = (&llvm_cbe_this->field5.field0.field4.field1.field0);
  llvm_cbe_tmp15_2e_i30_2e_i_2e_i = (&llvm_cbe_this->field5.field0.field4.field1.field1);
  llvm_cbe_tmp7_2e_i342 = (&llvm_cbe_this->field5.field0.field1);
  llvm_cbe_isComplete_2e_1__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  llvm_cbe_lastTick_2e_0__PHI_TEMPORARY = llvm_cbe_tmp21;   /* for PHI node */
  llvm_cbe_iterateCounter_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb503;

  do {     /* Syntactic loop 'bb503' to make GCC happy */
llvm_cbe_bb503:
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5 = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5__PHI_TEMPORARY;
  llvm_cbe_isComplete_2e_1 = llvm_cbe_isComplete_2e_1__PHI_TEMPORARY;
  llvm_cbe_lastTick_2e_0 = llvm_cbe_lastTick_2e_0__PHI_TEMPORARY;
  llvm_cbe_iterateCounter_2e_1 = llvm_cbe_iterateCounter_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp507 = *llvm_cbe_tmp506;
  if ((llvm_cbe_tmp507 == ((unsigned char )0))) {
    llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb38;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb501:
  llvm_cbe_tmp502 = SDL_GetTicks();
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4;   /* for PHI node */
  llvm_cbe_isComplete_2e_1__PHI_TEMPORARY = llvm_cbe_isComplete_2e_2;   /* for PHI node */
  llvm_cbe_lastTick_2e_0__PHI_TEMPORARY = llvm_cbe_tmp502;   /* for PHI node */
  llvm_cbe_iterateCounter_2e_1__PHI_TEMPORARY = llvm_cbe_tmp183;   /* for PHI node */
  goto llvm_cbe_bb503;

llvm_cbe_bb494:
  SDL_Delay(llvm_cbe_tmp489);
  goto llvm_cbe_bb501;

llvm_cbe_bb485:
  llvm_cbe_tmp487 = SDL_GetTicks();
  llvm_cbe_tmp488 = llvm_cbe_lastTick_2e_0 - llvm_cbe_tmp487;
  llvm_cbe_tmp489 = llvm_cbe_tmp488 + 50u;
  if ((((signed int )llvm_cbe_tmp489) > ((signed int )0u))) {
    goto llvm_cbe_bb494;
  } else {
    goto llvm_cbe_bb496;
  }

llvm_cbe_bb395:
  llvm_cbe_tmp398 = *llvm_cbe_tmp397;
  if ((llvm_cbe_tmp398 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb485;
  } else {
    goto llvm_cbe_bb402;
  }

llvm_cbe_bb374:
  _ZN6Window6updateERK4Rect(llvm_cbe_tmp20, (&FULLSCREEN_RECT));
  *llvm_cbe_tmp211_2e_i = ((unsigned char )0);
  goto llvm_cbe_bb395;

llvm_cbe_bb368:
  llvm_cbe_tmp372 = *llvm_cbe_tmp211_2e_i;
  if ((llvm_cbe_tmp372 == ((unsigned char )0))) {
    goto llvm_cbe_bb380;
  } else {
    goto llvm_cbe_bb374;
  }

  do {     /* Syntactic loop 'bb359' to make GCC happy */
llvm_cbe_bb359:
  llvm_cbe_storemerge6 = llvm_cbe_storemerge6__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i197 = *llvm_cbe_tmp2_2e_i21;
  if ((((signed int )llvm_cbe_tmp3_2e_i197) > ((signed int )llvm_cbe_storemerge6))) {
    goto llvm_cbe_bb324;
  } else {
    goto llvm_cbe_bb368;
  }

llvm_cbe_bb356:
  llvm_cbe_tmp358 = llvm_cbe_storemerge6 + 1u;
  llvm_cbe_storemerge6__PHI_TEMPORARY = llvm_cbe_tmp358;   /* for PHI node */
  goto llvm_cbe_bb359;

llvm_cbe_bb324:
  llvm_cbe_tmp3_2e_i_2e_i273 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp45_2e_i_2e_i275 = ((signed long long )(signed int )llvm_cbe_storemerge6);
  llvm_cbe_tmp329 = *((&llvm_cbe_tmp3_2e_i_2e_i273[((signed long long )llvm_cbe_tmp45_2e_i_2e_i275)]));
  llvm_cbe_tmp332 = *((&llvm_cbe_tmp329->field0));
  llvm_cbe_tmp334 = *((&llvm_cbe_tmp332[((signed long long )3ull)]));
  llvm_cbe_tmp5 = ((struct l_struct_2E_Rect  (*) (struct l_struct_2E_Os *))(void*)(((void  (*) (struct l_struct_2E_Rect *, struct l_struct_2E_Os *))llvm_cbe_tmp334)))(llvm_cbe_tmp329);
  llvm_cbe_tmp4_2e_i222 = *llvm_cbe_tmp59_2e_i899;
  llvm_cbe_tmp8_2e_i225 = *llvm_cbe_tmp7_2e_i224;
  if ((((signed int )llvm_cbe_tmp4_2e_i222) > ((signed int )llvm_cbe_tmp8_2e_i225))) {
    goto llvm_cbe_bb356;
  } else {
    goto llvm_cbe_bb_2e_i233;
  }

llvm_cbe_bb_2e_i233:
  llvm_cbe_tmp14_2e_i229 = *llvm_cbe_tmp62_2e_i902;
  llvm_cbe_tmp18_2e_i231 = *llvm_cbe_tmp17_2e_i230;
  if ((((signed int )llvm_cbe_tmp14_2e_i229) > ((signed int )llvm_cbe_tmp18_2e_i231))) {
    goto llvm_cbe_bb356;
  } else {
    goto llvm_cbe_bb22_2e_i;
  }

llvm_cbe_bb22_2e_i:
  llvm_cbe_tmp26_2e_i235 = *llvm_cbe_tmp67_2e_i905;
  llvm_cbe_tmp30_2e_i238 = *llvm_cbe_tmp29_2e_i237;
  if ((((signed int )llvm_cbe_tmp26_2e_i235) < ((signed int )llvm_cbe_tmp30_2e_i238))) {
    goto llvm_cbe_bb356;
  } else {
    goto llvm_cbe_bb34_2e_i245;
  }

llvm_cbe_bb34_2e_i245:
  llvm_cbe_tmp38_2e_i = *llvm_cbe_tmp70_2e_i908;
  llvm_cbe_tmp42_2e_i243 = *llvm_cbe_tmp41_2e_i242;
  if ((((signed int )llvm_cbe_tmp38_2e_i) < ((signed int )llvm_cbe_tmp42_2e_i243))) {
    goto llvm_cbe_bb356;
  } else {
    goto llvm_cbe_bb340;
  }

llvm_cbe_bb340:
  llvm_cbe_tmp3_2e_i_2e_i213 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp345 = *((&llvm_cbe_tmp3_2e_i_2e_i213[((signed long long )llvm_cbe_tmp45_2e_i_2e_i275)]));
  llvm_cbe_tmp348 = *((&llvm_cbe_tmp345->field0));
  llvm_cbe_tmp350 = *((&llvm_cbe_tmp348[((signed long long )7ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_Canvas *))llvm_cbe_tmp350))(llvm_cbe_tmp345, llvm_cbe_tmp16);
  goto llvm_cbe_bb356;

  } while (1); /* end of syntactic loop 'bb359' */
llvm_cbe_bb_2e_i436:
  llvm_cbe_tmp10_2e_i434 = *llvm_cbe_tmp67_2e_i905;
  if ((llvm_cbe_tmp10_2e_i434 == 0u)) {
    llvm_cbe_storemerge6__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb359;
  } else {
    goto llvm_cbe_bb308;
  }

llvm_cbe_bb302:
  llvm_cbe_tmp4_2e_i430 = *llvm_cbe_tmp59_2e_i899;
  if ((llvm_cbe_tmp4_2e_i430 == 0u)) {
    goto llvm_cbe_bb_2e_i436;
  } else {
    goto llvm_cbe_bb308;
  }

llvm_cbe_bb243:
  llvm_cbe_tmp248 = *((&FULLSCREEN_RECT.field0.field0));
  *llvm_cbe_tmp59_2e_i899 = llvm_cbe_tmp248;
  llvm_cbe_tmp251 = *((&FULLSCREEN_RECT.field0.field1));
  *llvm_cbe_tmp62_2e_i902 = llvm_cbe_tmp251;
  llvm_cbe_tmp256 = *((&FULLSCREEN_RECT.field1.field0));
  *llvm_cbe_tmp67_2e_i905 = llvm_cbe_tmp256;
  llvm_cbe_tmp259 = *((&FULLSCREEN_RECT.field1.field1));
  *llvm_cbe_tmp70_2e_i908 = llvm_cbe_tmp259;
  goto llvm_cbe_bb302;

llvm_cbe__ZN5Scene9dirtyAreaEv_2e_exit:
  llvm_cbe_tmp241 = *llvm_cbe_tmp211_2e_i;
  if ((llvm_cbe_tmp241 == ((unsigned char )0))) {
    llvm_cbe_storemerge5__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb293;
  } else {
    goto llvm_cbe_bb243;
  }

llvm_cbe_bb_2e_i_2e_i955:
  llvm_cbe_tmp10_2e_i_2e_i953 = *llvm_cbe_tmp67_2e_i905;
  if ((llvm_cbe_tmp10_2e_i_2e_i953 == 0u)) {
    goto llvm_cbe__ZN5Scene9dirtyAreaEv_2e_exit;
  } else {
    goto llvm_cbe_bb108_2e_i;
  }

llvm_cbe_bb101_2e_i951:
  llvm_cbe_tmp4_2e_i3_2e_i = *llvm_cbe_tmp59_2e_i899;
  if ((llvm_cbe_tmp4_2e_i3_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i_2e_i955;
  } else {
    goto llvm_cbe_bb108_2e_i;
  }

  do {     /* Syntactic loop 'bb92.i949' to make GCC happy */
llvm_cbe_bb92_2e_i949:
  llvm_cbe_numDirty_2e_i_2e_1 = llvm_cbe_numDirty_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i943 = llvm_cbe_storemerge_2e_i943__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i8_2e_i = *llvm_cbe_tmp2_2e_i7_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i8_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i943))) {
    goto llvm_cbe_bb_2e_i876;
  } else {
    goto llvm_cbe_bb101_2e_i951;
  }

llvm_cbe_bb89_2e_i942:
  llvm_cbe_numDirty_2e_i_2e_0 = llvm_cbe_numDirty_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp91_2e_i941 = llvm_cbe_storemerge_2e_i943 + 1u;
  llvm_cbe_numDirty_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_numDirty_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i943__PHI_TEMPORARY = llvm_cbe_tmp91_2e_i941;   /* for PHI node */
  goto llvm_cbe_bb92_2e_i949;

llvm_cbe_bb_2e_i171_2e_i:
  llvm_cbe_tmp7_2e_i170_2e_i = _ZN6Stroke9transformEv(llvm_cbe_tmp20_2e_i875);
  if ((llvm_cbe_tmp7_2e_i170_2e_i == ((unsigned char )0))) {
    llvm_cbe_numDirty_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_numDirty_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb89_2e_i942;
  } else {
    goto llvm_cbe_bb23_2e_i894;
  }

llvm_cbe_bb_2e_i876:
  llvm_cbe_tmp3_2e_i_2e_i183_2e_i = *llvm_cbe_tmp2_2e_i_2e_i182_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i185_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i943);
  llvm_cbe_tmp20_2e_i875 = *((&llvm_cbe_tmp3_2e_i_2e_i183_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i185_2e_i)]));
  llvm_cbe_tmp3_2e_i168_2e_i = *((&llvm_cbe_tmp20_2e_i875->field11));
  if ((llvm_cbe_tmp3_2e_i168_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb23_2e_i894;
  } else {
    goto llvm_cbe_bb_2e_i171_2e_i;
  }

llvm_cbe_bb23_2e_i894:
  llvm_cbe_tmp3_2e_i_2e_i159_2e_i = *llvm_cbe_tmp2_2e_i_2e_i182_2e_i;
  llvm_cbe_tmp28_2e_i881 = *((&llvm_cbe_tmp3_2e_i_2e_i159_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i185_2e_i)]));
  llvm_cbe_tmp2_2e_i120_2e_i = _ZN6Stroke9transformEv(llvm_cbe_tmp28_2e_i881);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i128_2e_i = *((&llvm_cbe_tmp28_2e_i881->field9.field0.field0));
  llvm_cbe_tmp7_2e_i_2e_i_2e_i133_2e_i = *((&llvm_cbe_tmp28_2e_i881->field9.field0.field1));
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i141_2e_i = *((&llvm_cbe_tmp28_2e_i881->field9.field1.field0));
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i146_2e_i = *((&llvm_cbe_tmp28_2e_i881->field9.field1.field1));
  if (((((llvm_cbe_tmp2_2e_i_2e_i_2e_i128_2e_i == 0u) & (llvm_cbe_tmp2_2e_i4_2e_i_2e_i141_2e_i == 0u))&1))) {
    llvm_cbe_numDirty_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_numDirty_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb89_2e_i942;
  } else {
    goto llvm_cbe_bb50_2e_i897;
  }

llvm_cbe_bb80_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i32_2e_i = *llvm_cbe_tmp2_2e_i_2e_i182_2e_i;
  llvm_cbe_tmp85_2e_i921 = *((&llvm_cbe_tmp3_2e_i_2e_i32_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i185_2e_i)]));
  llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i923 = *((&llvm_cbe_tmp85_2e_i921->field10.field0.field0));
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i925 = llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i923;
  llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i928 = *((&llvm_cbe_tmp85_2e_i921->field10.field0.field1));
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i930 = llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i928;
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp85_2e_i921->field10.field1.field0));
  *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i933 = llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i936 = *((&llvm_cbe_tmp85_2e_i921->field10.field1.field1));
  *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i = llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i936;
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp3_2e_i_2e_i22_2e_i);
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp7_2e_i_2e_i_2e_i932);
  llvm_cbe_tmp88_2e_i939 = llvm_cbe_numDirty_2e_i_2e_1 + 1u;
  llvm_cbe_numDirty_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp88_2e_i939;   /* for PHI node */
  goto llvm_cbe_bb89_2e_i942;

llvm_cbe_bb55_2e_i911:
  *llvm_cbe_tmp59_2e_i899 = llvm_cbe_tmp2_2e_i_2e_i_2e_i128_2e_i;
  *llvm_cbe_tmp62_2e_i902 = llvm_cbe_tmp7_2e_i_2e_i_2e_i133_2e_i;
  *llvm_cbe_tmp67_2e_i905 = llvm_cbe_tmp2_2e_i4_2e_i_2e_i141_2e_i;
  *llvm_cbe_tmp70_2e_i908 = llvm_cbe_tmp7_2e_i9_2e_i_2e_i146_2e_i;
  goto llvm_cbe_bb80_2e_i;

llvm_cbe_bb50_2e_i897:
  if ((llvm_cbe_numDirty_2e_i_2e_1 == 0u)) {
    goto llvm_cbe_bb55_2e_i911;
  } else {
    goto llvm_cbe_bb73_2e_i;
  }

llvm_cbe_bb73_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i90_2e_i = *llvm_cbe_tmp2_2e_i_2e_i182_2e_i;
  llvm_cbe_tmp78_2e_i915 = *((&llvm_cbe_tmp3_2e_i_2e_i90_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i185_2e_i)]));
  llvm_cbe_tmp2_2e_i51_2e_i = _ZN6Stroke9transformEv(llvm_cbe_tmp78_2e_i915);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i59_2e_i = *((&llvm_cbe_tmp78_2e_i915->field9.field0.field0));
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i61_2e_i = llvm_cbe_tmp2_2e_i_2e_i_2e_i59_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i_2e_i64_2e_i = *((&llvm_cbe_tmp78_2e_i915->field9.field0.field1));
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i66_2e_i = llvm_cbe_tmp7_2e_i_2e_i_2e_i64_2e_i;
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i72_2e_i = *((&llvm_cbe_tmp78_2e_i915->field9.field1.field0));
  *llvm_cbe_tmp4_2e_i6_2e_i_2e_i74_2e_i = llvm_cbe_tmp2_2e_i4_2e_i_2e_i72_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i77_2e_i = *((&llvm_cbe_tmp78_2e_i915->field9.field1.field1));
  *llvm_cbe_tmp9_2e_i11_2e_i_2e_i79_2e_i = llvm_cbe_tmp7_2e_i9_2e_i_2e_i77_2e_i;
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp3_2e_i_2e_i57_2e_i);
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp7_2e_i_2e_i70_2e_i);
  goto llvm_cbe_bb80_2e_i;

  } while (1); /* end of syntactic loop 'bb92.i949' */
llvm_cbe_bb235:
  llvm_cbe_isComplete_2e_2 = llvm_cbe_isComplete_2e_2__PHI_TEMPORARY;
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i863 = 0u;
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i866 = 0u;
  *llvm_cbe_tmp1_2e_i5_2e_i_2e_i = 0u;
  *llvm_cbe_tmp4_2e_i8_2e_i_2e_i = 0u;
  llvm_cbe_numDirty_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge_2e_i943__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb92_2e_i949;

llvm_cbe_bb195:
  llvm_cbe_isComplete_2e_0 = llvm_cbe_isComplete_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp198 = _ZN5Scene11isCompletedEv(llvm_cbe_tmp18);
  if ((llvm_cbe_tmp198 == llvm_cbe_isComplete_2e_0)) {
    llvm_cbe_isComplete_2e_2__PHI_TEMPORARY = llvm_cbe_isComplete_2e_0;   /* for PHI node */
    goto llvm_cbe_bb235;
  } else {
    goto llvm_cbe_bb203;
  }

llvm_cbe_bb181:
  llvm_cbe_tmp183 = llvm_cbe_iterateCounter_2e_0 + 4294967236u;
  if ((llvm_cbe_isComplete_2e_1 == ((unsigned char )0))) {
    llvm_cbe_isComplete_2e_0__PHI_TEMPORARY = llvm_cbe_isComplete_2e_1;   /* for PHI node */
    goto llvm_cbe_bb195;
  } else {
    goto llvm_cbe_bb186;
  }

  do {     /* Syntactic loop 'bb176' to make GCC happy */
llvm_cbe_bb176:
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4 = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4__PHI_TEMPORARY;
  llvm_cbe_iterateCounter_2e_0 = llvm_cbe_iterateCounter_2e_0__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_iterateCounter_2e_0) < ((signed int )60u))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb181;
  }

llvm_cbe_bb173:
  llvm_cbe_tmp175 = llvm_cbe_iterateCounter_2e_0 + 20u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  llvm_cbe_iterateCounter_2e_0__PHI_TEMPORARY = llvm_cbe_tmp175;   /* for PHI node */
  goto llvm_cbe_bb176;

  do {     /* Syntactic loop 'bb170.outer' to make GCC happy */
llvm_cbe_bb170_2e_outer:
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY;
  llvm_cbe_more_2e_0_2e_ph = llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY;
  llvm_cbe_more_2e_0__PHI_TEMPORARY = llvm_cbe_more_2e_0_2e_ph;   /* for PHI node */
  goto llvm_cbe_bb170;

llvm_cbe_bb14_2e_i398:
  *(&_ZZN4Game14handleModEventER9SDL_EventE3mod) = 1u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb_2e_i397:
  llvm_cbe_tmp11_2e_i395 = *llvm_cbe_tmp175_2e_i;
  switch (llvm_cbe_tmp11_2e_i395) {
  default:
    goto llvm_cbe_bb154;
;
  case 289u:
    goto llvm_cbe_bb14_2e_i398;
    break;
  case 288u:
    goto llvm_cbe_bb25_2e_i;
  }
llvm_cbe_bb150:
  llvm_cbe_tmp4_2e_i391 = *llvm_cbe_tmp4951_2e_i;
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp4_2e_i391))) {
  default:
    goto llvm_cbe_bb154;
;
  case 2u:
    goto llvm_cbe_bb_2e_i397;
    break;
  case 3u:
    goto llvm_cbe_bb27_2e_i;
  case 5u:
    goto llvm_cbe_bb49_2e_i;
  case 6u:
    goto llvm_cbe_bb49_2e_i;
  }
  do {     /* Syntactic loop 'bb170' to make GCC happy */
llvm_cbe_bb170:
  llvm_cbe_more_2e_0 = llvm_cbe_more_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_more_2e_0 == ((unsigned char )0))) {
    goto llvm_cbe_bb173;
  } else {
    goto llvm_cbe_bb62;
  }

llvm_cbe_bb109:
  llvm_cbe_more_2e_2 = llvm_cbe_more_2e_2__PHI_TEMPORARY;
  if ((llvm_cbe_more_2e_2 == ((unsigned char )0))) {
    llvm_cbe_more_2e_0__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170;
  } else {
    goto llvm_cbe_bb112;
  }

llvm_cbe_bb100:
  if ((llvm_cbe_tmp63 != 0u)) {
    llvm_cbe_more_2e_2__PHI_TEMPORARY = llvm_cbe_tmp6465;   /* for PHI node */
    goto llvm_cbe_bb109;
  } else {
    goto llvm_cbe_bb105;
  }

llvm_cbe_bb62:
  llvm_cbe_tmp63 = SDL_PollEvent((&llvm_cbe_ev));
  llvm_cbe_tmp6465 = ((unsigned char )(bool )(llvm_cbe_tmp63 != 0u));
  llvm_cbe_tmp3_2e_i87 = *llvm_cbe_tmp1_2e_i72;
  if ((llvm_cbe_tmp3_2e_i87 == ((unsigned char )0))) {
    goto llvm_cbe_bb100;
  } else {
    goto llvm_cbe_bb72;
  }

llvm_cbe_bb72:
  llvm_cbe_tmp75 = *llvm_cbe_tmp4951_2e_i;
  switch (llvm_cbe_tmp75) {
  default:
    goto llvm_cbe_bb100;
;
  case ((unsigned char )4):
    goto llvm_cbe_bb105;
  case ((unsigned char )5):
    goto llvm_cbe_bb105;
  case ((unsigned char )6):
    goto llvm_cbe_bb105;
  }
llvm_cbe_bb105:
  llvm_cbe_tmp3_2e_i95 = *llvm_cbe_tmp2_2e_i94;
  if ((llvm_cbe_tmp3_2e_i95 == ((unsigned char )0))) {
    llvm_cbe_more_2e_2__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb109;
  } else {
    goto llvm_cbe_bb_2e_i107;
  }

llvm_cbe_bb_2e_i107:
  llvm_cbe_tmp8_2e_i99 = *llvm_cbe_tmp7_2e_i98;
  llvm_cbe_tmp11_2e_i102 = *llvm_cbe_tmp10_2e_i101;
  llvm_cbe_tmp3_2e_i_2e_i105 = *((&llvm_cbe_tmp11_2e_i102->field0.field1));
  if ((((signed int )llvm_cbe_tmp8_2e_i99) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i105))) {
    goto llvm_cbe_bb17_2e_i;
  } else {
    llvm_cbe_more_2e_2__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb109;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp3_2e_i10_2e_i = *((&llvm_cbe_tmp11_2e_i102->field0.field0));
  llvm_cbe_tmp45_2e_i12_2e_i = ((signed long long )(signed int )llvm_cbe_tmp8_2e_i99);
  llvm_cbe_tmp27_2e_i = *((&llvm_cbe_tmp3_2e_i10_2e_i[((signed long long )llvm_cbe_tmp45_2e_i12_2e_i)].field0));
  llvm_cbe_tmp30_2e_i = *llvm_cbe_tmp4_2e_i76;
  if ((((signed int )llvm_cbe_tmp27_2e_i) > ((signed int )llvm_cbe_tmp30_2e_i))) {
    llvm_cbe_more_2e_2__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb109;
  } else {
    goto llvm_cbe_bb40_2e_i;
  }

llvm_cbe_bb40_2e_i:
  ltmp_19_1 = memcpy(llvm_cbe_tmp4951_2e_i, ((&llvm_cbe_tmp3_2e_i10_2e_i[((signed long long )llvm_cbe_tmp45_2e_i12_2e_i)].field2.field0.field0)), 24ull);
  llvm_cbe_tmp55_2e_i123 = *llvm_cbe_tmp7_2e_i98;
  *llvm_cbe_tmp7_2e_i98 = (llvm_cbe_tmp55_2e_i123 + 1u);
  llvm_cbe_more_2e_2__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb109;

llvm_cbe_bb145:
  if ((llvm_cbe_handled_2e_0 == ((unsigned char )0))) {
    goto llvm_cbe_bb150;
  } else {
    llvm_cbe_more_2e_0__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170;
  }

  do {     /* Syntactic loop 'bb135' to make GCC happy */
llvm_cbe_bb135:
  llvm_cbe_handled_2e_0 = llvm_cbe_handled_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_in = llvm_cbe_storemerge2_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2_2e_in + 4294967295u;
  if (((((llvm_cbe_handled_2e_0 == ((unsigned char )0)) & (((signed int )llvm_cbe_storemerge2) > ((signed int )4294967295u)))&1))) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb145;
  }

llvm_cbe_bb119:
  llvm_cbe_tmp3_2e_i_2e_i257 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp124 = *((&llvm_cbe_tmp3_2e_i_2e_i257[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge2)))]));
  llvm_cbe_tmp127 = *((&llvm_cbe_tmp124->field0));
  llvm_cbe_tmp129 = *((&llvm_cbe_tmp127[((signed long long )8ull)]));
  llvm_cbe_tmp132 = (((unsigned char  (*) (struct l_struct_2E_Os *, struct l_struct_2E_SDL_Event *))llvm_cbe_tmp129))(llvm_cbe_tmp124, (&llvm_cbe_ev));
  llvm_cbe_handled_2e_0__PHI_TEMPORARY = llvm_cbe_tmp132;   /* for PHI node */
  llvm_cbe_storemerge2_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge2;   /* for PHI node */
  goto llvm_cbe_bb135;

  } while (1); /* end of syntactic loop 'bb135' */
llvm_cbe__ZN12DemoRecorder6recordER9SDL_Event_2e_exit:
  llvm_cbe_tmp3_2e_i201 = *llvm_cbe_tmp2_2e_i21;
  llvm_cbe_handled_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  llvm_cbe_storemerge2_2e_in__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i201;   /* for PHI node */
  goto llvm_cbe_bb135;

llvm_cbe_bb112:
  llvm_cbe_tmp2_2e_i135 = *llvm_cbe_tmp1_2e_i134;
  if ((llvm_cbe_tmp2_2e_i135 == ((unsigned char )0))) {
    goto llvm_cbe__ZN12DemoRecorder6recordER9SDL_Event_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i168;
  }

llvm_cbe__ZN7DemoLog6appendEiiR9SDL_Event_2e_exit_2e_i:
  llvm_cbe_tmp8_2e_i8_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp11_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i3_2e_i_2e_i;
  ltmp_21_1 = memcpy((((unsigned char *)((&llvm_cbe_tmp8_2e_i8_2e_i_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp11_2e_i_2e_i_2e_i)))])))), llvm_cbe_tmp1517_2e_i_2e_i_2e_i, 32ull);
  *llvm_cbe_tmp2_2e_i3_2e_i_2e_i = (llvm_cbe_tmp11_2e_i_2e_i_2e_i + 1u);
  goto llvm_cbe__ZN12DemoRecorder6recordER9SDL_Event_2e_exit;

llvm_cbe_bb_2e_i168:
  llvm_cbe_tmp3_2e_i137 = SDL_GetTicks();
  llvm_cbe_tmp6_2e_i140 = *llvm_cbe_tmp11_2e_i64;
  llvm_cbe_tmp10_2e_i144 = *llvm_cbe_tmp4_2e_i57;
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i152 = llvm_cbe_tmp10_2e_i144;
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i155 = (llvm_cbe_tmp3_2e_i137 - llvm_cbe_tmp6_2e_i140);
  ltmp_20_1 = memcpy(llvm_cbe_tmp79_2e_i_2e_i_2e_i, llvm_cbe_tmp4951_2e_i, 24ull);
  llvm_cbe_tmp3_2e_i4_2e_i_2e_i = *llvm_cbe_tmp2_2e_i3_2e_i_2e_i;
  llvm_cbe_tmp4_2e_i5_2e_i_2e_i161 = llvm_cbe_tmp3_2e_i4_2e_i_2e_i + 1u;
  llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165 = *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i164;
  if ((((signed int )llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165) < ((signed int )llvm_cbe_tmp4_2e_i5_2e_i_2e_i161))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i172;
  } else {
    goto llvm_cbe__ZN7DemoLog6appendEiiR9SDL_Event_2e_exit_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i_2e_i_2e_i:
  if ((((signed int )llvm_cbe_tmp3_2e_i4_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i))) {
    goto llvm_cbe__ZN7DemoLog6appendEiiR9SDL_Event_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb23.i.i.i.i' to make GCC happy */
llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp4_2e_i5_2e_i_2e_i161))) {
    goto llvm_cbe_bb19_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i176 = llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i176;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i.i.i.i' */
llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i172:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i = (((llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165 == 0u)) ? (4u) : (llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165));
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1303_2e_in = llvm_cbe_storemerge1303_2e_in__PHI_TEMPORARY;
  *llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i_2e_i = (((struct l_struct_2E_DemoEntry *)llvm_cbe_storemerge1303_2e_in));
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i164 = llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i;
  goto llvm_cbe__ZN7DemoLog6appendEiiR9SDL_Event_2e_exit_2e_i;

llvm_cbe_bb12_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp31_2e_i_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge1303_2e_in__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i_2e_i)) << 5ull;
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i165 == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb24_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_storemerge1303_2e_in__PHI_TEMPORARY = llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb170' */
llvm_cbe_bb25_2e_i:
  *(&_ZZN4Game14handleModEventER9SDL_EventE3mod) = 2u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb47_2e_i413:
  *(&_ZZN4Game14handleModEventER9SDL_EventE3mod) = 0u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb27_2e_i:
  llvm_cbe_tmp33_2e_i407 = *llvm_cbe_tmp175_2e_i;
  switch (llvm_cbe_tmp33_2e_i407) {
  default:
    goto llvm_cbe_bb154;
;
  case 288u:
    goto llvm_cbe_bb47_2e_i413;
    break;
  case 289u:
    goto llvm_cbe_bb47_2e_i413;
    break;
  }
llvm_cbe_bb162:
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1 = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp7_2e_i1005 = *llvm_cbe_tmp4951_2e_i;
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp7_2e_i1005))) {
  default:
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
;
  case 2u:
    goto llvm_cbe_bb170_2e_i;
  case 4u:
    goto llvm_cbe_bb148_2e_i;
  case 5u:
    goto llvm_cbe_bb_2e_i1012;
    break;
  case 6u:
    goto llvm_cbe_bb107_2e_i1218;
  }
llvm_cbe_bb158:
  llvm_cbe_tmp7_2e_i698 = *llvm_cbe_tmp4951_2e_i;
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp7_2e_i698))) {
  default:
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
;
  case 4u:
    goto llvm_cbe_bb89_2e_i;
  case 5u:
    goto llvm_cbe_bb_2e_i704;
    break;
  case 6u:
    goto llvm_cbe_bb69_2e_i750;
  }
llvm_cbe_bb154:
  llvm_cbe_tmp4_2e_i484 = *llvm_cbe_tmp4951_2e_i;
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp4_2e_i484))) {
  default:
    goto llvm_cbe_bb158;
;
  case 2u:
    goto llvm_cbe_bb9_2e_i;
  case 12u:
    goto llvm_cbe_bb_2e_i488;
    break;
  }
llvm_cbe_bb49_2e_i:
  llvm_cbe_tmp54_2e_i416 = *llvm_cbe_tmp12_2e_i1009;
  if ((llvm_cbe_tmp54_2e_i416 == ((unsigned char )1))) {
    goto llvm_cbe_bb58_2e_i;
  } else {
    goto llvm_cbe_bb154;
  }

llvm_cbe_bb58_2e_i:
  llvm_cbe_tmp59_2e_i418 = *(&_ZZN4Game14handleModEventER9SDL_EventE3mod);
  switch (llvm_cbe_tmp59_2e_i418) {
  default:
    goto llvm_cbe_bb69_2e_i;
;
  case 0u:
    goto llvm_cbe_bb154;
  case 1u:
    llvm_cbe_storemerge_2e_i420__PHI_TEMPORARY = ((unsigned char )2);   /* for PHI node */
    goto llvm_cbe_bb70_2e_i;
  }
llvm_cbe_bb70_2e_i:
  llvm_cbe_storemerge_2e_i420 = llvm_cbe_storemerge_2e_i420__PHI_TEMPORARY;
  *llvm_cbe_tmp12_2e_i1009 = llvm_cbe_storemerge_2e_i420;
  goto llvm_cbe_bb154;

llvm_cbe_bb69_2e_i:
  llvm_cbe_storemerge_2e_i420__PHI_TEMPORARY = ((unsigned char )3);   /* for PHI node */
  goto llvm_cbe_bb70_2e_i;

llvm_cbe_bb_2e_i488:
  *llvm_cbe_tmp506 = ((unsigned char )1);
  goto llvm_cbe_bb158;

llvm_cbe_bb9_2e_i:
  llvm_cbe_tmp15_2e_i491 = *llvm_cbe_tmp175_2e_i;
  switch (llvm_cbe_tmp15_2e_i491) {
  default:
    goto llvm_cbe_bb158;
;
  case 13u:
    goto llvm_cbe_bb20_2e_i;
  case 32u:
    goto llvm_cbe_bb20_2e_i;
  case 101u:
    goto llvm_cbe_bb55_2e_i;
  case 110u:
    goto llvm_cbe_bb79_2e_i;
  case 112u:
    goto llvm_cbe_bb93_2e_i;
  case 113u:
    goto llvm_cbe_bb16_2e_i;
    break;
  case 114u:
    goto llvm_cbe_bb66_2e_i;
  case 115u:
    goto llvm_cbe_bb39_2e_i;
  case 118u:
    goto llvm_cbe_bb107_2e_i;
  case 271u:
    goto llvm_cbe_bb20_2e_i;
  case 273u:
    goto llvm_cbe_bb66_2e_i;
  case 275u:
    goto llvm_cbe_bb79_2e_i;
  case 276u:
    goto llvm_cbe_bb93_2e_i;
  case 285u:
    goto llvm_cbe_bb50_2e_i;
  case 287u:
    goto llvm_cbe_bb55_2e_i;
  }
llvm_cbe_bb16_2e_i:
  *llvm_cbe_tmp506 = ((unsigned char )1);
  goto llvm_cbe_bb158;

llvm_cbe_bb_2e_i_2e_i549:
  _ZN4Game11hideOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp37_2e_i539_2e_rle);
  goto llvm_cbe_bb158;

llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit_2e_i_2e_i:
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i11_2e_i) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb_2e_i_2e_i549;
  } else {
    goto llvm_cbe_bb8_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb17.i.i.i' to make GCC happy */
llvm_cbe_bb17_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i11_2e_i = llvm_cbe_storemerge1_2e_i_2e_i11_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp20_2e_i_2e_i14_2e_i) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i11_2e_i))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb8_2e_i_2e_i;
  }

llvm_cbe_bb14_2e_i_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i10_2e_i = llvm_cbe_storemerge1_2e_i_2e_i11_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i10_2e_i;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i543 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp7_2e_i_2e_i6_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i543[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i11_2e_i)))]));
  if ((llvm_cbe_tmp7_2e_i_2e_i6_2e_i == llvm_cbe_tmp37_2e_i539_2e_rle)) {
    goto llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb14_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb17.i.i.i' */
llvm_cbe_bb34_2e_i542:
  llvm_cbe_tmp37_2e_i539_2e_rle = llvm_cbe_tmp37_2e_i539_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp20_2e_i_2e_i14_2e_i = *llvm_cbe_tmp19_2e_i_2e_i13_2e_i;
  llvm_cbe_storemerge1_2e_i_2e_i11_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i_2e_i;

llvm_cbe_bb20_2e_i:
  llvm_cbe_tmp24_2e_i496 = *llvm_cbe_tmp2_2e_i28;
  if ((llvm_cbe_tmp24_2e_i496 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb27_2e_i513;
  } else {
    llvm_cbe_tmp37_2e_i539_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp24_2e_i496;   /* for PHI node */
    goto llvm_cbe_bb34_2e_i542;
  }

llvm_cbe_bb27_2e_i513:
  llvm_cbe_tmp2_2e_i_2e_i500 = _Znwm(80ull);
  llvm_cbe_tmp23_2e_i_2e_i501 = ((struct l_struct_2E_IconOverlay *)llvm_cbe_tmp2_2e_i_2e_i500);
  _ZN11OverlayBaseC2ER11GameControliib((((struct l_struct_2E_OverlayBase *)llvm_cbe_tmp2_2e_i_2e_i500)), llvm_cbe_tmp12, 50u, 50u, ((unsigned char )1));
  *(((unsigned int  (***) ())llvm_cbe_tmp2_2e_i_2e_i500)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp2_2e_i_2e_i_2e_i472));
  llvm_cbe_tmp17_2e_i_2e_i_2e_i517 = (&llvm_cbe_tmp23_2e_i_2e_i501->field1);
  _ZNSsC1EPKcRKSaIcE(llvm_cbe_tmp17_2e_i_2e_i_2e_i517, ((&_2E_str35[((signed long long )0ull)])), (&llvm_cbe_tmp2_2e_i_2e_i_2e_i472));
  _ZNSaIcED1Ev((&llvm_cbe_tmp2_2e_i_2e_i_2e_i472));
  llvm_cbe_tmp22_2e_i_2e_i_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp17_2e_i_2e_i_2e_i517);
  llvm_cbe_tmp27_2e_i_2e_i_2e_i = _Znwm(48ull);
  _ZN5ImageC1EPKcb((((struct l_struct_2E_Image *)llvm_cbe_tmp27_2e_i_2e_i_2e_i)), llvm_cbe_tmp22_2e_i_2e_i_2e_i);
  *((&llvm_cbe_tmp23_2e_i_2e_i501->field0.field4)) = (((struct l_struct_2E_Canvas *)llvm_cbe_tmp27_2e_i_2e_i_2e_i));
  llvm_cbe_tmp1213_2e_i_2e_i = ((struct l_struct_2E_Os *)llvm_cbe_tmp2_2e_i_2e_i500);
  *llvm_cbe_tmp2_2e_i28 = llvm_cbe_tmp1213_2e_i_2e_i;
  llvm_cbe_tmp37_2e_i539_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp1213_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb34_2e_i542;

llvm_cbe_bb8_2e_i_2e_i:
  _ZN4Game11showOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp37_2e_i539_2e_rle);
  goto llvm_cbe_bb158;

llvm_cbe_bb39_2e_i:
  llvm_cbe_tmp43_2e_i552 = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp46_2e_i554 = *((&llvm_cbe_tmp43_2e_i552[((signed long long )2ull)]));
  llvm_cbe_tmp49_2e_i556 = (((unsigned char  (*) (struct l_struct_2E_Game *, unsigned char *))llvm_cbe_tmp46_2e_i554))(llvm_cbe_this, ((unsigned char *)/*NULL*/0));
  goto llvm_cbe_bb158;

llvm_cbe__Z17createMenuOverlayR11GameControl_2e_exit_2e_i:
  llvm_cbe_tmp102_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i11_2e_i_2e_i_2e_i;
  llvm_cbe_tmp104_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp3_2e_i12_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp2_2e_i3_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp102_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp3_2e_i_2e_i18_2e_i_2e_i_2e_i = llvm_cbe_tmp104_2e_i_2e_i_2e_i_2e_i;
  ltmp_22_1 = memset(llvm_cbe_hs4_2e_i_2e_i_2e_i_2e_i_2e_i, (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  *llvm_cbe_tmp5_2e_i_2e_i19_2e_i_2e_i_2e_i = 4294967295u;
  *llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i598 = _ZZN11OverlayBase10addHotSpotI11MenuOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE;
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = 10u;
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = 10u;
  *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = 90u;
  *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = 90u;
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i601 = llvm_cbe_tmp2_2e_i33_2e_i;
  llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i603 = *llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i_2e_i602;
  *llvm_cbe_tmp14_2e_i_2e_i_2e_i_2e_i_2e_i = llvm_cbe_tmp16_2e_i_2e_i_2e_i_2e_i_2e_i603;
  llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i_2e_i605;
  *llvm_cbe_tmp17_2e_i_2e_i_2e_i_2e_i_2e_i604 = llvm_cbe_tmp19_2e_i_2e_i_2e_i_2e_i_2e_i;
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(((&llvm_cbe_tmp23_2e_i34_2e_i->field0.field0.field13)), (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i_2e_i));
  _ZN4Game11showOverlayEP7Overlay(llvm_cbe_this, (((struct l_struct_2E_Os *)llvm_cbe_tmp2_2e_i33_2e_i)));
  goto llvm_cbe_bb158;

llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp33_2e_i20_2e_i_2e_i_2e_i = _Znwm(48ull);
  llvm_cbe_tmp3334_2e_i_2e_i_2e_i_2e_i = ((struct l_struct_2E_Image *)llvm_cbe_tmp33_2e_i20_2e_i_2e_i_2e_i);
  _ZN5ImageC1EPKcb(llvm_cbe_tmp3334_2e_i_2e_i_2e_i_2e_i, ((&_2E_str54[((signed long long )0ull)])));
  llvm_cbe_tmp52_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i;
  *(&llvm_cbe_dest_2e_i_2e_i_2e_i_2e_i_2e_i) = 0ull;
  *llvm_cbe_tmp_2e_i24_2e_i_2e_i_2e_i_2e_i = ((unsigned short )10);
  *llvm_cbe_tmp1_2e_i25_2e_i_2e_i_2e_i_2e_i = ((unsigned short )10);
  llvm_cbe_tmp12_2e_i34_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp52_2e_i_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3334_2e_i_2e_i_2e_i_2e_i->field0.field1));
  llvm_cbe_tmp18_2e_i39_2e_i21_2e_i_2e_i_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp16_2e_i38_2e_i_2e_i_2e_i_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp12_2e_i34_2e_i_2e_i_2e_i_2e_i)), llvm_cbe_tmpcast);
  if ((llvm_cbe_tmp33_2e_i20_2e_i_2e_i_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__Z17createMenuOverlayR11GameControl_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb64_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe__ZN9UiOverlayC2ER11GameControlRK4Rect_2e_exit_2e_i_2e_i_2e_i:
  *(((unsigned int  (***) ())llvm_cbe_tmp2_2e_i33_2e_i)) = ((&_ZTV11MenuOverlay[((signed long long )2ull)]));
  *llvm_cbe_tmp12_2e_i_2e_i41_2e_i = _ZN11MenuOverlay7doPauseEv;
  *llvm_cbe_tmp15_2e_i_2e_i42_2e_i = 0ull;
  llvm_cbe_tmp24_2e_i_2e_i47_2e_i = *llvm_cbe_tmp23_2e_i_2e_i46_2e_i;
  llvm_cbe_tmp26_2e_i_2e_i_2e_i = *llvm_cbe_tmp25_2e_i_2e_i_2e_i587;
  *llvm_cbe_tmp2_2e_i11_2e_i_2e_i_2e_i = llvm_cbe_tmp24_2e_i_2e_i47_2e_i;
  *llvm_cbe_tmp3_2e_i12_2e_i_2e_i_2e_i = llvm_cbe_tmp26_2e_i_2e_i_2e_i;
  _ZNSaIcEC1Ev((&llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i456));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i457), ((&_2E_str54[((signed long long )0ull)])), (&llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i456));
  llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i458 = _ZN6Config8findFileERKSs((&llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i457));
  llvm_cbe_tmp3_2e_i2_2e_i_2e_i_2e_i_2e_i = _ZNKSs7compareEPKc((&llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i458), ((&_2E_str54[((signed long long )0ull)])));
  _ZNSsD1Ev((&llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i458));
  _ZNSsD1Ev((&llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i457));
  _ZNSaIcED1Ev((&llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i456));
  if ((llvm_cbe_tmp3_2e_i2_2e_i_2e_i_2e_i_2e_i == 0u)) {
    goto llvm_cbe_bb74_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i584:
  llvm_cbe_tmp7_2e_i4_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp13_2e_i_2e_i103_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i_2e_i97_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp15_2e_i7_2e_i_2e_i_2e_i_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp13_2e_i_2e_i103_2e_i_2e_i_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp7_2e_i4_2e_i_2e_i_2e_i_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0));
  goto llvm_cbe__ZN9UiOverlayC2ER11GameControlRK4Rect_2e_exit_2e_i_2e_i_2e_i;

llvm_cbe_bb50_2e_i:
  llvm_cbe_tmp2_2e_i33_2e_i = _Znwm(96ull);
  llvm_cbe_tmp23_2e_i34_2e_i = ((struct l_struct_2E_MenuOverlay *)llvm_cbe_tmp2_2e_i33_2e_i);
  _ZN11OverlayBaseC2ER11GameControliib((((struct l_struct_2E_OverlayBase *)llvm_cbe_tmp2_2e_i33_2e_i)), llvm_cbe_tmp12, 100u, 100u, ((unsigned char )1));
  *(((unsigned int  (***) ())llvm_cbe_tmp2_2e_i33_2e_i)) = ((&_ZTV9UiOverlay[((signed long long )2ull)]));
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i579 = (&llvm_cbe_tmp23_2e_i34_2e_i->field0.field1);
  *llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i579 = 15790240u;
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i581 = (&llvm_cbe_tmp23_2e_i34_2e_i->field0.field2);
  *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i581 = 0u;
  *((&llvm_cbe_tmp23_2e_i34_2e_i->field0.field3)) = 0u;
  llvm_cbe_tmp31_2e_i80_2e_i_2e_i_2e_i = _Znwm(48ull);
  llvm_cbe_tmp3132_2e_i_2e_i_2e_i_2e_i = ((struct l_struct_2E_Canvas *)llvm_cbe_tmp31_2e_i80_2e_i_2e_i_2e_i);
  _ZN6CanvasC1Eii(llvm_cbe_tmp3132_2e_i_2e_i_2e_i_2e_i, 301u, 101u);
  llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i = (&llvm_cbe_tmp23_2e_i34_2e_i->field0.field0.field4);
  *llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i = llvm_cbe_tmp3132_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp43_2e_i85_2e_i_2e_i_2e_i = *llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i579;
  *((&llvm_cbe_tmp3132_2e_i_2e_i_2e_i_2e_i->field2)) = llvm_cbe_tmp43_2e_i85_2e_i_2e_i_2e_i;
  llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i_2e_i97_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i->field3));
  if ((llvm_cbe_tmp2_2e_i_2e_i97_2e_i_2e_i_2e_i == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb16_2e_i_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i_2e_i584;
  }

llvm_cbe_bb16_2e_i_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp19_2e_i_2e_i106_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i->field2));
  llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i585 = *((&llvm_cbe_tmp57_2e_i_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp24_2e_i8_2e_i_2e_i_2e_i_2e_i = SDL_FillRect((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i_2e_i585)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), llvm_cbe_tmp19_2e_i_2e_i106_2e_i_2e_i_2e_i);
  goto llvm_cbe__ZN9UiOverlayC2ER11GameControlRK4Rect_2e_exit_2e_i_2e_i_2e_i;

llvm_cbe_bb74_2e_i_2e_i_2e_i_2e_i:
  _ZN4PathC1EPKc((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i), ((&_2E_str54[((signed long long )0ull)])));
  llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i = _ZNK4Path4bboxEv((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i));
  llvm_cbe_tmp8_2e_i48_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp7_2e_i47_2e_i_2e_i_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i54_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp14_2e_i53_2e_i_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i_2e_i56_2e_i_2e_i_2e_i_2e_i = (10u - llvm_cbe_tmp15_2e_i54_2e_i_2e_i_2e_i_2e_i);
  *llvm_cbe_tmp4_2e_i_2e_i59_2e_i_2e_i_2e_i_2e_i = (10u - llvm_cbe_tmp8_2e_i48_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp81_2e_i_2e_i_2e_i_2e_i = _ZN4Path9translateERK4Vec2((&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i), (&llvm_cbe_tmp5_2e_i7_2e_i_2e_i_2e_i455));
  llvm_cbe_tmp84_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp22_2e_i_2e_i_2e_i_2e_i581;
  llvm_cbe_tmp88_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp39_2e_i82_2e_i_2e_i_2e_i;
  _ZN6Canvas8drawPathERK4Pathib(llvm_cbe_tmp88_2e_i_2e_i_2e_i_2e_i, (&llvm_cbe_p_2e_i_2e_i_2e_i_2e_i), llvm_cbe_tmp84_2e_i_2e_i_2e_i_2e_i, ((unsigned char )0));
  llvm_cbe_tmp2_2e_i_2e_i15_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i14_2e_i_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i15_2e_i_2e_i_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__Z17createMenuOverlayR11GameControl_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i21_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i21_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i19_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i18_2e_i_2e_i_2e_i_2e_i;
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i19_2e_i_2e_i_2e_i_2e_i)));
  goto llvm_cbe__Z17createMenuOverlayR11GameControl_2e_exit_2e_i;

llvm_cbe_bb64_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp68_2e_i_2e_i_2e_i_2e_i = *(((unsigned int  (***) ())llvm_cbe_tmp33_2e_i20_2e_i_2e_i_2e_i));
  llvm_cbe_tmp70_2e_i_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp68_2e_i_2e_i_2e_i_2e_i[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Image *))llvm_cbe_tmp70_2e_i_2e_i_2e_i_2e_i))(llvm_cbe_tmp3334_2e_i_2e_i_2e_i_2e_i);
  goto llvm_cbe__Z17createMenuOverlayR11GameControl_2e_exit_2e_i;

llvm_cbe_bb55_2e_i:
  llvm_cbe_tmp59_2e_i610 = *llvm_cbe_tmp58_2e_i609;
  llvm_cbe_toBool60not616264_2e_i = ((unsigned char )(bool )(llvm_cbe_tmp59_2e_i610 == ((unsigned char )0)));
  if ((llvm_cbe_tmp59_2e_i610 == llvm_cbe_toBool60not616264_2e_i)) {
    goto llvm_cbe_bb158;
  } else {
    goto llvm_cbe_bb_2e_i98_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i:
  llvm_cbe_tmp32_2e_i_2e_i_2e_rle = llvm_cbe_tmp32_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  _ZN4Game11showOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp32_2e_i_2e_i_2e_rle);
  *llvm_cbe_tmp10_2e_i_2e_i195_2e_i = 0u;
  goto llvm_cbe_bb158;

llvm_cbe_bb16_2e_i_2e_i:
  if ((llvm_cbe_tmp19_2e_i_2e_i613 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb23_2e_i_2e_i;
  } else {
    llvm_cbe_tmp32_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i_2e_i613;   /* for PHI node */
    goto llvm_cbe_bb29_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i98_2e_i:
  *llvm_cbe_tmp58_2e_i609 = llvm_cbe_toBool60not616264_2e_i;
  llvm_cbe_tmp19_2e_i_2e_i613 = *llvm_cbe_tmp38_2e_i_2e_i626;
  if ((llvm_cbe_tmp59_2e_i610 == ((unsigned char )0))) {
    goto llvm_cbe_bb16_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb36_2e_i_2e_i;
  }

llvm_cbe__Z17createEditOverlayR11GameControl_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp67_2e_i_2e_i_2e_i = ((struct l_struct_2E_Os *)llvm_cbe_tmp2_2e_i_2e_i101_2e_i);
  *llvm_cbe_tmp38_2e_i_2e_i626 = llvm_cbe_tmp67_2e_i_2e_i_2e_i;
  llvm_cbe_tmp32_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp67_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb29_2e_i_2e_i;

  do {     /* Syntactic loop 'bb30.i.i.i.i' to make GCC happy */
llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp34_2e_i_2e_i_2e_i155_2e_i = *((&brushColours[((signed long long )(((signed long long )(signed int )llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0)))]));
  llvm_cbe_tmp39_2e_i_2e_i_2e_i158_2e_i = *llvm_cbe_tmp38_2e_i_2e_i_2e_i157_2e_i;
  llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i161_2e_i = *((&llvm_cbe_tmp39_2e_i_2e_i_2e_i158_2e_i->field1));
  llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i163_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp15_2e_i_2e_i_2e_i_2e_i161_2e_i))->field1));
  llvm_cbe_tmp22_2e_i8_2e_i_2e_i_2e_i_2e_i = SDL_MapRGB(llvm_cbe_tmp18_2e_i_2e_i_2e_i_2e_i163_2e_i, (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp34_2e_i_2e_i_2e_i155_2e_i) >> ((unsigned int )16u)))))), (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp34_2e_i_2e_i_2e_i155_2e_i) >> ((unsigned int )8u)))))), (((unsigned char )llvm_cbe_tmp34_2e_i_2e_i_2e_i155_2e_i)));
  llvm_cbe_tmp_2e_i_2e_i_2e_i79_2e_i = _ZN11EditOverlay3posEi(llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0);
  llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i = *llvm_cbe_tmp38_2e_i_2e_i_2e_i157_2e_i;
  _ZN6Canvas8drawRectERK4Rectib(llvm_cbe_tmp48_2e_i_2e_i_2e_i_2e_i, (&llvm_cbe_tmp_2e_i_2e_i_2e_i79_2e_i), llvm_cbe_tmp22_2e_i8_2e_i_2e_i_2e_i_2e_i, ((unsigned char )1));
  llvm_cbe_tmp51_2e_i_2e_i_2e_i168_2e_i = llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp51_2e_i_2e_i_2e_i168_2e_i) < ((signed int )12u))) {
    llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp51_2e_i_2e_i_2e_i168_2e_i;   /* for PHI node */
    goto llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__Z17createEditOverlayR11GameControl_2e_exit_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb30.i.i.i.i' */
llvm_cbe_bb52_2e_i_2e_i_2e_i_2e_i_2e_thread:
  llvm_cbe_tmp38_2e_i_2e_i_2e_i157_2e_i = (&llvm_cbe_tmp23_2e_i_2e_i102_2e_i->field0.field0.field4);
  llvm_cbe_i_2e_i_2e_i_2e_i78_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb30_2e_i_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb.i.i.i.i618' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i618:
  llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0 = llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i_2e_i_2e_i80_2e_i = _ZN11EditOverlay3posEi(llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0);
  ltmp_23_1 = memset(llvm_cbe_hs1_2e_i_2e_i_2e_i_2e_i_2e_i, (((unsigned int )(unsigned char )((unsigned char )0))), 56ull);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i124_2e_i = *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i123_2e_i;
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i126_2e_i = llvm_cbe_tmp2_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i124_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i129_2e_i = *llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i128_2e_i;
  *llvm_cbe_tmp9_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i131_2e_i = llvm_cbe_tmp7_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i129_2e_i;
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i_2e_i_2e_i137_2e_i = *llvm_cbe_tmp1_2e_i3_2e_i_2e_i_2e_i_2e_i_2e_i136_2e_i;
  *llvm_cbe_tmp4_2e_i6_2e_i_2e_i_2e_i_2e_i_2e_i139_2e_i = llvm_cbe_tmp2_2e_i4_2e_i_2e_i_2e_i_2e_i_2e_i137_2e_i;
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i_2e_i_2e_i142_2e_i = *llvm_cbe_tmp6_2e_i8_2e_i_2e_i_2e_i_2e_i_2e_i141_2e_i;
  *llvm_cbe_tmp9_2e_i11_2e_i_2e_i_2e_i_2e_i_2e_i144_2e_i = llvm_cbe_tmp7_2e_i9_2e_i_2e_i_2e_i_2e_i_2e_i142_2e_i;
  *llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i145_2e_i = llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0;
  _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i148_2e_i, (&llvm_cbe_hs_2e_i_2e_i_2e_i_2e_i75_2e_i));
  llvm_cbe_tmp24_2e_i_2e_i_2e_i150_2e_i = llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp24_2e_i_2e_i_2e_i150_2e_i) < ((signed int )18u))) {
    llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp24_2e_i_2e_i_2e_i150_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i618;
  } else {
    goto llvm_cbe_bb52_2e_i_2e_i_2e_i_2e_i_2e_thread;
  }

  } while (1); /* end of syntactic loop 'bb.i.i.i.i618' */
llvm_cbe_bb23_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i101_2e_i = _Znwm(88ull);
  llvm_cbe_tmp23_2e_i_2e_i102_2e_i = ((struct l_struct_2E_EditOverlay *)llvm_cbe_tmp2_2e_i_2e_i101_2e_i);
  _ZN11IconOverlayC2ER11GameControlPKciib((((struct l_struct_2E_IconOverlay *)llvm_cbe_tmp2_2e_i_2e_i101_2e_i)), llvm_cbe_tmp12, ((&_2E_str761[((signed long long )0ull)])), 100u, 20u);
  *(((unsigned int  (***) ())llvm_cbe_tmp2_2e_i_2e_i101_2e_i)) = ((&_ZTV11EditOverlay[((signed long long )2ull)]));
  *((&llvm_cbe_tmp23_2e_i_2e_i102_2e_i->field1)) = 0u;
  *((&llvm_cbe_tmp23_2e_i_2e_i102_2e_i->field2)) = 0u;
  llvm_cbe_tmp6_2e_i_2e_i_2e_i_2e_i148_2e_i = (&llvm_cbe_tmp23_2e_i_2e_i102_2e_i->field0.field0.field13);
  llvm_cbe_i1_2e_i_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i618;

llvm_cbe__ZN5Scene7protectEi_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i2_2e_i_2e_i = *llvm_cbe_tmp2_2e_i11_2e_i1255;
  *llvm_cbe_tmp10_2e_i_2e_i195_2e_i = llvm_cbe_tmp3_2e_i_2e_i2_2e_i_2e_i;
  goto llvm_cbe_bb158;

llvm_cbe_bb36_2e_i_2e_i:
  _ZN4Game11hideOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp19_2e_i_2e_i613);
  *llvm_cbe_tmp79_2e_i1185 = ((unsigned char )0);
  *llvm_cbe_tmp89_2e_i1192 = ((unsigned char )0);
  *llvm_cbe_tmp99_2e_i1198 = ((unsigned char )0);
  llvm_cbe_tmp53_2e_i_2e_i634 = *llvm_cbe_tmp53_2e_i1164;
  if ((((signed int )llvm_cbe_tmp53_2e_i_2e_i634) < ((signed int )2u))) {
    goto llvm_cbe_bb57_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN5Scene7protectEi_2e_exit_2e_i_2e_i;
  }

llvm_cbe_bb57_2e_i_2e_i:
  *llvm_cbe_tmp53_2e_i1164 = 2u;
  goto llvm_cbe__ZN5Scene7protectEi_2e_exit_2e_i_2e_i;

llvm_cbe_bb66_2e_i:
  llvm_cbe_tmp70_2e_i639 = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp72_2e_i641 = *((&llvm_cbe_tmp70_2e_i639[((signed long long )5ull)]));
  llvm_cbe_tmp76_2e_i643 = *llvm_cbe_tmp88_2e_i650;
  (((void  (*) (struct l_struct_2E_Game *, unsigned int , unsigned char ))llvm_cbe_tmp72_2e_i641))(llvm_cbe_this, llvm_cbe_tmp76_2e_i643, ((unsigned char )0));
  goto llvm_cbe_bb158;

llvm_cbe_bb79_2e_i:
  llvm_cbe_tmp83_2e_i646 = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp85_2e_i648 = *((&llvm_cbe_tmp83_2e_i646[((signed long long )5ull)]));
  llvm_cbe_tmp89_2e_i651 = *llvm_cbe_tmp88_2e_i650;
  (((void  (*) (struct l_struct_2E_Game *, unsigned int , unsigned char ))llvm_cbe_tmp85_2e_i648))(llvm_cbe_this, (llvm_cbe_tmp89_2e_i651 + 1u), ((unsigned char )0));
  goto llvm_cbe_bb158;

llvm_cbe_bb93_2e_i:
  llvm_cbe_tmp97_2e_i = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp99_2e_i654 = *((&llvm_cbe_tmp97_2e_i[((signed long long )5ull)]));
  llvm_cbe_tmp103_2e_i = *llvm_cbe_tmp88_2e_i650;
  (((void  (*) (struct l_struct_2E_Game *, unsigned int , unsigned char ))llvm_cbe_tmp99_2e_i654))(llvm_cbe_this, (llvm_cbe_tmp103_2e_i + 4294967295u), ((unsigned char )0));
  goto llvm_cbe_bb158;

llvm_cbe_bb107_2e_i:
  llvm_cbe_tmp111_2e_i660 = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp113_2e_i = *((&llvm_cbe_tmp111_2e_i660[((signed long long )5ull)]));
  llvm_cbe_tmp117_2e_i = *llvm_cbe_tmp88_2e_i650;
  (((void  (*) (struct l_struct_2E_Game *, unsigned int , unsigned char ))llvm_cbe_tmp113_2e_i))(llvm_cbe_this, llvm_cbe_tmp117_2e_i, ((unsigned char )1));
  goto llvm_cbe_bb158;

llvm_cbe_bb_2e_i704:
  llvm_cbe_tmp13_2e_i702 = *llvm_cbe_tmp12_2e_i1009;
  switch (llvm_cbe_tmp13_2e_i702) {
  default:
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
;
  case ((unsigned char )3):
    goto llvm_cbe_bb16_2e_i709;
    break;
  case ((unsigned char )2):
    goto llvm_cbe_bb48_2e_i744;
  }
llvm_cbe_bb23_2e_i:
  llvm_cbe_tmp29_2e_i714 = *llvm_cbe_tmp160_2e_i;
  llvm_cbe_tmp31_2e_i716 = *llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp33_2e_i718 = *llvm_cbe_tmp164_2e_i;
  llvm_cbe_tmp3_2e_i696 = _ZN4Game10mousePointE9SDL_Event(llvm_cbe_tmp29_2e_i714, llvm_cbe_tmp31_2e_i716, llvm_cbe_tmp33_2e_i718);
  llvm_cbe_tmp36_2e_i721 = _ZN5Scene13strokeAtPointE4Vec2f(llvm_cbe_tmp18, (&llvm_cbe_tmp3_2e_i696));
  *llvm_cbe_tmp91_2e_i756 = llvm_cbe_tmp36_2e_i721;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  goto llvm_cbe_bb162;

llvm_cbe_bb16_2e_i709:
  llvm_cbe_tmp19_2e_i707 = *llvm_cbe_tmp91_2e_i756;
  if ((llvm_cbe_tmp19_2e_i707 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_bb23_2e_i;
  } else {
    goto llvm_cbe_bb39_2e_i728;
  }

llvm_cbe_bb39_2e_i728:
  if ((llvm_cbe_tmp13_2e_i702 == ((unsigned char )2))) {
    goto llvm_cbe_bb48_2e_i744;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
  }

llvm_cbe_bb48_2e_i744:
  llvm_cbe_tmp54_2e_i733 = *llvm_cbe_tmp160_2e_i;
  llvm_cbe_tmp57_2e_i735 = *llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp59_2e_i737 = *llvm_cbe_tmp164_2e_i;
  llvm_cbe_tmp2_2e_i695 = _ZN4Game10mousePointE9SDL_Event(llvm_cbe_tmp54_2e_i733, llvm_cbe_tmp57_2e_i735, llvm_cbe_tmp59_2e_i737);
  llvm_cbe_tmp62_2e_i739 = _ZN5Scene13strokeAtPointE4Vec2f(llvm_cbe_tmp18, (&llvm_cbe_tmp2_2e_i695));
  _ZN5Scene12deleteStrokeEP6Stroke(llvm_cbe_tmp18, llvm_cbe_tmp62_2e_i739);
  *llvm_cbe_tmp211_2e_i = ((unsigned char )1);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  goto llvm_cbe_bb162;

llvm_cbe_bb69_2e_i750:
  llvm_cbe_tmp74_2e_i748 = *llvm_cbe_tmp12_2e_i1009;
  if ((llvm_cbe_tmp74_2e_i748 == ((unsigned char )3))) {
    goto llvm_cbe_bb78_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
  }

llvm_cbe_bb78_2e_i:
  llvm_cbe_tmp81_2e_i = *llvm_cbe_tmp91_2e_i756;
  if ((llvm_cbe_tmp81_2e_i == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb85_2e_i:
  *llvm_cbe_tmp91_2e_i756 = ((struct l_struct_2E_Stroke *)/*NULL*/0);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
  goto llvm_cbe_bb162;

llvm_cbe_bb89_2e_i:
  llvm_cbe_tmp92_2e_i757 = *llvm_cbe_tmp91_2e_i756;
  if ((llvm_cbe_tmp92_2e_i757 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe_bb162;
  } else {
    goto llvm_cbe_bb96_2e_i;
  }

llvm_cbe__ZN6Stroke6originERK4Vec2_2e_exit_2e_i:
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0 = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp29_2e_i_2e_i = *llvm_cbe_tmp28_2e_i_2e_i821;
  *((&llvm_cbe_tmp109_2e_i766->field3.field0)) = llvm_cbe_tmp29_2e_i_2e_i;
  llvm_cbe_tmp32_2e_i_2e_i824 = *llvm_cbe_tmp31_2e_i_2e_i823;
  *((&llvm_cbe_tmp109_2e_i766->field3.field1)) = llvm_cbe_tmp32_2e_i_2e_i824;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0;   /* for PHI node */
  goto llvm_cbe_bb162;

llvm_cbe_bb96_2e_i:
  llvm_cbe_tmp102_2e_i761 = *llvm_cbe_tmp160_2e_i;
  llvm_cbe_tmp104_2e_i763 = *llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp106_2e_i764 = *llvm_cbe_tmp164_2e_i;
  llvm_cbe_tmp1_2e_i694 = _ZN4Game10mousePointE9SDL_Event(llvm_cbe_tmp102_2e_i761, llvm_cbe_tmp104_2e_i763, llvm_cbe_tmp106_2e_i764);
  llvm_cbe_tmp109_2e_i766 = *llvm_cbe_tmp91_2e_i756;
  llvm_cbe_tmp2_2e_i_2e_i768 = (&llvm_cbe_tmp109_2e_i766->field12);
  llvm_cbe_tmp3_2e_i_2e_i769 = *llvm_cbe_tmp2_2e_i_2e_i768;
  if ((llvm_cbe_tmp3_2e_i_2e_i769 == ((struct l_struct_2E_b2Body *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph;   /* for PHI node */
    goto llvm_cbe__ZN6Stroke6originERK4Vec2_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i817;
  }

llvm_cbe_bb_2e_i_2e_i817:
  llvm_cbe_tmp4_2e_i_2e_i_2e_i773 = *llvm_cbe_tmp31_2e_i_2e_i823;
  llvm_cbe_tmp8_2e_i_2e_i_2e_i777 = *llvm_cbe_tmp28_2e_i_2e_i821;
  llvm_cbe_tmp21_2e_i_2e_i_2e_i795129012911292_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp18_2e_i_2e_i_2e_i7921283__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp8_2e_i_2e_i_2e_i777)), llvm_cbe_tmp18_2e_i_2e_i_2e_i7921283__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp21_2e_i_2e_i_2e_i7951290__BITCAST_TEMPORARY.Float = (((float )(signed int )llvm_cbe_tmp4_2e_i_2e_i_2e_i773)), llvm_cbe_tmp21_2e_i_2e_i_2e_i7951290__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp9_2e_i_2e_i802 = (((float )(((llvm_cbe_tmp11_2e_i_2e_i8041274__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i_2e_i_2e_i795129012911292_2e_ins)), llvm_cbe_tmp11_2e_i_2e_i8041274__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)));
  *llvm_cbe_tmp12_2e_i_2e_i805 = (((float )(((llvm_cbe_tmp14_2e_i_2e_i8071278__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i_2e_i_2e_i795129012911292_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp14_2e_i_2e_i8071278__BITCAST_TEMPORARY.Float)) * 0x1.99999ap-4)));
  llvm_cbe_tmp17_2e_i_2e_i813 = *llvm_cbe_tmp2_2e_i_2e_i768;
  llvm_cbe_tmp4_2e_i20_2e_i_2e_i = *((&llvm_cbe_tmp17_2e_i_2e_i813->field3.field4));
  _ZN6b2Body8SetXFormERK6b2Vec2f(llvm_cbe_tmp17_2e_i_2e_i813, (&llvm_cbe_pw_2e_i_2e_i), llvm_cbe_tmp4_2e_i20_2e_i_2e_i);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_0__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i_2e_i_2e_i795129012911292_2e_ins;   /* for PHI node */
  goto llvm_cbe__ZN6Stroke6originERK4Vec2_2e_exit_2e_i;

llvm_cbe_bb_2e_i1012:
  llvm_cbe_tmp13_2e_i1010 = *llvm_cbe_tmp12_2e_i1009;
  if ((llvm_cbe_tmp13_2e_i1010 == ((unsigned char )1))) {
    goto llvm_cbe_bb16_2e_i1017;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  }

llvm_cbe_bb16_2e_i1017:
  llvm_cbe_tmp19_2e_i1015 = *llvm_cbe_tmp182_2e_i;
  if ((llvm_cbe_tmp19_2e_i1015 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_bb23_2e_i1031;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  }

llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i:
  llvm_cbe_tmp43_2e_i1156 = *llvm_cbe_tmp182_2e_i;
  if ((llvm_cbe_tmp43_2e_i1156 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb50_2e_i1166;
  }

llvm_cbe_bb23_2e_i1031:
  llvm_cbe_tmp29_2e_i1022 = *llvm_cbe_tmp160_2e_i;
  llvm_cbe_tmp31_2e_i1024 = *llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp33_2e_i1026 = *llvm_cbe_tmp164_2e_i;
  llvm_cbe_tmp3_2e_i1001 = _ZN4Game10mousePointE9SDL_Event(llvm_cbe_tmp29_2e_i1022, llvm_cbe_tmp31_2e_i1024, llvm_cbe_tmp33_2e_i1026);
  _ZN5ArrayI4Vec2EC2Ei(llvm_cbe_tmp1_2e_i_2e_i1027);
  _ZN5ArrayI4Vec2E6appendERKS0_(llvm_cbe_tmp1_2e_i_2e_i1027, (&llvm_cbe_tmp3_2e_i1001));
  llvm_cbe_tmp2_2e_i1921_2e_i = _Znwm(144ull);
  llvm_cbe_tmp23_2e_i_2e_i1034 = ((struct l_struct_2E_Stroke *)llvm_cbe_tmp2_2e_i1921_2e_i);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i1037 = ((struct l_struct_2E_Path *)llvm_cbe_tmp2_2e_i1921_2e_i);
  _ZN4PathC1ERKS_(llvm_cbe_tmp2_2e_i_2e_i_2e_i1037, (&llvm_cbe_tmp2_2e_i1000));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp23_2e_i_2e_i1034->field4.field0)));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp23_2e_i_2e_i1034->field5.field0)));
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp23_2e_i_2e_i1034->field6.field0)));
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field1)) = 119u;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field2)) = 0u;
  llvm_cbe_tmp3_2e_i_2e_i56_2e_i_2e_i_2e_i = *(((struct l_struct_2E_Vec2 **)llvm_cbe_tmp2_2e_i1921_2e_i));
  llvm_cbe_tmp32_2e_i_2e_i_2e_i1063 = (&llvm_cbe_tmp23_2e_i_2e_i1034->field3.field0);
  llvm_cbe_tmp34_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i56_2e_i_2e_i_2e_i->field0));
  *llvm_cbe_tmp32_2e_i_2e_i_2e_i1063 = llvm_cbe_tmp34_2e_i_2e_i_2e_i;
  llvm_cbe_tmp35_2e_i_2e_i_2e_i1064 = (&llvm_cbe_tmp23_2e_i_2e_i1034->field3.field1);
  llvm_cbe_tmp37_2e_i_2e_i_2e_i1065 = *((&llvm_cbe_tmp3_2e_i_2e_i56_2e_i_2e_i_2e_i->field1));
  *llvm_cbe_tmp35_2e_i_2e_i_2e_i1064 = llvm_cbe_tmp37_2e_i_2e_i_2e_i1065;
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i1066 = *((&llvm_cbe_tmp23_2e_i_2e_i1034->field3.field1));
  llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i1068 = *((&llvm_cbe_tmp23_2e_i_2e_i1034->field3.field0));
  *llvm_cbe_tmp1_2e_i_2e_i45_2e_i_2e_i_2e_i = (-(llvm_cbe_tmp8_2e_i_2e_i_2e_i_2e_i1068));
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i_2e_i1071 = (-(llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i1066));
  llvm_cbe_tmp43_2e_i_2e_i_2e_i1073 = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp2_2e_i_2e_i_2e_i1037, (&llvm_cbe_tmp_2e_i_2e_i_2e_i986));
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field12)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field7)) = 0x1.cp+2;
  llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1124 = *llvm_cbe_tmp32_2e_i_2e_i_2e_i1063;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field10.field0.field0)) = llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1124;
  llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i1126 = *llvm_cbe_tmp35_2e_i_2e_i_2e_i1064;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field10.field0.field1)) = llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i1126;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field10.field1.field0)) = llvm_cbe_tmp26_2e_i_2e_i_2e_i_2e_i1124;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field10.field1.field1)) = llvm_cbe_tmp29_2e_i_2e_i_2e_i_2e_i1126;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field13[((signed long long )1ull)])) = ((unsigned char )0);
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field13[((signed long long )0ull)])) = ((unsigned char )0);
  _ZN4PathaSERKS_(((&llvm_cbe_tmp23_2e_i_2e_i1034->field4)), llvm_cbe_tmp2_2e_i_2e_i_2e_i1037);
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field14)) = 0u;
  *((&llvm_cbe_tmp23_2e_i_2e_i1034->field11)) = ((unsigned char )0);
  *(&llvm_cbe_s_2e_i_2e_i) = llvm_cbe_tmp23_2e_i_2e_i1034;
  _ZN5ArrayIP6StrokeE6appendERKS1_(llvm_cbe_tmp8_2e_i_2e_i1148, (&llvm_cbe_s_2e_i_2e_i));
  llvm_cbe_tmp9_2e_i_2e_i1149 = *(&llvm_cbe_s_2e_i_2e_i);
  *llvm_cbe_tmp182_2e_i = llvm_cbe_tmp9_2e_i_2e_i1149;
  llvm_cbe_tmp2_2e_i_2e_i60_2e_i = *llvm_cbe_tmp1_2e_i_2e_i59_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i60_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i1153;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i1153:
  llvm_cbe_tmp7_2e_i_2e_i64_2e_i = *llvm_cbe_tmp6_2e_i_2e_i63_2e_i;
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i64_2e_i)));
  goto llvm_cbe__ZN4PathD1Ev_2e_exit_2e_i;

llvm_cbe_bb96_2e_i1200:
  llvm_cbe_tmp100_2e_i1199 = *llvm_cbe_tmp99_2e_i1198;
  if ((llvm_cbe_tmp100_2e_i1199 == ((unsigned char )0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb102_2e_i;
  }

llvm_cbe_bb86_2e_i:
  llvm_cbe_tmp90_2e_i1193 = *llvm_cbe_tmp89_2e_i1192;
  if ((llvm_cbe_tmp90_2e_i1193 == ((unsigned char )0))) {
    goto llvm_cbe_bb96_2e_i1200;
  } else {
    goto llvm_cbe_bb92_2e_i1196;
  }

llvm_cbe_bb75_2e_i:
  llvm_cbe_tmp80_2e_i1186 = *llvm_cbe_tmp79_2e_i1185;
  if ((llvm_cbe_tmp80_2e_i1186 == ((unsigned char )0))) {
    goto llvm_cbe_bb86_2e_i;
  } else {
    goto llvm_cbe_bb82_2e_i1190;
  }

llvm_cbe_bb55_2e_i1170:
  llvm_cbe_tmp1_2e_i198_2e_i = (&llvm_cbe_tmp43_2e_i1156->field2);
  llvm_cbe_tmp2_2e_i199_2e_i = *llvm_cbe_tmp1_2e_i198_2e_i;
  *llvm_cbe_tmp1_2e_i198_2e_i = (llvm_cbe_tmp2_2e_i199_2e_i | 2u);
  *((&llvm_cbe_tmp43_2e_i1156->field1)) = 12058624u;
  goto llvm_cbe_bb75_2e_i;

llvm_cbe_bb50_2e_i1166:
  llvm_cbe_tmp54_2e_i1165 = *llvm_cbe_tmp53_2e_i1164;
  switch (llvm_cbe_tmp54_2e_i1165) {
  default:
    goto llvm_cbe_bb64_2e_i;
;
  case 0u:
    goto llvm_cbe_bb55_2e_i1170;
    break;
  case 1u:
    goto llvm_cbe_bb60_2e_i1174;
  }
llvm_cbe_bb_2e_i184_2e_i:
  *llvm_cbe_tmp29_2e_i192_2e_i = 12058624u;
  goto llvm_cbe_bb75_2e_i;

llvm_cbe_bb60_2e_i1174:
  llvm_cbe_tmp1_2e_i171_2e_i = (&llvm_cbe_tmp43_2e_i1156->field2);
  llvm_cbe_tmp2_2e_i172_2e_i = *llvm_cbe_tmp1_2e_i171_2e_i;
  llvm_cbe_tmp4_2e_i174_2e_i = llvm_cbe_tmp2_2e_i172_2e_i | 4u;
  *llvm_cbe_tmp1_2e_i171_2e_i = llvm_cbe_tmp4_2e_i174_2e_i;
  llvm_cbe_tmp29_2e_i192_2e_i = (&llvm_cbe_tmp43_2e_i1156->field1);
  if (((llvm_cbe_tmp4_2e_i174_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb25_2e_i193_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i184_2e_i;
  }

llvm_cbe_bb25_2e_i193_2e_i:
  *llvm_cbe_tmp29_2e_i192_2e_i = 15649024u;
  goto llvm_cbe_bb75_2e_i;

llvm_cbe_bb64_2e_i:
  llvm_cbe_tmp71_2e_i1179 = *((&brushColours[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp54_2e_i1165)))]));
  *((&llvm_cbe_tmp43_2e_i1156->field1)) = llvm_cbe_tmp71_2e_i1179;
  goto llvm_cbe_bb75_2e_i;

llvm_cbe_bb_2e_i153_2e_i:
  *((&llvm_cbe_tmp85_2e_i1189->field1)) = 12058624u;
  goto llvm_cbe_bb86_2e_i;

llvm_cbe_bb82_2e_i1190:
  llvm_cbe_tmp85_2e_i1189 = *llvm_cbe_tmp182_2e_i;
  llvm_cbe_tmp1_2e_i140_2e_i = (&llvm_cbe_tmp85_2e_i1189->field2);
  llvm_cbe_tmp2_2e_i141_2e_i = *llvm_cbe_tmp1_2e_i140_2e_i;
  llvm_cbe_tmp4_2e_i143_2e_i = llvm_cbe_tmp2_2e_i141_2e_i | 1u;
  *llvm_cbe_tmp1_2e_i140_2e_i = llvm_cbe_tmp4_2e_i143_2e_i;
  if (((llvm_cbe_tmp4_2e_i143_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i159_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i153_2e_i;
  }

llvm_cbe_bb17_2e_i159_2e_i:
  if (((llvm_cbe_tmp4_2e_i143_2e_i & 4u) == 0u)) {
    goto llvm_cbe_bb86_2e_i;
  } else {
    goto llvm_cbe_bb25_2e_i162_2e_i;
  }

llvm_cbe_bb25_2e_i162_2e_i:
  *((&llvm_cbe_tmp85_2e_i1189->field1)) = 15649024u;
  goto llvm_cbe_bb86_2e_i;

llvm_cbe_bb_2e_i126_2e_i:
  *((&llvm_cbe_tmp95_2e_i->field1)) = 12058624u;
  goto llvm_cbe_bb96_2e_i1200;

llvm_cbe_bb92_2e_i1196:
  llvm_cbe_tmp95_2e_i = *llvm_cbe_tmp182_2e_i;
  llvm_cbe_tmp1_2e_i113_2e_i = (&llvm_cbe_tmp95_2e_i->field2);
  llvm_cbe_tmp2_2e_i114_2e_i = *llvm_cbe_tmp1_2e_i113_2e_i;
  llvm_cbe_tmp4_2e_i116_2e_i = llvm_cbe_tmp2_2e_i114_2e_i | 16u;
  *llvm_cbe_tmp1_2e_i113_2e_i = llvm_cbe_tmp4_2e_i116_2e_i;
  if (((llvm_cbe_tmp4_2e_i116_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i132_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i126_2e_i;
  }

llvm_cbe_bb17_2e_i132_2e_i:
  if (((llvm_cbe_tmp4_2e_i116_2e_i & 4u) == 0u)) {
    goto llvm_cbe_bb96_2e_i1200;
  } else {
    goto llvm_cbe_bb25_2e_i135_2e_i;
  }

llvm_cbe_bb25_2e_i135_2e_i:
  *((&llvm_cbe_tmp95_2e_i->field1)) = 15649024u;
  goto llvm_cbe_bb96_2e_i1200;

llvm_cbe_bb_2e_i108_2e_i:
  *((&llvm_cbe_tmp105_2e_i1203->field1)) = 12058624u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb102_2e_i:
  llvm_cbe_tmp105_2e_i1203 = *llvm_cbe_tmp182_2e_i;
  llvm_cbe_tmp1_2e_i97_2e_i = (&llvm_cbe_tmp105_2e_i1203->field2);
  llvm_cbe_tmp2_2e_i98_2e_i = *llvm_cbe_tmp1_2e_i97_2e_i;
  llvm_cbe_tmp4_2e_i100_2e_i = llvm_cbe_tmp2_2e_i98_2e_i | 8u;
  *llvm_cbe_tmp1_2e_i97_2e_i = llvm_cbe_tmp4_2e_i100_2e_i;
  if (((llvm_cbe_tmp4_2e_i100_2e_i & 2u) == 0u)) {
    goto llvm_cbe_bb17_2e_i_2e_i1210;
  } else {
    goto llvm_cbe_bb_2e_i108_2e_i;
  }

llvm_cbe_bb17_2e_i_2e_i1210:
  if (((llvm_cbe_tmp4_2e_i100_2e_i & 4u) == 0u)) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb25_2e_i_2e_i1213;
  }

llvm_cbe_bb25_2e_i_2e_i1213:
  *((&llvm_cbe_tmp105_2e_i1203->field1)) = 15649024u;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb107_2e_i1218:
  llvm_cbe_tmp112_2e_i1216 = *llvm_cbe_tmp12_2e_i1009;
  if ((llvm_cbe_tmp112_2e_i1216 == ((unsigned char )1))) {
    goto llvm_cbe_bb116_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  }

llvm_cbe_bb116_2e_i:
  llvm_cbe_tmp119_2e_i1221 = *llvm_cbe_tmp182_2e_i;
  if ((llvm_cbe_tmp119_2e_i1221 == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb123_2e_i1227;
  }

llvm_cbe_bb144_2e_i:
  *llvm_cbe_tmp182_2e_i = ((struct l_struct_2E_Stroke *)/*NULL*/0);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb132_2e_i1232:
  llvm_cbe_tmp2_2e_i81_2e_i = *llvm_cbe_tmp1_2e_i80_2e_i;
  _ZN6Stroke12createBodiesER7b2World(llvm_cbe_tmp119_2e_i1221, llvm_cbe_tmp2_2e_i81_2e_i);
  _ZN5Scene12createJointsEP6Stroke(llvm_cbe_tmp18, llvm_cbe_tmp119_2e_i1221);
  goto llvm_cbe_bb144_2e_i;

llvm_cbe_bb123_2e_i1227:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i91_2e_i = *((&llvm_cbe_tmp119_2e_i1221->field0.field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i91_2e_i) > ((signed int )1u))) {
    goto llvm_cbe_bb132_2e_i1232;
  } else {
    goto llvm_cbe_bb138_2e_i;
  }

llvm_cbe_bb138_2e_i:
  _ZN5Scene12deleteStrokeEP6Stroke(llvm_cbe_tmp18, llvm_cbe_tmp119_2e_i1221);
  goto llvm_cbe_bb144_2e_i;

llvm_cbe_bb148_2e_i:
  llvm_cbe_tmp151_2e_i = *llvm_cbe_tmp182_2e_i;
  if ((llvm_cbe_tmp151_2e_i == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb155_2e_i;
  }

llvm_cbe_bb155_2e_i:
  llvm_cbe_tmp161_2e_i = *llvm_cbe_tmp160_2e_i;
  llvm_cbe_tmp163_2e_i = *llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp165_2e_i = *llvm_cbe_tmp164_2e_i;
  llvm_cbe_tmp1_2e_i999 = _ZN4Game10mousePointE9SDL_Event(llvm_cbe_tmp161_2e_i, llvm_cbe_tmp163_2e_i, llvm_cbe_tmp165_2e_i);
  llvm_cbe_tmp168_2e_i = *llvm_cbe_tmp182_2e_i;
  llvm_cbe_tmp2_2e_i_2e_i28_2e_i = *llvm_cbe_tmp1_2e_i_2e_i27_2e_i;
  *llvm_cbe_tmp4_2e_i_2e_i30_2e_i = llvm_cbe_tmp2_2e_i_2e_i28_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i33_2e_i = *llvm_cbe_tmp6_2e_i_2e_i32_2e_i;
  *llvm_cbe_tmp9_2e_i_2e_i35_2e_i = llvm_cbe_tmp7_2e_i_2e_i33_2e_i;
  llvm_cbe_tmp5_2e_i7_2e_i_2e_i1239 = *((&llvm_cbe_tmp168_2e_i->field3.field0));
  llvm_cbe_tmp6_2e_i8_2e_i_2e_i1240 = llvm_cbe_tmp2_2e_i_2e_i28_2e_i - llvm_cbe_tmp5_2e_i7_2e_i_2e_i1239;
  *llvm_cbe_tmp4_2e_i_2e_i30_2e_i = llvm_cbe_tmp6_2e_i8_2e_i_2e_i1240;
  llvm_cbe_tmp14_2e_i_2e_i41_2e_i = *((&llvm_cbe_tmp168_2e_i->field3.field1));
  *llvm_cbe_tmp9_2e_i_2e_i35_2e_i = (llvm_cbe_tmp7_2e_i_2e_i33_2e_i - llvm_cbe_tmp14_2e_i_2e_i41_2e_i);
  llvm_cbe_tmp3_2e_i_2e_i30_2e_i_2e_i = *((&llvm_cbe_tmp168_2e_i->field0.field0.field1));
  llvm_cbe_tmp3_2e_i_2e_i_2e_i52_2e_i = *((&llvm_cbe_tmp168_2e_i->field0.field0.field0));
  llvm_cbe_tmp6_2e_i19_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i_2e_i52_2e_i[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp3_2e_i_2e_i30_2e_i_2e_i + 4294967295u))))].field0));
  if ((llvm_cbe_tmp6_2e_i8_2e_i_2e_i1240 == llvm_cbe_tmp6_2e_i19_2e_i_2e_i)) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i1254;
  }

llvm_cbe_bb_2e_i_2e_i1254:
  _ZN5ArrayI4Vec2E6appendERKS0_(((&llvm_cbe_tmp168_2e_i->field0.field0)), (&llvm_cbe_p_2e_i_2e_i));
  *((&llvm_cbe_tmp168_2e_i->field11)) = ((unsigned char )0);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb170_2e_i:
  llvm_cbe_tmp176_2e_i = *llvm_cbe_tmp175_2e_i;
  if ((llvm_cbe_tmp176_2e_i == 27u)) {
    goto llvm_cbe_bb180_2e_i;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  }

llvm_cbe_bb208_2e_i:
  *llvm_cbe_tmp211_2e_i = ((unsigned char )1);
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_1;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_more_2e_2;   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

llvm_cbe_bb187_2e_i:
  _ZN5Scene12deleteStrokeEP6Stroke(llvm_cbe_tmp18, llvm_cbe_tmp183_2e_i);
  *llvm_cbe_tmp182_2e_i = ((struct l_struct_2E_Stroke *)/*NULL*/0);
  goto llvm_cbe_bb208_2e_i;

llvm_cbe_bb180_2e_i:
  llvm_cbe_tmp183_2e_i = *llvm_cbe_tmp182_2e_i;
  if ((llvm_cbe_tmp183_2e_i == ((struct l_struct_2E_Stroke *)/*NULL*/0))) {
    goto llvm_cbe_bb195_2e_i;
  } else {
    goto llvm_cbe_bb187_2e_i;
  }

llvm_cbe_bb195_2e_i:
  llvm_cbe_tmp3_2e_i12_2e_i1256 = *llvm_cbe_tmp2_2e_i11_2e_i1255;
  llvm_cbe_tmp3_2e_i6_2e_i = *llvm_cbe_tmp2_2e_i5_2e_i;
  llvm_cbe_tmp205_2e_i = *((&llvm_cbe_tmp3_2e_i6_2e_i[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp3_2e_i12_2e_i1256 + 4294967295u))))]));
  _ZN5Scene12deleteStrokeEP6Stroke(llvm_cbe_tmp18, llvm_cbe_tmp205_2e_i);
  goto llvm_cbe_bb208_2e_i;

  } while (1); /* end of syntactic loop 'bb170.outer' */
llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit_2e_i:
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i45) < ((signed int )0u))) {
    goto llvm_cbe_bb54;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  }

  do {     /* Syntactic loop 'bb17.i.i' to make GCC happy */
llvm_cbe_bb17_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i45 = llvm_cbe_storemerge1_2e_i_2e_i45__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp20_2e_i_2e_i48) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i45))) {
    goto llvm_cbe_bb_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb54;
  }

llvm_cbe_bb14_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i44 = llvm_cbe_storemerge1_2e_i_2e_i45 + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i45__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i44;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i34 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp7_2e_i_2e_i38 = *((&llvm_cbe_tmp3_2e_i_2e_i34[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i45)))]));
  if ((llvm_cbe_tmp7_2e_i_2e_i38 == llvm_cbe_tmp3_2e_i29)) {
    goto llvm_cbe__ZN5ArrayIP7OverlayE7indexOfERKS1__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb14_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb17.i.i' */
llvm_cbe_bb_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i48 = *llvm_cbe_tmp19_2e_i_2e_i13_2e_i;
  llvm_cbe_storemerge1_2e_i_2e_i45__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb17_2e_i_2e_i;

llvm_cbe_bb47:
  llvm_cbe_tmp3_2e_i29 = *llvm_cbe_tmp2_2e_i28;
  if ((llvm_cbe_tmp3_2e_i29 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb54;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe__ZN12DemoRecorder4tickEv_2e_exit:
  llvm_cbe_tmp2_2e_i73 = *llvm_cbe_tmp1_2e_i72;
  if ((llvm_cbe_tmp2_2e_i73 == ((unsigned char )0))) {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4;   /* for PHI node */
    llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_bb170_2e_outer;
  } else {
    goto llvm_cbe_bb_2e_i84;
  }

llvm_cbe_bb54:
  _ZN5Scene4stepEv(llvm_cbe_tmp18);
  llvm_cbe_tmp2_2e_i55 = *llvm_cbe_tmp1_2e_i54;
  if ((llvm_cbe_tmp2_2e_i55 == ((unsigned char )0))) {
    goto llvm_cbe__ZN12DemoRecorder4tickEv_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i65;
  }

llvm_cbe_bb_2e_i65:
  llvm_cbe_tmp5_2e_i58 = *llvm_cbe_tmp4_2e_i57;
  *llvm_cbe_tmp4_2e_i57 = (llvm_cbe_tmp5_2e_i58 + 1u);
  llvm_cbe_tmp9_2e_i62 = SDL_GetTicks();
  *llvm_cbe_tmp11_2e_i64 = llvm_cbe_tmp9_2e_i62;
  goto llvm_cbe__ZN12DemoRecorder4tickEv_2e_exit;

llvm_cbe_bb_2e_i84:
  llvm_cbe_tmp5_2e_i77 = *llvm_cbe_tmp4_2e_i76;
  *llvm_cbe_tmp4_2e_i76 = (llvm_cbe_tmp5_2e_i77 + 1u);
  llvm_cbe_tmp9_2e_i81 = SDL_GetTicks();
  *llvm_cbe_tmp11_2e_i83 = llvm_cbe_tmp9_2e_i81;
  llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_3_2e_ph__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4;   /* for PHI node */
  llvm_cbe_more_2e_0_2e_ph__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb170_2e_outer;

  } while (1); /* end of syntactic loop 'bb176' */
  do {     /* Syntactic loop 'bb38' to make GCC happy */
llvm_cbe_bb38:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i22 = *llvm_cbe_tmp2_2e_i21;
  if ((((signed int )llvm_cbe_tmp3_2e_i22) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb22;
  } else {
    llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_4__PHI_TEMPORARY = llvm_cbe_retval_2e_i_2e_i_2e_i685_2e_5;   /* for PHI node */
    llvm_cbe_iterateCounter_2e_0__PHI_TEMPORARY = llvm_cbe_iterateCounter_2e_1;   /* for PHI node */
    goto llvm_cbe_bb176;
  }

llvm_cbe_bb22:
  llvm_cbe_tmp3_2e_i_2e_i13 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp27 = *((&llvm_cbe_tmp3_2e_i_2e_i13[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge)))]));
  llvm_cbe_tmp30 = *((&llvm_cbe_tmp27->field0));
  llvm_cbe_tmp32 = *((&llvm_cbe_tmp30[((signed long long )6ull)]));
  (((void  (*) (struct l_struct_2E_Os *, unsigned int ))llvm_cbe_tmp32))(llvm_cbe_tmp27, llvm_cbe_lastTick_2e_0);
  llvm_cbe_tmp37 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp37;   /* for PHI node */
  goto llvm_cbe_bb38;

  } while (1); /* end of syntactic loop 'bb38' */
llvm_cbe_bb186:
  llvm_cbe_tmp190 = *llvm_cbe_tmp58_2e_i609;
  if ((llvm_cbe_tmp190 == ((unsigned char )0))) {
    llvm_cbe_isComplete_2e_0__PHI_TEMPORARY = llvm_cbe_isComplete_2e_1;   /* for PHI node */
    goto llvm_cbe_bb195;
  } else {
    goto llvm_cbe_bb192;
  }

llvm_cbe_bb192:
  _ZN4Game11hideOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp67_2e_i);
  llvm_cbe_isComplete_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  goto llvm_cbe_bb195;

llvm_cbe_bb203:
  llvm_cbe_tmp207 = *llvm_cbe_tmp58_2e_i609;
  if ((llvm_cbe_tmp207 == ((unsigned char )0))) {
    goto llvm_cbe_bb219;
  } else {
    llvm_cbe_isComplete_2e_2__PHI_TEMPORARY = llvm_cbe_isComplete_2e_0;   /* for PHI node */
    goto llvm_cbe_bb235;
  }

llvm_cbe_bb225:
  *llvm_cbe_tmp1_2e_i72 = ((unsigned char )0);
  *llvm_cbe_tmp10_2e_i101 = ((struct l_struct_2E_DemoLog *)/*NULL*/0);
  _ZN12DemoRecorder4stopEv(llvm_cbe_tmp58);
  _ZN4Game11showOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp67_2e_i);
  llvm_cbe_isComplete_2e_2__PHI_TEMPORARY = llvm_cbe_tmp222;   /* for PHI node */
  goto llvm_cbe_bb235;

llvm_cbe_bb219:
  llvm_cbe_tmp222 = _ZN5Scene11isCompletedEv(llvm_cbe_tmp18);
  if ((llvm_cbe_tmp222 == ((unsigned char )0))) {
    goto llvm_cbe_bb232;
  } else {
    goto llvm_cbe_bb225;
  }

llvm_cbe_bb232:
  _ZN4Game11hideOverlayEP7Overlay(llvm_cbe_this, llvm_cbe_tmp67_2e_i);
  llvm_cbe_isComplete_2e_2__PHI_TEMPORARY = llvm_cbe_tmp222;   /* for PHI node */
  goto llvm_cbe_bb235;

llvm_cbe_bb108_2e_i:
  *llvm_cbe_tmp59_2e_i899 = (llvm_cbe_tmp4_2e_i3_2e_i + 4294967295u);
  llvm_cbe_tmp119_2e_i964 = *llvm_cbe_tmp62_2e_i902;
  *llvm_cbe_tmp62_2e_i902 = (llvm_cbe_tmp119_2e_i964 + 4294967295u);
  llvm_cbe_tmp126_2e_i967 = *llvm_cbe_tmp67_2e_i905;
  *llvm_cbe_tmp67_2e_i905 = (llvm_cbe_tmp126_2e_i967 + 1u);
  llvm_cbe_tmp133_2e_i = *llvm_cbe_tmp70_2e_i908;
  *llvm_cbe_tmp70_2e_i908 = (llvm_cbe_tmp133_2e_i + 1u);
  goto llvm_cbe__ZN5Scene9dirtyAreaEv_2e_exit;

  do {     /* Syntactic loop 'bb293' to make GCC happy */
llvm_cbe_bb293:
  llvm_cbe_storemerge5 = llvm_cbe_storemerge5__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i444 = *llvm_cbe_tmp2_2e_i21;
  if ((((signed int )llvm_cbe_tmp3_2e_i444) > ((signed int )llvm_cbe_storemerge5))) {
    goto llvm_cbe_bb261;
  } else {
    goto llvm_cbe_bb302;
  }

llvm_cbe_bb290:
  llvm_cbe_tmp292 = llvm_cbe_storemerge5 + 1u;
  llvm_cbe_storemerge5__PHI_TEMPORARY = llvm_cbe_tmp292;   /* for PHI node */
  goto llvm_cbe_bb293;

llvm_cbe_bb261:
  llvm_cbe_tmp3_2e_i_2e_i835 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp45_2e_i_2e_i837 = ((signed long long )(signed int )llvm_cbe_storemerge5);
  llvm_cbe_tmp266 = *((&llvm_cbe_tmp3_2e_i_2e_i835[((signed long long )llvm_cbe_tmp45_2e_i_2e_i837)]));
  llvm_cbe_tmp269 = *((&llvm_cbe_tmp266->field0));
  llvm_cbe_tmp271 = *((&llvm_cbe_tmp269[((signed long long )2ull)]));
  llvm_cbe_tmp274 = (((unsigned char  (*) (struct l_struct_2E_Os *))llvm_cbe_tmp271))(llvm_cbe_tmp266);
  if ((llvm_cbe_tmp274 == ((unsigned char )0))) {
    goto llvm_cbe_bb290;
  } else {
    goto llvm_cbe_bb277;
  }

llvm_cbe_bb277:
  llvm_cbe_tmp3_2e_i_2e_i675 = *llvm_cbe_tmp2_2e_i_2e_i12;
  llvm_cbe_tmp282 = *((&llvm_cbe_tmp3_2e_i_2e_i675[((signed long long )llvm_cbe_tmp45_2e_i_2e_i837)]));
  llvm_cbe_tmp285 = *((&llvm_cbe_tmp282->field0));
  llvm_cbe_tmp287 = *((&llvm_cbe_tmp285[((signed long long )3ull)]));
  llvm_cbe_tmp7 = ((struct l_struct_2E_Rect  (*) (struct l_struct_2E_Os *))(void*)(((void  (*) (struct l_struct_2E_Rect *, struct l_struct_2E_Os *))llvm_cbe_tmp287)))(llvm_cbe_tmp282);
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp1_2e_i448);
  _ZN4Rect6expandERK4Vec2((&llvm_cbe_r), llvm_cbe_tmp4_2e_i451);
  goto llvm_cbe_bb290;

  } while (1); /* end of syntactic loop 'bb293' */
llvm_cbe_bb308:
  _ZN5Scene4drawER6CanvasRK4Rect(llvm_cbe_tmp18, llvm_cbe_tmp16, (&llvm_cbe_r));
  llvm_cbe_tmp317 = *llvm_cbe_tmp316;
  if ((llvm_cbe_tmp317 == ((unsigned char )0))) {
    llvm_cbe_storemerge6__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb359;
  } else {
    goto llvm_cbe_bb319;
  }

llvm_cbe__ZN6Canvas4fadeERK4Rect_2e_exit:
  llvm_cbe_tmp140_2e_i = *llvm_cbe_tmp7_2e_i342;
  SDL_UnlockSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp140_2e_i)));
  llvm_cbe_storemerge6__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb359;

llvm_cbe_bb319:
  llvm_cbe_tmp2_2e_i_2e_i_2e_i290 = *llvm_cbe_tmp59_2e_i899;
  llvm_cbe_tmp7_2e_i_2e_i_2e_i295 = *llvm_cbe_tmp4_2e_i_2e_i_2e_i866;
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i = *llvm_cbe_tmp67_2e_i905;
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i = *llvm_cbe_tmp4_2e_i8_2e_i_2e_i;
  llvm_cbe_tmp7_2e_i_2e_i16_2e_i = *llvm_cbe_tmp6_2e_i_2e_i15_2e_i;
  llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i = (((((signed int )llvm_cbe_tmp2_2e_i_2e_i_2e_i290) < ((signed int )llvm_cbe_tmp7_2e_i_2e_i16_2e_i))) ? (llvm_cbe_tmp7_2e_i_2e_i16_2e_i) : (llvm_cbe_tmp2_2e_i_2e_i_2e_i290));
  llvm_cbe_tmp16_2e_i_2e_i_2e_i312 = *llvm_cbe_tmp15_2e_i_2e_i_2e_i311;
  llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i322 = (((((signed int )llvm_cbe_tmp7_2e_i_2e_i_2e_i295) < ((signed int )llvm_cbe_tmp16_2e_i_2e_i_2e_i312))) ? (llvm_cbe_tmp16_2e_i_2e_i_2e_i312) : (llvm_cbe_tmp7_2e_i_2e_i_2e_i295));
  llvm_cbe_tmp7_2e_i14_2e_i_2e_i = *llvm_cbe_tmp6_2e_i13_2e_i_2e_i;
  llvm_cbe_tmp16_2e_i31_2e_i_2e_i = *llvm_cbe_tmp15_2e_i30_2e_i_2e_i;
  llvm_cbe_tmp8_2e_i343 = *llvm_cbe_tmp7_2e_i342;
  llvm_cbe_tmp89_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp8_2e_i343);
  llvm_cbe_tmp11_2e_i345 = *((&llvm_cbe_tmp89_2e_i->field1));
  llvm_cbe_tmp13_2e_i347 = *((&llvm_cbe_tmp11_2e_i345->field2));
  llvm_cbe_tmp1314_2e_i = ((unsigned int )(unsigned char )llvm_cbe_tmp13_2e_i347);
  llvm_cbe_tmp20_2e_i352 = *((&llvm_cbe_tmp89_2e_i->field5));
  llvm_cbe_tmp6_2e_i7_2e_i = *((&llvm_cbe_tmp89_2e_i->field2));
  llvm_cbe_tmp30_2e_i361 = (((((((signed int )llvm_cbe_tmp2_2e_i4_2e_i_2e_i) < ((signed int )llvm_cbe_tmp7_2e_i14_2e_i_2e_i))) ? (llvm_cbe_tmp2_2e_i4_2e_i_2e_i) : (llvm_cbe_tmp7_2e_i14_2e_i_2e_i))) - llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i) + 1u;
  llvm_cbe_tmp38_2e_i367 = (((((((signed int )llvm_cbe_tmp7_2e_i9_2e_i_2e_i) < ((signed int )llvm_cbe_tmp16_2e_i31_2e_i_2e_i))) ? (llvm_cbe_tmp7_2e_i9_2e_i_2e_i) : (llvm_cbe_tmp16_2e_i31_2e_i_2e_i))) - llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i322) + 1u;
  llvm_cbe_tmp52_2e_i378 = (&llvm_cbe_tmp20_2e_i352[((signed long long )(((unsigned long long )(unsigned int )((llvm_cbe_storemerge_2e_i11_2e_i_2e_i_2e_i + (llvm_cbe_storemerge_2e_i_2e_i_2e_i_2e_i322 * llvm_cbe_tmp6_2e_i7_2e_i)) * llvm_cbe_tmp1314_2e_i))))]);
  llvm_cbe_tmp57_2e_i382 = SDL_LockSurface(llvm_cbe_tmp89_2e_i);
  switch (llvm_cbe_tmp1314_2e_i) {
  default:
    goto llvm_cbe__ZN6Canvas4fadeERK4Rect_2e_exit;
;
  case 2u:
    goto llvm_cbe_bb_2e_i384;
    break;
  case 4u:
    goto llvm_cbe_bb98_2e_i;
  }
  do {     /* Syntactic loop 'bb92.i' to make GCC happy */
llvm_cbe_bb92_2e_i:
  llvm_cbe_row_2e_i_2e_0 = llvm_cbe_row_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i386 = llvm_cbe_storemerge1_2e_i386__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i386) > ((signed int )0u))) {
    goto llvm_cbe_bb60_2e_i;
  } else {
    goto llvm_cbe__ZN6Canvas4fadeERK4Rect_2e_exit;
  }

llvm_cbe_bb82_2e_i:
  llvm_cbe_tmp88_2e_i = (&llvm_cbe_row_2e_i_2e_0[((signed long long )llvm_cbe_tmp8587_2e_i)]);
  llvm_cbe_tmp91_2e_i = llvm_cbe_storemerge1_2e_i386 + 4294967295u;
  llvm_cbe_row_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp88_2e_i;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i386__PHI_TEMPORARY = llvm_cbe_tmp91_2e_i;   /* for PHI node */
  goto llvm_cbe_bb92_2e_i;

  do {     /* Syntactic loop 'bb77.i' to make GCC happy */
llvm_cbe_bb77_2e_i:
  llvm_cbe_storemerge_2e_i385 = llvm_cbe_storemerge_2e_i385__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge_2e_i385) < ((signed int )llvm_cbe_tmp30_2e_i361))) {
    goto llvm_cbe_bb61_2e_i;
  } else {
    goto llvm_cbe_bb82_2e_i;
  }

llvm_cbe_bb61_2e_i:
  llvm_cbe_tmp68_2e_i = (&llvm_cbe_tmp6263_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i385)))]);
  llvm_cbe_tmp69_2e_i = *llvm_cbe_tmp68_2e_i;
  *llvm_cbe_tmp68_2e_i = (((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp69_2e_i) >> ((unsigned short )((unsigned short )1))))))) & ((unsigned short )31727))));
  llvm_cbe_tmp76_2e_i = llvm_cbe_storemerge_2e_i385 + 1u;
  llvm_cbe_storemerge_2e_i385__PHI_TEMPORARY = llvm_cbe_tmp76_2e_i;   /* for PHI node */
  goto llvm_cbe_bb77_2e_i;

  } while (1); /* end of syntactic loop 'bb77.i' */
llvm_cbe_bb60_2e_i:
  llvm_cbe_tmp6263_2e_i = ((unsigned short *)llvm_cbe_row_2e_i_2e_0);
  llvm_cbe_storemerge_2e_i385__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb77_2e_i;

  } while (1); /* end of syntactic loop 'bb92.i' */
llvm_cbe_bb_2e_i384:
  llvm_cbe_tmp8587_2e_i = ((unsigned long long )(unsigned int )(llvm_cbe_tmp6_2e_i7_2e_i * llvm_cbe_tmp1314_2e_i));
  llvm_cbe_row_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i378;   /* for PHI node */
  llvm_cbe_storemerge1_2e_i386__PHI_TEMPORARY = llvm_cbe_tmp38_2e_i367;   /* for PHI node */
  goto llvm_cbe_bb92_2e_i;

  do {     /* Syntactic loop 'bb132.i' to make GCC happy */
llvm_cbe_bb132_2e_i:
  llvm_cbe_row_2e_i_2e_1 = llvm_cbe_row_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge3_2e_i = llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge3_2e_i) > ((signed int )0u))) {
    goto llvm_cbe_bb100_2e_i;
  } else {
    goto llvm_cbe__ZN6Canvas4fadeERK4Rect_2e_exit;
  }

llvm_cbe_bb123_2e_i:
  llvm_cbe_tmp129_2e_i = (&llvm_cbe_row_2e_i_2e_1[((signed long long )llvm_cbe_tmp126128_2e_i)]);
  llvm_cbe_tmp131_2e_i = llvm_cbe_storemerge3_2e_i + 4294967295u;
  llvm_cbe_row_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp129_2e_i;   /* for PHI node */
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp131_2e_i;   /* for PHI node */
  goto llvm_cbe_bb132_2e_i;

  do {     /* Syntactic loop 'bb117.i' to make GCC happy */
llvm_cbe_bb117_2e_i:
  llvm_cbe_storemerge2_2e_i = llvm_cbe_storemerge2_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge2_2e_i) < ((signed int )llvm_cbe_tmp30_2e_i361))) {
    goto llvm_cbe_bb101_2e_i;
  } else {
    goto llvm_cbe_bb123_2e_i;
  }

llvm_cbe_bb101_2e_i:
  llvm_cbe_tmp108_2e_i = (&llvm_cbe_tmp102103_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge2_2e_i)))]);
  llvm_cbe_tmp109_2e_i = *llvm_cbe_tmp108_2e_i;
  *llvm_cbe_tmp108_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp109_2e_i) >> ((unsigned int )1u)))) & 8355711u);
  llvm_cbe_tmp116_2e_i = llvm_cbe_storemerge2_2e_i + 1u;
  llvm_cbe_storemerge2_2e_i__PHI_TEMPORARY = llvm_cbe_tmp116_2e_i;   /* for PHI node */
  goto llvm_cbe_bb117_2e_i;

  } while (1); /* end of syntactic loop 'bb117.i' */
llvm_cbe_bb100_2e_i:
  llvm_cbe_tmp102103_2e_i = ((unsigned int *)llvm_cbe_row_2e_i_2e_1);
  llvm_cbe_storemerge2_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb117_2e_i;

  } while (1); /* end of syntactic loop 'bb132.i' */
llvm_cbe_bb98_2e_i:
  llvm_cbe_tmp126128_2e_i = ((unsigned long long )(unsigned int )(llvm_cbe_tmp6_2e_i7_2e_i * llvm_cbe_tmp1314_2e_i));
  llvm_cbe_row_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i378;   /* for PHI node */
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp38_2e_i367;   /* for PHI node */
  goto llvm_cbe_bb132_2e_i;

llvm_cbe_bb380:
  llvm_cbe_tmp383 = *llvm_cbe_tmp67_2e_i905;
  *llvm_cbe_tmp67_2e_i905 = (llvm_cbe_tmp383 + 1u);
  llvm_cbe_tmp389 = *llvm_cbe_tmp70_2e_i908;
  *llvm_cbe_tmp70_2e_i908 = (llvm_cbe_tmp389 + 1u);
  _ZN6Window6updateERK4Rect(llvm_cbe_tmp20, (&llvm_cbe_r));
  goto llvm_cbe_bb395;

  do {     /* Syntactic loop 'bb480' to make GCC happy */
llvm_cbe_bb480:
  llvm_cbe_storemerge7 = llvm_cbe_storemerge7__PHI_TEMPORARY;
  if ((llvm_cbe_storemerge7 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb485;
  } else {
    goto llvm_cbe_bb432;
  }

llvm_cbe_bb464:
  llvm_cbe_tmp470 = *llvm_cbe_tmp397;
  llvm_cbe_tmp472 = *((&llvm_cbe_tmp470->field0));
  llvm_cbe_tmp474 = *((&llvm_cbe_tmp472[((signed long long )1ull)]));
  llvm_cbe_tmp479 = (((unsigned char * (*) (struct l_struct_2E_Os *))llvm_cbe_tmp474))(llvm_cbe_tmp470);
  llvm_cbe_storemerge7__PHI_TEMPORARY = llvm_cbe_tmp479;   /* for PHI node */
  goto llvm_cbe_bb480;

llvm_cbe_bb432:
  _ZN6Levels7addPathEPKc(llvm_cbe_tmp440, llvm_cbe_storemerge7);
  llvm_cbe_tmp447 = _ZN6Levels9findLevelEPKc(llvm_cbe_tmp440, llvm_cbe_storemerge7);
  if ((((signed int )llvm_cbe_tmp447) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb452;
  } else {
    goto llvm_cbe_bb464;
  }

llvm_cbe_bb452:
  llvm_cbe_tmp456 = *llvm_cbe_tmp82_2e_i;
  llvm_cbe_tmp458 = *((&llvm_cbe_tmp456[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_Game *, unsigned int , unsigned char ))llvm_cbe_tmp458))(llvm_cbe_this, llvm_cbe_tmp447, ((unsigned char )0));
  *llvm_cbe_tmp1_2e_i16 = ((unsigned char )1);
  *llvm_cbe_tmp3_2e_i = ((unsigned char )2);
  *llvm_cbe_tmp5_2e_i17 = ((unsigned char )12);
  llvm_cbe_tmp6_2e_i18 = SDL_GetWMInfo((&llvm_cbe_sys_2e_i));
  ltmp_24_1 = memset(llvm_cbe_ev7_2e_i, (((unsigned int )(unsigned char )((unsigned char )0))), 192ull);
  *llvm_cbe_tmp10_2e_i = 33u;
  llvm_cbe_tmp14_2e_i = *llvm_cbe_tmp13_2e_i;
  *llvm_cbe_tmp17_2e_i = llvm_cbe_tmp14_2e_i;
  llvm_cbe_tmp21_2e_i = *llvm_cbe_tmp20_2e_i;
  llvm_cbe_tmp23_2e_i19 = XInternAtom(llvm_cbe_tmp21_2e_i, ((&_2E_str5[((signed long long )0ull)])), 0u);
  *llvm_cbe_tmp26_2e_i = llvm_cbe_tmp23_2e_i19;
  *llvm_cbe_tmp29_2e_i = 32u;
  llvm_cbe_tmp33_2e_i = *llvm_cbe_tmp20_2e_i;
  llvm_cbe_tmp3334_2e_i = ((struct l_struct_2E__2E__125 *)llvm_cbe_tmp33_2e_i);
  llvm_cbe_tmp36_2e_i = *((&llvm_cbe_tmp3334_2e_i->field35));
  llvm_cbe_tmp43_2e_i = *((&llvm_cbe_tmp3334_2e_i->field33));
  llvm_cbe_tmp47_2e_i = *((&llvm_cbe_tmp36_2e_i[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp43_2e_i)))].field2));
  llvm_cbe_tmp52_2e_i = XSendEvent(llvm_cbe_tmp33_2e_i, llvm_cbe_tmp47_2e_i, 0u, 0ull, (&llvm_cbe_ev_2e_i));
  llvm_cbe_tmp56_2e_i = *llvm_cbe_tmp20_2e_i;
  llvm_cbe_tmp57_2e_i = XSync(llvm_cbe_tmp56_2e_i, 0u);
  goto llvm_cbe_bb464;

  } while (1); /* end of syntactic loop 'bb480' */
llvm_cbe_bb402:
  llvm_cbe_tmp410 = *((&llvm_cbe_tmp398->field0));
  llvm_cbe_tmp412 = *llvm_cbe_tmp410;
  (((void  (*) (struct l_struct_2E_Os *))llvm_cbe_tmp412))(llvm_cbe_tmp398);
  llvm_cbe_tmp422 = *llvm_cbe_tmp397;
  llvm_cbe_tmp424 = *((&llvm_cbe_tmp422->field0));
  llvm_cbe_tmp426 = *((&llvm_cbe_tmp424[((signed long long )1ull)]));
  llvm_cbe_tmp431 = (((unsigned char * (*) (struct l_struct_2E_Os *))llvm_cbe_tmp426))(llvm_cbe_tmp422);
  llvm_cbe_storemerge7__PHI_TEMPORARY = llvm_cbe_tmp431;   /* for PHI node */
  goto llvm_cbe_bb480;

llvm_cbe_bb496:
  llvm_cbe_tmp500 = printf(((&_2E_str37[((signed long long )0ull)])), (4294967246u - llvm_cbe_tmp488));
  goto llvm_cbe_bb501;

  } while (1); /* end of syntactic loop 'bb503' */
llvm_cbe_return:
  return;
}


static void _Z4initb(unsigned char llvm_cbe_useDummyVideo) {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp9;
  unsigned int llvm_cbe_tmp11;
  unsigned char *llvm_cbe_tmp17;
  unsigned char *llvm_cbe_tmp24;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i;
  unsigned char *llvm_cbe_tmp28;
  unsigned int llvm_cbe_tmp29;
  unsigned int llvm_cbe_tmp53;
  unsigned int *llvm_cbe_tmp55;
  unsigned int llvm_cbe_tmp56;
  unsigned int llvm_cbe_tmp62;

  if ((llvm_cbe_useDummyVideo == ((unsigned char )0))) {
    goto llvm_cbe_bb7;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6 = putenv(((&_2E_str38[((signed long long )0ull)])));
  goto llvm_cbe_bb10;

llvm_cbe_bb7:
  llvm_cbe_tmp9 = putenv(((&_2E_str39[((signed long long )0ull)])));
  goto llvm_cbe_bb10;

llvm_cbe_bb10:
  llvm_cbe_tmp11 = SDL_Init(33u);
  if ((((signed int )llvm_cbe_tmp11) < ((signed int )0u))) {
    goto llvm_cbe_bb16;
  } else {
    goto llvm_cbe_bb22;
  }

llvm_cbe_bb16:
  llvm_cbe_tmp17 = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp17)) = ((&_2E_str40[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp17, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb22:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp));
  llvm_cbe_tmp24 = getenv(((&_2E_str31[((signed long long )0ull)])));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp1), llvm_cbe_tmp24, (&llvm_cbe_tmp));
  _ZNSsC1ERKSs((&llvm_cbe_tmp2), (&llvm_cbe_tmp1));
  llvm_cbe_tmp9_2e_i = _ZNSs6appendEPKc((&llvm_cbe_tmp2), ((&_2E_str41[((signed long long )0ull)])));
  llvm_cbe_tmp28 = _ZNKSs5c_strEv((&llvm_cbe_tmp2));
  llvm_cbe_tmp29 = mkdir(llvm_cbe_tmp28, 493u);
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSsD1Ev((&llvm_cbe_tmp1));
  _ZNSaIcED1Ev((&llvm_cbe_tmp));
  if ((llvm_cbe_tmp29 == 0u)) {
    goto llvm_cbe_bb51;
  } else {
    goto llvm_cbe_bb54;
  }

llvm_cbe_bb51:
  llvm_cbe_tmp53 = puts(((&_2E_str42[((signed long long )0ull)])));
  return;
llvm_cbe_bb54:
  llvm_cbe_tmp55 = __errno_location();
  llvm_cbe_tmp56 = *llvm_cbe_tmp55;
  if ((llvm_cbe_tmp56 == 17u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb60;
  }

llvm_cbe_bb60:
  llvm_cbe_tmp62 = puts(((&_2E_str43[((signed long long )0ull)])));
  return;
llvm_cbe_return:
  return;
}


static void _ZN7Overlay6onShowEv(struct l_struct_2E_Os *llvm_cbe_this) {
  return;
}


static void _ZN7Overlay6onHideEv(struct l_struct_2E_Os *llvm_cbe_this) {
  return;
}


static void _ZN7Overlay6onTickEi(struct l_struct_2E_Os *llvm_cbe_this, unsigned int llvm_cbe_tick) {
  return;
}


static void _ZN7OverlayD1Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV7Overlay[((signed long long )2ull)]));
  return;
}


static void _ZN7OverlayD0Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV7Overlay[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static unsigned char _ZN11OverlayBase7isDirtyEv(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  unsigned char llvm_cbe_tmp3;

  llvm_cbe_tmp3 = *((&llvm_cbe_this->field9));
  return llvm_cbe_tmp3;
}


static void _ZN11OverlayBase6onHideEv(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  return;
}


static void _ZN11OverlayBase6onTickEi(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_tick) {
  return;
}


static void _ZN11OverlayBase6onShowEv(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  *((&llvm_cbe_this->field9)) = ((unsigned char )1);
  return;
}


static unsigned char _ZN11OverlayBase9onHotSpotEi(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_id) {
  return ((unsigned char )0);
}


static void _ZN9UiOverlay6onTickEi(struct l_struct_2E_UiOverlay *llvm_cbe_this, unsigned int llvm_cbe_tick) {
  unsigned int *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned int *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp9;
  unsigned int *llvm_cbe_tmp12;
  unsigned int llvm_cbe_tmp13;
  unsigned int llvm_cbe_tmp17;
  unsigned int llvm_cbe_tmp5_2e_i12;
  unsigned int llvm_cbe_tmp14_2e_i;
  struct l_struct_2E_GameControl *llvm_cbe_tmp49;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  if ((((signed int )llvm_cbe_tmp3) > ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp8 = (&llvm_cbe_this->field0.field3);
  llvm_cbe_tmp9 = *llvm_cbe_tmp8;
  llvm_cbe_tmp12 = (&llvm_cbe_this->field0.field2);
  llvm_cbe_tmp13 = *llvm_cbe_tmp12;
  llvm_cbe_tmp17 = llvm_cbe_tmp3 + 4294967295u;
  llvm_cbe_tmp5_2e_i12 = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp14_2e_i = *((&llvm_cbe_this->field4.field1));
  *llvm_cbe_tmp12 = (((signed int )(((signed int )((llvm_cbe_tmp13 * llvm_cbe_tmp17) + llvm_cbe_tmp5_2e_i12)) / ((signed int )llvm_cbe_tmp3))));
  *llvm_cbe_tmp8 = (((signed int )(((signed int )((llvm_cbe_tmp9 * llvm_cbe_tmp17) + llvm_cbe_tmp14_2e_i)) / ((signed int )llvm_cbe_tmp3))));
  *llvm_cbe_tmp2 = llvm_cbe_tmp17;
  llvm_cbe_tmp49 = *((&llvm_cbe_this->field0.field1));
  *((&llvm_cbe_tmp49->field3)) = ((unsigned char )1);
  return;
llvm_cbe_return:
  return;
}


static void _ZN11MenuOverlay7doPauseEv(struct l_struct_2E_MenuOverlay *llvm_cbe_this) {
  struct l_struct_2E_GameControl *llvm_cbe_tmp9;
  unsigned int  (**llvm_cbe_tmp11) ();
  unsigned int  (*llvm_cbe_tmp13) ();
  unsigned int llvm_cbe_tmp20;

  llvm_cbe_tmp9 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp11 = *((&llvm_cbe_tmp9->field0));
  llvm_cbe_tmp13 = *((&llvm_cbe_tmp11[((signed long long )5ull)]));
  llvm_cbe_tmp20 = *((&llvm_cbe_tmp9->field10));
  (((void  (*) (struct l_struct_2E_GameControl *, unsigned int , unsigned char ))llvm_cbe_tmp13))(llvm_cbe_tmp9, (llvm_cbe_tmp20 + 1u), ((unsigned char )0));
  return;
}


static void _ZN11MenuOverlay6onShowEv(struct l_struct_2E_MenuOverlay *llvm_cbe_this) {
  unsigned int llvm_cbe_tmp8_2e_i;

  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field0.field0.field2));
  if ((llvm_cbe_tmp8_2e_i == 200u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  *((&llvm_cbe_this->field0.field3)) = 10u;
  *((&llvm_cbe_this->field0.field4.field0)) = 200u;
  *((&llvm_cbe_this->field0.field4.field1)) = 200u;
  return;
llvm_cbe_return:
  return;
}


static void _ZN16NextLevelOverlay6onShowEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  struct l_struct_2E_GameControl **llvm_cbe_tmp6;
  struct l_struct_2E_GameControl *llvm_cbe_tmp7;
  struct l_struct_2E_GameControl *llvm_cbe_tmp13;
  struct l_struct_2E_GameControl *llvm_cbe_tmp19;
  unsigned int llvm_cbe_tmp21;

  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  llvm_cbe_tmp6 = (&llvm_cbe_this->field0.field0.field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  *((&llvm_cbe_tmp7->field3)) = ((unsigned char )1);
  llvm_cbe_tmp13 = *llvm_cbe_tmp6;
  *((&llvm_cbe_tmp13->field4)) = ((unsigned char )1);
  llvm_cbe_tmp19 = *llvm_cbe_tmp6;
  llvm_cbe_tmp21 = *((&llvm_cbe_tmp19->field10));
  *((&llvm_cbe_this->field1)) = (llvm_cbe_tmp21 + 1u);
  return;
}


static void _ZN16NextLevelOverlay6onHideEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  struct l_struct_2E_GameControl **llvm_cbe_tmp6;
  struct l_struct_2E_GameControl *llvm_cbe_tmp7;
  struct l_struct_2E_GameControl *llvm_cbe_tmp13;

  llvm_cbe_tmp6 = (&llvm_cbe_this->field0.field0.field1);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  *((&llvm_cbe_tmp7->field3)) = ((unsigned char )1);
  llvm_cbe_tmp13 = *llvm_cbe_tmp6;
  *((&llvm_cbe_tmp13->field4)) = ((unsigned char )0);
  return;
}


static void _ZN16NextLevelOverlay11doPrevLevelEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  if ((((signed int )llvm_cbe_tmp2) > ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  *llvm_cbe_tmp1 = (llvm_cbe_tmp2 + 4294967295u);
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  return;
llvm_cbe_return:
  return;
}


static void _ZN16NextLevelOverlay11doNextLevelEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  *llvm_cbe_tmp1 = (llvm_cbe_tmp2 + 1u);
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  return;
}


static void _ZN16NextLevelOverlay14doActionReplayEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  struct l_struct_2E_GameControl *llvm_cbe_tmp9;
  unsigned int  (**llvm_cbe_tmp11) ();
  unsigned int  (*llvm_cbe_tmp13) ();
  unsigned int llvm_cbe_tmp20;

  llvm_cbe_tmp9 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp11 = *((&llvm_cbe_tmp9->field0));
  llvm_cbe_tmp13 = *((&llvm_cbe_tmp11[((signed long long )5ull)]));
  llvm_cbe_tmp20 = *((&llvm_cbe_tmp9->field10));
  (((void  (*) (struct l_struct_2E_GameControl *, unsigned int , unsigned char ))llvm_cbe_tmp13))(llvm_cbe_tmp9, llvm_cbe_tmp20, ((unsigned char )1));
  return;
}


static void _ZN16NextLevelOverlay10doContinueEv(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  struct l_struct_2E_GameControl *llvm_cbe_tmp9;
  unsigned int  (**llvm_cbe_tmp11) ();
  unsigned int  (*llvm_cbe_tmp13) ();
  unsigned int llvm_cbe_tmp16;

  llvm_cbe_tmp9 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp11 = *((&llvm_cbe_tmp9->field0));
  llvm_cbe_tmp13 = *((&llvm_cbe_tmp11[((signed long long )5ull)]));
  llvm_cbe_tmp16 = *((&llvm_cbe_this->field1));
  (((void  (*) (struct l_struct_2E_GameControl *, unsigned int , unsigned char ))llvm_cbe_tmp13))(llvm_cbe_tmp9, llvm_cbe_tmp16, ((unsigned char )0));
  return;
}


static struct l_struct_2E_Rect _ZN11EditOverlay3posEi(unsigned int llvm_cbe_i) {
  struct l_struct_2E_Rect StructReturn;  /* Struct return temporary */
  struct l_struct_2E_Rect *llvm_cbe_agg_2e_result = &StructReturn;
  unsigned int llvm_cbe_tmp10;
  unsigned int llvm_cbe_tmp13;

  llvm_cbe_tmp10 = (((signed int )(((signed int )llvm_cbe_i) / ((signed int )3u)))) * 28u;
  llvm_cbe_tmp13 = (((signed int )(((signed int )llvm_cbe_i) % ((signed int )3u)))) * 28u;
  *((&llvm_cbe_agg_2e_result->field0.field0)) = (llvm_cbe_tmp13 + 13u);
  *((&llvm_cbe_agg_2e_result->field0.field1)) = (llvm_cbe_tmp10 + 33u);
  *((&llvm_cbe_agg_2e_result->field1.field0)) = (llvm_cbe_tmp13 + 33u);
  *((&llvm_cbe_agg_2e_result->field1.field1)) = (llvm_cbe_tmp10 + 53u);
  return StructReturn;
}


static unsigned char _ZN11EditOverlay9onHotSpotEi(struct l_struct_2E_EditOverlay *llvm_cbe_this, unsigned int llvm_cbe_i) {
  struct l_struct_2E_GameControl *llvm_cbe_tmp6;
  unsigned char *llvm_cbe_tmp12;
  unsigned char llvm_cbe_tmp13;
  struct l_struct_2E_GameControl *llvm_cbe_tmp21;
  unsigned char *llvm_cbe_tmp27;
  unsigned char llvm_cbe_tmp28;
  struct l_struct_2E_GameControl *llvm_cbe_tmp37;
  unsigned char *llvm_cbe_tmp43;
  unsigned char llvm_cbe_tmp44;
  struct l_struct_2E_GameControl *llvm_cbe_tmp58;
  unsigned int  (**llvm_cbe_tmp60) ();
  unsigned int  (*llvm_cbe_tmp62) ();
  unsigned char llvm_cbe_tmp69;
  struct l_struct_2E_GameControl *llvm_cbe_tmp86;
  unsigned int  (**llvm_cbe_tmp88) ();
  unsigned int  (*llvm_cbe_tmp90) ();
  unsigned char llvm_cbe_tmp97;
  struct l_struct_2E_GameControl *llvm_cbe_tmp115;

  switch (llvm_cbe_i) {
  default:
    goto llvm_cbe_bb104;
;
  case 12u:
    goto llvm_cbe_bb;
    break;
  case 13u:
    goto llvm_cbe_bb16;
  case 14u:
    goto llvm_cbe_bb32;
  case 16u:
    goto llvm_cbe_bb48;
  case 17u:
    goto llvm_cbe_bb76;
  }
llvm_cbe_bb:
  llvm_cbe_tmp6 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp12 = (&llvm_cbe_tmp6->field6);
  llvm_cbe_tmp13 = *llvm_cbe_tmp12;
  *llvm_cbe_tmp12 = (((unsigned char )(bool )(llvm_cbe_tmp13 == ((unsigned char )0))));
  goto llvm_cbe_bb119;

llvm_cbe_bb16:
  llvm_cbe_tmp21 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp27 = (&llvm_cbe_tmp21->field7);
  llvm_cbe_tmp28 = *llvm_cbe_tmp27;
  *llvm_cbe_tmp27 = (((unsigned char )(bool )(llvm_cbe_tmp28 == ((unsigned char )0))));
  goto llvm_cbe_bb119;

llvm_cbe_bb32:
  llvm_cbe_tmp37 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp43 = (&llvm_cbe_tmp37->field8);
  llvm_cbe_tmp44 = *llvm_cbe_tmp43;
  *llvm_cbe_tmp43 = (((unsigned char )(bool )(llvm_cbe_tmp44 == ((unsigned char )0))));
  goto llvm_cbe_bb119;

llvm_cbe_bb48:
  llvm_cbe_tmp58 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp60 = *((&llvm_cbe_tmp58->field0));
  llvm_cbe_tmp62 = *((&llvm_cbe_tmp60[((signed long long )3ull)]));
  llvm_cbe_tmp69 = (((unsigned char  (*) (struct l_struct_2E_GameControl *))llvm_cbe_tmp62))(llvm_cbe_tmp58);
  if ((llvm_cbe_tmp69 == ((unsigned char )0))) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb72;
  }

llvm_cbe_bb72:
  *((&llvm_cbe_this->field2)) = 10u;
  goto llvm_cbe_bb119;

llvm_cbe_bb76:
  llvm_cbe_tmp86 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp88 = *((&llvm_cbe_tmp86->field0));
  llvm_cbe_tmp90 = *((&llvm_cbe_tmp88[((signed long long )2ull)]));
  llvm_cbe_tmp97 = (((unsigned char  (*) (struct l_struct_2E_GameControl *, unsigned char *))llvm_cbe_tmp90))(llvm_cbe_tmp86, ((unsigned char *)/*NULL*/0));
  if ((llvm_cbe_tmp97 == ((unsigned char )0))) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb100;
  }

llvm_cbe_bb100:
  *((&llvm_cbe_this->field1)) = 10u;
  goto llvm_cbe_bb119;

llvm_cbe_bb104:
  if ((((signed int )llvm_cbe_i) < ((signed int )12u))) {
    goto llvm_cbe_bb110;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb110:
  llvm_cbe_tmp115 = *((&llvm_cbe_this->field0.field0.field1));
  *((&llvm_cbe_tmp115->field5)) = llvm_cbe_i;
  goto llvm_cbe_bb119;

llvm_cbe_bb119:
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  return ((unsigned char )1);
llvm_cbe_return:
  return ((unsigned char )0);
}


static unsigned char _ZN11OverlayBase7onClickEii(struct l_struct_2E_OverlayBase *llvm_cbe_this, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y) {
  unsigned int llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot **llvm_cbe_tmp2_2e_i_2e_i17;
  unsigned int  (***llvm_cbe_tmp53) ();
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp3_2e_i_2e_i18;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i20;
  unsigned int llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_tmp27_2e_i;
  unsigned int llvm_cbe_tmp38_2e_i;
  void  (*llvm_cbe_tmp21) (unsigned char *, unsigned long long , unsigned long long );
  unsigned char *llvm_cbe_tmp42;
  struct l_struct_2E_anon *llvm_cbe_tmp43;
  unsigned long long llvm_cbe_tmp47;
  unsigned long long llvm_cbe_tmp49;
  unsigned int  (**llvm_cbe_tmp54) ();
  unsigned int  (*llvm_cbe_tmp56) ();
  unsigned int llvm_cbe_tmp62;
  unsigned char llvm_cbe_tmp65;
  unsigned int llvm_cbe_storemerge_2e_in;
  unsigned int llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned char llvm_cbe_tmp_2e_0;
  unsigned char llvm_cbe_tmp_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field13.field1));
  llvm_cbe_tmp2_2e_i_2e_i17 = (&llvm_cbe_this->field13.field0);
  llvm_cbe_tmp53 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i;   /* for PHI node */
  goto llvm_cbe_bb72;

llvm_cbe_bb26:
  llvm_cbe_tmp42 = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field2));
  llvm_cbe_tmp43 = (&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field3);
  llvm_cbe_tmp47 = *(((unsigned long long *)llvm_cbe_tmp43));
  llvm_cbe_tmp49 = *((&(((struct l_unnamed5 *)llvm_cbe_tmp43))->field0[((signed int )1u)]));
  llvm_cbe_tmp21(llvm_cbe_tmp42, llvm_cbe_tmp47, llvm_cbe_tmp49);
  return ((unsigned char )1);
  do {     /* Syntactic loop 'bb72' to make GCC happy */
llvm_cbe_bb72:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge_2e_in + 4294967295u;
  if ((((signed int )llvm_cbe_storemerge) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i18 = *llvm_cbe_tmp2_2e_i_2e_i17;
  llvm_cbe_tmp45_2e_i_2e_i20 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field0.field0.field0));
  if ((((signed int )llvm_cbe_tmp7_2e_i) > ((signed int )llvm_cbe_x))) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb72;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp16_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field0.field1.field0));
  if ((((signed int )llvm_cbe_tmp16_2e_i) < ((signed int )llvm_cbe_x))) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb72;
  } else {
    goto llvm_cbe_bb20_2e_i;
  }

llvm_cbe_bb20_2e_i:
  llvm_cbe_tmp27_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field0.field0.field1));
  if ((((signed int )llvm_cbe_tmp27_2e_i) > ((signed int )llvm_cbe_y))) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb72;
  } else {
    goto llvm_cbe_bb31_2e_i;
  }

llvm_cbe_bb31_2e_i:
  llvm_cbe_tmp38_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field0.field1.field1));
  if ((((signed int )llvm_cbe_tmp38_2e_i) < ((signed int )llvm_cbe_y))) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb72;
  } else {
    goto llvm_cbe_bb15;
  }

llvm_cbe_bb50:
  llvm_cbe_tmp54 = *llvm_cbe_tmp53;
  llvm_cbe_tmp56 = *((&llvm_cbe_tmp54[((signed long long )10ull)]));
  llvm_cbe_tmp62 = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field1));
  llvm_cbe_tmp65 = (((unsigned char  (*) (struct l_struct_2E_OverlayBase *, unsigned int ))llvm_cbe_tmp56))(llvm_cbe_this, llvm_cbe_tmp62);
  if ((llvm_cbe_tmp65 == ((unsigned char )0))) {
    llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
    goto llvm_cbe_bb72;
  } else {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb15:
  llvm_cbe_tmp21 = *((&llvm_cbe_tmp3_2e_i_2e_i18[((signed long long )llvm_cbe_tmp45_2e_i_2e_i20)].field4));
  if ((llvm_cbe_tmp21 == ((void  (*) (unsigned char *, unsigned long long , unsigned long long ))/*NULL*/0))) {
    goto llvm_cbe_bb50;
  } else {
    goto llvm_cbe_bb26;
  }

  } while (1); /* end of syntactic loop 'bb72' */
llvm_cbe_return:
  llvm_cbe_tmp_2e_0 = llvm_cbe_tmp_2e_0__PHI_TEMPORARY;
  return llvm_cbe_tmp_2e_0;
}


static void _ZZN11OverlayBase10addHotSpotI16NextLevelOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE(unsigned char *llvm_cbe_o, unsigned long long llvm_cbe_f_2e_0_2e_0, unsigned long long llvm_cbe_f_2e_0_2e_1) {
  struct l_struct_2E_anon llvm_cbe_f_addr;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_f_2e_185;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_f_2e_183;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_f_2e_182;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_f_2e_181;    /* Address-exposed local */
  struct l_unnamed4 llvm_cbe_f_2e_179;    /* Address-exposed local */
  void  (*llvm_cbe_tmp7) (struct l_struct_2E_Os *);
  unsigned long long llvm_cbe_tmp10;
  void  (*llvm_cbe_tmp12) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp26;
  unsigned int  (**llvm_cbe_tmp31) ();
  void  (*llvm_cbe_tmp40) (struct l_struct_2E_NextLevelOverlay *);
  void  (**llvm_cbe_tmp444546) (struct l_struct_2E_NextLevelOverlay *);
  void  (**llvm_cbe_tmp56) (struct l_struct_2E_NextLevelOverlay *);
  void  (**llvm_cbe_storemerge_2e_in) (struct l_struct_2E_NextLevelOverlay *);
  void  (**llvm_cbe_storemerge_2e_in__PHI_TEMPORARY) (struct l_struct_2E_NextLevelOverlay *);
  void  (*llvm_cbe_storemerge) (struct l_struct_2E_NextLevelOverlay *);
  unsigned long long llvm_cbe_tmp69;

  *(((unsigned long long *)(&llvm_cbe_f_addr))) = llvm_cbe_f_2e_0_2e_0;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_f_addr)))->field0[((signed int )1u)])) = llvm_cbe_f_2e_0_2e_1;
  llvm_cbe_tmp7 = *((&llvm_cbe_f_addr.field0));
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_179))) = llvm_cbe_tmp7;
  llvm_cbe_tmp10 = *((&llvm_cbe_f_addr.field1));
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_179)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp12 = *((&llvm_cbe_f_2e_179.field0));
  if ((((((unsigned long long )(unsigned long)llvm_cbe_tmp12)) & 1ull) == 0ull)) {
    goto llvm_cbe_bb48;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_181))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_181)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp26 = *((&llvm_cbe_f_2e_181.field1));
  llvm_cbe_tmp31 = *(((unsigned int  (***) ())((&llvm_cbe_o[((signed long long )llvm_cbe_tmp26)]))));
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_182))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_182)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp40 = *((&llvm_cbe_f_2e_182.field0));
  llvm_cbe_tmp444546 = ((void  (**) (struct l_struct_2E_NextLevelOverlay *))((&(((unsigned char *)llvm_cbe_tmp31))[((signed long long )(((unsigned long long )(unsigned long)((&(((unsigned char *)llvm_cbe_tmp40))[((signed long long )18446744073709551615ull)])))))])));
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp444546;   /* for PHI node */
  goto llvm_cbe_bb58;

llvm_cbe_bb48:
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_183))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_183)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp56 = (&llvm_cbe_f_2e_183.field0);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp56;   /* for PHI node */
  goto llvm_cbe_bb58;

llvm_cbe_bb58:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = *llvm_cbe_storemerge_2e_in;
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_185))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_185)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp69 = *((&llvm_cbe_f_2e_185.field1));
  llvm_cbe_storemerge((((struct l_struct_2E_NextLevelOverlay *)((&llvm_cbe_o[((signed long long )llvm_cbe_tmp69)])))));
  return;
}


static void _ZZN11OverlayBase10addHotSpotI11MenuOverlayEEvRK4RectMT_FvvEEN6Caller4callEPvM7OverlayFvvE(unsigned char *llvm_cbe_o, unsigned long long llvm_cbe_f_2e_0_2e_0, unsigned long long llvm_cbe_f_2e_0_2e_1) {
  struct l_struct_2E_anon llvm_cbe_f_addr;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_f_2e_193;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_f_2e_191;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_f_2e_190;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_f_2e_189;    /* Address-exposed local */
  struct l_unnamed3 llvm_cbe_f_2e_187;    /* Address-exposed local */
  void  (*llvm_cbe_tmp7) (struct l_struct_2E_Os *);
  unsigned long long llvm_cbe_tmp10;
  void  (*llvm_cbe_tmp12) (struct l_struct_2E_MenuOverlay *);
  unsigned long long llvm_cbe_tmp26;
  unsigned int  (**llvm_cbe_tmp31) ();
  void  (*llvm_cbe_tmp40) (struct l_struct_2E_MenuOverlay *);
  void  (**llvm_cbe_tmp444546) (struct l_struct_2E_MenuOverlay *);
  void  (**llvm_cbe_tmp56) (struct l_struct_2E_MenuOverlay *);
  void  (**llvm_cbe_storemerge_2e_in) (struct l_struct_2E_MenuOverlay *);
  void  (**llvm_cbe_storemerge_2e_in__PHI_TEMPORARY) (struct l_struct_2E_MenuOverlay *);
  void  (*llvm_cbe_storemerge) (struct l_struct_2E_MenuOverlay *);
  unsigned long long llvm_cbe_tmp69;

  *(((unsigned long long *)(&llvm_cbe_f_addr))) = llvm_cbe_f_2e_0_2e_0;
  *((&(((struct l_unnamed5 *)(&llvm_cbe_f_addr)))->field0[((signed int )1u)])) = llvm_cbe_f_2e_0_2e_1;
  llvm_cbe_tmp7 = *((&llvm_cbe_f_addr.field0));
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_187))) = llvm_cbe_tmp7;
  llvm_cbe_tmp10 = *((&llvm_cbe_f_addr.field1));
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_187)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp12 = *((&llvm_cbe_f_2e_187.field0));
  if ((((((unsigned long long )(unsigned long)llvm_cbe_tmp12)) & 1ull) == 0ull)) {
    goto llvm_cbe_bb48;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_189))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_189)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp26 = *((&llvm_cbe_f_2e_189.field1));
  llvm_cbe_tmp31 = *(((unsigned int  (***) ())((&llvm_cbe_o[((signed long long )llvm_cbe_tmp26)]))));
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_190))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_190)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp40 = *((&llvm_cbe_f_2e_190.field0));
  llvm_cbe_tmp444546 = ((void  (**) (struct l_struct_2E_MenuOverlay *))((&(((unsigned char *)llvm_cbe_tmp31))[((signed long long )(((unsigned long long )(unsigned long)((&(((unsigned char *)llvm_cbe_tmp40))[((signed long long )18446744073709551615ull)])))))])));
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp444546;   /* for PHI node */
  goto llvm_cbe_bb58;

llvm_cbe_bb48:
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_191))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_191)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp56 = (&llvm_cbe_f_2e_191.field0);
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp56;   /* for PHI node */
  goto llvm_cbe_bb58;

llvm_cbe_bb58:
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = *llvm_cbe_storemerge_2e_in;
  *(((void  (**) (struct l_struct_2E_Os *))(&llvm_cbe_f_2e_193))) = llvm_cbe_tmp7;
  *((&(((struct l_struct_2E_anon *)(&llvm_cbe_f_2e_193)))->field1)) = llvm_cbe_tmp10;
  llvm_cbe_tmp69 = *((&llvm_cbe_f_2e_193.field1));
  llvm_cbe_storemerge((((struct l_struct_2E_MenuOverlay *)((&llvm_cbe_o[((signed long long )llvm_cbe_tmp69)])))));
  return;
}


static unsigned char _ZN11OverlayBase11handleEventER9SDL_Event(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_SDL_Event *llvm_cbe_ev) {
  unsigned char llvm_cbe_tmp4;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp78;
  unsigned char llvm_cbe_tmp10;
  unsigned short *llvm_cbe_tmp17;
  unsigned short llvm_cbe_tmp18;
  unsigned int llvm_cbe_tmp1819;
  unsigned int llvm_cbe_tmp22;
  struct l_struct_2E_Canvas *llvm_cbe_tmp39;
  unsigned char *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i;
  unsigned short *llvm_cbe_tmp49;
  unsigned short llvm_cbe_tmp50;
  unsigned int llvm_cbe_tmp5051;
  unsigned int llvm_cbe_tmp54;
  unsigned int llvm_cbe_tmp6_2e_i7;
  unsigned short llvm_cbe_tmp95;
  unsigned short llvm_cbe_tmp103;
  unsigned short llvm_cbe_tmp111;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp120121;
  unsigned char llvm_cbe_tmp123;
  unsigned char *llvm_cbe_tmp129;
  unsigned char llvm_cbe_tmp130;
  unsigned short llvm_cbe_tmp140;
  unsigned int llvm_cbe_tmp144;
  unsigned short llvm_cbe_tmp168;
  unsigned int llvm_cbe_tmp172;
  unsigned int  (**llvm_cbe_tmp195) ();
  unsigned int  (*llvm_cbe_tmp197) ();
  unsigned int llvm_cbe_tmp203;
  unsigned int llvm_cbe_tmp210;
  unsigned char llvm_cbe_tmp214;
  unsigned char *llvm_cbe_tmp221;
  unsigned char llvm_cbe_tmp222;
  unsigned char llvm_cbe_tmp229;
  unsigned char llvm_cbe_tmp234;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp238239;
  unsigned short llvm_cbe_tmp241;
  unsigned int llvm_cbe_tmp245;
  unsigned int llvm_cbe_tmp246;
  unsigned short llvm_cbe_tmp255;
  unsigned int llvm_cbe_tmp259;
  unsigned int llvm_cbe_tmp260;
  unsigned int *llvm_cbe_tmp276;
  unsigned int llvm_cbe_tmp277;
  struct l_struct_2E_SDL_MouseButtonEvent *llvm_cbe_tmp279280;
  unsigned short *llvm_cbe_tmp281;
  unsigned short llvm_cbe_tmp282;
  unsigned int *llvm_cbe_tmp285;
  unsigned int llvm_cbe_tmp286;
  unsigned int *llvm_cbe_tmp292;
  unsigned int llvm_cbe_tmp293;
  unsigned short *llvm_cbe_tmp297;
  unsigned short llvm_cbe_tmp298;
  unsigned int *llvm_cbe_tmp301;
  unsigned int llvm_cbe_tmp302;
  unsigned short llvm_cbe_tmp311;
  unsigned short llvm_cbe_tmp319;
  struct l_struct_2E_GameControl *llvm_cbe_tmp325;

  llvm_cbe_tmp4 = *((&llvm_cbe_ev->field0.field0));
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp4))) {
  default:
    goto llvm_cbe_return;
;
  case 4u:
    goto llvm_cbe_bb219;
  case 5u:
    goto llvm_cbe_bb;
    break;
  case 6u:
    goto llvm_cbe_bb118;
  }
llvm_cbe_bb:
  llvm_cbe_tmp78 = ((struct l_struct_2E_SDL_MouseButtonEvent *)llvm_cbe_ev);
  llvm_cbe_tmp10 = *((&llvm_cbe_tmp78->field2));
  if ((llvm_cbe_tmp10 == ((unsigned char )1))) {
    goto llvm_cbe_bb13;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb13:
  llvm_cbe_tmp17 = (&llvm_cbe_tmp78->field4);
  llvm_cbe_tmp18 = *llvm_cbe_tmp17;
  llvm_cbe_tmp1819 = ((unsigned int )(unsigned short )llvm_cbe_tmp18);
  llvm_cbe_tmp22 = *((&llvm_cbe_this->field2));
  if ((((signed int )llvm_cbe_tmp1819) < ((signed int )llvm_cbe_tmp22))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb27;
  }

llvm_cbe_bb27:
  llvm_cbe_tmp39 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp39->field1));
  llvm_cbe_tmp34_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp34_2e_i->field2));
  if ((((signed int )llvm_cbe_tmp1819) > ((signed int )(llvm_cbe_tmp22 + llvm_cbe_tmp6_2e_i)))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb45;
  }

llvm_cbe_bb45:
  llvm_cbe_tmp49 = (&llvm_cbe_tmp78->field5);
  llvm_cbe_tmp50 = *llvm_cbe_tmp49;
  llvm_cbe_tmp5051 = ((unsigned int )(unsigned short )llvm_cbe_tmp50);
  llvm_cbe_tmp54 = *((&llvm_cbe_this->field3));
  if ((((signed int )llvm_cbe_tmp5051) < ((signed int )llvm_cbe_tmp54))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb58;
  }

llvm_cbe_bb58:
  llvm_cbe_tmp6_2e_i7 = *((&llvm_cbe_tmp34_2e_i->field3));
  if ((((signed int )llvm_cbe_tmp5051) > ((signed int )(llvm_cbe_tmp54 + llvm_cbe_tmp6_2e_i7)))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb82;
  }

llvm_cbe_bb82:
  *((&llvm_cbe_this->field5)) = llvm_cbe_tmp1819;
  llvm_cbe_tmp95 = *llvm_cbe_tmp49;
  *((&llvm_cbe_this->field6)) = (((unsigned int )(unsigned short )llvm_cbe_tmp95));
  llvm_cbe_tmp103 = *llvm_cbe_tmp17;
  *((&llvm_cbe_this->field7)) = (((unsigned int )(unsigned short )llvm_cbe_tmp103));
  llvm_cbe_tmp111 = *llvm_cbe_tmp49;
  *((&llvm_cbe_this->field8)) = (((unsigned int )(unsigned short )llvm_cbe_tmp111));
  *((&llvm_cbe_this->field12)) = ((unsigned char )1);
  return ((unsigned char )1);
llvm_cbe_bb118:
  llvm_cbe_tmp120121 = ((struct l_struct_2E_SDL_MouseButtonEvent *)llvm_cbe_ev);
  llvm_cbe_tmp123 = *((&llvm_cbe_tmp120121->field2));
  if ((llvm_cbe_tmp123 == ((unsigned char )1))) {
    goto llvm_cbe_bb127;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb127:
  llvm_cbe_tmp129 = (&llvm_cbe_this->field10);
  llvm_cbe_tmp130 = *llvm_cbe_tmp129;
  if ((llvm_cbe_tmp130 == ((unsigned char )0))) {
    goto llvm_cbe_bb135;
  } else {
    goto llvm_cbe_bb132;
  }

llvm_cbe_bb132:
  *llvm_cbe_tmp129 = ((unsigned char )0);
  goto llvm_cbe_bb215;

llvm_cbe_bb135:
  llvm_cbe_tmp140 = *((&llvm_cbe_tmp120121->field4));
  llvm_cbe_tmp144 = *((&llvm_cbe_this->field5));
  if ((((unsigned int )(((((unsigned int )(unsigned short )llvm_cbe_tmp140)) - llvm_cbe_tmp144) + 3u)) < ((unsigned int )7u))) {
    goto llvm_cbe_bb163;
  } else {
    goto llvm_cbe_bb215;
  }

llvm_cbe_bb163:
  llvm_cbe_tmp168 = *((&llvm_cbe_tmp120121->field5));
  llvm_cbe_tmp172 = *((&llvm_cbe_this->field6));
  if ((((unsigned int )(((((unsigned int )(unsigned short )llvm_cbe_tmp168)) - llvm_cbe_tmp172) + 3u)) < ((unsigned int )7u))) {
    goto llvm_cbe_bb191;
  } else {
    goto llvm_cbe_bb215;
  }

llvm_cbe_bb191:
  llvm_cbe_tmp195 = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp197 = *((&llvm_cbe_tmp195[((signed long long )9ull)]));
  llvm_cbe_tmp203 = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp210 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp214 = (((unsigned char  (*) (struct l_struct_2E_OverlayBase *, unsigned int , unsigned int ))llvm_cbe_tmp197))(llvm_cbe_this, (llvm_cbe_tmp144 - llvm_cbe_tmp210), (llvm_cbe_tmp172 - llvm_cbe_tmp203));
  goto llvm_cbe_bb215;

llvm_cbe_bb215:
  *((&llvm_cbe_this->field12)) = ((unsigned char )0);
  return ((unsigned char )0);
llvm_cbe_bb219:
  llvm_cbe_tmp221 = (&llvm_cbe_this->field10);
  llvm_cbe_tmp222 = *llvm_cbe_tmp221;
  if ((llvm_cbe_tmp222 == ((unsigned char )0))) {
    goto llvm_cbe_bb226;
  } else {
    goto llvm_cbe_bb274;
  }

llvm_cbe_bb226:
  llvm_cbe_tmp229 = *((&llvm_cbe_this->field12));
  if ((llvm_cbe_tmp229 == ((unsigned char )0))) {
    goto llvm_cbe_bb269;
  } else {
    goto llvm_cbe_bb231;
  }

llvm_cbe_bb231:
  llvm_cbe_tmp234 = *((&llvm_cbe_this->field11));
  if ((llvm_cbe_tmp234 == ((unsigned char )0))) {
    goto llvm_cbe_bb269;
  } else {
    goto llvm_cbe_bb236;
  }

llvm_cbe_bb236:
  llvm_cbe_tmp238239 = ((struct l_struct_2E_SDL_MouseButtonEvent *)llvm_cbe_ev);
  llvm_cbe_tmp241 = *((&llvm_cbe_tmp238239->field4));
  llvm_cbe_tmp245 = *((&llvm_cbe_this->field5));
  llvm_cbe_tmp246 = (((unsigned int )(unsigned short )llvm_cbe_tmp241)) - llvm_cbe_tmp245;
  if ((((signed int )((((((signed int )llvm_cbe_tmp246) > ((signed int )4294967295u))) ? (llvm_cbe_tmp246) : ((-(llvm_cbe_tmp246)))))) > ((signed int )3u))) {
    goto llvm_cbe_bb266;
  } else {
    goto llvm_cbe_bb250;
  }

llvm_cbe_bb250:
  llvm_cbe_tmp255 = *((&llvm_cbe_tmp238239->field5));
  llvm_cbe_tmp259 = *((&llvm_cbe_this->field6));
  llvm_cbe_tmp260 = (((unsigned int )(unsigned short )llvm_cbe_tmp255)) - llvm_cbe_tmp259;
  if ((((signed int )((((((signed int )llvm_cbe_tmp260) > ((signed int )4294967295u))) ? (llvm_cbe_tmp260) : ((-(llvm_cbe_tmp260)))))) > ((signed int )3u))) {
    goto llvm_cbe_bb266;
  } else {
    goto llvm_cbe_bb269;
  }

llvm_cbe_bb266:
  *llvm_cbe_tmp221 = ((unsigned char )1);
  goto llvm_cbe_bb274;

llvm_cbe_bb269:
  if ((llvm_cbe_tmp222 == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb274;
  }

llvm_cbe_bb274:
  llvm_cbe_tmp276 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp277 = *llvm_cbe_tmp276;
  llvm_cbe_tmp279280 = ((struct l_struct_2E_SDL_MouseButtonEvent *)llvm_cbe_ev);
  llvm_cbe_tmp281 = (&llvm_cbe_tmp279280->field4);
  llvm_cbe_tmp282 = *llvm_cbe_tmp281;
  llvm_cbe_tmp285 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp286 = *llvm_cbe_tmp285;
  *llvm_cbe_tmp276 = (llvm_cbe_tmp277 + ((((unsigned int )(unsigned short )llvm_cbe_tmp282)) - llvm_cbe_tmp286));
  llvm_cbe_tmp292 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp293 = *llvm_cbe_tmp292;
  llvm_cbe_tmp297 = (&llvm_cbe_tmp279280->field5);
  llvm_cbe_tmp298 = *llvm_cbe_tmp297;
  llvm_cbe_tmp301 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp302 = *llvm_cbe_tmp301;
  *llvm_cbe_tmp292 = (llvm_cbe_tmp293 + ((((unsigned int )(unsigned short )llvm_cbe_tmp298)) - llvm_cbe_tmp302));
  llvm_cbe_tmp311 = *llvm_cbe_tmp281;
  *llvm_cbe_tmp285 = (((unsigned int )(unsigned short )llvm_cbe_tmp311));
  llvm_cbe_tmp319 = *llvm_cbe_tmp297;
  *llvm_cbe_tmp301 = (((unsigned int )(unsigned short )llvm_cbe_tmp319));
  llvm_cbe_tmp325 = *((&llvm_cbe_this->field1));
  *((&llvm_cbe_tmp325->field3)) = ((unsigned char )1);
  return ((unsigned char )0);
llvm_cbe_return:
  return ((unsigned char )0);
}


static struct l_struct_2E_Rect _ZN11OverlayBase9dirtyAreaEv(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  struct l_struct_2E_Rect StructReturn;  /* Struct return temporary */
  struct l_struct_2E_Rect *llvm_cbe_agg_2e_result = &StructReturn;
  unsigned int llvm_cbe_tmp4;
  struct l_struct_2E_Canvas *llvm_cbe_tmp7;
  unsigned char *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i;
  unsigned int llvm_cbe_tmp13;
  unsigned int llvm_cbe_tmp6_2e_i10;

  llvm_cbe_tmp4 = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp7 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp7->field1));
  llvm_cbe_tmp34_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i);
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp34_2e_i->field3));
  llvm_cbe_tmp13 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp6_2e_i10 = *((&llvm_cbe_tmp34_2e_i->field2));
  *((&llvm_cbe_agg_2e_result->field0.field0)) = llvm_cbe_tmp13;
  *((&llvm_cbe_agg_2e_result->field0.field1)) = llvm_cbe_tmp4;
  *((&llvm_cbe_agg_2e_result->field1.field0)) = ((llvm_cbe_tmp13 + llvm_cbe_tmp6_2e_i10) + 4294967295u);
  *((&llvm_cbe_agg_2e_result->field1.field1)) = ((llvm_cbe_tmp4 + llvm_cbe_tmp6_2e_i) + 4294967295u);
  return StructReturn;
}


static void _ZN11OverlayBase4drawER6Canvas(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen) {
  unsigned long long llvm_cbe_dest_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  struct l_struct_2E_Canvas *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp7;
  unsigned int llvm_cbe_tmp10;
  unsigned char *llvm_cbe_tmp12_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_dest_2e_i));
  llvm_cbe_tmp2 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp2 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb15;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp7 = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp10 = *((&llvm_cbe_this->field2));
  *(&llvm_cbe_dest_2e_i) = 0ull;
  *(((unsigned short *)(&llvm_cbe_dest_2e_i))) = (((unsigned short )llvm_cbe_tmp10));
  *((&llvm_cbe_tmpcast->field1)) = (((unsigned short )llvm_cbe_tmp7));
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp16_2e_i = *((&llvm_cbe_tmp2->field1));
  llvm_cbe_tmp18_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp16_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp12_2e_i)), llvm_cbe_tmpcast);
  goto llvm_cbe_bb15;

llvm_cbe_bb15:
  *((&llvm_cbe_this->field9)) = ((unsigned char )0);
  return;
}


static void _ZN11OverlayBaseD0Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp3) ();
  struct l_struct_2E_Canvas *llvm_cbe_tmp6;
  unsigned int  (**llvm_cbe_tmp16) ();
  unsigned int  (*llvm_cbe_tmp18) ();
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp7_2e_i;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp3 = ((&_ZTV11OverlayBase[((signed long long )2ull)]));
  llvm_cbe_tmp6 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp6 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp6->field0));
  llvm_cbe_tmp18 = *((&llvm_cbe_tmp16[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp18))(llvm_cbe_tmp6);
  goto llvm_cbe_bb23;

llvm_cbe_bb23:
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field13.field0));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field13.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i)));
  goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;

llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit:
  *llvm_cbe_tmp3 = ((&_ZTV7Overlay[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11OverlayBaseD1Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp3) ();
  struct l_struct_2E_Canvas *llvm_cbe_tmp6;
  unsigned int  (**llvm_cbe_tmp16) ();
  unsigned int  (*llvm_cbe_tmp18) ();
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp7_2e_i;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp3 = ((&_ZTV11OverlayBase[((signed long long )2ull)]));
  llvm_cbe_tmp6 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp6 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp6->field0));
  llvm_cbe_tmp18 = *((&llvm_cbe_tmp16[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp18))(llvm_cbe_tmp6);
  goto llvm_cbe_bb23;

llvm_cbe_bb23:
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field13.field0));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field13.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i)));
  goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;

llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit:
  *llvm_cbe_tmp3 = ((&_ZTV7Overlay[((signed long long )2ull)]));
  return;
}


static void _ZN11OverlayBaseD2Ev(struct l_struct_2E_OverlayBase *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp3) ();
  struct l_struct_2E_Canvas *llvm_cbe_tmp6;
  unsigned int  (**llvm_cbe_tmp16) ();
  unsigned int  (*llvm_cbe_tmp18) ();
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp7_2e_i;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field0);
  *llvm_cbe_tmp3 = ((&_ZTV11OverlayBase[((signed long long )2ull)]));
  llvm_cbe_tmp6 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp6 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp6->field0));
  llvm_cbe_tmp18 = *((&llvm_cbe_tmp16[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp18))(llvm_cbe_tmp6);
  goto llvm_cbe_bb23;

llvm_cbe_bb23:
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field13.field0));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)/*NULL*/0))) {
    goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field13.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i)));
  goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit;

llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEED1Ev_2e_exit:
  *llvm_cbe_tmp3 = ((&_ZTV7Overlay[((signed long long )2ull)]));
  return;
}


static void _ZN9UiOverlayD0Ev(struct l_struct_2E_UiOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0)) = ((&_ZTV9UiOverlay[((signed long long )2ull)]));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN9UiOverlayD1Ev(struct l_struct_2E_UiOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0)) = ((&_ZTV9UiOverlay[((signed long long )2ull)]));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0)));
  return;
}


static void _ZN11MenuOverlayD0Ev(struct l_struct_2E_MenuOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0.field0)) = ((&_ZTV9UiOverlay[((signed long long )2ull)]));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11MenuOverlayD1Ev(struct l_struct_2E_MenuOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0.field0)) = ((&_ZTV9UiOverlay[((signed long long )2ull)]));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  return;
}


static void _ZN11IconOverlayD0Ev(struct l_struct_2E_IconOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11IconOverlayD1Ev(struct l_struct_2E_IconOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0)));
  return;
}


static void _ZN11EditOverlayD0Ev(struct l_struct_2E_EditOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0.field0)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field0.field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11EditOverlayD1Ev(struct l_struct_2E_EditOverlay *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0.field0.field0)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field0.field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  return;
}


static void _ZN11EditOverlay4drawER6Canvas(struct l_struct_2E_EditOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen) {
  unsigned long long llvm_cbe_dest_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  struct l_struct_2E_Canvas *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i_2e_i;
  struct l_struct_2E_GameControl **llvm_cbe_tmp7;
  struct l_struct_2E_GameControl *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp10;
  struct l_struct_2E_GameControl *llvm_cbe_tmp17;
  unsigned char llvm_cbe_tmp19;
  struct l_struct_2E_GameControl *llvm_cbe_tmp27;
  unsigned char llvm_cbe_tmp29;
  struct l_struct_2E_GameControl *llvm_cbe_tmp39;
  unsigned char llvm_cbe_tmp41;
  unsigned int *llvm_cbe_tmp48;
  unsigned int llvm_cbe_tmp49;
  unsigned char *llvm_cbe_tmp15_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp18_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i;
  unsigned int *llvm_cbe_tmp67;
  unsigned int llvm_cbe_tmp68;
  unsigned char *llvm_cbe_tmp15_2e_i15;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp18_2e_i18;
  unsigned int llvm_cbe_tmp22_2e_i22;
  unsigned int llvm_cbe_tmp87;
  unsigned int llvm_cbe_tmp94;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_dest_2e_i_2e_i));
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field0.field0.field4));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field0.field0.field3));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field0.field0.field2));
  *(&llvm_cbe_dest_2e_i_2e_i) = 0ull;
  *(((unsigned short *)(&llvm_cbe_dest_2e_i_2e_i))) = (((unsigned short )llvm_cbe_tmp10_2e_i));
  *((&llvm_cbe_tmpcast->field1)) = (((unsigned short )llvm_cbe_tmp7_2e_i));
  llvm_cbe_tmp12_2e_i_2e_i = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp16_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i->field1));
  llvm_cbe_tmp18_2e_i_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp16_2e_i_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp12_2e_i_2e_i)), llvm_cbe_tmpcast);
  goto llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit;

llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit:
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp7 = (&llvm_cbe_this->field0.field0.field1);
  llvm_cbe_tmp8 = *llvm_cbe_tmp7;
  llvm_cbe_tmp10 = *((&llvm_cbe_tmp8->field5));
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, llvm_cbe_tmp10, 0u);
  llvm_cbe_tmp17 = *llvm_cbe_tmp7;
  llvm_cbe_tmp19 = *((&llvm_cbe_tmp17->field6));
  if ((llvm_cbe_tmp19 == ((unsigned char )0))) {
    goto llvm_cbe_bb22;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, 12u, 0u);
  goto llvm_cbe_bb22;

llvm_cbe_bb22:
  llvm_cbe_tmp27 = *llvm_cbe_tmp7;
  llvm_cbe_tmp29 = *((&llvm_cbe_tmp27->field7));
  if ((llvm_cbe_tmp29 == ((unsigned char )0))) {
    goto llvm_cbe_bb34;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb31:
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, 13u, 0u);
  goto llvm_cbe_bb34;

llvm_cbe_bb34:
  llvm_cbe_tmp39 = *llvm_cbe_tmp7;
  llvm_cbe_tmp41 = *((&llvm_cbe_tmp39->field8));
  if ((llvm_cbe_tmp41 == ((unsigned char )0))) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb43;
  }

llvm_cbe_bb43:
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, 14u, 0u);
  goto llvm_cbe_bb46;

llvm_cbe_bb46:
  llvm_cbe_tmp48 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp49 = *llvm_cbe_tmp48;
  if ((llvm_cbe_tmp49 == 0u)) {
    goto llvm_cbe_bb65;
  } else {
    goto llvm_cbe_bb53;
  }

llvm_cbe_bb53:
  *llvm_cbe_tmp48 = (llvm_cbe_tmp49 + 4294967295u);
  llvm_cbe_tmp15_2e_i = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp18_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp15_2e_i))->field1));
  llvm_cbe_tmp22_2e_i = SDL_MapRGB(llvm_cbe_tmp18_2e_i, (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp49) >> ((unsigned int )7u)))))), (((unsigned char )((((unsigned char )llvm_cbe_tmp49)) << ((unsigned char )1)))), ((unsigned char )0));
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, 16u, llvm_cbe_tmp22_2e_i);
  goto llvm_cbe_bb65;

llvm_cbe_bb65:
  llvm_cbe_tmp67 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp68 = *llvm_cbe_tmp67;
  if ((llvm_cbe_tmp68 == 0u)) {
    goto llvm_cbe_bb84;
  } else {
    goto llvm_cbe_bb72;
  }

llvm_cbe_bb72:
  *llvm_cbe_tmp67 = (llvm_cbe_tmp68 + 4294967295u);
  llvm_cbe_tmp15_2e_i15 = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp18_2e_i18 = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp15_2e_i15))->field1));
  llvm_cbe_tmp22_2e_i22 = SDL_MapRGB(llvm_cbe_tmp18_2e_i18, (((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp68) >> ((unsigned int )7u)))))), (((unsigned char )((((unsigned char )llvm_cbe_tmp68)) << ((unsigned char )1)))), ((unsigned char )0));
  _ZN11EditOverlay7outlineER6Canvasii(llvm_cbe_this, llvm_cbe_screen, 17u, llvm_cbe_tmp22_2e_i22);
  goto llvm_cbe_bb84;

llvm_cbe_bb84:
  llvm_cbe_tmp87 = *llvm_cbe_tmp67;
  if ((llvm_cbe_tmp87 == 0u)) {
    goto llvm_cbe_bb91;
  } else {
    goto llvm_cbe_bb98;
  }

llvm_cbe_bb91:
  llvm_cbe_tmp94 = *llvm_cbe_tmp48;
  if ((llvm_cbe_tmp94 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb98;
  }

llvm_cbe_bb98:
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  return;
llvm_cbe_return:
  return;
}


static void _ZN16NextLevelOverlayD0Ev(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp6) ();
  struct l_struct_2E_Canvas *llvm_cbe_tmp9;
  unsigned int  (**llvm_cbe_tmp19) ();
  unsigned int  (*llvm_cbe_tmp21) ();
  struct l_struct_2E_Font *llvm_cbe_tmp29;
  struct l_struct_2E_Path *llvm_cbe_tmp78_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0;
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Path *llvm_cbe_tmp19_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i_2e_i;

  llvm_cbe_tmp6 = (&llvm_cbe_this->field0.field0.field0.field0);
  *llvm_cbe_tmp6 = ((&_ZTV16NextLevelOverlay[((signed long long )2ull)]));
  llvm_cbe_tmp9 = *((&llvm_cbe_this->field3));
  if ((llvm_cbe_tmp9 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb26;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp19 = *((&llvm_cbe_tmp9->field0));
  llvm_cbe_tmp21 = *((&llvm_cbe_tmp19[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp21))(llvm_cbe_tmp9);
  goto llvm_cbe_bb26;

llvm_cbe_bb26:
  llvm_cbe_tmp29 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp29 == ((struct l_struct_2E_Font *)/*NULL*/0))) {
    goto llvm_cbe_bb39;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp78_2e_i = (&((&llvm_cbe_tmp29->field0))[((signed long long )1ull)][((signed int )0u)]);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_tmp29->field0[((signed long long )0ull)]);
  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp78_2e_i;   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  do {     /* Syntactic loop 'bb9.i' to make GCC happy */
llvm_cbe_bb9_2e_i:
  llvm_cbe_tmp_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_tmp_2e_i_2e_0 == llvm_cbe_tmp12_2e_i)) {
    goto llvm_cbe_invcont36;
  } else {
    goto llvm_cbe_bb17_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)]);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
    goto llvm_cbe_bb9_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  } while (1); /* end of syntactic loop 'bb9.i' */
llvm_cbe_invcont36:
  _ZdlPv((((unsigned char *)llvm_cbe_tmp29)));
  goto llvm_cbe_bb39;

llvm_cbe_bb39:
  _ZNSsD1Ev(((&llvm_cbe_this->field5)));
  *llvm_cbe_tmp6 = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field0.field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN16NextLevelOverlayD1Ev(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this) {
  unsigned int  (***llvm_cbe_tmp6) ();
  struct l_struct_2E_Canvas *llvm_cbe_tmp9;
  unsigned int  (**llvm_cbe_tmp19) ();
  unsigned int  (*llvm_cbe_tmp21) ();
  struct l_struct_2E_Font *llvm_cbe_tmp29;
  struct l_struct_2E_Path *llvm_cbe_tmp78_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0;
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Path *llvm_cbe_tmp19_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i_2e_i;

  llvm_cbe_tmp6 = (&llvm_cbe_this->field0.field0.field0.field0);
  *llvm_cbe_tmp6 = ((&_ZTV16NextLevelOverlay[((signed long long )2ull)]));
  llvm_cbe_tmp9 = *((&llvm_cbe_this->field3));
  if ((llvm_cbe_tmp9 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb26;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp19 = *((&llvm_cbe_tmp9->field0));
  llvm_cbe_tmp21 = *((&llvm_cbe_tmp19[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp21))(llvm_cbe_tmp9);
  goto llvm_cbe_bb26;

llvm_cbe_bb26:
  llvm_cbe_tmp29 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp29 == ((struct l_struct_2E_Font *)/*NULL*/0))) {
    goto llvm_cbe_bb39;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp78_2e_i = (&((&llvm_cbe_tmp29->field0))[((signed long long )1ull)][((signed int )0u)]);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_tmp29->field0[((signed long long )0ull)]);
  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp78_2e_i;   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  do {     /* Syntactic loop 'bb9.i' to make GCC happy */
llvm_cbe_bb9_2e_i:
  llvm_cbe_tmp_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_tmp_2e_i_2e_0 == llvm_cbe_tmp12_2e_i)) {
    goto llvm_cbe_invcont36;
  } else {
    goto llvm_cbe_bb17_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)]);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
    goto llvm_cbe_bb9_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  } while (1); /* end of syntactic loop 'bb9.i' */
llvm_cbe_invcont36:
  _ZdlPv((((unsigned char *)llvm_cbe_tmp29)));
  goto llvm_cbe_bb39;

llvm_cbe_bb39:
  _ZNSsD1Ev(((&llvm_cbe_this->field5)));
  *llvm_cbe_tmp6 = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSsD1Ev(((&llvm_cbe_this->field0.field1)));
  _ZN11OverlayBaseD2Ev(((&llvm_cbe_this->field0.field0)));
  return;
}


static void _ZN16NextLevelOverlay4drawER6Canvas(struct l_struct_2E_NextLevelOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen) {
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge7_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned short llvm_cbe_p_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned short *llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  unsigned short llvm_cbe_q_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_ZipFile llvm_cbe_zf_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_s_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp_2e_i53;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp21_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp23_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp27_2e_i54;    /* Address-exposed local */
  unsigned char llvm_cbe_bb_2e_i_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_gg_2e_i_2e_i;    /* Address-exposed local */
  unsigned char llvm_cbe_rr_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Canvas llvm_cbe_temp_2e_i;    /* Address-exposed local */
  unsigned long long llvm_cbe_dest_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast;
  unsigned long long llvm_cbe_dest_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_SDL_Rect *llvm_cbe_tmpcast141;
  struct l_struct_2E_Vec2 llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_Canvas *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i;
  unsigned int llvm_cbe_tmp10_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i_2e_i;
  struct l_struct_2E_Canvas **llvm_cbe_tmp3_2e_i20;
  struct l_struct_2E_Canvas *llvm_cbe_tmp4_2e_i21;
  unsigned int llvm_cbe_tmp9_2e_i25;
  unsigned int llvm_cbe_tmp12_2e_i28;
  unsigned int  (**llvm_cbe_tmp31_2e_i) ();
  unsigned int  (*llvm_cbe_tmp33_2e_i) ();
  unsigned int *llvm_cbe_tmp42_2e_i;
  unsigned int llvm_cbe_tmp43_2e_i;
  struct l_struct_2E_GameControl **llvm_cbe_tmp47_2e_i;
  struct l_struct_2E_GameControl *llvm_cbe_tmp48_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp57_2e_i;
  unsigned int llvm_cbe_tmp58_2e_i;
  struct l_struct_2E_GameControl *llvm_cbe_tmp68_2e_i;
  unsigned int  (**llvm_cbe_tmp70_2e_i) ();
  unsigned int  (*llvm_cbe_tmp72_2e_i) ();
  unsigned int llvm_cbe_tmp75_2e_i;
  unsigned char llvm_cbe_tmp82_2e_i;
  unsigned char **llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i11_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i42_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp16_2e_i12_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp1617_2e_i_2e_i39;
  unsigned char *llvm_cbe_tmp38_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp3839_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp41_2e_i_2e_i;
  unsigned char llvm_cbe_tmp43_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp49_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp50_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp5051_2e_i_2e_i;
  unsigned short llvm_cbe_tmp53_2e_i_2e_i;
  unsigned short llvm_cbe_tmp61_2e_i_2e_i;
  unsigned short llvm_cbe_tmp62_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6263_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp69_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp6970_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp119120_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp148149_2e_i_2e_i;
  unsigned int llvm_cbe_tmp82_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp75_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp78_2e_i_2e_i40;
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_reload143;
  unsigned short *llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload;
  unsigned short llvm_cbe_tmp95_2e_i_2e_i;
  unsigned short llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload;
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_reload;
  unsigned int llvm_cbe_storemerge4_2e_i_2e_i_2e_reload144;
  unsigned short llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload142;
  unsigned short llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload;
  unsigned short *llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload147;
  unsigned int llvm_cbe_storemerge7_2e_i_2e_i_2e_reload;
  unsigned int llvm_cbe_storemerge7_2e_i_2e_i_2e_reload149;
  unsigned short llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload148;
  unsigned int llvm_cbe_tmp137_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge10_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge10_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp3_2e_i53_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i56_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp150_2e_i_2e_i;
  unsigned int llvm_cbe_tmp152_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle;
  unsigned char *llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  unsigned short *llvm_cbe_drow_2e_i_2e_i_2e_0;
  unsigned short *llvm_cbe_drow_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge11_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge11_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp6_2e_i49_2e_i_2e_i;
  unsigned int llvm_cbe_tmp175_2e_i_2e_i;
  unsigned int llvm_cbe_tmp180_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_reload;
  unsigned int llvm_cbe_tmp177_2e_i_2e_i;
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload;
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload;
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload;
  unsigned char *llvm_cbe_tmp169_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp172_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_reload;
  unsigned int llvm_cbe_tmp184_2e_i13_2e_i;
  unsigned char llvm_cbe_tmp185_2e_i_2e_i;
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload;
  unsigned char llvm_cbe_tmp189_2e_i_2e_i;
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload;
  unsigned char llvm_cbe_tmp193_2e_i_2e_i;
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_reload155;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_reload156;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_reload162;
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload152;
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload153;
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload154;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_reload163;
  unsigned int llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload159;
  unsigned int llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload160;
  unsigned int llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload161;
  unsigned char *llvm_cbe_tmp13_2e_i34_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp16_2e_i35_2e_i_2e_i;
  unsigned int llvm_cbe_tmp20_2e_i36_2e_i14_2e_i;
  unsigned char *llvm_cbe_tmp2_2e_i28_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp23_2e_i_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp5_2e_i29_2e_i_2e_i;
  unsigned char llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp14_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp24_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp27_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp32_2e_i_2e_i15_2e_i;
  unsigned char *llvm_cbe_tmp51_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp233_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp3_2e_i23_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i26_2e_i_2e_i;
  unsigned int llvm_cbe_tmp244_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp3_2e_i16_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i19_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp95_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp107_2e_i;
  struct l_struct_2E_GameControl *llvm_cbe_tmp112_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i5_2e_i;
  unsigned int llvm_cbe_tmp127_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp133_2e_i;
  unsigned int llvm_cbe_tmp11;
  struct l_struct_2E_GameControl *llvm_cbe_tmp16;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i60;
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp2_2e_i_2e_i53_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i54_2e_i;
  unsigned long long llvm_cbe_tmp45_2e_i_2e_i56_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp46_2e_i;
  unsigned int llvm_cbe_tmp48_2e_i73;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i86_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp59_2e_i;
  unsigned char *llvm_cbe_tmp62_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc **llvm_cbe_tmp3_2e_i_2e_i70_2e_i;
  struct l_struct_2E_Levels_3A__3A_LevelDesc *llvm_cbe_tmp83_2e_i;
  unsigned int llvm_cbe_tmp85_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp88_2e_i81;
  unsigned char *llvm_cbe_tmp2_2e_i12_2e_i;
  unsigned char *llvm_cbe_tmp11_2e_i20_2e_i;
  unsigned int llvm_cbe_tmp18_2e_i25_2e_i;
  unsigned int llvm_cbe_tmp23_2e_i30_2e_i;
  unsigned int llvm_cbe_tmp27_2e_i34_2e_i;
  unsigned int llvm_cbe_tmp36_2e_i4042_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp112_2e_i112;
  unsigned long long llvm_cbe_tmp118_2e_i;
  unsigned long long llvm_cbe_tmp120_2e_i113;
  unsigned int *llvm_cbe_tmp21;
  unsigned int llvm_cbe_tmp22;
  unsigned int *llvm_cbe_tmp27;
  unsigned int llvm_cbe_tmp28;
  struct l_struct_2E_Font *llvm_cbe_tmp32;
  unsigned int llvm_cbe_tmp38;
  unsigned int llvm_cbe_tmp44;
  struct l_struct_2E_Canvas *llvm_cbe_tmp48;
  unsigned char *llvm_cbe_tmp12_2e_i12;
  unsigned char *llvm_cbe_tmp16_2e_i14;
  unsigned int llvm_cbe_tmp18_2e_i;

  llvm_cbe_tmpcast = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_dest_2e_i));
  llvm_cbe_tmpcast141 = ((struct l_struct_2E_SDL_Rect *)(&llvm_cbe_dest_2e_i_2e_i));
  llvm_cbe_tmp2_2e_i = *((&llvm_cbe_this->field0.field0.field4));
  if ((llvm_cbe_tmp2_2e_i == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_this->field0.field0.field3));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field0.field0.field2));
  *(&llvm_cbe_dest_2e_i_2e_i) = 0ull;
  *(((unsigned short *)(&llvm_cbe_dest_2e_i_2e_i))) = (((unsigned short )llvm_cbe_tmp10_2e_i));
  *((&llvm_cbe_tmpcast141->field1)) = (((unsigned short )llvm_cbe_tmp7_2e_i));
  llvm_cbe_tmp12_2e_i_2e_i = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp16_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i->field1));
  llvm_cbe_tmp18_2e_i_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp16_2e_i_2e_i)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp12_2e_i_2e_i)), llvm_cbe_tmpcast141);
  goto llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit;

llvm_cbe__ZN11OverlayBase4drawER6Canvas_2e_exit:
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )0);
  llvm_cbe_tmp3_2e_i20 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp4_2e_i21 = *llvm_cbe_tmp3_2e_i20;
  if ((llvm_cbe_tmp4_2e_i21 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb38_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i30;
  }

llvm_cbe_bb_2e_i30:
  llvm_cbe_tmp9_2e_i25 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp12_2e_i28 = *((&llvm_cbe_this->field1));
  if ((llvm_cbe_tmp9_2e_i25 == llvm_cbe_tmp12_2e_i28)) {
    goto llvm_cbe__ZN16NextLevelOverlay7genIconEv_2e_exit;
  } else {
    goto llvm_cbe_bb16_2e_i;
  }

llvm_cbe_bb16_2e_i:
  if ((llvm_cbe_tmp4_2e_i21 == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb38_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i;
  }

llvm_cbe_bb23_2e_i:
  llvm_cbe_tmp31_2e_i = *((&llvm_cbe_tmp4_2e_i21->field0));
  llvm_cbe_tmp33_2e_i = *((&llvm_cbe_tmp31_2e_i[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_Canvas *))llvm_cbe_tmp33_2e_i))(llvm_cbe_tmp4_2e_i21);
  goto llvm_cbe_bb38_2e_i;

llvm_cbe_bb38_2e_i:
  *llvm_cbe_tmp3_2e_i20 = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  llvm_cbe_tmp42_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp43_2e_i = *llvm_cbe_tmp42_2e_i;
  llvm_cbe_tmp47_2e_i = (&llvm_cbe_this->field0.field0.field1);
  llvm_cbe_tmp48_2e_i = *llvm_cbe_tmp47_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp48_2e_i->field9.field0.field1));
  if ((((signed int )llvm_cbe_tmp43_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i))) {
    goto llvm_cbe_bb55_2e_i;
  } else {
    goto llvm_cbe_bb94_2e_i;
  }

llvm_cbe_bb55_2e_i:
  llvm_cbe_tmp57_2e_i = *(&SCREEN_HEIGHT);
  llvm_cbe_tmp58_2e_i = *(&SCREEN_WIDTH);
  _ZN6CanvasC1Eii((&llvm_cbe_temp_2e_i), llvm_cbe_tmp58_2e_i, llvm_cbe_tmp57_2e_i);
  llvm_cbe_tmp68_2e_i = *llvm_cbe_tmp47_2e_i;
  llvm_cbe_tmp70_2e_i = *((&llvm_cbe_tmp68_2e_i->field0));
  llvm_cbe_tmp72_2e_i = *((&llvm_cbe_tmp70_2e_i[((signed long long )6ull)]));
  llvm_cbe_tmp75_2e_i = *llvm_cbe_tmp42_2e_i;
  llvm_cbe_tmp82_2e_i = (((unsigned char  (*) (struct l_struct_2E_GameControl *, struct l_struct_2E_Canvas *, unsigned int ))llvm_cbe_tmp72_2e_i))(llvm_cbe_tmp68_2e_i, (&llvm_cbe_temp_2e_i), llvm_cbe_tmp75_2e_i);
  if ((llvm_cbe_tmp82_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb90_2e_i;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb85_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i10_2e_i = (&llvm_cbe_temp_2e_i.field1);
  llvm_cbe_tmp3_2e_i_2e_i11_2e_i = *llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i11_2e_i);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i_2e_i->field2));
  llvm_cbe_tmp6_2e_i42_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp16_2e_i12_2e_i = _Znwm(48ull);
  llvm_cbe_tmp1617_2e_i_2e_i39 = ((struct l_struct_2E_Canvas *)llvm_cbe_tmp16_2e_i12_2e_i);
  _ZN6CanvasC1Eii(llvm_cbe_tmp1617_2e_i_2e_i39, (((signed int )(((signed int )llvm_cbe_tmp6_2e_i_2e_i_2e_i) / ((signed int )4u)))), (((signed int )(((signed int )llvm_cbe_tmp6_2e_i42_2e_i_2e_i) / ((signed int )4u)))));
  if ((llvm_cbe_tmp16_2e_i12_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe__ZNK6Canvas5scaleEi_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb35_2e_i_2e_i;
  }

llvm_cbe_bb35_2e_i_2e_i:
  llvm_cbe_tmp38_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  llvm_cbe_tmp3839_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp38_2e_i_2e_i);
  llvm_cbe_tmp41_2e_i_2e_i = *((&llvm_cbe_tmp3839_2e_i_2e_i->field1));
  llvm_cbe_tmp43_2e_i_2e_i = *((&llvm_cbe_tmp41_2e_i_2e_i->field2));
  llvm_cbe_tmp49_2e_i_2e_i = (&llvm_cbe_tmp1617_2e_i_2e_i39->field1);
  if ((llvm_cbe_tmp43_2e_i_2e_i == ((unsigned char )2))) {
    goto llvm_cbe_bb47_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb245_2e_i_2e_i;
  }

llvm_cbe_bb47_2e_i_2e_i:
  llvm_cbe_tmp50_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  llvm_cbe_tmp5051_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp50_2e_i_2e_i);
  llvm_cbe_tmp53_2e_i_2e_i = *((&llvm_cbe_tmp5051_2e_i_2e_i->field4));
  llvm_cbe_tmp61_2e_i_2e_i = *((&llvm_cbe_tmp3839_2e_i_2e_i->field4));
  llvm_cbe_tmp62_2e_i_2e_i = ((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp61_2e_i_2e_i) >> ((unsigned short )((unsigned short )1))))));
  llvm_cbe_tmp6263_2e_i_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp62_2e_i_2e_i);
  llvm_cbe_tmp69_2e_i_2e_i = *((&llvm_cbe_tmp5051_2e_i_2e_i->field5));
  llvm_cbe_tmp6970_2e_i_2e_i = ((unsigned short *)llvm_cbe_tmp69_2e_i_2e_i);
  llvm_cbe_tmp119120_2e_i_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp62_2e_i_2e_i);
  llvm_cbe_tmp148149_2e_i_2e_i = ((unsigned long long )(unsigned short )(((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp53_2e_i_2e_i) >> ((unsigned short )((unsigned short )1))))))));
  llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp50_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_drow_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6970_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge11_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb153_2e_i_2e_i;

  do {     /* Syntactic loop 'bb153.i.i' to make GCC happy */
llvm_cbe_bb153_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle = llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle__PHI_TEMPORARY;
  llvm_cbe_drow_2e_i_2e_i_2e_0 = llvm_cbe_drow_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge11_2e_i_2e_i = llvm_cbe_storemerge11_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp6_2e_i49_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle))->field3));
  if ((((signed int )llvm_cbe_tmp6_2e_i49_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge11_2e_i_2e_i))) {
    goto llvm_cbe_bb71_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZNK6Canvas5scaleEi_2e_exit_2e_i;
  }

llvm_cbe_bb146_2e_i_2e_i:
  llvm_cbe_tmp150_2e_i_2e_i = (&llvm_cbe_drow_2e_i_2e_i_2e_0[((signed long long )llvm_cbe_tmp148149_2e_i_2e_i)]);
  llvm_cbe_tmp152_2e_i_2e_i = llvm_cbe_storemerge11_2e_i_2e_i + 1u;
  llvm_cbe_tmp3_2e_i46_2e_i_2e_i_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i53_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_drow_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp150_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge11_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp152_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb153_2e_i_2e_i;

  do {     /* Syntactic loop 'bb138.i.i' to make GCC happy */
llvm_cbe_bb138_2e_i_2e_i:
  llvm_cbe_storemerge10_2e_i_2e_i = llvm_cbe_storemerge10_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i53_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i56_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i53_2e_i_2e_i))->field2));
  if ((((signed int )llvm_cbe_tmp6_2e_i56_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge10_2e_i_2e_i))) {
    goto llvm_cbe_bb72_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb146_2e_i_2e_i;
  }

llvm_cbe_bb130_2e_i_2e_i:
  llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload148 = *(&llvm_cbe_p_2e_i_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_drow_2e_i_2e_i_2e_0[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge10_2e_i_2e_i)))])) = llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload148;
  llvm_cbe_tmp137_2e_i_2e_i = llvm_cbe_storemerge10_2e_i_2e_i + 1u;
  llvm_cbe_storemerge10_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp137_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb138_2e_i_2e_i;

  do {     /* Syntactic loop 'bb104.i.i.thread' to make GCC happy */
llvm_cbe_bb104_2e_i_2e_i_2e_thread:
  *(&llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem) = 0u;
  *(&llvm_cbe_q_2e_i_2e_i_2e_0_2e_reg2mem) = ((unsigned short )0);
  goto llvm_cbe_bb90_2e_i_2e_i;

llvm_cbe_bb110_2e_i_2e_i:
  llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload142 = *(&llvm_cbe_q_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_p_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload147 = *(&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_storemerge7_2e_i_2e_i_2e_reload = *(&llvm_cbe_storemerge7_2e_i_2e_i_2e_reg2mem);
  *(&llvm_cbe_storemerge7_2e_i_2e_i_2e_reg2mem) = (llvm_cbe_storemerge7_2e_i_2e_i_2e_reload + 1u);
  *(&llvm_cbe_p_2e_i_2e_i_2e_0_2e_reg2mem) = (((unsigned short )((((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload142) >> ((unsigned short )((unsigned short )2))))))) & ((unsigned short )14823)))) + llvm_cbe_p_2e_i_2e_i_2e_0_2e_reload)));
  *(&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reg2mem) = ((&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload147[((signed long long )llvm_cbe_tmp119120_2e_i_2e_i)]));
  llvm_cbe_storemerge7_2e_i_2e_i_2e_reload149 = *(&llvm_cbe_storemerge7_2e_i_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge7_2e_i_2e_i_2e_reload149) < ((signed int )4u))) {
    goto llvm_cbe_bb104_2e_i_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb130_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb90.i.i' to make GCC happy */
llvm_cbe_bb90_2e_i_2e_i:
  llvm_cbe_storemerge4_2e_i_2e_i_2e_reload143 = *(&llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp95_2e_i_2e_i = *((&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reload[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge4_2e_i_2e_i_2e_reload143)))]));
  llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_q_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_storemerge4_2e_i_2e_i_2e_reload = *(&llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem);
  *(&llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem) = (llvm_cbe_storemerge4_2e_i_2e_i_2e_reload + 1u);
  *(&llvm_cbe_q_2e_i_2e_i_2e_0_2e_reg2mem) = (((unsigned short )((((unsigned short )((((unsigned short )(((unsigned short )(((unsigned short )llvm_cbe_tmp95_2e_i_2e_i) >> ((unsigned short )((unsigned short )2))))))) & ((unsigned short )14823)))) + llvm_cbe_q_2e_i_2e_i_2e_0_2e_reload)));
  llvm_cbe_storemerge4_2e_i_2e_i_2e_reload144 = *(&llvm_cbe_storemerge4_2e_i_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge4_2e_i_2e_i_2e_reload144) < ((signed int )4u))) {
    goto llvm_cbe_bb90_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb110_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb90.i.i' */
  } while (1); /* end of syntactic loop 'bb104.i.i.thread' */
llvm_cbe_bb72_2e_i_2e_i:
  llvm_cbe_tmp75_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  llvm_cbe_tmp78_2e_i_2e_i40 = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp75_2e_i_2e_i))->field5));
  *(&llvm_cbe_storemerge7_2e_i_2e_i_2e_reg2mem) = 0u;
  *(&llvm_cbe_p_2e_i_2e_i_2e_0_2e_reg2mem) = ((unsigned short )0);
  *(&llvm_cbe_srow_2e_i_2e_i_2e_0_2e_reg2mem) = ((&(((unsigned short *)llvm_cbe_tmp78_2e_i_2e_i40))[((signed long long )(((signed long long )(signed int )((llvm_cbe_tmp82_2e_i_2e_i + llvm_cbe_storemerge10_2e_i_2e_i) << 2u))))]));
  goto llvm_cbe_bb104_2e_i_2e_i_2e_thread;

  } while (1); /* end of syntactic loop 'bb138.i.i' */
llvm_cbe_bb71_2e_i_2e_i:
  llvm_cbe_tmp82_2e_i_2e_i = llvm_cbe_storemerge11_2e_i_2e_i * llvm_cbe_tmp6263_2e_i_2e_i;
  llvm_cbe_storemerge10_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb138_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb153.i.i' */
  do {     /* Syntactic loop 'bb245.i.i' to make GCC happy */
llvm_cbe_bb245_2e_i_2e_i:
  llvm_cbe_storemerge3_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i16_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i19_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i16_2e_i_2e_i))->field3));
  if ((((signed int )llvm_cbe_tmp6_2e_i19_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge3_2e_i_2e_i))) {
    goto llvm_cbe_bb163_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZNK6Canvas5scaleEi_2e_exit_2e_i;
  }

llvm_cbe_bb242_2e_i_2e_i:
  llvm_cbe_tmp244_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i + 1u;
  llvm_cbe_storemerge3_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp244_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb245_2e_i_2e_i;

  do {     /* Syntactic loop 'bb234.i.i' to make GCC happy */
llvm_cbe_bb234_2e_i_2e_i:
  llvm_cbe_storemerge2_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i23_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  llvm_cbe_tmp6_2e_i26_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i23_2e_i_2e_i))->field2));
  if ((((signed int )llvm_cbe_tmp6_2e_i26_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge2_2e_i_2e_i))) {
    goto llvm_cbe_bb164_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb242_2e_i_2e_i;
  }

llvm_cbe__ZN6Canvas9drawPixelEiii_2e_exit_2e_i_2e_i:
  llvm_cbe_tmp51_2e_i_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  SDL_UnlockSurface((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp51_2e_i_2e_i_2e_i)));
  llvm_cbe_tmp233_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i + 1u;
  llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp233_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb234_2e_i_2e_i;

llvm_cbe_bb214_2e_i_2e_i:
  llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload159 = *(&llvm_cbe_b_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload160 = *(&llvm_cbe_g_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload161 = *(&llvm_cbe_r_2e_i_2e_i_2e_1_2e_reg2mem);
  llvm_cbe_tmp13_2e_i34_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  llvm_cbe_tmp16_2e_i35_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp13_2e_i34_2e_i_2e_i))->field1));
  llvm_cbe_tmp20_2e_i36_2e_i14_2e_i = SDL_MapRGB(llvm_cbe_tmp16_2e_i35_2e_i_2e_i, (((unsigned char )(((signed int )(((signed int )llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload161) / ((signed int )16u)))))), (((unsigned char )(((signed int )(((signed int )llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload160) / ((signed int )16u)))))), (((unsigned char )(((signed int )(((signed int )llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload159) / ((signed int )16u)))))));
  llvm_cbe_tmp2_2e_i28_2e_i_2e_i = *llvm_cbe_tmp49_2e_i_2e_i;
  llvm_cbe_tmp23_2e_i_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp2_2e_i28_2e_i_2e_i);
  llvm_cbe_tmp5_2e_i29_2e_i_2e_i = *((&llvm_cbe_tmp23_2e_i_2e_i_2e_i->field1));
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp5_2e_i29_2e_i_2e_i->field2));
  llvm_cbe_tmp14_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp23_2e_i_2e_i_2e_i->field4));
  llvm_cbe_tmp24_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp23_2e_i_2e_i_2e_i->field5));
  llvm_cbe_tmp27_2e_i_2e_i_2e_i = (&llvm_cbe_tmp24_2e_i_2e_i_2e_i[((signed long long )(((unsigned long long )(unsigned int )((((unsigned int )(unsigned short )llvm_cbe_tmp14_2e_i_2e_i_2e_i)) * llvm_cbe_storemerge3_2e_i_2e_i))))]);
  llvm_cbe_tmp32_2e_i_2e_i15_2e_i = SDL_LockSurface(llvm_cbe_tmp23_2e_i_2e_i_2e_i);
  switch ((((unsigned int )(unsigned char )llvm_cbe_tmp7_2e_i_2e_i_2e_i))) {
  default:
    goto llvm_cbe__ZN6Canvas9drawPixelEiii_2e_exit_2e_i_2e_i;
;
  case 2u:
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
    break;
  case 4u:
    goto llvm_cbe_bb41_2e_i_2e_i_2e_i;
  }
  do {     /* Syntactic loop 'bb165.i.i' to make GCC happy */
llvm_cbe_bb165_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_reload = *(&llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_tmp177_2e_i_2e_i = llvm_cbe_tmp175_2e_i_2e_i + llvm_cbe_storemerge1_2e_i_2e_i_2e_reload;
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0u;
  llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_r_2e_i_2e_i_2e_1_2e_reg2mem);
  *(&llvm_cbe_r_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_r_2e_i_2e_i_2e_1_2e_reload;
  llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_g_2e_i_2e_i_2e_1_2e_reg2mem);
  *(&llvm_cbe_g_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_g_2e_i_2e_i_2e_1_2e_reload;
  llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload = *(&llvm_cbe_b_2e_i_2e_i_2e_1_2e_reg2mem);
  *(&llvm_cbe_b_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_b_2e_i_2e_i_2e_1_2e_reload;
  goto llvm_cbe_bb166_2e_i_2e_i;

llvm_cbe_bb205_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_reload162 = *(&llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload152 = *(&llvm_cbe_b_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload153 = *(&llvm_cbe_g_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload154 = *(&llvm_cbe_r_2e_i_2e_i_2e_0_2e_reg2mem);
  *(&llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem) = (llvm_cbe_storemerge1_2e_i_2e_i_2e_reload162 + 1u);
  *(&llvm_cbe_r_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload154;
  *(&llvm_cbe_g_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload153;
  *(&llvm_cbe_b_2e_i_2e_i_2e_1_2e_reg2mem) = llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload152;
  llvm_cbe_storemerge1_2e_i_2e_i_2e_reload163 = *(&llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_reload163) < ((signed int )4u))) {
    goto llvm_cbe_bb165_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb214_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb166.i.i' to make GCC happy */
llvm_cbe_bb166_2e_i_2e_i:
  llvm_cbe_tmp169_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i10_2e_i;
  llvm_cbe_tmp172_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp169_2e_i_2e_i))->field1));
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_tmp184_2e_i13_2e_i = _ZNK6Canvas9readPixelEii((&llvm_cbe_temp_2e_i), (llvm_cbe_tmp180_2e_i_2e_i + llvm_cbe_storemerge_2e_i_2e_i_2e_reload), llvm_cbe_tmp177_2e_i_2e_i);
  SDL_GetRGB(llvm_cbe_tmp184_2e_i13_2e_i, llvm_cbe_tmp172_2e_i_2e_i, (&llvm_cbe_rr_2e_i_2e_i), (&llvm_cbe_gg_2e_i_2e_i), (&llvm_cbe_bb_2e_i_2e_i));
  llvm_cbe_tmp185_2e_i_2e_i = *(&llvm_cbe_rr_2e_i_2e_i);
  llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_r_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp189_2e_i_2e_i = *(&llvm_cbe_gg_2e_i_2e_i);
  llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_g_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp193_2e_i_2e_i = *(&llvm_cbe_bb_2e_i_2e_i);
  llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload = *(&llvm_cbe_b_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload155 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = (llvm_cbe_storemerge_2e_i_2e_i_2e_reload155 + 1u);
  *(&llvm_cbe_r_2e_i_2e_i_2e_0_2e_reg2mem) = ((((unsigned int )(unsigned char )llvm_cbe_tmp185_2e_i_2e_i)) + llvm_cbe_r_2e_i_2e_i_2e_0_2e_reload);
  *(&llvm_cbe_g_2e_i_2e_i_2e_0_2e_reg2mem) = ((((unsigned int )(unsigned char )llvm_cbe_tmp189_2e_i_2e_i)) + llvm_cbe_g_2e_i_2e_i_2e_0_2e_reload);
  *(&llvm_cbe_b_2e_i_2e_i_2e_0_2e_reg2mem) = ((((unsigned int )(unsigned char )llvm_cbe_tmp193_2e_i_2e_i)) + llvm_cbe_b_2e_i_2e_i_2e_0_2e_reload);
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload156 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  if ((((signed int )llvm_cbe_storemerge_2e_i_2e_i_2e_reload156) < ((signed int )4u))) {
    goto llvm_cbe_bb166_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb205_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb166.i.i' */
  } while (1); /* end of syntactic loop 'bb165.i.i' */
llvm_cbe_bb164_2e_i_2e_i:
  llvm_cbe_tmp180_2e_i_2e_i = llvm_cbe_storemerge2_2e_i_2e_i << 2u;
  *(&llvm_cbe_storemerge1_2e_i_2e_i_2e_reg2mem) = 0u;
  *(&llvm_cbe_r_2e_i_2e_i_2e_1_2e_reg2mem) = 0u;
  *(&llvm_cbe_g_2e_i_2e_i_2e_1_2e_reg2mem) = 0u;
  *(&llvm_cbe_b_2e_i_2e_i_2e_1_2e_reg2mem) = 0u;
  goto llvm_cbe_bb165_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i:
  *((&(((unsigned short *)llvm_cbe_tmp27_2e_i_2e_i_2e_i))[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge2_2e_i_2e_i)))])) = (((unsigned short )llvm_cbe_tmp20_2e_i36_2e_i14_2e_i));
  goto llvm_cbe__ZN6Canvas9drawPixelEiii_2e_exit_2e_i_2e_i;

llvm_cbe_bb41_2e_i_2e_i_2e_i:
  *((&(((unsigned int *)llvm_cbe_tmp27_2e_i_2e_i_2e_i))[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge2_2e_i_2e_i)))])) = llvm_cbe_tmp20_2e_i36_2e_i14_2e_i;
  goto llvm_cbe__ZN6Canvas9drawPixelEiii_2e_exit_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb234.i.i' */
llvm_cbe_bb163_2e_i_2e_i:
  llvm_cbe_tmp175_2e_i_2e_i = llvm_cbe_storemerge3_2e_i_2e_i << 2u;
  llvm_cbe_storemerge2_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb234_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb245.i.i' */
llvm_cbe__ZNK6Canvas5scaleEi_2e_exit_2e_i:
  *llvm_cbe_tmp3_2e_i20 = llvm_cbe_tmp1617_2e_i_2e_i39;
  goto llvm_cbe_bb90_2e_i;

llvm_cbe_bb90_2e_i:
  *((&llvm_cbe_temp_2e_i.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  goto llvm_cbe_bb124_2e_i;

llvm_cbe_bb94_2e_i:
  llvm_cbe_tmp95_2e_i = _Znwm(48ull);
  _ZN5ImageC1EPKcb((((struct l_struct_2E_Image *)llvm_cbe_tmp95_2e_i)), ((&_2E_str559[((signed long long )0ull)])));
  *llvm_cbe_tmp3_2e_i20 = (((struct l_struct_2E_Canvas *)llvm_cbe_tmp95_2e_i));
  llvm_cbe_tmp107_2e_i = _ZNSsaSEPKc(((&llvm_cbe_this->field5)), ((&_2E_str660[((signed long long )0ull)])));
  llvm_cbe_tmp112_2e_i = *llvm_cbe_tmp47_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i5_2e_i = *((&llvm_cbe_tmp112_2e_i->field9.field0.field1));
  *llvm_cbe_tmp42_2e_i = llvm_cbe_tmp3_2e_i_2e_i5_2e_i;
  goto llvm_cbe_bb124_2e_i;

llvm_cbe_bb124_2e_i:
  llvm_cbe_tmp127_2e_i = *llvm_cbe_tmp42_2e_i;
  *((&llvm_cbe_this->field2)) = llvm_cbe_tmp127_2e_i;
  goto llvm_cbe__ZN16NextLevelOverlay7genIconEv_2e_exit;

llvm_cbe__ZN16NextLevelOverlay7genIconEv_2e_exit:
  llvm_cbe_tmp133_2e_i = *llvm_cbe_tmp3_2e_i20;
  if ((llvm_cbe_tmp133_2e_i == ((struct l_struct_2E_Canvas *)/*NULL*/0))) {
    goto llvm_cbe_bb53;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp11 = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp16 = *((&llvm_cbe_this->field0.field0.field1));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp27_2e_i54));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_s_2e_i), ((&_2E_str11[((signed long long )0ull)])), (&llvm_cbe_tmp27_2e_i54));
  _ZNSaIcED1Ev((&llvm_cbe_tmp27_2e_i54));
  llvm_cbe_tmp3_2e_i_2e_i60 = *((&llvm_cbe_tmp16->field9.field0.field1));
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i60) > ((signed int )llvm_cbe_tmp11))) {
    goto llvm_cbe_bb40_2e_i;
  } else {
    goto llvm_cbe_bb113_2e_i;
  }

llvm_cbe_bb40_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i53_2e_i = (&llvm_cbe_tmp16->field9.field0.field0);
  llvm_cbe_tmp3_2e_i_2e_i54_2e_i = *llvm_cbe_tmp2_2e_i_2e_i53_2e_i;
  llvm_cbe_tmp45_2e_i_2e_i56_2e_i = ((signed long long )(signed int )llvm_cbe_tmp11);
  llvm_cbe_tmp46_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i54_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i56_2e_i)]));
  llvm_cbe_tmp48_2e_i73 = *((&llvm_cbe_tmp46_2e_i->field1));
  if ((((signed int )llvm_cbe_tmp48_2e_i73) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb53_2e_i;
  } else {
    goto llvm_cbe_bb103_2e_i;
  }

llvm_cbe_bb53_2e_i:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp21_2e_i));
  llvm_cbe_tmp3_2e_i_2e_i86_2e_i = *llvm_cbe_tmp2_2e_i_2e_i53_2e_i;
  llvm_cbe_tmp59_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i86_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i56_2e_i)]));
  llvm_cbe_tmp62_2e_i = _ZNKSs5c_strEv(((&llvm_cbe_tmp59_2e_i->field0)));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp23_2e_i), llvm_cbe_tmp62_2e_i, (&llvm_cbe_tmp21_2e_i));
  _ZN7ZipFileC1ERKSs((&llvm_cbe_zf_2e_i), (&llvm_cbe_tmp23_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp23_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp21_2e_i));
  llvm_cbe_tmp3_2e_i_2e_i70_2e_i = *llvm_cbe_tmp2_2e_i_2e_i53_2e_i;
  llvm_cbe_tmp83_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i70_2e_i[((signed long long )llvm_cbe_tmp45_2e_i_2e_i56_2e_i)]));
  llvm_cbe_tmp85_2e_i = *((&llvm_cbe_tmp83_2e_i->field1));
  llvm_cbe_tmp_2e_i53 = _ZN7ZipFile9entryNameEi((&llvm_cbe_zf_2e_i), llvm_cbe_tmp85_2e_i);
  llvm_cbe_tmp88_2e_i81 = _ZNSsaSERKSs((&llvm_cbe_s_2e_i), (&llvm_cbe_tmp_2e_i53));
  _ZNSsD1Ev((&llvm_cbe_tmp_2e_i53));
  llvm_cbe_tmp2_2e_i12_2e_i = *((&llvm_cbe_zf_2e_i.field6));
  if ((llvm_cbe_tmp2_2e_i12_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb8_2e_i22_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i17_2e_i;
  }

llvm_cbe_bb_2e_i17_2e_i:
  _ZdaPv(llvm_cbe_tmp2_2e_i12_2e_i);
  goto llvm_cbe_bb8_2e_i22_2e_i;

llvm_cbe_bb8_2e_i22_2e_i:
  llvm_cbe_tmp11_2e_i20_2e_i = *((&llvm_cbe_zf_2e_i.field2));
  if ((llvm_cbe_tmp11_2e_i20_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb24_2e_i36_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i31_2e_i;
  }

llvm_cbe_bb15_2e_i31_2e_i:
  llvm_cbe_tmp18_2e_i25_2e_i = *((&llvm_cbe_zf_2e_i.field1));
  llvm_cbe_tmp23_2e_i30_2e_i = munmap(llvm_cbe_tmp11_2e_i20_2e_i, (((signed long long )(signed int )llvm_cbe_tmp18_2e_i25_2e_i)));
  goto llvm_cbe_bb24_2e_i36_2e_i;

llvm_cbe_bb24_2e_i36_2e_i:
  llvm_cbe_tmp27_2e_i34_2e_i = *((&llvm_cbe_zf_2e_i.field0));
  if ((llvm_cbe_tmp27_2e_i34_2e_i == 0u)) {
    goto llvm_cbe_bb113_2e_i;
  } else {
    goto llvm_cbe_bb31_2e_i41_2e_i;
  }

llvm_cbe_bb31_2e_i41_2e_i:
  llvm_cbe_tmp36_2e_i4042_2e_i = close(llvm_cbe_tmp27_2e_i34_2e_i);
  goto llvm_cbe_bb113_2e_i;

llvm_cbe_bb103_2e_i:
  llvm_cbe_tmp112_2e_i112 = _ZNSsaSERKSs((&llvm_cbe_s_2e_i), ((&llvm_cbe_tmp46_2e_i->field0)));
  goto llvm_cbe_bb113_2e_i;

llvm_cbe_bb113_2e_i:
  llvm_cbe_tmp118_2e_i = _ZNKSs5rfindEcm((&llvm_cbe_s_2e_i), ((unsigned char )47), 18446744073709551615ull);
  llvm_cbe_tmp120_2e_i113 = _ZNKSs5rfindEcm((&llvm_cbe_s_2e_i), ((unsigned char )46), 18446744073709551615ull);
  llvm_cbe_tmp1 = _ZNKSs6substrEmm((&llvm_cbe_s_2e_i), (llvm_cbe_tmp118_2e_i + 1ull), ((llvm_cbe_tmp120_2e_i113 - llvm_cbe_tmp118_2e_i) + 18446744073709551615ull));
  _ZNSsD1Ev((&llvm_cbe_s_2e_i));
  llvm_cbe_tmp21 = (&llvm_cbe_this->field0.field0.field3);
  llvm_cbe_tmp22 = *llvm_cbe_tmp21;
  llvm_cbe_tmp27 = (&llvm_cbe_this->field0.field0.field2);
  llvm_cbe_tmp28 = *llvm_cbe_tmp27;
  *((&llvm_cbe_tmp.field0)) = (llvm_cbe_tmp28 + 100u);
  *((&llvm_cbe_tmp.field1)) = (llvm_cbe_tmp22 + 50u);
  llvm_cbe_tmp32 = *((&llvm_cbe_this->field4));
  _ZN4Font4drawEP6Canvas4Vec2RKSsi(llvm_cbe_tmp32, llvm_cbe_screen, (&llvm_cbe_tmp), (&llvm_cbe_tmp1));
  _ZNSsD1Ev((&llvm_cbe_tmp1));
  llvm_cbe_tmp38 = *llvm_cbe_tmp21;
  llvm_cbe_tmp44 = *llvm_cbe_tmp27;
  llvm_cbe_tmp48 = *llvm_cbe_tmp3_2e_i20;
  *(&llvm_cbe_dest_2e_i) = 0ull;
  *(((unsigned short *)(&llvm_cbe_dest_2e_i))) = (((unsigned short )((((unsigned short )llvm_cbe_tmp44)) + ((unsigned short )100))));
  *((&llvm_cbe_tmpcast->field1)) = (((unsigned short )((((unsigned short )llvm_cbe_tmp38)) + ((unsigned short )75))));
  llvm_cbe_tmp12_2e_i12 = *((&llvm_cbe_screen->field1));
  llvm_cbe_tmp16_2e_i14 = *((&llvm_cbe_tmp48->field1));
  llvm_cbe_tmp18_2e_i = SDL_UpperBlit((((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp16_2e_i14)), ((struct l_struct_2E_SDL_Rect *)/*NULL*/0), (((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp12_2e_i12)), llvm_cbe_tmpcast);
  return;
llvm_cbe_bb53:
  *((&llvm_cbe_this->field0.field0.field9)) = ((unsigned char )1);
  return;
}


static void _ZN11OverlayBaseC2ER11GameControliib(struct l_struct_2E_OverlayBase *llvm_cbe_this, struct l_struct_2E_GameControl *llvm_cbe_game, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y, unsigned char llvm_cbe_dragging_allowed) {
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot **llvm_cbe_tmp1_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV11OverlayBase[((signed long long )2ull)]));
  *((&llvm_cbe_this->field1)) = llvm_cbe_game;
  *((&llvm_cbe_this->field2)) = llvm_cbe_x;
  *((&llvm_cbe_this->field3)) = llvm_cbe_y;
  *((&llvm_cbe_this->field4)) = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  *((&llvm_cbe_this->field9)) = ((unsigned char )1);
  *((&llvm_cbe_this->field10)) = ((unsigned char )0);
  *((&llvm_cbe_this->field11)) = llvm_cbe_dragging_allowed;
  *((&llvm_cbe_this->field12)) = ((unsigned char )0);
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field13.field0);
  *llvm_cbe_tmp1_2e_i = ((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)/*NULL*/0);
  *((&llvm_cbe_this->field13.field1)) = 0u;
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_this->field13.field2);
  *llvm_cbe_tmp5_2e_i = 0u;
  llvm_cbe_tmp28_2e_i_2e_i = malloc(0ull);
  *llvm_cbe_tmp1_2e_i = (((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)llvm_cbe_tmp28_2e_i_2e_i));
  *llvm_cbe_tmp5_2e_i = 0u;
  return;
}


static void _ZN5ArrayIN11OverlayBase7HotSpotEE6appendERKS1_(struct l_struct_2E_Array_3C_OverlayBase_3A__3A_HotSpot_3E_ *llvm_cbe_this, struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_t) {
  unsigned int *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot **llvm_cbe_tmp17_2e_i_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i;
  struct l_struct_2E_OverlayBase_3A__3A_HotSpot *llvm_cbe_tmp8;
  unsigned int llvm_cbe_tmp11;
  unsigned char *ltmp_25_1;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  llvm_cbe_tmp4 = llvm_cbe_tmp3 + 1u;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  if ((((signed int )llvm_cbe_tmp2_2e_i) < ((signed int )llvm_cbe_tmp4))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEE14ensureCapacityEi_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_storemerge_2e_i = (((llvm_cbe_tmp2_2e_i == 0u)) ? (4u) : (llvm_cbe_tmp2_2e_i));
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  do {     /* Syntactic loop 'bb23.i' to make GCC happy */
llvm_cbe_bb23_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )llvm_cbe_tmp4))) {
    goto llvm_cbe_bb19_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i;
  }

llvm_cbe_bb19_2e_i:
  llvm_cbe_tmp22_2e_i = llvm_cbe_storemerge1_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i' */
llvm_cbe_bb29_2e_i:
  if ((((signed int )llvm_cbe_tmp3) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEE14ensureCapacityEi_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)) * 56ull;
  if ((llvm_cbe_tmp2_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i;
  }

llvm_cbe_bb12_2e_i_2e_i:
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_this->field0);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  llvm_cbe_tmp20_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_tmp18_2e_i_2e_i)), llvm_cbe_tmp27_2e_i_2e_i);
  *llvm_cbe_tmp17_2e_i_2e_i = (((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)llvm_cbe_tmp20_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb24_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i);
  *((&llvm_cbe_this->field0)) = (((struct l_struct_2E_OverlayBase_3A__3A_HotSpot *)llvm_cbe_tmp28_2e_i_2e_i));
  goto llvm_cbe_bb32_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i:
  *llvm_cbe_tmp1_2e_i = llvm_cbe_storemerge1_2e_i;
  goto llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEE14ensureCapacityEi_2e_exit;

llvm_cbe__ZN5ArrayIN11OverlayBase7HotSpotEE14ensureCapacityEi_2e_exit:
  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp11 = *llvm_cbe_tmp2;
  ltmp_25_1 = memcpy((((unsigned char *)((&llvm_cbe_tmp8[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp11)))])))), (((unsigned char *)llvm_cbe_t)), 56ull);
  *llvm_cbe_tmp2 = (llvm_cbe_tmp11 + 1u);
  return;
}


static void _ZN11IconOverlayC2ER11GameControlPKciib(struct l_struct_2E_IconOverlay *llvm_cbe_this, struct l_struct_2E_GameControl *llvm_cbe_game, unsigned char *llvm_cbe_file, unsigned int llvm_cbe_x, unsigned int llvm_cbe_y) {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp17;
  unsigned char *llvm_cbe_tmp22;
  unsigned char *llvm_cbe_tmp27;

  _ZN11OverlayBaseC2ER11GameControliib(((&llvm_cbe_this->field0)), llvm_cbe_game, llvm_cbe_x, llvm_cbe_y, ((unsigned char )1));
  *((&llvm_cbe_this->field0.field0.field0)) = ((&_ZTV11IconOverlay[((signed long long )2ull)]));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp17 = (&llvm_cbe_this->field1);
  _ZNSsC1EPKcRKSaIcE(llvm_cbe_tmp17, llvm_cbe_file, (&llvm_cbe_tmp2));
  _ZNSaIcED1Ev((&llvm_cbe_tmp2));
  llvm_cbe_tmp22 = _ZNKSs5c_strEv(llvm_cbe_tmp17);
  llvm_cbe_tmp27 = _Znwm(48ull);
  _ZN5ImageC1EPKcb((((struct l_struct_2E_Image *)llvm_cbe_tmp27)), llvm_cbe_tmp22);
  *((&llvm_cbe_this->field0.field4)) = (((struct l_struct_2E_Canvas *)llvm_cbe_tmp27));
  return;
}


static struct l_struct_2E_Font *_ZN6Config4fontEv(void) {
  unsigned char llvm_cbe_buf_2e_i[1024];    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_fname_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp2_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Vec2 llvm_cbe_tmp3_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Path llvm_cbe_tmp4_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  unsigned char llvm_cbe_tmp4;
  unsigned int llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp5_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Path *llvm_cbe_tmp6_2e_i_2e_0;
  struct l_struct_2E_Path *llvm_cbe_tmp6_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp16_2e_i;
  unsigned char *llvm_cbe_tmp53_2e_i;
  struct l_struct_2E_FILE *llvm_cbe_tmp56_2e_i;
  unsigned char *llvm_cbe_tmp115_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp1_2e_i_2e_i26_2e_i;
  unsigned int *llvm_cbe_tmp3_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp7_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i20_2e_i;
  unsigned int *llvm_cbe_tmp4_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 **llvm_cbe_tmp6_2e_i_2e_i30_2e_i;
  unsigned char *llvm_cbe_tmp66_2e_i;
  unsigned char *llvm_cbe_storemerge3_2e_i;
  unsigned char *llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp69_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp88_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i27_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i31_2e_i;
  unsigned int llvm_cbe_tmp4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  struct l_struct_2E_Path *llvm_cbe_tmp111_2e_i;
  unsigned int llvm_cbe_tmp113_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp118_2e_i;
  unsigned int llvm_cbe_tmp126_2e_i;
  unsigned int llvm_cbe_tmp15;

  llvm_cbe_tmp4 = *((unsigned char *)(&_ZGVZN6Config4fontEvE1f));
  if ((llvm_cbe_tmp4 == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp7 = __cxa_guard_acquire((&_ZGVZN6Config4fontEvE1f));
  if ((llvm_cbe_tmp7 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb12;
  }

llvm_cbe_bb12:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp1));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp2), ((&_2E_str63[((signed long long )0ull)])), (&llvm_cbe_tmp1));
  llvm_cbe_tmp5_2e_i_2e_0__PHI_TEMPORARY = 127ull;   /* for PHI node */
  llvm_cbe_tmp6_2e_i_2e_0__PHI_TEMPORARY = ((&_ZZN6Config4fontEvE1f.field0[((signed long long )0ull)]));   /* for PHI node */
  goto llvm_cbe_bb_2e_i;

  do {     /* Syntactic loop 'bb.i' to make GCC happy */
llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i_2e_0 = llvm_cbe_tmp5_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp6_2e_i_2e_0 = llvm_cbe_tmp6_2e_i_2e_0__PHI_TEMPORARY;
  _ZN5ArrayI4Vec2EC2Ei(((&llvm_cbe_tmp6_2e_i_2e_0->field0)));
  llvm_cbe_tmp16_2e_i = llvm_cbe_tmp5_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp16_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb21_2e_i;
  } else {
    llvm_cbe_tmp5_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i;   /* for PHI node */
    llvm_cbe_tmp6_2e_i_2e_0__PHI_TEMPORARY = ((&llvm_cbe_tmp6_2e_i_2e_0[((signed long long )1ull)]));   /* for PHI node */
    goto llvm_cbe_bb_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i' */
llvm_cbe_bb21_2e_i:
  llvm_cbe_fname_2e_i = _ZN6Config8findFileERKSs((&llvm_cbe_tmp2));
  llvm_cbe_tmp53_2e_i = _ZNKSs5c_strEv((&llvm_cbe_fname_2e_i));
  llvm_cbe_tmp56_2e_i = fopen(llvm_cbe_tmp53_2e_i, ((&_2E_str9[((signed long long )0ull)])));
  if ((llvm_cbe_tmp56_2e_i == ((struct l_struct_2E_FILE *)/*NULL*/0))) {
    goto llvm_cbe_bb127_2e_i;
  } else {
    goto llvm_cbe_bb61_2e_i;
  }

llvm_cbe_bb61_2e_i:
  llvm_cbe_tmp115_2e_i = (&llvm_cbe_buf_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp1_2e_i_2e_i26_2e_i = (&llvm_cbe_tmp4_2e_i.field0.field0);
  llvm_cbe_tmp3_2e_i_2e_i = (&llvm_cbe_tmp2_2e_i.field0.field1);
  llvm_cbe_tmp7_2e_i_2e_i = (&llvm_cbe_tmp2_2e_i.field0.field0);
  llvm_cbe_tmp1_2e_i_2e_i20_2e_i = (&llvm_cbe_tmp3_2e_i.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i.field1);
  llvm_cbe_tmp6_2e_i_2e_i30_2e_i = (&llvm_cbe_tmp4_2e_i.field0.field0);
  llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY = 65u;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i;

  do {     /* Syntactic loop 'bb114.i' to make GCC happy */
llvm_cbe_bb114_2e_i:
  llvm_cbe_storemerge4_2e_i = llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp118_2e_i = fgets(llvm_cbe_tmp115_2e_i, 1024u, llvm_cbe_tmp56_2e_i);
  if ((llvm_cbe_tmp118_2e_i == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb123_2e_i;
  } else {
    llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp115_2e_i;   /* for PHI node */
    goto llvm_cbe_bb67_2e_i;
  }

llvm_cbe__ZN4PathD1Ev_2e_exit34_2e_i:
  llvm_cbe_tmp2_2e_i = _ZNK4Path4bboxEv(llvm_cbe_tmp88_2e_i);
  llvm_cbe_tmp4_2e_i_2e_i = *llvm_cbe_tmp3_2e_i_2e_i;
  llvm_cbe_tmp8_2e_i_2e_i = *llvm_cbe_tmp7_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i_2e_i20_2e_i = (-(llvm_cbe_tmp8_2e_i_2e_i));
  *llvm_cbe_tmp4_2e_i_2e_i_2e_i = (-(llvm_cbe_tmp4_2e_i_2e_i));
  llvm_cbe_tmp111_2e_i = _ZN4Path9translateERK4Vec2(llvm_cbe_tmp88_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp113_2e_i = llvm_cbe_storemerge4_2e_i + 1u;
  llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY = llvm_cbe_tmp113_2e_i;   /* for PHI node */
  goto llvm_cbe_bb114_2e_i;

llvm_cbe_bb79_2e_i:
  _ZN4PathC1EPKc((&llvm_cbe_tmp4_2e_i), ((&llvm_cbe_storemerge3_2e_i[((signed long long )1ull)])));
  llvm_cbe_tmp88_2e_i = (&_ZZN6Config4fontEvE1f.field0[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge4_2e_i)))]);
  _ZN4PathaSERKS_(llvm_cbe_tmp88_2e_i, (&llvm_cbe_tmp4_2e_i));
  llvm_cbe_tmp2_2e_i_2e_i27_2e_i = *llvm_cbe_tmp1_2e_i_2e_i26_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i27_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    goto llvm_cbe__ZN4PathD1Ev_2e_exit34_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i33_2e_i;
  }

  do {     /* Syntactic loop 'bb67.i' to make GCC happy */
llvm_cbe_bb67_2e_i:
  llvm_cbe_storemerge3_2e_i = llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp69_2e_i = *llvm_cbe_storemerge3_2e_i;
  switch (llvm_cbe_tmp69_2e_i) {
  default:
    goto llvm_cbe_bb64_2e_i;
;
  case ((unsigned char )0):
    goto llvm_cbe_bb79_2e_i;
    break;
  case ((unsigned char )58):
    goto llvm_cbe_bb79_2e_i;
    break;
  }
llvm_cbe_bb64_2e_i:
  llvm_cbe_tmp66_2e_i = (&llvm_cbe_storemerge3_2e_i[((signed long long )1ull)]);
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp66_2e_i;   /* for PHI node */
  goto llvm_cbe_bb67_2e_i;

  } while (1); /* end of syntactic loop 'bb67.i' */
llvm_cbe_bb_2e_i_2e_i33_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i31_2e_i = *llvm_cbe_tmp6_2e_i_2e_i30_2e_i;
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i31_2e_i)));
  goto llvm_cbe__ZN4PathD1Ev_2e_exit34_2e_i;

  } while (1); /* end of syntactic loop 'bb114.i' */
llvm_cbe_bb123_2e_i:
  llvm_cbe_tmp126_2e_i = fclose(llvm_cbe_tmp56_2e_i);
  goto llvm_cbe_bb127_2e_i;

llvm_cbe_bb127_2e_i:
  _ZNSsD1Ev((&llvm_cbe_fname_2e_i));
  __cxa_guard_release((&_ZGVZN6Config4fontEvE1f));
  llvm_cbe_tmp15 = __cxa_atexit(__tcf_270, ((unsigned char *)/*NULL*/0), ((unsigned char *)(&__dso_handle)));
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSaIcED1Ev((&llvm_cbe_tmp1));
  return (&_ZZN6Config4fontEvE1f);
llvm_cbe_return:
  return (&_ZZN6Config4fontEvE1f);
}


static void _ZN11EditOverlay7outlineER6Canvasii(struct l_struct_2E_EditOverlay *llvm_cbe_this, struct l_struct_2E_Canvas *llvm_cbe_screen, unsigned int llvm_cbe_i, unsigned int llvm_cbe_c) {
  struct l_struct_2E_Rect llvm_cbe_r;    /* Address-exposed local */
  struct l_struct_2E_Rect llvm_cbe_tmp;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp11;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp7_2e_i9_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp15;
  unsigned int llvm_cbe_tmp16;
  unsigned int *llvm_cbe_tmp21;
  unsigned int llvm_cbe_tmp22;
  unsigned int *llvm_cbe_tmp27;
  unsigned int llvm_cbe_tmp28;
  unsigned int *llvm_cbe_tmp33;
  unsigned int llvm_cbe_tmp34;

  llvm_cbe_tmp6 = *((&llvm_cbe_this->field0.field0.field3));
  llvm_cbe_tmp11 = *((&llvm_cbe_this->field0.field0.field2));
  llvm_cbe_tmp = _ZN11EditOverlay3posEi(llvm_cbe_i);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp.field0.field0));
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp.field0.field1));
  llvm_cbe_tmp2_2e_i4_2e_i_2e_i = *((&llvm_cbe_tmp.field1.field0));
  llvm_cbe_tmp7_2e_i9_2e_i_2e_i = *((&llvm_cbe_tmp.field1.field1));
  *((&llvm_cbe_r.field0.field0)) = (llvm_cbe_tmp2_2e_i_2e_i_2e_i + llvm_cbe_tmp11);
  *((&llvm_cbe_r.field0.field1)) = (llvm_cbe_tmp7_2e_i_2e_i_2e_i + llvm_cbe_tmp6);
  *((&llvm_cbe_r.field1.field0)) = (llvm_cbe_tmp2_2e_i4_2e_i_2e_i + llvm_cbe_tmp11);
  *((&llvm_cbe_r.field1.field1)) = (llvm_cbe_tmp7_2e_i9_2e_i_2e_i + llvm_cbe_tmp6);
  llvm_cbe_tmp15 = (&llvm_cbe_r.field0.field0);
  llvm_cbe_tmp16 = *llvm_cbe_tmp15;
  *llvm_cbe_tmp15 = (llvm_cbe_tmp16 + 4294967294u);
  llvm_cbe_tmp21 = (&llvm_cbe_r.field0.field1);
  llvm_cbe_tmp22 = *llvm_cbe_tmp21;
  *llvm_cbe_tmp21 = (llvm_cbe_tmp22 + 4294967294u);
  llvm_cbe_tmp27 = (&llvm_cbe_r.field1.field0);
  llvm_cbe_tmp28 = *llvm_cbe_tmp27;
  *llvm_cbe_tmp27 = (llvm_cbe_tmp28 + 2u);
  llvm_cbe_tmp33 = (&llvm_cbe_r.field1.field1);
  llvm_cbe_tmp34 = *llvm_cbe_tmp33;
  *llvm_cbe_tmp33 = (llvm_cbe_tmp34 + 2u);
  _ZN6Canvas8drawRectERK4Rectib(llvm_cbe_screen, (&llvm_cbe_r), llvm_cbe_c, ((unsigned char )0));
  return;
}


static void __tcf_270(unsigned char *llvm_cbe_unnamed_arg) {
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0;
  struct l_struct_2E_Path *llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_Path *llvm_cbe_tmp19_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_Vec2 *llvm_cbe_tmp7_2e_i_2e_i_2e_i;

  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = ((&((&_ZZN6Config4fontEvE1f.field0))[((signed long long )1ull)][((signed int )0u)]));   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  do {     /* Syntactic loop 'bb9.i' to make GCC happy */
llvm_cbe_bb9_2e_i:
  llvm_cbe_tmp_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_tmp_2e_i_2e_0 == ((&_ZZN6Config4fontEvE1f.field0[((signed long long )0ull)])))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb17_2e_i;
  }

llvm_cbe_bb17_2e_i:
  llvm_cbe_tmp19_2e_i = (&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)]);
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  if ((llvm_cbe_tmp2_2e_i_2e_i_2e_i == ((struct l_struct_2E_Vec2 *)/*NULL*/0))) {
    llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
    goto llvm_cbe_bb9_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp_2e_i_2e_0[((signed long long )18446744073709551615ull)].field0.field0));
  free((((unsigned char *)llvm_cbe_tmp7_2e_i_2e_i_2e_i)));
  llvm_cbe_tmp_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp19_2e_i;   /* for PHI node */
  goto llvm_cbe_bb9_2e_i;

  } while (1); /* end of syntactic loop 'bb9.i' */
llvm_cbe_return:
  return;
}


static void _ZL12http_post_cbPKN9happyhttp8ResponseEPvPKhi(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata, unsigned char *llvm_cbe_data, unsigned int llvm_cbe_numbytes) {
  return;
}


static void _ZL13http_begin_cbPKN9happyhttp8ResponseEPv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata) {
  unsigned int *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int *llvm_cbe_tmp11_2e_i;
  unsigned int llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp11_2e_i29;
  unsigned char *llvm_cbe_tmp12_2e_i30;
  unsigned int llvm_cbe_tmp3_2e_i14;
  unsigned int llvm_cbe_tmp12_2e_i19;
  struct l_struct_2E_FILE *llvm_cbe_tmp11;
  unsigned int llvm_cbe_tmp13;
  unsigned int llvm_cbe_tmp3_2e_i4;
  unsigned char *llvm_cbe_tmp12_2e_i9;
  struct l_struct_2E_Http *llvm_cbe_tmp1617;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp19;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_r->field0);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  if ((llvm_cbe_tmp3_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZNK9happyhttp8Response9getstatusEv_2e_exit;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str385[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 527u, ((&_ZZNK9happyhttp8Response9getstatusEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZNK9happyhttp8Response9getstatusEv_2e_exit:
  llvm_cbe_tmp11_2e_i = (&llvm_cbe_r->field5);
  llvm_cbe_tmp12_2e_i = *llvm_cbe_tmp11_2e_i;
  if ((llvm_cbe_tmp12_2e_i == 200u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb6;
  }

llvm_cbe_bb:
  *((&(((struct l_struct_2E_Http *)llvm_cbe_userdata))->field1)) = 0u;
  return;
llvm_cbe_bb6:
  if ((llvm_cbe_tmp3_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i27;
  } else {
    goto llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit32;
  }

llvm_cbe_bb_2e_i27:
  __assert_fail(((&_2E_str385[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 535u, ((&_ZZNK9happyhttp8Response9getreasonEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit32:
  llvm_cbe_tmp11_2e_i29 = (&llvm_cbe_r->field6);
  llvm_cbe_tmp12_2e_i30 = _ZNKSs5c_strEv(llvm_cbe_tmp11_2e_i29);
  llvm_cbe_tmp3_2e_i14 = *llvm_cbe_tmp2_2e_i;
  if ((llvm_cbe_tmp3_2e_i14 == 0u)) {
    goto llvm_cbe_bb_2e_i16;
  } else {
    goto llvm_cbe__ZNK9happyhttp8Response9getstatusEv_2e_exit21;
  }

llvm_cbe_bb_2e_i16:
  __assert_fail(((&_2E_str385[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 527u, ((&_ZZNK9happyhttp8Response9getstatusEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZNK9happyhttp8Response9getstatusEv_2e_exit21:
  llvm_cbe_tmp12_2e_i19 = *llvm_cbe_tmp11_2e_i;
  llvm_cbe_tmp11 = *(&stderr);
  llvm_cbe_tmp13 = fprintf(llvm_cbe_tmp11, ((&_2E_str1081[((signed long long )0ull)])), llvm_cbe_tmp12_2e_i19, llvm_cbe_tmp12_2e_i30);
  llvm_cbe_tmp3_2e_i4 = *llvm_cbe_tmp2_2e_i;
  if ((llvm_cbe_tmp3_2e_i4 == 0u)) {
    goto llvm_cbe_bb_2e_i6;
  } else {
    goto llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit;
  }

llvm_cbe_bb_2e_i6:
  __assert_fail(((&_2E_str385[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 535u, ((&_ZZNK9happyhttp8Response9getreasonEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit:
  llvm_cbe_tmp12_2e_i9 = _ZNKSs5c_strEv(llvm_cbe_tmp11_2e_i29);
  llvm_cbe_tmp1617 = ((struct l_struct_2E_Http *)llvm_cbe_userdata);
  llvm_cbe_tmp19 = _ZNSsaSEPKc(((&llvm_cbe_tmp1617->field2)), llvm_cbe_tmp12_2e_i9);
  *((&llvm_cbe_tmp1617->field1)) = 4294967295u;
  return;
}


static void _ZL16http_complete_cbPKN9happyhttp8ResponseEPv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_r, unsigned char *llvm_cbe_userdata) {
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_Http *llvm_cbe_tmp23;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp5;
  unsigned char *llvm_cbe_tmp8;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp12;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_r->field0));
  if ((llvm_cbe_tmp3_2e_i == 0u)) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str385[((signed long long )0ull)])), ((&_2E_str183[((signed long long )0ull)])), 535u, ((&_ZZNK9happyhttp8Response9getreasonEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZNK9happyhttp8Response9getreasonEv_2e_exit:
  llvm_cbe_tmp12_2e_i = _ZNKSs5c_strEv(((&llvm_cbe_r->field6)));
  llvm_cbe_tmp23 = ((struct l_struct_2E_Http *)llvm_cbe_userdata);
  llvm_cbe_tmp5 = _ZNSsaSEPKc(((&llvm_cbe_tmp23->field2)), llvm_cbe_tmp12_2e_i);
  llvm_cbe_tmp8 = _ZNK9happyhttp8Response9getheaderEPKc(llvm_cbe_r, ((&_2E_str833[((signed long long )0ull)])));
  llvm_cbe_tmp12 = _ZNSsaSEPKc(((&llvm_cbe_tmp23->field3)), llvm_cbe_tmp8);
  return;
}


static void _ZN9happyhttp10ConnectionD1Ev(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this) {
  _ZN9happyhttp10Connection5closeEv(llvm_cbe_this);
  _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EED1Ev(((&llvm_cbe_this->field9)));
  _ZNSt6vectorISsSaISsEED1Ev(((&llvm_cbe_this->field8)));
  _ZNSsD1Ev(((&llvm_cbe_this->field5)));
  return;
}


static unsigned char *_ZNK9happyhttp8Response9getheaderEPKc(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this, unsigned char *llvm_cbe_name) {
  struct l_struct_2E_std_3A__3A_string llvm_cbe_lname;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp12;    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp15;
  unsigned char *llvm_cbe_tmp24;
  unsigned char *llvm_cbe_tmp30;
  unsigned char llvm_cbe_tmp6_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i16;
  unsigned char *llvm_cbe_tmp4_2e_i10_2e_i;
  unsigned char *llvm_cbe_tmp4_2e_i5_2e_i;
  unsigned char *llvm_cbe___first_addr_2e_i_2e_0_2e_0;
  unsigned char *llvm_cbe___first_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe___result_addr_2e_i_2e_0_2e_0;
  unsigned char *llvm_cbe___result_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp4_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i78_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp34_2e_i79_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i63_2e_i_2e_i71;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i49_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i44_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___x_2e_i_2e_i_2e_0_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___x_2e_i_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp1_2e_i40_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i7_2e_i_2e_i72;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp70;
  unsigned char *llvm_cbe_storemerge;
  unsigned char *llvm_cbe_storemerge__PHI_TEMPORARY;

  _ZNSaIcEC1Ev((&llvm_cbe_tmp12));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_lname), llvm_cbe_name, (&llvm_cbe_tmp12));
  _ZNSaIcED1Ev((&llvm_cbe_tmp12));
  llvm_cbe_tmp15 = _ZNSs5beginEv((&llvm_cbe_lname));
  llvm_cbe_tmp24 = _ZNSs3endEv((&llvm_cbe_lname));
  llvm_cbe_tmp30 = _ZNSs5beginEv((&llvm_cbe_lname));
  llvm_cbe___first_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp30;   /* for PHI node */
  llvm_cbe___result_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15;   /* for PHI node */
  goto llvm_cbe_bb13_2e_i;

  do {     /* Syntactic loop 'bb13.i' to make GCC happy */
llvm_cbe_bb13_2e_i:
  llvm_cbe___first_addr_2e_i_2e_0_2e_0 = llvm_cbe___first_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe___result_addr_2e_i_2e_0_2e_0 = llvm_cbe___result_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe___first_addr_2e_i_2e_0_2e_0 == llvm_cbe_tmp24)) {
    goto llvm_cbe_invcont41;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp6_2e_i = *llvm_cbe___first_addr_2e_i_2e_0_2e_0;
  llvm_cbe_tmp9_2e_i16 = tolower((((signed int )(signed char )llvm_cbe_tmp6_2e_i)));
  *llvm_cbe___result_addr_2e_i_2e_0_2e_0 = (((unsigned char )llvm_cbe_tmp9_2e_i16));
  llvm_cbe_tmp4_2e_i10_2e_i = (&llvm_cbe___first_addr_2e_i_2e_0_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp4_2e_i5_2e_i = (&llvm_cbe___result_addr_2e_i_2e_0_2e_0[((signed long long )1ull)]);
  llvm_cbe___first_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i10_2e_i;   /* for PHI node */
  llvm_cbe___result_addr_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i5_2e_i;   /* for PHI node */
  goto llvm_cbe_bb13_2e_i;

  } while (1); /* end of syntactic loop 'bb13.i' */
llvm_cbe_invcont41:
  llvm_cbe_tmp4_2e_i_2e_i_2e_i = (&llvm_cbe_this->field7.field0.field0.field1.field1);
  llvm_cbe_tmp3_2e_i78_2e_i_2e_i = (&llvm_cbe_this->field7.field0.field0.field1);
  llvm_cbe_tmp34_2e_i79_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp3_2e_i78_2e_i_2e_i);
  llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i79_2e_i_2e_i;   /* for PHI node */
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb27_2e_i_2e_i_2e_outer;

  do {     /* Syntactic loop 'bb27.i.i.outer' to make GCC happy */
llvm_cbe_bb27_2e_i_2e_i_2e_outer:
  llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph = llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in = llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in;   /* for PHI node */
  goto llvm_cbe_bb27_2e_i_2e_i;

llvm_cbe_bb18_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i49_2e_i_2e_i = (&llvm_cbe___x_2e_i_2e_i_2e_0->field0.field2);
  llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe___x_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i49_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb27_2e_i_2e_i_2e_outer;

  do {     /* Syntactic loop 'bb27.i.i' to make GCC happy */
llvm_cbe_bb27_2e_i_2e_i:
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in = llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_in = *llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in;
  llvm_cbe___x_2e_i_2e_i_2e_0 = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___x_2e_i_2e_i_2e_0_2e_in);
  if ((llvm_cbe___x_2e_i_2e_i_2e_0_2e_in == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe_bb32_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb23_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i44_2e_i_2e_i = (&llvm_cbe___x_2e_i_2e_i_2e_0->field0.field3);
  llvm_cbe___x_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i44_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb27_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i63_2e_i_2e_i71 = _ZNKSs7compareERKSs(((&llvm_cbe___x_2e_i_2e_i_2e_0->field1.field0)), (&llvm_cbe_lname));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i63_2e_i_2e_i71) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb18_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb27.i.i' */
  } while (1); /* end of syntactic loop 'bb27.i.i.outer' */
llvm_cbe_bb32_2e_i_2e_i:
  llvm_cbe_tmp1_2e_i40_2e_i_2e_i = (&llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph->field0);
  if ((llvm_cbe_tmp1_2e_i40_2e_i_2e_i == llvm_cbe_tmp3_2e_i78_2e_i_2e_i)) {
    llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i78_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_invcont57;
  } else {
    goto llvm_cbe_bb42_2e_i_2e_i;
  }

llvm_cbe_bb42_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i7_2e_i_2e_i72 = _ZNKSs7compareERKSs((&llvm_cbe_lname), ((&llvm_cbe___y_2e_i_2e_i_2e_0_2e_ph->field1.field0)));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i7_2e_i_2e_i72) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb59_2e_i_2e_i;
  } else {
    llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i78_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_invcont57;
  }

llvm_cbe_bb59_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i40_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_invcont57;

llvm_cbe_invcont57:
  llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0 = llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0 == ((&llvm_cbe_this->field7.field0.field0.field1)))) {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char *)/*NULL*/0);   /* for PHI node */
    goto llvm_cbe_bb76;
  } else {
    goto llvm_cbe_bb66;
  }

llvm_cbe_bb66:
  llvm_cbe_tmp70 = _ZNKSs5c_strEv(((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp3_2e_i_2e_i49_2e_0_2e_0))->field1.field1)));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp70;   /* for PHI node */
  goto llvm_cbe_bb76;

llvm_cbe_bb76:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  _ZNSsD1Ev((&llvm_cbe_lname));
  return llvm_cbe_storemerge;
}


static struct l_struct_2E_std_3A__3A_string *_ZSt22__uninitialized_copy_aIPSsS0_SsET0_T_S2_S1_SaIT1_E(struct l_struct_2E_std_3A__3A_string *llvm_cbe___first, struct l_struct_2E_std_3A__3A_string *llvm_cbe___last, struct l_struct_2E_std_3A__3A_string *llvm_cbe___result) {
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp7_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_storemerge_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;

  llvm_cbe___first_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe___first;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe___result;   /* for PHI node */
  goto llvm_cbe_bb10_2e_i_2e_i;

  do {     /* Syntactic loop 'bb10.i.i' to make GCC happy */
llvm_cbe_bb10_2e_i_2e_i:
  llvm_cbe___first_addr_2e_i_2e_i_2e_0 = llvm_cbe___first_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  if ((llvm_cbe___first_addr_2e_i_2e_i_2e_0 == llvm_cbe___last)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe__ZSt10_ConstructISsSsEvPT_RKT0__2e_exit_2e_i_2e_i:
  llvm_cbe_tmp7_2e_i_2e_i = (&llvm_cbe___first_addr_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp9_2e_i_2e_i = (&llvm_cbe_storemerge_2e_i_2e_i[((signed long long )1ull)]);
  llvm_cbe___first_addr_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp7_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp9_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb10_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i:
  if ((llvm_cbe_storemerge_2e_i_2e_i == ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0))) {
    goto llvm_cbe__ZSt10_ConstructISsSsEvPT_RKT0__2e_exit_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  _ZNSsC1ERKSs(llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe___first_addr_2e_i_2e_i_2e_0);
  goto llvm_cbe__ZSt10_ConstructISsSsEvPT_RKT0__2e_exit_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb10.i.i' */
llvm_cbe_return:
  return llvm_cbe_storemerge_2e_i_2e_i;
}


static struct l_struct_2E_happyhttp_3A__3A_Response ***_ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE15_M_allocate_mapEm(struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this, unsigned long long llvm_cbe___n) {
  unsigned char *llvm_cbe_tmp12_2e_i3;

  if ((((unsigned long long )llvm_cbe___n) > ((unsigned long long )2305843009213693951ull))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb9_2e_i;
  }

llvm_cbe_bb_2e_i:
  _ZSt17__throw_bad_allocv();
  /*UNREACHABLE*/;
llvm_cbe_bb9_2e_i:
  llvm_cbe_tmp12_2e_i3 = _Znwm((llvm_cbe___n << 3ull));
  return (((struct l_struct_2E_happyhttp_3A__3A_Response ***)llvm_cbe_tmp12_2e_i3));
}


static struct l_struct_2E_std_3A__3A__Rb_tree_node_base *_ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___x, struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___p, struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ *llvm_cbe___v) {
  unsigned int llvm_cbe_tmp3_2e_i_2e_i13;
  unsigned char llvm_cbe_storemerge;
  unsigned char llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp1213_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3334;
  unsigned long long *llvm_cbe_tmp41;
  unsigned long long llvm_cbe_tmp42;

  if ((llvm_cbe___x == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE11_M_get_nodeEv_2e_exit_2e_i;
  }

llvm_cbe_bb:
  if ((((&llvm_cbe_this->field0.field1)) == llvm_cbe___p)) {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE11_M_get_nodeEv_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb13:
  llvm_cbe_tmp3_2e_i_2e_i13 = _ZNKSs7compareERKSs(((&llvm_cbe___v->field0)), ((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___p))->field1.field0)));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i13) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb24;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE11_M_get_nodeEv_2e_exit_2e_i;
  }

llvm_cbe_bb24:
  llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE11_M_get_nodeEv_2e_exit_2e_i;

llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE11_M_get_nodeEv_2e_exit_2e_i:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp12_2e_i_2e_i_2e_i = _Znwm(48ull);
  llvm_cbe_tmp1213_2e_i_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp12_2e_i_2e_i_2e_i);
  if ((((&llvm_cbe_tmp1213_2e_i_2e_i_2e_i->field1)) == ((struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ *)/*NULL*/0))) {
    goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE14_M_create_nodeERKS2__2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  _ZNSsC1ERKSs(((&llvm_cbe_tmp1213_2e_i_2e_i_2e_i->field1.field0)), ((&llvm_cbe___v->field0)));
  _ZNSsC1ERKSs(((&llvm_cbe_tmp1213_2e_i_2e_i_2e_i->field1.field1)), ((&llvm_cbe___v->field1)));
  goto llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE14_M_create_nodeERKS2__2e_exit;

llvm_cbe__ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE14_M_create_nodeERKS2__2e_exit:
  llvm_cbe_tmp3334 = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)llvm_cbe_tmp12_2e_i_2e_i_2e_i);
  _ZSt29_Rb_tree_insert_and_rebalancebPSt18_Rb_tree_node_baseS0_RS_(llvm_cbe_storemerge, llvm_cbe_tmp3334, llvm_cbe___p, ((&llvm_cbe_this->field0.field1)));
  llvm_cbe_tmp41 = (&llvm_cbe_this->field0.field2);
  llvm_cbe_tmp42 = *llvm_cbe_tmp41;
  *llvm_cbe_tmp41 = (llvm_cbe_tmp42 + 1ull);
  return llvm_cbe_tmp3334;
}


static struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE16_M_insert_uniqueERKS2_(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ *llvm_cbe___v) {
  struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ StructReturn;  /* Struct return temporary */
  struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ *llvm_cbe_agg_2e_result = &StructReturn;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp4_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp34_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp2_2e_i120;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i112;
  unsigned char llvm_cbe_retval67_2e_i118;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i98;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i93;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_storemerge_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_storemerge_2e_in_2e_in__PHI_TEMPORARY;
  bool llvm_cbe___comp_2e_0;
  bool llvm_cbe___comp_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_0_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___x_2e_0_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___x_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp1_2e_i89;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp6_2e_i78;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp65;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp4_2e_i38;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___j_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___j_2e_0_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp99;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp11_2e_0_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp11_2e_0_2e_0_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp11_2e_1_2e_0;
  unsigned char llvm_cbe_tmp11_2e_1_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp4_2e_i = (&llvm_cbe_this->field0.field1.field1);
  llvm_cbe_tmp34_2e_i = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)((&llvm_cbe_this->field0.field1)));
  llvm_cbe_tmp2_2e_i120 = (&llvm_cbe___v->field0);
  llvm_cbe___comp_2e_0__PHI_TEMPORARY = 0;   /* for PHI node */
  llvm_cbe___y_2e_0__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i;   /* for PHI node */
  llvm_cbe___x_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i;   /* for PHI node */
  goto llvm_cbe_bb39;

  do {     /* Syntactic loop 'bb39' to make GCC happy */
llvm_cbe_bb39:
  llvm_cbe___comp_2e_0 = ((llvm_cbe___comp_2e_0__PHI_TEMPORARY)&1);
  llvm_cbe___y_2e_0 = llvm_cbe___y_2e_0__PHI_TEMPORARY;
  llvm_cbe___x_2e_0_2e_in_2e_in = llvm_cbe___x_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___x_2e_0_2e_in = *llvm_cbe___x_2e_0_2e_in_2e_in;
  llvm_cbe___x_2e_0 = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___x_2e_0_2e_in);
  if ((llvm_cbe___x_2e_0_2e_in == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe_bb44;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb37:
  llvm_cbe_storemerge_2e_in_2e_in = llvm_cbe_storemerge_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___comp_2e_0__PHI_TEMPORARY = (llvm_cbe_retval67_2e_i118 == ((unsigned char )0));   /* for PHI node */
  llvm_cbe___y_2e_0__PHI_TEMPORARY = llvm_cbe___x_2e_0;   /* for PHI node */
  llvm_cbe___x_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_storemerge_2e_in_2e_in;   /* for PHI node */
  goto llvm_cbe_bb39;

llvm_cbe_bb29:
  llvm_cbe_tmp2_2e_i98 = (&llvm_cbe___x_2e_0->field0.field2);
  llvm_cbe_storemerge_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i98;   /* for PHI node */
  goto llvm_cbe_bb37;

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i_2e_i112 = _ZNKSs7compareERKSs(llvm_cbe_tmp2_2e_i120, ((&llvm_cbe___x_2e_0->field1.field0)));
  llvm_cbe_retval67_2e_i118 = ((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i112) >> ((unsigned int )31u)))));
  if ((llvm_cbe_retval67_2e_i118 == ((unsigned char )0))) {
    goto llvm_cbe_bb33;
  } else {
    goto llvm_cbe_bb29;
  }

llvm_cbe_bb33:
  llvm_cbe_tmp2_2e_i93 = (&llvm_cbe___x_2e_0->field0.field3);
  llvm_cbe_storemerge_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i93;   /* for PHI node */
  goto llvm_cbe_bb37;

  } while (1); /* end of syntactic loop 'bb39' */
llvm_cbe_bb44:
  llvm_cbe_tmp1_2e_i89 = (&llvm_cbe___y_2e_0->field0);
  if (llvm_cbe___comp_2e_0) {
    llvm_cbe___j_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i89;   /* for PHI node */
    goto llvm_cbe_bb80;
  } else {
    goto llvm_cbe_bb48;
  }

llvm_cbe_bb48:
  llvm_cbe_tmp6_2e_i78 = *((&llvm_cbe_this->field0.field1.field2));
  if ((llvm_cbe_tmp1_2e_i89 == llvm_cbe_tmp6_2e_i78)) {
    goto llvm_cbe_bb58;
  } else {
    goto llvm_cbe_bb78;
  }

llvm_cbe_bb58:
  llvm_cbe_tmp65 = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_this, llvm_cbe___x_2e_0_2e_in, llvm_cbe_tmp1_2e_i89, llvm_cbe___v);
  llvm_cbe_tmp11_2e_0_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp65;   /* for PHI node */
  llvm_cbe_tmp11_2e_1_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb121;

llvm_cbe_bb78:
  llvm_cbe_tmp4_2e_i38 = _ZSt18_Rb_tree_decrementPSt18_Rb_tree_node_base(llvm_cbe_tmp1_2e_i89);
  llvm_cbe___j_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i38;   /* for PHI node */
  goto llvm_cbe_bb80;

llvm_cbe_bb80:
  llvm_cbe___j_2e_0_2e_0 = llvm_cbe___j_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i = _ZNKSs7compareERKSs(((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___j_2e_0_2e_0))->field1.field0)), llvm_cbe_tmp2_2e_i120);
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    llvm_cbe_tmp11_2e_0_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe___j_2e_0_2e_0;   /* for PHI node */
    llvm_cbe_tmp11_2e_1_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_bb121;
  } else {
    goto llvm_cbe_bb92;
  }

llvm_cbe_bb92:
  llvm_cbe_tmp99 = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_this, llvm_cbe___x_2e_0_2e_in, llvm_cbe_tmp1_2e_i89, llvm_cbe___v);
  llvm_cbe_tmp11_2e_0_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp99;   /* for PHI node */
  llvm_cbe_tmp11_2e_1_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb121;

llvm_cbe_bb121:
  llvm_cbe_tmp11_2e_0_2e_0_2e_0 = llvm_cbe_tmp11_2e_0_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_1_2e_0 = llvm_cbe_tmp11_2e_1_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_agg_2e_result->field0.field0)) = llvm_cbe_tmp11_2e_0_2e_0_2e_0;
  *((&llvm_cbe_agg_2e_result->field1)) = llvm_cbe_tmp11_2e_1_2e_0;
  return StructReturn;
}


static void _ZN9happyhttp8Response11FlushHeaderEv(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ llvm_cbe_tmp2_2e_i_2e_i49_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ llvm_cbe_tmp9_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_pair_3C_std_3A__3A__Rb_tree_iterator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_bool_3E_ llvm_cbe_tmp16_2e_i_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E_ llvm_cbe_tmp3_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_value;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_header;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1;
  unsigned char llvm_cbe_tmp2;
  unsigned char *llvm_cbe_tmp6;
  unsigned char *llvm_cbe_tmp12;
  unsigned int llvm_cbe_tmp13;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp18;
  unsigned char *llvm_cbe_p_2e_0;
  unsigned char *llvm_cbe_p_2e_0__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp21;
  unsigned char *llvm_cbe_tmp39;
  unsigned char *llvm_cbe_tmp43;
  unsigned char *llvm_cbe_p_2e_2;
  unsigned char *llvm_cbe_p_2e_2__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp46;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp65;
  struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i19_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp34_2e_i20_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i1;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp2_2e_i2_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___x_2e_i_2e_i_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i140_2e_i2;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1_2e_i115_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i118_2e_i;
  unsigned long long llvm_cbe_tmp4_2e_i_2e_i_2e_i73_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base **llvm_cbe_tmp4_2e_i27_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp38_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i85_2e_i_2e_i95_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp56_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp59_2e_i_2e_i96_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp70_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp2_2e_i_2e_i146_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i168_2e_i_2e_i97_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp94_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp108_2e_i_2e_i98_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp4_2e_i131_2e_i_2e_i99_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i110_2e_i_2e_i100_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i97_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp139_2e_i_2e_i101_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp151_2e_i_2e_i102_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp162_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i45_2e_i_2e_i104_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp186_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp197_2e_i_2e_i105_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp4_2e_i25_2e_i_2e_i106_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i85107_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i7_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp228_2e_i_2e_i108_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp240_2e_i_2e_i109_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp251_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___i_2e_i_2e_0_2e_0;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe___i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp71;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp2 = _ZNKSs5emptyEv(llvm_cbe_tmp1);
  if ((llvm_cbe_tmp2 == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6 = _ZNKSs5c_strEv(llvm_cbe_tmp1);
  _ZNSsC1Ev((&llvm_cbe_header));
  _ZNSsC1Ev((&llvm_cbe_value));
  llvm_cbe_p_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6;   /* for PHI node */
  goto llvm_cbe_bb19;

  do {     /* Syntactic loop 'bb19' to make GCC happy */
llvm_cbe_bb19:
  llvm_cbe_p_2e_0 = llvm_cbe_p_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp21 = *llvm_cbe_p_2e_0;
  switch (llvm_cbe_tmp21) {
  default:
    goto llvm_cbe_bb7;
;
  case ((unsigned char )0):
    llvm_cbe_p_2e_2__PHI_TEMPORARY = llvm_cbe_p_2e_0;   /* for PHI node */
    goto llvm_cbe_bb44;
  case ((unsigned char )58):
    goto llvm_cbe_bb37;
    break;
  }
llvm_cbe_bb7:
  llvm_cbe_tmp12 = (&llvm_cbe_p_2e_0[((signed long long )1ull)]);
  llvm_cbe_tmp13 = tolower((((signed int )(signed char )llvm_cbe_tmp21)));
  llvm_cbe_tmp18 = _ZNSspLEc((&llvm_cbe_header), (((unsigned char )llvm_cbe_tmp13)));
  llvm_cbe_p_2e_0__PHI_TEMPORARY = llvm_cbe_tmp12;   /* for PHI node */
  goto llvm_cbe_bb19;

  } while (1); /* end of syntactic loop 'bb19' */
llvm_cbe_bb37:
  llvm_cbe_tmp39 = (&llvm_cbe_p_2e_0[((signed long long )1ull)]);
  llvm_cbe_p_2e_2__PHI_TEMPORARY = llvm_cbe_tmp39;   /* for PHI node */
  goto llvm_cbe_bb44;

  do {     /* Syntactic loop 'bb44' to make GCC happy */
llvm_cbe_bb44:
  llvm_cbe_p_2e_2 = llvm_cbe_p_2e_2__PHI_TEMPORARY;
  llvm_cbe_tmp46 = *llvm_cbe_p_2e_2;
  switch (llvm_cbe_tmp46) {
  default:
    goto llvm_cbe_bb62;
;
  case ((unsigned char )32):
    goto llvm_cbe_bb41;
  case ((unsigned char )9):
    goto llvm_cbe_bb41;
  }
llvm_cbe_bb41:
  llvm_cbe_tmp43 = (&llvm_cbe_p_2e_2[((signed long long )1ull)]);
  llvm_cbe_p_2e_2__PHI_TEMPORARY = llvm_cbe_tmp43;   /* for PHI node */
  goto llvm_cbe_bb44;

  } while (1); /* end of syntactic loop 'bb44' */
llvm_cbe_bb62:
  llvm_cbe_tmp65 = _ZNSsaSEPKc((&llvm_cbe_value), llvm_cbe_p_2e_2);
  llvm_cbe_tmp3_2e_i_2e_i = (&llvm_cbe_this->field7.field0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_this->field7.field0.field0.field1.field1);
  llvm_cbe_tmp3_2e_i19_2e_i_2e_i_2e_i = (&llvm_cbe_this->field7.field0.field0.field1);
  llvm_cbe_tmp34_2e_i20_2e_i_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp3_2e_i19_2e_i_2e_i_2e_i);
  llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i20_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb25_2e_i_2e_i_2e_i_2e_outer;

  do {     /* Syntactic loop 'bb25.i.i.i.outer' to make GCC happy */
llvm_cbe_bb25_2e_i_2e_i_2e_i_2e_outer:
  llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph = llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in = llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in;   /* for PHI node */
  goto llvm_cbe_bb25_2e_i_2e_i_2e_i;

llvm_cbe_bb16_2e_i_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i = (&llvm_cbe___x_2e_i_2e_i_2e_i_2e_0->field0.field2);
  llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe___x_2e_i_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_ph_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i5_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb25_2e_i_2e_i_2e_i_2e_outer;

  do {     /* Syntactic loop 'bb25.i.i.i' to make GCC happy */
llvm_cbe_bb25_2e_i_2e_i_2e_i:
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in = llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in = *llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in;
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0 = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in);
  if ((llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE11lower_boundERS3__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb21_2e_i_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i2_2e_i_2e_i_2e_i = (&llvm_cbe___x_2e_i_2e_i_2e_i_2e_0->field0.field3);
  llvm_cbe___x_2e_i_2e_i_2e_i_2e_0_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i2_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb25_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i1 = _ZNKSs7compareERKSs(((&llvm_cbe___x_2e_i_2e_i_2e_i_2e_0->field1.field0)), (&llvm_cbe_header));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i_2e_i1) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb16_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb25.i.i.i' */
  } while (1); /* end of syntactic loop 'bb25.i.i.i.outer' */
llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE11lower_boundERS3__2e_exit_2e_i:
  llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph->field0);
  if ((llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i == ((&llvm_cbe_this->field7.field0.field0.field1)))) {
    goto llvm_cbe_bb40_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i140_2e_i2 = _ZNKSs7compareERKSs((&llvm_cbe_header), ((&llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph->field1.field0)));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i140_2e_i2) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    llvm_cbe___i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_invcont68;
  } else {
    goto llvm_cbe_bb40_2e_i;
  }

llvm_cbe_bb40_2e_i:
  _ZNSsC1Ev((&llvm_cbe_tmp2_2e_i));
  llvm_cbe_tmp1_2e_i115_2e_i = (&llvm_cbe_tmp3_2e_i.field0);
  _ZNSsC1ERKSs(llvm_cbe_tmp1_2e_i115_2e_i, (&llvm_cbe_header));
  llvm_cbe_tmp4_2e_i118_2e_i = (&llvm_cbe_tmp3_2e_i.field1);
  _ZNSsC1ERKSs(llvm_cbe_tmp4_2e_i118_2e_i, (&llvm_cbe_tmp2_2e_i));
  if ((llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i == llvm_cbe_tmp3_2e_i19_2e_i_2e_i_2e_i)) {
    goto llvm_cbe_bb_2e_i_2e_i74_2e_i;
  } else {
    goto llvm_cbe_bb74_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i74_2e_i:
  llvm_cbe_tmp4_2e_i_2e_i_2e_i73_2e_i = *((&llvm_cbe_this->field7.field0.field0.field2));
  if ((llvm_cbe_tmp4_2e_i_2e_i_2e_i73_2e_i == 0ull)) {
    goto llvm_cbe_bb64_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb33_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb33_2e_i_2e_i_2e_i:
  llvm_cbe_tmp4_2e_i27_2e_i_2e_i_2e_i = (&llvm_cbe_this->field7.field0.field0.field1.field3);
  llvm_cbe_tmp38_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i27_2e_i_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i85_2e_i_2e_i95_2e_i = _ZNKSs7compareERKSs(((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp38_2e_i_2e_i_2e_i))->field1.field0)), llvm_cbe_tmp1_2e_i115_2e_i);
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i85_2e_i_2e_i95_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb64_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb53_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb53_2e_i_2e_i_2e_i:
  llvm_cbe_tmp56_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i27_2e_i_2e_i_2e_i;
  llvm_cbe_tmp59_2e_i_2e_i96_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0), llvm_cbe_tmp56_2e_i_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp59_2e_i_2e_i96_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb64_2e_i_2e_i_2e_i:
  llvm_cbe_tmp16_2e_i_2e_i_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE16_M_insert_uniqueERKS2_(llvm_cbe_tmp3_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp70_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp16_2e_i_2e_i_2e_i.field0.field0));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp70_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb74_2e_i_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i146_2e_i_2e_i_2e_i = (&llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph->field1.field0);
  llvm_cbe_tmp3_2e_i_2e_i168_2e_i_2e_i97_2e_i = _ZNKSs7compareERKSs(llvm_cbe_tmp1_2e_i115_2e_i, llvm_cbe_tmp2_2e_i_2e_i146_2e_i_2e_i_2e_i);
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i168_2e_i_2e_i97_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb166_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb86_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb86_2e_i_2e_i_2e_i:
  llvm_cbe_tmp94_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field7.field0.field0.field1.field2));
  if ((llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i == llvm_cbe_tmp94_2e_i_2e_i_2e_i)) {
    goto llvm_cbe_bb99_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb113_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb99_2e_i_2e_i_2e_i:
  llvm_cbe_tmp108_2e_i_2e_i98_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, llvm_cbe_tmp94_2e_i_2e_i_2e_i, llvm_cbe_tmp94_2e_i_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp108_2e_i_2e_i98_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb113_2e_i_2e_i_2e_i:
  llvm_cbe_tmp4_2e_i131_2e_i_2e_i99_2e_i = _ZSt18_Rb_tree_decrementPSt18_Rb_tree_node_base(llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i_2e_i110_2e_i_2e_i100_2e_i = _ZNKSs7compareERKSs(((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp4_2e_i131_2e_i_2e_i99_2e_i))->field1.field0)), llvm_cbe_tmp1_2e_i115_2e_i);
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i110_2e_i_2e_i100_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb156_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb126_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb126_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i97_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp4_2e_i131_2e_i_2e_i99_2e_i->field3));
  if ((llvm_cbe_tmp3_2e_i97_2e_i_2e_i_2e_i == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe_bb134_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb144_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb134_2e_i_2e_i_2e_i:
  llvm_cbe_tmp139_2e_i_2e_i101_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0), llvm_cbe_tmp4_2e_i131_2e_i_2e_i99_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp139_2e_i_2e_i101_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb144_2e_i_2e_i_2e_i:
  llvm_cbe_tmp151_2e_i_2e_i102_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i, llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp151_2e_i_2e_i102_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb156_2e_i_2e_i_2e_i:
  llvm_cbe_tmp9_2e_i_2e_i_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE16_M_insert_uniqueERKS2_(llvm_cbe_tmp3_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp162_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp9_2e_i_2e_i_2e_i.field0.field0));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp162_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb166_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i45_2e_i_2e_i104_2e_i = _ZNKSs7compareERKSs(llvm_cbe_tmp2_2e_i_2e_i146_2e_i_2e_i_2e_i, llvm_cbe_tmp1_2e_i115_2e_i);
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i45_2e_i_2e_i104_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb178_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb178_2e_i_2e_i_2e_i:
  llvm_cbe_tmp186_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field7.field0.field0.field1.field3));
  if ((llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i == llvm_cbe_tmp186_2e_i_2e_i_2e_i)) {
    goto llvm_cbe_bb191_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb202_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb191_2e_i_2e_i_2e_i:
  llvm_cbe_tmp197_2e_i_2e_i105_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0), llvm_cbe_tmp186_2e_i_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp197_2e_i_2e_i105_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb202_2e_i_2e_i_2e_i:
  llvm_cbe_tmp4_2e_i25_2e_i_2e_i106_2e_i = _ZSt18_Rb_tree_incrementPSt18_Rb_tree_node_base(llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i85107_2e_i = _ZNKSs7compareERKSs(llvm_cbe_tmp1_2e_i115_2e_i, ((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp4_2e_i25_2e_i_2e_i106_2e_i))->field1.field0)));
  if (((((unsigned char )(((unsigned int )(((unsigned int )llvm_cbe_tmp3_2e_i_2e_i_2e_i_2e_i85107_2e_i) >> ((unsigned int )31u)))))) == ((unsigned char )0))) {
    goto llvm_cbe_bb245_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb215_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb215_2e_i_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i7_2e_i_2e_i_2e_i = *((&llvm_cbe___y_2e_i_2e_i_2e_i_2e_0_2e_ph->field0.field3));
  if ((llvm_cbe_tmp3_2e_i7_2e_i_2e_i_2e_i == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0))) {
    goto llvm_cbe_bb223_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb233_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb223_2e_i_2e_i_2e_i:
  llvm_cbe_tmp228_2e_i_2e_i108_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, ((struct l_struct_2E_std_3A__3A__Rb_tree_node_base *)/*NULL*/0), llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp228_2e_i_2e_i108_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb233_2e_i_2e_i_2e_i:
  llvm_cbe_tmp240_2e_i_2e_i109_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE9_M_insertEPSt18_Rb_tree_node_baseSA_RKS2_(llvm_cbe_tmp3_2e_i_2e_i, llvm_cbe_tmp4_2e_i25_2e_i_2e_i106_2e_i, llvm_cbe_tmp4_2e_i25_2e_i_2e_i106_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp240_2e_i_2e_i109_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe_bb245_2e_i_2e_i_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i49_2e_i = _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE16_M_insert_uniqueERKS2_(llvm_cbe_tmp3_2e_i_2e_i, (&llvm_cbe_tmp3_2e_i));
  llvm_cbe_tmp251_2e_i_2e_i_2e_i = *((&llvm_cbe_tmp2_2e_i_2e_i49_2e_i.field0.field0));
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp251_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i;

llvm_cbe__ZNSt3mapISsSsSt4lessISsESaISt4pairIKSsSsEEE6insertESt17_Rb_tree_iteratorIS4_ERKS4__2e_exit_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0 = llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  _ZNSsD1Ev(llvm_cbe_tmp4_2e_i118_2e_i);
  _ZNSsD1Ev(llvm_cbe_tmp1_2e_i115_2e_i);
  _ZNSsD1Ev((&llvm_cbe_tmp2_2e_i));
  llvm_cbe___i_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp18_2e_i_2e_i56_2e_i_2e_0_2e_0;   /* for PHI node */
  goto llvm_cbe_invcont68;

llvm_cbe_invcont68:
  llvm_cbe___i_2e_i_2e_0_2e_0 = llvm_cbe___i_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp71 = _ZNSsaSERKSs(((&(((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe___i_2e_i_2e_0_2e_0))->field1.field1)), (&llvm_cbe_value));
  _ZNSs5clearEv(llvm_cbe_tmp1);
  _ZNSsD1Ev((&llvm_cbe_value));
  _ZNSsD1Ev((&llvm_cbe_header));
  return;
llvm_cbe_return:
  return;
}


static void _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE8_M_eraseEPSt13_Rb_tree_nodeIS2_E(struct l_struct_2E_std_3A__3A__Rb_tree_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A__Select1st_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__2C_std_3A__3A_less_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe___x) {
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp3_2e_i3;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_tmp34_2e_i4;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_storemerge;
  struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe___x;   /* for PHI node */
  goto llvm_cbe_bb10;

  do {     /* Syntactic loop 'bb10' to make GCC happy */
llvm_cbe_bb10:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((llvm_cbe_storemerge == ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_storemerge->field0.field3));
  _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE8_M_eraseEPSt13_Rb_tree_nodeIS2_E(llvm_cbe_this, (((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp3_2e_i)));
  llvm_cbe_tmp3_2e_i3 = *((&llvm_cbe_storemerge->field0.field2));
  llvm_cbe_tmp34_2e_i4 = ((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp3_2e_i3);
  _ZNSsD1Ev(((&llvm_cbe_storemerge->field1.field1)));
  _ZNSsD1Ev(((&llvm_cbe_storemerge->field1.field0)));
  _ZdlPv((((unsigned char *)llvm_cbe_storemerge)));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i4;   /* for PHI node */
  goto llvm_cbe_bb10;

  } while (1); /* end of syntactic loop 'bb10' */
llvm_cbe_return:
  return;
}


static void _ZN9happyhttp8ResponseD1Ev(struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A__Rb_tree_node_base *llvm_cbe_tmp5_2e_i_2e_i_2e_i;

  _ZNSsD1Ev(((&llvm_cbe_this->field14)));
  _ZNSsD1Ev(((&llvm_cbe_this->field13)));
  llvm_cbe_tmp5_2e_i_2e_i_2e_i = *((&llvm_cbe_this->field7.field0.field0.field1.field1));
  _ZNSt8_Rb_treeISsSt4pairIKSsSsESt10_Select1stIS2_ESt4lessISsESaIS2_EE8_M_eraseEPSt13_Rb_tree_nodeIS2_E(((&llvm_cbe_this->field7.field0)), (((struct l_struct_2E_std_3A__3A__Rb_tree_node_3C_std_3A__3A_pair_3C_const_20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C__20_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *)llvm_cbe_tmp5_2e_i_2e_i_2e_i)));
  _ZNSsD1Ev(((&llvm_cbe_this->field6)));
  _ZNSsD1Ev(((&llvm_cbe_this->field3)));
  _ZNSsD1Ev(((&llvm_cbe_this->field2)));
  return;
}


static void _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE9pop_frontEv(struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this) {
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp4;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp5;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp11;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp31;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp14_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp15_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp23_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp24_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp4_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp34_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_storemerge;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field0.field0.field2.field0);
  llvm_cbe_tmp5 = *llvm_cbe_tmp4;
  llvm_cbe_tmp11 = *((&llvm_cbe_this->field0.field0.field2.field2));
  if ((llvm_cbe_tmp5 == ((&llvm_cbe_tmp11[((signed long long )18446744073709551615ull)])))) {
    goto llvm_cbe_bb37;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp31 = (&llvm_cbe_tmp5[((signed long long )1ull)]);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp31;   /* for PHI node */
  goto llvm_cbe_bb39;

llvm_cbe_bb37:
  llvm_cbe_tmp14_2e_i = (&llvm_cbe_this->field0.field0.field2.field1);
  llvm_cbe_tmp15_2e_i = *llvm_cbe_tmp14_2e_i;
  _ZdlPv((((unsigned char *)llvm_cbe_tmp15_2e_i)));
  llvm_cbe_tmp23_2e_i = *((&llvm_cbe_this->field0.field0.field2.field3));
  llvm_cbe_tmp24_2e_i = (&llvm_cbe_tmp23_2e_i[((signed long long )1ull)]);
  *((&llvm_cbe_this->field0.field0.field2.field3)) = llvm_cbe_tmp24_2e_i;
  llvm_cbe_tmp4_2e_i_2e_i = *llvm_cbe_tmp24_2e_i;
  *((&llvm_cbe_this->field0.field0.field2.field1)) = llvm_cbe_tmp4_2e_i_2e_i;
  *((&llvm_cbe_this->field0.field0.field2.field2)) = ((&llvm_cbe_tmp4_2e_i_2e_i[((signed long long )64ull)]));
  llvm_cbe_tmp34_2e_i = *llvm_cbe_tmp14_2e_i;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp34_2e_i;   /* for PHI node */
  goto llvm_cbe_bb39;

llvm_cbe_bb39:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *llvm_cbe_tmp4 = llvm_cbe_storemerge;
  return;
}


static void _ZNSt12_Vector_baseISsSaISsEED2Ev(struct l_struct_2E_std_3A__3A__Vector_base_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp15;

  llvm_cbe_tmp15 = *((&llvm_cbe_this->field0.field0));
  if ((llvm_cbe_tmp15 == ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  _ZdlPv((((unsigned char *)llvm_cbe_tmp15)));
  return;
llvm_cbe_return:
  return;
}


static void _ZNSt6vectorISsSaISsEED1Ev(struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this) {
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp8;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp13;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0.field0.field1));
  llvm_cbe_tmp13 = *((&llvm_cbe_this->field0.field0.field0));
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i;

  do {     /* Syntactic loop 'bb5.i.i.i' to make GCC happy */
llvm_cbe_bb5_2e_i_2e_i_2e_i:
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0 = llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0 == llvm_cbe_tmp8)) {
    goto llvm_cbe_invcont;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  _ZNSsD1Ev(llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i = (&llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe___first_addr_2e_i_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb5.i.i.i' */
llvm_cbe_invcont:
  _ZNSt12_Vector_baseISsSaISsEED2Ev(((&llvm_cbe_this->field0)));
  return;
}


static void _ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EED2Ev(struct l_struct_2E_std_3A__3A__Deque_base_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this) {
  struct l_struct_2E_happyhttp_3A__3A_Response ****llvm_cbe_tmp2;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp3;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp10;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp11;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp16;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp2_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp5_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_storemerge_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp25;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  if ((llvm_cbe_tmp3 == ((struct l_struct_2E_happyhttp_3A__3A_Response ***)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp10 = *((&llvm_cbe_this->field0.field3.field3));
  llvm_cbe_tmp11 = (&llvm_cbe_tmp10[((signed long long )1ull)]);
  llvm_cbe_tmp16 = *((&llvm_cbe_this->field0.field2.field3));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16;   /* for PHI node */
  goto llvm_cbe_bb6_2e_i;

  do {     /* Syntactic loop 'bb6.i' to make GCC happy */
llvm_cbe_bb6_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((((unsigned long long )llvm_cbe_storemerge_2e_i) < ((unsigned long long )llvm_cbe_tmp11))) {
    goto llvm_cbe__ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE18_M_deallocate_nodeEPS2__2e_exit_2e_i;
  } else {
    goto llvm_cbe_invcont;
  }

llvm_cbe__ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EE18_M_deallocate_nodeEPS2__2e_exit_2e_i:
  llvm_cbe_tmp2_2e_i = *llvm_cbe_storemerge_2e_i;
  _ZdlPv((((unsigned char *)llvm_cbe_tmp2_2e_i)));
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_storemerge_2e_i[((signed long long )1ull)]);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i;   /* for PHI node */
  goto llvm_cbe_bb6_2e_i;

  } while (1); /* end of syntactic loop 'bb6.i' */
llvm_cbe_invcont:
  llvm_cbe_tmp25 = *llvm_cbe_tmp2;
  _ZdlPv((((unsigned char *)llvm_cbe_tmp25)));
  return;
llvm_cbe_return:
  return;
}


static void _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EED1Ev(struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_this) {
  _ZNSt11_Deque_baseIPN9happyhttp8ResponseESaIS2_EED2Ev(((&llvm_cbe_this->field0)));
  return;
}


static void _ZNSt6vectorISsSaISsEE9push_backERKSs(struct l_struct_2E_std_3A__3A_vector_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__2C_std_3A__3A_allocator_3C_std_3A__3A_basic_string_3C_char_2C__20_std_3A__3A_char_traits_3C_char_3E__2C__20_std_3A__3A_allocator_3C_char_3E__20__3E__20__3E__20__3E_ *llvm_cbe_this, struct l_struct_2E_std_3A__3A_string *llvm_cbe___x) {
  unsigned long long llvm_cbe___len_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp5;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp6;
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp10;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp11;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp28;
  struct l_struct_2E_std_3A__3A_string **llvm_cbe_tmp10_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp11_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp13_2e_i144_2e_i;
  unsigned long long llvm_cbe_tmp14_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp83_2e_i;
  unsigned long long llvm_cbe_storemerge_2e_i;
  unsigned long long llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe___len_2e_i_2e_0_2e_reload30;
  unsigned char *llvm_cbe_tmp12_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp1213_2e_i_2e_i_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp110_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp113_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp136_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp141_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp149_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp154_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp4_2e_i_2e_i_2e_i45_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp206_2e_i;
  unsigned long long llvm_cbe___len_2e_i_2e_0_2e_reload;

  llvm_cbe_tmp5 = (&llvm_cbe_this->field0.field0.field1);
  llvm_cbe_tmp6 = *llvm_cbe_tmp5;
  llvm_cbe_tmp10 = (&llvm_cbe_this->field0.field0.field2);
  llvm_cbe_tmp11 = *llvm_cbe_tmp10;
  if ((llvm_cbe_tmp6 == llvm_cbe_tmp11)) {
    goto llvm_cbe_bb64_2e_i;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  if ((llvm_cbe_tmp6 == ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0))) {
    goto llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  _ZNSsC1ERKSs(llvm_cbe_tmp6, llvm_cbe___x);
  goto llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit;

llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit:
  llvm_cbe_tmp28 = *llvm_cbe_tmp5;
  *llvm_cbe_tmp5 = ((&llvm_cbe_tmp28[((signed long long )1ull)]));
  return;
llvm_cbe_bb64_2e_i:
  llvm_cbe_tmp10_2e_i_2e_i = (&llvm_cbe_this->field0.field0.field0);
  llvm_cbe_tmp11_2e_i_2e_i = *llvm_cbe_tmp10_2e_i_2e_i;
  llvm_cbe_tmp13_2e_i144_2e_i = (((unsigned long long )(unsigned long)llvm_cbe_tmp6)) - (((unsigned long long )(unsigned long)llvm_cbe_tmp11_2e_i_2e_i));
  llvm_cbe_tmp14_2e_i_2e_i = ((signed long long )(((signed long long )llvm_cbe_tmp13_2e_i144_2e_i) >> ((signed long long )3ull)));
  if ((llvm_cbe_tmp14_2e_i_2e_i == 0ull)) {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 1ull;   /* for PHI node */
    goto llvm_cbe_bb85_2e_i;
  } else {
    goto llvm_cbe_bb81_2e_i;
  }

llvm_cbe_bb81_2e_i:
  llvm_cbe_tmp83_2e_i = (((signed long long )(((signed long long )llvm_cbe_tmp13_2e_i144_2e_i) >> ((signed long long )2ull)))) & 18446744073709551614ull;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp83_2e_i;   /* for PHI node */
  goto llvm_cbe_bb85_2e_i;

llvm_cbe_bb85_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((((unsigned long long )llvm_cbe_storemerge_2e_i) < ((unsigned long long )llvm_cbe_tmp14_2e_i_2e_i))) {
    goto llvm_cbe_bb95_2e_i_2e_thread;
  } else {
    goto llvm_cbe_bb95_2e_i;
  }

llvm_cbe_bb95_2e_i_2e_thread:
  *(&llvm_cbe___len_2e_i_2e_0_2e_reg2mem) = 2305843009213693951ull;
  goto llvm_cbe__ZNSt12_Vector_baseISsSaISsEE11_M_allocateEm_2e_exit_2e_i;

llvm_cbe_bb95_2e_i:
  *(&llvm_cbe___len_2e_i_2e_0_2e_reg2mem) = llvm_cbe_storemerge_2e_i;
  if ((((unsigned long long )llvm_cbe_storemerge_2e_i) > ((unsigned long long )2305843009213693951ull))) {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZNSt12_Vector_baseISsSaISsEE11_M_allocateEm_2e_exit_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i:
  _ZSt17__throw_bad_allocv();
  /*UNREACHABLE*/;
llvm_cbe__ZNSt12_Vector_baseISsSaISsEE11_M_allocateEm_2e_exit_2e_i:
  llvm_cbe___len_2e_i_2e_0_2e_reload30 = *(&llvm_cbe___len_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp12_2e_i_2e_i_2e_i = _Znwm((llvm_cbe___len_2e_i_2e_0_2e_reload30 << 3ull));
  llvm_cbe_tmp1213_2e_i_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A_string *)llvm_cbe_tmp12_2e_i_2e_i_2e_i);
  llvm_cbe_tmp110_2e_i = *llvm_cbe_tmp10_2e_i_2e_i;
  llvm_cbe_tmp113_2e_i = _ZSt22__uninitialized_copy_aIPSsS0_SsET0_T_S2_S1_SaIT1_E(llvm_cbe_tmp110_2e_i, llvm_cbe_tmp6, llvm_cbe_tmp1213_2e_i_2e_i_2e_i);
  if ((llvm_cbe_tmp113_2e_i == ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0))) {
    goto llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit96_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i80_2e_i;
  }

llvm_cbe_bb_2e_i80_2e_i:
  _ZNSsC1ERKSs(llvm_cbe_tmp113_2e_i, llvm_cbe___x);
  goto llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit96_2e_i;

llvm_cbe__ZN9__gnu_cxx13new_allocatorISsE9constructEPSsRKSs_2e_exit96_2e_i:
  llvm_cbe_tmp136_2e_i = *llvm_cbe_tmp5;
  llvm_cbe_tmp141_2e_i = _ZSt22__uninitialized_copy_aIPSsS0_SsET0_T_S2_S1_SaIT1_E(llvm_cbe_tmp6, llvm_cbe_tmp136_2e_i, ((&llvm_cbe_tmp113_2e_i[((signed long long )1ull)])));
  llvm_cbe_tmp149_2e_i = *llvm_cbe_tmp5;
  llvm_cbe_tmp154_2e_i = *llvm_cbe_tmp10_2e_i_2e_i;
  llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp154_2e_i;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i50_2e_i;

  do {     /* Syntactic loop 'bb5.i.i.i50.i' to make GCC happy */
llvm_cbe_bb5_2e_i_2e_i_2e_i50_2e_i:
  llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0 = llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0 == llvm_cbe_tmp149_2e_i)) {
    goto llvm_cbe__ZSt8_DestroyIPSsSsEvT_S1_SaIT0_E_2e_exit52_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i46_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i_2e_i46_2e_i:
  _ZNSsD1Ev(llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0);
  llvm_cbe_tmp4_2e_i_2e_i_2e_i45_2e_i = (&llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0[((signed long long )1ull)]);
  llvm_cbe___first_addr_2e_i_2e_i_2e_i29_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i_2e_i_2e_i45_2e_i;   /* for PHI node */
  goto llvm_cbe_bb5_2e_i_2e_i_2e_i50_2e_i;

  } while (1); /* end of syntactic loop 'bb5.i.i.i50.i' */
llvm_cbe__ZSt8_DestroyIPSsSsEvT_S1_SaIT0_E_2e_exit52_2e_i:
  llvm_cbe_tmp206_2e_i = *llvm_cbe_tmp10_2e_i_2e_i;
  if ((llvm_cbe_tmp206_2e_i == ((struct l_struct_2E_std_3A__3A_string *)/*NULL*/0))) {
    goto llvm_cbe__ZNSt12_Vector_baseISsSaISsEE13_M_deallocateEPSsm_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i7_2e_i;
  }

llvm_cbe_bb_2e_i7_2e_i:
  _ZdlPv((((unsigned char *)llvm_cbe_tmp206_2e_i)));
  goto llvm_cbe__ZNSt12_Vector_baseISsSaISsEE13_M_deallocateEPSsm_2e_exit_2e_i;

llvm_cbe__ZNSt12_Vector_baseISsSaISsEE13_M_deallocateEPSsm_2e_exit_2e_i:
  *llvm_cbe_tmp10_2e_i_2e_i = llvm_cbe_tmp1213_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp5 = llvm_cbe_tmp141_2e_i;
  llvm_cbe___len_2e_i_2e_0_2e_reload = *(&llvm_cbe___len_2e_i_2e_0_2e_reg2mem);
  *llvm_cbe_tmp10 = ((&llvm_cbe_tmp1213_2e_i_2e_i_2e_i[((signed long long )llvm_cbe___len_2e_i_2e_0_2e_reload)]));
  return;
}


static void _ZSt4copyIPPPN9happyhttp8ResponseES4_ET0_T_S6_S5_(struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___first, struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___last, struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe___result) {
  unsigned char *ltmp_26_1;

  ltmp_26_1 = memmove((((unsigned char *)llvm_cbe___result)), (((unsigned char *)llvm_cbe___first)), (((((unsigned long long )(unsigned long)llvm_cbe___last)) - (((unsigned long long )(unsigned long)llvm_cbe___first))) & 18446744073709551608ull));
  return;
}


static void _ZN9happyhttp10Connection5closeEv(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp9;
  struct l_struct_2E_std_3A__3A_deque_3C_happyhttp_3A__3A_Response_2A__2C_std_3A__3A_allocator_3C_happyhttp_3A__3A_Response_2A__3E__20__3E_ *llvm_cbe_tmp31;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp2_2e_i_2e_i3;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp5_2e_i_2e_i5;
  struct l_struct_2E_happyhttp_3A__3A_Response ***llvm_cbe_tmp1_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  struct l_struct_2E_happyhttp_3A__3A_Response *llvm_cbe_tmp17;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp3_2e_i_2e_i4;
  struct l_struct_2E_happyhttp_3A__3A_Response **llvm_cbe_tmp6_2e_i_2e_i;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  if ((((signed int )llvm_cbe_tmp3) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb10;
  }

llvm_cbe_bb:
  llvm_cbe_tmp9 = close(llvm_cbe_tmp3);
  goto llvm_cbe_bb10;

llvm_cbe_bb10:
  *llvm_cbe_tmp2 = 4294967295u;
  llvm_cbe_tmp31 = (&llvm_cbe_this->field9);
  llvm_cbe_tmp2_2e_i_2e_i3 = (&llvm_cbe_this->field9.field0.field0.field3.field0);
  llvm_cbe_tmp5_2e_i_2e_i5 = (&llvm_cbe_this->field9.field0.field0.field2.field0);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i = (&llvm_cbe_this->field9.field0.field0.field2.field0);
  goto llvm_cbe_bb29;

  do {     /* Syntactic loop 'bb29' to make GCC happy */
llvm_cbe_bb29:
  llvm_cbe_tmp3_2e_i_2e_i4 = *llvm_cbe_tmp2_2e_i_2e_i3;
  llvm_cbe_tmp6_2e_i_2e_i = *llvm_cbe_tmp5_2e_i_2e_i5;
  if ((llvm_cbe_tmp3_2e_i_2e_i4 == llvm_cbe_tmp6_2e_i_2e_i)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb13;
  }

llvm_cbe_bb26:
  _ZNSt5dequeIPN9happyhttp8ResponseESaIS2_EE9pop_frontEv(llvm_cbe_tmp31);
  goto llvm_cbe_bb29;

llvm_cbe_bb13:
  llvm_cbe_tmp2_2e_i_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i_2e_i;
  llvm_cbe_tmp17 = *llvm_cbe_tmp2_2e_i_2e_i_2e_i;
  if ((llvm_cbe_tmp17 == ((struct l_struct_2E_happyhttp_3A__3A_Response *)/*NULL*/0))) {
    goto llvm_cbe_bb26;
  } else {
    goto llvm_cbe_bb22;
  }

llvm_cbe_bb22:
  _ZN9happyhttp8ResponseD1Ev(llvm_cbe_tmp17);
  _ZdlPv((((unsigned char *)llvm_cbe_tmp17)));
  goto llvm_cbe_bb26;

  } while (1); /* end of syntactic loop 'bb29' */
llvm_cbe_return:
  return;
}


static void _ZN9happyhttp6WobblyC1EPKcz(struct l_struct_2E_happyhttp_3A__3A_Wobbly *llvm_cbe_this, unsigned char *llvm_cbe_fmt, ...) {
  struct l_struct_2E___va_list_tag llvm_cbe_ap[1];    /* Address-exposed local */
  unsigned char *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp7;

  llvm_cbe_tmp1 = ((unsigned char *)(&llvm_cbe_ap));
  0; va_start(*(va_list*)llvm_cbe_tmp1, llvm_cbe_fmt);
  llvm_cbe_tmp7 = vsnprintf(((&llvm_cbe_this->field0[((signed long long )0ull)])), 256ull, llvm_cbe_fmt, ((&llvm_cbe_ap[((signed long long )0ull)])));
  0; va_end(*(va_list*)llvm_cbe_tmp1);
  if ((llvm_cbe_tmp7 == 256u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  *((&llvm_cbe_this->field0[((signed long long )255ull)])) = ((unsigned char )0);
  return;
llvm_cbe_return:
  return;
}


static void _ZN9happyhttp10Connection9putheaderEPKcS2_(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this, unsigned char *llvm_cbe_header, unsigned char *llvm_cbe_value) {
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp1;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp2;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp5;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp9;
  unsigned char *llvm_cbe_tmp12;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp9_2e_i15;

  llvm_cbe_tmp9 = *((&llvm_cbe_this->field4));
  if ((llvm_cbe_tmp9 == 1u)) {
    goto llvm_cbe_bb21;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp12 = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp12)), ((&_2E_str19101[((signed long long )0ull)])));
  __cxa_throw(llvm_cbe_tmp12, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb21:
  _ZNSaIcEC1Ev((&llvm_cbe_tmp3));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp4), llvm_cbe_value, (&llvm_cbe_tmp3));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp));
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp1), llvm_cbe_header, (&llvm_cbe_tmp));
  _ZNSsC1ERKSs((&llvm_cbe_tmp2), (&llvm_cbe_tmp1));
  llvm_cbe_tmp9_2e_i = _ZNSs6appendEPKc((&llvm_cbe_tmp2), ((&_2E_str20102[((signed long long )0ull)])));
  _ZNSsC1ERKSs((&llvm_cbe_tmp5), (&llvm_cbe_tmp2));
  llvm_cbe_tmp9_2e_i15 = _ZNSs6appendERKSs((&llvm_cbe_tmp5), (&llvm_cbe_tmp4));
  _ZNSt6vectorISsSaISsEE9push_backERKSs(((&llvm_cbe_this->field8)), (&llvm_cbe_tmp5));
  _ZNSsD1Ev((&llvm_cbe_tmp5));
  _ZNSsD1Ev((&llvm_cbe_tmp2));
  _ZNSsD1Ev((&llvm_cbe_tmp1));
  _ZNSaIcED1Ev((&llvm_cbe_tmp));
  _ZNSsD1Ev((&llvm_cbe_tmp4));
  _ZNSaIcED1Ev((&llvm_cbe_tmp3));
  return;
}


static void _ZN9happyhttp10Connection4sendEPKhi(struct l_struct_2E_happyhttp_3A__3A_Connection *llvm_cbe_this, unsigned char *llvm_cbe_buf, unsigned int llvm_cbe_numbytes) {
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_sockaddr_in llvm_cbe_address_2e_i;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp1;
  unsigned int llvm_cbe_tmp2;
  unsigned char *llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_hostent *llvm_cbe_tmp10_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp18_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp19_2e_i_2e_i;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp1920_2e_i_2e_i;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp_2e_i_2e_i_2e_0;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp8_2e_i;
  unsigned char *ltmp_27_1;
  unsigned int llvm_cbe_tmp22_2e_i;
  unsigned short llvm_cbe_tmp26_2e_i;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reload7;
  unsigned int llvm_cbe_tmp30_2e_i;
  unsigned int llvm_cbe_tmp33_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i12_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i13_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i14_2e_i;
  unsigned char *llvm_cbe_tmp4_2e_i15_2e_i;
  unsigned int llvm_cbe_tmp49_2e_i;
  unsigned int *llvm_cbe_tmp1_2e_i_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i2_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp4_2e_i_2e_i;
  unsigned int llvm_cbe_tmp12;
  unsigned long long llvm_cbe_tmp14;
  unsigned int llvm_cbe_tmp1415;
  unsigned int *llvm_cbe_tmp1_2e_i;
  unsigned int llvm_cbe_tmp2_2e_i4;
  unsigned char *llvm_cbe_tmp3_2e_i5;
  unsigned char *llvm_cbe_tmp4_2e_i;
  unsigned int llvm_cbe_tmp25;
  unsigned char *llvm_cbe_tmp29;
  unsigned char *llvm_cbe_buf_addr_2e_0;
  unsigned char *llvm_cbe_buf_addr_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_numbytes_addr_2e_0;
  unsigned int llvm_cbe_numbytes_addr_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp1 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  if ((((signed int )llvm_cbe_tmp2) < ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_buf_addr_2e_0__PHI_TEMPORARY = llvm_cbe_buf;   /* for PHI node */
    llvm_cbe_numbytes_addr_2e_0__PHI_TEMPORARY = llvm_cbe_numbytes;   /* for PHI node */
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i = _ZNKSs5c_strEv(((&llvm_cbe_this->field5)));
  llvm_cbe_tmp2_2e_i_2e_i = inet_addr(llvm_cbe_tmp3_2e_i);
  *((&_ZZN9happyhttp7atoaddrEPKcE5saddr.field0)) = llvm_cbe_tmp2_2e_i_2e_i;
  if ((llvm_cbe_tmp2_2e_i_2e_i == 4294967295u)) {
    goto llvm_cbe_bb8_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN9happyhttp7atoaddrEPKc_2e_exit_2e_i_2e_thread;
  }

llvm_cbe__ZN9happyhttp7atoaddrEPKc_2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reg2mem) = (&_ZZN9happyhttp7atoaddrEPKcE5saddr);
  goto llvm_cbe_bb17_2e_i;

llvm_cbe_bb8_2e_i_2e_i:
  llvm_cbe_tmp10_2e_i_2e_i = gethostbyname(llvm_cbe_tmp3_2e_i);
  if ((llvm_cbe_tmp10_2e_i_2e_i == ((struct l_struct_2E_hostent *)/*NULL*/0))) {
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = ((struct l_struct_2E___mbstate_t_3A__3A__2E__54 *)/*NULL*/0);   /* for PHI node */
    goto llvm_cbe__ZN9happyhttp7atoaddrEPKc_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb15_2e_i_2e_i;
  }

llvm_cbe_bb15_2e_i_2e_i:
  llvm_cbe_tmp18_2e_i_2e_i = *((&llvm_cbe_tmp10_2e_i_2e_i->field4));
  llvm_cbe_tmp19_2e_i_2e_i = *llvm_cbe_tmp18_2e_i_2e_i;
  llvm_cbe_tmp1920_2e_i_2e_i = ((struct l_struct_2E___mbstate_t_3A__3A__2E__54 *)llvm_cbe_tmp19_2e_i_2e_i);
  llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp1920_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN9happyhttp7atoaddrEPKc_2e_exit_2e_i;

llvm_cbe__ZN9happyhttp7atoaddrEPKc_2e_exit_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reg2mem) = llvm_cbe_tmp_2e_i_2e_i_2e_0;
  if ((llvm_cbe_tmp_2e_i_2e_i_2e_0 == ((struct l_struct_2E___mbstate_t_3A__3A__2E__54 *)/*NULL*/0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb17_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp8_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp8_2e_i)), ((&_2E_str28110[((signed long long )0ull)])));
  __cxa_throw(llvm_cbe_tmp8_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb17_2e_i:
  ltmp_27_1 = memset((((unsigned char *)(&llvm_cbe_address_2e_i))), (((unsigned int )(unsigned char )((unsigned char )0))), 16ull);
  *((&llvm_cbe_address_2e_i.field0)) = ((unsigned short )2);
  llvm_cbe_tmp22_2e_i = *((&llvm_cbe_this->field6));
  llvm_cbe_tmp26_2e_i = htons((((unsigned short )llvm_cbe_tmp22_2e_i)));
  *((&llvm_cbe_address_2e_i.field1)) = llvm_cbe_tmp26_2e_i;
  llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reload7 = *(&llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp30_2e_i = *((&llvm_cbe_tmp_2e_i_2e_i_2e_0_2e_reload7->field0));
  *((&llvm_cbe_address_2e_i.field2.field0)) = llvm_cbe_tmp30_2e_i;
  llvm_cbe_tmp33_2e_i = socket(2u, 1u, 0u);
  *llvm_cbe_tmp1 = llvm_cbe_tmp33_2e_i;
  if ((((signed int )llvm_cbe_tmp33_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb42_2e_i;
  } else {
    goto llvm_cbe_bb44_2e_i;
  }

llvm_cbe_bb42_2e_i:
  llvm_cbe_tmp1_2e_i12_2e_i = __errno_location();
  llvm_cbe_tmp2_2e_i13_2e_i = *llvm_cbe_tmp1_2e_i12_2e_i;
  llvm_cbe_tmp3_2e_i14_2e_i = strerror(llvm_cbe_tmp2_2e_i13_2e_i);
  llvm_cbe_tmp4_2e_i15_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp4_2e_i15_2e_i)), ((&_2E_str27109[((signed long long )0ull)])), ((&_2E_str29111[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i14_2e_i);
  __cxa_throw(llvm_cbe_tmp4_2e_i15_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb44_2e_i:
  llvm_cbe_tmp49_2e_i = connect(llvm_cbe_tmp33_2e_i, (((struct l_struct_2E_sockaddr *)(&llvm_cbe_address_2e_i))), 16u);
  if ((((signed int )llvm_cbe_tmp49_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb54_2e_i;
  } else {
    llvm_cbe_buf_addr_2e_0__PHI_TEMPORARY = llvm_cbe_buf;   /* for PHI node */
    llvm_cbe_numbytes_addr_2e_0__PHI_TEMPORARY = llvm_cbe_numbytes;   /* for PHI node */
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb54_2e_i:
  llvm_cbe_tmp1_2e_i_2e_i = __errno_location();
  llvm_cbe_tmp2_2e_i2_2e_i = *llvm_cbe_tmp1_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i_2e_i = strerror(llvm_cbe_tmp2_2e_i2_2e_i);
  llvm_cbe_tmp4_2e_i_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp4_2e_i_2e_i)), ((&_2E_str27109[((signed long long )0ull)])), ((&_2E_str30112[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i_2e_i);
  __cxa_throw(llvm_cbe_tmp4_2e_i_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb20:
  llvm_cbe_tmp1_2e_i = __errno_location();
  llvm_cbe_tmp2_2e_i4 = *llvm_cbe_tmp1_2e_i;
  llvm_cbe_tmp3_2e_i5 = strerror(llvm_cbe_tmp2_2e_i4);
  llvm_cbe_tmp4_2e_i = __cxa_allocate_exception(256ull);
  _ZN9happyhttp6WobblyC1EPKcz((((struct l_struct_2E_happyhttp_3A__3A_Wobbly *)llvm_cbe_tmp4_2e_i)), ((&_2E_str27109[((signed long long )0ull)])), ((&_2E_str31113[((signed long long )0ull)])), llvm_cbe_tmp3_2e_i5);
  __cxa_throw(llvm_cbe_tmp4_2e_i, ((unsigned char *)(&_ZTIN9happyhttp6WobblyE)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb30' to make GCC happy */
llvm_cbe_bb30:
  llvm_cbe_buf_addr_2e_0 = llvm_cbe_buf_addr_2e_0__PHI_TEMPORARY;
  llvm_cbe_numbytes_addr_2e_0 = llvm_cbe_numbytes_addr_2e_0__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_numbytes_addr_2e_0) > ((signed int )0u))) {
    goto llvm_cbe_bb7;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb22:
  llvm_cbe_tmp25 = llvm_cbe_numbytes_addr_2e_0 - llvm_cbe_tmp1415;
  llvm_cbe_tmp29 = (&llvm_cbe_buf_addr_2e_0[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp1415)))]);
  llvm_cbe_buf_addr_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29;   /* for PHI node */
  llvm_cbe_numbytes_addr_2e_0__PHI_TEMPORARY = llvm_cbe_tmp25;   /* for PHI node */
  goto llvm_cbe_bb30;

llvm_cbe_bb7:
  llvm_cbe_tmp12 = *llvm_cbe_tmp1;
  llvm_cbe_tmp14 = send(llvm_cbe_tmp12, llvm_cbe_buf_addr_2e_0, (((signed long long )(signed int )llvm_cbe_numbytes_addr_2e_0)), 0u);
  llvm_cbe_tmp1415 = ((unsigned int )llvm_cbe_tmp14);
  if ((((signed int )llvm_cbe_tmp1415) < ((signed int )0u))) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb22;
  }

  } while (1); /* end of syntactic loop 'bb30' */
llvm_cbe_return:
  return;
}


static void _ZN2Os4pollEv(struct l_struct_2E_Os *llvm_cbe_this) {
  return;
}


static unsigned char *_ZN2Os13getLaunchFileEv(struct l_struct_2E_Os *llvm_cbe_this) {
  return ((unsigned char *)/*NULL*/0);
}


static unsigned char *_ZN13OsFreeDesktop10saveDialogEPKc(struct l_struct_2E_OsFreeDesktop *llvm_cbe_this, unsigned char *llvm_cbe_path) {
  return ((unsigned char *)/*NULL*/0);
}


static unsigned char _ZN13OsFreeDesktop11openBrowserEPKc(struct l_struct_2E_OsFreeDesktop *llvm_cbe_this, unsigned char *llvm_cbe_url) {
  unsigned char llvm_cbe_buf[256];    /* Address-exposed local */
  unsigned long long llvm_cbe_tmp5;
  unsigned char *llvm_cbe_tmp10;
  unsigned int llvm_cbe_tmp13;
  unsigned int llvm_cbe_tmp15;

  if ((llvm_cbe_url == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb21;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp5 = strlen(llvm_cbe_url);
  if ((((unsigned long long )llvm_cbe_tmp5) < ((unsigned long long )200ull))) {
    goto llvm_cbe_bb9;
  } else {
    goto llvm_cbe_bb21;
  }

llvm_cbe_bb9:
  llvm_cbe_tmp10 = (&llvm_cbe_buf[((signed long long )0ull)]);
  llvm_cbe_tmp13 = snprintf(llvm_cbe_tmp10, 256ull, ((&_2E_str124[((signed long long )0ull)])), llvm_cbe_url);
  llvm_cbe_tmp15 = system(llvm_cbe_tmp10);
  return (((unsigned char )(bool )(llvm_cbe_tmp15 == 0u)));
llvm_cbe_bb21:
  return ((unsigned char )0);
}


unsigned int main(unsigned int llvm_cbe_argc, unsigned char **llvm_cbe_argv) {
  unsigned char llvm_cbe_s_2e_i_2e_i_2e_i[80];    /* Address-exposed local */
  unsigned int llvm_cbe_p_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E__2E_2BMPINFOHEADER llvm_cbe_info_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E__2E_3BMPHEADER llvm_cbe_head_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_ifstream llvm_cbe_in_2e_i_2e_i;    /* Address-exposed local */
  struct l_struct_2E_stat llvm_cbe_st_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Game llvm_cbe_game_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_bmp_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Canvas llvm_cbe_temp_2e_i;    /* Address-exposed local */
  struct l_struct_2E_Scene llvm_cbe_scene_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_hh_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_ww_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp4_2e_i;    /* Address-exposed local */
  struct l_struct_2E___gnu_cxx_3A__3A_new_allocator_3C_happyhttp_3A__3A_Response_2A__2A__3E_ llvm_cbe_tmp5_2e_i;    /* Address-exposed local */
  struct l_struct_2E_std_3A__3A_string llvm_cbe_tmp6_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp2829_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp45_2e_i;
  unsigned char *llvm_cbe_tmp14_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_tmp27_2e_i;
  unsigned int llvm_cbe_tmp39_2e_i;
  unsigned int llvm_cbe_tmp52_2e_i;
  unsigned char *llvm_cbe_tmp56_2e_i;
  unsigned int llvm_cbe_tmp58_2e_i;
  unsigned int llvm_cbe_tmp64_2e_i;
  unsigned int llvm_cbe_tmp65_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i28_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i44_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_files_2e_i_2e_0_2e_0_2e_in;
  unsigned char *llvm_cbe_files_2e_i_2e_0_2e_0_2e_in__PHI_TEMPORARY;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_0;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_1;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_1__PHI_TEMPORARY;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_2;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_2;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_files_2e_i_2e_1_2e_0;
  unsigned int llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_3;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY;
  unsigned int llvm_cbe_i2_2e_i_2e_0;
  unsigned int llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_height_2e_i_2e_1;
  unsigned int llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_width_2e_i_2e_1;
  unsigned int llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY;
  unsigned char llvm_cbe_thumbnailMode_2e_i_2e_0;
  unsigned char llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp78_2e_i;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_3;
  unsigned int llvm_cbe_files_2e_i_2e_2_2e_3__PHI_TEMPORARY;
  unsigned int llvm_cbe_files_2e_i_2e_1_2e_1;
  unsigned int llvm_cbe_files_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_4;
  unsigned char **llvm_cbe_files_2e_i_2e_0_2e_4__PHI_TEMPORARY;
  unsigned int llvm_cbe_height_2e_i_2e_2;
  unsigned int llvm_cbe_height_2e_i_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_width_2e_i_2e_2;
  unsigned int llvm_cbe_width_2e_i_2e_2__PHI_TEMPORARY;
  unsigned char llvm_cbe_thumbnailMode_2e_i_2e_1;
  unsigned char llvm_cbe_thumbnailMode_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_std_3A__3A_istream *llvm_cbe_tmp45_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp2_2e_i_2e_i110_2e_i;
  unsigned short *llvm_cbe_tmp5_2e_i116_2e_i;
  unsigned int *llvm_cbe_tmp6_2e_i117_2e_i;
  unsigned short *llvm_cbe_tmp7_2e_i118_2e_i;
  unsigned char *llvm_cbe_info17_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp18_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp19_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp20_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp21_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp22_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp23_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp25_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp31_2e_i_2e_i;
  unsigned int  (***llvm_cbe_tmp2_2e_i136_2e_i) ();
  unsigned char *llvm_cbe_head47_2e_i_2e_i;
  unsigned char *llvm_cbe_p77_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp6_2e_i_2e_i59_2e_i;
  unsigned char *llvm_cbe_tmp98_2e_i;
  unsigned char *llvm_cbe_tmp2_2e_i6370_2e_i;
  unsigned char llvm_cbe_tmp6_2e_i65_2e_i;
  unsigned char *llvm_cbe_tmp118_2e_i;
  unsigned int llvm_cbe_tmp121_2e_i;
  unsigned char *llvm_cbe_tmp129_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp133_2e_i;
  unsigned char *llvm_cbe_tmp141_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i111_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i112_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i113_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i9_2e_i_2e_i;
  unsigned int llvm_cbe_tmp14_2e_i124_2e_i;
  unsigned char *ltmp_28_1;
  struct l_struct_2E_FILE *llvm_cbe_tmp34_2e_i130_2e_i;
  unsigned char *llvm_cbe_tmp40_2e_i_2e_i;
  struct l_struct_2E_SDL_PixelFormat *llvm_cbe_tmp43_2e_i_2e_i;
  unsigned char llvm_cbe_tmp45_2e_i127_2e_i;
  unsigned long long llvm_cbe_tmp49_2e_i131_2e_i;
  unsigned long long llvm_cbe_tmp52_2e_i132_2e_i;
  unsigned int llvm_cbe_tmp60_2e_i133_2e_i;
  unsigned long long llvm_cbe_tmp79_2e_i134_2e_i;
  unsigned int llvm_cbe_tmp81_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2_2e_in_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge2_2e_in_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge2_2e_i_2e_i;
  unsigned int llvm_cbe_tmp98_2e_i135_2e_i;
  unsigned int llvm_cbe_tmp166_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned int  (***llvm_cbe_tmp2_2e_i_2e_i186_2e_i) ();
  struct l_struct_2E_Levels_3A__3A_LevelDesc ***llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i;
  struct l_struct_2E_Os ***llvm_cbe_tmp1_2e_i_2e_i225_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i23_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i241_2e_i;
  struct l_struct_2E_Canvas *llvm_cbe_tmp2_2e_i68_2e_i_2e_i;
  unsigned char **llvm_cbe_tmp4_2e_i_2e_i72_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp10_2e_i96_2e_i_2e_i;
  unsigned int llvm_cbe_tmp13_2e_i98_2e_i_2e_i;
  unsigned int llvm_cbe_tmp15_2e_i100_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp28_2e_i_2e_i256_2e_i;
  unsigned char *llvm_cbe_tmp42_2e_i_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i_2e_i8_2e_i_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i_2e_i_2e_i105_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i6_2e_i_2e_i107_2e_i_2e_i;
  struct l_struct_2E_DemoEntry **llvm_cbe_tmp1_2e_i_2e_i_2e_i137_2e_i_2e_i;
  unsigned int *llvm_cbe_tmp5_2e_i_2e_i_2e_i141_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i169_2e_i_2e_i;
  unsigned char llvm_cbe_tmp2_2e_i123_2e_i_2e_i;
  unsigned int llvm_cbe_tmp5_2e_i125_2e_i_2e_i;
  unsigned char *llvm_cbe_tmp3_2e_i115_2e_i_2e_i;
  struct l_struct_2E_SDL_Surface *llvm_cbe_tmp34_2e_i116_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i118_2e_i_2e_i;
  unsigned int llvm_cbe_tmp6_2e_i112_2e_i_2e_i;
  struct l_struct_2E_Levels *llvm_cbe_tmp2_2e_i155_2e_i;
  unsigned char *llvm_cbe_tmp190_2e_i;
  unsigned int llvm_cbe_tmp196_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp207_2e_i;
  struct l_struct_2E_Levels *llvm_cbe_tmp2_2e_i144_2e_i;
  struct l_struct_2E_std_3A__3A_string *llvm_cbe_tmp226_2e_i;
  unsigned char *llvm_cbe_tmp228_2e_i;

  CODE_FOR_MAIN();
  llvm_cbe_tmp8_2e_i = *(&SCREEN_WIDTH);
  llvm_cbe_tmp9_2e_i = *(&SCREEN_HEIGHT);
  llvm_cbe_tmp28_2e_i_2e_i_2e_i = malloc(0ull);
  llvm_cbe_tmp2829_2e_i_2e_i_2e_i = ((unsigned char **)llvm_cbe_tmp28_2e_i_2e_i_2e_i);
  llvm_cbe_tmp45_2e_i = llvm_cbe_argc + 4294967295u;
  llvm_cbe_files_2e_i_2e_2_2e_3__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_1_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_0_2e_4__PHI_TEMPORARY = llvm_cbe_tmp2829_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_height_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp9_2e_i;   /* for PHI node */
  llvm_cbe_width_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_tmp8_2e_i;   /* for PHI node */
  llvm_cbe_thumbnailMode_2e_i_2e_1__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb79_2e_i;

  do {     /* Syntactic loop 'bb79.i' to make GCC happy */
llvm_cbe_bb79_2e_i:
  llvm_cbe_files_2e_i_2e_2_2e_3 = llvm_cbe_files_2e_i_2e_2_2e_3__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_1_2e_1 = llvm_cbe_files_2e_i_2e_1_2e_1__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_0_2e_4 = llvm_cbe_files_2e_i_2e_0_2e_4__PHI_TEMPORARY;
  llvm_cbe_height_2e_i_2e_2 = llvm_cbe_height_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_width_2e_i_2e_2 = llvm_cbe_width_2e_i_2e_2__PHI_TEMPORARY;
  llvm_cbe_thumbnailMode_2e_i_2e_1 = llvm_cbe_thumbnailMode_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge_2e_i) < ((signed int )llvm_cbe_argc))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb85_2e_i;
  }

llvm_cbe_bb76_2e_i:
  llvm_cbe_files_2e_i_2e_2_2e_2 = llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_1_2e_0 = llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_0_2e_3 = llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY;
  llvm_cbe_i2_2e_i_2e_0 = llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_height_2e_i_2e_1 = llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_width_2e_i_2e_1 = llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_thumbnailMode_2e_i_2e_0 = llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp78_2e_i = llvm_cbe_i2_2e_i_2e_0 + 1u;
  llvm_cbe_files_2e_i_2e_2_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_2;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_1_2e_0;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_0_2e_4__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_3;   /* for PHI node */
  llvm_cbe_height_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_height_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_width_2e_i_2e_2__PHI_TEMPORARY = llvm_cbe_width_2e_i_2e_1;   /* for PHI node */
  llvm_cbe_thumbnailMode_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_thumbnailMode_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp78_2e_i;   /* for PHI node */
  goto llvm_cbe_bb79_2e_i;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp14_2e_i = *((&llvm_cbe_argv[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge_2e_i)))]));
  llvm_cbe_tmp16_2e_i = strcmp(llvm_cbe_tmp14_2e_i, ((&_2E_str44[((signed long long )0ull)])));
  if ((llvm_cbe_tmp16_2e_i == 0u)) {
    llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_1_2e_1;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
    llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
    llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_height_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_width_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_bb76_2e_i;
  } else {
    goto llvm_cbe_bb20_2e_i;
  }

llvm_cbe_bb20_2e_i:
  llvm_cbe_tmp27_2e_i = strcmp(llvm_cbe_tmp14_2e_i, ((&_2E_str45[((signed long long )0ull)])));
  if ((llvm_cbe_tmp27_2e_i == 0u)) {
    llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_1_2e_1;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
    llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
    llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_height_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_width_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_thumbnailMode_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb76_2e_i;
  } else {
    goto llvm_cbe_bb32_2e_i;
  }

llvm_cbe_bb50_2e_i:
  llvm_cbe_tmp52_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_tmp56_2e_i = *((&llvm_cbe_argv[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp52_2e_i)))]));
  llvm_cbe_tmp58_2e_i = sscanf(llvm_cbe_tmp56_2e_i, ((&_2E_str47[((signed long long )0ull)])), (&llvm_cbe_ww_2e_i), (&llvm_cbe_hh_2e_i));
  if ((llvm_cbe_tmp58_2e_i == 2u)) {
    goto llvm_cbe_bb63_2e_i;
  } else {
    llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_1_2e_1;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
    llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i;   /* for PHI node */
    llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_height_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_width_2e_i_2e_2;   /* for PHI node */
    llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_thumbnailMode_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb76_2e_i;
  }

llvm_cbe_bb32_2e_i:
  llvm_cbe_tmp39_2e_i = strcmp(llvm_cbe_tmp14_2e_i, ((&_2E_str46[((signed long long )0ull)])));
  if (((((llvm_cbe_tmp39_2e_i == 0u) & (((signed int )llvm_cbe_tmp45_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i)))&1))) {
    goto llvm_cbe_bb50_2e_i;
  } else {
    goto llvm_cbe_bb69_2e_i;
  }

llvm_cbe_bb63_2e_i:
  llvm_cbe_tmp64_2e_i = *(&llvm_cbe_ww_2e_i);
  llvm_cbe_tmp65_2e_i = *(&llvm_cbe_hh_2e_i);
  llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_1_2e_1;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
  llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp52_2e_i;   /* for PHI node */
  llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp65_2e_i;   /* for PHI node */
  llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_tmp64_2e_i;   /* for PHI node */
  llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_thumbnailMode_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb76_2e_i;

llvm_cbe__ZN5ArrayIPKcE6appendERKS1__2e_exit_2e_i:
  llvm_cbe_files_2e_i_2e_2_2e_1 = llvm_cbe_files_2e_i_2e_2_2e_1__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_0_2e_2 = llvm_cbe_files_2e_i_2e_0_2e_2__PHI_TEMPORARY;
  *((&llvm_cbe_files_2e_i_2e_0_2e_2[((signed long long )(((signed long long )(signed int )llvm_cbe_files_2e_i_2e_1_2e_1)))])) = llvm_cbe_tmp14_2e_i;
  llvm_cbe_files_2e_i_2e_2_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_1;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i28_2e_i;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_0_2e_3__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_2;   /* for PHI node */
  llvm_cbe_i2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i;   /* for PHI node */
  llvm_cbe_height_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_height_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_width_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_width_2e_i_2e_2;   /* for PHI node */
  llvm_cbe_thumbnailMode_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_thumbnailMode_2e_i_2e_1;   /* for PHI node */
  goto llvm_cbe_bb76_2e_i;

llvm_cbe_bb69_2e_i:
  llvm_cbe_tmp3_2e_i28_2e_i = llvm_cbe_files_2e_i_2e_1_2e_1 + 1u;
  if ((((signed int )llvm_cbe_files_2e_i_2e_2_2e_3) < ((signed int )llvm_cbe_tmp3_2e_i28_2e_i))) {
    goto llvm_cbe_bb_2e_i_2e_i39_2e_i;
  } else {
    llvm_cbe_files_2e_i_2e_2_2e_1__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_0_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIPKcE6appendERKS1__2e_exit_2e_i;
  }

llvm_cbe_bb29_2e_i_2e_i_2e_i:
  if ((((signed int )llvm_cbe_files_2e_i_2e_1_2e_1) > ((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i))) {
    llvm_cbe_files_2e_i_2e_2_2e_1__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_2_2e_3;   /* for PHI node */
    llvm_cbe_files_2e_i_2e_0_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_4;   /* for PHI node */
    goto llvm_cbe__ZN5ArrayIPKcE6appendERKS1__2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb23.i.i.i' to make GCC happy */
llvm_cbe_bb23_2e_i_2e_i_2e_i:
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i28_2e_i))) {
    goto llvm_cbe_bb19_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb29_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb19_2e_i_2e_i_2e_i:
  llvm_cbe_tmp22_2e_i_2e_i44_2e_i = llvm_cbe_storemerge1_2e_i_2e_i_2e_i << 1u;
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp22_2e_i_2e_i44_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb23.i.i.i' */
llvm_cbe_bb_2e_i_2e_i39_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_i = (((llvm_cbe_files_2e_i_2e_2_2e_3 == 0u)) ? (4u) : (llvm_cbe_files_2e_i_2e_2_2e_3));
  llvm_cbe_storemerge1_2e_i_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i_2e_i_2e_i;

llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_files_2e_i_2e_0_2e_0_2e_in = llvm_cbe_files_2e_i_2e_0_2e_0_2e_in__PHI_TEMPORARY;
  llvm_cbe_files_2e_i_2e_0_2e_0 = ((unsigned char **)llvm_cbe_files_2e_i_2e_0_2e_0_2e_in);
  llvm_cbe_files_2e_i_2e_2_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge1_2e_i_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_files_2e_i_2e_0_2e_2__PHI_TEMPORARY = llvm_cbe_files_2e_i_2e_0_2e_0;   /* for PHI node */
  goto llvm_cbe__ZN5ArrayIPKcE6appendERKS1__2e_exit_2e_i;

llvm_cbe_bb12_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i = realloc((((unsigned char *)llvm_cbe_files_2e_i_2e_0_2e_4)), llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_files_2e_i_2e_0_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i;

llvm_cbe_bb_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i = (((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i_2e_i)) << 3ull;
  if ((llvm_cbe_files_2e_i_2e_2_2e_3 == 0u)) {
    goto llvm_cbe_bb24_2e_i_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb12_2e_i_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb24_2e_i_2e_i_2e_i_2e_i:
  llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i = malloc(llvm_cbe_tmp27_2e_i_2e_i_2e_i_2e_i);
  llvm_cbe_files_2e_i_2e_0_2e_0_2e_in__PHI_TEMPORARY = llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb32_2e_i_2e_i_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb79.i' */
llvm_cbe_bb85_2e_i:
  if ((llvm_cbe_thumbnailMode_2e_i_2e_1 == ((unsigned char )0))) {
    goto llvm_cbe_bb175_2e_i;
  } else {
    goto llvm_cbe_bb88_2e_i;
  }

llvm_cbe_bb88_2e_i:
  _Z4initb(((unsigned char )1));
  _Z24configureScreenTransformii(llvm_cbe_width_2e_i_2e_2, llvm_cbe_height_2e_i_2e_2);
  llvm_cbe_tmp45_2e_i_2e_i = ((struct l_struct_2E_std_3A__3A_istream *)(&llvm_cbe_in_2e_i_2e_i));
  llvm_cbe_tmp2_2e_i_2e_i110_2e_i = (&llvm_cbe_temp_2e_i.field1);
  llvm_cbe_tmp5_2e_i116_2e_i = (&llvm_cbe_head_2e_i_2e_i.field0);
  llvm_cbe_tmp6_2e_i117_2e_i = (&llvm_cbe_head_2e_i_2e_i.field1);
  llvm_cbe_tmp7_2e_i118_2e_i = (&llvm_cbe_head_2e_i_2e_i.field2);
  llvm_cbe_info17_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_info_2e_i_2e_i));
  llvm_cbe_tmp18_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field0);
  llvm_cbe_tmp19_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field3);
  llvm_cbe_tmp20_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field4);
  llvm_cbe_tmp21_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field7);
  llvm_cbe_tmp22_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field8);
  llvm_cbe_tmp23_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field1);
  llvm_cbe_tmp25_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field2);
  llvm_cbe_tmp31_2e_i_2e_i = (&llvm_cbe_info_2e_i_2e_i.field6);
  llvm_cbe_tmp2_2e_i136_2e_i = (&llvm_cbe_temp_2e_i.field0);
  llvm_cbe_head47_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_head_2e_i_2e_i));
  llvm_cbe_p77_2e_i_2e_i = ((unsigned char *)(&llvm_cbe_p_2e_i_2e_i));
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

  do {     /* Syntactic loop 'bb167.i' to make GCC happy */
llvm_cbe_bb167_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_files_2e_i_2e_1_2e_1) > ((signed int )llvm_cbe_storemerge1_2e_i))) {
    goto llvm_cbe_bb93_2e_i;
  } else {
    goto llvm_cbe_bb242_2e_i;
  }

llvm_cbe_bb157_2e_i:
  _ZN5SceneD1Ev((&llvm_cbe_scene_2e_i));
  llvm_cbe_tmp166_2e_i = llvm_cbe_storemerge1_2e_i + 1u;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp166_2e_i;   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

llvm_cbe_bb93_2e_i:
  _ZN5SceneC1Eb((&llvm_cbe_scene_2e_i), ((unsigned char )1));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp5_2e_i));
  llvm_cbe_tmp6_2e_i_2e_i59_2e_i = (&llvm_cbe_files_2e_i_2e_0_2e_4[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i)))]);
  llvm_cbe_tmp98_2e_i = *llvm_cbe_tmp6_2e_i_2e_i59_2e_i;
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_tmp6_2e_i), llvm_cbe_tmp98_2e_i, (&llvm_cbe_tmp5_2e_i));
  llvm_cbe_tmp2_2e_i6370_2e_i = _ZNKSs5c_strEv((&llvm_cbe_tmp6_2e_i));
  _ZNSt14basic_ifstreamIcSt11char_traitsIcEEC1EPKcSt13_Ios_Openmode((&llvm_cbe_in_2e_i_2e_i), llvm_cbe_tmp2_2e_i6370_2e_i, 8u);
  llvm_cbe_tmp6_2e_i65_2e_i = _ZN5Scene4loadERSi((&llvm_cbe_scene_2e_i), llvm_cbe_tmp45_2e_i_2e_i);
  _ZNSt14basic_ifstreamIcSt11char_traitsIcEED1Ev((&llvm_cbe_in_2e_i_2e_i));
  _ZNSsD1Ev((&llvm_cbe_tmp6_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp5_2e_i));
  if ((llvm_cbe_tmp6_2e_i65_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb157_2e_i;
  } else {
    goto llvm_cbe_bb114_2e_i;
  }

llvm_cbe__ZNK6Canvas8writeBMPEPKc_2e_exit_2e_i:
  _ZNSsD1Ev((&llvm_cbe_bmp_2e_i));
  *llvm_cbe_tmp2_2e_i136_2e_i = ((&_ZTV6Canvas[((signed long long )2ull)]));
  goto llvm_cbe_bb157_2e_i;

llvm_cbe_bb114_2e_i:
  llvm_cbe_tmp118_2e_i = *llvm_cbe_tmp6_2e_i_2e_i59_2e_i;
  llvm_cbe_tmp121_2e_i = printf(((&_2E_str48[((signed long long )0ull)])), llvm_cbe_tmp118_2e_i);
  _ZN6CanvasC1Eii((&llvm_cbe_temp_2e_i), llvm_cbe_width_2e_i_2e_2, llvm_cbe_height_2e_i_2e_2);
  _ZN5Scene4drawER6CanvasRK4Rect((&llvm_cbe_scene_2e_i), (&llvm_cbe_temp_2e_i), (&FULLSCREEN_RECT));
  _ZNSaIcEC1Ev((&llvm_cbe_tmp4_2e_i));
  llvm_cbe_tmp129_2e_i = *llvm_cbe_tmp6_2e_i_2e_i59_2e_i;
  _ZNSsC1EPKcRKSaIcE((&llvm_cbe_bmp_2e_i), llvm_cbe_tmp129_2e_i, (&llvm_cbe_tmp4_2e_i));
  _ZNSaIcED1Ev((&llvm_cbe_tmp4_2e_i));
  llvm_cbe_tmp133_2e_i = _ZNSspLEPKc((&llvm_cbe_bmp_2e_i), ((&_2E_str49[((signed long long )0ull)])));
  llvm_cbe_tmp141_2e_i = _ZNKSs5c_strEv((&llvm_cbe_bmp_2e_i));
  llvm_cbe_tmp3_2e_i_2e_i111_2e_i = *llvm_cbe_tmp2_2e_i_2e_i110_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i112_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i111_2e_i);
  llvm_cbe_tmp6_2e_i_2e_i113_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i112_2e_i->field2));
  llvm_cbe_tmp6_2e_i9_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i112_2e_i->field3));
  *llvm_cbe_tmp5_2e_i116_2e_i = ((unsigned short )0);
  *llvm_cbe_tmp6_2e_i117_2e_i = 0u;
  *(((unsigned long long *)llvm_cbe_tmp7_2e_i118_2e_i)) = 0ull;
  *llvm_cbe_tmp5_2e_i116_2e_i = ((unsigned short )19778);
  llvm_cbe_tmp14_2e_i124_2e_i = (llvm_cbe_tmp6_2e_i_2e_i113_2e_i * llvm_cbe_tmp6_2e_i9_2e_i_2e_i) * 3u;
  *llvm_cbe_tmp6_2e_i117_2e_i = (llvm_cbe_tmp14_2e_i124_2e_i + 54u);
  ltmp_28_1 = memset(llvm_cbe_info17_2e_i_2e_i, (((unsigned int )(unsigned char )((unsigned char )0))), 40ull);
  *llvm_cbe_tmp18_2e_i_2e_i = 40u;
  *llvm_cbe_tmp19_2e_i_2e_i = ((unsigned short )1);
  *llvm_cbe_tmp20_2e_i_2e_i = ((unsigned short )24);
  *llvm_cbe_tmp21_2e_i_2e_i = 100u;
  *llvm_cbe_tmp22_2e_i_2e_i = 100u;
  *llvm_cbe_tmp23_2e_i_2e_i = llvm_cbe_tmp6_2e_i_2e_i113_2e_i;
  *llvm_cbe_tmp25_2e_i_2e_i = llvm_cbe_tmp6_2e_i9_2e_i_2e_i;
  *llvm_cbe_tmp31_2e_i_2e_i = llvm_cbe_tmp14_2e_i124_2e_i;
  llvm_cbe_tmp34_2e_i130_2e_i = fopen(llvm_cbe_tmp141_2e_i, ((&_2E_str8[((signed long long )0ull)])));
  if ((llvm_cbe_tmp34_2e_i130_2e_i == ((struct l_struct_2E_FILE *)/*NULL*/0))) {
    goto llvm_cbe__ZNK6Canvas8writeBMPEPKc_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i128_2e_i;
  }

llvm_cbe_bb96_2e_i_2e_i:
  llvm_cbe_tmp98_2e_i135_2e_i = fclose(llvm_cbe_tmp34_2e_i130_2e_i);
  goto llvm_cbe__ZNK6Canvas8writeBMPEPKc_2e_exit_2e_i;

  do {     /* Syntactic loop 'bb91.i.i' to make GCC happy */
llvm_cbe_bb91_2e_i_2e_i:
  llvm_cbe_storemerge2_2e_in_2e_i_2e_i = llvm_cbe_storemerge2_2e_in_2e_i_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge2_2e_i_2e_i = llvm_cbe_storemerge2_2e_in_2e_i_2e_i + 4294967295u;
  if ((((signed int )llvm_cbe_storemerge2_2e_i_2e_i) > ((signed int )4294967295u))) {
    llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb82_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb96_2e_i_2e_i;
  }

  do {     /* Syntactic loop 'bb82.i.i' to make GCC happy */
llvm_cbe_bb82_2e_i_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge_2e_i_2e_i) < ((signed int )llvm_cbe_tmp6_2e_i_2e_i113_2e_i))) {
    goto llvm_cbe_bb56_2e_i_2e_i;
  } else {
    llvm_cbe_storemerge2_2e_in_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge2_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb91_2e_i_2e_i;
  }

llvm_cbe_bb56_2e_i_2e_i:
  llvm_cbe_tmp60_2e_i133_2e_i = _ZNK6Canvas9readPixelEii((&llvm_cbe_temp_2e_i), llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe_storemerge2_2e_i_2e_i);
  *(&llvm_cbe_p_2e_i_2e_i) = ((((llvm_cbe_tmp45_2e_i127_2e_i == ((unsigned char )2))) ? (0u) : (llvm_cbe_tmp60_2e_i133_2e_i)));
  llvm_cbe_tmp79_2e_i134_2e_i = fwrite(llvm_cbe_p77_2e_i_2e_i, 3ull, 1ull, llvm_cbe_tmp34_2e_i130_2e_i);
  llvm_cbe_tmp81_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i + 1u;
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp81_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb82_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb82.i.i' */
  } while (1); /* end of syntactic loop 'bb91.i.i' */
llvm_cbe_bb_2e_i128_2e_i:
  llvm_cbe_tmp40_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i110_2e_i;
  llvm_cbe_tmp43_2e_i_2e_i = *((&(((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp40_2e_i_2e_i))->field1));
  llvm_cbe_tmp45_2e_i127_2e_i = *((&llvm_cbe_tmp43_2e_i_2e_i->field2));
  llvm_cbe_tmp49_2e_i131_2e_i = fwrite(llvm_cbe_head47_2e_i_2e_i, 14ull, 1ull, llvm_cbe_tmp34_2e_i130_2e_i);
  llvm_cbe_tmp52_2e_i132_2e_i = fwrite(llvm_cbe_info17_2e_i_2e_i, 40ull, 1ull, llvm_cbe_tmp34_2e_i130_2e_i);
  llvm_cbe_storemerge2_2e_in_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i9_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb91_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb167.i' */
llvm_cbe_bb175_2e_i:
  _Z4initb(((unsigned char )0));
  llvm_cbe_tmp2_2e_i_2e_i186_2e_i = (&llvm_cbe_game_2e_i.field0.field0);
  *llvm_cbe_tmp2_2e_i_2e_i186_2e_i = ((&_ZTV11GameControl[((signed long long )2ull)]));
  *((&llvm_cbe_game_2e_i.field0.field1)) = ((unsigned char )0);
  *((&llvm_cbe_game_2e_i.field0.field2)) = ((unsigned char )0);
  *((&llvm_cbe_game_2e_i.field0.field3)) = ((unsigned char )1);
  *((&llvm_cbe_game_2e_i.field0.field4)) = ((unsigned char )0);
  *((&llvm_cbe_game_2e_i.field0.field5)) = 2u;
  *((&llvm_cbe_game_2e_i.field0.field6)) = ((unsigned char )0);
  *((&llvm_cbe_game_2e_i.field0.field7)) = ((unsigned char )0);
  *((&llvm_cbe_game_2e_i.field0.field8)) = ((unsigned char )0);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_game_2e_i.field0.field9.field0.field0);
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i = ((struct l_struct_2E_Levels_3A__3A_LevelDesc **)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field0.field9.field0.field1)) = 0u;
  llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i = (&llvm_cbe_game_2e_i.field0.field9.field0.field2);
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i = 0u;
  llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i = malloc(0ull);
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i_2e_i_2e_i = (((struct l_struct_2E_Levels_3A__3A_LevelDesc **)llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i_2e_i_2e_i));
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i_2e_i_2e_i = 0u;
  *((&llvm_cbe_game_2e_i.field0.field10)) = 0u;
  *llvm_cbe_tmp2_2e_i_2e_i186_2e_i = ((&_ZTV4Game[((signed long long )2ull)]));
  _ZN5SceneC1Eb(((&llvm_cbe_game_2e_i.field1)), ((unsigned char )0));
  *((&llvm_cbe_game_2e_i.field2)) = ((struct l_struct_2E_Stroke *)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field3)) = ((struct l_struct_2E_Stroke *)/*NULL*/0);
  llvm_cbe_tmp1_2e_i_2e_i225_2e_i = (&llvm_cbe_game_2e_i.field4.field0);
  *llvm_cbe_tmp1_2e_i_2e_i225_2e_i = ((struct l_struct_2E_Os **)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field4.field1)) = 0u;
  llvm_cbe_tmp5_2e_i23_2e_i_2e_i = (&llvm_cbe_game_2e_i.field4.field2);
  *llvm_cbe_tmp5_2e_i23_2e_i_2e_i = 0u;
  llvm_cbe_tmp28_2e_i_2e_i_2e_i241_2e_i = malloc(0ull);
  *llvm_cbe_tmp1_2e_i_2e_i225_2e_i = (((struct l_struct_2E_Os **)llvm_cbe_tmp28_2e_i_2e_i_2e_i241_2e_i));
  *llvm_cbe_tmp5_2e_i23_2e_i_2e_i = 0u;
  llvm_cbe_tmp2_2e_i68_2e_i_2e_i = (&llvm_cbe_game_2e_i.field5.field0);
  *((&llvm_cbe_game_2e_i.field5.field0.field0)) = ((&_ZTV6Canvas[((signed long long )2ull)]));
  llvm_cbe_tmp4_2e_i_2e_i72_2e_i_2e_i = (&llvm_cbe_game_2e_i.field5.field0.field1);
  *llvm_cbe_tmp4_2e_i_2e_i72_2e_i_2e_i = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field5.field0.field2)) = 0u;
  *((&llvm_cbe_game_2e_i.field5.field0.field3)) = ((struct l_struct_2E_Canvas *)/*NULL*/0);
  _ZN6Canvas7setClipEiiii(llvm_cbe_tmp2_2e_i68_2e_i_2e_i, 0u, 0u);
  *((&llvm_cbe_game_2e_i.field5.field0.field0)) = ((&_ZTV6Window[((signed long long )2ull)]));
  llvm_cbe_tmp10_2e_i96_2e_i_2e_i = (&llvm_cbe_s_2e_i_2e_i_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp13_2e_i98_2e_i_2e_i = snprintf(llvm_cbe_tmp10_2e_i96_2e_i_2e_i, 80ull, ((&_2E_str6[((signed long long )0ull)])), ((&_2E_str30[((signed long long )0ull)])));
  llvm_cbe_tmp15_2e_i100_2e_i_2e_i = putenv(llvm_cbe_tmp10_2e_i96_2e_i_2e_i);
  SDL_WM_SetCaption(((&_2E_str29[((signed long long )0ull)])), ((&_2E_str29[((signed long long )0ull)])));
  llvm_cbe_tmp28_2e_i_2e_i256_2e_i = SDL_SetVideoMode(llvm_cbe_width_2e_i_2e_2, llvm_cbe_height_2e_i_2e_2, 0u, 0u);
  *((&llvm_cbe_game_2e_i.field5.field0.field1)) = (((unsigned char *)llvm_cbe_tmp28_2e_i_2e_i256_2e_i));
  if ((llvm_cbe_tmp28_2e_i_2e_i256_2e_i == ((struct l_struct_2E_SDL_Surface *)/*NULL*/0))) {
    goto llvm_cbe_bb41_2e_i_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i108_2e_i_2e_i;
  }

llvm_cbe_bb41_2e_i_2e_i_2e_i:
  llvm_cbe_tmp42_2e_i_2e_i_2e_i = __cxa_allocate_exception(8ull);
  *(((unsigned char **)llvm_cbe_tmp42_2e_i_2e_i_2e_i)) = ((&_2E_str7[((signed long long )0ull)]));
  __cxa_throw(llvm_cbe_tmp42_2e_i_2e_i_2e_i, ((unsigned char *)(&_ZTIPc)), ((void  (*) (unsigned char *))/*NULL*/0));
  /*UNREACHABLE*/;
llvm_cbe_bb_2e_i_2e_i108_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i8_2e_i_2e_i_2e_i = *llvm_cbe_tmp4_2e_i_2e_i72_2e_i_2e_i;
  llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i_2e_i8_2e_i_2e_i_2e_i);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i105_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i6_2e_i_2e_i107_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i_2e_i_2e_i_2e_i_2e_i->field2));
  _ZN6Canvas7setClipEiiii(llvm_cbe_tmp2_2e_i68_2e_i_2e_i, llvm_cbe_tmp6_2e_i6_2e_i_2e_i107_2e_i_2e_i, llvm_cbe_tmp6_2e_i_2e_i_2e_i105_2e_i_2e_i);
  *((&llvm_cbe_game_2e_i.field6)) = ((struct l_struct_2E_Os *)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field7)) = ((struct l_struct_2E_Os *)/*NULL*/0);
  llvm_cbe_tmp1_2e_i_2e_i_2e_i137_2e_i_2e_i = (&llvm_cbe_game_2e_i.field8.field1.field0.field0);
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i137_2e_i_2e_i = ((struct l_struct_2E_DemoEntry *)/*NULL*/0);
  *((&llvm_cbe_game_2e_i.field8.field1.field0.field1)) = 0u;
  llvm_cbe_tmp5_2e_i_2e_i_2e_i141_2e_i_2e_i = (&llvm_cbe_game_2e_i.field8.field1.field0.field2);
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i141_2e_i_2e_i = 0u;
  llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i169_2e_i_2e_i = malloc(0ull);
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i137_2e_i_2e_i = (((struct l_struct_2E_DemoEntry *)llvm_cbe_tmp28_2e_i_2e_i_2e_i_2e_i169_2e_i_2e_i));
  *llvm_cbe_tmp5_2e_i_2e_i_2e_i141_2e_i_2e_i = 0u;
  llvm_cbe_tmp2_2e_i123_2e_i_2e_i = *((unsigned char *)(&_ZGVZN2Os3getEvE2os));
  if ((llvm_cbe_tmp2_2e_i123_2e_i_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb_2e_i127_2e_i_2e_i;
  } else {
    goto llvm_cbe__ZN4GameC1Eii_2e_exit_2e_i;
  }

llvm_cbe_bb_2e_i127_2e_i_2e_i:
  llvm_cbe_tmp5_2e_i125_2e_i_2e_i = __cxa_guard_acquire((&_ZGVZN2Os3getEvE2os));
  if ((llvm_cbe_tmp5_2e_i125_2e_i_2e_i == 0u)) {
    goto llvm_cbe__ZN4GameC1Eii_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb10_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb10_2e_i_2e_i_2e_i:
  *((&_ZZN2Os3getEvE2os.field0.field0)) = ((&_ZTV13OsFreeDesktop[((signed long long )2ull)]));
  __cxa_guard_release((&_ZGVZN2Os3getEvE2os));
  goto llvm_cbe__ZN4GameC1Eii_2e_exit_2e_i;

llvm_cbe__ZN4GameC1Eii_2e_exit_2e_i:
  *((&llvm_cbe_game_2e_i.field10)) = ((&_ZZN2Os3getEvE2os.field0));
  llvm_cbe_tmp3_2e_i115_2e_i_2e_i = *((&llvm_cbe_game_2e_i.field5.field0.field1));
  llvm_cbe_tmp34_2e_i116_2e_i_2e_i = ((struct l_struct_2E_SDL_Surface *)llvm_cbe_tmp3_2e_i115_2e_i_2e_i);
  llvm_cbe_tmp6_2e_i118_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i116_2e_i_2e_i->field3));
  llvm_cbe_tmp6_2e_i112_2e_i_2e_i = *((&llvm_cbe_tmp34_2e_i116_2e_i_2e_i->field2));
  _Z24configureScreenTransformii(llvm_cbe_tmp6_2e_i112_2e_i_2e_i, llvm_cbe_tmp6_2e_i118_2e_i_2e_i);
  if ((((signed int )llvm_cbe_files_2e_i_2e_1_2e_1) > ((signed int )0u))) {
    goto llvm_cbe_bb185_2e_i;
  } else {
    goto llvm_cbe_bb205_2e_i;
  }

llvm_cbe_bb185_2e_i:
  llvm_cbe_tmp2_2e_i155_2e_i = (&llvm_cbe_game_2e_i.field0.field9);
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb197_2e_i;

  do {     /* Syntactic loop 'bb197.i' to make GCC happy */
llvm_cbe_bb197_2e_i:
  llvm_cbe_storemerge3_2e_i = llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_files_2e_i_2e_1_2e_1) > ((signed int )llvm_cbe_storemerge3_2e_i))) {
    goto llvm_cbe_bb186_2e_i;
  } else {
    goto llvm_cbe_bb233_2e_i;
  }

llvm_cbe_bb186_2e_i:
  llvm_cbe_tmp190_2e_i = *((&llvm_cbe_files_2e_i_2e_0_2e_4[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge3_2e_i)))]));
  _ZN6Levels7addPathEPKc(llvm_cbe_tmp2_2e_i155_2e_i, llvm_cbe_tmp190_2e_i);
  llvm_cbe_tmp196_2e_i = llvm_cbe_storemerge3_2e_i + 1u;
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp196_2e_i;   /* for PHI node */
  goto llvm_cbe_bb197_2e_i;

  } while (1); /* end of syntactic loop 'bb197.i' */
llvm_cbe_bb205_2e_i:
  llvm_cbe_tmp207_2e_i = stat(((&_2E_str50[((signed long long )0ull)])), (&llvm_cbe_st_2e_i));
  llvm_cbe_tmp2_2e_i144_2e_i = (&llvm_cbe_game_2e_i.field0.field9);
  if ((llvm_cbe_tmp207_2e_i == 0u)) {
    goto llvm_cbe_bb212_2e_i;
  } else {
    goto llvm_cbe_bb218_2e_i;
  }

llvm_cbe_bb212_2e_i:
  _ZN6Levels7addPathEPKc(llvm_cbe_tmp2_2e_i144_2e_i, ((&_2E_str51[((signed long long )0ull)])));
  goto llvm_cbe_bb224_2e_i;

llvm_cbe_bb218_2e_i:
  _ZN6Levels7addPathEPKc(llvm_cbe_tmp2_2e_i144_2e_i, ((&_2E_str52[((signed long long )0ull)])));
  goto llvm_cbe_bb224_2e_i;

llvm_cbe_bb224_2e_i:
  llvm_cbe_tmp226_2e_i = _ZN6Config11userDataDirEv();
  llvm_cbe_tmp228_2e_i = _ZNKSs5c_strEv(llvm_cbe_tmp226_2e_i);
  _ZN6Levels7addPathEPKc(((&llvm_cbe_game_2e_i.field0.field9)), llvm_cbe_tmp228_2e_i);
  goto llvm_cbe_bb233_2e_i;

llvm_cbe_bb233_2e_i:
  _ZN4Game9gotoLevelEib((&llvm_cbe_game_2e_i), 0u, ((unsigned char )0));
  _ZN4Game3runEv((&llvm_cbe_game_2e_i));
  _ZN4GameD1Ev((&llvm_cbe_game_2e_i));
  goto llvm_cbe_bb242_2e_i;

llvm_cbe_bb242_2e_i:
  if ((llvm_cbe_files_2e_i_2e_0_2e_4 == ((unsigned char **)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i20_2e_i;
  }

llvm_cbe_bb_2e_i20_2e_i:
  free((((unsigned char *)llvm_cbe_files_2e_i_2e_0_2e_4)));
  return 0u;
llvm_cbe_return:
  return 0u;
}


static unsigned long long _Z6b2MulTRK7b2Mat22RK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2Vec2 *llvm_cbe_v) {
  float llvm_cbe_tmp3_2e_i38;
  float llvm_cbe_tmp10_2e_i45;
  float llvm_cbe_tmp6_2e_i41;
  float llvm_cbe_tmp13_2e_i48;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp1752__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2059__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i38 = *((&llvm_cbe_v->field0));
  llvm_cbe_tmp10_2e_i45 = *((&llvm_cbe_v->field1));
  llvm_cbe_tmp6_2e_i41 = *((&llvm_cbe_A->field1.field0));
  llvm_cbe_tmp13_2e_i48 = *((&llvm_cbe_A->field1.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_A->field0.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_A->field0.field1));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp1752__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp3_2e_i38 * llvm_cbe_tmp6_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i45 * llvm_cbe_tmp13_2e_i)))))), llvm_cbe_tmp1752__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2059__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp3_2e_i38 * llvm_cbe_tmp6_2e_i41))) + (((float )(llvm_cbe_tmp10_2e_i45 * llvm_cbe_tmp13_2e_i48)))))), llvm_cbe_tmp2059__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static unsigned long long _Z5b2MulRK7b2XFormRK6b2Vec2(struct l_struct_2E_b2XForm *llvm_cbe_T, struct l_struct_2E_b2Vec2 *llvm_cbe_v) {
  unsigned long long llvm_cbe_tmp7;
  llvmBitCastUnion llvm_cbe_tmp1144__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1448__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY;

  llvm_cbe_tmp7 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_T->field1)), llvm_cbe_v);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_T->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_T->field0.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + ((llvm_cbe_tmp1144__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp7)), llvm_cbe_tmp1144__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + ((llvm_cbe_tmp1448__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp7) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1448__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static unsigned long long _Z5b2AbsRK6b2Vec2(struct l_struct_2E_b2Vec2 *llvm_cbe_a) {
  float llvm_cbe_tmp3;
  float llvm_cbe_tmp5_2e_i35;
  float llvm_cbe_storemerge_2e_i39;
  float llvm_cbe_storemerge_2e_i39__PHI_TEMPORARY;
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp5_2e_i30;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1742__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2049__BITCAST_TEMPORARY;

  llvm_cbe_tmp3 = *((&llvm_cbe_a->field1));
  if ((llvm_fcmp_ule(llvm_cbe_tmp3, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i36;
  } else {
    llvm_cbe_storemerge_2e_i39__PHI_TEMPORARY = llvm_cbe_tmp3;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit41;
  }

llvm_cbe_bb_2e_i36:
  llvm_cbe_tmp5_2e_i35 = ((float )(-(llvm_cbe_tmp3)));
  llvm_cbe_storemerge_2e_i39__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i35;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit41;

llvm_cbe__Z5b2Absf_2e_exit41:
  llvm_cbe_storemerge_2e_i39 = llvm_cbe_storemerge_2e_i39__PHI_TEMPORARY;
  llvm_cbe_tmp7 = *((&llvm_cbe_a->field0));
  if ((llvm_fcmp_ule(llvm_cbe_tmp7, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp7;   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i30 = ((float )(-(llvm_cbe_tmp7)));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i30;   /* for PHI node */
  goto llvm_cbe_return;

llvm_cbe_return:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp1742__BITCAST_TEMPORARY.Float = llvm_cbe_storemerge_2e_i, llvm_cbe_tmp1742__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2049__BITCAST_TEMPORARY.Float = llvm_cbe_storemerge_2e_i39, llvm_cbe_tmp2049__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static unsigned char _ZNK14b2PolygonShape9TestPointERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Vec2 *llvm_cbe_p) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp5;    /* Address-exposed local */
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i130131132_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp19;
  float llvm_cbe_tmp23107;
  llvmBitCastUnion llvm_cbe_tmp23107__BITCAST_TEMPORARY;
  float llvm_cbe_tmp26111;
  llvmBitCastUnion llvm_cbe_tmp26111__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp56;
  unsigned long long llvm_cbe_tmp2730;
  float llvm_cbe_tmp6_2e_i64;
  float llvm_cbe_tmp13_2e_i71;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i90144145146_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp36114__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp39118__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i36;
  float llvm_cbe_tmp10_2e_i43;
  unsigned int llvm_cbe_tmp52;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned char llvm_cbe_storemerge;
  unsigned char llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_p->field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_xf->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_p->field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_xf->field0.field0));
  llvm_cbe_tmp26_2e_i130131132_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp5.field0)) = ((llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i130131132_2e_ins)), llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp5.field1)) = ((llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i130131132_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp19 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf->field1)), (&llvm_cbe_tmp5));
  llvm_cbe_tmp23107 = (llvm_cbe_tmp23107__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp19)), llvm_cbe_tmp23107__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26111 = (llvm_cbe_tmp26111__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp19) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26111__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp56 = *((&llvm_cbe_this->field6));
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb53;

  do {     /* Syntactic loop 'bb53' to make GCC happy */
llvm_cbe_bb53:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp56) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb50:
  llvm_cbe_tmp52 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp52;   /* for PHI node */
  goto llvm_cbe_bb53;

llvm_cbe_bb:
  llvm_cbe_tmp2730 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp6_2e_i64 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp2730)].field1));
  llvm_cbe_tmp13_2e_i71 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp2730)].field0));
  llvm_cbe_tmp26_2e_i90144145146_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp23107 - llvm_cbe_tmp13_2e_i71))), llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp26111 - llvm_cbe_tmp6_2e_i64))), llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i36 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp2730)].field0));
  llvm_cbe_tmp10_2e_i43 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp2730)].field1));
  if ((llvm_fcmp_ogt((((float )((((float )(llvm_cbe_tmp3_2e_i36 * ((llvm_cbe_tmp36114__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i90144145146_2e_ins)), llvm_cbe_tmp36114__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i43 * ((llvm_cbe_tmp39118__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i90144145146_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp39118__BITCAST_TEMPORARY.Float)))))))), 0x0p+0))) {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb50;
  }

  } while (1); /* end of syntactic loop 'bb53' */
llvm_cbe_return:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  return llvm_cbe_storemerge;
}


static void _ZNK14b2PolygonShape11ComputeAABBEP6b2AABBRK7b2XForm(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_xf) {
  struct l_struct_2E_b2AABB llvm_cbe_absR;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_R;    /* Address-exposed local */
  struct l_struct_2E_b2AABB *llvm_cbe_tmp10;
  unsigned long long llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp12_2e_i307__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp15_2e_i311__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp19_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i314__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i318__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp7_2e_i203;
  llvmBitCastUnion llvm_cbe_tmp11_2e_i206363__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp14_2e_i209367__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp17_2e_i212;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i215370__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i218374__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp14;
  float llvm_cbe_tmp18272;
  llvmBitCastUnion llvm_cbe_tmp18272__BITCAST_TEMPORARY;
  float llvm_cbe_tmp21276;
  llvmBitCastUnion llvm_cbe_tmp21276__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp27;
  llvmBitCastUnion llvm_cbe_tmp31279__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp34283__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i149;
  float llvm_cbe_tmp10_2e_i156;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i175351__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i178358__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i178358359360_2e_ins;
  float llvm_cbe_tmp29_2e_i181350;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i181350__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i184356;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i184356__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i126337__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i129344__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i129344345346_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i132336__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i135342__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i80323__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i83330__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i83330331332_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i84322__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i87328__BITCAST_TEMPORARY;

  llvm_cbe_tmp10 = (&llvm_cbe_xf->field1);
  llvm_cbe_tmp8_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp10, ((&llvm_cbe_this->field2.field0.field1)));
  llvm_cbe_tmp19_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp10, ((&llvm_cbe_this->field2.field0.field0)));
  *((&llvm_cbe_R.field0.field0)) = ((llvm_cbe_tmp23_2e_i314__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp19_2e_i)), llvm_cbe_tmp23_2e_i314__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_R.field0.field1)) = ((llvm_cbe_tmp26_2e_i318__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp19_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i318__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_R.field1.field0)) = ((llvm_cbe_tmp12_2e_i307__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp8_2e_i)), llvm_cbe_tmp12_2e_i307__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_R.field1.field1)) = ((llvm_cbe_tmp15_2e_i311__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp8_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp15_2e_i311__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp7_2e_i203 = _Z5b2AbsRK6b2Vec2(((&llvm_cbe_R.field1)));
  llvm_cbe_tmp17_2e_i212 = _Z5b2AbsRK6b2Vec2(((&llvm_cbe_R.field0)));
  *((&llvm_cbe_absR.field0.field0)) = ((llvm_cbe_tmp21_2e_i215370__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp17_2e_i212)), llvm_cbe_tmp21_2e_i215370__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_absR.field0.field1)) = ((llvm_cbe_tmp24_2e_i218374__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp17_2e_i212) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i218374__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_absR.field1.field0)) = ((llvm_cbe_tmp11_2e_i206363__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp7_2e_i203)), llvm_cbe_tmp11_2e_i206363__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_absR.field1.field1)) = ((llvm_cbe_tmp14_2e_i209367__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp7_2e_i203) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp14_2e_i209367__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp14 = _Z5b2MulRK7b2Mat22RK6b2Vec2((&llvm_cbe_absR), ((&llvm_cbe_this->field2.field2)));
  llvm_cbe_tmp18272 = (llvm_cbe_tmp18272__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp14)), llvm_cbe_tmp18272__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp21276 = (llvm_cbe_tmp21276__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp14) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp21276__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp27 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp10, ((&llvm_cbe_this->field2.field1)));
  llvm_cbe_tmp3_2e_i149 = *((&llvm_cbe_xf->field0.field1));
  llvm_cbe_tmp10_2e_i156 = *((&llvm_cbe_xf->field0.field0));
  llvm_cbe_tmp26_2e_i178358359360_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i175351__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i156 + ((llvm_cbe_tmp31279__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp27)), llvm_cbe_tmp31279__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i175351__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i178358__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i149 + ((llvm_cbe_tmp34283__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp27) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp34283__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i178358__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i181350 = (llvm_cbe_tmp29_2e_i181350__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i178358359360_2e_ins)), llvm_cbe_tmp29_2e_i181350__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i184356 = (llvm_cbe_tmp32_2e_i184356__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i178358359360_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i184356__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i129344345346_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i126337__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp29_2e_i181350 - llvm_cbe_tmp18272))), llvm_cbe_tmp23_2e_i126337__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i129344__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i184356 - llvm_cbe_tmp21276))), llvm_cbe_tmp26_2e_i129344__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_aabb->field0.field0)) = ((llvm_cbe_tmp29_2e_i132336__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i129344345346_2e_ins)), llvm_cbe_tmp29_2e_i132336__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_aabb->field0.field1)) = ((llvm_cbe_tmp32_2e_i135342__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i129344345346_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i135342__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp26_2e_i83330331332_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i80323__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp29_2e_i181350 + llvm_cbe_tmp18272))), llvm_cbe_tmp23_2e_i80323__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i83330__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i184356 + llvm_cbe_tmp21276))), llvm_cbe_tmp26_2e_i83330__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_aabb->field1.field0)) = ((llvm_cbe_tmp29_2e_i84322__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i83330331332_2e_ins)), llvm_cbe_tmp29_2e_i84322__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_aabb->field1.field1)) = ((llvm_cbe_tmp32_2e_i87328__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i83330331332_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i87328__BITCAST_TEMPORARY.Float));
  return;
}


static unsigned long long _ZNK14b2PolygonShape7SupportERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Vec2 *llvm_cbe_d) {
  unsigned long long llvm_cbe_tmp6;
  float llvm_cbe_tmp1047;
  llvmBitCastUnion llvm_cbe_tmp1047__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1351;
  llvmBitCastUnion llvm_cbe_tmp1351__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp15_2e_i;
  unsigned int llvm_cbe_tmp37;
  unsigned long long llvm_cbe_tmp1821;
  float llvm_cbe_tmp3_2e_i31;
  float llvm_cbe_tmp10_2e_i38;
  float llvm_cbe_tmp15_2e_i43;
  float llvm_cbe_bestValue_2e_0;
  unsigned int llvm_cbe_bestIndex_2e_0;
  unsigned int llvm_cbe_tmp33;
  float llvm_cbe_bestValue_2e_1;
  float llvm_cbe_bestValue_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_bestIndex_2e_1;
  unsigned int llvm_cbe_bestIndex_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp49;

  llvm_cbe_tmp6 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf->field1)), llvm_cbe_d);
  llvm_cbe_tmp1047 = (llvm_cbe_tmp1047__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6)), llvm_cbe_tmp1047__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1351 = (llvm_cbe_tmp1351__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1351__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field5[((signed int )0u)].field0));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field5[((signed int )0u)].field1));
  llvm_cbe_tmp15_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp1047))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp1351)))));
  llvm_cbe_tmp37 = *((&llvm_cbe_this->field6));
  llvm_cbe_bestValue_2e_1__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i;   /* for PHI node */
  llvm_cbe_bestIndex_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb34;

  do {     /* Syntactic loop 'bb34' to make GCC happy */
llvm_cbe_bb34:
  llvm_cbe_bestValue_2e_1 = llvm_cbe_bestValue_2e_1__PHI_TEMPORARY;
  llvm_cbe_bestIndex_2e_1 = llvm_cbe_bestIndex_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp37) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb42;
  }

llvm_cbe_bb:
  llvm_cbe_tmp1821 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i31 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp1821)].field0));
  llvm_cbe_tmp10_2e_i38 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp1821)].field1));
  llvm_cbe_tmp15_2e_i43 = ((float )((((float )(llvm_cbe_tmp3_2e_i31 * llvm_cbe_tmp1047))) + (((float )(llvm_cbe_tmp10_2e_i38 * llvm_cbe_tmp1351)))));
  llvm_cbe_bestValue_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i43, llvm_cbe_bestValue_2e_1))) ? (llvm_cbe_tmp15_2e_i43) : (llvm_cbe_bestValue_2e_1));
  llvm_cbe_bestIndex_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i43, llvm_cbe_bestValue_2e_1))) ? (llvm_cbe_storemerge) : (llvm_cbe_bestIndex_2e_1));
  llvm_cbe_tmp33 = llvm_cbe_storemerge + 1u;
  llvm_cbe_bestValue_2e_1__PHI_TEMPORARY = llvm_cbe_bestValue_2e_0;   /* for PHI node */
  llvm_cbe_bestIndex_2e_1__PHI_TEMPORARY = llvm_cbe_bestIndex_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp33;   /* for PHI node */
  goto llvm_cbe_bb34;

  } while (1); /* end of syntactic loop 'bb34' */
llvm_cbe_bb42:
  llvm_cbe_tmp49 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf, ((&llvm_cbe_this->field5[((signed long long )(((signed long long )(signed int )llvm_cbe_bestIndex_2e_1)))])));
  return llvm_cbe_tmp49;
}


static unsigned long long _Z5b2MinRK6b2Vec2S1_(struct l_struct_2E_b2Vec2 *llvm_cbe_a, struct l_struct_2E_b2Vec2 *llvm_cbe_b) {
  float llvm_cbe_tmp3;
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp11;
  float llvm_cbe_tmp14;
  llvmBitCastUnion llvm_cbe_tmp2549__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2856__BITCAST_TEMPORARY;

  llvm_cbe_tmp3 = *((&llvm_cbe_b->field0));
  llvm_cbe_tmp6 = *((&llvm_cbe_a->field0));
  llvm_cbe_tmp11 = *((&llvm_cbe_b->field1));
  llvm_cbe_tmp14 = *((&llvm_cbe_a->field1));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2549__BITCAST_TEMPORARY.Float = ((((llvm_fcmp_olt(llvm_cbe_tmp6, llvm_cbe_tmp3))) ? (llvm_cbe_tmp6) : (llvm_cbe_tmp3))), llvm_cbe_tmp2549__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2856__BITCAST_TEMPORARY.Float = ((((llvm_fcmp_olt(llvm_cbe_tmp14, llvm_cbe_tmp11))) ? (llvm_cbe_tmp14) : (llvm_cbe_tmp11))), llvm_cbe_tmp2856__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static unsigned long long _Z5b2MaxRK6b2Vec2S1_(struct l_struct_2E_b2Vec2 *llvm_cbe_a, struct l_struct_2E_b2Vec2 *llvm_cbe_b) {
  float llvm_cbe_tmp3;
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp11;
  float llvm_cbe_tmp14;
  llvmBitCastUnion llvm_cbe_tmp2549__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2856__BITCAST_TEMPORARY;

  llvm_cbe_tmp3 = *((&llvm_cbe_b->field0));
  llvm_cbe_tmp6 = *((&llvm_cbe_a->field0));
  llvm_cbe_tmp11 = *((&llvm_cbe_b->field1));
  llvm_cbe_tmp14 = *((&llvm_cbe_a->field1));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2549__BITCAST_TEMPORARY.Float = ((((llvm_fcmp_ogt(llvm_cbe_tmp6, llvm_cbe_tmp3))) ? (llvm_cbe_tmp6) : (llvm_cbe_tmp3))), llvm_cbe_tmp2549__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2856__BITCAST_TEMPORARY.Float = ((((llvm_fcmp_ogt(llvm_cbe_tmp14, llvm_cbe_tmp11))) ? (llvm_cbe_tmp14) : (llvm_cbe_tmp11))), llvm_cbe_tmp2856__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static void _ZNK14b2PolygonShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2) {
  struct l_struct_2E_b2AABB llvm_cbe_aabb2;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_aabb1;    /* Address-exposed local */
  unsigned int  (***llvm_cbe_tmp4) ();
  unsigned int  (**llvm_cbe_tmp5) ();
  unsigned int  (*llvm_cbe_tmp7) ();
  unsigned int  (**llvm_cbe_tmp14) ();
  unsigned int  (*llvm_cbe_tmp16) ();
  unsigned long long llvm_cbe_tmp22;
  llvmBitCastUnion llvm_cbe_tmp2825__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3129__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp34;
  llvmBitCastUnion llvm_cbe_tmp4032__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp4336__BITCAST_TEMPORARY;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field0.field0);
  llvm_cbe_tmp5 = *llvm_cbe_tmp4;
  llvm_cbe_tmp7 = *((&llvm_cbe_tmp5[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2PolygonShape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp7))(llvm_cbe_this, (&llvm_cbe_aabb1), llvm_cbe_transform1);
  llvm_cbe_tmp14 = *llvm_cbe_tmp4;
  llvm_cbe_tmp16 = *((&llvm_cbe_tmp14[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2PolygonShape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp16))(llvm_cbe_this, (&llvm_cbe_aabb2), llvm_cbe_transform2);
  llvm_cbe_tmp22 = _Z5b2MinRK6b2Vec2S1_(((&llvm_cbe_aabb1.field0)), ((&llvm_cbe_aabb2.field0)));
  *((&llvm_cbe_aabb->field0.field0)) = ((llvm_cbe_tmp2825__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22)), llvm_cbe_tmp2825__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_aabb->field0.field1)) = ((llvm_cbe_tmp3129__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3129__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp34 = _Z5b2MaxRK6b2Vec2S1_(((&llvm_cbe_aabb1.field1)), ((&llvm_cbe_aabb2.field1)));
  *((&llvm_cbe_aabb->field1.field0)) = ((llvm_cbe_tmp4032__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34)), llvm_cbe_tmp4032__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_aabb->field1.field1)) = ((llvm_cbe_tmp4336__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp4336__BITCAST_TEMPORARY.Float));
  return;
}


static void _ZN14b2PolygonShapeD0Ev(struct l_struct_2E_b2PolygonShape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_this->field0.field8));
  if ((llvm_cbe_tmp5_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb6;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb6:
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static unsigned char _ZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, float *llvm_cbe_lambda, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, struct l_struct_2E_b2AABB *llvm_cbe_segment, float llvm_cbe_maxLambda) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp10;    /* Address-exposed local */
  float llvm_cbe_tmp3_2e_i;
  float *llvm_cbe_tmp5_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float *llvm_cbe_tmp12_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i309__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i316__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i316317318_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i308__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i314__BITCAST_TEMPORARY;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp25;
  unsigned long long llvm_cbe_tmp26;
  float llvm_cbe_tmp30265;
  llvmBitCastUnion llvm_cbe_tmp30265__BITCAST_TEMPORARY;
  float llvm_cbe_tmp33269;
  llvmBitCastUnion llvm_cbe_tmp33269__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i84;
  float llvm_cbe_tmp6_2e_i87;
  float llvm_cbe_tmp10_2e_i91;
  float llvm_cbe_tmp13_2e_i94;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i110323__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i113330__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i113330331332_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i116322__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i119328__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp48;
  llvmBitCastUnion llvm_cbe_tmp52279__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp55283__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i245351__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i248358__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i248358359360_2e_ins;
  float llvm_cbe_tmp29_2e_i251350;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i251350__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i254356;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i254356__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp135;
  unsigned long long llvm_cbe_tmp6467;
  float llvm_cbe_tmp3_2e_i170;
  float llvm_cbe_tmp10_2e_i177;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i196337__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i199344__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i199344345346_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp73293__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp76297__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i144;
  float llvm_cbe_tmp10_2e_i151;
  float llvm_cbe_tmp15_2e_i156;
  float llvm_cbe_tmp15_2e_i138;
  float llvm_cbe_tmp103;
  float llvm_cbe_tmp121;
  unsigned int llvm_cbe_index_2e_0;
  unsigned int llvm_cbe_index_2e_0__PHI_TEMPORARY;
  float llvm_cbe_upper_2e_0;
  float llvm_cbe_upper_2e_0__PHI_TEMPORARY;
  float llvm_cbe_lower_2e_0;
  float llvm_cbe_lower_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp131;
  unsigned int llvm_cbe_index_2e_1;
  unsigned int llvm_cbe_index_2e_1__PHI_TEMPORARY;
  float llvm_cbe_upper_2e_1;
  float llvm_cbe_upper_2e_1__PHI_TEMPORARY;
  float llvm_cbe_lower_2e_1;
  float llvm_cbe_lower_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp170;
  llvmBitCastUnion llvm_cbe_tmp175300__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp178304__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_segment->field0.field1));
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_xf->field0.field1);
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_segment->field0.field0));
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_xf->field0.field0);
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i316317318_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i309__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i309__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i316__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i316__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp10.field0)) = ((llvm_cbe_tmp29_2e_i308__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i316317318_2e_ins)), llvm_cbe_tmp29_2e_i308__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp10.field1)) = ((llvm_cbe_tmp32_2e_i314__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i316317318_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i314__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp25 = (&llvm_cbe_xf->field1);
  llvm_cbe_tmp26 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp25, (&llvm_cbe_tmp10));
  llvm_cbe_tmp30265 = (llvm_cbe_tmp30265__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26)), llvm_cbe_tmp30265__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp33269 = (llvm_cbe_tmp33269__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp33269__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i84 = *((&llvm_cbe_segment->field1.field1));
  llvm_cbe_tmp6_2e_i87 = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i91 = *((&llvm_cbe_segment->field1.field0));
  llvm_cbe_tmp13_2e_i94 = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i113330331332_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i110323__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i91 - llvm_cbe_tmp13_2e_i94))), llvm_cbe_tmp23_2e_i110323__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i113330__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i84 - llvm_cbe_tmp6_2e_i87))), llvm_cbe_tmp26_2e_i113330__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp7.field0)) = ((llvm_cbe_tmp29_2e_i116322__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i113330331332_2e_ins)), llvm_cbe_tmp29_2e_i116322__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp7.field1)) = ((llvm_cbe_tmp32_2e_i119328__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i113330331332_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i119328__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp48 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp25, (&llvm_cbe_tmp7));
  llvm_cbe_tmp26_2e_i248358359360_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i245351__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp52279__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp48)), llvm_cbe_tmp52279__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp30265))), llvm_cbe_tmp23_2e_i245351__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i248358__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp55283__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp48) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp55283__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp33269))), llvm_cbe_tmp26_2e_i248358__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i251350 = (llvm_cbe_tmp29_2e_i251350__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i248358359360_2e_ins)), llvm_cbe_tmp29_2e_i251350__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i254356 = (llvm_cbe_tmp32_2e_i254356__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i248358359360_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i254356__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp135 = *((&llvm_cbe_this->field6));
  llvm_cbe_index_2e_1__PHI_TEMPORARY = 4294967295u;   /* for PHI node */
  llvm_cbe_upper_2e_1__PHI_TEMPORARY = llvm_cbe_maxLambda;   /* for PHI node */
  llvm_cbe_lower_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb132;

  do {     /* Syntactic loop 'bb132' to make GCC happy */
llvm_cbe_bb132:
  llvm_cbe_index_2e_1 = llvm_cbe_index_2e_1__PHI_TEMPORARY;
  llvm_cbe_upper_2e_1 = llvm_cbe_upper_2e_1__PHI_TEMPORARY;
  llvm_cbe_lower_2e_1 = llvm_cbe_lower_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp135) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb140;
  }

llvm_cbe_bb129:
  llvm_cbe_tmp131 = llvm_cbe_storemerge + 1u;
  llvm_cbe_index_2e_1__PHI_TEMPORARY = llvm_cbe_index_2e_0;   /* for PHI node */
  llvm_cbe_upper_2e_1__PHI_TEMPORARY = llvm_cbe_upper_2e_0;   /* for PHI node */
  llvm_cbe_lower_2e_1__PHI_TEMPORARY = llvm_cbe_lower_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp131;   /* for PHI node */
  goto llvm_cbe_bb132;

llvm_cbe_bb122:
  llvm_cbe_index_2e_0 = llvm_cbe_index_2e_0__PHI_TEMPORARY;
  llvm_cbe_upper_2e_0 = llvm_cbe_upper_2e_0__PHI_TEMPORARY;
  llvm_cbe_lower_2e_0 = llvm_cbe_lower_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_upper_2e_0, llvm_cbe_lower_2e_0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb129;
  }

llvm_cbe_bb100:
  llvm_cbe_tmp103 = ((float )(llvm_cbe_tmp15_2e_i156 / llvm_cbe_tmp15_2e_i138));
  llvm_cbe_index_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge;   /* for PHI node */
  llvm_cbe_upper_2e_0__PHI_TEMPORARY = llvm_cbe_upper_2e_1;   /* for PHI node */
  llvm_cbe_lower_2e_0__PHI_TEMPORARY = llvm_cbe_tmp103;   /* for PHI node */
  goto llvm_cbe_bb122;

llvm_cbe_bb92:
  if ((llvm_fcmp_ule((((float )(llvm_cbe_lower_2e_1 * llvm_cbe_tmp15_2e_i138))), llvm_cbe_tmp15_2e_i156))) {
    goto llvm_cbe_bb105;
  } else {
    goto llvm_cbe_bb100;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6467 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i170 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp6467)].field1));
  llvm_cbe_tmp10_2e_i177 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp6467)].field0));
  llvm_cbe_tmp26_2e_i199344345346_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i196337__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i177 - llvm_cbe_tmp30265))), llvm_cbe_tmp23_2e_i196337__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i199344__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i170 - llvm_cbe_tmp33269))), llvm_cbe_tmp26_2e_i199344__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i144 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp6467)].field0));
  llvm_cbe_tmp10_2e_i151 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp6467)].field1));
  llvm_cbe_tmp15_2e_i156 = ((float )((((float )(llvm_cbe_tmp3_2e_i144 * ((llvm_cbe_tmp73293__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i199344345346_2e_ins)), llvm_cbe_tmp73293__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i151 * ((llvm_cbe_tmp76297__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i199344345346_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp76297__BITCAST_TEMPORARY.Float)))))));
  llvm_cbe_tmp15_2e_i138 = ((float )((((float )(llvm_cbe_tmp3_2e_i144 * llvm_cbe_tmp29_2e_i251350))) + (((float )(llvm_cbe_tmp10_2e_i151 * llvm_cbe_tmp32_2e_i254356)))));
  if ((llvm_fcmp_uge(llvm_cbe_tmp15_2e_i138, 0x0p+0))) {
    goto llvm_cbe_bb105;
  } else {
    goto llvm_cbe_bb92;
  }

llvm_cbe_bb105:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i138, 0x0p+0))) {
    goto llvm_cbe_bb110;
  } else {
    llvm_cbe_index_2e_0__PHI_TEMPORARY = llvm_cbe_index_2e_1;   /* for PHI node */
    llvm_cbe_upper_2e_0__PHI_TEMPORARY = llvm_cbe_upper_2e_1;   /* for PHI node */
    llvm_cbe_lower_2e_0__PHI_TEMPORARY = llvm_cbe_lower_2e_1;   /* for PHI node */
    goto llvm_cbe_bb122;
  }

llvm_cbe_bb110:
  if ((llvm_fcmp_ogt((((float )(llvm_cbe_upper_2e_1 * llvm_cbe_tmp15_2e_i138))), llvm_cbe_tmp15_2e_i156))) {
    goto llvm_cbe_bb118;
  } else {
    llvm_cbe_index_2e_0__PHI_TEMPORARY = llvm_cbe_index_2e_1;   /* for PHI node */
    llvm_cbe_upper_2e_0__PHI_TEMPORARY = llvm_cbe_upper_2e_1;   /* for PHI node */
    llvm_cbe_lower_2e_0__PHI_TEMPORARY = llvm_cbe_lower_2e_1;   /* for PHI node */
    goto llvm_cbe_bb122;
  }

llvm_cbe_bb118:
  llvm_cbe_tmp121 = ((float )(llvm_cbe_tmp15_2e_i156 / llvm_cbe_tmp15_2e_i138));
  llvm_cbe_index_2e_0__PHI_TEMPORARY = llvm_cbe_index_2e_1;   /* for PHI node */
  llvm_cbe_upper_2e_0__PHI_TEMPORARY = llvm_cbe_tmp121;   /* for PHI node */
  llvm_cbe_lower_2e_0__PHI_TEMPORARY = llvm_cbe_lower_2e_1;   /* for PHI node */
  goto llvm_cbe_bb122;

  } while (1); /* end of syntactic loop 'bb132' */
llvm_cbe_bb140:
  if (((((llvm_fcmp_ult(llvm_cbe_lower_2e_1, 0x0p+0)) | (llvm_fcmp_ugt(llvm_cbe_lower_2e_1, llvm_cbe_maxLambda)))&1))) {
    goto llvm_cbe_bb151;
  } else {
    goto llvm_cbe_bb155;
  }

llvm_cbe_bb151:
  __assert_fail(((&_2E_str3128[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 309u, ((&_ZZNK14b2PolygonShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2SegmentfE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb155:
  if ((((signed int )llvm_cbe_index_2e_1) > ((signed int )4294967295u))) {
    goto llvm_cbe_bb160;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb160:
  *llvm_cbe_lambda = llvm_cbe_lower_2e_1;
  llvm_cbe_tmp170 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp25, ((&llvm_cbe_this->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_index_2e_1)))])));
  *((&llvm_cbe_normal->field0)) = ((llvm_cbe_tmp175300__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp170)), llvm_cbe_tmp175300__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_normal->field1)) = ((llvm_cbe_tmp178304__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp170) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp178304__BITCAST_TEMPORARY.Float));
  return ((unsigned char )1);
llvm_cbe_return:
  return ((unsigned char )0);
}


static void _ZNK14b2PolygonShape11ComputeMassEP10b2MassData(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2MassData *llvm_cbe_massData) {
  unsigned int llvm_cbe_tmp12;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp61;
  unsigned long long llvm_cbe_tmp2629;
  float llvm_cbe_tmp33;
  float llvm_cbe_tmp36;
  unsigned int llvm_cbe_tmp44;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp57;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_tmp66;
  float llvm_cbe_tmp69;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i262382__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i265389__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i265389390391_2e_ins;
  float llvm_cbe_tmp80289;
  llvmBitCastUnion llvm_cbe_tmp80289__BITCAST_TEMPORARY;
  float llvm_cbe_tmp83293;
  llvmBitCastUnion llvm_cbe_tmp83293__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i213368__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i216375__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i216375376377_2e_ins;
  float llvm_cbe_tmp88296;
  llvmBitCastUnion llvm_cbe_tmp88296__BITCAST_TEMPORARY;
  float llvm_cbe_tmp91300;
  llvmBitCastUnion llvm_cbe_tmp91300__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i174;
  float llvm_cbe_tmp94;
  float llvm_cbe_tmp97;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i146354__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i149361__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i149361362363_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp102303__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp105307__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i102340__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i105347__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i105347348349_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp110310__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp113314__BITCAST_TEMPORARY;
  float llvm_cbe_tmp115;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i326__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i333__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i333334335_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp120317__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp123321__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i38;
  float llvm_cbe_tmp15_2e_i;
  float llvm_cbe_tmp194;
  float llvm_cbe_center_2e_0_2e_0;
  float llvm_cbe_center_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_center_2e_1_2e_0;
  float llvm_cbe_center_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_I_2e_0;
  float llvm_cbe_I_2e_0__PHI_TEMPORARY;
  float llvm_cbe_area_2e_0;
  float llvm_cbe_area_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  float *llvm_cbe_tmp208;
  float llvm_cbe_tmp209;
  float llvm_cbe_tmp224;
  float llvm_cbe_tmp236;

  llvm_cbe_tmp12 = *((&llvm_cbe_this->field6));
  if ((((signed int )llvm_cbe_tmp12) < ((signed int )3u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb18;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str125[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 368u, ((&_ZZNK14b2PolygonShape11ComputeMassEP10b2MassDataE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18:
  llvm_cbe_tmp61 = (&llvm_cbe_this->field3[((signed long long )0ull)]);
  llvm_cbe_center_2e_0_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_center_2e_1_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_I_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_area_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb197;

  do {     /* Syntactic loop 'bb197' to make GCC happy */
llvm_cbe_bb197:
  llvm_cbe_center_2e_0_2e_0 = llvm_cbe_center_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_center_2e_1_2e_0 = llvm_cbe_center_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_I_2e_0 = llvm_cbe_I_2e_0__PHI_TEMPORARY;
  llvm_cbe_area_2e_0 = llvm_cbe_area_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp12) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb205;
  }

llvm_cbe_bb62:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp66 = *((&llvm_cbe_storemerge->field0));
  llvm_cbe_tmp69 = *((&llvm_cbe_storemerge->field1));
  llvm_cbe_tmp26_2e_i265389390391_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i262382__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp33 - 0x0p+0))), llvm_cbe_tmp23_2e_i262382__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i265389__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp36 - 0x0p+0))), llvm_cbe_tmp26_2e_i265389__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp80289 = (llvm_cbe_tmp80289__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i265389390391_2e_ins)), llvm_cbe_tmp80289__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp83293 = (llvm_cbe_tmp83293__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i265389390391_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp83293__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i216375376377_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i213368__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp66 - 0x0p+0))), llvm_cbe_tmp23_2e_i213368__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i216375__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp69 - 0x0p+0))), llvm_cbe_tmp26_2e_i216375__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp88296 = (llvm_cbe_tmp88296__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i216375376377_2e_ins)), llvm_cbe_tmp88296__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp91300 = (llvm_cbe_tmp91300__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i216375376377_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp91300__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i174 = ((float )((((float )(llvm_cbe_tmp80289 * llvm_cbe_tmp91300))) - (((float )(llvm_cbe_tmp83293 * llvm_cbe_tmp88296)))));
  llvm_cbe_tmp94 = ((float )(llvm_cbe_tmp15_2e_i174 * 0x1p-1));
  llvm_cbe_tmp97 = ((float )(llvm_cbe_area_2e_0 + llvm_cbe_tmp94));
  llvm_cbe_tmp26_2e_i149361362363_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i146354__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp33 + 0x0p+0))), llvm_cbe_tmp23_2e_i146354__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i149361__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp36 + 0x0p+0))), llvm_cbe_tmp26_2e_i149361__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i105347348349_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i102340__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp102303__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i149361362363_2e_ins)), llvm_cbe_tmp102303__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp66))), llvm_cbe_tmp23_2e_i102340__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i105347__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp105307__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i149361362363_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp105307__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp69))), llvm_cbe_tmp26_2e_i105347__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp115 = ((float )(llvm_cbe_tmp94 * 0x1.555556p-2));
  llvm_cbe_tmp22_2e_i333334335_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i326__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp110310__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i105347348349_2e_ins)), llvm_cbe_tmp110310__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp115))), llvm_cbe_tmp19_2e_i326__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i333__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp113314__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i105347348349_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp113314__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp115))), llvm_cbe_tmp22_2e_i333__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i38 = ((float )(llvm_cbe_center_2e_0_2e_0 + ((llvm_cbe_tmp120317__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i333334335_2e_ins)), llvm_cbe_tmp120317__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i = ((float )(llvm_cbe_center_2e_1_2e_0 + ((llvm_cbe_tmp123321__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i333334335_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp123321__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp194 = ((float )((((float )((((float )((((float )((((float )((((float )((((float )((((float )((((float )((((float )(llvm_cbe_tmp80289 * llvm_cbe_tmp80289))) + (((float )(llvm_cbe_tmp88296 * llvm_cbe_tmp80289)))))) + (((float )(llvm_cbe_tmp88296 * llvm_cbe_tmp88296)))))) * 0x1p-2))) + 0x0p+0))) * 0x1.555556p-2))) + 0x0p+0))) + (((float )((((float )((((float )((((float )((((float )((((float )((((float )(llvm_cbe_tmp83293 * llvm_cbe_tmp83293))) + (((float )(llvm_cbe_tmp91300 * llvm_cbe_tmp83293)))))) + (((float )(llvm_cbe_tmp91300 * llvm_cbe_tmp91300)))))) * 0x1p-2))) + 0x0p+0))) * 0x1.555556p-2))) + 0x0p+0)))))) * llvm_cbe_tmp15_2e_i174))) + llvm_cbe_I_2e_0));
  llvm_cbe_center_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i38;   /* for PHI node */
  llvm_cbe_center_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i;   /* for PHI node */
  llvm_cbe_I_2e_0__PHI_TEMPORARY = llvm_cbe_tmp194;   /* for PHI node */
  llvm_cbe_area_2e_0__PHI_TEMPORARY = llvm_cbe_tmp97;   /* for PHI node */
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp44;   /* for PHI node */
  goto llvm_cbe_bb197;

llvm_cbe_bb19:
  llvm_cbe_tmp2629 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp33 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp2629)].field0));
  llvm_cbe_tmp36 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp2629)].field1));
  llvm_cbe_tmp44 = llvm_cbe_storemerge1 + 1u;
  if ((((signed int )llvm_cbe_tmp44) < ((signed int )llvm_cbe_tmp12))) {
    goto llvm_cbe_bb51;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp61;   /* for PHI node */
    goto llvm_cbe_bb62;
  }

llvm_cbe_bb51:
  llvm_cbe_tmp57 = (&llvm_cbe_this->field3[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp44)))]);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp57;   /* for PHI node */
  goto llvm_cbe_bb62;

  } while (1); /* end of syntactic loop 'bb197' */
llvm_cbe_bb205:
  llvm_cbe_tmp208 = (&llvm_cbe_this->field0.field5);
  llvm_cbe_tmp209 = *llvm_cbe_tmp208;
  *((&llvm_cbe_massData->field0)) = (((float )(llvm_cbe_tmp209 * llvm_cbe_area_2e_0)));
  if ((llvm_fcmp_ule(llvm_cbe_area_2e_0, 0x1p-23))) {
    goto llvm_cbe_bb218;
  } else {
    goto llvm_cbe_bb222;
  }

llvm_cbe_bb218:
  __assert_fail(((&_2E_str2127[((signed long long )0ull)])), ((&_2E_str1126[((signed long long )0ull)])), 420u, ((&_ZZNK14b2PolygonShape11ComputeMassEP10b2MassDataE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb222:
  llvm_cbe_tmp224 = ((float )(0x1p+0 / llvm_cbe_area_2e_0));
  *((&llvm_cbe_massData->field1.field0)) = (((float )(llvm_cbe_center_2e_0_2e_0 * llvm_cbe_tmp224)));
  *((&llvm_cbe_massData->field1.field1)) = (((float )(llvm_cbe_center_2e_1_2e_0 * llvm_cbe_tmp224)));
  llvm_cbe_tmp236 = *llvm_cbe_tmp208;
  *((&llvm_cbe_massData->field2)) = (((float )(llvm_cbe_tmp236 * llvm_cbe_I_2e_0)));
  return;
}


static void _ZN14b2PolygonShapeD1Ev(struct l_struct_2E_b2PolygonShape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_this->field0.field8));
  if ((llvm_cbe_tmp5_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_return:
  return;
}


static void _ZN14b2PolygonShape17UpdateSweepRadiusERK6b2Vec2(struct l_struct_2E_b2PolygonShape *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_center) {
  float *llvm_cbe_tmp3;
  unsigned int *llvm_cbe_tmp31;
  float *llvm_cbe_tmp5_2e_i;
  float *llvm_cbe_tmp12_2e_i;
  unsigned long long llvm_cbe_tmp47;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i43__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i50__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i505152_2e_ins;
  float llvm_cbe_tmp1434;
  llvmBitCastUnion llvm_cbe_tmp1434__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1738;
  llvmBitCastUnion llvm_cbe_tmp1738__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i31;
  float llvm_cbe_tmp22;
  unsigned int llvm_cbe_tmp28;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp32;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field0.field4);
  *llvm_cbe_tmp3 = 0x0p+0;
  llvm_cbe_tmp31 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_center->field1);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_center->field0);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb29;

  do {     /* Syntactic loop 'bb29' to make GCC happy */
llvm_cbe_bb29:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp32 = *llvm_cbe_tmp31;
  if ((((signed int )llvm_cbe_tmp32) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp47 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp47)].field1));
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp47)].field0));
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i505152_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i43__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i43__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i50__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i50__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1434 = (llvm_cbe_tmp1434__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i505152_2e_ins)), llvm_cbe_tmp1434__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1738 = (llvm_cbe_tmp1738__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i505152_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1738__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i31 = sqrtf((((float )((((float )(llvm_cbe_tmp1434 * llvm_cbe_tmp1434))) + (((float )(llvm_cbe_tmp1738 * llvm_cbe_tmp1738)))))));
  llvm_cbe_tmp22 = *llvm_cbe_tmp3;
  *llvm_cbe_tmp3 = ((((llvm_fcmp_ogt(llvm_cbe_tmp22, llvm_cbe_tmp16_2e_i31))) ? (llvm_cbe_tmp22) : (llvm_cbe_tmp16_2e_i31)));
  llvm_cbe_tmp28 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp28;   /* for PHI node */
  goto llvm_cbe_bb29;

  } while (1); /* end of syntactic loop 'bb29' */
llvm_cbe_return:
  return;
}


static unsigned long long _ZNK7b2Mat225SolveERK6b2Vec2(struct l_struct_2E_b2AABB *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_b) {
  float llvm_cbe_tmp4;
  float llvm_cbe_tmp8;
  float llvm_cbe_tmp12;
  float llvm_cbe_tmp16;
  float llvm_cbe_tmp23;
  float llvm_cbe_tmp32;
  float llvm_cbe_tmp35;
  float llvm_cbe_tmp40;
  llvmBitCastUnion llvm_cbe_tmp6927__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp7234__BITCAST_TEMPORARY;

  llvm_cbe_tmp4 = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp8 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp12 = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp16 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp23 = ((float )((((float )(llvm_cbe_tmp4 * llvm_cbe_tmp16))) - (((float )(llvm_cbe_tmp8 * llvm_cbe_tmp12)))));
  if ((llvm_fcmp_oeq(llvm_cbe_tmp23, 0x0p+0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str25[((signed long long )0ull)])), ((&_2E_str5130[((signed long long )0ull)])), 360u, ((&_ZZNK7b2Mat225SolveERK6b2Vec2E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb30:
  llvm_cbe_tmp32 = ((float )(0x1p+0 / llvm_cbe_tmp23));
  llvm_cbe_tmp35 = *((&llvm_cbe_b->field0));
  llvm_cbe_tmp40 = *((&llvm_cbe_b->field1));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp6927__BITCAST_TEMPORARY.Float = (((float )((((float )((((float )(llvm_cbe_tmp35 * llvm_cbe_tmp16))) - (((float )(llvm_cbe_tmp40 * llvm_cbe_tmp8)))))) * llvm_cbe_tmp32))), llvm_cbe_tmp6927__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp7234__BITCAST_TEMPORARY.Float = (((float )((((float )((((float )(llvm_cbe_tmp40 * llvm_cbe_tmp4))) - (((float )(llvm_cbe_tmp35 * llvm_cbe_tmp12)))))) * llvm_cbe_tmp32))), llvm_cbe_tmp7234__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static struct l_struct_2E_b2AABB _ZplRK7b2Mat22S1_(struct l_struct_2E_b2AABB *llvm_cbe_A, struct l_struct_2E_b2AABB *llvm_cbe_B) {
  struct l_struct_2E_b2AABB StructReturn;  /* Struct return temporary */
  struct l_struct_2E_b2AABB *llvm_cbe_agg_2e_result = &StructReturn;
  float llvm_cbe_tmp3_2e_i70;
  float llvm_cbe_tmp6_2e_i73;
  float llvm_cbe_tmp10_2e_i77;
  float llvm_cbe_tmp13_2e_i80;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i96139__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i99146__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i99146147148_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i102138__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i105144__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i31;
  float llvm_cbe_tmp6_2e_i34;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i40;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i50125__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i52132__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i52132133134_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i55124__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i130__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i70 = *((&llvm_cbe_A->field1.field1));
  llvm_cbe_tmp6_2e_i73 = *((&llvm_cbe_B->field1.field1));
  llvm_cbe_tmp10_2e_i77 = *((&llvm_cbe_A->field1.field0));
  llvm_cbe_tmp13_2e_i80 = *((&llvm_cbe_B->field1.field0));
  llvm_cbe_tmp26_2e_i99146147148_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i96139__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i77 + llvm_cbe_tmp13_2e_i80))), llvm_cbe_tmp23_2e_i96139__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i99146__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i70 + llvm_cbe_tmp6_2e_i73))), llvm_cbe_tmp26_2e_i99146__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i31 = *((&llvm_cbe_A->field0.field1));
  llvm_cbe_tmp6_2e_i34 = *((&llvm_cbe_B->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_A->field0.field0));
  llvm_cbe_tmp13_2e_i40 = *((&llvm_cbe_B->field0.field0));
  llvm_cbe_tmp26_2e_i52132133134_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i50125__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + llvm_cbe_tmp13_2e_i40))), llvm_cbe_tmp23_2e_i50125__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i52132__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i31 + llvm_cbe_tmp6_2e_i34))), llvm_cbe_tmp26_2e_i52132__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_agg_2e_result->field0.field0)) = ((llvm_cbe_tmp29_2e_i55124__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i52132133134_2e_ins)), llvm_cbe_tmp29_2e_i55124__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_agg_2e_result->field0.field1)) = ((llvm_cbe_tmp32_2e_i130__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i52132133134_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i130__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_agg_2e_result->field1.field0)) = ((llvm_cbe_tmp29_2e_i102138__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i99146147148_2e_ins)), llvm_cbe_tmp29_2e_i102138__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_agg_2e_result->field1.field1)) = ((llvm_cbe_tmp32_2e_i105144__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i99146147148_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i105144__BITCAST_TEMPORARY.Float));
  return StructReturn;
}


static unsigned long long _Z6b2MulTRK7b2XFormRK6b2Vec2(struct l_struct_2E_b2XForm *llvm_cbe_T, struct l_struct_2E_b2Vec2 *llvm_cbe_v) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp2;    /* Address-exposed local */
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i818283_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i73__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i79__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp17;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_v->field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_T->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_v->field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_T->field0.field0));
  llvm_cbe_tmp26_2e_i818283_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i74__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i81__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp2.field0)) = ((llvm_cbe_tmp29_2e_i73__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i818283_2e_ins)), llvm_cbe_tmp29_2e_i73__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp2.field1)) = ((llvm_cbe_tmp32_2e_i79__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i818283_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i79__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp17 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_T->field1)), (&llvm_cbe_tmp2));
  return llvm_cbe_tmp17;
}


static void _ZN7b2Joint23InitPositionConstraintsEv(struct l_struct_2E_b2Joint *llvm_cbe_this) {
  return;
}


static unsigned long long _ZNK15b2RevoluteJoint10GetAnchor1Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field1)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK15b2RevoluteJoint10GetAnchor2Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field2)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK15b2RevoluteJoint16GetReactionForceEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field3.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY.Float = llvm_cbe_tmp8_2e_i, llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY.Float = llvm_cbe_tmp3_2e_i, llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK15b2RevoluteJoint17GetReactionTorqueEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  float llvm_cbe_tmp3;

  llvm_cbe_tmp3 = *((&llvm_cbe_this->field5));
  return llvm_cbe_tmp3;
}


static void _ZN15b2RevoluteJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_pivotCdot;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp22;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp25;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp29;
  struct l_struct_2E_b2Body *llvm_cbe_tmp33;
  float llvm_cbe_tmp3_2e_i432;
  float llvm_cbe_tmp6_2e_i435;
  float llvm_cbe_tmp10_2e_i439;
  float llvm_cbe_tmp13_2e_i442;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i458917__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i461924__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i461924925926_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp49;
  float llvm_cbe_tmp53768;
  llvmBitCastUnion llvm_cbe_tmp53768__BITCAST_TEMPORARY;
  float llvm_cbe_tmp56772;
  llvmBitCastUnion llvm_cbe_tmp56772__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i719;
  float llvm_cbe_tmp6_2e_i722;
  float llvm_cbe_tmp10_2e_i726;
  float llvm_cbe_tmp13_2e_i729;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7451001__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7481008__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i748100810091010_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7511000__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7541006__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp72;
  float llvm_cbe_tmp76782;
  llvmBitCastUnion llvm_cbe_tmp76782__BITCAST_TEMPORARY;
  float llvm_cbe_tmp79786;
  llvmBitCastUnion llvm_cbe_tmp79786__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp81;
  float llvm_cbe_tmp82;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i691987__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i694994__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i694994995996_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i697986__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i700992__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp94;
  float llvm_cbe_tmp95;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i646973__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i649980__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i649980981982_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i652972__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i655978__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i573;
  float llvm_cbe_tmp3_2e_i574;
  float *llvm_cbe_tmp9_2e_i580;
  float llvm_cbe_tmp10_2e_i581;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i600959__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i603966__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i603966967968_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i606958__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i609964__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp5_2e_i527;
  float llvm_cbe_tmp6_2e_i528;
  float *llvm_cbe_tmp12_2e_i534;
  float llvm_cbe_tmp13_2e_i535;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i551945__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i554952__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i554952953954_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i557944__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i560950__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i502931__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i505938__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i505938939940_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i508930__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i511936__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp132;
  llvmBitCastUnion llvm_cbe_tmp136824__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp139828__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp141;
  float llvm_cbe_tmp142;
  float llvm_cbe_tmp143;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i409903__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i412910__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i412910911912_2e_ins;
  float llvm_cbe_tmp25_2e_i415902;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i415902__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i418908;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i418908__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i358;
  float llvm_cbe_tmp2_2e_i359;
  float *llvm_cbe_tmp10_2e_i367;
  float llvm_cbe_tmp11_2e_i368;
  float *llvm_cbe_tmp155;
  float llvm_cbe_tmp156;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i344889__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i347896__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i347896897898_2e_ins;
  float llvm_cbe_tmp25_2e_i350888;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i350888__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i353894;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i353894__BITCAST_TEMPORARY;
  float llvm_cbe_tmp167;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i299875__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i302882__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i302882883884_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i305874__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i308880__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i249;
  float llvm_cbe_tmp11_2e_i258;
  float llvm_cbe_tmp180;
  float *llvm_cbe_tmp182;
  float llvm_cbe_tmp183;
  float llvm_cbe_tmp191;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i861__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i868__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i868869870_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i860__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i866__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i188;
  float llvm_cbe_tmp11_2e_i197;
  float llvm_cbe_tmp204;
  float *llvm_cbe_tmp206;
  float llvm_cbe_tmp207;
  float llvm_cbe_tmp210;
  unsigned char llvm_cbe_tmp215;
  unsigned int llvm_cbe_tmp218;
  float llvm_cbe_tmp228;
  float llvm_cbe_tmp232;
  float llvm_cbe_tmp236;
  float llvm_cbe_tmp240;
  float *llvm_cbe_tmp245;
  float llvm_cbe_tmp246;
  float llvm_cbe_tmp249;
  float llvm_cbe_tmp253;
  float llvm_cbe_tmp258;
  float llvm_cbe_storemerge_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_tmp269;
  float llvm_cbe_tmp271;
  float llvm_cbe_tmp274;
  float llvm_cbe_tmp277;
  float llvm_cbe_tmp285;
  float llvm_cbe_tmp288;
  float llvm_cbe_tmp291;
  float llvm_cbe_tmp309_2e_rle;
  float llvm_cbe_tmp309_2e_rle__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp297;
  unsigned int llvm_cbe_tmp302;
  float llvm_cbe_tmp312;
  float llvm_cbe_tmp316;
  float llvm_cbe_tmp320;
  float llvm_cbe_tmp323;
  float *llvm_cbe_tmp332;
  float llvm_cbe_tmp333;
  float *llvm_cbe_tmp347;
  float llvm_cbe_tmp348;
  float llvm_cbe_tmp353;
  float llvm_cbe_storemerge_2e_i172;
  float llvm_cbe_tmp361;
  float *llvm_cbe_tmp371;
  float llvm_cbe_tmp372;
  float llvm_cbe_tmp377;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp385;
  float llvm_cbe_limitForce_2e_0;
  float llvm_cbe_limitForce_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp389;
  float llvm_cbe_tmp391;
  float llvm_cbe_tmp394;
  float llvm_cbe_tmp397;
  float llvm_cbe_tmp405;
  float llvm_cbe_tmp408;

  llvm_cbe_tmp29 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp33 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i432 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i435 = *((&llvm_cbe_tmp29->field3.field0.field1));
  llvm_cbe_tmp10_2e_i439 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i442 = *((&llvm_cbe_tmp29->field3.field0.field0));
  llvm_cbe_tmp26_2e_i461924925926_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i458917__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i439 - llvm_cbe_tmp13_2e_i442))), llvm_cbe_tmp23_2e_i458917__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i461924__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i432 - llvm_cbe_tmp6_2e_i435))), llvm_cbe_tmp26_2e_i461924__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp25.field0)) = ((llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i461924925926_2e_ins)), llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp25.field1)) = ((llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i461924925926_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp49 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp29->field2.field1)), (&llvm_cbe_tmp25));
  llvm_cbe_tmp53768 = (llvm_cbe_tmp53768__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp49)), llvm_cbe_tmp53768__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp56772 = (llvm_cbe_tmp56772__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp49) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp56772__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i719 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i722 = *((&llvm_cbe_tmp33->field3.field0.field1));
  llvm_cbe_tmp10_2e_i726 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i729 = *((&llvm_cbe_tmp33->field3.field0.field0));
  llvm_cbe_tmp26_2e_i748100810091010_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7451001__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i726 - llvm_cbe_tmp13_2e_i729))), llvm_cbe_tmp23_2e_i7451001__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7481008__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i719 - llvm_cbe_tmp6_2e_i722))), llvm_cbe_tmp26_2e_i7481008__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp22.field0)) = ((llvm_cbe_tmp29_2e_i7511000__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i748100810091010_2e_ins)), llvm_cbe_tmp29_2e_i7511000__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp22.field1)) = ((llvm_cbe_tmp32_2e_i7541006__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i748100810091010_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7541006__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp72 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp33->field2.field1)), (&llvm_cbe_tmp22));
  llvm_cbe_tmp76782 = (llvm_cbe_tmp76782__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp72)), llvm_cbe_tmp76782__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp79786 = (llvm_cbe_tmp79786__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp72) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp79786__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp81 = (&llvm_cbe_tmp29->field5);
  llvm_cbe_tmp82 = *llvm_cbe_tmp81;
  llvm_cbe_tmp23_2e_i694994995996_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i691987__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp56772 * (((float )(-(llvm_cbe_tmp82))))))), llvm_cbe_tmp20_2e_i691987__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i694994__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp53768 * llvm_cbe_tmp82))), llvm_cbe_tmp23_2e_i694994__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp94 = (&llvm_cbe_tmp33->field5);
  llvm_cbe_tmp95 = *llvm_cbe_tmp94;
  llvm_cbe_tmp23_2e_i649980981982_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i646973__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp79786 * (((float )(-(llvm_cbe_tmp95))))))), llvm_cbe_tmp20_2e_i646973__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i649980__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp76782 * llvm_cbe_tmp95))), llvm_cbe_tmp23_2e_i649980__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i573 = (&llvm_cbe_tmp33->field4.field1);
  llvm_cbe_tmp3_2e_i574 = *llvm_cbe_tmp2_2e_i573;
  llvm_cbe_tmp9_2e_i580 = (&llvm_cbe_tmp33->field4.field0);
  llvm_cbe_tmp10_2e_i581 = *llvm_cbe_tmp9_2e_i580;
  llvm_cbe_tmp26_2e_i603966967968_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i600959__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i581 + ((llvm_cbe_tmp26_2e_i652972__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i649980981982_2e_ins)), llvm_cbe_tmp26_2e_i652972__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i600959__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i603966__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i574 + ((llvm_cbe_tmp29_2e_i655978__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i649980981982_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i655978__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i603966__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp5_2e_i527 = (&llvm_cbe_tmp29->field4.field1);
  llvm_cbe_tmp6_2e_i528 = *llvm_cbe_tmp5_2e_i527;
  llvm_cbe_tmp12_2e_i534 = (&llvm_cbe_tmp29->field4.field0);
  llvm_cbe_tmp13_2e_i535 = *llvm_cbe_tmp12_2e_i534;
  llvm_cbe_tmp26_2e_i554952953954_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i551945__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i606958__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i603966967968_2e_ins)), llvm_cbe_tmp29_2e_i606958__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i535))), llvm_cbe_tmp23_2e_i551945__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i554952__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i609964__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i603966967968_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i609964__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i528))), llvm_cbe_tmp26_2e_i554952__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i505938939940_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i502931__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i557944__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i554952953954_2e_ins)), llvm_cbe_tmp29_2e_i557944__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp26_2e_i697986__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i694994995996_2e_ins)), llvm_cbe_tmp26_2e_i697986__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i502931__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i505938__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i560950__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i554952953954_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i560950__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i700992__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i694994995996_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i700992__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i505938__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_pivotCdot.field0)) = ((llvm_cbe_tmp29_2e_i508930__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i505938939940_2e_ins)), llvm_cbe_tmp29_2e_i508930__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_pivotCdot.field1)) = ((llvm_cbe_tmp32_2e_i511936__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i505938939940_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i511936__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp132 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_this->field7)), (&llvm_cbe_pivotCdot));
  llvm_cbe_tmp141 = (&llvm_cbe_step->field1);
  llvm_cbe_tmp142 = *llvm_cbe_tmp141;
  llvm_cbe_tmp143 = ((float )(-(llvm_cbe_tmp142)));
  llvm_cbe_tmp22_2e_i412910911912_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i409903__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp136824__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp132)), llvm_cbe_tmp136824__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp143))), llvm_cbe_tmp19_2e_i409903__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i412910__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp139828__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp132) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp139828__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp143))), llvm_cbe_tmp22_2e_i412910__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i415902 = (llvm_cbe_tmp25_2e_i415902__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i412910911912_2e_ins)), llvm_cbe_tmp25_2e_i415902__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i418908 = (llvm_cbe_tmp28_2e_i418908__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i412910911912_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i418908__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1_2e_i358 = (&llvm_cbe_this->field3.field0);
  llvm_cbe_tmp2_2e_i359 = *llvm_cbe_tmp1_2e_i358;
  *llvm_cbe_tmp1_2e_i358 = (((float )(llvm_cbe_tmp2_2e_i359 + llvm_cbe_tmp25_2e_i415902)));
  llvm_cbe_tmp10_2e_i367 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp11_2e_i368 = *llvm_cbe_tmp10_2e_i367;
  *llvm_cbe_tmp10_2e_i367 = (((float )(llvm_cbe_tmp11_2e_i368 + llvm_cbe_tmp28_2e_i418908)));
  llvm_cbe_tmp155 = (&llvm_cbe_step->field0);
  llvm_cbe_tmp156 = *llvm_cbe_tmp155;
  llvm_cbe_tmp22_2e_i347896897898_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i344889__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i415902 * llvm_cbe_tmp156))), llvm_cbe_tmp19_2e_i344889__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i347896__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i418908 * llvm_cbe_tmp156))), llvm_cbe_tmp22_2e_i347896__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i350888 = (llvm_cbe_tmp25_2e_i350888__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i347896897898_2e_ins)), llvm_cbe_tmp25_2e_i350888__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i353894 = (llvm_cbe_tmp28_2e_i353894__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i347896897898_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i353894__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp167 = *((&llvm_cbe_tmp29->field16));
  llvm_cbe_tmp22_2e_i302882883884_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i299875__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i350888 * llvm_cbe_tmp167))), llvm_cbe_tmp19_2e_i299875__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i302882__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i353894 * llvm_cbe_tmp167))), llvm_cbe_tmp22_2e_i302882__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i249 = *llvm_cbe_tmp12_2e_i534;
  *llvm_cbe_tmp12_2e_i534 = (((float )(llvm_cbe_tmp2_2e_i249 - ((llvm_cbe_tmp25_2e_i305874__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i302882883884_2e_ins)), llvm_cbe_tmp25_2e_i305874__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i258 = *llvm_cbe_tmp5_2e_i527;
  *llvm_cbe_tmp5_2e_i527 = (((float )(llvm_cbe_tmp11_2e_i258 - ((llvm_cbe_tmp28_2e_i308880__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i302882883884_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i308880__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp180 = *llvm_cbe_tmp81;
  llvm_cbe_tmp182 = (&llvm_cbe_tmp29->field18);
  llvm_cbe_tmp183 = *llvm_cbe_tmp182;
  *llvm_cbe_tmp81 = (((float )(llvm_cbe_tmp180 - (((float )(llvm_cbe_tmp183 * (((float )((((float )(llvm_cbe_tmp53768 * llvm_cbe_tmp28_2e_i353894))) - (((float )(llvm_cbe_tmp56772 * llvm_cbe_tmp25_2e_i350888))))))))))));
  llvm_cbe_tmp191 = *((&llvm_cbe_tmp33->field16));
  llvm_cbe_tmp22_2e_i868869870_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i861__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i350888 * llvm_cbe_tmp191))), llvm_cbe_tmp19_2e_i861__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i868__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i353894 * llvm_cbe_tmp191))), llvm_cbe_tmp22_2e_i868__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i188 = *llvm_cbe_tmp9_2e_i580;
  *llvm_cbe_tmp9_2e_i580 = (((float )(llvm_cbe_tmp2_2e_i188 + ((llvm_cbe_tmp25_2e_i860__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i868869870_2e_ins)), llvm_cbe_tmp25_2e_i860__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i197 = *llvm_cbe_tmp2_2e_i573;
  *llvm_cbe_tmp2_2e_i573 = (((float )(llvm_cbe_tmp11_2e_i197 + ((llvm_cbe_tmp28_2e_i866__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i868869870_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i866__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp204 = *llvm_cbe_tmp94;
  llvm_cbe_tmp206 = (&llvm_cbe_tmp33->field18);
  llvm_cbe_tmp207 = *llvm_cbe_tmp206;
  llvm_cbe_tmp210 = ((float )(llvm_cbe_tmp204 + (((float )(llvm_cbe_tmp207 * (((float )((((float )(llvm_cbe_tmp76782 * llvm_cbe_tmp28_2e_i353894))) - (((float )(llvm_cbe_tmp79786 * llvm_cbe_tmp25_2e_i350888)))))))))));
  *llvm_cbe_tmp94 = llvm_cbe_tmp210;
  llvm_cbe_tmp215 = *((&llvm_cbe_this->field9));
  if ((llvm_cbe_tmp215 == ((unsigned char )0))) {
    llvm_cbe_tmp309_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp210;   /* for PHI node */
    goto llvm_cbe_bb294;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp218 = *((&llvm_cbe_this->field16));
  if ((llvm_cbe_tmp218 == 3u)) {
    llvm_cbe_tmp309_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp210;   /* for PHI node */
    goto llvm_cbe_bb294;
  } else {
    goto llvm_cbe_bb222;
  }

llvm_cbe_bb222:
  llvm_cbe_tmp228 = *llvm_cbe_tmp81;
  llvm_cbe_tmp232 = *((&llvm_cbe_this->field11));
  llvm_cbe_tmp236 = *llvm_cbe_tmp141;
  llvm_cbe_tmp240 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp245 = (&llvm_cbe_this->field4);
  llvm_cbe_tmp246 = *llvm_cbe_tmp245;
  llvm_cbe_tmp249 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp253 = ((float )(-(llvm_cbe_tmp249)));
  llvm_cbe_tmp258 = ((float )(llvm_cbe_tmp246 + (((float )((((float )(llvm_cbe_tmp240 * (((float )(-(llvm_cbe_tmp236))))))) * (((float )((((float )(llvm_cbe_tmp210 - llvm_cbe_tmp228))) - llvm_cbe_tmp232))))))));
  llvm_cbe_storemerge_2e_i_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp258, llvm_cbe_tmp249))) ? (llvm_cbe_tmp258) : (llvm_cbe_tmp249));
  llvm_cbe_storemerge_2e_i11_2e_i = (((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe_tmp253))) ? (llvm_cbe_tmp253) : (llvm_cbe_storemerge_2e_i_2e_i));
  *llvm_cbe_tmp245 = llvm_cbe_storemerge_2e_i11_2e_i;
  llvm_cbe_tmp269 = *llvm_cbe_tmp155;
  llvm_cbe_tmp271 = ((float )(llvm_cbe_tmp269 * (((float )(llvm_cbe_storemerge_2e_i11_2e_i - llvm_cbe_tmp246)))));
  llvm_cbe_tmp274 = *llvm_cbe_tmp81;
  llvm_cbe_tmp277 = *llvm_cbe_tmp182;
  *llvm_cbe_tmp81 = (((float )(llvm_cbe_tmp274 - (((float )(llvm_cbe_tmp277 * llvm_cbe_tmp271))))));
  llvm_cbe_tmp285 = *llvm_cbe_tmp94;
  llvm_cbe_tmp288 = *llvm_cbe_tmp206;
  llvm_cbe_tmp291 = ((float )(llvm_cbe_tmp285 + (((float )(llvm_cbe_tmp288 * llvm_cbe_tmp271)))));
  *llvm_cbe_tmp94 = llvm_cbe_tmp291;
  llvm_cbe_tmp309_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp291;   /* for PHI node */
  goto llvm_cbe_bb294;

llvm_cbe_bb294:
  llvm_cbe_tmp309_2e_rle = llvm_cbe_tmp309_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp297 = *((&llvm_cbe_this->field12));
  if ((llvm_cbe_tmp297 == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb299;
  }

llvm_cbe_bb299:
  llvm_cbe_tmp302 = *((&llvm_cbe_this->field16));
  if ((llvm_cbe_tmp302 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb306;
  }

llvm_cbe_bb306:
  llvm_cbe_tmp312 = *llvm_cbe_tmp81;
  llvm_cbe_tmp316 = *llvm_cbe_tmp141;
  llvm_cbe_tmp320 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp323 = ((float )((((float )(llvm_cbe_tmp320 * (((float )(-(llvm_cbe_tmp316))))))) * (((float )(llvm_cbe_tmp309_2e_rle - llvm_cbe_tmp312)))));
  switch (llvm_cbe_tmp302) {
  default:
    llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp323;   /* for PHI node */
    goto llvm_cbe_bb386;
;
  case 3u:
    goto llvm_cbe_bb330;
    break;
  case 1u:
    goto llvm_cbe_bb345;
  case 2u:
    goto llvm_cbe_bb369;
  }
llvm_cbe_bb330:
  llvm_cbe_tmp332 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp333 = *llvm_cbe_tmp332;
  *llvm_cbe_tmp332 = (((float )(llvm_cbe_tmp333 + llvm_cbe_tmp323)));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp323;   /* for PHI node */
  goto llvm_cbe_bb386;

llvm_cbe_bb345:
  llvm_cbe_tmp347 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp348 = *llvm_cbe_tmp347;
  llvm_cbe_tmp353 = ((float )(llvm_cbe_tmp348 + llvm_cbe_tmp323));
  llvm_cbe_storemerge_2e_i172 = (((llvm_fcmp_ogt(llvm_cbe_tmp353, 0x0p+0))) ? (llvm_cbe_tmp353) : (0x0p+0));
  *llvm_cbe_tmp347 = llvm_cbe_storemerge_2e_i172;
  llvm_cbe_tmp361 = ((float )(llvm_cbe_storemerge_2e_i172 - llvm_cbe_tmp348));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp361;   /* for PHI node */
  goto llvm_cbe_bb386;

llvm_cbe_bb369:
  llvm_cbe_tmp371 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp372 = *llvm_cbe_tmp371;
  llvm_cbe_tmp377 = ((float )(llvm_cbe_tmp372 + llvm_cbe_tmp323));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp377, 0x0p+0))) ? (llvm_cbe_tmp377) : (0x0p+0));
  *llvm_cbe_tmp371 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp385 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp372));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp385;   /* for PHI node */
  goto llvm_cbe_bb386;

llvm_cbe_bb386:
  llvm_cbe_limitForce_2e_0 = llvm_cbe_limitForce_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp389 = *llvm_cbe_tmp155;
  llvm_cbe_tmp391 = ((float )(llvm_cbe_tmp389 * llvm_cbe_limitForce_2e_0));
  llvm_cbe_tmp394 = *llvm_cbe_tmp81;
  llvm_cbe_tmp397 = *llvm_cbe_tmp182;
  *llvm_cbe_tmp81 = (((float )(llvm_cbe_tmp394 - (((float )(llvm_cbe_tmp397 * llvm_cbe_tmp391))))));
  llvm_cbe_tmp405 = *llvm_cbe_tmp94;
  llvm_cbe_tmp408 = *llvm_cbe_tmp206;
  *llvm_cbe_tmp94 = (((float )(llvm_cbe_tmp405 + (((float )(llvm_cbe_tmp408 * llvm_cbe_tmp391))))));
  return;
llvm_cbe_return:
  return;
}


static void _ZN7b2JointD1Ev(struct l_struct_2E_b2Joint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN7b2JointD0Ev(struct l_struct_2E_b2Joint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN15b2RevoluteJointD0Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN15b2RevoluteJointD1Ev(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN15b2RevoluteJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2AABB llvm_cbe_K;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K3;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K2;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K1;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp7;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp10;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp14;
  struct l_struct_2E_b2Body *llvm_cbe_tmp18;
  float llvm_cbe_tmp3_2e_i227;
  float llvm_cbe_tmp6_2e_i230;
  float llvm_cbe_tmp10_2e_i234;
  float llvm_cbe_tmp13_2e_i237;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i253402__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i256409__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i256409410411_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i401__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i407__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp34;
  float llvm_cbe_tmp38337;
  llvmBitCastUnion llvm_cbe_tmp38337__BITCAST_TEMPORARY;
  float llvm_cbe_tmp41341;
  llvmBitCastUnion llvm_cbe_tmp41341__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i288;
  float llvm_cbe_tmp6_2e_i291;
  float llvm_cbe_tmp10_2e_i295;
  float llvm_cbe_tmp13_2e_i298;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i314416__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i317423__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i317423424425_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i320415__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i323421__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp57;
  float llvm_cbe_tmp61351;
  llvmBitCastUnion llvm_cbe_tmp61351__BITCAST_TEMPORARY;
  float llvm_cbe_tmp64355;
  llvmBitCastUnion llvm_cbe_tmp64355__BITCAST_TEMPORARY;
  float llvm_cbe_tmp67;
  float llvm_cbe_tmp70;
  float llvm_cbe_tmp73;
  float llvm_cbe_tmp76;
  float llvm_cbe_tmp79;
  float llvm_cbe_tmp107;
  float llvm_cbe_tmp145;
  unsigned char llvm_cbe_tmp177;
  unsigned char llvm_cbe_tmp185;
  float llvm_cbe_tmp191;
  float llvm_cbe_tmp195;
  float llvm_cbe_tmp199;
  float llvm_cbe_tmp200;
  float llvm_cbe_tmp203;
  float llvm_cbe_tmp206;
  float llvm_cbe_tmp207;
  float llvm_cbe_tmp5_2e_i213;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int *llvm_cbe_tmp226;
  unsigned int llvm_cbe_tmp227;
  unsigned int *llvm_cbe_tmp260;
  unsigned int llvm_cbe_tmp248;
  unsigned char llvm_cbe_tmp270;
  float *llvm_cbe_tmp276;
  float llvm_cbe_tmp277;
  float llvm_cbe_tmp279;
  float *llvm_cbe_tmp2_2e_i175;
  float llvm_cbe_tmp3_2e_i176;
  float *llvm_cbe_tmp7_2e_i180;
  float llvm_cbe_tmp8_2e_i181;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i198388__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i201395__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i201395396397_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i204387__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i207393__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i147;
  float llvm_cbe_tmp2_2e_i148;
  float *llvm_cbe_tmp10_2e_i156;
  float llvm_cbe_tmp11_2e_i157;
  float *llvm_cbe_tmp291;
  float llvm_cbe_tmp292;
  float llvm_cbe_tmp295;
  float *llvm_cbe_tmp5_2e_i132;
  float llvm_cbe_tmp6_2e_i133;
  float llvm_cbe_tmp13_2e_i140;
  float *llvm_cbe_tmp302;
  float llvm_cbe_tmp303;
  float *llvm_cbe_tmp305;
  float llvm_cbe_tmp306;
  float llvm_cbe_tmp317;
  float llvm_cbe_tmp319;
  float llvm_cbe_tmp3_2e_i110;
  float llvm_cbe_tmp8_2e_i115;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i374__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i381__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i381382383_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i373__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i379__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i90;
  float llvm_cbe_tmp2_2e_i91;
  float *llvm_cbe_tmp10_2e_i99;
  float llvm_cbe_tmp11_2e_i100;
  float *llvm_cbe_tmp331;
  float llvm_cbe_tmp332;
  float llvm_cbe_tmp335;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp13_2e_i;
  float llvm_cbe_tmp343;
  float llvm_cbe_tmp346;

  llvm_cbe_tmp14 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp18 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i227 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i230 = *((&llvm_cbe_tmp14->field3.field0.field1));
  llvm_cbe_tmp10_2e_i234 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i237 = *((&llvm_cbe_tmp14->field3.field0.field0));
  llvm_cbe_tmp26_2e_i256409410411_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i253402__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i234 - llvm_cbe_tmp13_2e_i237))), llvm_cbe_tmp23_2e_i253402__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i256409__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i227 - llvm_cbe_tmp6_2e_i230))), llvm_cbe_tmp26_2e_i256409__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp10.field0)) = ((llvm_cbe_tmp29_2e_i401__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i256409410411_2e_ins)), llvm_cbe_tmp29_2e_i401__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp10.field1)) = ((llvm_cbe_tmp32_2e_i407__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i256409410411_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i407__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp34 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp14->field2.field1)), (&llvm_cbe_tmp10));
  llvm_cbe_tmp38337 = (llvm_cbe_tmp38337__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34)), llvm_cbe_tmp38337__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp41341 = (llvm_cbe_tmp41341__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp41341__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i288 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i291 = *((&llvm_cbe_tmp18->field3.field0.field1));
  llvm_cbe_tmp10_2e_i295 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i298 = *((&llvm_cbe_tmp18->field3.field0.field0));
  llvm_cbe_tmp26_2e_i317423424425_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i314416__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i295 - llvm_cbe_tmp13_2e_i298))), llvm_cbe_tmp23_2e_i314416__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i317423__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i288 - llvm_cbe_tmp6_2e_i291))), llvm_cbe_tmp26_2e_i317423__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp7.field0)) = ((llvm_cbe_tmp29_2e_i320415__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i317423424425_2e_ins)), llvm_cbe_tmp29_2e_i320415__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp7.field1)) = ((llvm_cbe_tmp32_2e_i323421__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i317423424425_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i323421__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp57 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp18->field2.field1)), (&llvm_cbe_tmp7));
  llvm_cbe_tmp61351 = (llvm_cbe_tmp61351__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp57)), llvm_cbe_tmp61351__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp64355 = (llvm_cbe_tmp64355__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp57) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp64355__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp67 = *((&llvm_cbe_tmp14->field16));
  llvm_cbe_tmp70 = *((&llvm_cbe_tmp18->field16));
  llvm_cbe_tmp73 = *((&llvm_cbe_tmp14->field18));
  llvm_cbe_tmp76 = *((&llvm_cbe_tmp18->field18));
  llvm_cbe_tmp79 = ((float )(llvm_cbe_tmp67 + llvm_cbe_tmp70));
  *((&llvm_cbe_K1.field0.field0)) = llvm_cbe_tmp79;
  *((&llvm_cbe_K1.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_K1.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_K1.field1.field1)) = llvm_cbe_tmp79;
  *((&llvm_cbe_K2.field0.field0)) = (((float )((((float )(llvm_cbe_tmp41341 * llvm_cbe_tmp73))) * llvm_cbe_tmp41341)));
  llvm_cbe_tmp107 = ((float )((((float )(llvm_cbe_tmp38337 * (((float )(-(llvm_cbe_tmp73))))))) * llvm_cbe_tmp41341));
  *((&llvm_cbe_K2.field1.field0)) = llvm_cbe_tmp107;
  *((&llvm_cbe_K2.field0.field1)) = llvm_cbe_tmp107;
  *((&llvm_cbe_K2.field1.field1)) = (((float )((((float )(llvm_cbe_tmp38337 * llvm_cbe_tmp73))) * llvm_cbe_tmp38337)));
  *((&llvm_cbe_K3.field0.field0)) = (((float )((((float )(llvm_cbe_tmp64355 * llvm_cbe_tmp76))) * llvm_cbe_tmp64355)));
  llvm_cbe_tmp145 = ((float )((((float )(llvm_cbe_tmp61351 * (((float )(-(llvm_cbe_tmp76))))))) * llvm_cbe_tmp64355));
  *((&llvm_cbe_K3.field1.field0)) = llvm_cbe_tmp145;
  *((&llvm_cbe_K3.field0.field1)) = llvm_cbe_tmp145;
  *((&llvm_cbe_K3.field1.field1)) = (((float )((((float )(llvm_cbe_tmp61351 * llvm_cbe_tmp76))) * llvm_cbe_tmp61351)));
  llvm_cbe_tmp4 = _ZplRK7b2Mat22S1_((&llvm_cbe_K1), (&llvm_cbe_K2));
  llvm_cbe_K = _ZplRK7b2Mat22S1_((&llvm_cbe_tmp4), (&llvm_cbe_K3));
  *(((&llvm_cbe_this->field7))) = _ZNK7b2Mat226InvertEv((&llvm_cbe_K));
  *((&llvm_cbe_this->field8)) = (((float )(0x1p+0 / (((float )(llvm_cbe_tmp73 + llvm_cbe_tmp76))))));
  llvm_cbe_tmp177 = *((&llvm_cbe_this->field9));
  if ((llvm_cbe_tmp177 == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb182;
  }

llvm_cbe_bb:
  *((&llvm_cbe_this->field4)) = 0x0p+0;
  goto llvm_cbe_bb182;

llvm_cbe_bb182:
  llvm_cbe_tmp185 = *((&llvm_cbe_this->field12));
  if ((llvm_cbe_tmp185 == ((unsigned char )0))) {
    goto llvm_cbe_bb264;
  } else {
    goto llvm_cbe_bb187;
  }

llvm_cbe_bb187:
  llvm_cbe_tmp191 = *((&llvm_cbe_tmp18->field3.field4));
  llvm_cbe_tmp195 = *((&llvm_cbe_tmp14->field3.field4));
  llvm_cbe_tmp199 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp200 = ((float )((((float )(llvm_cbe_tmp191 - llvm_cbe_tmp195))) - llvm_cbe_tmp199));
  llvm_cbe_tmp203 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp206 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp207 = ((float )(llvm_cbe_tmp203 - llvm_cbe_tmp206));
  if ((llvm_fcmp_ule(llvm_cbe_tmp207, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp207;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i213 = ((float )(-(llvm_cbe_tmp207)));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i213;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe__Z5b2Absf_2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i, 0x1.1df46cp-4))) {
    goto llvm_cbe_bb213;
  } else {
    goto llvm_cbe_bb216;
  }

llvm_cbe_bb213:
  *((&llvm_cbe_this->field16)) = 3u;
  goto llvm_cbe_bb267;

llvm_cbe_bb216:
  if ((llvm_fcmp_ult(llvm_cbe_tmp206, llvm_cbe_tmp200))) {
    goto llvm_cbe_bb237;
  } else {
    goto llvm_cbe_bb224;
  }

llvm_cbe_bb224:
  llvm_cbe_tmp226 = (&llvm_cbe_this->field16);
  llvm_cbe_tmp227 = *llvm_cbe_tmp226;
  if ((llvm_cbe_tmp227 == 1u)) {
    goto llvm_cbe_bb234;
  } else {
    goto llvm_cbe_bb231;
  }

llvm_cbe_bb231:
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  goto llvm_cbe_bb234;

llvm_cbe_bb234:
  *llvm_cbe_tmp226 = 1u;
  goto llvm_cbe_bb267;

llvm_cbe_bb237:
  llvm_cbe_tmp260 = (&llvm_cbe_this->field16);
  if ((llvm_fcmp_ugt(llvm_cbe_tmp203, llvm_cbe_tmp200))) {
    goto llvm_cbe_bb258;
  } else {
    goto llvm_cbe_bb245;
  }

llvm_cbe_bb245:
  llvm_cbe_tmp248 = *llvm_cbe_tmp260;
  if ((llvm_cbe_tmp248 == 2u)) {
    goto llvm_cbe_bb255;
  } else {
    goto llvm_cbe_bb252;
  }

llvm_cbe_bb252:
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  goto llvm_cbe_bb255;

llvm_cbe_bb255:
  *llvm_cbe_tmp260 = 2u;
  goto llvm_cbe_bb267;

llvm_cbe_bb258:
  *llvm_cbe_tmp260 = 0u;
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  goto llvm_cbe_bb267;

llvm_cbe_bb264:
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  goto llvm_cbe_bb267;

llvm_cbe_bb267:
  llvm_cbe_tmp270 = *((&llvm_cbe_step->field4));
  if ((llvm_cbe_tmp270 == ((unsigned char )0))) {
    goto llvm_cbe_bb353;
  } else {
    goto llvm_cbe_bb272;
  }

llvm_cbe_bb272:
  llvm_cbe_tmp276 = (&llvm_cbe_step->field0);
  llvm_cbe_tmp277 = *llvm_cbe_tmp276;
  llvm_cbe_tmp279 = ((float )(llvm_cbe_tmp277 * llvm_cbe_tmp67));
  llvm_cbe_tmp2_2e_i175 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp3_2e_i176 = *llvm_cbe_tmp2_2e_i175;
  llvm_cbe_tmp7_2e_i180 = (&llvm_cbe_this->field3.field0);
  llvm_cbe_tmp8_2e_i181 = *llvm_cbe_tmp7_2e_i180;
  llvm_cbe_tmp22_2e_i201395396397_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i198388__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i181 * llvm_cbe_tmp279))), llvm_cbe_tmp19_2e_i198388__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i201395__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i176 * llvm_cbe_tmp279))), llvm_cbe_tmp22_2e_i201395__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i147 = (&llvm_cbe_tmp14->field4.field0);
  llvm_cbe_tmp2_2e_i148 = *llvm_cbe_tmp1_2e_i147;
  *llvm_cbe_tmp1_2e_i147 = (((float )(llvm_cbe_tmp2_2e_i148 - ((llvm_cbe_tmp25_2e_i204387__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i201395396397_2e_ins)), llvm_cbe_tmp25_2e_i204387__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i156 = (&llvm_cbe_tmp14->field4.field1);
  llvm_cbe_tmp11_2e_i157 = *llvm_cbe_tmp10_2e_i156;
  *llvm_cbe_tmp10_2e_i156 = (((float )(llvm_cbe_tmp11_2e_i157 - ((llvm_cbe_tmp28_2e_i207393__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i201395396397_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i207393__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp291 = (&llvm_cbe_tmp14->field5);
  llvm_cbe_tmp292 = *llvm_cbe_tmp291;
  llvm_cbe_tmp295 = *llvm_cbe_tmp276;
  llvm_cbe_tmp5_2e_i132 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp6_2e_i133 = *llvm_cbe_tmp5_2e_i132;
  llvm_cbe_tmp13_2e_i140 = *llvm_cbe_tmp7_2e_i180;
  llvm_cbe_tmp302 = (&llvm_cbe_this->field4);
  llvm_cbe_tmp303 = *llvm_cbe_tmp302;
  llvm_cbe_tmp305 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp306 = *llvm_cbe_tmp305;
  *llvm_cbe_tmp291 = (((float )(llvm_cbe_tmp292 - (((float )((((float )(llvm_cbe_tmp295 * llvm_cbe_tmp73))) * (((float )((((float )((((float )(llvm_cbe_tmp38337 * llvm_cbe_tmp6_2e_i133))) - (((float )(llvm_cbe_tmp41341 * llvm_cbe_tmp13_2e_i140)))))) + (((float )(llvm_cbe_tmp303 + llvm_cbe_tmp306))))))))))));
  llvm_cbe_tmp317 = *llvm_cbe_tmp276;
  llvm_cbe_tmp319 = ((float )(llvm_cbe_tmp317 * llvm_cbe_tmp70));
  llvm_cbe_tmp3_2e_i110 = *llvm_cbe_tmp2_2e_i175;
  llvm_cbe_tmp8_2e_i115 = *llvm_cbe_tmp7_2e_i180;
  llvm_cbe_tmp22_2e_i381382383_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i374__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i115 * llvm_cbe_tmp319))), llvm_cbe_tmp19_2e_i374__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i381__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i110 * llvm_cbe_tmp319))), llvm_cbe_tmp22_2e_i381__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i90 = (&llvm_cbe_tmp18->field4.field0);
  llvm_cbe_tmp2_2e_i91 = *llvm_cbe_tmp1_2e_i90;
  *llvm_cbe_tmp1_2e_i90 = (((float )(llvm_cbe_tmp2_2e_i91 + ((llvm_cbe_tmp25_2e_i373__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i381382383_2e_ins)), llvm_cbe_tmp25_2e_i373__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i99 = (&llvm_cbe_tmp18->field4.field1);
  llvm_cbe_tmp11_2e_i100 = *llvm_cbe_tmp10_2e_i99;
  *llvm_cbe_tmp10_2e_i99 = (((float )(llvm_cbe_tmp11_2e_i100 + ((llvm_cbe_tmp28_2e_i379__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i381382383_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i379__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp331 = (&llvm_cbe_tmp18->field5);
  llvm_cbe_tmp332 = *llvm_cbe_tmp331;
  llvm_cbe_tmp335 = *llvm_cbe_tmp276;
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i132;
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp7_2e_i180;
  llvm_cbe_tmp343 = *llvm_cbe_tmp302;
  llvm_cbe_tmp346 = *llvm_cbe_tmp305;
  *llvm_cbe_tmp331 = (((float )(llvm_cbe_tmp332 + (((float )((((float )(llvm_cbe_tmp335 * llvm_cbe_tmp76))) * (((float )((((float )((((float )(llvm_cbe_tmp61351 * llvm_cbe_tmp6_2e_i))) - (((float )(llvm_cbe_tmp64355 * llvm_cbe_tmp13_2e_i)))))) + (((float )(llvm_cbe_tmp343 + llvm_cbe_tmp346))))))))))));
  goto llvm_cbe_bb360;

llvm_cbe_bb353:
  *((&llvm_cbe_this->field3.field0)) = 0x0p+0;
  *((&llvm_cbe_this->field3.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field4)) = 0x0p+0;
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  goto llvm_cbe_bb360;

llvm_cbe_bb360:
  *((&llvm_cbe_this->field6)) = 0x0p+0;
  return;
}


static unsigned char _ZN15b2RevoluteJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2RevoluteJoint *llvm_cbe_this) {
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i188_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_tmp319_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i245_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K3;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K2;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K1;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp10;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_tmp11;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp17;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp20;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp24;
  struct l_struct_2E_b2Body *llvm_cbe_tmp28;
  float llvm_cbe_tmp3_2e_i124;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i776__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i783__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i783784785_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i775__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i781__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp44;
  float llvm_cbe_tmp48704;
  llvmBitCastUnion llvm_cbe_tmp48704__BITCAST_TEMPORARY;
  float llvm_cbe_tmp51708;
  llvmBitCastUnion llvm_cbe_tmp51708__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i275;
  float llvm_cbe_tmp6_2e_i278;
  float llvm_cbe_tmp10_2e_i282;
  float llvm_cbe_tmp13_2e_i285;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i301790__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i304797__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i304797798799_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i307789__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i310795__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp67;
  float llvm_cbe_tmp71718;
  llvmBitCastUnion llvm_cbe_tmp71718__BITCAST_TEMPORARY;
  float llvm_cbe_tmp74722;
  llvmBitCastUnion llvm_cbe_tmp74722__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i530;
  float llvm_cbe_tmp3_2e_i531;
  float *llvm_cbe_tmp9_2e_i537;
  float llvm_cbe_tmp10_2e_i538;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i557846__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i560853__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i560853854855_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i563845__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i566851__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i579;
  float llvm_cbe_tmp3_2e_i580;
  float *llvm_cbe_tmp9_2e_i586;
  float llvm_cbe_tmp10_2e_i587;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i606860__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i609867__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i609867868869_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i612859__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i615865__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i684874__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i687881__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i687881882883_2e_ins;
  float llvm_cbe_tmp29_2e_i690873;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i690873__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i693879;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i693879__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i645;
  float *llvm_cbe_tmp107;
  float llvm_cbe_tmp108;
  float *llvm_cbe_tmp110;
  float llvm_cbe_tmp111;
  float *llvm_cbe_tmp113;
  float llvm_cbe_tmp114;
  float *llvm_cbe_tmp116;
  float llvm_cbe_tmp117;
  float llvm_cbe_tmp120;
  float llvm_cbe_tmp148;
  float llvm_cbe_tmp186;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i509832__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i512839__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i512839840841_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i515831__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i518837__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp216;
  float llvm_cbe_tmp220753;
  llvmBitCastUnion llvm_cbe_tmp220753__BITCAST_TEMPORARY;
  float llvm_cbe_tmp223757;
  llvmBitCastUnion llvm_cbe_tmp223757__BITCAST_TEMPORARY;
  float llvm_cbe_tmp226;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i464818__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i467825__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i467825826827_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i470817__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i473823__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i414;
  float llvm_cbe_tmp11_2e_i423;
  float *llvm_cbe_tmp240;
  float llvm_cbe_tmp241;
  float llvm_cbe_tmp244;
  float llvm_cbe_tmp253;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i381804__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i384811__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i384811812813_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i387803__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i390809__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i332;
  float llvm_cbe_tmp11_2e_i341;
  float *llvm_cbe_tmp267;
  float llvm_cbe_tmp268;
  float llvm_cbe_tmp271;
  unsigned char llvm_cbe_tmp282;
  unsigned int llvm_cbe_tmp285;
  float llvm_cbe_tmp293;
  float llvm_cbe_tmp297;
  float llvm_cbe_tmp301;
  float llvm_cbe_tmp302;
  float llvm_cbe_tmp316891;
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889893;
  float llvm_cbe_storemerge_2e_i_2e_i245_2e_reload884;
  float llvm_cbe_tmp316;
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889;
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload888;
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload;
  float llvm_cbe_tmp5_2e_i220;
  float llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload887;
  float llvm_cbe_storemerge_2e_i224;
  float llvm_cbe_storemerge_2e_i224__PHI_TEMPORARY;
  float llvm_cbe_tmp319_2e_reload;
  float llvm_cbe_tmp332;
  float llvm_cbe_tmp334;
  float llvm_cbe_tmp336;
  float llvm_cbe_storemerge_2e_i213;
  float llvm_cbe_tmp341;
  float llvm_cbe_storemerge_2e_i_2e_i188_2e_reload897;
  float llvm_cbe_storemerge_2e_i11_2e_i199;
  float llvm_cbe_storemerge_2e_i11_2e_i199__PHI_TEMPORARY;
  float llvm_cbe_tmp345;
  float *llvm_cbe_tmp350;
  float llvm_cbe_tmp351;
  float llvm_cbe_tmp356;
  float llvm_cbe_storemerge_2e_i166;
  float llvm_cbe_tmp364;
  float llvm_cbe_tmp375;
  float llvm_cbe_tmp377;
  float llvm_cbe_storemerge_2e_i154;
  float llvm_cbe_tmp381;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reload900;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp385;
  float *llvm_cbe_tmp390;
  float llvm_cbe_tmp391;
  float llvm_cbe_tmp396;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp404;
  float llvm_cbe_limitImpulse_2e_0;
  float llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY;
  float llvm_cbe_angularError_2e_0;
  float llvm_cbe_angularError_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp409;
  float llvm_cbe_tmp412;
  float llvm_cbe_tmp422;
  float llvm_cbe_tmp425;
  float llvm_cbe_angularError_2e_1;
  float llvm_cbe_angularError_2e_1__PHI_TEMPORARY;

  llvm_cbe_tmp24 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp28 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i124 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp24->field3.field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_tmp24->field3.field0.field0));
  llvm_cbe_tmp26_2e_i783784785_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i776__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i776__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i783__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i124 - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i783__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp20.field0)) = ((llvm_cbe_tmp29_2e_i775__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i783784785_2e_ins)), llvm_cbe_tmp29_2e_i775__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp20.field1)) = ((llvm_cbe_tmp32_2e_i781__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i783784785_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i781__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp44 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp24->field2.field1)), (&llvm_cbe_tmp20));
  llvm_cbe_tmp48704 = (llvm_cbe_tmp48704__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp44)), llvm_cbe_tmp48704__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp51708 = (llvm_cbe_tmp51708__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp44) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp51708__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i275 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i278 = *((&llvm_cbe_tmp28->field3.field0.field1));
  llvm_cbe_tmp10_2e_i282 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i285 = *((&llvm_cbe_tmp28->field3.field0.field0));
  llvm_cbe_tmp26_2e_i304797798799_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i301790__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i282 - llvm_cbe_tmp13_2e_i285))), llvm_cbe_tmp23_2e_i301790__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i304797__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i275 - llvm_cbe_tmp6_2e_i278))), llvm_cbe_tmp26_2e_i304797__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp17.field0)) = ((llvm_cbe_tmp29_2e_i307789__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i304797798799_2e_ins)), llvm_cbe_tmp29_2e_i307789__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp17.field1)) = ((llvm_cbe_tmp32_2e_i310795__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i304797798799_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i310795__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp67 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp28->field2.field1)), (&llvm_cbe_tmp17));
  llvm_cbe_tmp71718 = (llvm_cbe_tmp71718__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp67)), llvm_cbe_tmp71718__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp74722 = (llvm_cbe_tmp74722__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp67) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp74722__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i530 = (&llvm_cbe_tmp24->field3.field2.field1);
  llvm_cbe_tmp3_2e_i531 = *llvm_cbe_tmp2_2e_i530;
  llvm_cbe_tmp9_2e_i537 = (&llvm_cbe_tmp24->field3.field2.field0);
  llvm_cbe_tmp10_2e_i538 = *llvm_cbe_tmp9_2e_i537;
  llvm_cbe_tmp26_2e_i560853854855_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i557846__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i538 + llvm_cbe_tmp48704))), llvm_cbe_tmp23_2e_i557846__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i560853__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i531 + llvm_cbe_tmp51708))), llvm_cbe_tmp26_2e_i560853__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i579 = (&llvm_cbe_tmp28->field3.field2.field1);
  llvm_cbe_tmp3_2e_i580 = *llvm_cbe_tmp2_2e_i579;
  llvm_cbe_tmp9_2e_i586 = (&llvm_cbe_tmp28->field3.field2.field0);
  llvm_cbe_tmp10_2e_i587 = *llvm_cbe_tmp9_2e_i586;
  llvm_cbe_tmp26_2e_i609867868869_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i606860__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i587 + llvm_cbe_tmp71718))), llvm_cbe_tmp23_2e_i606860__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i609867__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i580 + llvm_cbe_tmp74722))), llvm_cbe_tmp26_2e_i609867__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i687881882883_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i684874__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i612859__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i609867868869_2e_ins)), llvm_cbe_tmp29_2e_i612859__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i563845__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i560853854855_2e_ins)), llvm_cbe_tmp29_2e_i563845__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i684874__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i687881__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i615865__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i609867868869_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i615865__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i566851__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i560853854855_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i566851__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i687881__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i690873 = (llvm_cbe_tmp29_2e_i690873__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i687881882883_2e_ins)), llvm_cbe_tmp29_2e_i690873__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i693879 = (llvm_cbe_tmp32_2e_i693879__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i687881882883_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i693879__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i645 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i690873 * llvm_cbe_tmp29_2e_i690873))) + (((float )(llvm_cbe_tmp32_2e_i693879 * llvm_cbe_tmp32_2e_i693879)))))));
  llvm_cbe_tmp107 = (&llvm_cbe_tmp24->field16);
  llvm_cbe_tmp108 = *llvm_cbe_tmp107;
  llvm_cbe_tmp110 = (&llvm_cbe_tmp28->field16);
  llvm_cbe_tmp111 = *llvm_cbe_tmp110;
  llvm_cbe_tmp113 = (&llvm_cbe_tmp24->field18);
  llvm_cbe_tmp114 = *llvm_cbe_tmp113;
  llvm_cbe_tmp116 = (&llvm_cbe_tmp28->field18);
  llvm_cbe_tmp117 = *llvm_cbe_tmp116;
  llvm_cbe_tmp120 = ((float )(llvm_cbe_tmp108 + llvm_cbe_tmp111));
  *((&llvm_cbe_K1.field0.field0)) = llvm_cbe_tmp120;
  *((&llvm_cbe_K1.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_K1.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_K1.field1.field1)) = llvm_cbe_tmp120;
  *((&llvm_cbe_K2.field0.field0)) = (((float )((((float )(llvm_cbe_tmp51708 * llvm_cbe_tmp114))) * llvm_cbe_tmp51708)));
  llvm_cbe_tmp148 = ((float )((((float )(llvm_cbe_tmp48704 * (((float )(-(llvm_cbe_tmp114))))))) * llvm_cbe_tmp51708));
  *((&llvm_cbe_K2.field1.field0)) = llvm_cbe_tmp148;
  *((&llvm_cbe_K2.field0.field1)) = llvm_cbe_tmp148;
  *((&llvm_cbe_K2.field1.field1)) = (((float )((((float )(llvm_cbe_tmp48704 * llvm_cbe_tmp114))) * llvm_cbe_tmp48704)));
  *((&llvm_cbe_K3.field0.field0)) = (((float )((((float )(llvm_cbe_tmp74722 * llvm_cbe_tmp117))) * llvm_cbe_tmp74722)));
  llvm_cbe_tmp186 = ((float )((((float )(llvm_cbe_tmp71718 * (((float )(-(llvm_cbe_tmp117))))))) * llvm_cbe_tmp74722));
  *((&llvm_cbe_K3.field1.field0)) = llvm_cbe_tmp186;
  *((&llvm_cbe_K3.field0.field1)) = llvm_cbe_tmp186;
  *((&llvm_cbe_K3.field1.field1)) = (((float )((((float )(llvm_cbe_tmp71718 * llvm_cbe_tmp117))) * llvm_cbe_tmp71718)));
  llvm_cbe_tmp11 = _ZplRK7b2Mat22S1_((&llvm_cbe_K1), (&llvm_cbe_K2));
  llvm_cbe_K = _ZplRK7b2Mat22S1_((&llvm_cbe_tmp11), (&llvm_cbe_K3));
  llvm_cbe_tmp20_2e_i512839840841_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i509832__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp29_2e_i690873)))), llvm_cbe_tmp17_2e_i509832__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i512839__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp32_2e_i693879)))), llvm_cbe_tmp20_2e_i512839__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp10.field0)) = ((llvm_cbe_tmp23_2e_i515831__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i512839840841_2e_ins)), llvm_cbe_tmp23_2e_i515831__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp10.field1)) = ((llvm_cbe_tmp26_2e_i518837__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i512839840841_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i518837__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp216 = _ZNK7b2Mat225SolveERK6b2Vec2((&llvm_cbe_K), (&llvm_cbe_tmp10));
  llvm_cbe_tmp220753 = (llvm_cbe_tmp220753__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp216)), llvm_cbe_tmp220753__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp223757 = (llvm_cbe_tmp223757__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp216) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp223757__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp226 = *llvm_cbe_tmp107;
  llvm_cbe_tmp22_2e_i467825826827_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i464818__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp220753 * llvm_cbe_tmp226))), llvm_cbe_tmp19_2e_i464818__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i467825__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp223757 * llvm_cbe_tmp226))), llvm_cbe_tmp22_2e_i467825__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i414 = *llvm_cbe_tmp9_2e_i537;
  *llvm_cbe_tmp9_2e_i537 = (((float )(llvm_cbe_tmp2_2e_i414 - ((llvm_cbe_tmp25_2e_i470817__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i467825826827_2e_ins)), llvm_cbe_tmp25_2e_i470817__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i423 = *llvm_cbe_tmp2_2e_i530;
  *llvm_cbe_tmp2_2e_i530 = (((float )(llvm_cbe_tmp11_2e_i423 - ((llvm_cbe_tmp28_2e_i473823__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i467825826827_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i473823__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp240 = (&llvm_cbe_tmp24->field3.field4);
  llvm_cbe_tmp241 = *llvm_cbe_tmp240;
  llvm_cbe_tmp244 = *llvm_cbe_tmp113;
  *llvm_cbe_tmp240 = (((float )(llvm_cbe_tmp241 - (((float )(llvm_cbe_tmp244 * (((float )((((float )(llvm_cbe_tmp48704 * llvm_cbe_tmp223757))) - (((float )(llvm_cbe_tmp51708 * llvm_cbe_tmp220753))))))))))));
  llvm_cbe_tmp253 = *llvm_cbe_tmp110;
  llvm_cbe_tmp22_2e_i384811812813_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i381804__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp220753 * llvm_cbe_tmp253))), llvm_cbe_tmp19_2e_i381804__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i384811__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp223757 * llvm_cbe_tmp253))), llvm_cbe_tmp22_2e_i384811__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i332 = *llvm_cbe_tmp9_2e_i586;
  *llvm_cbe_tmp9_2e_i586 = (((float )(llvm_cbe_tmp2_2e_i332 + ((llvm_cbe_tmp25_2e_i387803__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i384811812813_2e_ins)), llvm_cbe_tmp25_2e_i387803__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i341 = *llvm_cbe_tmp2_2e_i579;
  *llvm_cbe_tmp2_2e_i579 = (((float )(llvm_cbe_tmp11_2e_i341 + ((llvm_cbe_tmp28_2e_i390809__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i384811812813_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i390809__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp267 = (&llvm_cbe_tmp28->field3.field4);
  llvm_cbe_tmp268 = *llvm_cbe_tmp267;
  llvm_cbe_tmp271 = *llvm_cbe_tmp116;
  *llvm_cbe_tmp267 = (((float )(llvm_cbe_tmp268 + (((float )(llvm_cbe_tmp271 * (((float )((((float )(llvm_cbe_tmp71718 * llvm_cbe_tmp223757))) - (((float )(llvm_cbe_tmp74722 * llvm_cbe_tmp220753))))))))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp24);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp28);
  llvm_cbe_tmp282 = *((&llvm_cbe_this->field12));
  if ((llvm_cbe_tmp282 == ((unsigned char )0))) {
    llvm_cbe_angularError_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb434;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp285 = *((&llvm_cbe_this->field16));
  if ((llvm_cbe_tmp285 == 0u)) {
    llvm_cbe_angularError_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb434;
  } else {
    goto llvm_cbe_bb289;
  }

llvm_cbe_bb289:
  llvm_cbe_tmp293 = *llvm_cbe_tmp267;
  llvm_cbe_tmp297 = *llvm_cbe_tmp240;
  llvm_cbe_tmp301 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp302 = ((float )((((float )(llvm_cbe_tmp293 - llvm_cbe_tmp297))) - llvm_cbe_tmp301));
  switch (llvm_cbe_tmp285) {
  default:
    llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    llvm_cbe_angularError_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb405;
;
  case 3u:
    goto llvm_cbe_bb309;
    break;
  case 1u:
    goto llvm_cbe_bb329;
  case 2u:
    goto llvm_cbe_bb372;
  }
llvm_cbe_bb309:
  if ((llvm_fcmp_olt(llvm_cbe_tmp302, 0x1.1df46cp-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i251;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i251_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i251_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i245_2e_reg2mem) = 0x1.1df46cp-3;
  goto llvm_cbe_bb6_2e_i10_2e_i255;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i251:
  *(&llvm_cbe_storemerge_2e_i_2e_i245_2e_reg2mem) = llvm_cbe_tmp302;
  if ((llvm_fcmp_olt(llvm_cbe_tmp302, -0x1.1df46cp-3))) {
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit259_2e_thread;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i255;
  }

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit259_2e_thread:
  *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem) = -0x1.1df46cp-3;
  llvm_cbe_tmp316891 = *((&llvm_cbe_this->field8));
  llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889893 = *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem);
  *(&llvm_cbe_tmp319_2e_reg2mem) = (((float )(llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889893 * (((float )(-(llvm_cbe_tmp316891)))))));
  goto llvm_cbe_bb_2e_i221;

llvm_cbe_bb6_2e_i10_2e_i255:
  llvm_cbe_storemerge_2e_i_2e_i245_2e_reload884 = *(&llvm_cbe_storemerge_2e_i_2e_i245_2e_reg2mem);
  *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem) = llvm_cbe_storemerge_2e_i_2e_i245_2e_reload884;
  llvm_cbe_tmp316 = *((&llvm_cbe_this->field8));
  llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889 = *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem);
  *(&llvm_cbe_tmp319_2e_reg2mem) = (((float )(llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload889 * (((float )(-(llvm_cbe_tmp316)))))));
  llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload888 = *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem);
  if ((llvm_fcmp_ule(llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload888, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i221;
  } else {
    goto llvm_cbe_bb6_2e_i223;
  }

llvm_cbe_bb_2e_i221:
  llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload = *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem);
  llvm_cbe_tmp5_2e_i220 = ((float )(-(llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload)));
  llvm_cbe_storemerge_2e_i224__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i220;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe_bb6_2e_i223:
  llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload887 = *(&llvm_cbe_storemerge_2e_i11_2e_i256_2e_reg2mem);
  llvm_cbe_storemerge_2e_i224__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i11_2e_i256_2e_reload887;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe__Z5b2Absf_2e_exit:
  llvm_cbe_storemerge_2e_i224 = llvm_cbe_storemerge_2e_i224__PHI_TEMPORARY;
  llvm_cbe_tmp319_2e_reload = *(&llvm_cbe_tmp319_2e_reg2mem);
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp319_2e_reload;   /* for PHI node */
  llvm_cbe_angularError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i224;   /* for PHI node */
  goto llvm_cbe_bb405;

llvm_cbe_bb329:
  llvm_cbe_tmp332 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp334 = ((float )(llvm_cbe_tmp302 - llvm_cbe_tmp332));
  llvm_cbe_tmp336 = ((float )(-(llvm_cbe_tmp334)));
  llvm_cbe_storemerge_2e_i213 = (((llvm_fcmp_olt(llvm_cbe_tmp336, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp336));
  llvm_cbe_tmp341 = ((float )(llvm_cbe_tmp334 + 0x1.1df46cp-5));
  if ((llvm_fcmp_olt(llvm_cbe_tmp341, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i194;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i194_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i194_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i188_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i198;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i194:
  *(&llvm_cbe_storemerge_2e_i_2e_i188_2e_reg2mem) = llvm_cbe_tmp341;
  if ((llvm_fcmp_olt(llvm_cbe_tmp341, -0x1.1df46cp-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i199__PHI_TEMPORARY = -0x1.1df46cp-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit202;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i198;
  }

llvm_cbe_bb6_2e_i10_2e_i198:
  llvm_cbe_storemerge_2e_i_2e_i188_2e_reload897 = *(&llvm_cbe_storemerge_2e_i_2e_i188_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i199__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i188_2e_reload897;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit202;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit202:
  llvm_cbe_storemerge_2e_i11_2e_i199 = llvm_cbe_storemerge_2e_i11_2e_i199__PHI_TEMPORARY;
  llvm_cbe_tmp345 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp350 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp351 = *llvm_cbe_tmp350;
  llvm_cbe_tmp356 = ((float )(llvm_cbe_tmp351 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i199 * (((float )(-(llvm_cbe_tmp345)))))))));
  llvm_cbe_storemerge_2e_i166 = (((llvm_fcmp_ogt(llvm_cbe_tmp356, 0x0p+0))) ? (llvm_cbe_tmp356) : (0x0p+0));
  *llvm_cbe_tmp350 = llvm_cbe_storemerge_2e_i166;
  llvm_cbe_tmp364 = ((float )(llvm_cbe_storemerge_2e_i166 - llvm_cbe_tmp351));
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp364;   /* for PHI node */
  llvm_cbe_angularError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i213;   /* for PHI node */
  goto llvm_cbe_bb405;

llvm_cbe_bb372:
  llvm_cbe_tmp375 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp377 = ((float )(llvm_cbe_tmp302 - llvm_cbe_tmp375));
  llvm_cbe_storemerge_2e_i154 = (((llvm_fcmp_olt(llvm_cbe_tmp377, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp377));
  llvm_cbe_tmp381 = ((float )(llvm_cbe_tmp377 - 0x1.1df46cp-5));
  if ((llvm_fcmp_olt(llvm_cbe_tmp381, 0x1.1df46cp-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0x1.1df46cp-3;
  goto llvm_cbe_bb6_2e_i10_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp381;
  if ((llvm_fcmp_olt(llvm_cbe_tmp381, 0x0p+0))) {
    llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i;
  }

llvm_cbe_bb6_2e_i10_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload900 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_reload900;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit:
  llvm_cbe_storemerge_2e_i11_2e_i = llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp385 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp390 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp391 = *llvm_cbe_tmp390;
  llvm_cbe_tmp396 = ((float )(llvm_cbe_tmp391 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i * (((float )(-(llvm_cbe_tmp385)))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp396, 0x0p+0))) ? (llvm_cbe_tmp396) : (0x0p+0));
  *llvm_cbe_tmp390 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp404 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp391));
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp404;   /* for PHI node */
  llvm_cbe_angularError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i154;   /* for PHI node */
  goto llvm_cbe_bb405;

llvm_cbe_bb405:
  llvm_cbe_limitImpulse_2e_0 = llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY;
  llvm_cbe_angularError_2e_0 = llvm_cbe_angularError_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp409 = *llvm_cbe_tmp240;
  llvm_cbe_tmp412 = *llvm_cbe_tmp113;
  *llvm_cbe_tmp240 = (((float )(llvm_cbe_tmp409 - (((float )(llvm_cbe_tmp412 * llvm_cbe_limitImpulse_2e_0))))));
  llvm_cbe_tmp422 = *llvm_cbe_tmp267;
  llvm_cbe_tmp425 = *llvm_cbe_tmp116;
  *llvm_cbe_tmp267 = (((float )(llvm_cbe_tmp422 + (((float )(llvm_cbe_tmp425 * llvm_cbe_limitImpulse_2e_0))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp24);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp28);
  llvm_cbe_angularError_2e_1__PHI_TEMPORARY = llvm_cbe_angularError_2e_0;   /* for PHI node */
  goto llvm_cbe_bb434;

llvm_cbe_bb434:
  llvm_cbe_angularError_2e_1 = llvm_cbe_angularError_2e_1__PHI_TEMPORARY;
  return (((unsigned char )((((unsigned char )(bool )((((llvm_fcmp_ugt(llvm_cbe_tmp16_2e_i645, 0x1.47ae14p-8)) | (llvm_fcmp_ugt(llvm_cbe_angularError_2e_1, 0x1.1df46cp-5)))&1)))) ^ ((unsigned char )1))));
}


static void _ZN6b2Body20SynchronizeTransformEv(struct l_struct_2E_b2Body *llvm_cbe_this) {
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp1_2e_i;
  float llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp16;
  llvmBitCastUnion llvm_cbe_tmp2045__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2349__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i29;
  float llvm_cbe_tmp10_2e_i35;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i61__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i68__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i686970_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i60__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i66__BITCAST_TEMPORARY;

  llvm_cbe_tmp6 = *((&llvm_cbe_this->field3.field4));
  llvm_cbe_tmp1_2e_i = cosf(llvm_cbe_tmp6);
  llvm_cbe_tmp3_2e_i = sinf(llvm_cbe_tmp6);
  *((&llvm_cbe_this->field2.field1.field0.field0)) = llvm_cbe_tmp1_2e_i;
  *((&llvm_cbe_this->field2.field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i))));
  *((&llvm_cbe_this->field2.field1.field0.field1)) = llvm_cbe_tmp3_2e_i;
  *((&llvm_cbe_this->field2.field1.field1.field1)) = llvm_cbe_tmp1_2e_i;
  llvm_cbe_tmp16 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_this->field2.field1)), ((&llvm_cbe_this->field3.field0)));
  llvm_cbe_tmp3_2e_i29 = *((&llvm_cbe_this->field3.field2.field1));
  llvm_cbe_tmp10_2e_i35 = *((&llvm_cbe_this->field3.field2.field0));
  llvm_cbe_tmp26_2e_i686970_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i61__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i35 - ((llvm_cbe_tmp2045__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp16)), llvm_cbe_tmp2045__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i61__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i68__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i29 - ((llvm_cbe_tmp2349__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp16) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2349__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i68__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field2.field0.field0)) = ((llvm_cbe_tmp29_2e_i60__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i686970_2e_ins)), llvm_cbe_tmp29_2e_i60__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field2.field0.field1)) = ((llvm_cbe_tmp32_2e_i66__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i686970_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i66__BITCAST_TEMPORARY.Float));
  return;
}


static unsigned char _ZN6b2Body17SynchronizeShapesEv(struct l_struct_2E_b2Body *llvm_cbe_this) {
  struct l_struct_2E_b2XForm llvm_cbe_xf1;    /* Address-exposed local */
  float llvm_cbe_tmp8;
  float llvm_cbe_tmp1_2e_i34;
  float llvm_cbe_tmp3_2e_i36;
  unsigned long long llvm_cbe_tmp14;
  llvmBitCastUnion llvm_cbe_tmp1866__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2170__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i45;
  float llvm_cbe_tmp10_2e_i52;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i82__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i89__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i899091_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i81__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp35;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp38;
  struct l_struct_2E_b2World **llvm_cbe_tmp40;
  struct l_struct_2E_b2World *llvm_cbe_tmp41;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp43;
  unsigned char llvm_cbe_tmp45;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp51;
  unsigned char llvm_cbe_inRange_2e_0;
  unsigned char llvm_cbe_inRange_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge;
  unsigned char llvm_cbe_inRange_2e_1;
  unsigned char llvm_cbe_inRange_2e_1__PHI_TEMPORARY;
  unsigned short *llvm_cbe_tmp65;
  unsigned short llvm_cbe_tmp66;
  unsigned short *llvm_cbe_tmp1_2e_i26;
  unsigned short llvm_cbe_tmp2_2e_i27;
  struct l_struct_2E_b2World *llvm_cbe_tmp80;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp82;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp85;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in;
  struct l_struct_2E_b2Shape **llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_storemerge1;
  unsigned char llvm_cbe_storemerge2;
  unsigned char llvm_cbe_storemerge2__PHI_TEMPORARY;

  llvm_cbe_tmp8 = *((&llvm_cbe_this->field3.field3));
  llvm_cbe_tmp1_2e_i34 = cosf(llvm_cbe_tmp8);
  llvm_cbe_tmp3_2e_i36 = sinf(llvm_cbe_tmp8);
  *((&llvm_cbe_xf1.field1.field0.field0)) = llvm_cbe_tmp1_2e_i34;
  *((&llvm_cbe_xf1.field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i36))));
  *((&llvm_cbe_xf1.field1.field0.field1)) = llvm_cbe_tmp3_2e_i36;
  *((&llvm_cbe_xf1.field1.field1.field1)) = llvm_cbe_tmp1_2e_i34;
  llvm_cbe_tmp14 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf1.field1)), ((&llvm_cbe_this->field3.field0)));
  llvm_cbe_tmp3_2e_i45 = *((&llvm_cbe_this->field3.field1.field1));
  llvm_cbe_tmp10_2e_i52 = *((&llvm_cbe_this->field3.field1.field0));
  llvm_cbe_tmp26_2e_i899091_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i82__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i52 - ((llvm_cbe_tmp1866__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp14)), llvm_cbe_tmp1866__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i82__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i89__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i45 - ((llvm_cbe_tmp2170__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp14) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2170__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i89__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_xf1.field0.field0)) = ((llvm_cbe_tmp29_2e_i81__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i899091_2e_ins)), llvm_cbe_tmp29_2e_i81__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_xf1.field0.field1)) = ((llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i899091_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp35 = (&llvm_cbe_this->field11);
  llvm_cbe_tmp38 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp40 = (&llvm_cbe_this->field8);
  llvm_cbe_inRange_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp35;   /* for PHI node */
  goto llvm_cbe_bb53;

  do {     /* Syntactic loop 'bb53' to make GCC happy */
llvm_cbe_bb53:
  llvm_cbe_inRange_2e_0 = llvm_cbe_inRange_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_in = llvm_cbe_storemerge_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge = *llvm_cbe_storemerge_2e_in;
  if ((llvm_cbe_storemerge == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    llvm_cbe_inRange_2e_1__PHI_TEMPORARY = llvm_cbe_inRange_2e_0;   /* for PHI node */
    goto llvm_cbe_bb58;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb49:
  llvm_cbe_tmp51 = (&llvm_cbe_storemerge->field2);
  llvm_cbe_inRange_2e_0__PHI_TEMPORARY = llvm_cbe_tmp45;   /* for PHI node */
  llvm_cbe_storemerge_2e_in__PHI_TEMPORARY = llvm_cbe_tmp51;   /* for PHI node */
  goto llvm_cbe_bb53;

llvm_cbe_bb:
  llvm_cbe_tmp41 = *llvm_cbe_tmp40;
  llvm_cbe_tmp43 = *((&llvm_cbe_tmp41->field3));
  llvm_cbe_tmp45 = _ZN7b2Shape11SynchronizeEP12b2BroadPhaseRK7b2XFormS4_(llvm_cbe_storemerge, llvm_cbe_tmp43, (&llvm_cbe_xf1), llvm_cbe_tmp38);
  if ((llvm_cbe_tmp45 == ((unsigned char )0))) {
    llvm_cbe_inRange_2e_1__PHI_TEMPORARY = llvm_cbe_tmp45;   /* for PHI node */
    goto llvm_cbe_bb58;
  } else {
    goto llvm_cbe_bb49;
  }

  } while (1); /* end of syntactic loop 'bb53' */
llvm_cbe_bb58:
  llvm_cbe_inRange_2e_1 = llvm_cbe_inRange_2e_1__PHI_TEMPORARY;
  if ((llvm_cbe_inRange_2e_1 == ((unsigned char )0))) {
    goto llvm_cbe_bb63;
  } else {
    llvm_cbe_storemerge2__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb63:
  llvm_cbe_tmp65 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp66 = *llvm_cbe_tmp65;
  *llvm_cbe_tmp65 = (((unsigned short )(llvm_cbe_tmp66 | ((unsigned short )2))));
  *((&llvm_cbe_this->field4.field0)) = 0x0p+0;
  *((&llvm_cbe_this->field4.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field5)) = 0x0p+0;
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp35;   /* for PHI node */
  goto llvm_cbe_bb87;

  do {     /* Syntactic loop 'bb87' to make GCC happy */
llvm_cbe_bb87:
  llvm_cbe_storemerge1_2e_in = llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1 = *llvm_cbe_storemerge1_2e_in;
  if ((llvm_cbe_storemerge1 == ((struct l_struct_2E_b2Shape *)/*NULL*/0))) {
    llvm_cbe_storemerge2__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb77;
  }

llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit:
  llvm_cbe_tmp85 = (&llvm_cbe_storemerge1->field2);
  llvm_cbe_storemerge1_2e_in__PHI_TEMPORARY = llvm_cbe_tmp85;   /* for PHI node */
  goto llvm_cbe_bb87;

llvm_cbe_bb77:
  llvm_cbe_tmp1_2e_i26 = (&llvm_cbe_storemerge1->field8);
  llvm_cbe_tmp2_2e_i27 = *llvm_cbe_tmp1_2e_i26;
  if ((llvm_cbe_tmp2_2e_i27 == ((unsigned short )-1))) {
    goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp80 = *llvm_cbe_tmp40;
  llvm_cbe_tmp82 = *((&llvm_cbe_tmp80->field3));
  _ZN12b2BroadPhase12DestroyProxyEi(llvm_cbe_tmp82, (((unsigned int )(unsigned short )llvm_cbe_tmp2_2e_i27)));
  *llvm_cbe_tmp1_2e_i26 = ((unsigned short )-1);
  goto llvm_cbe__ZN7b2Shape12DestroyProxyEP12b2BroadPhase_2e_exit;

  } while (1); /* end of syntactic loop 'bb87' */
llvm_cbe_return:
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2__PHI_TEMPORARY;
  return llvm_cbe_storemerge2;
}


static unsigned char _ZN7b2Shape11SynchronizeEP12b2BroadPhaseRK7b2XFormS4_(struct l_struct_2E_b2Shape *llvm_cbe_this, struct l_struct_2E_b2BroadPhase *llvm_cbe_broadPhase, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2) {
  struct l_struct_2E_b2BoundValues llvm_cbe_oldValues_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2BoundValues llvm_cbe_newValues_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_aabb;    /* Address-exposed local */
  unsigned short *llvm_cbe_tmp2;
  unsigned short llvm_cbe_tmp3;
  unsigned int  (**llvm_cbe_tmp9) ();
  unsigned int  (*llvm_cbe_tmp11) ();
  unsigned char llvm_cbe_tmp17;
  unsigned short llvm_cbe_tmp23;
  unsigned int llvm_cbe_tmp2324;
  unsigned char llvm_cbe_tmp26_2e_i;
  unsigned int llvm_cbe_tmp38_2e_i;
  unsigned int llvm_cbe_tmp39_2e_i;
  unsigned long long llvm_cbe_tmp4344_2e_i;
  unsigned int llvm_cbe_axis13_2e_i_2e_0;
  unsigned int llvm_cbe_axis13_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp5558_2e_i;
  unsigned short llvm_cbe_tmp60_2e_i;
  unsigned short llvm_cbe_tmp69_2e_i;
  unsigned short llvm_cbe_tmp80_2e_i;
  unsigned short llvm_cbe_tmp89_2e_i;
  unsigned int llvm_cbe_tmp94_2e_i;
  struct l_struct_2E_b2PairManager *llvm_cbe_tmp208_2e_i;
  unsigned int llvm_cbe_tmp379_2e_i;
  unsigned int llvm_cbe_axis_2e_i_2e_0;
  unsigned int llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp102105_2e_i;
  unsigned short *llvm_cbe_tmp112_2e_i;
  unsigned short llvm_cbe_tmp113_2e_i;
  unsigned int llvm_cbe_tmp113114_2e_i;
  unsigned short *llvm_cbe_tmp119_2e_i;
  unsigned short llvm_cbe_tmp120_2e_i;
  unsigned int llvm_cbe_tmp120121_2e_i;
  unsigned short llvm_cbe_tmp126_2e_i;
  unsigned short llvm_cbe_tmp131_2e_i;
  unsigned short *llvm_cbe_tmp138_2e_i;
  unsigned short llvm_cbe_tmp139_2e_i;
  unsigned int llvm_cbe_tmp141_2e_i;
  unsigned short *llvm_cbe_tmp148_2e_i;
  unsigned short llvm_cbe_tmp149_2e_i;
  unsigned int llvm_cbe_tmp151_2e_i;
  unsigned long long llvm_cbe_tmp172173_2e_i;
  unsigned long long llvm_cbe_tmp174_2e_sum_2e_i;
  unsigned short llvm_cbe_tmp179_2e_i;
  unsigned int llvm_cbe_tmp179180_2e_i;
  unsigned short *llvm_cbe_tmp185_2e_i;
  unsigned short llvm_cbe_tmp186_2e_i;
  unsigned long long llvm_cbe_tmp186187188_2e_i;
  unsigned short *llvm_cbe_tmp191_2e_i;
  unsigned short llvm_cbe_tmp192_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i_2e_i;
  unsigned char llvm_cbe_tmp203_2e_i;
  unsigned short *llvm_cbe_tmp216_2e_i;
  unsigned short llvm_cbe_tmp217_2e_i;
  unsigned short *llvm_cbe_tmp224_2e_i;
  unsigned short llvm_cbe_tmp225_2e_i;
  unsigned short *llvm_cbe_tmp234_2e_i;
  unsigned short llvm_cbe_tmp235_2e_i;
  unsigned short *llvm_cbe_tmp242_2e_i;
  unsigned short llvm_cbe_tmp243_2e_i;
  unsigned short llvm_cbe_tmp253_2e_i;
  unsigned short *llvm_cbe_tmp3_2e_i17_2e_i;
  unsigned short llvm_cbe_tmp4_2e_i18_2e_i;
  unsigned short *llvm_cbe_tmp6_2e_i20_2e_i;
  unsigned short llvm_cbe_tmp7_2e_i21_2e_i;
  unsigned short *llvm_cbe_tmp9_2e_i23_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i24_2e_i;
  unsigned short llvm_cbe_tmp15_2e_i29_2e_i;
  unsigned short llvm_cbe_tmp18_2e_i32_2e_i;
  unsigned short llvm_cbe_tmp21_2e_i35_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp270_2e_i;
  unsigned short llvm_cbe_tmp275_2e_i;
  unsigned long long llvm_cbe_tmp289290_2e_i;
  unsigned long long llvm_cbe_tmp291_2e_sum_2e_i;
  unsigned short llvm_cbe_tmp296_2e_i;
  unsigned int llvm_cbe_tmp296297_2e_i;
  unsigned long long llvm_cbe_tmp301302_2e_i;
  unsigned short *llvm_cbe_tmp305_2e_i;
  unsigned short llvm_cbe_tmp306_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i47_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i48_2e_i;
  unsigned char llvm_cbe_tmp317_2e_i;
  unsigned short *llvm_cbe_tmp330_2e_i;
  unsigned short llvm_cbe_tmp331_2e_i;
  unsigned short *llvm_cbe_tmp338_2e_i;
  unsigned short llvm_cbe_tmp339_2e_i;
  unsigned short *llvm_cbe_tmp348_2e_i;
  unsigned short llvm_cbe_tmp349_2e_i;
  unsigned short *llvm_cbe_tmp356_2e_i;
  unsigned short llvm_cbe_tmp357_2e_i;
  unsigned short llvm_cbe_tmp367_2e_i;
  unsigned short *llvm_cbe_tmp3_2e_i101_2e_i;
  unsigned short llvm_cbe_tmp4_2e_i102_2e_i;
  unsigned short *llvm_cbe_tmp6_2e_i104_2e_i;
  unsigned short llvm_cbe_tmp7_2e_i105_2e_i;
  unsigned short *llvm_cbe_tmp9_2e_i107_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i108_2e_i;
  unsigned short llvm_cbe_tmp15_2e_i113_2e_i;
  unsigned short *llvm_cbe_tmp17_2e_i115_2e_i;
  unsigned short llvm_cbe_tmp18_2e_i116_2e_i;
  unsigned short llvm_cbe_tmp21_2e_i119_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i;
  unsigned int llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp386_2e_i;
  unsigned short llvm_cbe_tmp391_2e_i;
  unsigned long long llvm_cbe_tmp405406_2e_i;
  unsigned long long llvm_cbe_tmp407_2e_sum_2e_i;
  unsigned short llvm_cbe_tmp412_2e_i;
  unsigned int llvm_cbe_tmp412413_2e_i;
  unsigned long long llvm_cbe_tmp417418_2e_i;
  unsigned short *llvm_cbe_tmp421_2e_i;
  unsigned short llvm_cbe_tmp422_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i131_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i132_2e_i;
  unsigned char llvm_cbe_tmp433_2e_i;
  unsigned short *llvm_cbe_tmp446_2e_i;
  unsigned short llvm_cbe_tmp447_2e_i;
  unsigned short *llvm_cbe_tmp454_2e_i;
  unsigned short llvm_cbe_tmp455_2e_i;
  unsigned short *llvm_cbe_tmp464_2e_i;
  unsigned short llvm_cbe_tmp465_2e_i;
  unsigned short *llvm_cbe_tmp472_2e_i;
  unsigned short llvm_cbe_tmp473_2e_i;
  unsigned short llvm_cbe_tmp483_2e_i;
  unsigned short *llvm_cbe_tmp3_2e_i67_2e_i;
  unsigned short llvm_cbe_tmp4_2e_i68_2e_i;
  unsigned short *llvm_cbe_tmp6_2e_i70_2e_i;
  unsigned short llvm_cbe_tmp7_2e_i71_2e_i;
  unsigned short *llvm_cbe_tmp9_2e_i73_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i74_2e_i;
  unsigned short llvm_cbe_tmp15_2e_i79_2e_i;
  unsigned short *llvm_cbe_tmp17_2e_i81_2e_i;
  unsigned short llvm_cbe_tmp18_2e_i82_2e_i;
  unsigned short llvm_cbe_tmp21_2e_i85_2e_i;
  unsigned int llvm_cbe_storemerge5_2e_i;
  unsigned int llvm_cbe_storemerge5_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp502_2e_i;
  unsigned short llvm_cbe_tmp507_2e_i;
  unsigned long long llvm_cbe_tmp521522_2e_i;
  unsigned long long llvm_cbe_tmp523_2e_sum_2e_i;
  unsigned short llvm_cbe_tmp528_2e_i;
  unsigned int llvm_cbe_tmp528529_2e_i;
  unsigned long long llvm_cbe_tmp533534_2e_i;
  unsigned short *llvm_cbe_tmp537_2e_i;
  unsigned short llvm_cbe_tmp538_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i55_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i56_2e_i;
  unsigned char llvm_cbe_tmp549_2e_i;
  unsigned short *llvm_cbe_tmp562_2e_i;
  unsigned short llvm_cbe_tmp563_2e_i;
  unsigned short *llvm_cbe_tmp570_2e_i;
  unsigned short llvm_cbe_tmp571_2e_i;
  unsigned short *llvm_cbe_tmp580_2e_i;
  unsigned short llvm_cbe_tmp581_2e_i;
  unsigned short *llvm_cbe_tmp588_2e_i;
  unsigned short llvm_cbe_tmp589_2e_i;
  unsigned short llvm_cbe_tmp599_2e_i;
  unsigned short *llvm_cbe_tmp3_2e_i11_2e_i;
  unsigned short llvm_cbe_tmp4_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp6_2e_i_2e_i;
  unsigned short llvm_cbe_tmp7_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp9_2e_i_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i_2e_i;
  unsigned short llvm_cbe_tmp15_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp17_2e_i_2e_i;
  unsigned short llvm_cbe_tmp18_2e_i_2e_i;
  unsigned short llvm_cbe_tmp21_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge7_2e_i;
  unsigned int llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp616_2e_i;
  unsigned short llvm_cbe_tmp621_2e_i;
  unsigned int llvm_cbe_tmp628_2e_i;
  unsigned char llvm_cbe_tmp_2e_0;
  unsigned char llvm_cbe_tmp_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  if ((llvm_cbe_tmp3 == ((unsigned short )-1))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb6;
  }

llvm_cbe_bb6:
  llvm_cbe_tmp9 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp11 = *((&llvm_cbe_tmp9[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2AABB *, struct l_struct_2E_b2XForm *, struct l_struct_2E_b2XForm *))llvm_cbe_tmp11))(llvm_cbe_this, (&llvm_cbe_aabb), llvm_cbe_transform1, llvm_cbe_transform2);
  llvm_cbe_tmp17 = _ZNK12b2BroadPhase7InRangeERK6b2AABB(llvm_cbe_broadPhase, (&llvm_cbe_aabb));
  if ((llvm_cbe_tmp17 == ((unsigned char )0))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb20;
  }

llvm_cbe_bb20:
  llvm_cbe_tmp23 = *llvm_cbe_tmp2;
  llvm_cbe_tmp2324 = ((unsigned int )(unsigned short )llvm_cbe_tmp23);
  if (((((llvm_cbe_tmp23 == ((unsigned short )-1)) | (((signed int )llvm_cbe_tmp2324) > ((signed int )2047u)))&1))) {
    goto llvm_cbe_bb20_2e_i;
  } else {
    goto llvm_cbe_bb24_2e_i;
  }

llvm_cbe_bb20_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 404u, ((&_ZZN12b2BroadPhase9MoveProxyEiRK6b2AABBE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp26_2e_i = _ZNK6b2AABB7IsValidEv((&llvm_cbe_aabb));
  if ((llvm_cbe_tmp26_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb31_2e_i;
  } else {
    goto llvm_cbe_bb35_2e_i;
  }

llvm_cbe_bb31_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 410u, ((&_ZZN12b2BroadPhase9MoveProxyEiRK6b2AABBE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb35_2e_i:
  llvm_cbe_tmp38_2e_i = *((&llvm_cbe_broadPhase->field8));
  llvm_cbe_tmp39_2e_i = llvm_cbe_tmp38_2e_i << 1u;
  llvm_cbe_tmp4344_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp23);
  _ZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABB(llvm_cbe_broadPhase, ((&llvm_cbe_newValues_2e_i.field0[((signed long long )0ull)])), ((&llvm_cbe_newValues_2e_i.field1[((signed long long )0ull)])), (&llvm_cbe_aabb));
  llvm_cbe_axis13_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb52_2e_i;

  do {     /* Syntactic loop 'bb52.i' to make GCC happy */
llvm_cbe_bb52_2e_i:
  llvm_cbe_axis13_2e_i_2e_0 = llvm_cbe_axis13_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp5558_2e_i = ((signed long long )(signed int )llvm_cbe_axis13_2e_i_2e_0);
  llvm_cbe_tmp60_2e_i = *((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp4344_2e_i)].field0[((signed long long )llvm_cbe_tmp5558_2e_i)]));
  llvm_cbe_tmp69_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp5558_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp60_2e_i)))].field0));
  *((&llvm_cbe_oldValues_2e_i.field0[((signed long long )llvm_cbe_tmp5558_2e_i)])) = llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp80_2e_i = *((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp4344_2e_i)].field1[((signed long long )llvm_cbe_tmp5558_2e_i)]));
  llvm_cbe_tmp89_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp5558_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp80_2e_i)))].field0));
  *((&llvm_cbe_oldValues_2e_i.field1[((signed long long )llvm_cbe_tmp5558_2e_i)])) = llvm_cbe_tmp89_2e_i;
  llvm_cbe_tmp94_2e_i = llvm_cbe_axis13_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp94_2e_i) < ((signed int )2u))) {
    llvm_cbe_axis13_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp94_2e_i;   /* for PHI node */
    goto llvm_cbe_bb52_2e_i;
  } else {
    goto llvm_cbe_bb629_2e_i_2e_thread;
  }

  } while (1); /* end of syntactic loop 'bb52.i' */
llvm_cbe_bb629_2e_i_2e_thread:
  llvm_cbe_tmp208_2e_i = (&llvm_cbe_broadPhase->field0);
  llvm_cbe_tmp379_2e_i = llvm_cbe_tmp39_2e_i + 4294967295u;
  llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb101_2e_i;

  do {     /* Syntactic loop 'bb101.i' to make GCC happy */
llvm_cbe_bb101_2e_i:
  llvm_cbe_axis_2e_i_2e_0 = llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp102105_2e_i = ((signed long long )(signed int )llvm_cbe_axis_2e_i_2e_0);
  llvm_cbe_tmp112_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp4344_2e_i)].field0[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp113_2e_i = *llvm_cbe_tmp112_2e_i;
  llvm_cbe_tmp113114_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp113_2e_i);
  llvm_cbe_tmp119_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp4344_2e_i)].field1[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp120_2e_i = *llvm_cbe_tmp119_2e_i;
  llvm_cbe_tmp120121_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp120_2e_i);
  llvm_cbe_tmp126_2e_i = *((&llvm_cbe_newValues_2e_i.field0[((signed long long )llvm_cbe_tmp102105_2e_i)]));
  llvm_cbe_tmp131_2e_i = *((&llvm_cbe_newValues_2e_i.field1[((signed long long )llvm_cbe_tmp102105_2e_i)]));
  llvm_cbe_tmp138_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp113_2e_i)))].field0);
  llvm_cbe_tmp139_2e_i = *llvm_cbe_tmp138_2e_i;
  llvm_cbe_tmp141_2e_i = (((unsigned int )(unsigned short )llvm_cbe_tmp126_2e_i)) - (((unsigned int )(unsigned short )llvm_cbe_tmp139_2e_i));
  llvm_cbe_tmp148_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp120_2e_i)))].field0);
  llvm_cbe_tmp149_2e_i = *llvm_cbe_tmp148_2e_i;
  llvm_cbe_tmp151_2e_i = (((unsigned int )(unsigned short )llvm_cbe_tmp131_2e_i)) - (((unsigned int )(unsigned short )llvm_cbe_tmp149_2e_i));
  *llvm_cbe_tmp138_2e_i = llvm_cbe_tmp126_2e_i;
  *llvm_cbe_tmp148_2e_i = llvm_cbe_tmp131_2e_i;
  if ((((signed int )llvm_cbe_tmp141_2e_i) < ((signed int )0u))) {
    llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp113114_2e_i;   /* for PHI node */
    goto llvm_cbe_bb263_2e_i;
  } else {
    goto llvm_cbe_bb280_2e_i;
  }

llvm_cbe_bb626_2e_i:
  llvm_cbe_tmp628_2e_i = llvm_cbe_axis_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp628_2e_i) < ((signed int )2u))) {
    llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp628_2e_i;   /* for PHI node */
    goto llvm_cbe_bb101_2e_i;
  } else {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb512_2e_i:
  if ((((signed int )llvm_cbe_tmp151_2e_i) < ((signed int )0u))) {
    llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY = llvm_cbe_tmp120121_2e_i;   /* for PHI node */
    goto llvm_cbe_bb609_2e_i;
  } else {
    goto llvm_cbe_bb626_2e_i;
  }

llvm_cbe_bb396_2e_i:
  if ((((signed int )llvm_cbe_tmp141_2e_i) > ((signed int )0u))) {
    llvm_cbe_storemerge5_2e_i__PHI_TEMPORARY = llvm_cbe_tmp113114_2e_i;   /* for PHI node */
    goto llvm_cbe_bb493_2e_i;
  } else {
    goto llvm_cbe_bb512_2e_i;
  }

llvm_cbe_bb280_2e_i:
  if ((((signed int )llvm_cbe_tmp151_2e_i) > ((signed int )0u))) {
    llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp120121_2e_i;   /* for PHI node */
    goto llvm_cbe_bb377_2e_i;
  } else {
    goto llvm_cbe_bb396_2e_i;
  }

  do {     /* Syntactic loop 'bb263.i' to make GCC happy */
llvm_cbe_bb263_2e_i:
  llvm_cbe_storemerge1_2e_i = llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )1u))) {
    goto llvm_cbe_bb280_2e_i;
  } else {
    goto llvm_cbe_bb268_2e_i;
  }

llvm_cbe_bb247_2e_i:
  llvm_cbe_tmp253_2e_i = *llvm_cbe_tmp112_2e_i;
  *llvm_cbe_tmp112_2e_i = (((unsigned short )(llvm_cbe_tmp253_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp3_2e_i17_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp172173_2e_i)].field0);
  llvm_cbe_tmp4_2e_i18_2e_i = *llvm_cbe_tmp3_2e_i17_2e_i;
  llvm_cbe_tmp6_2e_i20_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp172173_2e_i)].field1);
  llvm_cbe_tmp7_2e_i21_2e_i = *llvm_cbe_tmp6_2e_i20_2e_i;
  llvm_cbe_tmp9_2e_i23_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp172173_2e_i)].field2);
  llvm_cbe_tmp10_2e_i24_2e_i = *llvm_cbe_tmp9_2e_i23_2e_i;
  llvm_cbe_tmp15_2e_i29_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  *llvm_cbe_tmp3_2e_i17_2e_i = llvm_cbe_tmp15_2e_i29_2e_i;
  llvm_cbe_tmp18_2e_i32_2e_i = *llvm_cbe_tmp185_2e_i;
  *llvm_cbe_tmp6_2e_i20_2e_i = llvm_cbe_tmp18_2e_i32_2e_i;
  llvm_cbe_tmp21_2e_i35_2e_i = *llvm_cbe_tmp191_2e_i;
  *llvm_cbe_tmp9_2e_i23_2e_i = llvm_cbe_tmp21_2e_i35_2e_i;
  *llvm_cbe_tmp2_2e_i_2e_i = llvm_cbe_tmp4_2e_i18_2e_i;
  *llvm_cbe_tmp185_2e_i = llvm_cbe_tmp7_2e_i21_2e_i;
  *llvm_cbe_tmp191_2e_i = llvm_cbe_tmp10_2e_i24_2e_i;
  llvm_cbe_storemerge1_2e_i__PHI_TEMPORARY = llvm_cbe_tmp270_2e_i;   /* for PHI node */
  goto llvm_cbe_bb263_2e_i;

llvm_cbe_bb211_2e_i:
  llvm_cbe_tmp216_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp186187188_2e_i)].field1[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp217_2e_i = *llvm_cbe_tmp216_2e_i;
  *llvm_cbe_tmp216_2e_i = (((unsigned short )(llvm_cbe_tmp217_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp224_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp172173_2e_i)].field2);
  llvm_cbe_tmp225_2e_i = *llvm_cbe_tmp224_2e_i;
  *llvm_cbe_tmp224_2e_i = (((unsigned short )(llvm_cbe_tmp225_2e_i + ((unsigned short )1))));
  goto llvm_cbe_bb247_2e_i;

llvm_cbe_bb200_2e_i:
  llvm_cbe_tmp203_2e_i = _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(llvm_cbe_broadPhase, (&llvm_cbe_newValues_2e_i), ((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp186187188_2e_i)])));
  if ((llvm_cbe_tmp203_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb211_2e_i;
  } else {
    goto llvm_cbe_bb206_2e_i;
  }

llvm_cbe_bb170_2e_i:
  llvm_cbe_tmp172173_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i);
  llvm_cbe_tmp174_2e_sum_2e_i = llvm_cbe_tmp172173_2e_i + 18446744073709551615ull;
  llvm_cbe_tmp179_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp174_2e_sum_2e_i)].field1));
  llvm_cbe_tmp179180_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp179_2e_i);
  llvm_cbe_tmp185_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp174_2e_sum_2e_i)].field1);
  llvm_cbe_tmp186_2e_i = *llvm_cbe_tmp185_2e_i;
  llvm_cbe_tmp186187188_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp186_2e_i);
  llvm_cbe_tmp191_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp174_2e_sum_2e_i)].field2);
  llvm_cbe_tmp192_2e_i = *llvm_cbe_tmp191_2e_i;
  *llvm_cbe_tmp191_2e_i = (((unsigned short )(llvm_cbe_tmp192_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp174_2e_sum_2e_i)].field0);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb229_2e_i;
  } else {
    goto llvm_cbe_bb200_2e_i;
  }

llvm_cbe_bb268_2e_i:
  llvm_cbe_tmp270_2e_i = llvm_cbe_storemerge1_2e_i + 4294967295u;
  llvm_cbe_tmp275_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp270_2e_i)))].field0));
  if ((((unsigned short )llvm_cbe_tmp275_2e_i) > ((unsigned short )llvm_cbe_tmp126_2e_i))) {
    goto llvm_cbe_bb170_2e_i;
  } else {
    goto llvm_cbe_bb280_2e_i;
  }

llvm_cbe_bb206_2e_i:
  _ZN13b2PairManager15AddBufferedPairEii(llvm_cbe_tmp208_2e_i, llvm_cbe_tmp2324, llvm_cbe_tmp179180_2e_i);
  goto llvm_cbe_bb211_2e_i;

llvm_cbe_bb229_2e_i:
  llvm_cbe_tmp234_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp186187188_2e_i)].field0[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp235_2e_i = *llvm_cbe_tmp234_2e_i;
  *llvm_cbe_tmp234_2e_i = (((unsigned short )(llvm_cbe_tmp235_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp242_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp172173_2e_i)].field2);
  llvm_cbe_tmp243_2e_i = *llvm_cbe_tmp242_2e_i;
  *llvm_cbe_tmp242_2e_i = (((unsigned short )(llvm_cbe_tmp243_2e_i + ((unsigned short )-1))));
  goto llvm_cbe_bb247_2e_i;

  } while (1); /* end of syntactic loop 'bb263.i' */
  do {     /* Syntactic loop 'bb377.i' to make GCC happy */
llvm_cbe_bb377_2e_i:
  llvm_cbe_storemerge3_2e_i = llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp379_2e_i) > ((signed int )llvm_cbe_storemerge3_2e_i))) {
    goto llvm_cbe_bb384_2e_i;
  } else {
    goto llvm_cbe_bb396_2e_i;
  }

llvm_cbe_bb361_2e_i:
  llvm_cbe_tmp367_2e_i = *llvm_cbe_tmp119_2e_i;
  *llvm_cbe_tmp119_2e_i = (((unsigned short )(llvm_cbe_tmp367_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp3_2e_i101_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp289290_2e_i)].field0);
  llvm_cbe_tmp4_2e_i102_2e_i = *llvm_cbe_tmp3_2e_i101_2e_i;
  llvm_cbe_tmp6_2e_i104_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp289290_2e_i)].field1);
  llvm_cbe_tmp7_2e_i105_2e_i = *llvm_cbe_tmp6_2e_i104_2e_i;
  llvm_cbe_tmp9_2e_i107_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp289290_2e_i)].field2);
  llvm_cbe_tmp10_2e_i108_2e_i = *llvm_cbe_tmp9_2e_i107_2e_i;
  llvm_cbe_tmp15_2e_i113_2e_i = *llvm_cbe_tmp2_2e_i47_2e_i;
  *llvm_cbe_tmp3_2e_i101_2e_i = llvm_cbe_tmp15_2e_i113_2e_i;
  llvm_cbe_tmp17_2e_i115_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp291_2e_sum_2e_i)].field1);
  llvm_cbe_tmp18_2e_i116_2e_i = *llvm_cbe_tmp17_2e_i115_2e_i;
  *llvm_cbe_tmp6_2e_i104_2e_i = llvm_cbe_tmp18_2e_i116_2e_i;
  llvm_cbe_tmp21_2e_i119_2e_i = *llvm_cbe_tmp305_2e_i;
  *llvm_cbe_tmp9_2e_i107_2e_i = llvm_cbe_tmp21_2e_i119_2e_i;
  *llvm_cbe_tmp2_2e_i47_2e_i = llvm_cbe_tmp4_2e_i102_2e_i;
  *llvm_cbe_tmp17_2e_i115_2e_i = llvm_cbe_tmp7_2e_i105_2e_i;
  *llvm_cbe_tmp305_2e_i = llvm_cbe_tmp10_2e_i108_2e_i;
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp386_2e_i;   /* for PHI node */
  goto llvm_cbe_bb377_2e_i;

llvm_cbe_bb325_2e_i:
  llvm_cbe_tmp330_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp301302_2e_i)].field0[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp331_2e_i = *llvm_cbe_tmp330_2e_i;
  *llvm_cbe_tmp330_2e_i = (((unsigned short )(llvm_cbe_tmp331_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp338_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp289290_2e_i)].field2);
  llvm_cbe_tmp339_2e_i = *llvm_cbe_tmp338_2e_i;
  *llvm_cbe_tmp338_2e_i = (((unsigned short )(llvm_cbe_tmp339_2e_i + ((unsigned short )1))));
  goto llvm_cbe_bb361_2e_i;

llvm_cbe_bb314_2e_i:
  llvm_cbe_tmp317_2e_i = _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(llvm_cbe_broadPhase, (&llvm_cbe_newValues_2e_i), ((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp301302_2e_i)])));
  if ((llvm_cbe_tmp317_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb325_2e_i;
  } else {
    goto llvm_cbe_bb320_2e_i;
  }

llvm_cbe_bb287_2e_i:
  llvm_cbe_tmp289290_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge3_2e_i);
  llvm_cbe_tmp291_2e_sum_2e_i = llvm_cbe_tmp289290_2e_i + 1ull;
  llvm_cbe_tmp296_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp291_2e_sum_2e_i)].field1));
  llvm_cbe_tmp296297_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp296_2e_i);
  llvm_cbe_tmp301302_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp296_2e_i);
  llvm_cbe_tmp305_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp291_2e_sum_2e_i)].field2);
  llvm_cbe_tmp306_2e_i = *llvm_cbe_tmp305_2e_i;
  *llvm_cbe_tmp305_2e_i = (((unsigned short )(llvm_cbe_tmp306_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp2_2e_i47_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp291_2e_sum_2e_i)].field0);
  llvm_cbe_tmp3_2e_i48_2e_i = *llvm_cbe_tmp2_2e_i47_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i48_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb314_2e_i;
  } else {
    goto llvm_cbe_bb343_2e_i;
  }

llvm_cbe_bb384_2e_i:
  llvm_cbe_tmp386_2e_i = llvm_cbe_storemerge3_2e_i + 1u;
  llvm_cbe_tmp391_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp386_2e_i)))].field0));
  if ((((unsigned short )llvm_cbe_tmp391_2e_i) > ((unsigned short )llvm_cbe_tmp131_2e_i))) {
    goto llvm_cbe_bb396_2e_i;
  } else {
    goto llvm_cbe_bb287_2e_i;
  }

llvm_cbe_bb320_2e_i:
  _ZN13b2PairManager15AddBufferedPairEii(llvm_cbe_tmp208_2e_i, llvm_cbe_tmp2324, llvm_cbe_tmp296297_2e_i);
  goto llvm_cbe_bb325_2e_i;

llvm_cbe_bb343_2e_i:
  llvm_cbe_tmp348_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp301302_2e_i)].field1[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp349_2e_i = *llvm_cbe_tmp348_2e_i;
  *llvm_cbe_tmp348_2e_i = (((unsigned short )(llvm_cbe_tmp349_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp356_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp289290_2e_i)].field2);
  llvm_cbe_tmp357_2e_i = *llvm_cbe_tmp356_2e_i;
  *llvm_cbe_tmp356_2e_i = (((unsigned short )(llvm_cbe_tmp357_2e_i + ((unsigned short )-1))));
  goto llvm_cbe_bb361_2e_i;

  } while (1); /* end of syntactic loop 'bb377.i' */
  do {     /* Syntactic loop 'bb493.i' to make GCC happy */
llvm_cbe_bb493_2e_i:
  llvm_cbe_storemerge5_2e_i = llvm_cbe_storemerge5_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp379_2e_i) > ((signed int )llvm_cbe_storemerge5_2e_i))) {
    goto llvm_cbe_bb500_2e_i;
  } else {
    goto llvm_cbe_bb512_2e_i;
  }

llvm_cbe_bb477_2e_i:
  llvm_cbe_tmp483_2e_i = *llvm_cbe_tmp112_2e_i;
  *llvm_cbe_tmp112_2e_i = (((unsigned short )(llvm_cbe_tmp483_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp3_2e_i67_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp405406_2e_i)].field0);
  llvm_cbe_tmp4_2e_i68_2e_i = *llvm_cbe_tmp3_2e_i67_2e_i;
  llvm_cbe_tmp6_2e_i70_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp405406_2e_i)].field1);
  llvm_cbe_tmp7_2e_i71_2e_i = *llvm_cbe_tmp6_2e_i70_2e_i;
  llvm_cbe_tmp9_2e_i73_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp405406_2e_i)].field2);
  llvm_cbe_tmp10_2e_i74_2e_i = *llvm_cbe_tmp9_2e_i73_2e_i;
  llvm_cbe_tmp15_2e_i79_2e_i = *llvm_cbe_tmp2_2e_i131_2e_i;
  *llvm_cbe_tmp3_2e_i67_2e_i = llvm_cbe_tmp15_2e_i79_2e_i;
  llvm_cbe_tmp17_2e_i81_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp407_2e_sum_2e_i)].field1);
  llvm_cbe_tmp18_2e_i82_2e_i = *llvm_cbe_tmp17_2e_i81_2e_i;
  *llvm_cbe_tmp6_2e_i70_2e_i = llvm_cbe_tmp18_2e_i82_2e_i;
  llvm_cbe_tmp21_2e_i85_2e_i = *llvm_cbe_tmp421_2e_i;
  *llvm_cbe_tmp9_2e_i73_2e_i = llvm_cbe_tmp21_2e_i85_2e_i;
  *llvm_cbe_tmp2_2e_i131_2e_i = llvm_cbe_tmp4_2e_i68_2e_i;
  *llvm_cbe_tmp17_2e_i81_2e_i = llvm_cbe_tmp7_2e_i71_2e_i;
  *llvm_cbe_tmp421_2e_i = llvm_cbe_tmp10_2e_i74_2e_i;
  llvm_cbe_storemerge5_2e_i__PHI_TEMPORARY = llvm_cbe_tmp502_2e_i;   /* for PHI node */
  goto llvm_cbe_bb493_2e_i;

llvm_cbe_bb441_2e_i:
  llvm_cbe_tmp446_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp417418_2e_i)].field1[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp447_2e_i = *llvm_cbe_tmp446_2e_i;
  *llvm_cbe_tmp446_2e_i = (((unsigned short )(llvm_cbe_tmp447_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp454_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp405406_2e_i)].field2);
  llvm_cbe_tmp455_2e_i = *llvm_cbe_tmp454_2e_i;
  *llvm_cbe_tmp454_2e_i = (((unsigned short )(llvm_cbe_tmp455_2e_i + ((unsigned short )-1))));
  goto llvm_cbe_bb477_2e_i;

llvm_cbe_bb430_2e_i:
  llvm_cbe_tmp433_2e_i = _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(llvm_cbe_broadPhase, (&llvm_cbe_oldValues_2e_i), ((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp417418_2e_i)])));
  if ((llvm_cbe_tmp433_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb441_2e_i;
  } else {
    goto llvm_cbe_bb436_2e_i;
  }

llvm_cbe_bb403_2e_i:
  llvm_cbe_tmp405406_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge5_2e_i);
  llvm_cbe_tmp407_2e_sum_2e_i = llvm_cbe_tmp405406_2e_i + 1ull;
  llvm_cbe_tmp412_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp407_2e_sum_2e_i)].field1));
  llvm_cbe_tmp412413_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp412_2e_i);
  llvm_cbe_tmp417418_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp412_2e_i);
  llvm_cbe_tmp421_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp407_2e_sum_2e_i)].field2);
  llvm_cbe_tmp422_2e_i = *llvm_cbe_tmp421_2e_i;
  *llvm_cbe_tmp421_2e_i = (((unsigned short )(llvm_cbe_tmp422_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp2_2e_i131_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp407_2e_sum_2e_i)].field0);
  llvm_cbe_tmp3_2e_i132_2e_i = *llvm_cbe_tmp2_2e_i131_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i132_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb459_2e_i;
  } else {
    goto llvm_cbe_bb430_2e_i;
  }

llvm_cbe_bb500_2e_i:
  llvm_cbe_tmp502_2e_i = llvm_cbe_storemerge5_2e_i + 1u;
  llvm_cbe_tmp507_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp502_2e_i)))].field0));
  if ((((unsigned short )llvm_cbe_tmp507_2e_i) > ((unsigned short )llvm_cbe_tmp126_2e_i))) {
    goto llvm_cbe_bb512_2e_i;
  } else {
    goto llvm_cbe_bb403_2e_i;
  }

llvm_cbe_bb436_2e_i:
  _ZN13b2PairManager18RemoveBufferedPairEii(llvm_cbe_tmp208_2e_i, llvm_cbe_tmp2324, llvm_cbe_tmp412413_2e_i);
  goto llvm_cbe_bb441_2e_i;

llvm_cbe_bb459_2e_i:
  llvm_cbe_tmp464_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp417418_2e_i)].field0[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp465_2e_i = *llvm_cbe_tmp464_2e_i;
  *llvm_cbe_tmp464_2e_i = (((unsigned short )(llvm_cbe_tmp465_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp472_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp405406_2e_i)].field2);
  llvm_cbe_tmp473_2e_i = *llvm_cbe_tmp472_2e_i;
  *llvm_cbe_tmp472_2e_i = (((unsigned short )(llvm_cbe_tmp473_2e_i + ((unsigned short )1))));
  goto llvm_cbe_bb477_2e_i;

  } while (1); /* end of syntactic loop 'bb493.i' */
  do {     /* Syntactic loop 'bb609.i' to make GCC happy */
llvm_cbe_bb609_2e_i:
  llvm_cbe_storemerge7_2e_i = llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge7_2e_i) < ((signed int )1u))) {
    goto llvm_cbe_bb626_2e_i;
  } else {
    goto llvm_cbe_bb614_2e_i;
  }

llvm_cbe_bb593_2e_i:
  llvm_cbe_tmp599_2e_i = *llvm_cbe_tmp119_2e_i;
  *llvm_cbe_tmp119_2e_i = (((unsigned short )(llvm_cbe_tmp599_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp3_2e_i11_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp521522_2e_i)].field0);
  llvm_cbe_tmp4_2e_i_2e_i = *llvm_cbe_tmp3_2e_i11_2e_i;
  llvm_cbe_tmp6_2e_i_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp521522_2e_i)].field1);
  llvm_cbe_tmp7_2e_i_2e_i = *llvm_cbe_tmp6_2e_i_2e_i;
  llvm_cbe_tmp9_2e_i_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp521522_2e_i)].field2);
  llvm_cbe_tmp10_2e_i_2e_i = *llvm_cbe_tmp9_2e_i_2e_i;
  llvm_cbe_tmp15_2e_i_2e_i = *llvm_cbe_tmp2_2e_i55_2e_i;
  *llvm_cbe_tmp3_2e_i11_2e_i = llvm_cbe_tmp15_2e_i_2e_i;
  llvm_cbe_tmp17_2e_i_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp523_2e_sum_2e_i)].field1);
  llvm_cbe_tmp18_2e_i_2e_i = *llvm_cbe_tmp17_2e_i_2e_i;
  *llvm_cbe_tmp6_2e_i_2e_i = llvm_cbe_tmp18_2e_i_2e_i;
  llvm_cbe_tmp21_2e_i_2e_i = *llvm_cbe_tmp537_2e_i;
  *llvm_cbe_tmp9_2e_i_2e_i = llvm_cbe_tmp21_2e_i_2e_i;
  *llvm_cbe_tmp2_2e_i55_2e_i = llvm_cbe_tmp4_2e_i_2e_i;
  *llvm_cbe_tmp17_2e_i_2e_i = llvm_cbe_tmp7_2e_i_2e_i;
  *llvm_cbe_tmp537_2e_i = llvm_cbe_tmp10_2e_i_2e_i;
  llvm_cbe_storemerge7_2e_i__PHI_TEMPORARY = llvm_cbe_tmp616_2e_i;   /* for PHI node */
  goto llvm_cbe_bb609_2e_i;

llvm_cbe_bb557_2e_i:
  llvm_cbe_tmp562_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp533534_2e_i)].field0[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp563_2e_i = *llvm_cbe_tmp562_2e_i;
  *llvm_cbe_tmp562_2e_i = (((unsigned short )(llvm_cbe_tmp563_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp570_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp521522_2e_i)].field2);
  llvm_cbe_tmp571_2e_i = *llvm_cbe_tmp570_2e_i;
  *llvm_cbe_tmp570_2e_i = (((unsigned short )(llvm_cbe_tmp571_2e_i + ((unsigned short )-1))));
  goto llvm_cbe_bb593_2e_i;

llvm_cbe_bb546_2e_i:
  llvm_cbe_tmp549_2e_i = _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(llvm_cbe_broadPhase, (&llvm_cbe_oldValues_2e_i), ((&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp533534_2e_i)])));
  if ((llvm_cbe_tmp549_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb557_2e_i;
  } else {
    goto llvm_cbe_bb552_2e_i;
  }

llvm_cbe_bb519_2e_i:
  llvm_cbe_tmp521522_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge7_2e_i);
  llvm_cbe_tmp523_2e_sum_2e_i = llvm_cbe_tmp521522_2e_i + 18446744073709551615ull;
  llvm_cbe_tmp528_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp523_2e_sum_2e_i)].field1));
  llvm_cbe_tmp528529_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp528_2e_i);
  llvm_cbe_tmp533534_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp528_2e_i);
  llvm_cbe_tmp537_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp523_2e_sum_2e_i)].field2);
  llvm_cbe_tmp538_2e_i = *llvm_cbe_tmp537_2e_i;
  *llvm_cbe_tmp537_2e_i = (((unsigned short )(llvm_cbe_tmp538_2e_i + ((unsigned short )-1))));
  llvm_cbe_tmp2_2e_i55_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp523_2e_sum_2e_i)].field0);
  llvm_cbe_tmp3_2e_i56_2e_i = *llvm_cbe_tmp2_2e_i55_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i56_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb546_2e_i;
  } else {
    goto llvm_cbe_bb575_2e_i;
  }

llvm_cbe_bb614_2e_i:
  llvm_cbe_tmp616_2e_i = llvm_cbe_storemerge7_2e_i + 4294967295u;
  llvm_cbe_tmp621_2e_i = *((&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp616_2e_i)))].field0));
  if ((((unsigned short )llvm_cbe_tmp621_2e_i) > ((unsigned short )llvm_cbe_tmp131_2e_i))) {
    goto llvm_cbe_bb519_2e_i;
  } else {
    goto llvm_cbe_bb626_2e_i;
  }

llvm_cbe_bb552_2e_i:
  _ZN13b2PairManager18RemoveBufferedPairEii(llvm_cbe_tmp208_2e_i, llvm_cbe_tmp2324, llvm_cbe_tmp528529_2e_i);
  goto llvm_cbe_bb557_2e_i;

llvm_cbe_bb575_2e_i:
  llvm_cbe_tmp580_2e_i = (&llvm_cbe_broadPhase->field1[((signed long long )llvm_cbe_tmp533534_2e_i)].field1[((signed long long )llvm_cbe_tmp102105_2e_i)]);
  llvm_cbe_tmp581_2e_i = *llvm_cbe_tmp580_2e_i;
  *llvm_cbe_tmp580_2e_i = (((unsigned short )(llvm_cbe_tmp581_2e_i + ((unsigned short )1))));
  llvm_cbe_tmp588_2e_i = (&llvm_cbe_broadPhase->field3[((signed long long )llvm_cbe_tmp102105_2e_i)][((signed long long )llvm_cbe_tmp521522_2e_i)].field2);
  llvm_cbe_tmp589_2e_i = *llvm_cbe_tmp588_2e_i;
  *llvm_cbe_tmp588_2e_i = (((unsigned short )(llvm_cbe_tmp589_2e_i + ((unsigned short )1))));
  goto llvm_cbe_bb593_2e_i;

  } while (1); /* end of syntactic loop 'bb609.i' */
  } while (1); /* end of syntactic loop 'bb101.i' */
llvm_cbe_return:
  llvm_cbe_tmp_2e_0 = llvm_cbe_tmp_2e_0__PHI_TEMPORARY;
  return llvm_cbe_tmp_2e_0;
}


static void _ZN9b2ContactD1Ev(struct l_struct_2E_b2Contact *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  return;
}


static void _ZN9b2ContactD0Ev(struct l_struct_2E_b2Contact *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static struct l_struct_2E_b2Manifold *_ZN13b2NullContact12GetManifoldsEv(struct l_struct_2E_b2NullContact *llvm_cbe_this) {
  return ((struct l_struct_2E_b2Manifold *)/*NULL*/0);
}


static void _ZN13b2NullContactD1Ev(struct l_struct_2E_b2NullContact *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  return;
}


static void _ZN13b2NullContactD0Ev(struct l_struct_2E_b2NullContact *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN13b2NullContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2NullContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_unnamed_arg) {
  return;
}


static void _ZN14b2PairCallbackD1Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  return;
}


static void _ZN14b2PairCallbackD0Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2Colorb(struct l_struct_2E_b2World *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_shape, struct l_struct_2E_b2XForm *llvm_cbe_xf, struct l_struct_2E_b2Color *llvm_cbe_color, unsigned char llvm_cbe_core) {
  struct l_struct_2E_b2Vec2 llvm_cbe_vertices[8];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_axis;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_center;    /* Address-exposed local */
  struct l_struct_2E_b2Color llvm_cbe_coreColor;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp3_2e_i20;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp1112;
  unsigned long long llvm_cbe_tmp16;
  llvmBitCastUnion llvm_cbe_tmp2040__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2344__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i28;
  float llvm_cbe_tmp31;
  float llvm_cbe_tmp34;
  struct l_struct_2E_b2DebugDraw **llvm_cbe_tmp45;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp46;
  unsigned int  (**llvm_cbe_tmp48) ();
  unsigned int  (*llvm_cbe_tmp50) ();
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp64;
  unsigned int  (**llvm_cbe_tmp66) ();
  unsigned int  (*llvm_cbe_tmp68) ();
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp7778;
  unsigned int llvm_cbe_tmp3_2e_i32;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp92;
  unsigned long long llvm_cbe_tmp3_2e_0;
  unsigned long long llvm_cbe_tmp3_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp99;
  unsigned long long llvm_cbe_tmp110111;
  unsigned long long llvm_cbe_tmp114;
  llvmBitCastUnion llvm_cbe_tmp12047__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp12351__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp125;
  unsigned int llvm_cbe_storemerge2;
  unsigned int llvm_cbe_storemerge2__PHI_TEMPORARY;
  struct l_struct_2E_b2DebugDraw **llvm_cbe_tmp137;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp138;
  unsigned int  (**llvm_cbe_tmp140) ();
  unsigned int  (*llvm_cbe_tmp142) ();
  unsigned long long llvm_cbe_tmp158159;
  unsigned long long llvm_cbe_tmp162;
  llvmBitCastUnion llvm_cbe_tmp16854__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp17158__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp173;
  unsigned int llvm_cbe_storemerge14;
  unsigned int llvm_cbe_storemerge14__PHI_TEMPORARY;
  struct l_struct_2E_b2DebugDraw *llvm_cbe_tmp186;
  unsigned int  (**llvm_cbe_tmp188) ();
  unsigned int  (*llvm_cbe_tmp190) ();

  *((&llvm_cbe_coreColor.field0)) = 0x1.ccccccp-1;
  *((&llvm_cbe_coreColor.field1)) = 0x1.333334p-1;
  *((&llvm_cbe_coreColor.field2)) = 0x1.333334p-1;
  llvm_cbe_tmp3_2e_i20 = *((&llvm_cbe_shape->field1));
  switch (llvm_cbe_tmp3_2e_i20) {
  default:
    goto llvm_cbe_return;
;
  case 0u:
    goto llvm_cbe_bb;
    break;
  case 1u:
    goto llvm_cbe_bb76;
  }
llvm_cbe_bb:
  llvm_cbe_tmp1112 = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_shape);
  llvm_cbe_tmp16 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf, ((&llvm_cbe_tmp1112->field1)));
  *((&llvm_cbe_center.field0)) = ((llvm_cbe_tmp2040__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp16)), llvm_cbe_tmp2040__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_center.field1)) = ((llvm_cbe_tmp2344__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp16) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2344__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i28 = *((&llvm_cbe_tmp1112->field2));
  llvm_cbe_tmp31 = *((&llvm_cbe_xf->field1.field0.field0));
  llvm_cbe_tmp34 = *((&llvm_cbe_xf->field1.field0.field1));
  *((&llvm_cbe_axis.field0)) = llvm_cbe_tmp31;
  *((&llvm_cbe_axis.field1)) = llvm_cbe_tmp34;
  llvm_cbe_tmp45 = (&llvm_cbe_this->field18);
  llvm_cbe_tmp46 = *llvm_cbe_tmp45;
  llvm_cbe_tmp48 = *((&llvm_cbe_tmp46->field0));
  llvm_cbe_tmp50 = *((&llvm_cbe_tmp48[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, float , struct l_struct_2E_b2Vec2 *, struct l_struct_2E_b2Color *))llvm_cbe_tmp50))(llvm_cbe_tmp46, (&llvm_cbe_center), llvm_cbe_tmp3_2e_i28, (&llvm_cbe_axis), llvm_cbe_color);
  if ((llvm_cbe_core == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb58;
  }

llvm_cbe_bb58:
  llvm_cbe_tmp64 = *llvm_cbe_tmp45;
  llvm_cbe_tmp66 = *((&llvm_cbe_tmp64->field0));
  llvm_cbe_tmp68 = *((&llvm_cbe_tmp66[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, float , struct l_struct_2E_b2Color *))llvm_cbe_tmp68))(llvm_cbe_tmp64, (&llvm_cbe_center), (((float )(llvm_cbe_tmp3_2e_i28 - 0x1.47ae14p-5))), (&llvm_cbe_coreColor));
  return;
llvm_cbe_bb76:
  llvm_cbe_tmp7778 = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_shape);
  llvm_cbe_tmp3_2e_i32 = *((&llvm_cbe_tmp7778->field6));
  if ((((signed int )llvm_cbe_tmp3_2e_i32) > ((signed int )8u))) {
    goto llvm_cbe_bb87;
  } else {
    goto llvm_cbe_bb91;
  }

llvm_cbe_bb87:
  __assert_fail(((&_2E_str153[((signed long long )0ull)])), ((&_2E_str1154[((signed long long )0ull)])), 820u, ((&_ZZN7b2World9DrawShapeEP7b2ShapeRK7b2XFormRK7b2ColorbE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb91:
  llvm_cbe_tmp92 = (&llvm_cbe_vertices[((signed long long )0ull)]);
  llvm_cbe_tmp3_2e_0__PHI_TEMPORARY = 7ull;   /* for PHI node */
  goto llvm_cbe_bb94;

  do {     /* Syntactic loop 'bb94' to make GCC happy */
llvm_cbe_bb94:
  llvm_cbe_tmp3_2e_0 = llvm_cbe_tmp3_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp99 = llvm_cbe_tmp3_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp99 == 18446744073709551615ull)) {
    llvm_cbe_storemerge2__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb126;
  } else {
    llvm_cbe_tmp3_2e_0__PHI_TEMPORARY = llvm_cbe_tmp99;   /* for PHI node */
    goto llvm_cbe_bb94;
  }

  } while (1); /* end of syntactic loop 'bb94' */
  do {     /* Syntactic loop 'bb126' to make GCC happy */
llvm_cbe_bb126:
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge2) < ((signed int )llvm_cbe_tmp3_2e_i32))) {
    goto llvm_cbe_bb107;
  } else {
    goto llvm_cbe_bb132;
  }

llvm_cbe_bb107:
  llvm_cbe_tmp110111 = ((signed long long )(signed int )llvm_cbe_storemerge2);
  llvm_cbe_tmp114 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf, ((&llvm_cbe_tmp7778->field3[((signed long long )llvm_cbe_tmp110111)])));
  *((&llvm_cbe_vertices[((signed long long )llvm_cbe_tmp110111)].field0)) = ((llvm_cbe_tmp12047__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp114)), llvm_cbe_tmp12047__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_vertices[((signed long long )llvm_cbe_tmp110111)].field1)) = ((llvm_cbe_tmp12351__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp114) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp12351__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp125 = llvm_cbe_storemerge2 + 1u;
  llvm_cbe_storemerge2__PHI_TEMPORARY = llvm_cbe_tmp125;   /* for PHI node */
  goto llvm_cbe_bb126;

  } while (1); /* end of syntactic loop 'bb126' */
llvm_cbe_bb132:
  llvm_cbe_tmp137 = (&llvm_cbe_this->field18);
  llvm_cbe_tmp138 = *llvm_cbe_tmp137;
  llvm_cbe_tmp140 = *((&llvm_cbe_tmp138->field0));
  llvm_cbe_tmp142 = *((&llvm_cbe_tmp140[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, unsigned int , struct l_struct_2E_b2Color *))llvm_cbe_tmp142))(llvm_cbe_tmp138, llvm_cbe_tmp92, llvm_cbe_tmp3_2e_i32, llvm_cbe_color);
  if ((llvm_cbe_core == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    llvm_cbe_storemerge14__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb174;
  }

  do {     /* Syntactic loop 'bb174' to make GCC happy */
llvm_cbe_bb174:
  llvm_cbe_storemerge14 = llvm_cbe_storemerge14__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge14) < ((signed int )llvm_cbe_tmp3_2e_i32))) {
    goto llvm_cbe_bb155;
  } else {
    goto llvm_cbe_bb180;
  }

llvm_cbe_bb155:
  llvm_cbe_tmp158159 = ((signed long long )(signed int )llvm_cbe_storemerge14);
  llvm_cbe_tmp162 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf, ((&llvm_cbe_tmp7778->field5[((signed long long )llvm_cbe_tmp158159)])));
  *((&llvm_cbe_vertices[((signed long long )llvm_cbe_tmp158159)].field0)) = ((llvm_cbe_tmp16854__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp162)), llvm_cbe_tmp16854__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_vertices[((signed long long )llvm_cbe_tmp158159)].field1)) = ((llvm_cbe_tmp17158__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp162) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp17158__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp173 = llvm_cbe_storemerge14 + 1u;
  llvm_cbe_storemerge14__PHI_TEMPORARY = llvm_cbe_tmp173;   /* for PHI node */
  goto llvm_cbe_bb174;

  } while (1); /* end of syntactic loop 'bb174' */
llvm_cbe_bb180:
  llvm_cbe_tmp186 = *llvm_cbe_tmp137;
  llvm_cbe_tmp188 = *((&llvm_cbe_tmp186->field0));
  llvm_cbe_tmp190 = *((&llvm_cbe_tmp188[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_b2DebugDraw *, struct l_struct_2E_b2Vec2 *, unsigned int , struct l_struct_2E_b2Color *))llvm_cbe_tmp190))(llvm_cbe_tmp186, llvm_cbe_tmp92, llvm_cbe_tmp3_2e_i32, (&llvm_cbe_coreColor));
  return;
llvm_cbe_return:
  return;
}


static unsigned char *_ZN16b2StackAllocator8AllocateEi(struct l_struct_2E_b2StackAllocator *llvm_cbe_this, unsigned int llvm_cbe_size) {
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned long long llvm_cbe_tmp1617;
  unsigned int *llvm_cbe_tmp23;
  unsigned int llvm_cbe_tmp24;
  unsigned int llvm_cbe_tmp26;
  unsigned int llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i;
  unsigned int *llvm_cbe_tmp60;
  unsigned int llvm_cbe_tmp61;
  unsigned int llvm_cbe_tmp63;
  unsigned int *llvm_cbe_tmp70;
  unsigned int llvm_cbe_tmp71;
  unsigned int llvm_cbe_tmp77;
  unsigned char *llvm_cbe_tmp83;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  if ((((signed int )llvm_cbe_tmp4) > ((signed int )31u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb10;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str5189[((signed long long )0ull)])), ((&_2E_str1185[((signed long long )0ull)])), 38u, ((&_ZZN16b2StackAllocator8AllocateEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb10:
  llvm_cbe_tmp1617 = ((signed long long )(signed int )llvm_cbe_tmp4);
  *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field1)) = llvm_cbe_size;
  llvm_cbe_tmp23 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp24 = *llvm_cbe_tmp23;
  llvm_cbe_tmp26 = llvm_cbe_tmp24 + llvm_cbe_size;
  if ((((signed int )llvm_cbe_tmp26) > ((signed int )102400u))) {
    goto llvm_cbe_bb30;
  } else {
    goto llvm_cbe_bb37;
  }

llvm_cbe_bb30:
  llvm_cbe_tmp2_2e_i = llvm_cbe_size + 4u;
  llvm_cbe_tmp3_2e_i = *(&b2_byteCount);
  *(&b2_byteCount) = (llvm_cbe_tmp3_2e_i + llvm_cbe_tmp2_2e_i);
  llvm_cbe_tmp8_2e_i = malloc((((signed long long )(signed int )llvm_cbe_tmp2_2e_i)));
  *(((unsigned int *)llvm_cbe_tmp8_2e_i)) = llvm_cbe_tmp2_2e_i;
  *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field0)) = ((&llvm_cbe_tmp8_2e_i[((signed long long )4ull)]));
  *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field2)) = ((unsigned char )1);
  goto llvm_cbe_bb58;

llvm_cbe_bb37:
  *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field0)) = ((&llvm_cbe_this->field0[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp24)))]));
  *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field2)) = ((unsigned char )0);
  *llvm_cbe_tmp23 = llvm_cbe_tmp26;
  goto llvm_cbe_bb58;

llvm_cbe_bb58:
  llvm_cbe_tmp60 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp61 = *llvm_cbe_tmp60;
  llvm_cbe_tmp63 = llvm_cbe_tmp61 + llvm_cbe_size;
  *llvm_cbe_tmp60 = llvm_cbe_tmp63;
  llvm_cbe_tmp70 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp71 = *llvm_cbe_tmp70;
  *llvm_cbe_tmp70 = ((((((signed int )llvm_cbe_tmp71) > ((signed int )llvm_cbe_tmp63))) ? (llvm_cbe_tmp71) : (llvm_cbe_tmp63)));
  llvm_cbe_tmp77 = *llvm_cbe_tmp3;
  *llvm_cbe_tmp3 = (llvm_cbe_tmp77 + 1u);
  llvm_cbe_tmp83 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp1617)].field0));
  return llvm_cbe_tmp83;
}


static void _ZN16b2StackAllocator4FreeEPv(struct l_struct_2E_b2StackAllocator *llvm_cbe_this, unsigned char *llvm_cbe_p) {
  unsigned int *llvm_cbe_tmp2;
  unsigned int llvm_cbe_tmp3;
  unsigned long long llvm_cbe_tmp17_2e_sum;
  unsigned char *llvm_cbe_tmp21;
  unsigned char llvm_cbe_tmp33;
  unsigned char *llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i;
  unsigned int *llvm_cbe_tmp39;
  unsigned int llvm_cbe_tmp40;
  unsigned int llvm_cbe_tmp43;
  unsigned int *llvm_cbe_tmp50;
  unsigned int llvm_cbe_tmp51;
  unsigned int llvm_cbe_tmp54;
  unsigned int llvm_cbe_tmp60;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  if ((((signed int )llvm_cbe_tmp3) < ((signed int )1u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb9;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str3187[((signed long long )0ull)])), ((&_2E_str1185[((signed long long )0ull)])), 63u, ((&_ZZN16b2StackAllocator4FreeEPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb9:
  llvm_cbe_tmp17_2e_sum = (((signed long long )(signed int )llvm_cbe_tmp3)) + 18446744073709551615ull;
  llvm_cbe_tmp21 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp17_2e_sum)].field0));
  if ((llvm_cbe_tmp21 == llvm_cbe_p)) {
    goto llvm_cbe_bb30;
  } else {
    goto llvm_cbe_bb26;
  }

llvm_cbe_bb26:
  __assert_fail(((&_2E_str4188[((signed long long )0ull)])), ((&_2E_str1185[((signed long long )0ull)])), 65u, ((&_ZZN16b2StackAllocator4FreeEPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb30:
  llvm_cbe_tmp33 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp17_2e_sum)].field2));
  if ((llvm_cbe_tmp33 == ((unsigned char )0))) {
    goto llvm_cbe_bb37;
  } else {
    goto llvm_cbe_bb35;
  }

llvm_cbe_bb35:
  if ((llvm_cbe_p == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_bb48;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_p[((signed long long )18446744073709551612ull)]);
  llvm_cbe_tmp8_2e_i = *(((unsigned int *)llvm_cbe_tmp5_2e_i));
  llvm_cbe_tmp9_2e_i = *(&b2_byteCount);
  if ((((signed int )llvm_cbe_tmp9_2e_i) < ((signed int )llvm_cbe_tmp8_2e_i))) {
    goto llvm_cbe_bb14_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i;
  }

llvm_cbe_bb14_2e_i:
  __assert_fail(((&_2E_str169[((signed long long )0ull)])), ((&_2E_str1170[((signed long long )0ull)])), 48u, ((&_ZZ6b2FreePvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i:
  *(&b2_byteCount) = (llvm_cbe_tmp9_2e_i - llvm_cbe_tmp8_2e_i);
  free(llvm_cbe_tmp5_2e_i);
  goto llvm_cbe_bb48;

llvm_cbe_bb37:
  llvm_cbe_tmp39 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp40 = *llvm_cbe_tmp39;
  llvm_cbe_tmp43 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp17_2e_sum)].field1));
  *llvm_cbe_tmp39 = (llvm_cbe_tmp40 - llvm_cbe_tmp43);
  goto llvm_cbe_bb48;

llvm_cbe_bb48:
  llvm_cbe_tmp50 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp51 = *llvm_cbe_tmp50;
  llvm_cbe_tmp54 = *((&llvm_cbe_this->field4[((signed long long )llvm_cbe_tmp17_2e_sum)].field1));
  *llvm_cbe_tmp50 = (llvm_cbe_tmp51 - llvm_cbe_tmp54);
  llvm_cbe_tmp60 = *llvm_cbe_tmp2;
  *llvm_cbe_tmp2 = (llvm_cbe_tmp60 + 4294967295u);
  return;
}


static void _ZN7b2Sweep7AdvanceEf(struct l_struct_2E_b2Sweep *llvm_cbe_this, float llvm_cbe_t) {
  float *llvm_cbe_tmp6;
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp14;
  float llvm_cbe_tmp28;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i133__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i140__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i140141142_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i132__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i138__BITCAST_TEMPORARY;
  float llvm_cbe_tmp43;
  float *llvm_cbe_tmp2_2e_i74;
  float llvm_cbe_tmp3_2e_i75;
  float llvm_cbe_tmp8_2e_i80;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i97161__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i100168__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i100168169170_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i103160__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i106166__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i57147__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i60154__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i60154155156_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i146__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i152__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp65;
  float llvm_cbe_tmp66;
  float llvm_cbe_tmp70;

  llvm_cbe_tmp6 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp7 = *llvm_cbe_tmp6;
  if ((llvm_fcmp_olt(llvm_cbe_tmp7, llvm_cbe_t))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb:
  llvm_cbe_tmp14 = ((float )(0x1p+0 - llvm_cbe_tmp7));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp14, 0x1p-23))) {
    goto llvm_cbe_bb18;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb18:
  llvm_cbe_tmp28 = ((float )((((float )(llvm_cbe_t - llvm_cbe_tmp7))) / llvm_cbe_tmp14));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp22_2e_i140141142_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i133__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp28))), llvm_cbe_tmp19_2e_i133__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i140__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp28))), llvm_cbe_tmp22_2e_i140__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp43 = ((float )(0x1p+0 - llvm_cbe_tmp28));
  llvm_cbe_tmp2_2e_i74 = (&llvm_cbe_this->field1.field1);
  llvm_cbe_tmp3_2e_i75 = *llvm_cbe_tmp2_2e_i74;
  llvm_cbe_tmp8_2e_i80 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp22_2e_i100168169170_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i97161__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i80 * llvm_cbe_tmp43))), llvm_cbe_tmp19_2e_i97161__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i100168__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i75 * llvm_cbe_tmp43))), llvm_cbe_tmp22_2e_i100168__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i60154155156_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i57147__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i103160__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i100168169170_2e_ins)), llvm_cbe_tmp25_2e_i103160__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i132__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i140141142_2e_ins)), llvm_cbe_tmp25_2e_i132__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i57147__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i60154__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i106166__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i100168169170_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i106166__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i138__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i140141142_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i138__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i60154__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field1.field0)) = ((llvm_cbe_tmp29_2e_i146__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i60154155156_2e_ins)), llvm_cbe_tmp29_2e_i146__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp2_2e_i74 = ((llvm_cbe_tmp32_2e_i152__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i60154155156_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i152__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp65 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp66 = *llvm_cbe_tmp65;
  llvm_cbe_tmp70 = *((&llvm_cbe_this->field4));
  *llvm_cbe_tmp65 = (((float )((((float )(llvm_cbe_tmp43 * llvm_cbe_tmp66))) + (((float )(llvm_cbe_tmp70 * llvm_cbe_tmp28))))));
  *llvm_cbe_tmp6 = llvm_cbe_t;
  return;
llvm_cbe_return:
  return;
}


static void _ZN9b2Contact6UpdateEP17b2ContactListener(struct l_struct_2E_b2Contact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener) {
  unsigned int *llvm_cbe_tmp2_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int  (**llvm_cbe_tmp4) ();
  unsigned int  (*llvm_cbe_tmp6) ();
  unsigned int llvm_cbe_tmp3_2e_i44;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp14;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i40;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp18;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i36;
  unsigned short *llvm_cbe_tmp1_2e_i27;
  unsigned short llvm_cbe_tmp2_2e_i28;
  unsigned short *llvm_cbe_tmp1_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i22;
  unsigned short llvm_cbe_tmp3_2e_i17;
  unsigned short llvm_cbe_tmp3_2e_i9;
  unsigned short llvm_cbe_tmp3_2e_i6;
  unsigned short llvm_cbe_tmp3_2e_i3;
  unsigned int *llvm_cbe_tmp54;
  unsigned int llvm_cbe_tmp55;
  unsigned int *llvm_cbe_tmp61;
  unsigned int llvm_cbe_tmp62;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field2);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp4 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp6 = *((&llvm_cbe_tmp4[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_b2Contact *, struct l_struct_2E_Os *))llvm_cbe_tmp6))(llvm_cbe_this, llvm_cbe_listener);
  llvm_cbe_tmp3_2e_i44 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp14 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp3_2e_i40 = *((&llvm_cbe_tmp14->field3));
  llvm_cbe_tmp18 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp3_2e_i36 = *((&llvm_cbe_tmp18->field3));
  if (((((llvm_cbe_tmp3_2e_i44 == 0u) & (((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )0u)))&1))) {
    goto llvm_cbe_bb27;
  } else {
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb27:
  llvm_cbe_tmp1_2e_i27 = (&llvm_cbe_tmp3_2e_i40->field0);
  llvm_cbe_tmp2_2e_i28 = *llvm_cbe_tmp1_2e_i27;
  *llvm_cbe_tmp1_2e_i27 = (((unsigned short )(llvm_cbe_tmp2_2e_i28 & ((unsigned short )-9))));
  *((&llvm_cbe_tmp3_2e_i40->field21)) = 0x0p+0;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_tmp3_2e_i36->field0);
  llvm_cbe_tmp2_2e_i22 = *llvm_cbe_tmp1_2e_i;
  *llvm_cbe_tmp1_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i22 & ((unsigned short )-9))));
  *((&llvm_cbe_tmp3_2e_i36->field21)) = 0x0p+0;
  goto llvm_cbe_bb30;

llvm_cbe_bb30:
  llvm_cbe_tmp3_2e_i17 = *((&llvm_cbe_tmp3_2e_i40->field1));
  if ((llvm_cbe_tmp3_2e_i17 == ((unsigned short )0))) {
    goto llvm_cbe_bb52;
  } else {
    goto llvm_cbe_bb34;
  }

llvm_cbe_bb34:
  llvm_cbe_tmp3_2e_i9 = *((&llvm_cbe_tmp3_2e_i40->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i9)) & 32u) == 0u)) {
    goto llvm_cbe_bb38;
  } else {
    goto llvm_cbe_bb52;
  }

llvm_cbe_bb38:
  llvm_cbe_tmp3_2e_i6 = *((&llvm_cbe_tmp3_2e_i36->field1));
  if ((llvm_cbe_tmp3_2e_i6 == ((unsigned short )0))) {
    goto llvm_cbe_bb52;
  } else {
    goto llvm_cbe_bb42;
  }

llvm_cbe_bb42:
  llvm_cbe_tmp3_2e_i3 = *((&llvm_cbe_tmp3_2e_i36->field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i3)) & 32u) == 0u)) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb52;
  }

llvm_cbe_bb52:
  llvm_cbe_tmp54 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp55 = *llvm_cbe_tmp54;
  *llvm_cbe_tmp54 = (llvm_cbe_tmp55 & 4294967293u);
  return;
llvm_cbe_bb59:
  llvm_cbe_tmp61 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp62 = *llvm_cbe_tmp61;
  *llvm_cbe_tmp61 = (llvm_cbe_tmp62 | 2u);
  return;
}


static unsigned char *_ZN16b2BlockAllocator8AllocateEi(struct l_struct_2E_b2BlockAllocator *llvm_cbe_this, unsigned int llvm_cbe_size) {
  unsigned char llvm_cbe_tmp23;
  unsigned long long llvm_cbe_tmp3942;
  struct l_struct_2E_b2Block **llvm_cbe_tmp43;
  struct l_struct_2E_b2Block *llvm_cbe_tmp44;
  struct l_struct_2E_b2Block *llvm_cbe_tmp58;
  unsigned int *llvm_cbe_tmp67;
  unsigned int llvm_cbe_tmp68;
  unsigned int *llvm_cbe_tmp70;
  unsigned int llvm_cbe_tmp71;
  struct l_struct_2E_b2Chunk **llvm_cbe_tmp77;
  struct l_struct_2E_b2Chunk *llvm_cbe_tmp79;
  unsigned int llvm_cbe_tmp83;
  unsigned int llvm_cbe_tmp2_2e_i22;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned char *llvm_cbe_tmp8_2e_i;
  unsigned char *llvm_cbe_tmp13_2e_i;
  unsigned int llvm_cbe_tmp98;
  unsigned char *llvm_cbe_tmp104106;
  unsigned char *ltmp_29_1;
  struct l_struct_2E_b2Chunk *llvm_cbe_tmp109;
  unsigned int llvm_cbe_tmp112;
  unsigned char *ltmp_30_1;
  unsigned char *llvm_cbe_tmp5_2e_i18;
  unsigned int llvm_cbe_tmp8_2e_i20;
  unsigned int llvm_cbe_tmp9_2e_i;
  struct l_struct_2E_b2Chunk *llvm_cbe_tmp121;
  unsigned int llvm_cbe_tmp124;
  unsigned long long llvm_cbe_tmp124125;
  unsigned int llvm_cbe_tmp3_2e_i5;
  unsigned char *llvm_cbe_tmp8_2e_i10;
  struct l_struct_2E_b2Block **llvm_cbe_tmp130;
  unsigned int llvm_cbe_tmp134;
  unsigned int llvm_cbe_tmp139;
  unsigned int llvm_cbe_tmp180;
  unsigned int llvm_cbe_tmp167;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  struct l_struct_2E_b2Block *llvm_cbe_tmp154;
  unsigned char *llvm_cbe_tmp154155;
  struct l_struct_2E_b2Block *llvm_cbe_tmp202;
  struct l_struct_2E_b2Block *llvm_cbe_tmp204;
  unsigned int llvm_cbe_tmp211;
  struct l_struct_2E_b2Block *llvm_cbe_tmp217;

  if ((llvm_cbe_size == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb5;
  }

llvm_cbe_bb5:
  if ((((unsigned int )(llvm_cbe_size + 4294967295u)) > ((unsigned int )639u))) {
    goto llvm_cbe_bb15;
  } else {
    goto llvm_cbe_bb19;
  }

llvm_cbe_bb15:
  __assert_fail(((&_2E_str177[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 103u, ((&_ZZN16b2BlockAllocator8AllocateEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb19:
  llvm_cbe_tmp23 = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )(((signed long long )(signed int )llvm_cbe_size)))]));
  if ((((unsigned char )llvm_cbe_tmp23) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe_bb38;
  } else {
    goto llvm_cbe_bb34;
  }

llvm_cbe_bb34:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 106u, ((&_ZZN16b2BlockAllocator8AllocateEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb38:
  llvm_cbe_tmp3942 = ((unsigned long long )(unsigned char )llvm_cbe_tmp23);
  llvm_cbe_tmp43 = (&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)]);
  llvm_cbe_tmp44 = *llvm_cbe_tmp43;
  if ((llvm_cbe_tmp44 == ((struct l_struct_2E_b2Block *)/*NULL*/0))) {
    goto llvm_cbe_bb65;
  } else {
    goto llvm_cbe_bb48;
  }

llvm_cbe_bb48:
  llvm_cbe_tmp58 = *((&llvm_cbe_tmp44->field0));
  *llvm_cbe_tmp43 = llvm_cbe_tmp58;
  return (((unsigned char *)llvm_cbe_tmp44));
llvm_cbe_bb65:
  llvm_cbe_tmp67 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp68 = *llvm_cbe_tmp67;
  llvm_cbe_tmp70 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp71 = *llvm_cbe_tmp70;
  if ((llvm_cbe_tmp68 == llvm_cbe_tmp71)) {
    goto llvm_cbe_bb75;
  } else {
    goto llvm_cbe_bb118;
  }

llvm_cbe_bb75:
  llvm_cbe_tmp77 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp79 = *llvm_cbe_tmp77;
  llvm_cbe_tmp83 = llvm_cbe_tmp71 + 128u;
  *llvm_cbe_tmp70 = llvm_cbe_tmp83;
  llvm_cbe_tmp2_2e_i22 = (llvm_cbe_tmp83 << 4u) | 4u;
  llvm_cbe_tmp3_2e_i = *(&b2_byteCount);
  *(&b2_byteCount) = (llvm_cbe_tmp3_2e_i + llvm_cbe_tmp2_2e_i22);
  llvm_cbe_tmp8_2e_i = malloc((((signed long long )(signed int )llvm_cbe_tmp2_2e_i22)));
  *(((unsigned int *)llvm_cbe_tmp8_2e_i)) = llvm_cbe_tmp2_2e_i22;
  llvm_cbe_tmp13_2e_i = (&llvm_cbe_tmp8_2e_i[((signed long long )4ull)]);
  *llvm_cbe_tmp77 = (((struct l_struct_2E_b2Chunk *)llvm_cbe_tmp13_2e_i));
  llvm_cbe_tmp98 = *llvm_cbe_tmp67;
  llvm_cbe_tmp104106 = ((unsigned char *)llvm_cbe_tmp79);
  ltmp_29_1 = memcpy(llvm_cbe_tmp13_2e_i, llvm_cbe_tmp104106, ((((signed long long )(signed int )llvm_cbe_tmp98)) << 4ull));
  llvm_cbe_tmp109 = *llvm_cbe_tmp77;
  llvm_cbe_tmp112 = *llvm_cbe_tmp67;
  ltmp_30_1 = memset((((unsigned char *)((&llvm_cbe_tmp109[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp112)))])))), (((unsigned int )(unsigned char )((unsigned char )0))), 2048ull);
  if ((llvm_cbe_tmp79 == ((struct l_struct_2E_b2Chunk *)/*NULL*/0))) {
    goto llvm_cbe_bb118;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i18 = (&llvm_cbe_tmp104106[((signed long long )18446744073709551612ull)]);
  llvm_cbe_tmp8_2e_i20 = *(((unsigned int *)llvm_cbe_tmp5_2e_i18));
  llvm_cbe_tmp9_2e_i = *(&b2_byteCount);
  if ((((signed int )llvm_cbe_tmp9_2e_i) < ((signed int )llvm_cbe_tmp8_2e_i20))) {
    goto llvm_cbe_bb14_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i;
  }

llvm_cbe_bb14_2e_i:
  __assert_fail(((&_2E_str169[((signed long long )0ull)])), ((&_2E_str1170[((signed long long )0ull)])), 48u, ((&_ZZ6b2FreePvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i:
  *(&b2_byteCount) = (llvm_cbe_tmp9_2e_i - llvm_cbe_tmp8_2e_i20);
  free(llvm_cbe_tmp5_2e_i18);
  goto llvm_cbe_bb118;

llvm_cbe_bb118:
  llvm_cbe_tmp121 = *((&llvm_cbe_this->field0));
  llvm_cbe_tmp124 = *llvm_cbe_tmp67;
  llvm_cbe_tmp124125 = ((signed long long )(signed int )llvm_cbe_tmp124);
  llvm_cbe_tmp3_2e_i5 = *(&b2_byteCount);
  *(&b2_byteCount) = (llvm_cbe_tmp3_2e_i5 + 4100u);
  llvm_cbe_tmp8_2e_i10 = malloc(4100ull);
  *(((unsigned int *)llvm_cbe_tmp8_2e_i10)) = 4100u;
  llvm_cbe_tmp130 = (&llvm_cbe_tmp121[((signed long long )llvm_cbe_tmp124125)].field1);
  *llvm_cbe_tmp130 = (((struct l_struct_2E_b2Block *)((&llvm_cbe_tmp8_2e_i10[((signed long long )4ull)]))));
  llvm_cbe_tmp134 = *((&_ZN16b2BlockAllocator12s_blockSizesE[((signed long long )llvm_cbe_tmp3942)]));
  *((&llvm_cbe_tmp121[((signed long long )llvm_cbe_tmp124125)].field0)) = llvm_cbe_tmp134;
  llvm_cbe_tmp139 = ((signed int )(((signed int )4096u) / ((signed int )llvm_cbe_tmp134)));
  if ((((signed int )(llvm_cbe_tmp139 * llvm_cbe_tmp134)) > ((signed int )4096u))) {
    goto llvm_cbe_bb146;
  } else {
    goto llvm_cbe_bb150;
  }

llvm_cbe_bb146:
  __assert_fail(((&_2E_str4181[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 134u, ((&_ZZN16b2BlockAllocator8AllocateEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb150:
  llvm_cbe_tmp180 = llvm_cbe_tmp139 + 4294967295u;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb178;

  do {     /* Syntactic loop 'bb178' to make GCC happy */
llvm_cbe_bb178:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp154 = *llvm_cbe_tmp130;
  llvm_cbe_tmp154155 = ((unsigned char *)llvm_cbe_tmp154);
  if ((((signed int )llvm_cbe_tmp180) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb151;
  } else {
    goto llvm_cbe_bb185;
  }

llvm_cbe_bb151:
  llvm_cbe_tmp167 = llvm_cbe_storemerge + 1u;
  *(((struct l_struct_2E_b2Block **)((&llvm_cbe_tmp154155[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp134 * llvm_cbe_storemerge))))])))) = (((struct l_struct_2E_b2Block *)((&llvm_cbe_tmp154155[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp167 * llvm_cbe_tmp134))))]))));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp167;   /* for PHI node */
  goto llvm_cbe_bb178;

  } while (1); /* end of syntactic loop 'bb178' */
llvm_cbe_bb185:
  *(((struct l_struct_2E_b2Block **)((&llvm_cbe_tmp154155[((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp180 * llvm_cbe_tmp134))))])))) = ((struct l_struct_2E_b2Block *)/*NULL*/0);
  llvm_cbe_tmp202 = *llvm_cbe_tmp130;
  llvm_cbe_tmp204 = *((&llvm_cbe_tmp202->field0));
  *llvm_cbe_tmp43 = llvm_cbe_tmp204;
  llvm_cbe_tmp211 = *llvm_cbe_tmp67;
  *llvm_cbe_tmp67 = (llvm_cbe_tmp211 + 1u);
  llvm_cbe_tmp217 = *llvm_cbe_tmp130;
  return (((unsigned char *)llvm_cbe_tmp217));
llvm_cbe_return:
  return ((unsigned char *)/*NULL*/0);
}


static void _ZN16b2ContactManagerD1Ev(struct l_struct_2E_b2ContactManager *llvm_cbe_this) {
  *((&llvm_cbe_this->field2.field0.field0)) = ((&_ZTV13b2NullContact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field2.field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  return;
}


static void _ZN16b2BlockAllocatorD1Ev(struct l_struct_2E_b2BlockAllocator *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp13;
  struct l_struct_2E_b2Chunk **llvm_cbe_tmp1;
  struct l_struct_2E_b2Block *llvm_cbe_tmp7;
  unsigned char *llvm_cbe_tmp5_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i;
  unsigned int llvm_cbe_tmp10;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp14;
  struct l_struct_2E_b2Chunk *llvm_cbe_tmp2;
  unsigned char *llvm_cbe_tmp5_2e_i6;
  unsigned int llvm_cbe_tmp8_2e_i8;
  unsigned int llvm_cbe_tmp9_2e_i9;

  llvm_cbe_tmp13 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp1 = (&llvm_cbe_this->field0);
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb11;

llvm_cbe_bb14_2e_i:
  __assert_fail(((&_2E_str169[((signed long long )0ull)])), ((&_2E_str1170[((signed long long )0ull)])), 48u, ((&_ZZ6b2FreePvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb11' to make GCC happy */
llvm_cbe_bb11:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp14 = *llvm_cbe_tmp13;
  llvm_cbe_tmp2 = *llvm_cbe_tmp1;
  if ((((signed int )llvm_cbe_tmp14) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb18;
  }

llvm_cbe__Z6b2FreePv_2e_exit:
  llvm_cbe_tmp10 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp10;   /* for PHI node */
  goto llvm_cbe_bb11;

llvm_cbe_bb:
  llvm_cbe_tmp7 = *((&llvm_cbe_tmp2[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge)))].field1));
  if ((llvm_cbe_tmp7 == ((struct l_struct_2E_b2Block *)/*NULL*/0))) {
    goto llvm_cbe__Z6b2FreePv_2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb18_2e_i:
  *(&b2_byteCount) = (llvm_cbe_tmp9_2e_i - llvm_cbe_tmp8_2e_i);
  free(llvm_cbe_tmp5_2e_i);
  goto llvm_cbe__Z6b2FreePv_2e_exit;

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i = (&(((unsigned char *)llvm_cbe_tmp7))[((signed long long )18446744073709551612ull)]);
  llvm_cbe_tmp8_2e_i = *(((unsigned int *)llvm_cbe_tmp5_2e_i));
  llvm_cbe_tmp9_2e_i = *(&b2_byteCount);
  if ((((signed int )llvm_cbe_tmp9_2e_i) < ((signed int )llvm_cbe_tmp8_2e_i))) {
    goto llvm_cbe_bb14_2e_i;
  } else {
    goto llvm_cbe_bb18_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb11' */
llvm_cbe_bb18:
  if ((llvm_cbe_tmp2 == ((struct l_struct_2E_b2Chunk *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i12;
  }

llvm_cbe_bb_2e_i12:
  llvm_cbe_tmp5_2e_i6 = (&(((unsigned char *)llvm_cbe_tmp2))[((signed long long )18446744073709551612ull)]);
  llvm_cbe_tmp8_2e_i8 = *(((unsigned int *)llvm_cbe_tmp5_2e_i6));
  llvm_cbe_tmp9_2e_i9 = *(&b2_byteCount);
  if ((((signed int )llvm_cbe_tmp9_2e_i9) < ((signed int )llvm_cbe_tmp8_2e_i8))) {
    goto llvm_cbe_bb14_2e_i13;
  } else {
    goto llvm_cbe_bb18_2e_i18;
  }

llvm_cbe_bb14_2e_i13:
  __assert_fail(((&_2E_str169[((signed long long )0ull)])), ((&_2E_str1170[((signed long long )0ull)])), 48u, ((&_ZZ6b2FreePvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb18_2e_i18:
  *(&b2_byteCount) = (llvm_cbe_tmp9_2e_i9 - llvm_cbe_tmp8_2e_i8);
  free(llvm_cbe_tmp5_2e_i6);
  return;
llvm_cbe_return:
  return;
}


static void _ZNK7b2Sweep8GetXFormEP7b2XFormf(struct l_struct_2E_b2Sweep *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_xf, float llvm_cbe_t) {
  float llvm_cbe_tmp10;
  float llvm_cbe_tmp11;
  float llvm_cbe_tmp23;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i225__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i232__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i232233234_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i224__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i230__BITCAST_TEMPORARY;
  float llvm_cbe_tmp38;
  float llvm_cbe_tmp3_2e_i80;
  float llvm_cbe_tmp8_2e_i85;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i102239__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i105246__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i105246247248_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i108238__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i111244__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i187253__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i190260__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i190260261262_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i252__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i258__BITCAST_TEMPORARY;
  float llvm_cbe_tmp61;
  float llvm_cbe_tmp65;
  float llvm_cbe_tmp68;
  float llvm_cbe_tmp1_2e_i134;
  float llvm_cbe_tmp3_2e_i136;
  float llvm_cbe_tmp77;
  float llvm_cbe_tmp80;
  float llvm_cbe_tmp91;
  float llvm_cbe_tmp1_2e_i114;
  float llvm_cbe_tmp3_2e_i116;
  unsigned long long llvm_cbe_tmp99;
  llvmBitCastUnion llvm_cbe_tmp103216__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp106220__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i51;
  float llvm_cbe_tmp2_2e_i52;
  float *llvm_cbe_tmp10_2e_i60;
  float llvm_cbe_tmp11_2e_i61;

  llvm_cbe_tmp10 = *((&llvm_cbe_this->field5));
  llvm_cbe_tmp11 = ((float )(0x1p+0 - llvm_cbe_tmp10));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp11, 0x1p-23))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb72;
  }

llvm_cbe_bb:
  llvm_cbe_tmp23 = ((float )((((float )(llvm_cbe_t - llvm_cbe_tmp10))) / llvm_cbe_tmp11));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp22_2e_i232233234_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i225__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp23))), llvm_cbe_tmp19_2e_i225__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i232__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp23))), llvm_cbe_tmp22_2e_i232__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp38 = ((float )(0x1p+0 - llvm_cbe_tmp23));
  llvm_cbe_tmp3_2e_i80 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp8_2e_i85 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp22_2e_i105246247248_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i102239__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i85 * llvm_cbe_tmp38))), llvm_cbe_tmp19_2e_i102239__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i105246__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i80 * llvm_cbe_tmp38))), llvm_cbe_tmp22_2e_i105246__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i190260261262_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i187253__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i108238__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i105246247248_2e_ins)), llvm_cbe_tmp25_2e_i108238__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i224__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i232233234_2e_ins)), llvm_cbe_tmp25_2e_i224__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i187253__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i190260__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i111244__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i105246247248_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i111244__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i230__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i232233234_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i230__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i190260__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_xf->field0.field0)) = ((llvm_cbe_tmp29_2e_i252__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i190260261262_2e_ins)), llvm_cbe_tmp29_2e_i252__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_xf->field0.field1)) = ((llvm_cbe_tmp32_2e_i258__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i190260261262_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i258__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp61 = *((&llvm_cbe_this->field3));
  llvm_cbe_tmp65 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp68 = ((float )((((float )(llvm_cbe_tmp38 * llvm_cbe_tmp61))) + (((float )(llvm_cbe_tmp65 * llvm_cbe_tmp23)))));
  llvm_cbe_tmp1_2e_i134 = cosf(llvm_cbe_tmp68);
  llvm_cbe_tmp3_2e_i136 = sinf(llvm_cbe_tmp68);
  *((&llvm_cbe_xf->field1.field0.field0)) = llvm_cbe_tmp1_2e_i134;
  *((&llvm_cbe_xf->field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i136))));
  *((&llvm_cbe_xf->field1.field0.field1)) = llvm_cbe_tmp3_2e_i136;
  *((&llvm_cbe_xf->field1.field1.field1)) = llvm_cbe_tmp1_2e_i134;
  goto llvm_cbe_bb94;

llvm_cbe_bb72:
  llvm_cbe_tmp77 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp80 = *((&llvm_cbe_this->field2.field1));
  *((&llvm_cbe_xf->field0.field0)) = llvm_cbe_tmp77;
  *((&llvm_cbe_xf->field0.field1)) = llvm_cbe_tmp80;
  llvm_cbe_tmp91 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp1_2e_i114 = cosf(llvm_cbe_tmp91);
  llvm_cbe_tmp3_2e_i116 = sinf(llvm_cbe_tmp91);
  *((&llvm_cbe_xf->field1.field0.field0)) = llvm_cbe_tmp1_2e_i114;
  *((&llvm_cbe_xf->field1.field1.field0)) = (((float )(-(llvm_cbe_tmp3_2e_i116))));
  *((&llvm_cbe_xf->field1.field0.field1)) = llvm_cbe_tmp3_2e_i116;
  *((&llvm_cbe_xf->field1.field1.field1)) = llvm_cbe_tmp1_2e_i114;
  goto llvm_cbe_bb94;

llvm_cbe_bb94:
  llvm_cbe_tmp99 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf->field1)), ((&llvm_cbe_this->field0)));
  llvm_cbe_tmp1_2e_i51 = (&llvm_cbe_xf->field0.field0);
  llvm_cbe_tmp2_2e_i52 = *llvm_cbe_tmp1_2e_i51;
  *llvm_cbe_tmp1_2e_i51 = (((float )(llvm_cbe_tmp2_2e_i52 - ((llvm_cbe_tmp103216__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp99)), llvm_cbe_tmp103216__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i60 = (&llvm_cbe_xf->field0.field1);
  llvm_cbe_tmp11_2e_i61 = *llvm_cbe_tmp10_2e_i60;
  *llvm_cbe_tmp10_2e_i60 = (((float )(llvm_cbe_tmp11_2e_i61 - ((llvm_cbe_tmp106220__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp99) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp106220__BITCAST_TEMPORARY.Float)))));
  return;
}


static void _ZN7b2ShapeD1Ev(struct l_struct_2E_b2Shape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5;

  *((&llvm_cbe_this->field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5 = *((&llvm_cbe_this->field8));
  if ((llvm_cbe_tmp5 == ((unsigned short )-1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_return:
  return;
}


static void _ZN7b2ShapeD0Ev(struct l_struct_2E_b2Shape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5;

  *((&llvm_cbe_this->field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5 = *((&llvm_cbe_this->field8));
  if ((llvm_cbe_tmp5 == ((unsigned short )-1))) {
    goto llvm_cbe_bb13;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb13:
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static unsigned char _ZNK12b2BroadPhase7InRangeERK6b2AABB(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp5;    /* Address-exposed local */
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i117__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i124__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i124125126_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i116__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i122__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i55;
  float llvm_cbe_tmp6_2e_i58;
  float llvm_cbe_tmp10_2e_i62;
  float llvm_cbe_tmp13_2e_i65;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i81131__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i84138__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i84138139140_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i87130__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i90136__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp32;
  float llvm_cbe_tmp36108;
  llvmBitCastUnion llvm_cbe_tmp36108__BITCAST_TEMPORARY;
  float llvm_cbe_tmp39112;
  llvmBitCastUnion llvm_cbe_tmp39112__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field6.field0.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_aabb->field1.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field6.field0.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_aabb->field1.field0));
  llvm_cbe_tmp26_2e_i124125126_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i117__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i117__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i124__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i124__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp5.field0)) = ((llvm_cbe_tmp29_2e_i116__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i124125126_2e_ins)), llvm_cbe_tmp29_2e_i116__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp5.field1)) = ((llvm_cbe_tmp32_2e_i122__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i124125126_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i122__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i55 = *((&llvm_cbe_aabb->field0.field1));
  llvm_cbe_tmp6_2e_i58 = *((&llvm_cbe_this->field6.field1.field1));
  llvm_cbe_tmp10_2e_i62 = *((&llvm_cbe_aabb->field0.field0));
  llvm_cbe_tmp13_2e_i65 = *((&llvm_cbe_this->field6.field1.field0));
  llvm_cbe_tmp26_2e_i84138139140_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i81131__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i62 - llvm_cbe_tmp13_2e_i65))), llvm_cbe_tmp23_2e_i81131__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i84138__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i55 - llvm_cbe_tmp6_2e_i58))), llvm_cbe_tmp26_2e_i84138__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp3.field0)) = ((llvm_cbe_tmp29_2e_i87130__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i84138139140_2e_ins)), llvm_cbe_tmp29_2e_i87130__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp3.field1)) = ((llvm_cbe_tmp32_2e_i90136__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i84138139140_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i90136__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp32 = _Z5b2MaxRK6b2Vec2S1_((&llvm_cbe_tmp3), (&llvm_cbe_tmp5));
  llvm_cbe_tmp36108 = (llvm_cbe_tmp36108__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp32)), llvm_cbe_tmp36108__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp39112 = (llvm_cbe_tmp39112__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp32) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp39112__BITCAST_TEMPORARY.Float);
  return (((unsigned char )(bool )(llvm_fcmp_olt(((((llvm_fcmp_ogt(llvm_cbe_tmp36108, llvm_cbe_tmp39112))) ? (llvm_cbe_tmp36108) : (llvm_cbe_tmp39112))), 0x0p+0))));
}


static void _ZN12b2BroadPhase12DestroyProxyEi(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned int llvm_cbe_proxyId) {
  unsigned int llvm_cbe_upperIndex;    /* Address-exposed local */
  unsigned int llvm_cbe_lowerIndex;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp3;
  unsigned int llvm_cbe_tmp4;
  unsigned long long llvm_cbe_tmp2122;
  struct l_struct_2E_b2Proxy *llvm_cbe_tmp23;
  unsigned short llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp37;
  unsigned int llvm_cbe_tmp149;
  unsigned int llvm_cbe_axis_2e_0;
  unsigned int llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp3942;
  struct l_struct_2E_b2Bound *llvm_cbe_tmp44;
  unsigned short llvm_cbe_tmp50;
  unsigned int llvm_cbe_tmp5051;
  unsigned short llvm_cbe_tmp58;
  unsigned int llvm_cbe_tmp5859;
  unsigned long long llvm_cbe_tmp6062;
  unsigned short llvm_cbe_tmp65;
  unsigned short llvm_cbe_tmp71;
  unsigned char *ltmp_31_1;
  unsigned int llvm_cbe_tmp89;
  unsigned long long llvm_cbe_tmp9597;
  unsigned char *ltmp_32_1;
  unsigned int llvm_cbe_tmp107;
  unsigned long long llvm_cbe_tmp113114;
  unsigned short llvm_cbe_tmp117;
  unsigned long long llvm_cbe_tmp117118119;
  unsigned short llvm_cbe_tmp3_2e_i11;
  unsigned short llvm_cbe_tmp130131;
  unsigned int llvm_cbe_tmp146;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp168;
  unsigned int llvm_cbe_tmp169;
  unsigned short *llvm_cbe_tmp161;
  unsigned short llvm_cbe_tmp162;
  unsigned int llvm_cbe_tmp166;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp187;
  unsigned int *llvm_cbe_tmp195;
  unsigned int llvm_cbe_tmp196;
  struct l_struct_2E_b2PairManager *llvm_cbe_tmp234;
  unsigned short llvm_cbe_tmp211;
  unsigned short llvm_cbe_tmp3_2e_i15;
  unsigned int llvm_cbe_tmp237;
  unsigned int llvm_cbe_storemerge3;
  unsigned int llvm_cbe_storemerge3__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp241;
  unsigned short *llvm_cbe_tmp1_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i7;
  unsigned short llvm_cbe_i_2e_i_2e_0;
  unsigned short llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp14_2e_i;
  unsigned short llvm_cbe_tmp27_2e_i;
  unsigned short llvm_cbe_storemerge27;
  unsigned short llvm_cbe_storemerge27__PHI_TEMPORARY;
  unsigned short *llvm_cbe_tmp269;
  unsigned char *ltmp_33_1;
  unsigned short llvm_cbe_tmp270;
  unsigned int llvm_cbe_tmp280;

  llvm_cbe_tmp3 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp4 = *llvm_cbe_tmp3;
  if ((((unsigned int )(llvm_cbe_tmp4 + 4294967295u)) > ((unsigned int )2047u))) {
    goto llvm_cbe_bb13;
  } else {
    goto llvm_cbe_bb17;
  }

llvm_cbe_bb13:
  __assert_fail(((&_2E_str20210[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 326u, ((&_ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb17:
  llvm_cbe_tmp2122 = ((signed long long )(signed int )llvm_cbe_proxyId);
  llvm_cbe_tmp23 = (&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)]);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)].field2));
  if ((llvm_cbe_tmp3_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb29;
  } else {
    goto llvm_cbe_bb33;
  }

llvm_cbe_bb29:
  __assert_fail(((&_2E_str12202[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 328u, ((&_ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb33:
  llvm_cbe_tmp37 = llvm_cbe_tmp4 << 1u;
  llvm_cbe_tmp149 = llvm_cbe_tmp37 + 4294967294u;
  llvm_cbe_axis_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb38;

  do {     /* Syntactic loop 'bb38' to make GCC happy */
llvm_cbe_bb38:
  llvm_cbe_axis_2e_0 = llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp3942 = ((signed long long )(signed int )llvm_cbe_axis_2e_0);
  llvm_cbe_tmp44 = (&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )0ull)]);
  llvm_cbe_tmp50 = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)].field0[((signed long long )llvm_cbe_tmp3942)]));
  llvm_cbe_tmp5051 = ((unsigned int )(unsigned short )llvm_cbe_tmp50);
  *(&llvm_cbe_lowerIndex) = llvm_cbe_tmp5051;
  llvm_cbe_tmp58 = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)].field1[((signed long long )llvm_cbe_tmp3942)]));
  llvm_cbe_tmp5859 = ((unsigned int )(unsigned short )llvm_cbe_tmp58);
  *(&llvm_cbe_upperIndex) = llvm_cbe_tmp5859;
  llvm_cbe_tmp6062 = ((unsigned long long )(unsigned short )llvm_cbe_tmp50);
  llvm_cbe_tmp65 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )llvm_cbe_tmp6062)].field0));
  llvm_cbe_tmp71 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp58)))].field0));
  ltmp_31_1 = memmove((((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )llvm_cbe_tmp6062)])))), (((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )(llvm_cbe_tmp6062 + 1ull))])))), ((((signed long long )(signed int )((llvm_cbe_tmp5859 - llvm_cbe_tmp5051) + 4294967295u))) * 6ull));
  llvm_cbe_tmp89 = *(&llvm_cbe_upperIndex);
  llvm_cbe_tmp9597 = ((signed long long )(signed int )llvm_cbe_tmp89);
  ltmp_32_1 = memmove((((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )(llvm_cbe_tmp9597 + 18446744073709551615ull))])))), (((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )(llvm_cbe_tmp9597 + 1ull))])))), ((((signed long long )(signed int )((llvm_cbe_tmp37 - llvm_cbe_tmp89) + 4294967295u))) * 6ull));
  llvm_cbe_tmp107 = *(&llvm_cbe_lowerIndex);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp107;   /* for PHI node */
  goto llvm_cbe_bb147;

llvm_cbe_bb174:
  _ZN12b2BroadPhase5QueryEPiS0_ttP7b2Boundii(llvm_cbe_this, (&llvm_cbe_lowerIndex), (&llvm_cbe_upperIndex), llvm_cbe_tmp65, llvm_cbe_tmp71, llvm_cbe_tmp44, llvm_cbe_tmp149, llvm_cbe_axis_2e_0);
  llvm_cbe_tmp187 = llvm_cbe_axis_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp187) < ((signed int )2u))) {
    llvm_cbe_axis_2e_0__PHI_TEMPORARY = llvm_cbe_tmp187;   /* for PHI node */
    goto llvm_cbe_bb38;
  } else {
    goto llvm_cbe_bb193;
  }

  do {     /* Syntactic loop 'bb167' to make GCC happy */
llvm_cbe_bb167:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp169) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb156;
  } else {
    goto llvm_cbe_bb174;
  }

llvm_cbe_bb156:
  llvm_cbe_tmp161 = (&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1)))].field2);
  llvm_cbe_tmp162 = *llvm_cbe_tmp161;
  *llvm_cbe_tmp161 = (((unsigned short )(llvm_cbe_tmp162 + ((unsigned short )-1))));
  llvm_cbe_tmp166 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp166;   /* for PHI node */
  goto llvm_cbe_bb167;

  } while (1); /* end of syntactic loop 'bb167' */
llvm_cbe_bb154:
  llvm_cbe_tmp168 = *(&llvm_cbe_upperIndex);
  llvm_cbe_tmp169 = llvm_cbe_tmp168 + 4294967295u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp107;   /* for PHI node */
  goto llvm_cbe_bb167;

  do {     /* Syntactic loop 'bb147' to make GCC happy */
llvm_cbe_bb147:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp149) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb108;
  } else {
    goto llvm_cbe_bb154;
  }

llvm_cbe_bb144:
  llvm_cbe_tmp146 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp146;   /* for PHI node */
  goto llvm_cbe_bb147;

llvm_cbe_bb128:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp117118119)].field0[((signed long long )llvm_cbe_tmp3942)])) = llvm_cbe_tmp130131;
  goto llvm_cbe_bb144;

llvm_cbe_bb108:
  llvm_cbe_tmp113114 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp117 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )llvm_cbe_tmp113114)].field1));
  llvm_cbe_tmp117118119 = ((unsigned long long )(unsigned short )llvm_cbe_tmp117);
  llvm_cbe_tmp3_2e_i11 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp3942)][((signed long long )llvm_cbe_tmp113114)].field0));
  llvm_cbe_tmp130131 = ((unsigned short )llvm_cbe_storemerge);
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i11)) & 1u) == 0u)) {
    goto llvm_cbe_bb128;
  } else {
    goto llvm_cbe_bb136;
  }

llvm_cbe_bb136:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp117118119)].field1[((signed long long )llvm_cbe_tmp3942)])) = llvm_cbe_tmp130131;
  goto llvm_cbe_bb144;

  } while (1); /* end of syntactic loop 'bb147' */
  } while (1); /* end of syntactic loop 'bb38' */
llvm_cbe_bb193:
  llvm_cbe_tmp195 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp196 = *llvm_cbe_tmp195;
  if ((((signed int )llvm_cbe_tmp196) > ((signed int )2047u))) {
    goto llvm_cbe_bb200;
  } else {
    goto llvm_cbe_bb204;
  }

llvm_cbe_bb200:
  __assert_fail(((&_2E_str7197[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 368u, ((&_ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb204:
  llvm_cbe_tmp234 = (&llvm_cbe_this->field0);
  llvm_cbe_storemerge3__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb238;

llvm_cbe_bb221:
  __assert_fail(((&_2E_str21211[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 372u, ((&_ZZN12b2BroadPhase12DestroyProxyEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb238' to make GCC happy */
llvm_cbe_bb238:
  llvm_cbe_storemerge3 = llvm_cbe_storemerge3__PHI_TEMPORARY;
  llvm_cbe_tmp241 = *llvm_cbe_tmp195;
  if ((((signed int )llvm_cbe_tmp241) > ((signed int )llvm_cbe_storemerge3))) {
    goto llvm_cbe_bb205;
  } else {
    goto llvm_cbe_bb246;
  }

llvm_cbe_bb225:
  _ZN13b2PairManager18RemoveBufferedPairEii(llvm_cbe_tmp234, llvm_cbe_proxyId, (((unsigned int )(unsigned short )llvm_cbe_tmp211)));
  llvm_cbe_tmp237 = llvm_cbe_storemerge3 + 1u;
  llvm_cbe_storemerge3__PHI_TEMPORARY = llvm_cbe_tmp237;   /* for PHI node */
  goto llvm_cbe_bb238;

llvm_cbe_bb205:
  llvm_cbe_tmp211 = *((&llvm_cbe_this->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge3)))]));
  llvm_cbe_tmp3_2e_i15 = *((&llvm_cbe_this->field1[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp211)))].field2));
  if ((llvm_cbe_tmp3_2e_i15 == ((unsigned short )-1))) {
    goto llvm_cbe_bb221;
  } else {
    goto llvm_cbe_bb225;
  }

  } while (1); /* end of syntactic loop 'bb238' */
llvm_cbe_bb246:
  _ZN13b2PairManager6CommitEv(llvm_cbe_tmp234);
  *llvm_cbe_tmp195 = 0u;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field9);
  llvm_cbe_tmp2_2e_i7 = *llvm_cbe_tmp1_2e_i;
  if ((llvm_cbe_tmp2_2e_i7 == ((unsigned short )-1))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    goto llvm_cbe_bb5_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i;
  }

  do {     /* Syntactic loop 'bb5.i' to make GCC happy */
llvm_cbe_bb5_2e_i:
  llvm_cbe_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_this->field1[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_i_2e_i_2e_0)))].field3)) = ((unsigned short )0);
  llvm_cbe_tmp14_2e_i = ((unsigned short )(llvm_cbe_i_2e_i_2e_0 + ((unsigned short )1)));
  if ((((unsigned short )llvm_cbe_tmp14_2e_i) < ((unsigned short )((unsigned short )2048)))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp14_2e_i;   /* for PHI node */
    goto llvm_cbe_bb5_2e_i;
  } else {
    llvm_cbe_storemerge27__PHI_TEMPORARY = ((unsigned short )1);   /* for PHI node */
    goto llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit;
  }

  } while (1); /* end of syntactic loop 'bb5.i' */
llvm_cbe_bb23_2e_i:
  llvm_cbe_tmp27_2e_i = ((unsigned short )(llvm_cbe_tmp2_2e_i7 + ((unsigned short )1)));
  llvm_cbe_storemerge27__PHI_TEMPORARY = llvm_cbe_tmp27_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit;

llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit:
  llvm_cbe_storemerge27 = llvm_cbe_storemerge27__PHI_TEMPORARY;
  *llvm_cbe_tmp1_2e_i = llvm_cbe_storemerge27;
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)].field4)) = ((unsigned char *)/*NULL*/0);
  llvm_cbe_tmp269 = (&llvm_cbe_this->field2);
  ltmp_33_1 = memset((((unsigned char *)llvm_cbe_tmp23)), (((unsigned int )(unsigned char )((unsigned char )-1))), 10ull);
  llvm_cbe_tmp270 = *llvm_cbe_tmp269;
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp2122)].field0[((signed long long )0ull)])) = llvm_cbe_tmp270;
  *llvm_cbe_tmp269 = (((unsigned short )llvm_cbe_proxyId));
  llvm_cbe_tmp280 = *llvm_cbe_tmp3;
  *llvm_cbe_tmp3 = (llvm_cbe_tmp280 + 4294967295u);
  return;
}


static unsigned short _ZN12b2BroadPhase11CreateProxyERK6b2AABBPv(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, unsigned char *llvm_cbe_userData) {
  unsigned int llvm_cbe_upperIndex;    /* Address-exposed local */
  unsigned int llvm_cbe_lowerIndex;    /* Address-exposed local */
  unsigned short llvm_cbe_upperValues[2];    /* Address-exposed local */
  unsigned short llvm_cbe_lowerValues[2];    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp4;
  unsigned int llvm_cbe_tmp5;
  unsigned short *llvm_cbe_tmp13;
  unsigned short llvm_cbe_tmp14;
  unsigned long long llvm_cbe_tmp293031;
  unsigned short llvm_cbe_tmp4_2e_i;
  unsigned int llvm_cbe_tmp45;
  unsigned int llvm_cbe_tmp231;
  unsigned int llvm_cbe_axis_2e_0;
  unsigned int llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp5154;
  unsigned short *llvm_cbe_tmp59;
  unsigned short llvm_cbe_tmp60;
  unsigned short *llvm_cbe_tmp64;
  unsigned short llvm_cbe_tmp65;
  unsigned int llvm_cbe_tmp74;
  unsigned long long llvm_cbe_tmp7981;
  unsigned char *ltmp_34_1;
  unsigned int llvm_cbe_tmp90;
  unsigned int llvm_cbe_tmp91;
  unsigned long long llvm_cbe_tmp9597;
  unsigned char *ltmp_35_1;
  unsigned int llvm_cbe_tmp106;
  unsigned int llvm_cbe_tmp107;
  unsigned int llvm_cbe_tmp108;
  unsigned long long llvm_cbe_tmp108110;
  unsigned short llvm_cbe_tmp115;
  unsigned long long llvm_cbe_tmp123125;
  unsigned short llvm_cbe_tmp130;
  unsigned short llvm_cbe_tmp153;
  unsigned short llvm_cbe_storemerge;
  unsigned short llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp168;
  unsigned short *llvm_cbe_tmp176;
  unsigned short llvm_cbe_tmp177;
  unsigned int llvm_cbe_tmp181;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp195196;
  unsigned short llvm_cbe_tmp199;
  unsigned long long llvm_cbe_tmp199200201;
  unsigned short llvm_cbe_tmp3_2e_i8;
  unsigned short llvm_cbe_tmp212213;
  unsigned int llvm_cbe_tmp228;
  unsigned int llvm_cbe_storemerge2;
  unsigned int llvm_cbe_storemerge2__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp238;
  unsigned int llvm_cbe_tmp247;
  unsigned int *llvm_cbe_tmp252;
  unsigned int llvm_cbe_tmp253;
  unsigned int llvm_cbe_tmp304305;
  struct l_struct_2E_b2PairManager *llvm_cbe_tmp307;
  unsigned short llvm_cbe_tmp268;
  unsigned short llvm_cbe_tmp3_2e_i12;
  unsigned int llvm_cbe_tmp309;
  unsigned int llvm_cbe_storemerge4;
  unsigned int llvm_cbe_storemerge4__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp313;
  unsigned short *llvm_cbe_tmp1_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i;
  unsigned short llvm_cbe_i_2e_i_2e_0;
  unsigned short llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp14_2e_i;
  unsigned short llvm_cbe_tmp27_2e_i;
  unsigned short llvm_cbe_storemerge22;
  unsigned short llvm_cbe_storemerge22__PHI_TEMPORARY;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp5 = *llvm_cbe_tmp4;
  if ((((signed int )llvm_cbe_tmp5) > ((signed int )2047u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb11;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str22212[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 240u, ((&_ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb11:
  llvm_cbe_tmp13 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp14 = *llvm_cbe_tmp13;
  if ((llvm_cbe_tmp14 == ((unsigned short )-1))) {
    goto llvm_cbe_bb18;
  } else {
    goto llvm_cbe_bb22;
  }

llvm_cbe_bb18:
  __assert_fail(((&_2E_str23213[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 241u, ((&_ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb22:
  llvm_cbe_tmp293031 = ((unsigned long long )(unsigned short )llvm_cbe_tmp14);
  llvm_cbe_tmp4_2e_i = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp293031)].field0[((signed long long )0ull)]));
  *llvm_cbe_tmp13 = llvm_cbe_tmp4_2e_i;
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp293031)].field2)) = ((unsigned short )0);
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp293031)].field4)) = llvm_cbe_userData;
  llvm_cbe_tmp45 = llvm_cbe_tmp5 << 1u;
  _ZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABB(llvm_cbe_this, ((&llvm_cbe_lowerValues[((signed long long )0ull)])), ((&llvm_cbe_upperValues[((signed long long )0ull)])), llvm_cbe_aabb);
  llvm_cbe_tmp231 = llvm_cbe_tmp45 + 2u;
  llvm_cbe_axis_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb50;

  do {     /* Syntactic loop 'bb50' to make GCC happy */
llvm_cbe_bb50:
  llvm_cbe_axis_2e_0 = llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp5154 = ((signed long long )(signed int )llvm_cbe_axis_2e_0);
  llvm_cbe_tmp59 = (&llvm_cbe_upperValues[((signed long long )llvm_cbe_tmp5154)]);
  llvm_cbe_tmp60 = *llvm_cbe_tmp59;
  llvm_cbe_tmp64 = (&llvm_cbe_lowerValues[((signed long long )llvm_cbe_tmp5154)]);
  llvm_cbe_tmp65 = *llvm_cbe_tmp64;
  _ZN12b2BroadPhase5QueryEPiS0_ttP7b2Boundii(llvm_cbe_this, (&llvm_cbe_lowerIndex), (&llvm_cbe_upperIndex), llvm_cbe_tmp65, llvm_cbe_tmp60, ((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )0ull)])), llvm_cbe_tmp45, llvm_cbe_axis_2e_0);
  llvm_cbe_tmp74 = *(&llvm_cbe_upperIndex);
  llvm_cbe_tmp7981 = ((signed long long )(signed int )llvm_cbe_tmp74);
  ltmp_34_1 = memmove((((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )(llvm_cbe_tmp7981 + 2ull))])))), (((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp7981)])))), ((((signed long long )(signed int )(llvm_cbe_tmp45 - llvm_cbe_tmp74))) * 6ull));
  llvm_cbe_tmp90 = *(&llvm_cbe_upperIndex);
  llvm_cbe_tmp91 = *(&llvm_cbe_lowerIndex);
  llvm_cbe_tmp9597 = ((signed long long )(signed int )llvm_cbe_tmp91);
  ltmp_35_1 = memmove((((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )(llvm_cbe_tmp9597 + 1ull))])))), (((unsigned char *)((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp9597)])))), ((((signed long long )(signed int )(llvm_cbe_tmp90 - llvm_cbe_tmp91))) * 6ull));
  llvm_cbe_tmp106 = *(&llvm_cbe_upperIndex);
  llvm_cbe_tmp107 = llvm_cbe_tmp106 + 1u;
  *(&llvm_cbe_upperIndex) = llvm_cbe_tmp107;
  llvm_cbe_tmp108 = *(&llvm_cbe_lowerIndex);
  llvm_cbe_tmp108110 = ((signed long long )(signed int )llvm_cbe_tmp108);
  llvm_cbe_tmp115 = *llvm_cbe_tmp64;
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp108110)].field0)) = llvm_cbe_tmp115;
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp108110)].field1)) = llvm_cbe_tmp14;
  llvm_cbe_tmp123125 = ((signed long long )(signed int )llvm_cbe_tmp107);
  llvm_cbe_tmp130 = *llvm_cbe_tmp59;
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp123125)].field0)) = llvm_cbe_tmp130;
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp123125)].field1)) = llvm_cbe_tmp14;
  if ((llvm_cbe_tmp108 == 0u)) {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    goto llvm_cbe_bb155;
  } else {
    goto llvm_cbe_bb146;
  }

llvm_cbe_bb236:
  llvm_cbe_tmp238 = llvm_cbe_axis_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp238) < ((signed int )2u))) {
    llvm_cbe_axis_2e_0__PHI_TEMPORARY = llvm_cbe_tmp238;   /* for PHI node */
    goto llvm_cbe_bb50;
  } else {
    goto llvm_cbe_bb244;
  }

  do {     /* Syntactic loop 'bb229' to make GCC happy */
llvm_cbe_bb229:
  llvm_cbe_storemerge2 = llvm_cbe_storemerge2__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp231) > ((signed int )llvm_cbe_storemerge2))) {
    goto llvm_cbe_bb190;
  } else {
    goto llvm_cbe_bb236;
  }

llvm_cbe_bb226:
  llvm_cbe_tmp228 = llvm_cbe_storemerge2 + 1u;
  llvm_cbe_storemerge2__PHI_TEMPORARY = llvm_cbe_tmp228;   /* for PHI node */
  goto llvm_cbe_bb229;

llvm_cbe_bb210:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp199200201)].field0[((signed long long )llvm_cbe_tmp5154)])) = llvm_cbe_tmp212213;
  goto llvm_cbe_bb226;

llvm_cbe_bb190:
  llvm_cbe_tmp195196 = ((signed long long )(signed int )llvm_cbe_storemerge2);
  llvm_cbe_tmp199 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp195196)].field1));
  llvm_cbe_tmp199200201 = ((unsigned long long )(unsigned short )llvm_cbe_tmp199);
  llvm_cbe_tmp3_2e_i8 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp195196)].field0));
  llvm_cbe_tmp212213 = ((unsigned short )llvm_cbe_storemerge2);
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i8)) & 1u) == 0u)) {
    goto llvm_cbe_bb210;
  } else {
    goto llvm_cbe_bb218;
  }

llvm_cbe_bb218:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp199200201)].field1[((signed long long )llvm_cbe_tmp5154)])) = llvm_cbe_tmp212213;
  goto llvm_cbe_bb226;

  } while (1); /* end of syntactic loop 'bb229' */
  do {     /* Syntactic loop 'bb182' to make GCC happy */
llvm_cbe_bb182:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1) < ((signed int )llvm_cbe_tmp107))) {
    goto llvm_cbe_bb171;
  } else {
    llvm_cbe_storemerge2__PHI_TEMPORARY = llvm_cbe_tmp108;   /* for PHI node */
    goto llvm_cbe_bb229;
  }

llvm_cbe_bb171:
  llvm_cbe_tmp176 = (&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1)))].field2);
  llvm_cbe_tmp177 = *llvm_cbe_tmp176;
  *llvm_cbe_tmp176 = (((unsigned short )(llvm_cbe_tmp177 + ((unsigned short )1))));
  llvm_cbe_tmp181 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp181;   /* for PHI node */
  goto llvm_cbe_bb182;

  } while (1); /* end of syntactic loop 'bb182' */
llvm_cbe_bb155:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp108110)].field2)) = llvm_cbe_storemerge;
  llvm_cbe_tmp168 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp106)))].field2));
  *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )llvm_cbe_tmp123125)].field2)) = llvm_cbe_tmp168;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp108;   /* for PHI node */
  goto llvm_cbe_bb182;

llvm_cbe_bb146:
  llvm_cbe_tmp153 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp5154)][((signed long long )(((signed long long )(signed int )(llvm_cbe_tmp108 + 4294967295u))))].field2));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp153;   /* for PHI node */
  goto llvm_cbe_bb155;

  } while (1); /* end of syntactic loop 'bb50' */
llvm_cbe_bb244:
  llvm_cbe_tmp247 = *llvm_cbe_tmp4;
  *llvm_cbe_tmp4 = (llvm_cbe_tmp247 + 1u);
  llvm_cbe_tmp252 = (&llvm_cbe_this->field5);
  llvm_cbe_tmp253 = *llvm_cbe_tmp252;
  if ((((signed int )llvm_cbe_tmp253) > ((signed int )2047u))) {
    goto llvm_cbe_bb257;
  } else {
    goto llvm_cbe_bb261;
  }

llvm_cbe_bb257:
  __assert_fail(((&_2E_str7197[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 299u, ((&_ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb261:
  llvm_cbe_tmp304305 = ((unsigned int )(unsigned short )llvm_cbe_tmp14);
  llvm_cbe_tmp307 = (&llvm_cbe_this->field0);
  llvm_cbe_storemerge4__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb310;

llvm_cbe_bb272:
  __assert_fail(((&_2E_str11201[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 304u, ((&_ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb292:
  __assert_fail(((&_2E_str21211[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 305u, ((&_ZZN12b2BroadPhase11CreateProxyERK6b2AABBPvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb310' to make GCC happy */
llvm_cbe_bb310:
  llvm_cbe_storemerge4 = llvm_cbe_storemerge4__PHI_TEMPORARY;
  llvm_cbe_tmp313 = *llvm_cbe_tmp252;
  if ((((signed int )llvm_cbe_tmp313) > ((signed int )llvm_cbe_storemerge4))) {
    goto llvm_cbe_bb262;
  } else {
    goto llvm_cbe_bb318;
  }

llvm_cbe_bb296:
  _ZN13b2PairManager15AddBufferedPairEii(llvm_cbe_tmp307, llvm_cbe_tmp304305, (((unsigned int )(unsigned short )llvm_cbe_tmp268)));
  llvm_cbe_tmp309 = llvm_cbe_storemerge4 + 1u;
  llvm_cbe_storemerge4__PHI_TEMPORARY = llvm_cbe_tmp309;   /* for PHI node */
  goto llvm_cbe_bb310;

llvm_cbe_bb276:
  llvm_cbe_tmp3_2e_i12 = *((&llvm_cbe_this->field1[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp268)))].field2));
  if ((llvm_cbe_tmp3_2e_i12 == ((unsigned short )-1))) {
    goto llvm_cbe_bb292;
  } else {
    goto llvm_cbe_bb296;
  }

llvm_cbe_bb262:
  llvm_cbe_tmp268 = *((&llvm_cbe_this->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge4)))]));
  if ((((unsigned short )llvm_cbe_tmp268) > ((unsigned short )((unsigned short )2047)))) {
    goto llvm_cbe_bb272;
  } else {
    goto llvm_cbe_bb276;
  }

  } while (1); /* end of syntactic loop 'bb310' */
llvm_cbe_bb318:
  _ZN13b2PairManager6CommitEv(llvm_cbe_tmp307);
  *llvm_cbe_tmp252 = 0u;
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_this->field9);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  if ((llvm_cbe_tmp2_2e_i == ((unsigned short )-1))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = ((unsigned short )0);   /* for PHI node */
    goto llvm_cbe_bb5_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i;
  }

  do {     /* Syntactic loop 'bb5.i' to make GCC happy */
llvm_cbe_bb5_2e_i:
  llvm_cbe_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  *((&llvm_cbe_this->field1[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_i_2e_i_2e_0)))].field3)) = ((unsigned short )0);
  llvm_cbe_tmp14_2e_i = ((unsigned short )(llvm_cbe_i_2e_i_2e_0 + ((unsigned short )1)));
  if ((((unsigned short )llvm_cbe_tmp14_2e_i) < ((unsigned short )((unsigned short )2048)))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp14_2e_i;   /* for PHI node */
    goto llvm_cbe_bb5_2e_i;
  } else {
    llvm_cbe_storemerge22__PHI_TEMPORARY = ((unsigned short )1);   /* for PHI node */
    goto llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit;
  }

  } while (1); /* end of syntactic loop 'bb5.i' */
llvm_cbe_bb23_2e_i:
  llvm_cbe_tmp27_2e_i = ((unsigned short )(llvm_cbe_tmp2_2e_i + ((unsigned short )1)));
  llvm_cbe_storemerge22__PHI_TEMPORARY = llvm_cbe_tmp27_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit;

llvm_cbe__ZN12b2BroadPhase18IncrementTimeStampEv_2e_exit:
  llvm_cbe_storemerge22 = llvm_cbe_storemerge22__PHI_TEMPORARY;
  *llvm_cbe_tmp1_2e_i = llvm_cbe_storemerge22;
  return llvm_cbe_tmp14;
}


static unsigned char *_ZN16b2ContactManager9PairAddedEPvS0_(struct l_struct_2E_b2ContactManager *llvm_cbe_this, unsigned char *llvm_cbe_proxyUserData1, unsigned char *llvm_cbe_proxyUserData2) {
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Shape *llvm_cbe_tmp12;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp34;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i21;
  unsigned short llvm_cbe_tmp3_2e_i51;
  unsigned short llvm_cbe_tmp3_2e_i46;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp2_2e_i25;
  struct l_struct_2E_b2Body *llvm_cbe_tmp6_2e_i26;
  struct l_struct_2E_b2JointEdge **llvm_cbe_tmp21_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_storemerge1_2e_in_2e_i;
  struct l_struct_2E_b2JointEdge **llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2JointEdge *llvm_cbe_storemerge1_2e_i;
  struct l_struct_2E_b2Joint *llvm_cbe_tmp13_2e_i;
  unsigned char llvm_cbe_tmp15_2e_i30;
  struct l_struct_2E_b2World **llvm_cbe_tmp53;
  struct l_struct_2E_b2World *llvm_cbe_tmp54;
  struct l_struct_2E_Os *llvm_cbe_tmp56;
  unsigned int  (**llvm_cbe_tmp72) ();
  unsigned int  (*llvm_cbe_tmp74) ();
  unsigned char llvm_cbe_tmp83;
  struct l_struct_2E_b2World *llvm_cbe_tmp102;
  struct l_struct_2E_b2BlockAllocator *llvm_cbe_tmp103;
  bool llvm_cbe_tmp2_2e_b_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i13_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i17_2e_i;
  unsigned long long llvm_cbe_tmp3840_2e_i;
  unsigned long long llvm_cbe_tmp3942_2e_i;
  struct l_struct_2E_b2Contact * (*llvm_cbe_tmp45_2e_i) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Shape *, struct l_struct_2E_b2BlockAllocator *);
  unsigned char llvm_cbe_tmp58_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp65_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp71_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i;
  unsigned int  (***llvm_cbe_tmp74_2e_i) ();
  unsigned int  (**llvm_cbe_tmp75_2e_i) ();
  unsigned int  (*llvm_cbe_tmp77_2e_i) ();
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp80_2e_i;
  unsigned long long llvm_cbe_tmp8182_2e_i;
  float llvm_cbe_tmp3_2e_i6_2e_i;
  float llvm_cbe_tmp7_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i_2e_i68__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i_2e_i75__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_i757677_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp92_2e_i59__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp95_2e_i63__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp97_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload80;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i16;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload81;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i12;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i8;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i4;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload82;
  struct l_struct_2E_b2World *llvm_cbe_tmp128;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp130;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload83;
  struct l_struct_2E_b2World *llvm_cbe_tmp135;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp137;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload84;
  struct l_struct_2E_b2World *llvm_cbe_tmp152;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload85;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload86;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload87;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload88;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload89;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp167;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp168;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload90;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp174;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload91;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload92;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload93;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload94;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload95;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload96;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp202;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp203;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload97;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp209;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload98;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload78;
  struct l_struct_2E_b2World *llvm_cbe_tmp227;
  unsigned int *llvm_cbe_tmp228;
  unsigned int llvm_cbe_tmp229;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp1_2e_i_2e_0_2e_reload79;

  llvm_cbe_tmp12 = ((struct l_struct_2E_b2Shape *)llvm_cbe_proxyUserData1);
  llvm_cbe_tmp34 = ((struct l_struct_2E_b2Shape *)llvm_cbe_proxyUserData2);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp12->field3));
  llvm_cbe_tmp3_2e_i21 = *((&llvm_cbe_tmp34->field3));
  llvm_cbe_tmp3_2e_i51 = *((&llvm_cbe_tmp3_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i51 == ((unsigned short )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb28;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i46 = *((&llvm_cbe_tmp3_2e_i21->field1));
  if ((llvm_cbe_tmp3_2e_i46 == ((unsigned short )0))) {
    goto llvm_cbe_bb24;
  } else {
    goto llvm_cbe_bb28;
  }

llvm_cbe_bb24:
  return (((unsigned char *)((&llvm_cbe_this->field2))));
llvm_cbe_bb28:
  if ((llvm_cbe_tmp3_2e_i == llvm_cbe_tmp3_2e_i21)) {
    goto llvm_cbe_bb37;
  } else {
    goto llvm_cbe_bb41;
  }

llvm_cbe_bb37:
  return (((unsigned char *)((&llvm_cbe_this->field2))));
llvm_cbe_bb41:
  llvm_cbe_tmp2_2e_i25 = (&llvm_cbe_tmp3_2e_i21->field13);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp2_2e_i25;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i33;

  do {     /* Syntactic loop 'bb23.i33' to make GCC happy */
llvm_cbe_bb23_2e_i33:
  llvm_cbe_storemerge1_2e_in_2e_i = llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i = *llvm_cbe_storemerge1_2e_in_2e_i;
  if ((llvm_cbe_storemerge1_2e_i == ((struct l_struct_2E_b2JointEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb51;
  } else {
    goto llvm_cbe_bb_2e_i28;
  }

llvm_cbe_bb19_2e_i31:
  llvm_cbe_tmp21_2e_i = (&llvm_cbe_storemerge1_2e_i->field3);
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i;   /* for PHI node */
  goto llvm_cbe_bb23_2e_i33;

llvm_cbe_bb_2e_i28:
  llvm_cbe_tmp6_2e_i26 = *((&llvm_cbe_storemerge1_2e_i->field0));
  if ((llvm_cbe_tmp6_2e_i26 == llvm_cbe_tmp3_2e_i)) {
    goto llvm_cbe__ZNK6b2Body11IsConnectedEPKS__2e_exit;
  } else {
    goto llvm_cbe_bb19_2e_i31;
  }

  } while (1); /* end of syntactic loop 'bb23.i33' */
llvm_cbe__ZNK6b2Body11IsConnectedEPKS__2e_exit:
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_storemerge1_2e_i->field1));
  llvm_cbe_tmp15_2e_i30 = *((&llvm_cbe_tmp13_2e_i->field10));
  if ((llvm_cbe_tmp15_2e_i30 == ((unsigned char )0))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb51;
  }

llvm_cbe_bb47:
  return (((unsigned char *)((&llvm_cbe_this->field2))));
llvm_cbe_bb51:
  llvm_cbe_tmp53 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp54 = *llvm_cbe_tmp53;
  llvm_cbe_tmp56 = *((&llvm_cbe_tmp54->field16));
  if ((llvm_cbe_tmp56 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb99;
  } else {
    goto llvm_cbe_bb60;
  }

llvm_cbe_bb60:
  llvm_cbe_tmp72 = *((&llvm_cbe_tmp56->field0));
  llvm_cbe_tmp74 = *((&llvm_cbe_tmp72[((signed long long )2ull)]));
  llvm_cbe_tmp83 = (((unsigned char  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Shape *))llvm_cbe_tmp74))(llvm_cbe_tmp56, llvm_cbe_tmp12, llvm_cbe_tmp34);
  if ((llvm_cbe_tmp83 == ((unsigned char )0))) {
    goto llvm_cbe_bb95;
  } else {
    goto llvm_cbe_bb99;
  }

llvm_cbe_bb95:
  return (((unsigned char *)((&llvm_cbe_this->field2))));
llvm_cbe_bb99:
  llvm_cbe_tmp102 = *llvm_cbe_tmp53;
  llvm_cbe_tmp103 = (&llvm_cbe_tmp102->field0);
  llvm_cbe_tmp2_2e_b_2e_i = ((*(&_ZN9b2Contact13s_initializedE_2E_b))&1);
  if (llvm_cbe_tmp2_2e_b_2e_i) {
    goto llvm_cbe_bb5_2e_i;
  } else {
    goto llvm_cbe_bb26_2e_i_2e_i_2e_i;
  }

llvm_cbe_bb26_2e_i_2e_i_2e_i:
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )0ull)].field0)) = _ZN15b2CircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )0ull)].field1)) = _ZN15b2CircleContact7DestroyEP9b2ContactP16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )0ull)].field2)) = ((unsigned char )1);
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )0ull)].field0)) = _ZN22b2PolyAndCircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )0ull)].field1)) = _ZN22b2PolyAndCircleContact7DestroyEP9b2ContactP16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )0ull)].field2)) = ((unsigned char )1);
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )1ull)].field0)) = _ZN22b2PolyAndCircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )1ull)].field1)) = _ZN22b2PolyAndCircleContact7DestroyEP9b2ContactP16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )0ull)][((signed long long )1ull)].field2)) = ((unsigned char )0);
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )1ull)].field0)) = _ZN16b2PolygonContact6CreateEP7b2ShapeS1_P16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )1ull)].field1)) = _ZN16b2PolygonContact7DestroyEP9b2ContactP16b2BlockAllocator;
  *((&_ZN9b2Contact11s_registersE[((signed long long )1ull)][((signed long long )1ull)].field2)) = ((unsigned char )1);
  *(&_ZN9b2Contact13s_initializedE_2E_b) = ((1) & 1);
  goto llvm_cbe_bb5_2e_i;

llvm_cbe_bb5_2e_i:
  llvm_cbe_tmp3_2e_i13_2e_i = *((&llvm_cbe_tmp12->field1));
  llvm_cbe_tmp3_2e_i17_2e_i = *((&llvm_cbe_tmp34->field1));
  if ((((unsigned int )llvm_cbe_tmp3_2e_i13_2e_i) < ((unsigned int )2u))) {
    goto llvm_cbe_bb23_2e_i;
  } else {
    goto llvm_cbe_bb19_2e_i;
  }

llvm_cbe_bb19_2e_i:
  __assert_fail(((&_2E_str2217[((signed long long )0ull)])), ((&_2E_str1216[((signed long long )0ull)])), 69u, ((&_ZZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb23_2e_i:
  if ((((unsigned int )llvm_cbe_tmp3_2e_i17_2e_i) < ((unsigned int )2u))) {
    goto llvm_cbe_bb37_2e_i;
  } else {
    goto llvm_cbe_bb33_2e_i;
  }

llvm_cbe_bb33_2e_i:
  __assert_fail(((&_2E_str3218[((signed long long )0ull)])), ((&_2E_str1216[((signed long long )0ull)])), 70u, ((&_ZZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb37_2e_i:
  llvm_cbe_tmp3840_2e_i = ((signed long long )(signed int )llvm_cbe_tmp3_2e_i13_2e_i);
  llvm_cbe_tmp3942_2e_i = ((signed long long )(signed int )llvm_cbe_tmp3_2e_i17_2e_i);
  llvm_cbe_tmp45_2e_i = *((&_ZN9b2Contact11s_registersE[((signed long long )llvm_cbe_tmp3840_2e_i)][((signed long long )llvm_cbe_tmp3942_2e_i)].field0));
  if ((llvm_cbe_tmp45_2e_i == ((struct l_struct_2E_b2Contact * (*) (struct l_struct_2E_b2Shape *, struct l_struct_2E_b2Shape *, struct l_struct_2E_b2BlockAllocator *))/*NULL*/0))) {
    goto llvm_cbe__ZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocator_2e_exit_2e_thread;
  } else {
    goto llvm_cbe_bb50_2e_i;
  }

llvm_cbe_bb50_2e_i:
  llvm_cbe_tmp58_2e_i = *((&_ZN9b2Contact11s_registersE[((signed long long )llvm_cbe_tmp3840_2e_i)][((signed long long )llvm_cbe_tmp3942_2e_i)].field2));
  if ((llvm_cbe_tmp58_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb66_2e_i;
  } else {
    goto llvm_cbe_bb60_2e_i;
  }

llvm_cbe_bb60_2e_i:
  llvm_cbe_tmp65_2e_i = llvm_cbe_tmp45_2e_i(llvm_cbe_tmp12, llvm_cbe_tmp34, llvm_cbe_tmp103);
  llvm_cbe_tmp1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp65_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocator_2e_exit;

llvm_cbe_bb66_2e_i:
  llvm_cbe_tmp71_2e_i = llvm_cbe_tmp45_2e_i(llvm_cbe_tmp34, llvm_cbe_tmp12, llvm_cbe_tmp103);
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_tmp71_2e_i->field2);
  llvm_cbe_tmp74_2e_i = (&llvm_cbe_tmp71_2e_i->field0);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb98_2e_i;

  do {     /* Syntactic loop 'bb98.i' to make GCC happy */
llvm_cbe_bb98_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb72_2e_i;
  } else {
    llvm_cbe_tmp1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp71_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocator_2e_exit;
  }

llvm_cbe_bb72_2e_i:
  llvm_cbe_tmp75_2e_i = *llvm_cbe_tmp74_2e_i;
  llvm_cbe_tmp77_2e_i = *llvm_cbe_tmp75_2e_i;
  llvm_cbe_tmp80_2e_i = (((struct l_struct_2E_b2Manifold * (*) (struct l_struct_2E_b2Contact *))llvm_cbe_tmp77_2e_i))(llvm_cbe_tmp71_2e_i);
  llvm_cbe_tmp8182_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i);
  llvm_cbe_tmp3_2e_i6_2e_i = *((&llvm_cbe_tmp80_2e_i[((signed long long )llvm_cbe_tmp8182_2e_i)].field1.field1));
  llvm_cbe_tmp7_2e_i_2e_i = *((&llvm_cbe_tmp80_2e_i[((signed long long )llvm_cbe_tmp8182_2e_i)].field1.field0));
  llvm_cbe_tmp20_2e_i_2e_i757677_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i_2e_i68__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp7_2e_i_2e_i)))), llvm_cbe_tmp17_2e_i_2e_i68__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i_2e_i75__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp3_2e_i6_2e_i)))), llvm_cbe_tmp20_2e_i_2e_i75__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp80_2e_i[((signed long long )llvm_cbe_tmp8182_2e_i)].field1.field0)) = ((llvm_cbe_tmp92_2e_i59__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i_2e_i757677_2e_ins)), llvm_cbe_tmp92_2e_i59__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp80_2e_i[((signed long long )llvm_cbe_tmp8182_2e_i)].field1.field1)) = ((llvm_cbe_tmp95_2e_i63__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i_2e_i757677_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp95_2e_i63__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp97_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp97_2e_i;   /* for PHI node */
  goto llvm_cbe_bb98_2e_i;

  } while (1); /* end of syntactic loop 'bb98.i' */
llvm_cbe__ZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocator_2e_exit_2e_thread:
  *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  goto llvm_cbe_bb111;

llvm_cbe__ZN9b2Contact6CreateEP7b2ShapeS1_P16b2BlockAllocator_2e_exit:
  llvm_cbe_tmp1_2e_i_2e_0 = llvm_cbe_tmp1_2e_i_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem) = llvm_cbe_tmp1_2e_i_2e_0;
  if ((llvm_cbe_tmp1_2e_i_2e_0 == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb111;
  } else {
    goto llvm_cbe_bb115;
  }

llvm_cbe_bb111:
  return (((unsigned char *)((&llvm_cbe_this->field2))));
llvm_cbe_bb115:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload80 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp3_2e_i16 = *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload80->field7));
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload81 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp3_2e_i12 = *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload81->field8));
  llvm_cbe_tmp3_2e_i8 = *((&llvm_cbe_tmp3_2e_i16->field3));
  llvm_cbe_tmp3_2e_i4 = *((&llvm_cbe_tmp3_2e_i12->field3));
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload82 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload82->field3)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  llvm_cbe_tmp128 = *llvm_cbe_tmp53;
  llvm_cbe_tmp130 = *((&llvm_cbe_tmp128->field7));
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload83 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload83->field4)) = llvm_cbe_tmp130;
  llvm_cbe_tmp135 = *llvm_cbe_tmp53;
  llvm_cbe_tmp137 = *((&llvm_cbe_tmp135->field7));
  if ((llvm_cbe_tmp137 == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb149;
  } else {
    goto llvm_cbe_bb141;
  }

llvm_cbe_bb141:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload84 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp137->field3)) = llvm_cbe_tmp1_2e_i_2e_0_2e_reload84;
  goto llvm_cbe_bb149;

llvm_cbe_bb149:
  llvm_cbe_tmp152 = *llvm_cbe_tmp53;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload85 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp152->field7)) = llvm_cbe_tmp1_2e_i_2e_0_2e_reload85;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload86 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload87 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload86->field5.field1)) = llvm_cbe_tmp1_2e_i_2e_0_2e_reload87;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload88 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload88->field5.field0)) = llvm_cbe_tmp3_2e_i4;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload89 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload89->field5.field2)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  llvm_cbe_tmp167 = (&llvm_cbe_tmp3_2e_i8->field14);
  llvm_cbe_tmp168 = *llvm_cbe_tmp167;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload90 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload90->field5.field3)) = llvm_cbe_tmp168;
  llvm_cbe_tmp174 = *llvm_cbe_tmp167;
  if ((llvm_cbe_tmp174 == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb185;
  } else {
    goto llvm_cbe_bb178;
  }

llvm_cbe_bb178:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload91 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp174->field2)) = ((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload91->field5));
  goto llvm_cbe_bb185;

llvm_cbe_bb185:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload92 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *llvm_cbe_tmp167 = ((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload92->field5));
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload93 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload94 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload93->field6.field1)) = llvm_cbe_tmp1_2e_i_2e_0_2e_reload94;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload95 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload95->field6.field0)) = llvm_cbe_tmp3_2e_i8;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload96 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload96->field6.field2)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  llvm_cbe_tmp202 = (&llvm_cbe_tmp3_2e_i4->field14);
  llvm_cbe_tmp203 = *llvm_cbe_tmp202;
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload97 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload97->field6.field3)) = llvm_cbe_tmp203;
  llvm_cbe_tmp209 = *llvm_cbe_tmp202;
  if ((llvm_cbe_tmp209 == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb220;
  } else {
    goto llvm_cbe_bb213;
  }

llvm_cbe_bb213:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload98 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *((&llvm_cbe_tmp209->field2)) = ((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload98->field6));
  goto llvm_cbe_bb220;

llvm_cbe_bb220:
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload78 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  *llvm_cbe_tmp202 = ((&llvm_cbe_tmp1_2e_i_2e_0_2e_reload78->field6));
  llvm_cbe_tmp227 = *llvm_cbe_tmp53;
  llvm_cbe_tmp228 = (&llvm_cbe_tmp227->field9);
  llvm_cbe_tmp229 = *llvm_cbe_tmp228;
  *llvm_cbe_tmp228 = (llvm_cbe_tmp229 + 1u);
  llvm_cbe_tmp1_2e_i_2e_0_2e_reload79 = *(&llvm_cbe_tmp1_2e_i_2e_0_2e_reg2mem);
  return (((unsigned char *)llvm_cbe_tmp1_2e_i_2e_0_2e_reload79));
}


static unsigned long long _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(struct l_struct_2E_b2Body *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_localPoint) {
  unsigned long long llvm_cbe_tmp5_2e_i;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i101__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i107__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i151__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i158__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i158159160_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i_2e_i150__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i_2e_i156__BITCAST_TEMPORARY;
  float llvm_cbe_tmp20_2e_i60;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i136_2e_i179__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i139_2e_i186__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i139_2e_i186187188_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i142_2e_i178__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i145_2e_i184__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i65_2e_i;
  float llvm_cbe_tmp10_2e_i72_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i91_2e_i165__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i94_2e_i172__BITCAST_TEMPORARY;

  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_this->field2)), llvm_cbe_localPoint);
  llvm_cbe_tmp6_2e_i_2e_i = *((&llvm_cbe_this->field3.field2.field1));
  llvm_cbe_tmp13_2e_i_2e_i = *((&llvm_cbe_this->field3.field2.field0));
  llvm_cbe_tmp26_2e_i_2e_i158159160_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i151__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp21_2e_i101__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i)), llvm_cbe_tmp21_2e_i101__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i_2e_i))), llvm_cbe_tmp23_2e_i_2e_i151__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i158__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp24_2e_i107__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i107__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i_2e_i))), llvm_cbe_tmp26_2e_i_2e_i158__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp20_2e_i60 = *((&llvm_cbe_this->field5));
  llvm_cbe_tmp23_2e_i139_2e_i186187188_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i136_2e_i179__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i_2e_i156__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i158159160_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i_2e_i156__BITCAST_TEMPORARY.Float)) * (((float )(-(llvm_cbe_tmp20_2e_i60))))))), llvm_cbe_tmp20_2e_i136_2e_i179__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i139_2e_i186__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i_2e_i150__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i158159160_2e_ins)), llvm_cbe_tmp29_2e_i_2e_i150__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp20_2e_i60))), llvm_cbe_tmp23_2e_i139_2e_i186__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i65_2e_i = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp10_2e_i72_2e_i = *((&llvm_cbe_this->field4.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i91_2e_i165__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i72_2e_i + ((llvm_cbe_tmp26_2e_i142_2e_i178__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i139_2e_i186187188_2e_ins)), llvm_cbe_tmp26_2e_i142_2e_i178__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i91_2e_i165__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i94_2e_i172__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i65_2e_i + ((llvm_cbe_tmp29_2e_i145_2e_i184__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i139_2e_i186187188_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i145_2e_i184__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i94_2e_i172__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static void _ZN16b2ContactManagerD0Ev(struct l_struct_2E_b2ContactManager *llvm_cbe_this) {
  *((&llvm_cbe_this->field2.field0.field0)) = ((&_ZTV13b2NullContact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field2.field0.field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV14b2PairCallback[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN16b2ContactManager11PairRemovedEPvS0_S0_(struct l_struct_2E_b2ContactManager *llvm_cbe_this, unsigned char *llvm_cbe_proxyUserData1, unsigned char *llvm_cbe_proxyUserData2, unsigned char *llvm_cbe_pairUserData) {
  struct l_struct_2E_b2ContactPoint llvm_cbe_cp_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Contact *llvm_cbe_tmp34;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp2_2e_i45_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i46_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i67_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i68_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp16_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp17_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp19_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i72_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i117_2e_i;
  unsigned int  (**llvm_cbe_tmp30_2e_i) ();
  unsigned int  (*llvm_cbe_tmp32_2e_i) ();
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp35_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i107_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i103_2e_i;
  float llvm_cbe_tmp44_2e_i;
  float llvm_cbe_tmp48_2e_i;
  float *llvm_cbe_tmp64_2e_i;
  float *llvm_cbe_tmp67_2e_i;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp3_2e_i80_2e_i;
  float *llvm_cbe_tmp83_2e_i;
  float *llvm_cbe_tmp86_2e_i;
  float *llvm_cbe_tmp114_2e_i;
  float *llvm_cbe_tmp117_2e_i;
  float *llvm_cbe_tmp123_2e_i;
  unsigned int *llvm_cbe_tmp130_2e_i;
  unsigned long long llvm_cbe_tmp5253_2e_i;
  float llvm_cbe_tmp59_2e_i;
  float llvm_cbe_tmp62_2e_i;
  unsigned int *llvm_cbe_tmp157_2e_i;
  unsigned long long llvm_cbe_tmp7475_2e_i;
  unsigned long long llvm_cbe_tmp5_2e_i82_2e_i;
  llvmBitCastUnion llvm_cbe_tmp85_2e_i3__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp88_2e_i7__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp92_2e_i;
  llvmBitCastUnion llvm_cbe_tmp96_2e_i10__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp99_2e_i14__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp103_2e_i;
  llvmBitCastUnion llvm_cbe_tmp107_2e_i17__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp110_2e_i21__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i33__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i40__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i404142_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp116_2e_i24__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp119_2e_i28__BITCAST_TEMPORARY;
  float llvm_cbe_tmp122_2e_i;
  unsigned int llvm_cbe_tmp128_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp140_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp142_2e_i;
  unsigned int  (**llvm_cbe_tmp144_2e_i) ();
  unsigned int  (*llvm_cbe_tmp146_2e_i) ();
  unsigned int llvm_cbe_tmp154_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp158_2e_i;
  unsigned int llvm_cbe_tmp165_2e_i;
  unsigned int llvm_cbe_storemerge35_2e_i;
  unsigned int llvm_cbe_storemerge35_2e_i__PHI_TEMPORARY;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp174_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp175_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp185_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp189_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp190_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp200_2e_i;
  struct l_struct_2E_b2World **llvm_cbe_tmp204_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp205_2e_i;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp206_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp207_2e_i;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp218_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i42_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i38_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp227_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp228_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp240_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp245_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp246_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp258_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp264_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp265_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp273_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp279_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp280_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp292_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp297_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp298_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp310_2e_i;
  struct l_struct_2E_b2ContactEdge **llvm_cbe_tmp316_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp317_2e_i;
  struct l_struct_2E_b2ContactEdge *llvm_cbe_tmp325_2e_i;
  struct l_struct_2E_b2World *llvm_cbe_tmp331_2e_i;
  struct l_struct_2E_b2BlockAllocator *llvm_cbe_tmp332_2e_i;
  bool llvm_cbe_tmp_2e_b_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i3_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i41_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i32_2e_i_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i33_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i29_2e_i_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i25_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp1_2e_i_2e_i_2e_i;
  unsigned short llvm_cbe_tmp2_2e_i21_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i19_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i15_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i11_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i7_2e_i_2e_i;
  void  (*llvm_cbe_tmp62_2e_i_2e_i) (struct l_struct_2E_b2Contact *, struct l_struct_2E_b2BlockAllocator *);
  struct l_struct_2E_b2World *llvm_cbe_tmp336_2e_i;
  unsigned int *llvm_cbe_tmp337_2e_i;
  unsigned int llvm_cbe_tmp338_2e_i;

  if ((llvm_cbe_pairUserData == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp34 = ((struct l_struct_2E_b2Contact *)llvm_cbe_pairUserData);
  if ((((&llvm_cbe_this->field2.field0)) == llvm_cbe_tmp34)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb12;
  }

llvm_cbe_bb12:
  llvm_cbe_tmp2_2e_i_2e_i = (&llvm_cbe_tmp34->field7);
  llvm_cbe_tmp3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp2_2e_i45_2e_i = (&llvm_cbe_tmp34->field8);
  llvm_cbe_tmp3_2e_i46_2e_i = *llvm_cbe_tmp2_2e_i45_2e_i;
  llvm_cbe_tmp2_2e_i67_2e_i = (&llvm_cbe_tmp34->field2);
  llvm_cbe_tmp3_2e_i68_2e_i = *llvm_cbe_tmp2_2e_i67_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i68_2e_i) > ((signed int )0u))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb172_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp16_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp17_2e_i = *llvm_cbe_tmp16_2e_i;
  llvm_cbe_tmp19_2e_i = *((&llvm_cbe_tmp17_2e_i->field17));
  if ((llvm_cbe_tmp19_2e_i == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_bb172_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i;
  }

llvm_cbe_bb23_2e_i:
  llvm_cbe_tmp3_2e_i72_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i->field3));
  llvm_cbe_tmp3_2e_i117_2e_i = *((&llvm_cbe_tmp3_2e_i46_2e_i->field3));
  llvm_cbe_tmp30_2e_i = *(((unsigned int  (***) ())llvm_cbe_pairUserData));
  llvm_cbe_tmp32_2e_i = *llvm_cbe_tmp30_2e_i;
  llvm_cbe_tmp35_2e_i = (((struct l_struct_2E_b2Manifold * (*) (struct l_struct_2E_b2Contact *))llvm_cbe_tmp32_2e_i))(llvm_cbe_tmp34);
  llvm_cbe_tmp3_2e_i107_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  *((&llvm_cbe_cp_2e_i.field0)) = llvm_cbe_tmp3_2e_i107_2e_i;
  llvm_cbe_tmp3_2e_i103_2e_i = *llvm_cbe_tmp2_2e_i45_2e_i;
  *((&llvm_cbe_cp_2e_i.field1)) = llvm_cbe_tmp3_2e_i103_2e_i;
  llvm_cbe_tmp44_2e_i = *((&llvm_cbe_tmp34->field9));
  *((&llvm_cbe_cp_2e_i.field6)) = llvm_cbe_tmp44_2e_i;
  llvm_cbe_tmp48_2e_i = *((&llvm_cbe_tmp34->field10));
  *((&llvm_cbe_cp_2e_i.field7)) = llvm_cbe_tmp48_2e_i;
  llvm_cbe_tmp64_2e_i = (&llvm_cbe_cp_2e_i.field4.field0);
  llvm_cbe_tmp67_2e_i = (&llvm_cbe_cp_2e_i.field4.field1);
  llvm_cbe_tmp3_2e_i80_2e_i = (&llvm_cbe_tmp3_2e_i72_2e_i->field2);
  llvm_cbe_tmp83_2e_i = (&llvm_cbe_cp_2e_i.field2.field0);
  llvm_cbe_tmp86_2e_i = (&llvm_cbe_cp_2e_i.field2.field1);
  llvm_cbe_tmp114_2e_i = (&llvm_cbe_cp_2e_i.field3.field0);
  llvm_cbe_tmp117_2e_i = (&llvm_cbe_cp_2e_i.field3.field1);
  llvm_cbe_tmp123_2e_i = (&llvm_cbe_cp_2e_i.field5);
  llvm_cbe_tmp130_2e_i = (&llvm_cbe_cp_2e_i.field8.field0);
  llvm_cbe_storemerge35_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb166_2e_i;

  do {     /* Syntactic loop 'bb166.i' to make GCC happy */
llvm_cbe_bb166_2e_i:
  llvm_cbe_storemerge35_2e_i = llvm_cbe_storemerge35_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge35_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i68_2e_i))) {
    goto llvm_cbe_bb50_2e_i;
  } else {
    goto llvm_cbe_bb172_2e_i;
  }

llvm_cbe_bb163_2e_i:
  llvm_cbe_tmp165_2e_i = llvm_cbe_storemerge35_2e_i + 1u;
  llvm_cbe_storemerge35_2e_i__PHI_TEMPORARY = llvm_cbe_tmp165_2e_i;   /* for PHI node */
  goto llvm_cbe_bb166_2e_i;

  do {     /* Syntactic loop 'bb155.i' to make GCC happy */
llvm_cbe_bb155_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp158_2e_i = *llvm_cbe_tmp157_2e_i;
  if ((((signed int )llvm_cbe_tmp158_2e_i) > ((signed int )llvm_cbe_storemerge_2e_i))) {
    goto llvm_cbe_bb70_2e_i;
  } else {
    goto llvm_cbe_bb163_2e_i;
  }

llvm_cbe_bb70_2e_i:
  llvm_cbe_tmp7475_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i);
  llvm_cbe_tmp5_2e_i82_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp3_2e_i80_2e_i, ((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field0[((signed long long )llvm_cbe_tmp7475_2e_i)].field0)));
  *llvm_cbe_tmp83_2e_i = ((llvm_cbe_tmp85_2e_i3__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i82_2e_i)), llvm_cbe_tmp85_2e_i3__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp86_2e_i = ((llvm_cbe_tmp88_2e_i7__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i82_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp88_2e_i7__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp92_2e_i = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i72_2e_i, ((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field0[((signed long long )llvm_cbe_tmp7475_2e_i)].field0)));
  llvm_cbe_tmp103_2e_i = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i117_2e_i, ((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field0[((signed long long )llvm_cbe_tmp7475_2e_i)].field1)));
  llvm_cbe_tmp26_2e_i_2e_i404142_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i33__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp107_2e_i17__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp103_2e_i)), llvm_cbe_tmp107_2e_i17__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp96_2e_i10__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp92_2e_i)), llvm_cbe_tmp96_2e_i10__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i_2e_i33__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i40__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp110_2e_i21__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp103_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp110_2e_i21__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp99_2e_i14__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp92_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp99_2e_i14__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i_2e_i40__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp114_2e_i = ((llvm_cbe_tmp116_2e_i24__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i404142_2e_ins)), llvm_cbe_tmp116_2e_i24__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp117_2e_i = ((llvm_cbe_tmp119_2e_i28__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i404142_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp119_2e_i28__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp122_2e_i = *((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field0[((signed long long )llvm_cbe_tmp7475_2e_i)].field2));
  *llvm_cbe_tmp123_2e_i = llvm_cbe_tmp122_2e_i;
  llvm_cbe_tmp128_2e_i = *((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field0[((signed long long )llvm_cbe_tmp7475_2e_i)].field5.field0));
  *llvm_cbe_tmp130_2e_i = llvm_cbe_tmp128_2e_i;
  llvm_cbe_tmp140_2e_i = *llvm_cbe_tmp16_2e_i;
  llvm_cbe_tmp142_2e_i = *((&llvm_cbe_tmp140_2e_i->field17));
  llvm_cbe_tmp144_2e_i = *((&llvm_cbe_tmp142_2e_i->field0));
  llvm_cbe_tmp146_2e_i = *((&llvm_cbe_tmp144_2e_i[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp146_2e_i))(llvm_cbe_tmp142_2e_i, (&llvm_cbe_cp_2e_i));
  llvm_cbe_tmp154_2e_i = llvm_cbe_storemerge_2e_i + 1u;
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp154_2e_i;   /* for PHI node */
  goto llvm_cbe_bb155_2e_i;

  } while (1); /* end of syntactic loop 'bb155.i' */
llvm_cbe_bb50_2e_i:
  llvm_cbe_tmp5253_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge35_2e_i);
  llvm_cbe_tmp59_2e_i = *((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field1.field0));
  llvm_cbe_tmp62_2e_i = *((&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field1.field1));
  *llvm_cbe_tmp64_2e_i = llvm_cbe_tmp59_2e_i;
  *llvm_cbe_tmp67_2e_i = llvm_cbe_tmp62_2e_i;
  llvm_cbe_tmp157_2e_i = (&llvm_cbe_tmp35_2e_i[((signed long long )llvm_cbe_tmp5253_2e_i)].field2);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb155_2e_i;

  } while (1); /* end of syntactic loop 'bb166.i' */
llvm_cbe_bb172_2e_i:
  llvm_cbe_tmp174_2e_i = (&llvm_cbe_tmp34->field3);
  llvm_cbe_tmp175_2e_i = *llvm_cbe_tmp174_2e_i;
  if ((llvm_cbe_tmp175_2e_i == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb187_2e_i;
  } else {
    goto llvm_cbe_bb179_2e_i;
  }

llvm_cbe_bb179_2e_i:
  llvm_cbe_tmp185_2e_i = *((&llvm_cbe_tmp34->field4));
  *((&llvm_cbe_tmp175_2e_i->field4)) = llvm_cbe_tmp185_2e_i;
  goto llvm_cbe_bb187_2e_i;

llvm_cbe_bb187_2e_i:
  llvm_cbe_tmp189_2e_i = (&llvm_cbe_tmp34->field4);
  llvm_cbe_tmp190_2e_i = *llvm_cbe_tmp189_2e_i;
  if ((llvm_cbe_tmp190_2e_i == ((struct l_struct_2E_b2Contact *)/*NULL*/0))) {
    goto llvm_cbe_bb202_2e_i;
  } else {
    goto llvm_cbe_bb194_2e_i;
  }

llvm_cbe_bb194_2e_i:
  llvm_cbe_tmp200_2e_i = *llvm_cbe_tmp174_2e_i;
  *((&llvm_cbe_tmp190_2e_i->field3)) = llvm_cbe_tmp200_2e_i;
  goto llvm_cbe_bb202_2e_i;

llvm_cbe_bb202_2e_i:
  llvm_cbe_tmp204_2e_i = (&llvm_cbe_this->field1);
  llvm_cbe_tmp205_2e_i = *llvm_cbe_tmp204_2e_i;
  llvm_cbe_tmp206_2e_i = (&llvm_cbe_tmp205_2e_i->field7);
  llvm_cbe_tmp207_2e_i = *llvm_cbe_tmp206_2e_i;
  if ((llvm_cbe_tmp207_2e_i == llvm_cbe_tmp34)) {
    goto llvm_cbe_bb212_2e_i;
  } else {
    goto llvm_cbe_bb220_2e_i;
  }

llvm_cbe_bb212_2e_i:
  llvm_cbe_tmp218_2e_i = *llvm_cbe_tmp189_2e_i;
  *llvm_cbe_tmp206_2e_i = llvm_cbe_tmp218_2e_i;
  goto llvm_cbe_bb220_2e_i;

llvm_cbe_bb220_2e_i:
  llvm_cbe_tmp3_2e_i42_2e_i = *((&llvm_cbe_tmp3_2e_i_2e_i->field3));
  llvm_cbe_tmp3_2e_i38_2e_i = *((&llvm_cbe_tmp3_2e_i46_2e_i->field3));
  llvm_cbe_tmp227_2e_i = (&llvm_cbe_tmp34->field5.field2);
  llvm_cbe_tmp228_2e_i = *llvm_cbe_tmp227_2e_i;
  if ((llvm_cbe_tmp228_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb242_2e_i;
  } else {
    goto llvm_cbe_bb232_2e_i;
  }

llvm_cbe_bb232_2e_i:
  llvm_cbe_tmp240_2e_i = *((&llvm_cbe_tmp34->field5.field3));
  *((&llvm_cbe_tmp228_2e_i->field3)) = llvm_cbe_tmp240_2e_i;
  goto llvm_cbe_bb242_2e_i;

llvm_cbe_bb242_2e_i:
  llvm_cbe_tmp245_2e_i = (&llvm_cbe_tmp34->field5.field3);
  llvm_cbe_tmp246_2e_i = *llvm_cbe_tmp245_2e_i;
  if ((llvm_cbe_tmp246_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb260_2e_i;
  } else {
    goto llvm_cbe_bb250_2e_i;
  }

llvm_cbe_bb250_2e_i:
  llvm_cbe_tmp258_2e_i = *llvm_cbe_tmp227_2e_i;
  *((&llvm_cbe_tmp246_2e_i->field2)) = llvm_cbe_tmp258_2e_i;
  goto llvm_cbe_bb260_2e_i;

llvm_cbe_bb260_2e_i:
  llvm_cbe_tmp264_2e_i = (&llvm_cbe_tmp3_2e_i42_2e_i->field14);
  llvm_cbe_tmp265_2e_i = *llvm_cbe_tmp264_2e_i;
  if ((((&llvm_cbe_tmp34->field5)) == llvm_cbe_tmp265_2e_i)) {
    goto llvm_cbe_bb269_2e_i;
  } else {
    goto llvm_cbe_bb276_2e_i;
  }

llvm_cbe_bb269_2e_i:
  llvm_cbe_tmp273_2e_i = *llvm_cbe_tmp245_2e_i;
  *llvm_cbe_tmp264_2e_i = llvm_cbe_tmp273_2e_i;
  goto llvm_cbe_bb276_2e_i;

llvm_cbe_bb276_2e_i:
  llvm_cbe_tmp279_2e_i = (&llvm_cbe_tmp34->field6.field2);
  llvm_cbe_tmp280_2e_i = *llvm_cbe_tmp279_2e_i;
  if ((llvm_cbe_tmp280_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb294_2e_i;
  } else {
    goto llvm_cbe_bb284_2e_i;
  }

llvm_cbe_bb284_2e_i:
  llvm_cbe_tmp292_2e_i = *((&llvm_cbe_tmp34->field6.field3));
  *((&llvm_cbe_tmp280_2e_i->field3)) = llvm_cbe_tmp292_2e_i;
  goto llvm_cbe_bb294_2e_i;

llvm_cbe_bb294_2e_i:
  llvm_cbe_tmp297_2e_i = (&llvm_cbe_tmp34->field6.field3);
  llvm_cbe_tmp298_2e_i = *llvm_cbe_tmp297_2e_i;
  if ((llvm_cbe_tmp298_2e_i == ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0))) {
    goto llvm_cbe_bb312_2e_i;
  } else {
    goto llvm_cbe_bb302_2e_i;
  }

llvm_cbe_bb302_2e_i:
  llvm_cbe_tmp310_2e_i = *llvm_cbe_tmp279_2e_i;
  *((&llvm_cbe_tmp298_2e_i->field2)) = llvm_cbe_tmp310_2e_i;
  goto llvm_cbe_bb312_2e_i;

llvm_cbe_bb312_2e_i:
  llvm_cbe_tmp316_2e_i = (&llvm_cbe_tmp3_2e_i38_2e_i->field14);
  llvm_cbe_tmp317_2e_i = *llvm_cbe_tmp316_2e_i;
  if ((((&llvm_cbe_tmp34->field6)) == llvm_cbe_tmp317_2e_i)) {
    goto llvm_cbe_bb321_2e_i;
  } else {
    goto llvm_cbe_bb328_2e_i;
  }

llvm_cbe_bb321_2e_i:
  llvm_cbe_tmp325_2e_i = *llvm_cbe_tmp297_2e_i;
  *llvm_cbe_tmp316_2e_i = llvm_cbe_tmp325_2e_i;
  goto llvm_cbe_bb328_2e_i;

llvm_cbe_bb328_2e_i:
  llvm_cbe_tmp331_2e_i = *llvm_cbe_tmp204_2e_i;
  llvm_cbe_tmp332_2e_i = (&llvm_cbe_tmp331_2e_i->field0);
  llvm_cbe_tmp_2e_b_2e_i_2e_i = ((*(&_ZN9b2Contact13s_initializedE_2E_b))&1);
  if (llvm_cbe_tmp_2e_b_2e_i_2e_i) {
    goto llvm_cbe_bb6_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  __assert_fail(((&_2E_str215[((signed long long )0ull)])), ((&_2E_str1216[((signed long long )0ull)])), 98u, ((&_ZZN9b2Contact7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb6_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i_2e_i = *llvm_cbe_tmp2_2e_i67_2e_i;
  if ((((signed int )llvm_cbe_tmp3_2e_i_2e_i_2e_i) > ((signed int )0u))) {
    goto llvm_cbe_bb13_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb20_2e_i_2e_i;
  }

llvm_cbe_bb13_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i3_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i41_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i3_2e_i_2e_i->field3));
  llvm_cbe_tmp1_2e_i32_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i41_2e_i_2e_i->field0);
  llvm_cbe_tmp2_2e_i33_2e_i_2e_i = *llvm_cbe_tmp1_2e_i32_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i32_2e_i_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i33_2e_i_2e_i & ((unsigned short )-9))));
  *((&llvm_cbe_tmp3_2e_i41_2e_i_2e_i->field21)) = 0x0p+0;
  llvm_cbe_tmp3_2e_i29_2e_i_2e_i = *llvm_cbe_tmp2_2e_i45_2e_i;
  llvm_cbe_tmp3_2e_i25_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i29_2e_i_2e_i->field3));
  llvm_cbe_tmp1_2e_i_2e_i_2e_i = (&llvm_cbe_tmp3_2e_i25_2e_i_2e_i->field0);
  llvm_cbe_tmp2_2e_i21_2e_i_2e_i = *llvm_cbe_tmp1_2e_i_2e_i_2e_i;
  *llvm_cbe_tmp1_2e_i_2e_i_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i21_2e_i_2e_i & ((unsigned short )-9))));
  *((&llvm_cbe_tmp3_2e_i25_2e_i_2e_i->field21)) = 0x0p+0;
  goto llvm_cbe_bb20_2e_i_2e_i;

llvm_cbe_bb20_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i19_2e_i_2e_i = *llvm_cbe_tmp2_2e_i_2e_i;
  llvm_cbe_tmp3_2e_i15_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i19_2e_i_2e_i->field1));
  llvm_cbe_tmp3_2e_i11_2e_i_2e_i = *llvm_cbe_tmp2_2e_i45_2e_i;
  llvm_cbe_tmp3_2e_i7_2e_i_2e_i = *((&llvm_cbe_tmp3_2e_i11_2e_i_2e_i->field1));
  if ((((unsigned int )llvm_cbe_tmp3_2e_i15_2e_i_2e_i) < ((unsigned int )2u))) {
    goto llvm_cbe_bb40_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb36_2e_i_2e_i;
  }

llvm_cbe_bb36_2e_i_2e_i:
  __assert_fail(((&_2E_str2217[((signed long long )0ull)])), ((&_2E_str1216[((signed long long )0ull)])), 109u, ((&_ZZN9b2Contact7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb40_2e_i_2e_i:
  if ((((unsigned int )llvm_cbe_tmp3_2e_i7_2e_i_2e_i) < ((unsigned int )2u))) {
    goto llvm_cbe__ZN16b2ContactManager7DestroyEP9b2Contact_2e_exit;
  } else {
    goto llvm_cbe_bb50_2e_i_2e_i;
  }

llvm_cbe_bb50_2e_i_2e_i:
  __assert_fail(((&_2E_str3218[((signed long long )0ull)])), ((&_2E_str1216[((signed long long )0ull)])), 110u, ((&_ZZN9b2Contact7DestroyEPS_P16b2BlockAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2ContactManager7DestroyEP9b2Contact_2e_exit:
  llvm_cbe_tmp62_2e_i_2e_i = *((&_ZN9b2Contact11s_registersE[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp3_2e_i15_2e_i_2e_i)))][((signed long long )(((signed long long )(signed int )llvm_cbe_tmp3_2e_i7_2e_i_2e_i)))].field1));
  llvm_cbe_tmp62_2e_i_2e_i(llvm_cbe_tmp34, llvm_cbe_tmp332_2e_i);
  llvm_cbe_tmp336_2e_i = *llvm_cbe_tmp204_2e_i;
  llvm_cbe_tmp337_2e_i = (&llvm_cbe_tmp336_2e_i->field9);
  llvm_cbe_tmp338_2e_i = *llvm_cbe_tmp337_2e_i;
  *llvm_cbe_tmp337_2e_i = (llvm_cbe_tmp338_2e_i + 4294967295u);
  return;
llvm_cbe_return:
  return;
}


static unsigned int _ZL12BinarySearchP7b2Boundit(struct l_struct_2E_b2Bound *llvm_cbe_bounds, unsigned int llvm_cbe_count, unsigned short llvm_cbe_value) {
  unsigned int llvm_cbe_high_2e_0_2e_ph_2e_in;
  unsigned int llvm_cbe_high_2e_0_2e_ph_2e_in__PHI_TEMPORARY;
  unsigned int llvm_cbe_low_2e_0_2e_ph;
  unsigned int llvm_cbe_low_2e_0_2e_ph__PHI_TEMPORARY;
  unsigned int llvm_cbe_high_2e_0_2e_ph;
  unsigned int llvm_cbe_tmp6;
  unsigned short llvm_cbe_tmp12;
  unsigned int llvm_cbe_tmp32;
  unsigned int llvm_cbe_low_2e_0;
  unsigned int llvm_cbe_low_2e_0__PHI_TEMPORARY;

  llvm_cbe_high_2e_0_2e_ph_2e_in__PHI_TEMPORARY = llvm_cbe_count;   /* for PHI node */
  llvm_cbe_low_2e_0_2e_ph__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb37_2e_outer;

  do {     /* Syntactic loop 'bb37.outer' to make GCC happy */
llvm_cbe_bb37_2e_outer:
  llvm_cbe_high_2e_0_2e_ph_2e_in = llvm_cbe_high_2e_0_2e_ph_2e_in__PHI_TEMPORARY;
  llvm_cbe_low_2e_0_2e_ph = llvm_cbe_low_2e_0_2e_ph__PHI_TEMPORARY;
  llvm_cbe_high_2e_0_2e_ph = llvm_cbe_high_2e_0_2e_ph_2e_in + 4294967295u;
  llvm_cbe_low_2e_0__PHI_TEMPORARY = llvm_cbe_low_2e_0_2e_ph;   /* for PHI node */
  goto llvm_cbe_bb37;

  do {     /* Syntactic loop 'bb37' to make GCC happy */
llvm_cbe_bb37:
  llvm_cbe_low_2e_0 = llvm_cbe_low_2e_0__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_low_2e_0) > ((signed int )llvm_cbe_high_2e_0_2e_ph))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb30:
  llvm_cbe_tmp32 = llvm_cbe_tmp6 + 1u;
  llvm_cbe_low_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32;   /* for PHI node */
  goto llvm_cbe_bb37;

llvm_cbe_bb19:
  if ((((unsigned short )llvm_cbe_tmp12) < ((unsigned short )llvm_cbe_value))) {
    goto llvm_cbe_bb30;
  } else {
    goto llvm_cbe_bb33;
  }

llvm_cbe_bb:
  llvm_cbe_tmp6 = ((signed int )(((signed int )(llvm_cbe_low_2e_0 + llvm_cbe_high_2e_0_2e_ph)) >> ((signed int )1u)));
  llvm_cbe_tmp12 = *((&llvm_cbe_bounds[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp6)))].field0));
  if ((((unsigned short )llvm_cbe_tmp12) > ((unsigned short )llvm_cbe_value))) {
    llvm_cbe_high_2e_0_2e_ph_2e_in__PHI_TEMPORARY = llvm_cbe_tmp6;   /* for PHI node */
    llvm_cbe_low_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_low_2e_0;   /* for PHI node */
    goto llvm_cbe_bb37_2e_outer;
  } else {
    goto llvm_cbe_bb19;
  }

  } while (1); /* end of syntactic loop 'bb37' */
  } while (1); /* end of syntactic loop 'bb37.outer' */
llvm_cbe_bb33:
  return (llvm_cbe_tmp6 & 65535u);
llvm_cbe_return:
  return llvm_cbe_low_2e_0;
}


static void _ZN12b2BroadPhase5QueryEPiS0_ttP7b2Boundii(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned int *llvm_cbe_lowerQueryOut, unsigned int *llvm_cbe_upperQueryOut, unsigned short llvm_cbe_lowerValue, unsigned short llvm_cbe_upperValue, struct l_struct_2E_b2Bound *llvm_cbe_bounds, unsigned int llvm_cbe_boundCount, unsigned int llvm_cbe_axis) {
  unsigned int llvm_cbe_tmp6;
  unsigned int llvm_cbe_tmp12;
  unsigned short *llvm_cbe_tmp10_2e_i22;
  unsigned int *llvm_cbe_tmp25_2e_i36;
  unsigned long long llvm_cbe_tmp1516;
  unsigned short llvm_cbe_tmp3_2e_i;
  unsigned short llvm_cbe_tmp27;
  unsigned long long llvm_cbe_tmp34_2e_i17;
  unsigned short llvm_cbe_tmp8_2e_i20;
  unsigned short llvm_cbe_tmp11_2e_i23;
  unsigned int llvm_cbe_tmp26_2e_i37;
  unsigned int llvm_cbe_tmp32;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp46;
  unsigned short llvm_cbe_tmp52;
  unsigned int llvm_cbe_tmp5253;
  unsigned long long llvm_cbe_tmp8588;
  unsigned long long llvm_cbe_tmp6566;
  unsigned short llvm_cbe_tmp3_2e_i6;
  unsigned short llvm_cbe_tmp81;
  unsigned short llvm_cbe_tmp90;
  unsigned long long llvm_cbe_tmp34_2e_i2;
  unsigned short llvm_cbe_tmp8_2e_i;
  unsigned short llvm_cbe_tmp11_2e_i;
  unsigned int llvm_cbe_tmp26_2e_i;
  unsigned int llvm_cbe_tmp106;
  unsigned int llvm_cbe_s_2e_0;
  unsigned int llvm_cbe_s_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp109;
  unsigned int llvm_cbe_s_2e_1;
  unsigned int llvm_cbe_s_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_i_2e_0;
  unsigned int llvm_cbe_i_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp6 = _ZL12BinarySearchP7b2Boundit(llvm_cbe_bounds, llvm_cbe_boundCount, llvm_cbe_lowerValue);
  llvm_cbe_tmp12 = _ZL12BinarySearchP7b2Boundit(llvm_cbe_bounds, llvm_cbe_boundCount, llvm_cbe_upperValue);
  llvm_cbe_tmp10_2e_i22 = (&llvm_cbe_this->field9);
  llvm_cbe_tmp25_2e_i36 = (&llvm_cbe_this->field5);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp6;   /* for PHI node */
  goto llvm_cbe_bb33;

llvm_cbe_bb30_2e_i40:
  __assert_fail(((&_2E_str7197[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 186u, ((&_ZZN12b2BroadPhase21IncrementOverlapCountEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb33' to make GCC happy */
llvm_cbe_bb33:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_tmp12))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb39;
  }

llvm_cbe_bb30:
  llvm_cbe_tmp32 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp32;   /* for PHI node */
  goto llvm_cbe_bb33;

llvm_cbe_bb:
  llvm_cbe_tmp1516 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_bounds[((signed long long )llvm_cbe_tmp1516)].field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb20;
  } else {
    goto llvm_cbe_bb30;
  }

llvm_cbe_bb_2e_i32:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i17)].field3)) = llvm_cbe_tmp11_2e_i23;
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i17)].field2)) = ((unsigned short )1);
  goto llvm_cbe_bb30;

llvm_cbe_bb20:
  llvm_cbe_tmp27 = *((&llvm_cbe_bounds[((signed long long )llvm_cbe_tmp1516)].field1));
  llvm_cbe_tmp34_2e_i17 = ((unsigned long long )(unsigned short )llvm_cbe_tmp27);
  llvm_cbe_tmp8_2e_i20 = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i17)].field3));
  llvm_cbe_tmp11_2e_i23 = *llvm_cbe_tmp10_2e_i22;
  if ((((unsigned short )llvm_cbe_tmp8_2e_i20) < ((unsigned short )llvm_cbe_tmp11_2e_i23))) {
    goto llvm_cbe_bb_2e_i32;
  } else {
    goto llvm_cbe_bb21_2e_i39;
  }

llvm_cbe_bb34_2e_i55:
  *((&llvm_cbe_this->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp26_2e_i37)))])) = llvm_cbe_tmp27;
  *llvm_cbe_tmp25_2e_i36 = (llvm_cbe_tmp26_2e_i37 + 1u);
  goto llvm_cbe_bb30;

llvm_cbe_bb21_2e_i39:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i17)].field2)) = ((unsigned short )2);
  llvm_cbe_tmp26_2e_i37 = *llvm_cbe_tmp25_2e_i36;
  if ((((signed int )llvm_cbe_tmp26_2e_i37) > ((signed int )2047u))) {
    goto llvm_cbe_bb30_2e_i40;
  } else {
    goto llvm_cbe_bb34_2e_i55;
  }

  } while (1); /* end of syntactic loop 'bb33' */
llvm_cbe_bb39:
  if ((((signed int )llvm_cbe_tmp6) > ((signed int )0u))) {
    goto llvm_cbe_bb44;
  } else {
    goto llvm_cbe_bb115;
  }

llvm_cbe_bb44:
  llvm_cbe_tmp46 = llvm_cbe_tmp6 + 4294967295u;
  llvm_cbe_tmp52 = *((&llvm_cbe_bounds[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp46)))].field2));
  llvm_cbe_tmp5253 = ((unsigned int )(unsigned short )llvm_cbe_tmp52);
  llvm_cbe_tmp8588 = ((signed long long )(signed int )llvm_cbe_axis);
  llvm_cbe_s_2e_1__PHI_TEMPORARY = llvm_cbe_tmp5253;   /* for PHI node */
  llvm_cbe_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp46;   /* for PHI node */
  goto llvm_cbe_bb110;

llvm_cbe_bb59:
  __assert_fail(((&_2E_str8198[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 219u, ((&_ZZN12b2BroadPhase5QueryEPiS0_ttP7b2BoundiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb30_2e_i:
  __assert_fail(((&_2E_str7197[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 186u, ((&_ZZN12b2BroadPhase21IncrementOverlapCountEiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb110' to make GCC happy */
llvm_cbe_bb110:
  llvm_cbe_s_2e_1 = llvm_cbe_s_2e_1__PHI_TEMPORARY;
  llvm_cbe_i_2e_0 = llvm_cbe_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_s_2e_1 == 0u)) {
    goto llvm_cbe_bb115;
  } else {
    goto llvm_cbe_bb54;
  }

llvm_cbe_bb107:
  llvm_cbe_s_2e_0 = llvm_cbe_s_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp109 = llvm_cbe_i_2e_0 + 4294967295u;
  llvm_cbe_s_2e_1__PHI_TEMPORARY = llvm_cbe_s_2e_0;   /* for PHI node */
  llvm_cbe_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp109;   /* for PHI node */
  goto llvm_cbe_bb110;

llvm_cbe_bb63:
  llvm_cbe_tmp6566 = ((signed long long )(signed int )llvm_cbe_i_2e_0);
  llvm_cbe_tmp3_2e_i6 = *((&llvm_cbe_bounds[((signed long long )llvm_cbe_tmp6566)].field0));
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i6)) & 1u) == 0u)) {
    goto llvm_cbe_bb71;
  } else {
    llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_s_2e_1;   /* for PHI node */
    goto llvm_cbe_bb107;
  }

llvm_cbe_bb54:
  if ((((signed int )llvm_cbe_i_2e_0) < ((signed int )0u))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb63;
  }

llvm_cbe_bb71:
  llvm_cbe_tmp81 = *((&llvm_cbe_bounds[((signed long long )llvm_cbe_tmp6566)].field1));
  llvm_cbe_tmp90 = *((&llvm_cbe_this->field1[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp81)))].field1[((signed long long )llvm_cbe_tmp8588)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp90))) < ((signed int )llvm_cbe_tmp6))) {
    llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_s_2e_1;   /* for PHI node */
    goto llvm_cbe_bb107;
  } else {
    goto llvm_cbe_bb96;
  }

llvm_cbe__ZN12b2BroadPhase21IncrementOverlapCountEi_2e_exit:
  llvm_cbe_tmp106 = llvm_cbe_s_2e_1 + 4294967295u;
  llvm_cbe_s_2e_0__PHI_TEMPORARY = llvm_cbe_tmp106;   /* for PHI node */
  goto llvm_cbe_bb107;

llvm_cbe_bb_2e_i:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i2)].field3)) = llvm_cbe_tmp11_2e_i;
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i2)].field2)) = ((unsigned short )1);
  goto llvm_cbe__ZN12b2BroadPhase21IncrementOverlapCountEi_2e_exit;

llvm_cbe_bb96:
  llvm_cbe_tmp34_2e_i2 = ((unsigned long long )(unsigned short )llvm_cbe_tmp81);
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i2)].field3));
  llvm_cbe_tmp11_2e_i = *llvm_cbe_tmp10_2e_i22;
  if ((((unsigned short )llvm_cbe_tmp8_2e_i) < ((unsigned short )llvm_cbe_tmp11_2e_i))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i;
  }

llvm_cbe_bb34_2e_i:
  *((&llvm_cbe_this->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp26_2e_i)))])) = llvm_cbe_tmp81;
  *llvm_cbe_tmp25_2e_i36 = (llvm_cbe_tmp26_2e_i + 1u);
  goto llvm_cbe__ZN12b2BroadPhase21IncrementOverlapCountEi_2e_exit;

llvm_cbe_bb21_2e_i:
  *((&llvm_cbe_this->field1[((signed long long )llvm_cbe_tmp34_2e_i2)].field2)) = ((unsigned short )2);
  llvm_cbe_tmp26_2e_i = *llvm_cbe_tmp25_2e_i36;
  if ((((signed int )llvm_cbe_tmp26_2e_i) > ((signed int )2047u))) {
    goto llvm_cbe_bb30_2e_i;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb110' */
llvm_cbe_bb115:
  *llvm_cbe_lowerQueryOut = llvm_cbe_tmp6;
  *llvm_cbe_upperQueryOut = llvm_cbe_tmp12;
  return;
}


static void _ZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABB(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, unsigned short *llvm_cbe_lowerValues, unsigned short *llvm_cbe_upperValues, struct l_struct_2E_b2AABB *llvm_cbe_aabb) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp2_2e_i23;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp2_2e_i;    /* Address-exposed local */
  float llvm_cbe_tmp5;
  float llvm_cbe_tmp9;
  float llvm_cbe_tmp19;
  float llvm_cbe_tmp23;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp34;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp37;
  unsigned long long llvm_cbe_tmp6_2e_i;
  llvmBitCastUnion llvm_cbe_tmp10_2e_i72__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp13_2e_i76__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp15_2e_i;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp35_2e_i93__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp6_2e_i28;
  llvmBitCastUnion llvm_cbe_tmp10_2e_i31100__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp13_2e_i34104__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp15_2e_i36;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i51115__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp35_2e_i54121__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp66;
  float llvm_cbe_tmp67;
  float *llvm_cbe_tmp73;
  float llvm_cbe_tmp74;
  float llvm_cbe_tmp84;
  float llvm_cbe_tmp91;
  float *llvm_cbe_tmp100;
  float llvm_cbe_tmp101;
  float *llvm_cbe_tmp107;
  float llvm_cbe_tmp108;
  float llvm_cbe_tmp118;
  float llvm_cbe_tmp125;

  llvm_cbe_tmp5 = *((&llvm_cbe_aabb->field1.field0));
  llvm_cbe_tmp9 = *((&llvm_cbe_aabb->field0.field0));
  if ((llvm_fcmp_ule(llvm_cbe_tmp5, llvm_cbe_tmp9))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb15;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str9199[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 143u, ((&_ZZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABBE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb15:
  llvm_cbe_tmp19 = *((&llvm_cbe_aabb->field1.field1));
  llvm_cbe_tmp23 = *((&llvm_cbe_aabb->field0.field1));
  if ((llvm_fcmp_ule(llvm_cbe_tmp19, llvm_cbe_tmp23))) {
    goto llvm_cbe_bb27;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb27:
  __assert_fail(((&_2E_str10200[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 144u, ((&_ZZN12b2BroadPhase13ComputeBoundsEPtS0_RK6b2AABBE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb31:
  llvm_cbe_tmp34 = (&llvm_cbe_this->field6.field1);
  llvm_cbe_tmp37 = (&llvm_cbe_this->field6.field0);
  llvm_cbe_tmp6_2e_i = _Z5b2MinRK6b2Vec2S1_(((&llvm_cbe_aabb->field0)), llvm_cbe_tmp34);
  *((&llvm_cbe_tmp2_2e_i.field0)) = ((llvm_cbe_tmp10_2e_i72__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i)), llvm_cbe_tmp10_2e_i72__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp2_2e_i.field1)) = ((llvm_cbe_tmp13_2e_i76__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp13_2e_i76__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp15_2e_i = _Z5b2MaxRK6b2Vec2S1_(llvm_cbe_tmp37, (&llvm_cbe_tmp2_2e_i));
  llvm_cbe_tmp6_2e_i28 = _Z5b2MinRK6b2Vec2S1_(((&llvm_cbe_aabb->field1)), llvm_cbe_tmp34);
  *((&llvm_cbe_tmp2_2e_i23.field0)) = ((llvm_cbe_tmp10_2e_i31100__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i28)), llvm_cbe_tmp10_2e_i31100__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp2_2e_i23.field1)) = ((llvm_cbe_tmp13_2e_i34104__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i28) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp13_2e_i34104__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp15_2e_i36 = _Z5b2MaxRK6b2Vec2S1_(llvm_cbe_tmp37, (&llvm_cbe_tmp2_2e_i23));
  llvm_cbe_tmp66 = (&llvm_cbe_this->field7.field0);
  llvm_cbe_tmp67 = *llvm_cbe_tmp66;
  llvm_cbe_tmp73 = (&llvm_cbe_this->field6.field0.field0);
  llvm_cbe_tmp74 = *llvm_cbe_tmp73;
  *llvm_cbe_lowerValues = (((unsigned short )((((unsigned short )(((float )(llvm_cbe_tmp67 * (((float )(((llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp15_2e_i)), llvm_cbe_tmp32_2e_i87__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp74)))))))) & ((unsigned short )-2))));
  llvm_cbe_tmp84 = *llvm_cbe_tmp66;
  llvm_cbe_tmp91 = *llvm_cbe_tmp73;
  *llvm_cbe_upperValues = (((unsigned short )((((unsigned short )(((float )(llvm_cbe_tmp84 * (((float )(((llvm_cbe_tmp32_2e_i51115__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp15_2e_i36)), llvm_cbe_tmp32_2e_i51115__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp91)))))))) | ((unsigned short )1))));
  llvm_cbe_tmp100 = (&llvm_cbe_this->field7.field1);
  llvm_cbe_tmp101 = *llvm_cbe_tmp100;
  llvm_cbe_tmp107 = (&llvm_cbe_this->field6.field0.field1);
  llvm_cbe_tmp108 = *llvm_cbe_tmp107;
  *((&llvm_cbe_lowerValues[((signed long long )1ull)])) = (((unsigned short )((((unsigned short )(((float )(llvm_cbe_tmp101 * (((float )(((llvm_cbe_tmp35_2e_i93__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp15_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp35_2e_i93__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp108)))))))) & ((unsigned short )-2))));
  llvm_cbe_tmp118 = *llvm_cbe_tmp100;
  llvm_cbe_tmp125 = *llvm_cbe_tmp107;
  *((&llvm_cbe_upperValues[((signed long long )1ull)])) = (((unsigned short )((((unsigned short )(((float )(llvm_cbe_tmp118 * (((float )(((llvm_cbe_tmp35_2e_i54121__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp15_2e_i36) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp35_2e_i54121__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp125)))))))) | ((unsigned short )1))));
  return;
}


static unsigned char _ZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2Proxy(struct l_struct_2E_b2BroadPhase *llvm_cbe_this, struct l_struct_2E_b2BoundValues *llvm_cbe_b, struct l_struct_2E_b2Proxy *llvm_cbe_p) {
  unsigned int llvm_cbe_tmp17;
  unsigned int llvm_cbe_tmp18;
  unsigned int llvm_cbe_axis_2e_0;
  unsigned int llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp14;
  unsigned short llvm_cbe_tmp12;
  unsigned short llvm_cbe_tmp31;
  unsigned short llvm_cbe_tmp50;
  unsigned short llvm_cbe_tmp63;
  unsigned short llvm_cbe_tmp75;
  unsigned short llvm_cbe_tmp88;
  unsigned int llvm_cbe_tmp96;
  unsigned char llvm_cbe_tmp_2e_0;
  unsigned char llvm_cbe_tmp_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp17 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp18 = llvm_cbe_tmp17 << 1u;
  llvm_cbe_axis_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb;

  do {     /* Syntactic loop 'bb' to make GCC happy */
llvm_cbe_bb:
  llvm_cbe_axis_2e_0 = llvm_cbe_axis_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp14 = ((signed long long )(signed int )llvm_cbe_axis_2e_0);
  llvm_cbe_tmp12 = *((&llvm_cbe_p->field0[((signed long long )llvm_cbe_tmp14)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp12))) < ((signed int )llvm_cbe_tmp18))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb21;
  }

llvm_cbe_bb94:
  llvm_cbe_tmp96 = llvm_cbe_axis_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp96) < ((signed int )2u))) {
    llvm_cbe_axis_2e_0__PHI_TEMPORARY = llvm_cbe_tmp96;   /* for PHI node */
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb69:
  llvm_cbe_tmp75 = *((&llvm_cbe_b->field1[((signed long long )llvm_cbe_tmp14)]));
  llvm_cbe_tmp88 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp14)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp12)))].field0));
  if ((((unsigned short )llvm_cbe_tmp75) < ((unsigned short )llvm_cbe_tmp88))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb94;
  }

llvm_cbe_bb44:
  llvm_cbe_tmp50 = *((&llvm_cbe_b->field0[((signed long long )llvm_cbe_tmp14)]));
  llvm_cbe_tmp63 = *((&llvm_cbe_this->field3[((signed long long )llvm_cbe_tmp14)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp31)))].field0));
  if ((((unsigned short )llvm_cbe_tmp50) > ((unsigned short )llvm_cbe_tmp63))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb69;
  }

llvm_cbe_bb25:
  llvm_cbe_tmp31 = *((&llvm_cbe_p->field1[((signed long long )llvm_cbe_tmp14)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp31))) < ((signed int )llvm_cbe_tmp18))) {
    goto llvm_cbe_bb44;
  } else {
    goto llvm_cbe_bb40;
  }

  } while (1); /* end of syntactic loop 'bb' */
llvm_cbe_bb21:
  __assert_fail(((&_2E_str13203[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 128u, ((&_ZZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2ProxyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb40:
  __assert_fail(((&_2E_str14204[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 129u, ((&_ZZN12b2BroadPhase11TestOverlapERK13b2BoundValuesP7b2ProxyE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_return:
  llvm_cbe_tmp_2e_0 = llvm_cbe_tmp_2e_0__PHI_TEMPORARY;
  return llvm_cbe_tmp_2e_0;
}


static void _ZN13b2PairManager6CommitEv(struct l_struct_2E_b2PairManager *llvm_cbe_this) {
  struct l_struct_2E_b2BroadPhase **llvm_cbe_tmp2;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp3;
  unsigned int *llvm_cbe_tmp191;
  struct l_struct_2E_Os **llvm_cbe_tmp166;
  unsigned long long llvm_cbe_tmp69;
  unsigned short llvm_cbe_tmp12;
  unsigned short llvm_cbe_tmp20;
  struct l_struct_2E_b2Pair *llvm_cbe_tmp23;
  unsigned short *llvm_cbe_tmp2_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i12;
  unsigned short *llvm_cbe_tmp35;
  unsigned short llvm_cbe_tmp36;
  unsigned short *llvm_cbe_tmp42;
  unsigned short llvm_cbe_tmp43;
  unsigned long long llvm_cbe_tmp545557;
  unsigned long long llvm_cbe_tmp616264;
  unsigned short llvm_cbe_tmp3_2e_i57;
  unsigned short llvm_cbe_tmp3_2e_i78;
  unsigned int llvm_cbe_tmp34_2e_i71;
  struct l_struct_2E_Os *llvm_cbe_tmp101;
  unsigned int  (**llvm_cbe_tmp103) ();
  unsigned int  (*llvm_cbe_tmp105) ();
  unsigned char *llvm_cbe_tmp108;
  unsigned char *llvm_cbe_tmp111;
  unsigned char *llvm_cbe_tmp114;
  unsigned short llvm_cbe_tmp123;
  unsigned long long llvm_cbe_tmp120126;
  unsigned short llvm_cbe_tmp132;
  unsigned int llvm_cbe_tmp139;
  struct l_struct_2E_b2BroadPhase *llvm_cbe_tmp143;
  unsigned int llvm_cbe_tmp17_2e_i28;
  unsigned int llvm_cbe_tmp18_2e_i29;
  unsigned int llvm_cbe_axis_2e_i_2e_0;
  unsigned int llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp14_2e_i;
  unsigned short llvm_cbe_tmp12_2e_i27;
  unsigned short llvm_cbe_tmp31_2e_i;
  unsigned short llvm_cbe_tmp50_2e_i36;
  unsigned short llvm_cbe_tmp69_2e_i43;
  unsigned short llvm_cbe_tmp94_2e_i;
  unsigned short llvm_cbe_tmp106_2e_i;
  unsigned short llvm_cbe_tmp123_2e_i;
  unsigned short llvm_cbe_tmp135_2e_i;
  unsigned int llvm_cbe_tmp142_2e_i;
  struct l_struct_2E_Os *llvm_cbe_tmp167;
  unsigned int  (**llvm_cbe_tmp169) ();
  unsigned int  (*llvm_cbe_tmp171) ();
  unsigned char *llvm_cbe_tmp174;
  unsigned char *llvm_cbe_tmp177;
  unsigned char *llvm_cbe_tmp182;
  unsigned short llvm_cbe_tmp2_2e_i6;
  unsigned int llvm_cbe_removeCount_2e_0;
  unsigned int llvm_cbe_removeCount_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp188;
  unsigned int llvm_cbe_removeCount_2e_1;
  unsigned int llvm_cbe_removeCount_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp192;
  unsigned int *llvm_cbe_tmp2_2e_i2;
  unsigned short *llvm_cbe_tmp64_2e_i;
  unsigned long long llvm_cbe_tmp199202;
  unsigned short llvm_cbe_tmp205;
  unsigned int llvm_cbe_tmp205206;
  unsigned short llvm_cbe_tmp213;
  unsigned int llvm_cbe_tmp213214;
  unsigned int llvm_cbe_tmp3_2e_i3;
  unsigned int llvm_cbe_proxyId2_addr_2e_i_2e_0;
  unsigned int llvm_cbe_proxyId1_addr_2e_i_2e_0;
  unsigned int llvm_cbe_tmp4_2e_i11_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i14_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp25_2e_i;
  unsigned long long llvm_cbe_tmp303134_2e_i;
  unsigned short *llvm_cbe_tmp2_2e_i3_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i4_2e_i;
  unsigned short *llvm_cbe_tmp9_2e_i_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i_2e_i;
  unsigned short *llvm_cbe_tmp95_2e_i;
  unsigned short *llvm_cbe_storemerge_2e_i;
  unsigned short *llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned short llvm_cbe_tmp98_2e_i;
  unsigned short llvm_cbe_tmp51_2e_i;
  unsigned short llvm_cbe_tmp65_2e_i;
  unsigned int llvm_cbe_tmp81_2e_i;
  unsigned int llvm_cbe_tmp218;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;

  llvm_cbe_tmp2 = (&llvm_cbe_this->field0);
  llvm_cbe_tmp3 = *llvm_cbe_tmp2;
  llvm_cbe_tmp191 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp166 = (&llvm_cbe_this->field1);
  llvm_cbe_removeCount_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb189;

llvm_cbe_bb28:
  __assert_fail(((&_2E_str11259[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 286u, ((&_ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb47:
  __assert_fail(((&_2E_str12260[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 289u, ((&_ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb71:
  __assert_fail(((&_2E_str13261[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 294u, ((&_ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb81:
  __assert_fail(((&_2E_str14262[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 295u, ((&_ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb21_2e_i:
  __assert_fail(((&_2E_str15205[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 107u, ((&_ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb40_2e_i:
  __assert_fail(((&_2E_str16206[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 108u, ((&_ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb59_2e_i:
  __assert_fail(((&_2E_str17207[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 109u, ((&_ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb78_2e_i:
  __assert_fail(((&_2E_str18208[((signed long long )0ull)])), ((&_2E_str1191[((signed long long )0ull)])), 110u, ((&_ZZN12b2BroadPhase11TestOverlapEP7b2ProxyS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb150:
  __assert_fail(((&_2E_str15263[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 314u, ((&_ZZN13b2PairManager6CommitEvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb189' to make GCC happy */
llvm_cbe_bb189:
  llvm_cbe_removeCount_2e_1 = llvm_cbe_removeCount_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp192 = *llvm_cbe_tmp191;
  if ((((signed int )llvm_cbe_tmp192) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb197;
  }

llvm_cbe_bb186:
  llvm_cbe_removeCount_2e_0 = llvm_cbe_removeCount_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp188 = llvm_cbe_storemerge + 1u;
  llvm_cbe_removeCount_2e_1__PHI_TEMPORARY = llvm_cbe_removeCount_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp188;   /* for PHI node */
  goto llvm_cbe_bb189;

llvm_cbe_bb119:
  llvm_cbe_tmp123 = *llvm_cbe_tmp35;
  llvm_cbe_tmp120126 = ((signed long long )(signed int )llvm_cbe_removeCount_2e_1);
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp120126)].field0)) = llvm_cbe_tmp123;
  llvm_cbe_tmp132 = *llvm_cbe_tmp42;
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp120126)].field1)) = llvm_cbe_tmp132;
  llvm_cbe_tmp139 = llvm_cbe_removeCount_2e_1 + 1u;
  llvm_cbe_removeCount_2e_0__PHI_TEMPORARY = llvm_cbe_tmp139;   /* for PHI node */
  goto llvm_cbe_bb186;

llvm_cbe_bb90:
  if (((llvm_cbe_tmp34_2e_i71 & 4u) == 0u)) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb95;
  }

llvm_cbe_bb85:
  llvm_cbe_tmp34_2e_i71 = ((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i12);
  if (((llvm_cbe_tmp34_2e_i71 & 2u) == 0u)) {
    goto llvm_cbe_bb140;
  } else {
    goto llvm_cbe_bb90;
  }

llvm_cbe_bb75:
  llvm_cbe_tmp3_2e_i78 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp616264)].field2));
  if ((llvm_cbe_tmp3_2e_i78 == ((unsigned short )-1))) {
    goto llvm_cbe_bb81;
  } else {
    goto llvm_cbe_bb85;
  }

llvm_cbe_bb51:
  llvm_cbe_tmp545557 = ((unsigned long long )(unsigned short )llvm_cbe_tmp36);
  llvm_cbe_tmp616264 = ((unsigned long long )(unsigned short )llvm_cbe_tmp43);
  llvm_cbe_tmp3_2e_i57 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp545557)].field2));
  if ((llvm_cbe_tmp3_2e_i57 == ((unsigned short )-1))) {
    goto llvm_cbe_bb71;
  } else {
    goto llvm_cbe_bb75;
  }

llvm_cbe_bb40:
  llvm_cbe_tmp42 = (&llvm_cbe_tmp23->field2);
  llvm_cbe_tmp43 = *llvm_cbe_tmp42;
  if ((((unsigned short )llvm_cbe_tmp43) > ((unsigned short )((unsigned short )2047)))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb51;
  }

llvm_cbe_bb32:
  llvm_cbe_tmp3_2e_i12 = ((unsigned short )(llvm_cbe_tmp3_2e_i & ((unsigned short )-2)));
  *llvm_cbe_tmp2_2e_i = llvm_cbe_tmp3_2e_i12;
  llvm_cbe_tmp35 = (&llvm_cbe_tmp23->field1);
  llvm_cbe_tmp36 = *llvm_cbe_tmp35;
  if ((((unsigned short )llvm_cbe_tmp36) > ((unsigned short )((unsigned short )2047)))) {
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb40;
  }

llvm_cbe_bb:
  llvm_cbe_tmp69 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp12 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp69)].field1));
  llvm_cbe_tmp20 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp69)].field0));
  llvm_cbe_tmp23 = _ZN13b2PairManager4FindEii(llvm_cbe_this, (((unsigned int )(unsigned short )llvm_cbe_tmp20)), (((unsigned int )(unsigned short )llvm_cbe_tmp12)));
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_tmp23->field4);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  if ((((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i)) & 1u) == 0u)) {
    goto llvm_cbe_bb28;
  } else {
    goto llvm_cbe_bb32;
  }

llvm_cbe_bb95:
  llvm_cbe_tmp101 = *llvm_cbe_tmp166;
  llvm_cbe_tmp103 = *((&llvm_cbe_tmp101->field0));
  llvm_cbe_tmp105 = *((&llvm_cbe_tmp103[((signed long long )3ull)]));
  llvm_cbe_tmp108 = *((&llvm_cbe_tmp23->field0));
  llvm_cbe_tmp111 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp616264)].field4));
  llvm_cbe_tmp114 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp545557)].field4));
  (((void  (*) (struct l_struct_2E_Os *, unsigned char *, unsigned char *, unsigned char *))llvm_cbe_tmp105))(llvm_cbe_tmp101, llvm_cbe_tmp114, llvm_cbe_tmp111, llvm_cbe_tmp108);
  goto llvm_cbe_bb119;

llvm_cbe_bb154:
  if (((llvm_cbe_tmp34_2e_i71 & 4u) == 0u)) {
    goto llvm_cbe_bb161;
  } else {
    llvm_cbe_removeCount_2e_0__PHI_TEMPORARY = llvm_cbe_removeCount_2e_1;   /* for PHI node */
    goto llvm_cbe_bb186;
  }

  do {     /* Syntactic loop 'bb.i30' to make GCC happy */
llvm_cbe_bb_2e_i30:
  llvm_cbe_axis_2e_i_2e_0 = llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp14_2e_i = ((signed long long )(signed int )llvm_cbe_axis_2e_i_2e_0);
  llvm_cbe_tmp12_2e_i27 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp545557)].field0[((signed long long )llvm_cbe_tmp14_2e_i)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp12_2e_i27))) < ((signed int )llvm_cbe_tmp18_2e_i29))) {
    goto llvm_cbe_bb25_2e_i;
  } else {
    goto llvm_cbe_bb21_2e_i;
  }

llvm_cbe_bb140_2e_i:
  llvm_cbe_tmp142_2e_i = llvm_cbe_axis_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp142_2e_i) < ((signed int )2u))) {
    llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp142_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i30;
  } else {
    goto llvm_cbe_bb154;
  }

llvm_cbe_bb111_2e_i:
  llvm_cbe_tmp123_2e_i = *((&llvm_cbe_tmp143->field3[((signed long long )llvm_cbe_tmp14_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp31_2e_i)))].field0));
  llvm_cbe_tmp135_2e_i = *((&llvm_cbe_tmp143->field3[((signed long long )llvm_cbe_tmp14_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp50_2e_i36)))].field0));
  if ((((unsigned short )llvm_cbe_tmp123_2e_i) < ((unsigned short )llvm_cbe_tmp135_2e_i))) {
    goto llvm_cbe_bb150;
  } else {
    goto llvm_cbe_bb140_2e_i;
  }

llvm_cbe_bb82_2e_i:
  llvm_cbe_tmp94_2e_i = *((&llvm_cbe_tmp143->field3[((signed long long )llvm_cbe_tmp14_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp12_2e_i27)))].field0));
  llvm_cbe_tmp106_2e_i = *((&llvm_cbe_tmp143->field3[((signed long long )llvm_cbe_tmp14_2e_i)][((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_tmp69_2e_i43)))].field0));
  if ((((unsigned short )llvm_cbe_tmp94_2e_i) > ((unsigned short )llvm_cbe_tmp106_2e_i))) {
    goto llvm_cbe_bb150;
  } else {
    goto llvm_cbe_bb111_2e_i;
  }

llvm_cbe_bb63_2e_i:
  llvm_cbe_tmp69_2e_i43 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp616264)].field1[((signed long long )llvm_cbe_tmp14_2e_i)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp69_2e_i43))) < ((signed int )llvm_cbe_tmp18_2e_i29))) {
    goto llvm_cbe_bb82_2e_i;
  } else {
    goto llvm_cbe_bb78_2e_i;
  }

llvm_cbe_bb44_2e_i:
  llvm_cbe_tmp50_2e_i36 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp616264)].field0[((signed long long )llvm_cbe_tmp14_2e_i)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp50_2e_i36))) < ((signed int )llvm_cbe_tmp18_2e_i29))) {
    goto llvm_cbe_bb63_2e_i;
  } else {
    goto llvm_cbe_bb59_2e_i;
  }

llvm_cbe_bb25_2e_i:
  llvm_cbe_tmp31_2e_i = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp545557)].field1[((signed long long )llvm_cbe_tmp14_2e_i)]));
  if ((((signed int )(((unsigned int )(unsigned short )llvm_cbe_tmp31_2e_i))) < ((signed int )llvm_cbe_tmp18_2e_i29))) {
    goto llvm_cbe_bb44_2e_i;
  } else {
    goto llvm_cbe_bb40_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i30' */
llvm_cbe_bb140:
  llvm_cbe_tmp143 = *llvm_cbe_tmp2;
  llvm_cbe_tmp17_2e_i28 = *((&llvm_cbe_tmp143->field8));
  llvm_cbe_tmp18_2e_i29 = llvm_cbe_tmp17_2e_i28 << 1u;
  llvm_cbe_axis_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb_2e_i30;

llvm_cbe_bb161:
  llvm_cbe_tmp167 = *llvm_cbe_tmp166;
  llvm_cbe_tmp169 = *((&llvm_cbe_tmp167->field0));
  llvm_cbe_tmp171 = *((&llvm_cbe_tmp169[((signed long long )2ull)]));
  llvm_cbe_tmp174 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp616264)].field4));
  llvm_cbe_tmp177 = *((&llvm_cbe_tmp3->field1[((signed long long )llvm_cbe_tmp545557)].field4));
  llvm_cbe_tmp182 = (((unsigned char * (*) (struct l_struct_2E_Os *, unsigned char *, unsigned char *))llvm_cbe_tmp171))(llvm_cbe_tmp167, llvm_cbe_tmp177, llvm_cbe_tmp174);
  *((&llvm_cbe_tmp23->field0)) = llvm_cbe_tmp182;
  llvm_cbe_tmp2_2e_i6 = *llvm_cbe_tmp2_2e_i;
  *llvm_cbe_tmp2_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i6 | ((unsigned short )4))));
  llvm_cbe_removeCount_2e_0__PHI_TEMPORARY = llvm_cbe_removeCount_2e_1;   /* for PHI node */
  goto llvm_cbe_bb186;

  } while (1); /* end of syntactic loop 'bb189' */
llvm_cbe_bb197:
  llvm_cbe_tmp2_2e_i2 = (&llvm_cbe_this->field4);
  llvm_cbe_tmp64_2e_i = (&llvm_cbe_this->field3);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb219;

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str248[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 156u, ((&_ZZN13b2PairManager10RemovePairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb102_2e_i:
  __assert_fail(((&_2E_str171[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 190u, ((&_ZZN13b2PairManager10RemovePairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb219' to make GCC happy */
llvm_cbe_bb219:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1) < ((signed int )llvm_cbe_removeCount_2e_1))) {
    goto llvm_cbe_bb198;
  } else {
    goto llvm_cbe_bb225;
  }

llvm_cbe__ZN13b2PairManager10RemovePairEii_2e_exit:
  llvm_cbe_tmp51_2e_i = *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field3));
  *llvm_cbe_storemerge_2e_i = llvm_cbe_tmp51_2e_i;
  llvm_cbe_tmp65_2e_i = *llvm_cbe_tmp64_2e_i;
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field3)) = llvm_cbe_tmp65_2e_i;
  *llvm_cbe_tmp2_2e_i3_2e_i = ((unsigned short )-1);
  *llvm_cbe_tmp9_2e_i_2e_i = ((unsigned short )-1);
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field0)) = ((unsigned char *)/*NULL*/0);
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field4)) = ((unsigned short )0);
  *llvm_cbe_tmp64_2e_i = llvm_cbe_tmp98_2e_i;
  llvm_cbe_tmp81_2e_i = *llvm_cbe_tmp2_2e_i2;
  *llvm_cbe_tmp2_2e_i2 = (llvm_cbe_tmp81_2e_i + 4294967295u);
  llvm_cbe_tmp218 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp218;   /* for PHI node */
  goto llvm_cbe_bb219;

  do {     /* Syntactic loop 'bb96.i' to make GCC happy */
llvm_cbe_bb96_2e_i:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp98_2e_i = *llvm_cbe_storemerge_2e_i;
  if ((llvm_cbe_tmp98_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb102_2e_i;
  } else {
    goto llvm_cbe_bb26_2e_i;
  }

llvm_cbe_bb87_2e_i:
  llvm_cbe_tmp95_2e_i = (&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field3);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp95_2e_i;   /* for PHI node */
  goto llvm_cbe_bb96_2e_i;

llvm_cbe_bb26_2e_i:
  llvm_cbe_tmp303134_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp98_2e_i);
  llvm_cbe_tmp2_2e_i3_2e_i = (&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field1);
  llvm_cbe_tmp3_2e_i4_2e_i = *llvm_cbe_tmp2_2e_i3_2e_i;
  if (((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i4_2e_i)) == llvm_cbe_proxyId1_addr_2e_i_2e_0)) {
    goto llvm_cbe_bb_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb87_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp9_2e_i_2e_i = (&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp303134_2e_i)].field2);
  llvm_cbe_tmp10_2e_i_2e_i = *llvm_cbe_tmp9_2e_i_2e_i;
  if (((((unsigned int )(unsigned short )llvm_cbe_tmp10_2e_i_2e_i)) == llvm_cbe_proxyId2_addr_2e_i_2e_0)) {
    goto llvm_cbe__ZN13b2PairManager10RemovePairEii_2e_exit;
  } else {
    goto llvm_cbe_bb87_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb96.i' */
llvm_cbe_bb9_2e_i:
  llvm_cbe_proxyId2_addr_2e_i_2e_0 = (((((unsigned short )llvm_cbe_tmp213) > ((unsigned short )llvm_cbe_tmp205))) ? (llvm_cbe_tmp213214) : (llvm_cbe_tmp205206));
  llvm_cbe_proxyId1_addr_2e_i_2e_0 = (((((unsigned short )llvm_cbe_tmp213) > ((unsigned short )llvm_cbe_tmp205))) ? (llvm_cbe_tmp205206) : (llvm_cbe_tmp213214));
  llvm_cbe_tmp4_2e_i11_2e_i = (llvm_cbe_proxyId2_addr_2e_i_2e_0 << 16u) | llvm_cbe_proxyId1_addr_2e_i_2e_0;
  llvm_cbe_tmp8_2e_i14_2e_i = (llvm_cbe_tmp4_2e_i11_2e_i << 15u) + (llvm_cbe_tmp4_2e_i11_2e_i ^ 4294967295u);
  llvm_cbe_tmp16_2e_i_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp8_2e_i14_2e_i) >> ((unsigned int )12u)))) ^ llvm_cbe_tmp8_2e_i14_2e_i) * 5u;
  llvm_cbe_tmp22_2e_i_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp16_2e_i_2e_i) >> ((unsigned int )4u)))) ^ llvm_cbe_tmp16_2e_i_2e_i) * 2057u;
  llvm_cbe_tmp25_2e_i = (&llvm_cbe_this->field7[((signed long long )(((unsigned long long )(unsigned int )(((((unsigned int )(((unsigned int )llvm_cbe_tmp22_2e_i_2e_i) >> ((unsigned int )16u)))) ^ llvm_cbe_tmp22_2e_i_2e_i) & 16383u))))]);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp25_2e_i;   /* for PHI node */
  goto llvm_cbe_bb96_2e_i;

llvm_cbe_bb198:
  llvm_cbe_tmp199202 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp205 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp199202)].field1));
  llvm_cbe_tmp205206 = ((unsigned int )(unsigned short )llvm_cbe_tmp205);
  llvm_cbe_tmp213 = *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp199202)].field0));
  llvm_cbe_tmp213214 = ((unsigned int )(unsigned short )llvm_cbe_tmp213);
  llvm_cbe_tmp3_2e_i3 = *llvm_cbe_tmp2_2e_i2;
  if ((((signed int )llvm_cbe_tmp3_2e_i3) < ((signed int )1u))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb9_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb219' */
llvm_cbe_bb225:
  *llvm_cbe_tmp191 = 0u;
  return;
}


static unsigned char _ZNK6b2AABB7IsValidEv(struct l_struct_2E_b2AABB *llvm_cbe_this) {
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i58__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i65__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i656667_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i57__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i63__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i21;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i23;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i33;
  float llvm_cbe_tmp3_2e_i10;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i11;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp26_2e_i656667_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i58__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i58__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i65__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i65__BITCAST_TEMPORARY.Int32)))) << 32ull);
  if ((llvm_fcmp_ult(((llvm_cbe_tmp29_2e_i57__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i656667_2e_ins)), llvm_cbe_tmp29_2e_i57__BITCAST_TEMPORARY.Float)), 0x0p+0))) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  if ((llvm_fcmp_ult(((llvm_cbe_tmp32_2e_i63__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i656667_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i63__BITCAST_TEMPORARY.Float)), 0x0p+0))) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb31;
  }

llvm_cbe_bb31:
  llvm_cbe_tmp3_2e_i21 = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp3_2e_i_2e_i23 = finite((((double )llvm_cbe_tmp3_2e_i21)));
  if ((llvm_cbe_tmp3_2e_i_2e_i23 == 0u)) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb_2e_i39;
  }

llvm_cbe_bb_2e_i39:
  llvm_cbe_tmp3_2e_i3_2e_i33 = finite((((double )llvm_cbe_tmp6_2e_i)));
  if ((llvm_cbe_tmp3_2e_i3_2e_i33 == 0u)) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb38:
  llvm_cbe_tmp3_2e_i10 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp3_2e_i_2e_i11 = finite((((double )llvm_cbe_tmp3_2e_i10)));
  if ((llvm_cbe_tmp3_2e_i_2e_i11 == 0u)) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp3_2e_i3_2e_i = finite((((double )llvm_cbe_tmp3_2e_i)));
  return (((unsigned char )(bool )(llvm_cbe_tmp3_2e_i3_2e_i != 0u)));
llvm_cbe_bb46:
  return ((unsigned char )0);
}


static void _ZN13b2PairManager15AddBufferedPairEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_id1, unsigned int llvm_cbe_id2) {
  unsigned int *llvm_cbe_tmp14;
  unsigned int llvm_cbe_tmp15;
  unsigned int llvm_cbe_proxyId2_addr_2e_i_2e_0;
  unsigned int llvm_cbe_proxyId1_addr_2e_i_2e_0;
  unsigned int llvm_cbe_tmp4_2e_i3_2e_i;
  unsigned int llvm_cbe_tmp8_2e_i_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i_2e_i;
  unsigned int llvm_cbe_tmp9_2e_i;
  struct l_struct_2E_b2Pair *llvm_cbe_tmp14_2e_i;
  unsigned int *llvm_cbe_tmp23_2e_i;
  unsigned int llvm_cbe_tmp24_2e_i;
  unsigned short *llvm_cbe_tmp30_2e_i;
  unsigned short llvm_cbe_tmp31_2e_i;
  unsigned long long llvm_cbe_tmp464748_2e_i;
  struct l_struct_2E_b2Pair *llvm_cbe_tmp49_2e_i;
  unsigned short llvm_cbe_tmp52_2e_i;
  unsigned short *llvm_cbe_tmp71_2e_i;
  unsigned short llvm_cbe_tmp72_2e_i;
  struct l_struct_2E_b2Pair *llvm_cbe_storemerge_2e_i;
  struct l_struct_2E_b2Pair *llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned short *llvm_cbe_tmp2_2e_i16;
  unsigned short llvm_cbe_tmp3_2e_i17;
  unsigned int llvm_cbe_tmp34_2e_i18;
  unsigned int llvm_cbe_tmp47;
  unsigned short llvm_cbe_tmp50;
  unsigned long long llvm_cbe_tmp4753;
  unsigned short llvm_cbe_tmp61;
  unsigned int llvm_cbe_tmp69;
  unsigned int llvm_cbe_tmp70;
  unsigned int llvm_cbe_tmp78;
  unsigned short llvm_cbe_tmp2_2e_i3;

  if (((((llvm_cbe_id1 == 65535u) | (llvm_cbe_id2 == 65535u))&1))) {
    goto llvm_cbe_bb7;
  } else {
    goto llvm_cbe_bb11;
  }

llvm_cbe_bb7:
  __assert_fail(((&_2E_str5253[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 212u, ((&_ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb11:
  llvm_cbe_tmp14 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp15 = *llvm_cbe_tmp14;
  if ((((signed int )llvm_cbe_tmp15) > ((signed int )16383u))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb23;
  }

llvm_cbe_bb19:
  __assert_fail(((&_2E_str6254[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 213u, ((&_ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb23:
  llvm_cbe_proxyId2_addr_2e_i_2e_0 = (((((signed int )llvm_cbe_id1) > ((signed int )llvm_cbe_id2))) ? (llvm_cbe_id1) : (llvm_cbe_id2));
  llvm_cbe_proxyId1_addr_2e_i_2e_0 = (((((signed int )llvm_cbe_id1) > ((signed int )llvm_cbe_id2))) ? (llvm_cbe_id2) : (llvm_cbe_id1));
  llvm_cbe_tmp4_2e_i3_2e_i = (llvm_cbe_proxyId2_addr_2e_i_2e_0 << 16u) | llvm_cbe_proxyId1_addr_2e_i_2e_0;
  llvm_cbe_tmp8_2e_i_2e_i = (llvm_cbe_tmp4_2e_i3_2e_i << 15u) + (llvm_cbe_tmp4_2e_i3_2e_i ^ 4294967295u);
  llvm_cbe_tmp16_2e_i_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp8_2e_i_2e_i) >> ((unsigned int )12u)))) ^ llvm_cbe_tmp8_2e_i_2e_i) * 5u;
  llvm_cbe_tmp22_2e_i_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp16_2e_i_2e_i) >> ((unsigned int )4u)))) ^ llvm_cbe_tmp16_2e_i_2e_i) * 2057u;
  llvm_cbe_tmp9_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp22_2e_i_2e_i) >> ((unsigned int )16u)))) ^ llvm_cbe_tmp22_2e_i_2e_i) & 16383u;
  llvm_cbe_tmp14_2e_i = _ZN13b2PairManager4FindEiij(llvm_cbe_this, llvm_cbe_proxyId1_addr_2e_i_2e_0, llvm_cbe_proxyId2_addr_2e_i_2e_0, llvm_cbe_tmp9_2e_i);
  if ((llvm_cbe_tmp14_2e_i == ((struct l_struct_2E_b2Pair *)/*NULL*/0))) {
    goto llvm_cbe_bb21_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp14_2e_i;   /* for PHI node */
    goto llvm_cbe__ZN13b2PairManager7AddPairEii_2e_exit;
  }

llvm_cbe_bb21_2e_i:
  llvm_cbe_tmp23_2e_i = (&llvm_cbe_this->field4);
  llvm_cbe_tmp24_2e_i = *llvm_cbe_tmp23_2e_i;
  if ((((signed int )llvm_cbe_tmp24_2e_i) > ((signed int )16383u))) {
    goto llvm_cbe_bb35_2e_i;
  } else {
    goto llvm_cbe_bb28_2e_i;
  }

llvm_cbe_bb28_2e_i:
  llvm_cbe_tmp30_2e_i = (&llvm_cbe_this->field3);
  llvm_cbe_tmp31_2e_i = *llvm_cbe_tmp30_2e_i;
  if ((llvm_cbe_tmp31_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb35_2e_i;
  } else {
    goto llvm_cbe_bb39_2e_i;
  }

llvm_cbe_bb35_2e_i:
  __assert_fail(((&_2E_str4252[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 134u, ((&_ZZN13b2PairManager7AddPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb39_2e_i:
  llvm_cbe_tmp464748_2e_i = ((unsigned long long )(unsigned short )llvm_cbe_tmp31_2e_i);
  llvm_cbe_tmp49_2e_i = (&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)]);
  llvm_cbe_tmp52_2e_i = *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field3));
  *llvm_cbe_tmp30_2e_i = llvm_cbe_tmp52_2e_i;
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field1)) = (((unsigned short )llvm_cbe_proxyId1_addr_2e_i_2e_0));
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field2)) = (((unsigned short )llvm_cbe_proxyId2_addr_2e_i_2e_0));
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field4)) = ((unsigned short )0);
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field0)) = ((unsigned char *)/*NULL*/0);
  llvm_cbe_tmp71_2e_i = (&llvm_cbe_this->field7[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe_tmp9_2e_i)))]);
  llvm_cbe_tmp72_2e_i = *llvm_cbe_tmp71_2e_i;
  *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp464748_2e_i)].field3)) = llvm_cbe_tmp72_2e_i;
  *llvm_cbe_tmp71_2e_i = llvm_cbe_tmp31_2e_i;
  *llvm_cbe_tmp23_2e_i = (llvm_cbe_tmp24_2e_i + 1u);
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp49_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN13b2PairManager7AddPairEii_2e_exit;

llvm_cbe__ZN13b2PairManager7AddPairEii_2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp2_2e_i16 = (&llvm_cbe_storemerge_2e_i->field4);
  llvm_cbe_tmp3_2e_i17 = *llvm_cbe_tmp2_2e_i16;
  llvm_cbe_tmp34_2e_i18 = ((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i17);
  if (((llvm_cbe_tmp34_2e_i18 & 1u) == 0u)) {
    goto llvm_cbe_bb34;
  } else {
    goto llvm_cbe_bb86;
  }

llvm_cbe_bb34:
  if (((llvm_cbe_tmp34_2e_i18 & 4u) == 0u)) {
    goto llvm_cbe_bb42;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb38:
  __assert_fail(((&_2E_str7255[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 221u, ((&_ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb42:
  *llvm_cbe_tmp2_2e_i16 = (((unsigned short )(llvm_cbe_tmp3_2e_i17 | ((unsigned short )1))));
  llvm_cbe_tmp47 = *llvm_cbe_tmp14;
  llvm_cbe_tmp50 = *((&llvm_cbe_storemerge_2e_i->field1));
  llvm_cbe_tmp4753 = ((signed long long )(signed int )llvm_cbe_tmp47);
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp4753)].field0)) = llvm_cbe_tmp50;
  llvm_cbe_tmp61 = *((&llvm_cbe_storemerge_2e_i->field2));
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp4753)].field1)) = llvm_cbe_tmp61;
  llvm_cbe_tmp69 = *llvm_cbe_tmp14;
  llvm_cbe_tmp70 = llvm_cbe_tmp69 + 1u;
  *llvm_cbe_tmp14 = llvm_cbe_tmp70;
  llvm_cbe_tmp78 = *((&llvm_cbe_this->field4));
  if ((((signed int )llvm_cbe_tmp70) > ((signed int )llvm_cbe_tmp78))) {
    goto llvm_cbe_bb82;
  } else {
    goto llvm_cbe_bb86;
  }

llvm_cbe_bb82:
  __assert_fail(((&_2E_str8256[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 229u, ((&_ZZN13b2PairManager15AddBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb86:
  llvm_cbe_tmp2_2e_i3 = *llvm_cbe_tmp2_2e_i16;
  *llvm_cbe_tmp2_2e_i16 = (((unsigned short )(llvm_cbe_tmp2_2e_i3 & ((unsigned short )-3))));
  return;
}


static void _ZN13b2PairManager18RemoveBufferedPairEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_id1, unsigned int llvm_cbe_id2) {
  unsigned int *llvm_cbe_tmp14;
  unsigned int llvm_cbe_tmp15;
  struct l_struct_2E_b2Pair *llvm_cbe_tmp27;
  unsigned short *llvm_cbe_tmp2_2e_i;
  unsigned short llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp34_2e_i;
  unsigned int llvm_cbe_tmp53;
  unsigned short llvm_cbe_tmp56;
  unsigned long long llvm_cbe_tmp5359;
  unsigned short llvm_cbe_tmp67;
  unsigned int llvm_cbe_tmp75;
  unsigned int llvm_cbe_tmp76;
  unsigned int llvm_cbe_tmp84;
  unsigned short llvm_cbe_tmp2_2e_i1;

  if (((((llvm_cbe_id1 == 65535u) | (llvm_cbe_id2 == 65535u))&1))) {
    goto llvm_cbe_bb7;
  } else {
    goto llvm_cbe_bb11;
  }

llvm_cbe_bb7:
  __assert_fail(((&_2E_str5253[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 244u, ((&_ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb11:
  llvm_cbe_tmp14 = (&llvm_cbe_this->field6);
  llvm_cbe_tmp15 = *llvm_cbe_tmp14;
  if ((((signed int )llvm_cbe_tmp15) > ((signed int )16383u))) {
    goto llvm_cbe_bb19;
  } else {
    goto llvm_cbe_bb23;
  }

llvm_cbe_bb19:
  __assert_fail(((&_2E_str6254[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 245u, ((&_ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb23:
  llvm_cbe_tmp27 = _ZN13b2PairManager4FindEii(llvm_cbe_this, llvm_cbe_id1, llvm_cbe_id2);
  if ((llvm_cbe_tmp27 == ((struct l_struct_2E_b2Pair *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb32;
  }

llvm_cbe_bb32:
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_tmp27->field4);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp34_2e_i = ((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i);
  if (((llvm_cbe_tmp34_2e_i & 1u) == 0u)) {
    goto llvm_cbe_bb39;
  } else {
    goto llvm_cbe_bb92;
  }

llvm_cbe_bb39:
  if (((llvm_cbe_tmp34_2e_i & 4u) == 0u)) {
    goto llvm_cbe_bb45;
  } else {
    goto llvm_cbe_bb49;
  }

llvm_cbe_bb45:
  __assert_fail(((&_2E_str9257[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 259u, ((&_ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb49:
  *llvm_cbe_tmp2_2e_i = (((unsigned short )(llvm_cbe_tmp3_2e_i | ((unsigned short )1))));
  llvm_cbe_tmp53 = *llvm_cbe_tmp14;
  llvm_cbe_tmp56 = *((&llvm_cbe_tmp27->field1));
  llvm_cbe_tmp5359 = ((signed long long )(signed int )llvm_cbe_tmp53);
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp5359)].field0)) = llvm_cbe_tmp56;
  llvm_cbe_tmp67 = *((&llvm_cbe_tmp27->field2));
  *((&llvm_cbe_this->field5[((signed long long )llvm_cbe_tmp5359)].field1)) = llvm_cbe_tmp67;
  llvm_cbe_tmp75 = *llvm_cbe_tmp14;
  llvm_cbe_tmp76 = llvm_cbe_tmp75 + 1u;
  *llvm_cbe_tmp14 = llvm_cbe_tmp76;
  llvm_cbe_tmp84 = *((&llvm_cbe_this->field4));
  if ((((signed int )llvm_cbe_tmp76) > ((signed int )llvm_cbe_tmp84))) {
    goto llvm_cbe_bb88;
  } else {
    goto llvm_cbe_bb92;
  }

llvm_cbe_bb88:
  __assert_fail(((&_2E_str8256[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 266u, ((&_ZZN13b2PairManager18RemoveBufferedPairEiiE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb92:
  llvm_cbe_tmp2_2e_i1 = *llvm_cbe_tmp2_2e_i;
  *llvm_cbe_tmp2_2e_i = (((unsigned short )(llvm_cbe_tmp2_2e_i1 | ((unsigned short )2))));
  return;
llvm_cbe_return:
  return;
}


static void _ZN8b2Island6ReportEP19b2ContactConstraint(struct l_struct_2E_b2Island *llvm_cbe_this, struct l_struct_2E_b2ContactConstraint *llvm_cbe_constraints) {
  struct l_struct_2E_b2ContactResult llvm_cbe_cr;    /* Address-exposed local */
  struct l_struct_2E_Os **llvm_cbe_tmp4;
  struct l_struct_2E_Os *llvm_cbe_tmp5;
  unsigned int *llvm_cbe_tmp140;
  struct l_struct_2E_b2Contact ***llvm_cbe_tmp10;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp22;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp25;
  float *llvm_cbe_tmp53;
  float *llvm_cbe_tmp56;
  float *llvm_cbe_tmp79;
  float *llvm_cbe_tmp82;
  float *llvm_cbe_tmp88;
  float *llvm_cbe_tmp92;
  unsigned int *llvm_cbe_tmp99;
  struct l_struct_2E_b2Contact **llvm_cbe_tmp11;
  unsigned long long llvm_cbe_tmp1213;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp15;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i11;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp3_2e_i19;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i27;
  unsigned int llvm_cbe_tmp3_2e_i23;
  unsigned int  (**llvm_cbe_tmp33) ();
  unsigned int  (*llvm_cbe_tmp35) ();
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp38;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp3_2e_i16;
  unsigned long long llvm_cbe_tmp4142;
  float llvm_cbe_tmp48;
  float llvm_cbe_tmp51;
  unsigned int *llvm_cbe_tmp120;
  unsigned long long llvm_cbe_tmp6364;
  unsigned long long llvm_cbe_tmp5_2e_i;
  llvmBitCastUnion llvm_cbe_tmp8131__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp8435__BITCAST_TEMPORARY;
  float llvm_cbe_tmp87;
  float llvm_cbe_tmp91;
  unsigned int llvm_cbe_tmp97;
  struct l_struct_2E_Os *llvm_cbe_tmp107;
  unsigned int  (**llvm_cbe_tmp109) ();
  unsigned int  (*llvm_cbe_tmp111) ();
  unsigned int llvm_cbe_tmp117;
  unsigned long long llvm_cbe_retval_2e_i13_2e_0;
  unsigned long long llvm_cbe_retval_2e_i13_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp121;
  unsigned int llvm_cbe_tmp128;
  unsigned long long llvm_cbe_retval_2e_i13_2e_1;
  unsigned long long llvm_cbe_retval_2e_i13_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge8;
  unsigned int llvm_cbe_storemerge8__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp137;
  unsigned long long llvm_cbe_retval_2e_i13_2e_2;
  unsigned long long llvm_cbe_retval_2e_i13_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge9;
  unsigned int llvm_cbe_storemerge9__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp141;

  llvm_cbe_tmp4 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp5 = *llvm_cbe_tmp4;
  if ((llvm_cbe_tmp5 == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp140 = (&llvm_cbe_this->field7);
  llvm_cbe_tmp10 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp22 = (&llvm_cbe_cr.field0);
  llvm_cbe_tmp25 = (&llvm_cbe_cr.field1);
  llvm_cbe_tmp53 = (&llvm_cbe_cr.field3.field0);
  llvm_cbe_tmp56 = (&llvm_cbe_cr.field3.field1);
  llvm_cbe_tmp79 = (&llvm_cbe_cr.field2.field0);
  llvm_cbe_tmp82 = (&llvm_cbe_cr.field2.field1);
  llvm_cbe_tmp88 = (&llvm_cbe_cr.field4);
  llvm_cbe_tmp92 = (&llvm_cbe_cr.field5);
  llvm_cbe_tmp99 = (&llvm_cbe_cr.field6.field0);
  llvm_cbe_storemerge9__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb138;

  do {     /* Syntactic loop 'bb138' to make GCC happy */
llvm_cbe_bb138:
  llvm_cbe_retval_2e_i13_2e_2 = llvm_cbe_retval_2e_i13_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge9 = llvm_cbe_storemerge9__PHI_TEMPORARY;
  llvm_cbe_tmp141 = *llvm_cbe_tmp140;
  if ((((signed int )llvm_cbe_tmp141) > ((signed int )llvm_cbe_storemerge9))) {
    goto llvm_cbe_bb8;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb135:
  llvm_cbe_tmp137 = llvm_cbe_storemerge9 + 1u;
  llvm_cbe_retval_2e_i13_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i13_2e_1;   /* for PHI node */
  llvm_cbe_storemerge9__PHI_TEMPORARY = llvm_cbe_tmp137;   /* for PHI node */
  goto llvm_cbe_bb138;

  do {     /* Syntactic loop 'bb129' to make GCC happy */
llvm_cbe_bb129:
  llvm_cbe_retval_2e_i13_2e_1 = llvm_cbe_retval_2e_i13_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge8 = llvm_cbe_storemerge8__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge8) < ((signed int )llvm_cbe_tmp3_2e_i23))) {
    goto llvm_cbe_bb39;
  } else {
    goto llvm_cbe_bb135;
  }

llvm_cbe_bb126:
  llvm_cbe_tmp128 = llvm_cbe_storemerge8 + 1u;
  llvm_cbe_retval_2e_i13_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i13_2e_0;   /* for PHI node */
  llvm_cbe_storemerge8__PHI_TEMPORARY = llvm_cbe_tmp128;   /* for PHI node */
  goto llvm_cbe_bb129;

  do {     /* Syntactic loop 'bb118' to make GCC happy */
llvm_cbe_bb118:
  llvm_cbe_retval_2e_i13_2e_0 = llvm_cbe_retval_2e_i13_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp121 = *llvm_cbe_tmp120;
  if ((((signed int )llvm_cbe_tmp121) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb59;
  } else {
    goto llvm_cbe_bb126;
  }

llvm_cbe_bb59:
  llvm_cbe_tmp6364 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp3_2e_i16, ((&llvm_cbe_tmp38[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp6364)].field0)));
  *llvm_cbe_tmp79 = ((llvm_cbe_tmp8131__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i)), llvm_cbe_tmp8131__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp82 = ((llvm_cbe_tmp8435__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp8435__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp87 = *((&llvm_cbe_constraints[((signed long long )llvm_cbe_tmp1213)].field0[((signed long long )llvm_cbe_tmp6364)].field4));
  *llvm_cbe_tmp88 = llvm_cbe_tmp87;
  llvm_cbe_tmp91 = *((&llvm_cbe_constraints[((signed long long )llvm_cbe_tmp1213)].field0[((signed long long )llvm_cbe_tmp6364)].field5));
  *llvm_cbe_tmp92 = llvm_cbe_tmp91;
  llvm_cbe_tmp97 = *((&llvm_cbe_tmp38[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp6364)].field5.field0));
  *llvm_cbe_tmp99 = llvm_cbe_tmp97;
  llvm_cbe_tmp107 = *llvm_cbe_tmp4;
  llvm_cbe_tmp109 = *((&llvm_cbe_tmp107->field0));
  llvm_cbe_tmp111 = *((&llvm_cbe_tmp109[((signed long long )5ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactResult *))llvm_cbe_tmp111))(llvm_cbe_tmp107, (&llvm_cbe_cr));
  llvm_cbe_tmp117 = llvm_cbe_storemerge + 1u;
  llvm_cbe_retval_2e_i13_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp117;   /* for PHI node */
  goto llvm_cbe_bb118;

  } while (1); /* end of syntactic loop 'bb118' */
llvm_cbe_bb39:
  llvm_cbe_tmp4142 = ((signed long long )(signed int )llvm_cbe_storemerge8);
  llvm_cbe_tmp48 = *((&llvm_cbe_tmp38[((signed long long )llvm_cbe_tmp4142)].field1.field0));
  llvm_cbe_tmp51 = *((&llvm_cbe_tmp38[((signed long long )llvm_cbe_tmp4142)].field1.field1));
  *llvm_cbe_tmp53 = llvm_cbe_tmp48;
  *llvm_cbe_tmp56 = llvm_cbe_tmp51;
  llvm_cbe_tmp120 = (&llvm_cbe_tmp38[((signed long long )llvm_cbe_tmp4142)].field2);
  llvm_cbe_retval_2e_i13_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i13_2e_1;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb118;

  } while (1); /* end of syntactic loop 'bb129' */
llvm_cbe_bb8:
  llvm_cbe_tmp11 = *llvm_cbe_tmp10;
  llvm_cbe_tmp1213 = ((signed long long )(signed int )llvm_cbe_storemerge9);
  llvm_cbe_tmp15 = *((&llvm_cbe_tmp11[((signed long long )llvm_cbe_tmp1213)]));
  llvm_cbe_tmp3_2e_i11 = *((&llvm_cbe_tmp15->field7));
  *llvm_cbe_tmp22 = llvm_cbe_tmp3_2e_i11;
  llvm_cbe_tmp3_2e_i19 = *((&llvm_cbe_tmp15->field8));
  *llvm_cbe_tmp25 = llvm_cbe_tmp3_2e_i19;
  llvm_cbe_tmp3_2e_i27 = *((&llvm_cbe_tmp3_2e_i11->field3));
  llvm_cbe_tmp3_2e_i23 = *((&llvm_cbe_tmp15->field2));
  llvm_cbe_tmp33 = *((&llvm_cbe_tmp15->field0));
  llvm_cbe_tmp35 = *llvm_cbe_tmp33;
  llvm_cbe_tmp38 = (((struct l_struct_2E_b2Manifold * (*) (struct l_struct_2E_b2Contact *))llvm_cbe_tmp35))(llvm_cbe_tmp15);
  llvm_cbe_tmp3_2e_i16 = (&llvm_cbe_tmp3_2e_i27->field2);
  llvm_cbe_retval_2e_i13_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i13_2e_2;   /* for PHI node */
  llvm_cbe_storemerge8__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb129;

  } while (1); /* end of syntactic loop 'bb138' */
llvm_cbe_return:
  return;
}


static void _ZN15b2ContactSolverC1ERK10b2TimeStepPP9b2ContactiP16b2StackAllocator(struct l_struct_2E_b2ContactSolver *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step, struct l_struct_2E_b2Contact **llvm_cbe_contacts, unsigned int llvm_cbe_contactCount, struct l_struct_2E_b2StackAllocator *llvm_cbe_allocator) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp14;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp17;    /* Address-exposed local */
  float llvm_cbe_tmp28;
  float llvm_cbe_tmp31;
  float llvm_cbe_tmp34;
  unsigned int llvm_cbe_tmp37;
  unsigned char llvm_cbe_tmp40;
  unsigned char llvm_cbe_tmp43;
  unsigned int *llvm_cbe_tmp48;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp53;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i464;
  unsigned int llvm_cbe_tmp71;
  unsigned int llvm_cbe_tmp75;
  unsigned int llvm_cbe_tmp64_2e_rle;
  unsigned int llvm_cbe_tmp64_2e_rle__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp92;
  struct l_struct_2E_b2ContactConstraint **llvm_cbe_tmp95;
  float *llvm_cbe_tmp304;
  float *llvm_cbe_tmp307;
  float *llvm_cbe_tmp329;
  float *llvm_cbe_tmp332;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp101;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp104;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i521;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp108;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i580;
  unsigned int llvm_cbe_tmp3_2e_i584;
  unsigned int  (**llvm_cbe_tmp114) ();
  unsigned int  (*llvm_cbe_tmp116) ();
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp119;
  float llvm_cbe_tmp122;
  float llvm_cbe_tmp125;
  float llvm_cbe_tmp130;
  float llvm_cbe_tmp133;
  float llvm_cbe_tmp144;
  float llvm_cbe_tmp147;
  float llvm_cbe_tmp156;
  float llvm_cbe_tmp159;
  float *llvm_cbe_tmp5_2e_i540;
  float *llvm_cbe_tmp12_2e_i547;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp312;
  float *llvm_cbe_tmp5_2e_i481;
  float *llvm_cbe_tmp12_2e_i488;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp337;
  float *llvm_cbe_tmp365;
  float *llvm_cbe_tmp368;
  float *llvm_cbe_tmp372;
  float *llvm_cbe_tmp381;
  float *llvm_cbe_tmp406;
  float *llvm_cbe_tmp413;
  float llvm_cbe_tmp7_2e_i272;
  float llvm_cbe_tmp7_2e_i227;
  unsigned long long llvm_cbe_tmp162163;
  struct l_struct_2E_b2Manifold *llvm_cbe_tmp164;
  unsigned int llvm_cbe_tmp167;
  float llvm_cbe_tmp180;
  float llvm_cbe_tmp183;
  unsigned int llvm_cbe_tmp192;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp204;
  unsigned long long llvm_cbe_tmp205206;
  unsigned int llvm_cbe_tmp227;
  unsigned int *llvm_cbe_tmp229;
  float *llvm_cbe_tmp234;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i375733__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i375733734;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i378740__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i378740741742;
  float *llvm_cbe_tmp2_2e_i92;
  float *llvm_cbe_tmp9_2e_i;
  unsigned long long llvm_cbe_tmp240241;
  float llvm_cbe_tmp251;
  float llvm_cbe_tmp256;
  float llvm_cbe_tmp261;
  float *llvm_cbe_tmp263;
  float llvm_cbe_tmp270;
  float llvm_cbe_tmp273;
  float llvm_cbe_tmp286;
  float llvm_cbe_tmp289;
  float llvm_cbe_tmp3_2e_i538;
  float llvm_cbe_tmp6_2e_i541;
  float llvm_cbe_tmp10_2e_i545;
  float llvm_cbe_tmp13_2e_i548;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i564761__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i567768__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i567768769770_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp306591__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp309595__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp313;
  float *llvm_cbe_tmp317;
  llvmBitCastUnion llvm_cbe_tmp319598__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp322602__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i479;
  float llvm_cbe_tmp6_2e_i482;
  float llvm_cbe_tmp10_2e_i486;
  float llvm_cbe_tmp13_2e_i489;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i505747__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i508754__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i508754755756_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp331605__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp334609__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp338;
  float *llvm_cbe_tmp342;
  llvmBitCastUnion llvm_cbe_tmp344612__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp347616__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i448;
  float llvm_cbe_tmp10_2e_i455;
  float llvm_cbe_tmp15_2e_i460;
  float llvm_cbe_tmp3_2e_i429;
  float llvm_cbe_tmp10_2e_i436;
  float llvm_cbe_tmp15_2e_i441;
  float llvm_cbe_tmp15_2e_i422;
  float llvm_cbe_tmp15_2e_i403;
  float llvm_cbe_tmp366;
  float llvm_cbe_tmp369;
  float llvm_cbe_tmp373;
  float llvm_cbe_tmp378;
  float llvm_cbe_tmp382;
  float llvm_cbe_tmp387;
  float llvm_cbe_tmp391;
  float llvm_cbe_tmp407;
  float llvm_cbe_tmp410;
  float llvm_cbe_tmp414;
  float llvm_cbe_tmp417;
  float llvm_cbe_tmp425;
  float llvm_cbe_tmp438;
  float llvm_cbe_tmp448;
  unsigned long long llvm_cbe_tmp23_2e_i378740741742_2e_ins;
  float llvm_cbe_tmp466619;
  llvmBitCastUnion llvm_cbe_tmp466619__BITCAST_TEMPORARY;
  float llvm_cbe_tmp469623;
  llvmBitCastUnion llvm_cbe_tmp469623__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i338;
  float llvm_cbe_tmp15_2e_i319;
  float llvm_cbe_tmp478;
  float llvm_cbe_tmp481;
  float llvm_cbe_tmp485;
  float llvm_cbe_tmp494;
  float llvm_cbe_tmp503;
  float *llvm_cbe_tmp518;
  float llvm_cbe_tmp521;
  float llvm_cbe_tmp529;
  float llvm_cbe_tmp591_2e_rle;
  float llvm_cbe_tmp591_2e_rle__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i268;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i291719__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i294726__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i294726727728_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp540626__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp543630__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i223;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i246705__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i249712__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i249712713714_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp551633__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp554637__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i201691__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i204698__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i204698699700_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp559640__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp562644__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i152677__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i155684__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i155684685686_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp567647__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp570651__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i663__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i670__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i670671672_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp575654__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp578658__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i93;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp15_2e_i;
  float llvm_cbe_tmp594;
  unsigned int llvm_cbe_tmp603;
  unsigned long long llvm_cbe_retval_2e_i98_2e_0;
  unsigned long long llvm_cbe_retval_2e_i98_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i119_2e_0;
  unsigned long long llvm_cbe_retval_2e_i119_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i168_2e_0;
  unsigned long long llvm_cbe_retval_2e_i168_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i216_2e_0;
  unsigned long long llvm_cbe_retval_2e_i216_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i261_2e_0;
  unsigned long long llvm_cbe_retval_2e_i261_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i345_2e_0;
  unsigned long long llvm_cbe_retval_2e_i345_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i472_2e_0;
  unsigned long long llvm_cbe_retval_2e_i472_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i531_2e_0;
  unsigned long long llvm_cbe_retval_2e_i531_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp607;
  unsigned int llvm_cbe_tmp614;
  unsigned int llvm_cbe_tmp616;
  unsigned long long llvm_cbe_retval_2e_i98_2e_1;
  unsigned long long llvm_cbe_retval_2e_i98_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i119_2e_1;
  unsigned long long llvm_cbe_retval_2e_i119_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i168_2e_1;
  unsigned long long llvm_cbe_retval_2e_i168_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i216_2e_1;
  unsigned long long llvm_cbe_retval_2e_i216_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i261_2e_1;
  unsigned long long llvm_cbe_retval_2e_i261_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i345_2e_1;
  unsigned long long llvm_cbe_retval_2e_i345_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i472_2e_1;
  unsigned long long llvm_cbe_retval_2e_i472_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i531_2e_1;
  unsigned long long llvm_cbe_retval_2e_i531_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_count_2e_0;
  unsigned int llvm_cbe_count_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge88;
  unsigned int llvm_cbe_storemerge88__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp625;
  unsigned long long llvm_cbe_retval_2e_i98_2e_2;
  unsigned long long llvm_cbe_retval_2e_i98_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i119_2e_2;
  unsigned long long llvm_cbe_retval_2e_i119_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i168_2e_2;
  unsigned long long llvm_cbe_retval_2e_i168_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i216_2e_2;
  unsigned long long llvm_cbe_retval_2e_i216_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i261_2e_2;
  unsigned long long llvm_cbe_retval_2e_i261_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i345_2e_2;
  unsigned long long llvm_cbe_retval_2e_i345_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i472_2e_2;
  unsigned long long llvm_cbe_retval_2e_i472_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i531_2e_2;
  unsigned long long llvm_cbe_retval_2e_i531_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_count_2e_1;
  unsigned int llvm_cbe_count_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge89;
  unsigned int llvm_cbe_storemerge89__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp635;

  llvm_cbe_tmp28 = *((&llvm_cbe_step->field0));
  *((&llvm_cbe_this->field0.field0)) = llvm_cbe_tmp28;
  llvm_cbe_tmp31 = *((&llvm_cbe_step->field1));
  *((&llvm_cbe_this->field0.field1)) = llvm_cbe_tmp31;
  llvm_cbe_tmp34 = *((&llvm_cbe_step->field2));
  *((&llvm_cbe_this->field0.field2)) = llvm_cbe_tmp34;
  llvm_cbe_tmp37 = *((&llvm_cbe_step->field3));
  *((&llvm_cbe_this->field0.field3)) = llvm_cbe_tmp37;
  llvm_cbe_tmp40 = *((&llvm_cbe_step->field4));
  *((&llvm_cbe_this->field0.field4)) = llvm_cbe_tmp40;
  llvm_cbe_tmp43 = *((&llvm_cbe_step->field5));
  *((&llvm_cbe_this->field0.field5)) = llvm_cbe_tmp43;
  *((&llvm_cbe_this->field1)) = llvm_cbe_allocator;
  llvm_cbe_tmp48 = (&llvm_cbe_this->field3);
  *llvm_cbe_tmp48 = 0u;
  llvm_cbe_tmp64_2e_rle__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb76;

llvm_cbe_bb57:
  __assert_fail(((&_2E_str268[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 33u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb76' to make GCC happy */
llvm_cbe_bb76:
  llvm_cbe_tmp64_2e_rle = llvm_cbe_tmp64_2e_rle__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_contactCount))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb82;
  }

llvm_cbe_bb61:
  llvm_cbe_tmp3_2e_i464 = *((&llvm_cbe_tmp53->field2));
  llvm_cbe_tmp71 = llvm_cbe_tmp64_2e_rle + llvm_cbe_tmp3_2e_i464;
  *llvm_cbe_tmp48 = llvm_cbe_tmp71;
  llvm_cbe_tmp75 = llvm_cbe_storemerge + 1u;
  llvm_cbe_tmp64_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp71;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp75;   /* for PHI node */
  goto llvm_cbe_bb76;

llvm_cbe_bb:
  llvm_cbe_tmp53 = *((&llvm_cbe_contacts[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge)))]));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp53->field1));
  if (((llvm_cbe_tmp3_2e_i & 1u) == 0u)) {
    goto llvm_cbe_bb61;
  } else {
    goto llvm_cbe_bb57;
  }

  } while (1); /* end of syntactic loop 'bb76' */
llvm_cbe_bb82:
  llvm_cbe_tmp92 = _ZN16b2StackAllocator8AllocateEi(llvm_cbe_allocator, (llvm_cbe_tmp64_2e_rle * 176u));
  llvm_cbe_tmp95 = (&llvm_cbe_this->field2);
  *llvm_cbe_tmp95 = (((struct l_struct_2E_b2ContactConstraint *)llvm_cbe_tmp92));
  llvm_cbe_tmp304 = (&llvm_cbe_tmp17.field0);
  llvm_cbe_tmp307 = (&llvm_cbe_tmp17.field1);
  llvm_cbe_tmp329 = (&llvm_cbe_tmp14.field0);
  llvm_cbe_tmp332 = (&llvm_cbe_tmp14.field1);
  llvm_cbe_count_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge89__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb626;

llvm_cbe_bb171:
  __assert_fail(((&_2E_str2270[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 60u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb197:
  __assert_fail(((&_2E_str3271[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 64u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb396:
  __assert_fail(((&_2E_str4272[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 97u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb453:
  __assert_fail(((&_2E_str5273[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 103u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb508:
  __assert_fail(((&_2E_str6274[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 113u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
  do {     /* Syntactic loop 'bb626' to make GCC happy */
llvm_cbe_bb626:
  llvm_cbe_retval_2e_i98_2e_2 = llvm_cbe_retval_2e_i98_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i119_2e_2 = llvm_cbe_retval_2e_i119_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i168_2e_2 = llvm_cbe_retval_2e_i168_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i216_2e_2 = llvm_cbe_retval_2e_i216_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i261_2e_2 = llvm_cbe_retval_2e_i261_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i345_2e_2 = llvm_cbe_retval_2e_i345_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i472_2e_2 = llvm_cbe_retval_2e_i472_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i531_2e_2 = llvm_cbe_retval_2e_i531_2e_2__PHI_TEMPORARY;
  llvm_cbe_count_2e_1 = llvm_cbe_count_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge89 = llvm_cbe_storemerge89__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge89) < ((signed int )llvm_cbe_contactCount))) {
    goto llvm_cbe_bb96;
  } else {
    goto llvm_cbe_bb632;
  }

llvm_cbe_bb623:
  llvm_cbe_tmp625 = llvm_cbe_storemerge89 + 1u;
  llvm_cbe_retval_2e_i98_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i98_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i119_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i119_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i168_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i168_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i216_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i216_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i261_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i261_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i345_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i345_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i472_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i472_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i531_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i531_2e_1;   /* for PHI node */
  llvm_cbe_count_2e_1__PHI_TEMPORARY = llvm_cbe_count_2e_0;   /* for PHI node */
  llvm_cbe_storemerge89__PHI_TEMPORARY = llvm_cbe_tmp625;   /* for PHI node */
  goto llvm_cbe_bb626;

  do {     /* Syntactic loop 'bb617' to make GCC happy */
llvm_cbe_bb617:
  llvm_cbe_retval_2e_i98_2e_1 = llvm_cbe_retval_2e_i98_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i119_2e_1 = llvm_cbe_retval_2e_i119_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i168_2e_1 = llvm_cbe_retval_2e_i168_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i216_2e_1 = llvm_cbe_retval_2e_i216_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i261_2e_1 = llvm_cbe_retval_2e_i261_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i345_2e_1 = llvm_cbe_retval_2e_i345_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i472_2e_1 = llvm_cbe_retval_2e_i472_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i531_2e_1 = llvm_cbe_retval_2e_i531_2e_1__PHI_TEMPORARY;
  llvm_cbe_count_2e_0 = llvm_cbe_count_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge88 = llvm_cbe_storemerge88__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge88) < ((signed int )llvm_cbe_tmp3_2e_i584))) {
    goto llvm_cbe_bb160;
  } else {
    goto llvm_cbe_bb623;
  }

llvm_cbe_bb612:
  llvm_cbe_tmp614 = llvm_cbe_count_2e_0 + 1u;
  llvm_cbe_tmp616 = llvm_cbe_storemerge88 + 1u;
  llvm_cbe_retval_2e_i98_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i98_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i119_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i119_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i168_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i168_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i216_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i216_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i261_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i261_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i345_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i345_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i472_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i472_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i531_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i531_2e_0;   /* for PHI node */
  llvm_cbe_count_2e_0__PHI_TEMPORARY = llvm_cbe_tmp614;   /* for PHI node */
  llvm_cbe_storemerge88__PHI_TEMPORARY = llvm_cbe_tmp616;   /* for PHI node */
  goto llvm_cbe_bb617;

  do {     /* Syntactic loop 'bb604' to make GCC happy */
llvm_cbe_bb604:
  llvm_cbe_retval_2e_i98_2e_0 = llvm_cbe_retval_2e_i98_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i119_2e_0 = llvm_cbe_retval_2e_i119_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i168_2e_0 = llvm_cbe_retval_2e_i168_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i216_2e_0 = llvm_cbe_retval_2e_i216_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i261_2e_0 = llvm_cbe_retval_2e_i261_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i345_2e_0 = llvm_cbe_retval_2e_i345_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i472_2e_0 = llvm_cbe_retval_2e_i472_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i531_2e_0 = llvm_cbe_retval_2e_i531_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp607 = *llvm_cbe_tmp229;
  if ((((signed int )llvm_cbe_tmp607) > ((signed int )llvm_cbe_storemerge1))) {
    goto llvm_cbe_bb236;
  } else {
    goto llvm_cbe_bb612;
  }

llvm_cbe_bb601:
  llvm_cbe_tmp603 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_retval_2e_i98_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i670671672_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i119_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i155684685686_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i168_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i204698699700_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i216_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i249712713714_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i261_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i294726727728_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i345_2e_0__PHI_TEMPORARY = llvm_cbe_tmp23_2e_i378740741742_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i472_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i508754755756_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i531_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i567768769770_2e_ins;   /* for PHI node */
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp603;   /* for PHI node */
  goto llvm_cbe_bb604;

llvm_cbe_bb532:
  llvm_cbe_tmp591_2e_rle = llvm_cbe_tmp591_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i268 = *llvm_cbe_tmp317;
  llvm_cbe_tmp23_2e_i294726727728_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i291719__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i455 * llvm_cbe_tmp7_2e_i272))), llvm_cbe_tmp20_2e_i291719__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i294726__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i268 * llvm_cbe_tmp156))), llvm_cbe_tmp23_2e_i294726__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i223 = *llvm_cbe_tmp342;
  llvm_cbe_tmp23_2e_i249712713714_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i246705__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i436 * llvm_cbe_tmp7_2e_i227))), llvm_cbe_tmp20_2e_i246705__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i249712__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i223 * llvm_cbe_tmp159))), llvm_cbe_tmp23_2e_i249712__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i204698699700_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i201691__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp144 + ((llvm_cbe_tmp551633__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i249712713714_2e_ins)), llvm_cbe_tmp551633__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i201691__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i204698__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp147 + ((llvm_cbe_tmp554637__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i249712713714_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp554637__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i204698__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i155684685686_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i152677__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp559640__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i204698699700_2e_ins)), llvm_cbe_tmp559640__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp130))), llvm_cbe_tmp23_2e_i152677__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i155684__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp562644__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i204698699700_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp562644__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp133))), llvm_cbe_tmp26_2e_i155684__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i670671672_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i663__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp567647__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i155684685686_2e_ins)), llvm_cbe_tmp567647__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp540626__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i294726727728_2e_ins)), llvm_cbe_tmp540626__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i663__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i670__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp570651__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i155684685686_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp570651__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp543630__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i294726727728_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp543630__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i670__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i93 = *llvm_cbe_tmp2_2e_i92;
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp9_2e_i;
  llvm_cbe_tmp15_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i93 * ((llvm_cbe_tmp575654__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i670671672_2e_ins)), llvm_cbe_tmp575654__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i * ((llvm_cbe_tmp578658__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i670671672_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp578658__BITCAST_TEMPORARY.Float)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i, -0x1p+0))) {
    goto llvm_cbe_bb588;
  } else {
    goto llvm_cbe_bb601;
  }

llvm_cbe_bb512:
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field8)) = (((float )(0x1p+0 / llvm_cbe_tmp503)));
  llvm_cbe_tmp518 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field11);
  *llvm_cbe_tmp518 = 0x0p+0;
  llvm_cbe_tmp521 = *llvm_cbe_tmp263;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp521, 0x0p+0))) {
    goto llvm_cbe_bb525;
  } else {
    llvm_cbe_tmp591_2e_rle__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb532;
  }

llvm_cbe_bb457:
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field9)) = (((float )(0x1p+0 / llvm_cbe_tmp448)));
  llvm_cbe_tmp23_2e_i378740741742_2e_ins = llvm_cbe_tmp20_2e_i375733734 | llvm_cbe_tmp23_2e_i378740741742;
  llvm_cbe_tmp466619 = (llvm_cbe_tmp466619__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i378740741742_2e_ins)), llvm_cbe_tmp466619__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp469623 = (llvm_cbe_tmp469623__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i378740741742_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp469623__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i338 = ((float )((((float )(llvm_cbe_tmp3_2e_i448 * llvm_cbe_tmp466619))) + (((float )(llvm_cbe_tmp10_2e_i455 * llvm_cbe_tmp469623)))));
  llvm_cbe_tmp15_2e_i319 = ((float )((((float )(llvm_cbe_tmp3_2e_i429 * llvm_cbe_tmp466619))) + (((float )(llvm_cbe_tmp10_2e_i436 * llvm_cbe_tmp469623)))));
  llvm_cbe_tmp478 = *llvm_cbe_tmp365;
  llvm_cbe_tmp481 = *llvm_cbe_tmp368;
  llvm_cbe_tmp485 = *llvm_cbe_tmp372;
  llvm_cbe_tmp494 = *llvm_cbe_tmp381;
  llvm_cbe_tmp503 = ((float )((((float )((((float )(llvm_cbe_tmp485 * (((float )(llvm_cbe_tmp15_2e_i460 - (((float )(llvm_cbe_tmp15_2e_i338 * llvm_cbe_tmp15_2e_i338))))))))) + (((float )(llvm_cbe_tmp494 * (((float )(llvm_cbe_tmp15_2e_i441 - (((float )(llvm_cbe_tmp15_2e_i319 * llvm_cbe_tmp15_2e_i319)))))))))))) + (((float )(llvm_cbe_tmp478 + llvm_cbe_tmp481)))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp503, 0x1p-23))) {
    goto llvm_cbe_bb508;
  } else {
    goto llvm_cbe_bb512;
  }

llvm_cbe_bb400:
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field7)) = (((float )(0x1p+0 / llvm_cbe_tmp391)));
  llvm_cbe_tmp407 = *llvm_cbe_tmp406;
  llvm_cbe_tmp410 = *llvm_cbe_tmp365;
  llvm_cbe_tmp414 = *llvm_cbe_tmp413;
  llvm_cbe_tmp417 = *llvm_cbe_tmp368;
  llvm_cbe_tmp425 = *llvm_cbe_tmp372;
  llvm_cbe_tmp438 = *llvm_cbe_tmp381;
  llvm_cbe_tmp448 = ((float )((((float )((((float )((((float )(llvm_cbe_tmp407 * llvm_cbe_tmp425))) * llvm_cbe_tmp378))) + (((float )((((float )(llvm_cbe_tmp414 * llvm_cbe_tmp438))) * llvm_cbe_tmp387)))))) + (((float )((((float )(llvm_cbe_tmp407 * llvm_cbe_tmp410))) + (((float )(llvm_cbe_tmp414 * llvm_cbe_tmp417))))))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp448, 0x1p-23))) {
    goto llvm_cbe_bb453;
  } else {
    goto llvm_cbe_bb457;
  }

llvm_cbe_bb236:
  llvm_cbe_tmp240241 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp251 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field3));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field4)) = llvm_cbe_tmp251;
  llvm_cbe_tmp256 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field4));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field5)) = llvm_cbe_tmp256;
  llvm_cbe_tmp261 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field2));
  llvm_cbe_tmp263 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field10);
  *llvm_cbe_tmp263 = llvm_cbe_tmp261;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field6)) = 0x0p+0;
  llvm_cbe_tmp270 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field0));
  llvm_cbe_tmp273 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field1));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field0)) = llvm_cbe_tmp270;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field1)) = llvm_cbe_tmp273;
  llvm_cbe_tmp286 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field0));
  llvm_cbe_tmp289 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field1));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field0)) = llvm_cbe_tmp286;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field1)) = llvm_cbe_tmp289;
  llvm_cbe_tmp3_2e_i538 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field1));
  llvm_cbe_tmp6_2e_i541 = *llvm_cbe_tmp5_2e_i540;
  llvm_cbe_tmp10_2e_i545 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field0.field0));
  llvm_cbe_tmp13_2e_i548 = *llvm_cbe_tmp12_2e_i547;
  llvm_cbe_tmp26_2e_i567768769770_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i564761__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i545 - llvm_cbe_tmp13_2e_i548))), llvm_cbe_tmp23_2e_i564761__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i567768__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i538 - llvm_cbe_tmp6_2e_i541))), llvm_cbe_tmp26_2e_i567768__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp304 = ((llvm_cbe_tmp306591__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i567768769770_2e_ins)), llvm_cbe_tmp306591__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp307 = ((llvm_cbe_tmp309595__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i567768769770_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp309595__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp313 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp312, (&llvm_cbe_tmp17));
  llvm_cbe_tmp317 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field2.field0);
  *llvm_cbe_tmp317 = ((llvm_cbe_tmp319598__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp313)), llvm_cbe_tmp319598__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field2.field1)) = ((llvm_cbe_tmp322602__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp313) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp322602__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i479 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field1));
  llvm_cbe_tmp6_2e_i482 = *llvm_cbe_tmp5_2e_i481;
  llvm_cbe_tmp10_2e_i486 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field0[((signed long long )llvm_cbe_tmp240241)].field1.field0));
  llvm_cbe_tmp13_2e_i489 = *llvm_cbe_tmp12_2e_i488;
  llvm_cbe_tmp26_2e_i508754755756_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i505747__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i486 - llvm_cbe_tmp13_2e_i489))), llvm_cbe_tmp23_2e_i505747__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i508754__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i479 - llvm_cbe_tmp6_2e_i482))), llvm_cbe_tmp26_2e_i508754__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp329 = ((llvm_cbe_tmp331605__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i508754755756_2e_ins)), llvm_cbe_tmp331605__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp332 = ((llvm_cbe_tmp334609__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i508754755756_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp334609__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp338 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp337, (&llvm_cbe_tmp14));
  llvm_cbe_tmp342 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field3.field0);
  *llvm_cbe_tmp342 = ((llvm_cbe_tmp344612__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp338)), llvm_cbe_tmp344612__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field3.field1)) = ((llvm_cbe_tmp347616__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp338) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp347616__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i448 = *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field2.field0));
  llvm_cbe_tmp10_2e_i455 = *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field2.field1));
  llvm_cbe_tmp15_2e_i460 = ((float )((((float )(llvm_cbe_tmp3_2e_i448 * llvm_cbe_tmp3_2e_i448))) + (((float )(llvm_cbe_tmp10_2e_i455 * llvm_cbe_tmp10_2e_i455)))));
  llvm_cbe_tmp3_2e_i429 = *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field3.field0));
  llvm_cbe_tmp10_2e_i436 = *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field0[((signed long long )llvm_cbe_tmp240241)].field3.field1));
  llvm_cbe_tmp15_2e_i441 = ((float )((((float )(llvm_cbe_tmp3_2e_i429 * llvm_cbe_tmp3_2e_i429))) + (((float )(llvm_cbe_tmp10_2e_i436 * llvm_cbe_tmp10_2e_i436)))));
  llvm_cbe_tmp15_2e_i422 = ((float )((((float )(llvm_cbe_tmp3_2e_i448 * llvm_cbe_tmp180))) + (((float )(llvm_cbe_tmp10_2e_i455 * llvm_cbe_tmp183)))));
  llvm_cbe_tmp15_2e_i403 = ((float )((((float )(llvm_cbe_tmp3_2e_i429 * llvm_cbe_tmp180))) + (((float )(llvm_cbe_tmp10_2e_i436 * llvm_cbe_tmp183)))));
  llvm_cbe_tmp366 = *llvm_cbe_tmp365;
  llvm_cbe_tmp369 = *llvm_cbe_tmp368;
  llvm_cbe_tmp373 = *llvm_cbe_tmp372;
  llvm_cbe_tmp378 = ((float )(llvm_cbe_tmp15_2e_i460 - (((float )(llvm_cbe_tmp15_2e_i422 * llvm_cbe_tmp15_2e_i422)))));
  llvm_cbe_tmp382 = *llvm_cbe_tmp381;
  llvm_cbe_tmp387 = ((float )(llvm_cbe_tmp15_2e_i441 - (((float )(llvm_cbe_tmp15_2e_i403 * llvm_cbe_tmp15_2e_i403)))));
  llvm_cbe_tmp391 = ((float )((((float )((((float )(llvm_cbe_tmp373 * llvm_cbe_tmp378))) + (((float )(llvm_cbe_tmp382 * llvm_cbe_tmp387)))))) + (((float )(llvm_cbe_tmp366 + llvm_cbe_tmp369)))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp391, 0x1p-23))) {
    goto llvm_cbe_bb396;
  } else {
    goto llvm_cbe_bb400;
  }

llvm_cbe_bb525:
  llvm_cbe_tmp529 = ((float )(llvm_cbe_tmp521 * -0x1.ep+5));
  *llvm_cbe_tmp518 = llvm_cbe_tmp529;
  llvm_cbe_tmp591_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp529;   /* for PHI node */
  goto llvm_cbe_bb532;

llvm_cbe_bb588:
  llvm_cbe_tmp594 = *llvm_cbe_tmp234;
  *llvm_cbe_tmp518 = (((float )(llvm_cbe_tmp591_2e_rle + (((float )(llvm_cbe_tmp15_2e_i * (((float )(-(llvm_cbe_tmp594))))))))));
  goto llvm_cbe_bb601;

  } while (1); /* end of syntactic loop 'bb604' */
llvm_cbe_bb201:
  llvm_cbe_tmp204 = *llvm_cbe_tmp95;
  llvm_cbe_tmp205206 = ((signed long long )(signed int )llvm_cbe_count_2e_0);
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field3)) = llvm_cbe_tmp3_2e_i521;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field4)) = llvm_cbe_tmp3_2e_i580;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field2)) = llvm_cbe_tmp164;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field1.field0)) = llvm_cbe_tmp180;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field1.field1)) = llvm_cbe_tmp183;
  llvm_cbe_tmp227 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field2));
  llvm_cbe_tmp229 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field7);
  *llvm_cbe_tmp229 = llvm_cbe_tmp227;
  *((&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field5)) = llvm_cbe_tmp122;
  llvm_cbe_tmp234 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field6);
  *llvm_cbe_tmp234 = llvm_cbe_tmp125;
  llvm_cbe_tmp20_2e_i375733734 = ((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i375733__BITCAST_TEMPORARY.Float = llvm_cbe_tmp183, llvm_cbe_tmp20_2e_i375733__BITCAST_TEMPORARY.Int32)));
  llvm_cbe_tmp23_2e_i378740741742 = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i378740__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp180 * -0x1p+0))), llvm_cbe_tmp23_2e_i378740__BITCAST_TEMPORARY.Int32)))) << 32ull;
  llvm_cbe_tmp2_2e_i92 = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field1.field0);
  llvm_cbe_tmp9_2e_i = (&llvm_cbe_tmp204[((signed long long )llvm_cbe_tmp205206)].field1.field1);
  llvm_cbe_retval_2e_i98_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i98_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i119_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i119_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i168_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i168_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i216_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i216_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i261_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i261_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i345_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i345_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i472_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i472_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i531_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i531_2e_1;   /* for PHI node */
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb604;

llvm_cbe_bb175:
  llvm_cbe_tmp180 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field1.field0));
  llvm_cbe_tmp183 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field1.field1));
  llvm_cbe_tmp192 = *llvm_cbe_tmp48;
  if ((((signed int )llvm_cbe_tmp192) > ((signed int )llvm_cbe_count_2e_0))) {
    goto llvm_cbe_bb201;
  } else {
    goto llvm_cbe_bb197;
  }

llvm_cbe_bb160:
  llvm_cbe_tmp162163 = ((signed long long )(signed int )llvm_cbe_storemerge88);
  llvm_cbe_tmp164 = (&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)]);
  llvm_cbe_tmp167 = *((&llvm_cbe_tmp119[((signed long long )llvm_cbe_tmp162163)].field2));
  if ((((signed int )llvm_cbe_tmp167) < ((signed int )1u))) {
    goto llvm_cbe_bb171;
  } else {
    goto llvm_cbe_bb175;
  }

  } while (1); /* end of syntactic loop 'bb617' */
llvm_cbe_bb96:
  llvm_cbe_tmp101 = *((&llvm_cbe_contacts[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge89)))]));
  llvm_cbe_tmp104 = *((&llvm_cbe_tmp101->field7));
  llvm_cbe_tmp3_2e_i521 = *((&llvm_cbe_tmp104->field3));
  llvm_cbe_tmp108 = *((&llvm_cbe_tmp101->field8));
  llvm_cbe_tmp3_2e_i580 = *((&llvm_cbe_tmp108->field3));
  llvm_cbe_tmp3_2e_i584 = *((&llvm_cbe_tmp101->field2));
  llvm_cbe_tmp114 = *((&llvm_cbe_tmp101->field0));
  llvm_cbe_tmp116 = *llvm_cbe_tmp114;
  llvm_cbe_tmp119 = (((struct l_struct_2E_b2Manifold * (*) (struct l_struct_2E_b2Contact *))llvm_cbe_tmp116))(llvm_cbe_tmp101);
  llvm_cbe_tmp122 = *((&llvm_cbe_tmp101->field9));
  llvm_cbe_tmp125 = *((&llvm_cbe_tmp101->field10));
  llvm_cbe_tmp130 = *((&llvm_cbe_tmp3_2e_i521->field4.field0));
  llvm_cbe_tmp133 = *((&llvm_cbe_tmp3_2e_i521->field4.field1));
  llvm_cbe_tmp144 = *((&llvm_cbe_tmp3_2e_i580->field4.field0));
  llvm_cbe_tmp147 = *((&llvm_cbe_tmp3_2e_i580->field4.field1));
  llvm_cbe_tmp156 = *((&llvm_cbe_tmp3_2e_i521->field5));
  llvm_cbe_tmp159 = *((&llvm_cbe_tmp3_2e_i580->field5));
  llvm_cbe_tmp5_2e_i540 = (&llvm_cbe_tmp3_2e_i521->field3.field0.field1);
  llvm_cbe_tmp12_2e_i547 = (&llvm_cbe_tmp3_2e_i521->field3.field0.field0);
  llvm_cbe_tmp312 = (&llvm_cbe_tmp3_2e_i521->field2.field1);
  llvm_cbe_tmp5_2e_i481 = (&llvm_cbe_tmp3_2e_i580->field3.field0.field1);
  llvm_cbe_tmp12_2e_i488 = (&llvm_cbe_tmp3_2e_i580->field3.field0.field0);
  llvm_cbe_tmp337 = (&llvm_cbe_tmp3_2e_i580->field2.field1);
  llvm_cbe_tmp365 = (&llvm_cbe_tmp3_2e_i521->field16);
  llvm_cbe_tmp368 = (&llvm_cbe_tmp3_2e_i580->field16);
  llvm_cbe_tmp372 = (&llvm_cbe_tmp3_2e_i521->field18);
  llvm_cbe_tmp381 = (&llvm_cbe_tmp3_2e_i580->field18);
  llvm_cbe_tmp406 = (&llvm_cbe_tmp3_2e_i521->field15);
  llvm_cbe_tmp413 = (&llvm_cbe_tmp3_2e_i580->field15);
  llvm_cbe_tmp7_2e_i272 = ((float )(-(llvm_cbe_tmp156)));
  llvm_cbe_tmp7_2e_i227 = ((float )(-(llvm_cbe_tmp159)));
  llvm_cbe_retval_2e_i98_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i98_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i119_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i119_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i168_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i168_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i216_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i216_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i261_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i261_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i345_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i345_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i472_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i472_2e_2;   /* for PHI node */
  llvm_cbe_retval_2e_i531_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i531_2e_2;   /* for PHI node */
  llvm_cbe_count_2e_0__PHI_TEMPORARY = llvm_cbe_count_2e_1;   /* for PHI node */
  llvm_cbe_storemerge88__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb617;

  } while (1); /* end of syntactic loop 'bb626' */
llvm_cbe_bb632:
  llvm_cbe_tmp635 = *llvm_cbe_tmp48;
  if ((llvm_cbe_tmp635 == llvm_cbe_count_2e_1)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb640;
  }

llvm_cbe_bb640:
  __assert_fail(((&_2E_str7275[((signed long long )0ull)])), ((&_2E_str1269[((signed long long )0ull)])), 134u, ((&_ZZN15b2ContactSolverC4ERK10b2TimeStepPP9b2ContactiP16b2StackAllocatorE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_return:
  return;
}


static void _ZN15b2ContactSolver24SolveVelocityConstraintsEv(struct l_struct_2E_b2ContactSolver *llvm_cbe_this) {
  unsigned int *llvm_cbe_tmp410;
  struct l_struct_2E_b2ContactConstraint **llvm_cbe_tmp39;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp40;
  unsigned long long llvm_cbe_tmp4142;
  struct l_struct_2E_b2Body *llvm_cbe_tmp46;
  struct l_struct_2E_b2Body *llvm_cbe_tmp49;
  float *llvm_cbe_tmp51;
  float llvm_cbe_tmp52;
  float *llvm_cbe_tmp54;
  float llvm_cbe_tmp55;
  float *llvm_cbe_tmp59;
  float llvm_cbe_tmp60;
  float *llvm_cbe_tmp62;
  float llvm_cbe_tmp63;
  float *llvm_cbe_tmp73;
  float llvm_cbe_tmp74;
  float *llvm_cbe_tmp76;
  float llvm_cbe_tmp77;
  float llvm_cbe_tmp86;
  float llvm_cbe_tmp89;
  float llvm_cbe_tmp92;
  float llvm_cbe_tmp95;
  float llvm_cbe_tmp100;
  float llvm_cbe_tmp103;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i1298__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i1305__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i130513061307_2e_ins;
  float llvm_cbe_tmp1141177;
  llvmBitCastUnion llvm_cbe_tmp1141177__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1171181;
  llvmBitCastUnion llvm_cbe_tmp1171181__BITCAST_TEMPORARY;
  float llvm_cbe_tmp120;
  unsigned int llvm_cbe_tmp245;
  unsigned long long llvm_cbe_tmp125126;
  float llvm_cbe_tmp3_2e_i1141;
  float llvm_cbe_tmp10_2e_i1148;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i11641522__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11671529__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i1167152915301531_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1351184__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1381188__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1095;
  float llvm_cbe_tmp10_2e_i1102;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i11181508__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11211515__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i1121151515161517_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1461191__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1491195__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10721494__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10751501__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1075150115021503_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1541198__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1571202__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10231480__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10261487__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1026148714881489_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1621205__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1651209__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i9741466__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i9771473__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i977147314741475_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1701212__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1731216__BITCAST_TEMPORARY;
  float llvm_cbe_tmp177;
  float llvm_cbe_tmp181;
  float *llvm_cbe_tmp186;
  float llvm_cbe_tmp187;
  float llvm_cbe_tmp189;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp195;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i8981452__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i9011459__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i901145914601461_2e_ins;
  float llvm_cbe_tmp2011219;
  llvmBitCastUnion llvm_cbe_tmp2011219__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2041223;
  llvmBitCastUnion llvm_cbe_tmp2041223__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i8531438__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i8561445__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i856144514461447_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2101226__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2131230__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i807;
  float llvm_cbe_tmp15_2e_i816;
  float llvm_cbe_tmp3_2e_i785;
  float llvm_cbe_tmp10_2e_i792;
  float llvm_cbe_tmp220;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i7691424__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i7721431__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i772143114321433_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2261233__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2291237__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i723;
  float llvm_cbe_tmp15_2e_i732;
  float llvm_cbe_tmp3_2e_i701;
  float llvm_cbe_tmp236;
  unsigned int llvm_cbe_tmp241;
  float llvm_cbe_v2_2e_0_2e_0;
  float llvm_cbe_v2_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_v2_2e_1_2e_0;
  float llvm_cbe_v2_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_v1_2e_0_2e_0;
  float llvm_cbe_v1_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_v1_2e_1_2e_0;
  float llvm_cbe_v1_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_w2_2e_0;
  float llvm_cbe_w2_2e_0__PHI_TEMPORARY;
  float llvm_cbe_w1_2e_0;
  float llvm_cbe_w1_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp254255;
  float llvm_cbe_tmp3_2e_i662;
  float llvm_cbe_tmp10_2e_i669;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i6851410__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6881417__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i688141714181419_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2641240__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2671244__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i616;
  float llvm_cbe_tmp10_2e_i623;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i6391396__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6421403__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i642140314041405_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2751247__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2781251__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5931382__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5961389__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i596138913901391_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2831254__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2861258__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5441368__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5471375__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i547137513761377_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2911261__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2941265__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4991354__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5021361__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i502136113621363_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp2991268__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3021272__BITCAST_TEMPORARY;
  float llvm_cbe_tmp306;
  float llvm_cbe_tmp312;
  float llvm_cbe_tmp314;
  float llvm_cbe_tmp316;
  float *llvm_cbe_tmp318;
  float llvm_cbe_tmp319;
  float llvm_cbe_tmp321;
  float llvm_cbe_storemerge_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_tmp328;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i4221340__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i4251347__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i425134713481349_2e_ins;
  float llvm_cbe_tmp3341275;
  llvmBitCastUnion llvm_cbe_tmp3341275__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3371279;
  llvmBitCastUnion llvm_cbe_tmp3371279__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3771326__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3801333__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i380133313341335_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp3431282__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3461286__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i331;
  float llvm_cbe_tmp15_2e_i340;
  float llvm_cbe_tmp3_2e_i309;
  float llvm_cbe_tmp10_2e_i316;
  float llvm_cbe_tmp353;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i2941312__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i2971319__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i297131913201321_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp3591289__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3621293__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i248;
  float llvm_cbe_tmp15_2e_i257;
  float llvm_cbe_tmp3_2e_i229;
  float llvm_cbe_tmp369;
  unsigned int llvm_cbe_tmp374;
  float llvm_cbe_v2_2e_0_2e_1;
  float llvm_cbe_v2_2e_0_2e_1__PHI_TEMPORARY;
  float llvm_cbe_v2_2e_1_2e_1;
  float llvm_cbe_v2_2e_1_2e_1__PHI_TEMPORARY;
  float llvm_cbe_v1_2e_0_2e_1;
  float llvm_cbe_v1_2e_0_2e_1__PHI_TEMPORARY;
  float llvm_cbe_v1_2e_1_2e_1;
  float llvm_cbe_v1_2e_1_2e_1__PHI_TEMPORARY;
  float llvm_cbe_w2_2e_1;
  float llvm_cbe_w2_2e_1__PHI_TEMPORARY;
  float llvm_cbe_w1_2e_1;
  float llvm_cbe_w1_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge128;
  unsigned int llvm_cbe_storemerge128__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp407;
  unsigned int llvm_cbe_storemerge209;
  unsigned int llvm_cbe_storemerge209__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp411;

  llvm_cbe_tmp410 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp39 = (&llvm_cbe_this->field2);
  llvm_cbe_storemerge209__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb408;

  do {     /* Syntactic loop 'bb408' to make GCC happy */
llvm_cbe_bb408:
  llvm_cbe_storemerge209 = llvm_cbe_storemerge209__PHI_TEMPORARY;
  llvm_cbe_tmp411 = *llvm_cbe_tmp410;
  if ((((signed int )llvm_cbe_tmp411) > ((signed int )llvm_cbe_storemerge209))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb383:
  *llvm_cbe_tmp59 = llvm_cbe_v1_2e_0_2e_1;
  *llvm_cbe_tmp62 = llvm_cbe_v1_2e_1_2e_1;
  *llvm_cbe_tmp51 = llvm_cbe_w1_2e_1;
  *llvm_cbe_tmp73 = llvm_cbe_v2_2e_0_2e_1;
  *llvm_cbe_tmp76 = llvm_cbe_v2_2e_1_2e_1;
  *llvm_cbe_tmp54 = llvm_cbe_w2_2e_1;
  llvm_cbe_tmp407 = llvm_cbe_storemerge209 + 1u;
  llvm_cbe_storemerge209__PHI_TEMPORARY = llvm_cbe_tmp407;   /* for PHI node */
  goto llvm_cbe_bb408;

  do {     /* Syntactic loop 'bb375' to make GCC happy */
llvm_cbe_bb375:
  llvm_cbe_v2_2e_0_2e_1 = llvm_cbe_v2_2e_0_2e_1__PHI_TEMPORARY;
  llvm_cbe_v2_2e_1_2e_1 = llvm_cbe_v2_2e_1_2e_1__PHI_TEMPORARY;
  llvm_cbe_v1_2e_0_2e_1 = llvm_cbe_v1_2e_0_2e_1__PHI_TEMPORARY;
  llvm_cbe_v1_2e_1_2e_1 = llvm_cbe_v1_2e_1_2e_1__PHI_TEMPORARY;
  llvm_cbe_w2_2e_1 = llvm_cbe_w2_2e_1__PHI_TEMPORARY;
  llvm_cbe_w1_2e_1 = llvm_cbe_w1_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge128 = llvm_cbe_storemerge128__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp245) > ((signed int )llvm_cbe_storemerge128))) {
    goto llvm_cbe_bb250;
  } else {
    goto llvm_cbe_bb383;
  }

llvm_cbe_bb250:
  llvm_cbe_tmp254255 = ((signed long long )(signed int )llvm_cbe_storemerge128);
  llvm_cbe_tmp3_2e_i662 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field2.field0));
  llvm_cbe_tmp10_2e_i669 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field2.field1));
  llvm_cbe_tmp23_2e_i688141714181419_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i6851410__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i669 * (((float )(-(llvm_cbe_w1_2e_1))))))), llvm_cbe_tmp20_2e_i6851410__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6881417__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i662 * llvm_cbe_w1_2e_1))), llvm_cbe_tmp23_2e_i6881417__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i616 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field3.field0));
  llvm_cbe_tmp10_2e_i623 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field3.field1));
  llvm_cbe_tmp23_2e_i642140314041405_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i6391396__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i623 * (((float )(-(llvm_cbe_w2_2e_1))))))), llvm_cbe_tmp20_2e_i6391396__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6421403__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i616 * llvm_cbe_w2_2e_1))), llvm_cbe_tmp23_2e_i6421403__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i596138913901391_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5931382__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_v2_2e_0_2e_1 + ((llvm_cbe_tmp2751247__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i642140314041405_2e_ins)), llvm_cbe_tmp2751247__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5931382__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5961389__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_v2_2e_1_2e_1 + ((llvm_cbe_tmp2781251__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i642140314041405_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2781251__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5961389__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i547137513761377_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5441368__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp2831254__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i596138913901391_2e_ins)), llvm_cbe_tmp2831254__BITCAST_TEMPORARY.Float)) - llvm_cbe_v1_2e_0_2e_1))), llvm_cbe_tmp23_2e_i5441368__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5471375__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp2861258__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i596138913901391_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2861258__BITCAST_TEMPORARY.Float)) - llvm_cbe_v1_2e_1_2e_1))), llvm_cbe_tmp26_2e_i5471375__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i502136113621363_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4991354__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp2911261__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i547137513761377_2e_ins)), llvm_cbe_tmp2911261__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp2641240__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i688141714181419_2e_ins)), llvm_cbe_tmp2641240__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i4991354__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5021361__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp2941265__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i547137513761377_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2941265__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp2671244__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i688141714181419_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2671244__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5021361__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp306 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field8));
  llvm_cbe_tmp312 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field4));
  llvm_cbe_tmp314 = ((float )(llvm_cbe_tmp312 * llvm_cbe_tmp120));
  llvm_cbe_tmp316 = ((float )(-(llvm_cbe_tmp314)));
  llvm_cbe_tmp318 = (&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field5);
  llvm_cbe_tmp319 = *llvm_cbe_tmp318;
  llvm_cbe_tmp321 = ((float )(llvm_cbe_tmp319 + (((float )(llvm_cbe_tmp306 * (((float )(-((((float )((((float )(((llvm_cbe_tmp2991268__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i502136113621363_2e_ins)), llvm_cbe_tmp2991268__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp1141177))) + (((float )(((llvm_cbe_tmp3021272__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i502136113621363_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3021272__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp1171181)))))))))))))));
  llvm_cbe_storemerge_2e_i_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp321, llvm_cbe_tmp314))) ? (llvm_cbe_tmp321) : (llvm_cbe_tmp314));
  llvm_cbe_storemerge_2e_i11_2e_i = (((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe_tmp316))) ? (llvm_cbe_tmp316) : (llvm_cbe_storemerge_2e_i_2e_i));
  llvm_cbe_tmp328 = ((float )(llvm_cbe_storemerge_2e_i11_2e_i - llvm_cbe_tmp319));
  llvm_cbe_tmp22_2e_i425134713481349_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i4221340__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp1141177 * llvm_cbe_tmp328))), llvm_cbe_tmp19_2e_i4221340__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i4251347__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp1171181 * llvm_cbe_tmp328))), llvm_cbe_tmp22_2e_i4251347__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3341275 = (llvm_cbe_tmp3341275__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i425134713481349_2e_ins)), llvm_cbe_tmp3341275__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3371279 = (llvm_cbe_tmp3371279__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i425134713481349_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3371279__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp22_2e_i380133313341335_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3771326__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3341275 * llvm_cbe_tmp86))), llvm_cbe_tmp19_2e_i3771326__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3801333__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3371279 * llvm_cbe_tmp86))), llvm_cbe_tmp22_2e_i3801333__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i331 = ((float )(llvm_cbe_v1_2e_0_2e_1 - ((llvm_cbe_tmp3431282__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i380133313341335_2e_ins)), llvm_cbe_tmp3431282__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i340 = ((float )(llvm_cbe_v1_2e_1_2e_1 - ((llvm_cbe_tmp3461286__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i380133313341335_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3461286__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp3_2e_i309 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field2.field0));
  llvm_cbe_tmp10_2e_i316 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field2.field1));
  llvm_cbe_tmp353 = ((float )(llvm_cbe_w1_2e_1 - (((float )((((float )((((float )(llvm_cbe_tmp3_2e_i309 * llvm_cbe_tmp3371279))) - (((float )(llvm_cbe_tmp10_2e_i316 * llvm_cbe_tmp3341275)))))) * llvm_cbe_tmp89)))));
  llvm_cbe_tmp22_2e_i297131913201321_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i2941312__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3341275 * llvm_cbe_tmp92))), llvm_cbe_tmp19_2e_i2941312__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i2971319__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3371279 * llvm_cbe_tmp92))), llvm_cbe_tmp22_2e_i2971319__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i248 = ((float )(llvm_cbe_v2_2e_0_2e_1 + ((llvm_cbe_tmp3591289__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i297131913201321_2e_ins)), llvm_cbe_tmp3591289__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i257 = ((float )(llvm_cbe_v2_2e_1_2e_1 + ((llvm_cbe_tmp3621293__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i297131913201321_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3621293__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp3_2e_i229 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp254255)].field3.field0));
  llvm_cbe_tmp369 = ((float )((((float )((((float )((((float )(llvm_cbe_tmp3_2e_i229 * llvm_cbe_tmp3371279))) - (((float )(llvm_cbe_tmp10_2e_i623 * llvm_cbe_tmp3341275)))))) * llvm_cbe_tmp95))) + llvm_cbe_w2_2e_1));
  *llvm_cbe_tmp318 = llvm_cbe_storemerge_2e_i11_2e_i;
  llvm_cbe_tmp374 = llvm_cbe_storemerge128 + 1u;
  llvm_cbe_v2_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i248;   /* for PHI node */
  llvm_cbe_v2_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i257;   /* for PHI node */
  llvm_cbe_v1_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i331;   /* for PHI node */
  llvm_cbe_v1_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i340;   /* for PHI node */
  llvm_cbe_w2_2e_1__PHI_TEMPORARY = llvm_cbe_tmp369;   /* for PHI node */
  llvm_cbe_w1_2e_1__PHI_TEMPORARY = llvm_cbe_tmp353;   /* for PHI node */
  llvm_cbe_storemerge128__PHI_TEMPORARY = llvm_cbe_tmp374;   /* for PHI node */
  goto llvm_cbe_bb375;

  } while (1); /* end of syntactic loop 'bb375' */
  do {     /* Syntactic loop 'bb242' to make GCC happy */
llvm_cbe_bb242:
  llvm_cbe_v2_2e_0_2e_0 = llvm_cbe_v2_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_v2_2e_1_2e_0 = llvm_cbe_v2_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_v1_2e_0_2e_0 = llvm_cbe_v1_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_v1_2e_1_2e_0 = llvm_cbe_v1_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_w2_2e_0 = llvm_cbe_w2_2e_0__PHI_TEMPORARY;
  llvm_cbe_w1_2e_0 = llvm_cbe_w1_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp245) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb121;
  } else {
    llvm_cbe_v2_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_v2_2e_0_2e_0;   /* for PHI node */
    llvm_cbe_v2_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_v2_2e_1_2e_0;   /* for PHI node */
    llvm_cbe_v1_2e_0_2e_1__PHI_TEMPORARY = llvm_cbe_v1_2e_0_2e_0;   /* for PHI node */
    llvm_cbe_v1_2e_1_2e_1__PHI_TEMPORARY = llvm_cbe_v1_2e_1_2e_0;   /* for PHI node */
    llvm_cbe_w2_2e_1__PHI_TEMPORARY = llvm_cbe_w2_2e_0;   /* for PHI node */
    llvm_cbe_w1_2e_1__PHI_TEMPORARY = llvm_cbe_w1_2e_0;   /* for PHI node */
    llvm_cbe_storemerge128__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb375;
  }

llvm_cbe_bb121:
  llvm_cbe_tmp125126 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i1141 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field2.field0));
  llvm_cbe_tmp10_2e_i1148 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field2.field1));
  llvm_cbe_tmp23_2e_i1167152915301531_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i11641522__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1148 * (((float )(-(llvm_cbe_w1_2e_0))))))), llvm_cbe_tmp20_2e_i11641522__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11671529__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1141 * llvm_cbe_w1_2e_0))), llvm_cbe_tmp23_2e_i11671529__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i1095 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field3.field0));
  llvm_cbe_tmp10_2e_i1102 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field3.field1));
  llvm_cbe_tmp23_2e_i1121151515161517_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i11181508__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1102 * (((float )(-(llvm_cbe_w2_2e_0))))))), llvm_cbe_tmp20_2e_i11181508__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11211515__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1095 * llvm_cbe_w2_2e_0))), llvm_cbe_tmp23_2e_i11211515__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1075150115021503_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i10721494__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_v2_2e_0_2e_0 + ((llvm_cbe_tmp1461191__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i1121151515161517_2e_ins)), llvm_cbe_tmp1461191__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i10721494__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i10751501__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_v2_2e_1_2e_0 + ((llvm_cbe_tmp1491195__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i1121151515161517_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1491195__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i10751501__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1026148714881489_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i10231480__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp1541198__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1075150115021503_2e_ins)), llvm_cbe_tmp1541198__BITCAST_TEMPORARY.Float)) - llvm_cbe_v1_2e_0_2e_0))), llvm_cbe_tmp23_2e_i10231480__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i10261487__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp1571202__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1075150115021503_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1571202__BITCAST_TEMPORARY.Float)) - llvm_cbe_v1_2e_1_2e_0))), llvm_cbe_tmp26_2e_i10261487__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i977147314741475_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i9741466__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp1621205__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1026148714881489_2e_ins)), llvm_cbe_tmp1621205__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp1351184__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i1167152915301531_2e_ins)), llvm_cbe_tmp1351184__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i9741466__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i9771473__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp1651209__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1026148714881489_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1651209__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp1381188__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i1167152915301531_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1381188__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i9771473__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp177 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field7));
  llvm_cbe_tmp181 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field11));
  llvm_cbe_tmp186 = (&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field4);
  llvm_cbe_tmp187 = *llvm_cbe_tmp186;
  llvm_cbe_tmp189 = ((float )(llvm_cbe_tmp187 + (((float )((((float )((((float )((((float )(((llvm_cbe_tmp1701212__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i977147314741475_2e_ins)), llvm_cbe_tmp1701212__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp100))) + (((float )(((llvm_cbe_tmp1731216__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i977147314741475_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1731216__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp103)))))) - llvm_cbe_tmp181))) * (((float )(-(llvm_cbe_tmp177)))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_ogt(llvm_cbe_tmp189, 0x0p+0))) ? (llvm_cbe_tmp189) : (0x0p+0));
  llvm_cbe_tmp195 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp187));
  llvm_cbe_tmp22_2e_i901145914601461_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i8981452__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp100 * llvm_cbe_tmp195))), llvm_cbe_tmp19_2e_i8981452__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i9011459__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp103 * llvm_cbe_tmp195))), llvm_cbe_tmp22_2e_i9011459__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2011219 = (llvm_cbe_tmp2011219__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i901145914601461_2e_ins)), llvm_cbe_tmp2011219__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2041223 = (llvm_cbe_tmp2041223__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i901145914601461_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2041223__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp22_2e_i856144514461447_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i8531438__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp2011219 * llvm_cbe_tmp86))), llvm_cbe_tmp19_2e_i8531438__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i8561445__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp2041223 * llvm_cbe_tmp86))), llvm_cbe_tmp22_2e_i8561445__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i807 = ((float )(llvm_cbe_v1_2e_0_2e_0 - ((llvm_cbe_tmp2101226__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i856144514461447_2e_ins)), llvm_cbe_tmp2101226__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i816 = ((float )(llvm_cbe_v1_2e_1_2e_0 - ((llvm_cbe_tmp2131230__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i856144514461447_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2131230__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp3_2e_i785 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field2.field0));
  llvm_cbe_tmp10_2e_i792 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field2.field1));
  llvm_cbe_tmp220 = ((float )(llvm_cbe_w1_2e_0 - (((float )((((float )((((float )(llvm_cbe_tmp3_2e_i785 * llvm_cbe_tmp2041223))) - (((float )(llvm_cbe_tmp10_2e_i792 * llvm_cbe_tmp2011219)))))) * llvm_cbe_tmp89)))));
  llvm_cbe_tmp22_2e_i772143114321433_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i7691424__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp2011219 * llvm_cbe_tmp92))), llvm_cbe_tmp19_2e_i7691424__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i7721431__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp2041223 * llvm_cbe_tmp92))), llvm_cbe_tmp22_2e_i7721431__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i723 = ((float )(llvm_cbe_v2_2e_0_2e_0 + ((llvm_cbe_tmp2261233__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i772143114321433_2e_ins)), llvm_cbe_tmp2261233__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp15_2e_i732 = ((float )(llvm_cbe_v2_2e_1_2e_0 + ((llvm_cbe_tmp2291237__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i772143114321433_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2291237__BITCAST_TEMPORARY.Float))));
  llvm_cbe_tmp3_2e_i701 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field0[((signed long long )llvm_cbe_tmp125126)].field3.field0));
  llvm_cbe_tmp236 = ((float )((((float )((((float )((((float )(llvm_cbe_tmp3_2e_i701 * llvm_cbe_tmp2041223))) - (((float )(llvm_cbe_tmp10_2e_i1102 * llvm_cbe_tmp2011219)))))) * llvm_cbe_tmp95))) + llvm_cbe_w2_2e_0));
  *llvm_cbe_tmp186 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp241 = llvm_cbe_storemerge + 1u;
  llvm_cbe_v2_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i723;   /* for PHI node */
  llvm_cbe_v2_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i732;   /* for PHI node */
  llvm_cbe_v1_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp6_2e_i807;   /* for PHI node */
  llvm_cbe_v1_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i816;   /* for PHI node */
  llvm_cbe_w2_2e_0__PHI_TEMPORARY = llvm_cbe_tmp236;   /* for PHI node */
  llvm_cbe_w1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp220;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp241;   /* for PHI node */
  goto llvm_cbe_bb242;

  } while (1); /* end of syntactic loop 'bb242' */
llvm_cbe_bb:
  llvm_cbe_tmp40 = *llvm_cbe_tmp39;
  llvm_cbe_tmp4142 = ((signed long long )(signed int )llvm_cbe_storemerge209);
  llvm_cbe_tmp46 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field3));
  llvm_cbe_tmp49 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field4));
  llvm_cbe_tmp51 = (&llvm_cbe_tmp46->field5);
  llvm_cbe_tmp52 = *llvm_cbe_tmp51;
  llvm_cbe_tmp54 = (&llvm_cbe_tmp49->field5);
  llvm_cbe_tmp55 = *llvm_cbe_tmp54;
  llvm_cbe_tmp59 = (&llvm_cbe_tmp46->field4.field0);
  llvm_cbe_tmp60 = *llvm_cbe_tmp59;
  llvm_cbe_tmp62 = (&llvm_cbe_tmp46->field4.field1);
  llvm_cbe_tmp63 = *llvm_cbe_tmp62;
  llvm_cbe_tmp73 = (&llvm_cbe_tmp49->field4.field0);
  llvm_cbe_tmp74 = *llvm_cbe_tmp73;
  llvm_cbe_tmp76 = (&llvm_cbe_tmp49->field4.field1);
  llvm_cbe_tmp77 = *llvm_cbe_tmp76;
  llvm_cbe_tmp86 = *((&llvm_cbe_tmp46->field16));
  llvm_cbe_tmp89 = *((&llvm_cbe_tmp46->field18));
  llvm_cbe_tmp92 = *((&llvm_cbe_tmp49->field16));
  llvm_cbe_tmp95 = *((&llvm_cbe_tmp49->field18));
  llvm_cbe_tmp100 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field1.field0));
  llvm_cbe_tmp103 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field1.field1));
  llvm_cbe_tmp23_2e_i130513061307_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i1298__BITCAST_TEMPORARY.Float = llvm_cbe_tmp103, llvm_cbe_tmp20_2e_i1298__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i1305__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp100 * -0x1p+0))), llvm_cbe_tmp23_2e_i1305__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1141177 = (llvm_cbe_tmp1141177__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i130513061307_2e_ins)), llvm_cbe_tmp1141177__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1171181 = (llvm_cbe_tmp1171181__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i130513061307_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1171181__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp120 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field5));
  llvm_cbe_tmp245 = *((&llvm_cbe_tmp40[((signed long long )llvm_cbe_tmp4142)].field7));
  llvm_cbe_v2_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp74;   /* for PHI node */
  llvm_cbe_v2_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp77;   /* for PHI node */
  llvm_cbe_v1_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp60;   /* for PHI node */
  llvm_cbe_v1_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp63;   /* for PHI node */
  llvm_cbe_w2_2e_0__PHI_TEMPORARY = llvm_cbe_tmp55;   /* for PHI node */
  llvm_cbe_w1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp52;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb242;

  } while (1); /* end of syntactic loop 'bb408' */
llvm_cbe_return:
  return;
}


static unsigned char _ZN15b2ContactSolver24SolvePositionConstraintsEf(struct l_struct_2E_b2ContactSolver *llvm_cbe_this, float llvm_cbe_baumgarte) {
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp11;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp14;    /* Address-exposed local */
  unsigned int *llvm_cbe_tmp259;
  struct l_struct_2E_b2ContactConstraint **llvm_cbe_tmp17;
  float *llvm_cbe_tmp83;
  float *llvm_cbe_tmp86;
  float *llvm_cbe_tmp106;
  float *llvm_cbe_tmp109;
  struct l_struct_2E_b2ContactConstraint *llvm_cbe_tmp18;
  unsigned long long llvm_cbe_tmp1920;
  struct l_struct_2E_b2Body *llvm_cbe_tmp24;
  struct l_struct_2E_b2Body *llvm_cbe_tmp27;
  float llvm_cbe_tmp30;
  float llvm_cbe_tmp33;
  float llvm_cbe_tmp34;
  float llvm_cbe_tmp40;
  float llvm_cbe_tmp41;
  float llvm_cbe_tmp44;
  float llvm_cbe_tmp47;
  float llvm_cbe_tmp48;
  float llvm_cbe_tmp54;
  float llvm_cbe_tmp55;
  float llvm_cbe_tmp60;
  float llvm_cbe_tmp63;
  unsigned int *llvm_cbe_tmp249;
  float *llvm_cbe_tmp5_2e_i;
  float *llvm_cbe_tmp12_2e_i;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp91;
  float *llvm_cbe_tmp5_2e_i565;
  float *llvm_cbe_tmp12_2e_i572;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp114;
  float *llvm_cbe_tmp2_2e_i507;
  float *llvm_cbe_tmp9_2e_i514;
  float *llvm_cbe_tmp2_2e_i458;
  float *llvm_cbe_tmp9_2e_i465;
  float *llvm_cbe_tmp211;
  float *llvm_cbe_tmp235;
  unsigned long long llvm_cbe_tmp7475;
  float llvm_cbe_tmp3_2e_i139;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i674__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i681__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i681682683_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp85602__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp88606__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp92;
  float llvm_cbe_tmp96609;
  llvmBitCastUnion llvm_cbe_tmp96609__BITCAST_TEMPORARY;
  float llvm_cbe_tmp99613;
  llvmBitCastUnion llvm_cbe_tmp99613__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i563;
  float llvm_cbe_tmp6_2e_i566;
  float llvm_cbe_tmp10_2e_i570;
  float llvm_cbe_tmp13_2e_i573;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i589772__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i592779__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i592779780781_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp108616__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp111620__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp115;
  float llvm_cbe_tmp119623;
  llvmBitCastUnion llvm_cbe_tmp119623__BITCAST_TEMPORARY;
  float llvm_cbe_tmp122627;
  llvmBitCastUnion llvm_cbe_tmp122627__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i508;
  float llvm_cbe_tmp10_2e_i515;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i534758__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i537765__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i537765766767_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp130630__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp133634__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i459;
  float llvm_cbe_tmp10_2e_i466;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i485744__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i488751__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i488751752753_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp141637__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp144641__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i436730__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i439737__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i439737738739_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp149644__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp152648__BITCAST_TEMPORARY;
  float llvm_cbe_tmp156;
  float llvm_cbe_tmp157;
  float llvm_cbe_storemerge_2e_i377;
  float llvm_cbe_tmp164;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reload782;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp170;
  float *llvm_cbe_tmp175;
  float llvm_cbe_tmp176;
  float llvm_cbe_tmp179;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp187;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i339716__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i342723__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i342723724725_2e_ins;
  float llvm_cbe_tmp193651;
  llvmBitCastUnion llvm_cbe_tmp193651__BITCAST_TEMPORARY;
  float llvm_cbe_tmp196655;
  llvmBitCastUnion llvm_cbe_tmp196655__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i294702__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i297709__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i297709710711_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp202658__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp205662__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i244;
  float llvm_cbe_tmp11_2e_i253;
  float llvm_cbe_tmp212;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i209688__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i212695__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i212695696697_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp226665__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp229669__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i160;
  float llvm_cbe_tmp11_2e_i169;
  float llvm_cbe_tmp236;
  unsigned int llvm_cbe_tmp246;
  float llvm_cbe_minSeparation_2e_0;
  float llvm_cbe_minSeparation_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp250;
  unsigned int llvm_cbe_tmp256;
  float llvm_cbe_minSeparation_2e_1;
  float llvm_cbe_minSeparation_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge137;
  unsigned int llvm_cbe_storemerge137__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp260;

  llvm_cbe_tmp259 = (&llvm_cbe_this->field3);
  llvm_cbe_tmp17 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp83 = (&llvm_cbe_tmp14.field0);
  llvm_cbe_tmp86 = (&llvm_cbe_tmp14.field1);
  llvm_cbe_tmp106 = (&llvm_cbe_tmp11.field0);
  llvm_cbe_tmp109 = (&llvm_cbe_tmp11.field1);
  llvm_cbe_minSeparation_2e_1__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_storemerge137__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb257;

  do {     /* Syntactic loop 'bb257' to make GCC happy */
llvm_cbe_bb257:
  llvm_cbe_minSeparation_2e_1 = llvm_cbe_minSeparation_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge137 = llvm_cbe_storemerge137__PHI_TEMPORARY;
  llvm_cbe_tmp260 = *llvm_cbe_tmp259;
  if ((((signed int )llvm_cbe_tmp260) > ((signed int )llvm_cbe_storemerge137))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb254:
  llvm_cbe_tmp256 = llvm_cbe_storemerge137 + 1u;
  llvm_cbe_minSeparation_2e_1__PHI_TEMPORARY = llvm_cbe_minSeparation_2e_0;   /* for PHI node */
  llvm_cbe_storemerge137__PHI_TEMPORARY = llvm_cbe_tmp256;   /* for PHI node */
  goto llvm_cbe_bb257;

  do {     /* Syntactic loop 'bb247' to make GCC happy */
llvm_cbe_bb247:
  llvm_cbe_minSeparation_2e_0 = llvm_cbe_minSeparation_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp250 = *llvm_cbe_tmp249;
  if ((((signed int )llvm_cbe_tmp250) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb70;
  } else {
    goto llvm_cbe_bb254;
  }

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit:
  llvm_cbe_storemerge_2e_i11_2e_i = llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp170 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field9));
  llvm_cbe_tmp175 = (&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field6);
  llvm_cbe_tmp176 = *llvm_cbe_tmp175;
  llvm_cbe_tmp179 = ((float )(llvm_cbe_tmp176 + (((float )((((float )(llvm_cbe_storemerge_2e_i11_2e_i * llvm_cbe_baumgarte))) * (((float )(-(llvm_cbe_tmp170)))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_ogt(llvm_cbe_tmp179, 0x0p+0))) ? (llvm_cbe_tmp179) : (0x0p+0));
  *llvm_cbe_tmp175 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp187 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp176));
  llvm_cbe_tmp22_2e_i342723724725_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i339716__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp60 * llvm_cbe_tmp187))), llvm_cbe_tmp19_2e_i339716__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i342723__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp63 * llvm_cbe_tmp187))), llvm_cbe_tmp22_2e_i342723__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp193651 = (llvm_cbe_tmp193651__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i342723724725_2e_ins)), llvm_cbe_tmp193651__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp196655 = (llvm_cbe_tmp196655__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i342723724725_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp196655__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp22_2e_i297709710711_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i294702__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp193651 * llvm_cbe_tmp34))), llvm_cbe_tmp19_2e_i294702__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i297709__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp196655 * llvm_cbe_tmp34))), llvm_cbe_tmp22_2e_i297709__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i244 = *llvm_cbe_tmp9_2e_i514;
  *llvm_cbe_tmp9_2e_i514 = (((float )(llvm_cbe_tmp2_2e_i244 - ((llvm_cbe_tmp202658__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i297709710711_2e_ins)), llvm_cbe_tmp202658__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i253 = *llvm_cbe_tmp2_2e_i507;
  *llvm_cbe_tmp2_2e_i507 = (((float )(llvm_cbe_tmp11_2e_i253 - ((llvm_cbe_tmp205662__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i297709710711_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp205662__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp212 = *llvm_cbe_tmp211;
  *llvm_cbe_tmp211 = (((float )(llvm_cbe_tmp212 - (((float )((((float )((((float )(llvm_cbe_tmp96609 * llvm_cbe_tmp196655))) - (((float )(llvm_cbe_tmp99613 * llvm_cbe_tmp193651)))))) * llvm_cbe_tmp41))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp24);
  llvm_cbe_tmp22_2e_i212695696697_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i209688__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp193651 * llvm_cbe_tmp48))), llvm_cbe_tmp19_2e_i209688__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i212695__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp196655 * llvm_cbe_tmp48))), llvm_cbe_tmp22_2e_i212695__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i160 = *llvm_cbe_tmp9_2e_i465;
  *llvm_cbe_tmp9_2e_i465 = (((float )(llvm_cbe_tmp2_2e_i160 + ((llvm_cbe_tmp226665__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i212695696697_2e_ins)), llvm_cbe_tmp226665__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i169 = *llvm_cbe_tmp2_2e_i458;
  *llvm_cbe_tmp2_2e_i458 = (((float )(llvm_cbe_tmp11_2e_i169 + ((llvm_cbe_tmp229669__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i212695696697_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp229669__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp236 = *llvm_cbe_tmp235;
  *llvm_cbe_tmp235 = (((float )(llvm_cbe_tmp236 + (((float )((((float )((((float )(llvm_cbe_tmp119623 * llvm_cbe_tmp196655))) - (((float )(llvm_cbe_tmp122627 * llvm_cbe_tmp193651)))))) * llvm_cbe_tmp55))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp27);
  llvm_cbe_tmp246 = llvm_cbe_storemerge + 1u;
  llvm_cbe_minSeparation_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i377;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp246;   /* for PHI node */
  goto llvm_cbe_bb247;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp164;
  if ((llvm_fcmp_olt(llvm_cbe_tmp164, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i;
  }

llvm_cbe_bb70:
  llvm_cbe_tmp7475 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i139 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field0.field1));
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field0.field0));
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i681682683_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i674__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i674__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i681__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i139 - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i681__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp83 = ((llvm_cbe_tmp85602__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i681682683_2e_ins)), llvm_cbe_tmp85602__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp86 = ((llvm_cbe_tmp88606__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i681682683_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp88606__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp92 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp91, (&llvm_cbe_tmp14));
  llvm_cbe_tmp96609 = (llvm_cbe_tmp96609__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp92)), llvm_cbe_tmp96609__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp99613 = (llvm_cbe_tmp99613__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp92) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp99613__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i563 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field1.field1));
  llvm_cbe_tmp6_2e_i566 = *llvm_cbe_tmp5_2e_i565;
  llvm_cbe_tmp10_2e_i570 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field1.field0));
  llvm_cbe_tmp13_2e_i573 = *llvm_cbe_tmp12_2e_i572;
  llvm_cbe_tmp26_2e_i592779780781_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i589772__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i570 - llvm_cbe_tmp13_2e_i573))), llvm_cbe_tmp23_2e_i589772__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i592779__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i563 - llvm_cbe_tmp6_2e_i566))), llvm_cbe_tmp26_2e_i592779__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp106 = ((llvm_cbe_tmp108616__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i592779780781_2e_ins)), llvm_cbe_tmp108616__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp109 = ((llvm_cbe_tmp111620__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i592779780781_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp111620__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp115 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp114, (&llvm_cbe_tmp11));
  llvm_cbe_tmp119623 = (llvm_cbe_tmp119623__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp115)), llvm_cbe_tmp119623__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp122627 = (llvm_cbe_tmp122627__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp115) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp122627__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i508 = *llvm_cbe_tmp2_2e_i507;
  llvm_cbe_tmp10_2e_i515 = *llvm_cbe_tmp9_2e_i514;
  llvm_cbe_tmp26_2e_i537765766767_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i534758__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i515 + llvm_cbe_tmp96609))), llvm_cbe_tmp23_2e_i534758__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i537765__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i508 + llvm_cbe_tmp99613))), llvm_cbe_tmp26_2e_i537765__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i459 = *llvm_cbe_tmp2_2e_i458;
  llvm_cbe_tmp10_2e_i466 = *llvm_cbe_tmp9_2e_i465;
  llvm_cbe_tmp26_2e_i488751752753_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i485744__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i466 + llvm_cbe_tmp119623))), llvm_cbe_tmp23_2e_i485744__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i488751__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i459 + llvm_cbe_tmp122627))), llvm_cbe_tmp26_2e_i488751__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i439737738739_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i436730__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp141637__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i488751752753_2e_ins)), llvm_cbe_tmp141637__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp130630__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i537765766767_2e_ins)), llvm_cbe_tmp130630__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i436730__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i439737__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp144641__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i488751752753_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp144641__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp133634__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i537765766767_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp133634__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i439737__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp156 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field0[((signed long long )llvm_cbe_tmp7475)].field10));
  llvm_cbe_tmp157 = ((float )((((float )((((float )(((llvm_cbe_tmp149644__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i439737738739_2e_ins)), llvm_cbe_tmp149644__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp60))) + (((float )(((llvm_cbe_tmp152648__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i439737738739_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp152648__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp63)))))) + llvm_cbe_tmp156));
  llvm_cbe_storemerge_2e_i377 = (((llvm_fcmp_olt(llvm_cbe_minSeparation_2e_0, llvm_cbe_tmp157))) ? (llvm_cbe_minSeparation_2e_0) : (llvm_cbe_tmp157));
  llvm_cbe_tmp164 = ((float )(llvm_cbe_tmp157 + 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp164, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread;
  }

llvm_cbe_bb6_2e_i10_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload782 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_reload782;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i;

  } while (1); /* end of syntactic loop 'bb247' */
llvm_cbe_bb:
  llvm_cbe_tmp18 = *llvm_cbe_tmp17;
  llvm_cbe_tmp1920 = ((signed long long )(signed int )llvm_cbe_storemerge137);
  llvm_cbe_tmp24 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field3));
  llvm_cbe_tmp27 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field4));
  llvm_cbe_tmp30 = *((&llvm_cbe_tmp24->field15));
  llvm_cbe_tmp33 = *((&llvm_cbe_tmp24->field16));
  llvm_cbe_tmp34 = ((float )(llvm_cbe_tmp30 * llvm_cbe_tmp33));
  llvm_cbe_tmp40 = *((&llvm_cbe_tmp24->field18));
  llvm_cbe_tmp41 = ((float )(llvm_cbe_tmp30 * llvm_cbe_tmp40));
  llvm_cbe_tmp44 = *((&llvm_cbe_tmp27->field15));
  llvm_cbe_tmp47 = *((&llvm_cbe_tmp27->field16));
  llvm_cbe_tmp48 = ((float )(llvm_cbe_tmp44 * llvm_cbe_tmp47));
  llvm_cbe_tmp54 = *((&llvm_cbe_tmp27->field18));
  llvm_cbe_tmp55 = ((float )(llvm_cbe_tmp44 * llvm_cbe_tmp54));
  llvm_cbe_tmp60 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field1.field0));
  llvm_cbe_tmp63 = *((&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field1.field1));
  llvm_cbe_tmp249 = (&llvm_cbe_tmp18[((signed long long )llvm_cbe_tmp1920)].field7);
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_tmp24->field3.field0.field1);
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_tmp24->field3.field0.field0);
  llvm_cbe_tmp91 = (&llvm_cbe_tmp24->field2.field1);
  llvm_cbe_tmp5_2e_i565 = (&llvm_cbe_tmp27->field3.field0.field1);
  llvm_cbe_tmp12_2e_i572 = (&llvm_cbe_tmp27->field3.field0.field0);
  llvm_cbe_tmp114 = (&llvm_cbe_tmp27->field2.field1);
  llvm_cbe_tmp2_2e_i507 = (&llvm_cbe_tmp24->field3.field2.field1);
  llvm_cbe_tmp9_2e_i514 = (&llvm_cbe_tmp24->field3.field2.field0);
  llvm_cbe_tmp2_2e_i458 = (&llvm_cbe_tmp27->field3.field2.field1);
  llvm_cbe_tmp9_2e_i465 = (&llvm_cbe_tmp27->field3.field2.field0);
  llvm_cbe_tmp211 = (&llvm_cbe_tmp24->field3.field4);
  llvm_cbe_tmp235 = (&llvm_cbe_tmp27->field3.field4);
  llvm_cbe_minSeparation_2e_0__PHI_TEMPORARY = llvm_cbe_minSeparation_2e_1;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb247;

  } while (1); /* end of syntactic loop 'bb257' */
llvm_cbe_return:
  return (((unsigned char )(bool )(llvm_fcmp_oge(llvm_cbe_minSeparation_2e_1, -0x1.eb851ep-8))));
}


static void _ZN9b2ContactC2EP7b2ShapeS1_(struct l_struct_2E_b2Contact *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_s1, struct l_struct_2E_b2Shape *llvm_cbe_s2) {
  unsigned int *llvm_cbe_tmp4;
  unsigned char llvm_cbe_tmp3_2e_i;
  unsigned char llvm_cbe_tmp3_2e_i26;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp25;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp28;
  float llvm_cbe_tmp3_2e_i22;
  float llvm_cbe_tmp3_2e_i18;
  float llvm_cbe_tmp4_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp45;
  float llvm_cbe_tmp3_2e_i9;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp49;
  float llvm_cbe_tmp3_2e_i6;

  *((&llvm_cbe_this->field0)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  llvm_cbe_tmp4 = (&llvm_cbe_this->field1);
  *llvm_cbe_tmp4 = 0u;
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_s1->field10));
  if ((llvm_cbe_tmp3_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb16;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i26 = *((&llvm_cbe_s2->field10));
  if ((llvm_cbe_tmp3_2e_i26 == ((unsigned char )0))) {
    goto llvm_cbe_bb23;
  } else {
    goto llvm_cbe_bb16;
  }

llvm_cbe_bb16:
  *llvm_cbe_tmp4 = 1u;
  goto llvm_cbe_bb23;

llvm_cbe_bb23:
  llvm_cbe_tmp25 = (&llvm_cbe_this->field7);
  *llvm_cbe_tmp25 = llvm_cbe_s1;
  llvm_cbe_tmp28 = (&llvm_cbe_this->field8);
  *llvm_cbe_tmp28 = llvm_cbe_s2;
  *((&llvm_cbe_this->field2)) = 0u;
  llvm_cbe_tmp3_2e_i22 = *((&llvm_cbe_s2->field6));
  llvm_cbe_tmp3_2e_i18 = *((&llvm_cbe_s1->field6));
  llvm_cbe_tmp4_2e_i = sqrtf((((float )(llvm_cbe_tmp3_2e_i18 * llvm_cbe_tmp3_2e_i22))));
  *((&llvm_cbe_this->field9)) = llvm_cbe_tmp4_2e_i;
  llvm_cbe_tmp45 = *llvm_cbe_tmp28;
  llvm_cbe_tmp3_2e_i9 = *((&llvm_cbe_tmp45->field7));
  llvm_cbe_tmp49 = *llvm_cbe_tmp25;
  llvm_cbe_tmp3_2e_i6 = *((&llvm_cbe_tmp49->field7));
  *((&llvm_cbe_this->field10)) = ((((llvm_fcmp_ogt(llvm_cbe_tmp3_2e_i6, llvm_cbe_tmp3_2e_i9))) ? (llvm_cbe_tmp3_2e_i6) : (llvm_cbe_tmp3_2e_i9)));
  *((&llvm_cbe_this->field3)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  *((&llvm_cbe_this->field4)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  *((&llvm_cbe_this->field5.field1)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  *((&llvm_cbe_this->field5.field2)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  *((&llvm_cbe_this->field5.field3)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  *((&llvm_cbe_this->field5.field0)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  *((&llvm_cbe_this->field6.field1)) = ((struct l_struct_2E_b2Contact *)/*NULL*/0);
  *((&llvm_cbe_this->field6.field2)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  *((&llvm_cbe_this->field6.field3)) = ((struct l_struct_2E_b2ContactEdge *)/*NULL*/0);
  *((&llvm_cbe_this->field6.field0)) = ((struct l_struct_2E_b2Body *)/*NULL*/0);
  return;
}


static struct l_struct_2E_b2Contact *_ZN15b2CircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned char *llvm_cbe_tmp3;
  struct l_struct_2E_b2CircleContact *llvm_cbe_tmp56;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp12_2e_i;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp17_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp29_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;

  llvm_cbe_tmp3 = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_allocator, 200u);
  llvm_cbe_tmp56 = ((struct l_struct_2E_b2CircleContact *)llvm_cbe_tmp3);
  if ((llvm_cbe_tmp3 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp12_2e_i = ((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3);
  _ZN9b2ContactC2EP7b2ShapeS1_(llvm_cbe_tmp12_2e_i, llvm_cbe_shape1, llvm_cbe_shape2);
  *(((unsigned int  (***) ())llvm_cbe_tmp3)) = ((&_ZTV15b2CircleContact[((signed long long )2ull)]));
  llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i;

  do {     /* Syntactic loop 'bb.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i_2e_i = llvm_cbe_tmp_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i;
  } else {
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i:
  llvm_cbe_tmp17_2e_i = *((&llvm_cbe_tmp12_2e_i->field7));
  llvm_cbe_tmp3_2e_i3_2e_i = *((&llvm_cbe_tmp17_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i3_2e_i == 0u)) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str264[((signed long long )0ull)])), ((&_2E_str1265[((signed long long )0ull)])), 42u, ((&_ZZN15b2CircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp29_2e_i = *((&llvm_cbe_tmp12_2e_i->field8));
  llvm_cbe_tmp3_2e_i_2e_i = *((&llvm_cbe_tmp29_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i_2e_i == 0u)) {
    goto llvm_cbe__ZN15b2CircleContactC1EP7b2ShapeS1__2e_exit;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb34_2e_i:
  __assert_fail(((&_2E_str2266[((signed long long )0ull)])), ((&_2E_str1265[((signed long long )0ull)])), 43u, ((&_ZZN15b2CircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN15b2CircleContactC1EP7b2ShapeS1__2e_exit:
  *((&llvm_cbe_tmp56->field1.field2)) = 0u;
  *((&llvm_cbe_tmp56->field1.field0[((signed int )0u)].field3)) = 0x0p+0;
  *((&llvm_cbe_tmp56->field1.field0[((signed int )0u)].field4)) = 0x0p+0;
  goto llvm_cbe_return;

llvm_cbe_return:
  return (((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3));
}


static void _ZN15b2CircleContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned int  (**llvm_cbe_tmp7) ();
  unsigned int  (*llvm_cbe_tmp9) ();
  unsigned char llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_contact->field0));
  llvm_cbe_tmp9 = *((&llvm_cbe_tmp7[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_b2CircleContact *))llvm_cbe_tmp9))((((struct l_struct_2E_b2CircleContact *)llvm_cbe_contact)));
  llvm_cbe_tmp20_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )200ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit;
  } else {
    goto llvm_cbe_bb31_2e_i;
  }

llvm_cbe_bb31_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit:
  llvm_cbe_tmp42_2e_i = (&llvm_cbe_allocator->field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i)))]);
  llvm_cbe_tmp43_2e_i = *llvm_cbe_tmp42_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_contact)) = llvm_cbe_tmp43_2e_i;
  *llvm_cbe_tmp42_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_contact));
  return;
}


static struct l_struct_2E_b2Contact *_ZN22b2PolyAndCircleContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned char *llvm_cbe_tmp3;
  struct l_struct_2E_b2CircleContact *llvm_cbe_tmp56;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp12_2e_i;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp17_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp29_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;

  llvm_cbe_tmp3 = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_allocator, 200u);
  llvm_cbe_tmp56 = ((struct l_struct_2E_b2CircleContact *)llvm_cbe_tmp3);
  if ((llvm_cbe_tmp3 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp12_2e_i = ((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3);
  _ZN9b2ContactC2EP7b2ShapeS1_(llvm_cbe_tmp12_2e_i, llvm_cbe_shape1, llvm_cbe_shape2);
  *(((unsigned int  (***) ())llvm_cbe_tmp3)) = ((&_ZTV22b2PolyAndCircleContact[((signed long long )2ull)]));
  llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i;

  do {     /* Syntactic loop 'bb.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i_2e_i = llvm_cbe_tmp_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i;
  } else {
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i:
  llvm_cbe_tmp17_2e_i = *((&llvm_cbe_tmp12_2e_i->field7));
  llvm_cbe_tmp3_2e_i3_2e_i = *((&llvm_cbe_tmp17_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i3_2e_i == 1u)) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str279[((signed long long )0ull)])), ((&_2E_str1289[((signed long long )0ull)])), 42u, ((&_ZZN22b2PolyAndCircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp29_2e_i = *((&llvm_cbe_tmp12_2e_i->field8));
  llvm_cbe_tmp3_2e_i_2e_i = *((&llvm_cbe_tmp29_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i_2e_i == 0u)) {
    goto llvm_cbe__ZN22b2PolyAndCircleContactC1EP7b2ShapeS1__2e_exit;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb34_2e_i:
  __assert_fail(((&_2E_str2266[((signed long long )0ull)])), ((&_2E_str1289[((signed long long )0ull)])), 43u, ((&_ZZN22b2PolyAndCircleContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN22b2PolyAndCircleContactC1EP7b2ShapeS1__2e_exit:
  *((&llvm_cbe_tmp56->field1.field2)) = 0u;
  *((&llvm_cbe_tmp56->field1.field0[((signed int )0u)].field3)) = 0x0p+0;
  *((&llvm_cbe_tmp56->field1.field0[((signed int )0u)].field4)) = 0x0p+0;
  goto llvm_cbe_return;

llvm_cbe_return:
  return (((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3));
}


static void _ZN22b2PolyAndCircleContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned int  (**llvm_cbe_tmp7) ();
  unsigned int  (*llvm_cbe_tmp9) ();
  unsigned char llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_contact->field0));
  llvm_cbe_tmp9 = *((&llvm_cbe_tmp7[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_b2CircleContact *))llvm_cbe_tmp9))((((struct l_struct_2E_b2CircleContact *)llvm_cbe_contact)));
  llvm_cbe_tmp20_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )200ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit;
  } else {
    goto llvm_cbe_bb31_2e_i;
  }

llvm_cbe_bb31_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit:
  llvm_cbe_tmp42_2e_i = (&llvm_cbe_allocator->field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i)))]);
  llvm_cbe_tmp43_2e_i = *llvm_cbe_tmp42_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_contact)) = llvm_cbe_tmp43_2e_i;
  *llvm_cbe_tmp42_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_contact));
  return;
}


static struct l_struct_2E_b2Contact *_ZN16b2PolygonContact6CreateEP7b2ShapeS1_P16b2BlockAllocator(struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned char *llvm_cbe_tmp3;
  struct l_struct_2E_b2CircleContact *llvm_cbe_tmp56;
  struct l_struct_2E_b2Contact *llvm_cbe_tmp12_2e_i;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp17_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i3_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp29_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i;

  llvm_cbe_tmp3 = _ZN16b2BlockAllocator8AllocateEi(llvm_cbe_allocator, 200u);
  llvm_cbe_tmp56 = ((struct l_struct_2E_b2CircleContact *)llvm_cbe_tmp3);
  if ((llvm_cbe_tmp3 == ((unsigned char *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp12_2e_i = ((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3);
  _ZN9b2ContactC2EP7b2ShapeS1_(llvm_cbe_tmp12_2e_i, llvm_cbe_shape1, llvm_cbe_shape2);
  *(((unsigned int  (***) ())llvm_cbe_tmp3)) = ((&_ZTV16b2PolygonContact[((signed long long )2ull)]));
  llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i_2e_i;

  do {     /* Syntactic loop 'bb.i.i' to make GCC happy */
llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp_2e_i_2e_i_2e_0 = llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i_2e_i = llvm_cbe_tmp_2e_i_2e_i_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i;
  } else {
    llvm_cbe_tmp_2e_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i_2e_i;   /* for PHI node */
    goto llvm_cbe_bb_2e_i_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit_2e_i:
  llvm_cbe_tmp17_2e_i = *((&llvm_cbe_tmp12_2e_i->field7));
  llvm_cbe_tmp3_2e_i3_2e_i = *((&llvm_cbe_tmp17_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i3_2e_i == 1u)) {
    goto llvm_cbe_bb24_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str279[((signed long long )0ull)])), ((&_2E_str1280[((signed long long )0ull)])), 43u, ((&_ZZN16b2PolygonContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb24_2e_i:
  llvm_cbe_tmp29_2e_i = *((&llvm_cbe_tmp12_2e_i->field8));
  llvm_cbe_tmp3_2e_i_2e_i = *((&llvm_cbe_tmp29_2e_i->field1));
  if ((llvm_cbe_tmp3_2e_i_2e_i == 1u)) {
    goto llvm_cbe__ZN16b2PolygonContactC1EP7b2ShapeS1__2e_exit;
  } else {
    goto llvm_cbe_bb34_2e_i;
  }

llvm_cbe_bb34_2e_i:
  __assert_fail(((&_2E_str2281[((signed long long )0ull)])), ((&_2E_str1280[((signed long long )0ull)])), 44u, ((&_ZZN16b2PolygonContactC4EP7b2ShapeS1_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2PolygonContactC1EP7b2ShapeS1__2e_exit:
  *((&llvm_cbe_tmp56->field1.field2)) = 0u;
  goto llvm_cbe_return;

llvm_cbe_return:
  return (((struct l_struct_2E_b2Contact *)llvm_cbe_tmp3));
}


static void _ZN16b2PolygonContact7DestroyEP9b2ContactP16b2BlockAllocator(struct l_struct_2E_b2Contact *llvm_cbe_contact, struct l_struct_2E_b2BlockAllocator *llvm_cbe_allocator) {
  unsigned int  (**llvm_cbe_tmp7) ();
  unsigned int  (*llvm_cbe_tmp9) ();
  unsigned char llvm_cbe_tmp20_2e_i;
  struct l_struct_2E_b2Block **llvm_cbe_tmp42_2e_i;
  struct l_struct_2E_b2Block *llvm_cbe_tmp43_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_contact->field0));
  llvm_cbe_tmp9 = *((&llvm_cbe_tmp7[((signed long long )1ull)]));
  (((void  (*) (struct l_struct_2E_b2CircleContact *))llvm_cbe_tmp9))((((struct l_struct_2E_b2CircleContact *)llvm_cbe_contact)));
  llvm_cbe_tmp20_2e_i = *((&_ZN16b2BlockAllocator17s_blockSizeLookupE[((signed long long )200ull)]));
  if ((((unsigned char )llvm_cbe_tmp20_2e_i) < ((unsigned char )((unsigned char )14)))) {
    goto llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit;
  } else {
    goto llvm_cbe_bb31_2e_i;
  }

llvm_cbe_bb31_2e_i:
  __assert_fail(((&_2E_str2179[((signed long long )0ull)])), ((&_2E_str1178[((signed long long )0ull)])), 161u, ((&_ZZN16b2BlockAllocator4FreeEPviE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe__ZN16b2BlockAllocator4FreeEPvi_2e_exit:
  llvm_cbe_tmp42_2e_i = (&llvm_cbe_allocator->field3[((signed long long )(((unsigned long long )(unsigned char )llvm_cbe_tmp20_2e_i)))]);
  llvm_cbe_tmp43_2e_i = *llvm_cbe_tmp42_2e_i;
  *(((struct l_struct_2E_b2Block **)llvm_cbe_contact)) = llvm_cbe_tmp43_2e_i;
  *llvm_cbe_tmp42_2e_i = (((struct l_struct_2E_b2Block *)llvm_cbe_contact));
  return;
}


static void _GLOBAL__I_b2_defaultFilter(void) {
  unsigned int llvm_cbe_tmp8_2e_i;

  *((&b2_defaultFilter.field0)) = ((&_ZTV15b2ContactFilter[((signed long long )2ull)]));
  llvm_cbe_tmp8_2e_i = __cxa_atexit(__tcf_0219, ((unsigned char *)/*NULL*/0), ((unsigned char *)(&__dso_handle)));
  return;
}


static unsigned char _ZN15b2ContactFilter13ShouldCollideEP7b2ShapeS1_(struct l_struct_2E_Os *llvm_cbe_this, struct l_struct_2E_b2Shape *llvm_cbe_shape1, struct l_struct_2E_b2Shape *llvm_cbe_shape2) {
  unsigned short llvm_cbe_tmp7;
  unsigned short llvm_cbe_tmp10;
  unsigned short llvm_cbe_tmp28;
  unsigned short llvm_cbe_tmp32;
  unsigned short llvm_cbe_tmp41;
  unsigned short llvm_cbe_tmp45;

  llvm_cbe_tmp7 = *((&llvm_cbe_shape1->field9.field2));
  llvm_cbe_tmp10 = *((&llvm_cbe_shape2->field9.field2));
  if (((((llvm_cbe_tmp7 == ((unsigned short )0)) | (llvm_cbe_tmp7 != llvm_cbe_tmp10))&1))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb19;
  }

llvm_cbe_bb19:
  return (((unsigned char )(bool )(((signed short )llvm_cbe_tmp7) > ((signed short )((unsigned short )0)))));
llvm_cbe_bb25:
  llvm_cbe_tmp28 = *((&llvm_cbe_shape1->field9.field1));
  llvm_cbe_tmp32 = *((&llvm_cbe_shape2->field9.field0));
  if (((((unsigned short )(llvm_cbe_tmp28 & llvm_cbe_tmp32))) == ((unsigned short )0))) {
    goto llvm_cbe_bb52;
  } else {
    goto llvm_cbe_bb38;
  }

llvm_cbe_bb38:
  llvm_cbe_tmp41 = *((&llvm_cbe_shape1->field9.field0));
  llvm_cbe_tmp45 = *((&llvm_cbe_shape2->field9.field1));
  return (((((((unsigned short )(llvm_cbe_tmp41 & llvm_cbe_tmp45))) == ((unsigned short )0))) ? (((unsigned char )0)) : (((unsigned char )1))));
llvm_cbe_bb52:
  return ((unsigned char )0);
}


static void _ZN15b2ContactFilterD1Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV15b2ContactFilter[((signed long long )2ull)]));
  return;
}


static void _ZN15b2ContactFilterD0Ev(struct l_struct_2E_Os *llvm_cbe_this) {
  *((&llvm_cbe_this->field0)) = ((&_ZTV15b2ContactFilter[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void __tcf_0219(unsigned char *llvm_cbe_unnamed_arg) {
  *((&b2_defaultFilter.field0)) = ((&_ZTV15b2ContactFilter[((signed long long )2ull)]));
  return;
}


static unsigned long long _ZNK13b2PulleyJoint10GetAnchor1Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field4)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK13b2PulleyJoint10GetAnchor2Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field5)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK13b2PulleyJoint16GetReactionForceEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i61__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i68__BITCAST_TEMPORARY;

  llvm_cbe_tmp6 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field7.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field7.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i61__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp6))), llvm_cbe_tmp19_2e_i61__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i68__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp6))), llvm_cbe_tmp22_2e_i68__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK13b2PulleyJoint17GetReactionTorqueEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  return 0x0p+0;
}


static void _ZN13b2PulleyJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp36;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp39;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp43;
  struct l_struct_2E_b2Body *llvm_cbe_tmp47;
  float llvm_cbe_tmp3_2e_i1230;
  float llvm_cbe_tmp6_2e_i1233;
  float llvm_cbe_tmp10_2e_i1237;
  float llvm_cbe_tmp13_2e_i1240;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i12561692__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i12591699__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1259169917001701_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i12621691__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i12651697__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp63;
  float llvm_cbe_tmp671333;
  llvmBitCastUnion llvm_cbe_tmp671333__BITCAST_TEMPORARY;
  float llvm_cbe_tmp701337;
  llvmBitCastUnion llvm_cbe_tmp701337__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1281;
  float llvm_cbe_tmp6_2e_i1284;
  float llvm_cbe_tmp10_2e_i1288;
  float llvm_cbe_tmp13_2e_i1291;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i13071706__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i13101713__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1310171317141715_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i13131705__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i13161711__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp86;
  float llvm_cbe_tmp901347;
  llvmBitCastUnion llvm_cbe_tmp901347__BITCAST_TEMPORARY;
  float llvm_cbe_tmp931351;
  llvmBitCastUnion llvm_cbe_tmp931351__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp96;
  float *llvm_cbe_tmp100;
  float llvm_cbe_tmp101;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i12071678__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i12101685__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i1210168516861687_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i12131677__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i12161683__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i1134;
  float llvm_cbe_tmp3_2e_i1135;
  float *llvm_cbe_tmp9_2e_i1141;
  float llvm_cbe_tmp10_2e_i1142;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11611664__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11641671__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1164167116721673_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11671663__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i11701669__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp121;
  float llvm_cbe_tmp122;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i11121650__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11151657__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i1115165716581659_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11181649__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11211655__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i1039;
  float llvm_cbe_tmp3_2e_i1040;
  float *llvm_cbe_tmp9_2e_i1046;
  float llvm_cbe_tmp10_2e_i1047;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10661636__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10691643__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1069164316441645_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i10721635__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i10751641__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1014;
  float llvm_cbe_tmp10_2e_i1021;
  float llvm_cbe_tmp147;
  float llvm_cbe_tmp3_2e_i995;
  float llvm_cbe_tmp10_2e_i1002;
  float llvm_cbe_tmp155;
  float llvm_cbe_tmp159;
  float *llvm_cbe_tmp164;
  float llvm_cbe_tmp165;
  float llvm_cbe_tmp170;
  float llvm_cbe_storemerge_2e_i987;
  float llvm_cbe_tmp178;
  float llvm_cbe_tmp183;
  float llvm_cbe_tmp184;
  float llvm_cbe_tmp186;
  float llvm_cbe_tmp3_2e_i944;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i9661622__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i9691629__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i969162916301631_2e_ins;
  float llvm_cbe_tmp25_2e_i9721621;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i9721621__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i9751627;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i9751627__BITCAST_TEMPORARY;
  float llvm_cbe_tmp206;
  float llvm_cbe_tmp3_2e_i899;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i9211608__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i9241615__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i924161516161617_2e_ins;
  float llvm_cbe_tmp25_2e_i9271607;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i9271607__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i9301613;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i9301613__BITCAST_TEMPORARY;
  float llvm_cbe_tmp217;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i8761594__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i8791601__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i879160116021603_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i8821593__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i8851599__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i826;
  float llvm_cbe_tmp11_2e_i835;
  float llvm_cbe_tmp230;
  float llvm_cbe_tmp233;
  float llvm_cbe_tmp241;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i7921580__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i7951587__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i795158715881589_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i7981579__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i8011585__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i742;
  float llvm_cbe_tmp11_2e_i751;
  float llvm_cbe_tmp254;
  float llvm_cbe_tmp257;
  unsigned int llvm_cbe_tmp266;
  float *llvm_cbe_tmp272;
  float llvm_cbe_tmp273;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i7081566__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7111573__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i711157315741575_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7141565__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7171571__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i635;
  float llvm_cbe_tmp3_2e_i636;
  float *llvm_cbe_tmp9_2e_i642;
  float llvm_cbe_tmp10_2e_i643;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6621552__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6651559__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i665155915601561_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6681551__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6711557__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i610;
  float llvm_cbe_tmp10_2e_i617;
  float llvm_cbe_tmp298;
  float llvm_cbe_tmp302;
  float *llvm_cbe_tmp307;
  float llvm_cbe_tmp308;
  float llvm_cbe_tmp313;
  float llvm_cbe_storemerge_2e_i602;
  float llvm_cbe_tmp326;
  float llvm_cbe_tmp329;
  float llvm_cbe_tmp3_2e_i559;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i5811538__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i5841545__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i584154515461547_2e_ins;
  float llvm_cbe_tmp25_2e_i5871537;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i5871537__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i5901543;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i5901543__BITCAST_TEMPORARY;
  float llvm_cbe_tmp340;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i5361524__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i5391531__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i539153115321533_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i5421523__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i5451529__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i486;
  float llvm_cbe_tmp11_2e_i495;
  float llvm_cbe_tmp353;
  float llvm_cbe_tmp356;
  unsigned int llvm_cbe_tmp365;
  float *llvm_cbe_tmp371;
  float llvm_cbe_tmp372;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i4531510__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4561517__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i456151715181519_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i4591509__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i4621515__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i385;
  float llvm_cbe_tmp3_2e_i386;
  float *llvm_cbe_tmp9_2e_i392;
  float llvm_cbe_tmp10_2e_i393;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4121496__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i4151503__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i415150315041505_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1495__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1501__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i360;
  float llvm_cbe_tmp10_2e_i367;
  float llvm_cbe_tmp397;
  float llvm_cbe_tmp401;
  float *llvm_cbe_tmp406;
  float llvm_cbe_tmp407;
  float llvm_cbe_tmp412;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp425;
  float llvm_cbe_tmp428;
  float llvm_cbe_tmp3_2e_i314;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3361482__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3391489__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i339148914901491_2e_ins;
  float llvm_cbe_tmp25_2e_i3421481;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3421481__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i3451487;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3451487__BITCAST_TEMPORARY;
  float llvm_cbe_tmp439;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i1468__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i1475__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i147514761477_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i1467__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i1473__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i268;
  float llvm_cbe_tmp11_2e_i277;
  float llvm_cbe_tmp452;
  float llvm_cbe_tmp455;

  llvm_cbe_tmp43 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp47 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i1230 = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp6_2e_i1233 = *((&llvm_cbe_tmp43->field3.field0.field1));
  llvm_cbe_tmp10_2e_i1237 = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp13_2e_i1240 = *((&llvm_cbe_tmp43->field3.field0.field0));
  llvm_cbe_tmp26_2e_i1259169917001701_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i12561692__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1237 - llvm_cbe_tmp13_2e_i1240))), llvm_cbe_tmp23_2e_i12561692__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i12591699__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1230 - llvm_cbe_tmp6_2e_i1233))), llvm_cbe_tmp26_2e_i12591699__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp39.field0)) = ((llvm_cbe_tmp29_2e_i12621691__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1259169917001701_2e_ins)), llvm_cbe_tmp29_2e_i12621691__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp39.field1)) = ((llvm_cbe_tmp32_2e_i12651697__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1259169917001701_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i12651697__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp63 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp43->field2.field1)), (&llvm_cbe_tmp39));
  llvm_cbe_tmp671333 = (llvm_cbe_tmp671333__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp63)), llvm_cbe_tmp671333__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp701337 = (llvm_cbe_tmp701337__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp63) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp701337__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i1281 = *((&llvm_cbe_this->field5.field1));
  llvm_cbe_tmp6_2e_i1284 = *((&llvm_cbe_tmp47->field3.field0.field1));
  llvm_cbe_tmp10_2e_i1288 = *((&llvm_cbe_this->field5.field0));
  llvm_cbe_tmp13_2e_i1291 = *((&llvm_cbe_tmp47->field3.field0.field0));
  llvm_cbe_tmp26_2e_i1310171317141715_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i13071706__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1288 - llvm_cbe_tmp13_2e_i1291))), llvm_cbe_tmp23_2e_i13071706__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i13101713__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1281 - llvm_cbe_tmp6_2e_i1284))), llvm_cbe_tmp26_2e_i13101713__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp36.field0)) = ((llvm_cbe_tmp29_2e_i13131705__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1310171317141715_2e_ins)), llvm_cbe_tmp29_2e_i13131705__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp36.field1)) = ((llvm_cbe_tmp32_2e_i13161711__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1310171317141715_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i13161711__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp86 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp47->field2.field1)), (&llvm_cbe_tmp36));
  llvm_cbe_tmp901347 = (llvm_cbe_tmp901347__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp86)), llvm_cbe_tmp901347__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp931351 = (llvm_cbe_tmp931351__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp86) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp931351__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp96 = *((&llvm_cbe_this->field21));
  if ((llvm_cbe_tmp96 == 2u)) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb263;
  }

llvm_cbe_bb:
  llvm_cbe_tmp100 = (&llvm_cbe_tmp43->field5);
  llvm_cbe_tmp101 = *llvm_cbe_tmp100;
  llvm_cbe_tmp23_2e_i1210168516861687_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i12071678__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp701337 * (((float )(-(llvm_cbe_tmp101))))))), llvm_cbe_tmp20_2e_i12071678__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i12101685__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp671333 * llvm_cbe_tmp101))), llvm_cbe_tmp23_2e_i12101685__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1134 = (&llvm_cbe_tmp43->field4.field1);
  llvm_cbe_tmp3_2e_i1135 = *llvm_cbe_tmp2_2e_i1134;
  llvm_cbe_tmp9_2e_i1141 = (&llvm_cbe_tmp43->field4.field0);
  llvm_cbe_tmp10_2e_i1142 = *llvm_cbe_tmp9_2e_i1141;
  llvm_cbe_tmp26_2e_i1164167116721673_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11611664__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1142 + ((llvm_cbe_tmp26_2e_i12131677__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i1210168516861687_2e_ins)), llvm_cbe_tmp26_2e_i12131677__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i11611664__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11641671__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1135 + ((llvm_cbe_tmp29_2e_i12161683__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i1210168516861687_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i12161683__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i11641671__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp121 = (&llvm_cbe_tmp47->field5);
  llvm_cbe_tmp122 = *llvm_cbe_tmp121;
  llvm_cbe_tmp23_2e_i1115165716581659_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i11121650__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp931351 * (((float )(-(llvm_cbe_tmp122))))))), llvm_cbe_tmp20_2e_i11121650__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11151657__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp901347 * llvm_cbe_tmp122))), llvm_cbe_tmp23_2e_i11151657__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1039 = (&llvm_cbe_tmp47->field4.field1);
  llvm_cbe_tmp3_2e_i1040 = *llvm_cbe_tmp2_2e_i1039;
  llvm_cbe_tmp9_2e_i1046 = (&llvm_cbe_tmp47->field4.field0);
  llvm_cbe_tmp10_2e_i1047 = *llvm_cbe_tmp9_2e_i1046;
  llvm_cbe_tmp26_2e_i1069164316441645_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i10661636__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1047 + ((llvm_cbe_tmp26_2e_i11181649__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i1115165716581659_2e_ins)), llvm_cbe_tmp26_2e_i11181649__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i10661636__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i10691643__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1040 + ((llvm_cbe_tmp29_2e_i11211655__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i1115165716581659_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i11211655__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i10691643__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i1014 = *((&llvm_cbe_this->field6.field0));
  llvm_cbe_tmp10_2e_i1021 = *((&llvm_cbe_this->field6.field1));
  llvm_cbe_tmp147 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp3_2e_i995 = *((&llvm_cbe_this->field7.field0));
  llvm_cbe_tmp10_2e_i1002 = *((&llvm_cbe_this->field7.field1));
  llvm_cbe_tmp155 = *((&llvm_cbe_step->field1));
  llvm_cbe_tmp159 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp164 = (&llvm_cbe_this->field15);
  llvm_cbe_tmp165 = *llvm_cbe_tmp164;
  llvm_cbe_tmp170 = ((float )(llvm_cbe_tmp165 + (((float )((((float )(llvm_cbe_tmp159 * (((float )(-(llvm_cbe_tmp155))))))) * (((float )((((float )(-((((float )((((float )(llvm_cbe_tmp3_2e_i1014 * ((llvm_cbe_tmp29_2e_i11671663__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1164167116721673_2e_ins)), llvm_cbe_tmp29_2e_i11671663__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i1021 * ((llvm_cbe_tmp32_2e_i11701669__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1164167116721673_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i11701669__BITCAST_TEMPORARY.Float)))))))))))) - (((float )(llvm_cbe_tmp147 * (((float )((((float )(llvm_cbe_tmp3_2e_i995 * ((llvm_cbe_tmp29_2e_i10721635__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1069164316441645_2e_ins)), llvm_cbe_tmp29_2e_i10721635__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i1002 * ((llvm_cbe_tmp32_2e_i10751641__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1069164316441645_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i10751641__BITCAST_TEMPORARY.Float)))))))))))))))))));
  llvm_cbe_storemerge_2e_i987 = (((llvm_fcmp_olt(llvm_cbe_tmp170, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp170));
  *llvm_cbe_tmp164 = llvm_cbe_storemerge_2e_i987;
  llvm_cbe_tmp178 = ((float )(llvm_cbe_storemerge_2e_i987 - llvm_cbe_tmp165));
  llvm_cbe_tmp183 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp184 = ((float )(-(llvm_cbe_tmp183)));
  llvm_cbe_tmp186 = ((float )(llvm_cbe_tmp178 * llvm_cbe_tmp184));
  llvm_cbe_tmp3_2e_i944 = *((&llvm_cbe_this->field6.field1));
  llvm_cbe_tmp22_2e_i969162916301631_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i9661622__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1014 * llvm_cbe_tmp186))), llvm_cbe_tmp19_2e_i9661622__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i9691629__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i944 * llvm_cbe_tmp186))), llvm_cbe_tmp22_2e_i9691629__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i9721621 = (llvm_cbe_tmp25_2e_i9721621__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i969162916301631_2e_ins)), llvm_cbe_tmp25_2e_i9721621__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i9751627 = (llvm_cbe_tmp28_2e_i9751627__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i969162916301631_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i9751627__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp206 = ((float )((((float )(llvm_cbe_tmp147 * llvm_cbe_tmp184))) * llvm_cbe_tmp178));
  llvm_cbe_tmp3_2e_i899 = *((&llvm_cbe_this->field7.field1));
  llvm_cbe_tmp22_2e_i924161516161617_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i9211608__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i995 * llvm_cbe_tmp206))), llvm_cbe_tmp19_2e_i9211608__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i9241615__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i899 * llvm_cbe_tmp206))), llvm_cbe_tmp22_2e_i9241615__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i9271607 = (llvm_cbe_tmp25_2e_i9271607__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i924161516161617_2e_ins)), llvm_cbe_tmp25_2e_i9271607__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i9301613 = (llvm_cbe_tmp28_2e_i9301613__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i924161516161617_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i9301613__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp217 = *((&llvm_cbe_tmp43->field16));
  llvm_cbe_tmp22_2e_i879160116021603_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i8761594__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i9721621 * llvm_cbe_tmp217))), llvm_cbe_tmp19_2e_i8761594__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i8791601__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i9751627 * llvm_cbe_tmp217))), llvm_cbe_tmp22_2e_i8791601__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i826 = *llvm_cbe_tmp9_2e_i1141;
  *llvm_cbe_tmp9_2e_i1141 = (((float )(llvm_cbe_tmp2_2e_i826 + ((llvm_cbe_tmp25_2e_i8821593__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i879160116021603_2e_ins)), llvm_cbe_tmp25_2e_i8821593__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i835 = *llvm_cbe_tmp2_2e_i1134;
  *llvm_cbe_tmp2_2e_i1134 = (((float )(llvm_cbe_tmp11_2e_i835 + ((llvm_cbe_tmp28_2e_i8851599__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i879160116021603_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i8851599__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp230 = *llvm_cbe_tmp100;
  llvm_cbe_tmp233 = *((&llvm_cbe_tmp43->field18));
  *llvm_cbe_tmp100 = (((float )(llvm_cbe_tmp230 + (((float )(llvm_cbe_tmp233 * (((float )((((float )(llvm_cbe_tmp671333 * llvm_cbe_tmp28_2e_i9751627))) - (((float )(llvm_cbe_tmp701337 * llvm_cbe_tmp25_2e_i9721621))))))))))));
  llvm_cbe_tmp241 = *((&llvm_cbe_tmp47->field16));
  llvm_cbe_tmp22_2e_i795158715881589_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i7921580__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i9271607 * llvm_cbe_tmp241))), llvm_cbe_tmp19_2e_i7921580__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i7951587__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i9301613 * llvm_cbe_tmp241))), llvm_cbe_tmp22_2e_i7951587__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i742 = *llvm_cbe_tmp9_2e_i1046;
  *llvm_cbe_tmp9_2e_i1046 = (((float )(llvm_cbe_tmp2_2e_i742 + ((llvm_cbe_tmp25_2e_i7981579__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i795158715881589_2e_ins)), llvm_cbe_tmp25_2e_i7981579__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i751 = *llvm_cbe_tmp2_2e_i1039;
  *llvm_cbe_tmp2_2e_i1039 = (((float )(llvm_cbe_tmp11_2e_i751 + ((llvm_cbe_tmp28_2e_i8011585__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i795158715881589_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i8011585__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp254 = *llvm_cbe_tmp121;
  llvm_cbe_tmp257 = *((&llvm_cbe_tmp47->field18));
  *llvm_cbe_tmp121 = (((float )(llvm_cbe_tmp254 + (((float )(llvm_cbe_tmp257 * (((float )((((float )(llvm_cbe_tmp901347 * llvm_cbe_tmp28_2e_i9301613))) - (((float )(llvm_cbe_tmp931351 * llvm_cbe_tmp25_2e_i9271607))))))))))));
  goto llvm_cbe_bb263;

llvm_cbe_bb263:
  llvm_cbe_tmp266 = *((&llvm_cbe_this->field22));
  if ((llvm_cbe_tmp266 == 2u)) {
    goto llvm_cbe_bb270;
  } else {
    goto llvm_cbe_bb362;
  }

llvm_cbe_bb270:
  llvm_cbe_tmp272 = (&llvm_cbe_tmp43->field5);
  llvm_cbe_tmp273 = *llvm_cbe_tmp272;
  llvm_cbe_tmp23_2e_i711157315741575_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i7081566__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp701337 * (((float )(-(llvm_cbe_tmp273))))))), llvm_cbe_tmp20_2e_i7081566__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7111573__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp671333 * llvm_cbe_tmp273))), llvm_cbe_tmp23_2e_i7111573__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i635 = (&llvm_cbe_tmp43->field4.field1);
  llvm_cbe_tmp3_2e_i636 = *llvm_cbe_tmp2_2e_i635;
  llvm_cbe_tmp9_2e_i642 = (&llvm_cbe_tmp43->field4.field0);
  llvm_cbe_tmp10_2e_i643 = *llvm_cbe_tmp9_2e_i642;
  llvm_cbe_tmp26_2e_i665155915601561_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6621552__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i643 + ((llvm_cbe_tmp26_2e_i7141565__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i711157315741575_2e_ins)), llvm_cbe_tmp26_2e_i7141565__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i6621552__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6651559__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i636 + ((llvm_cbe_tmp29_2e_i7171571__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i711157315741575_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i7171571__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i6651559__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i610 = *((&llvm_cbe_this->field6.field0));
  llvm_cbe_tmp10_2e_i617 = *((&llvm_cbe_this->field6.field1));
  llvm_cbe_tmp298 = *((&llvm_cbe_step->field1));
  llvm_cbe_tmp302 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp307 = (&llvm_cbe_this->field16);
  llvm_cbe_tmp308 = *llvm_cbe_tmp307;
  llvm_cbe_tmp313 = ((float )(llvm_cbe_tmp308 + (((float )((((float )(llvm_cbe_tmp302 * (((float )(-(llvm_cbe_tmp298))))))) * (((float )(-((((float )((((float )(llvm_cbe_tmp3_2e_i610 * ((llvm_cbe_tmp29_2e_i6681551__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i665155915601561_2e_ins)), llvm_cbe_tmp29_2e_i6681551__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i617 * ((llvm_cbe_tmp32_2e_i6711557__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i665155915601561_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6711557__BITCAST_TEMPORARY.Float)))))))))))))))));
  llvm_cbe_storemerge_2e_i602 = (((llvm_fcmp_olt(llvm_cbe_tmp313, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp313));
  *llvm_cbe_tmp307 = llvm_cbe_storemerge_2e_i602;
  llvm_cbe_tmp326 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp329 = ((float )((((float )(llvm_cbe_storemerge_2e_i602 - llvm_cbe_tmp308))) * (((float )(-(llvm_cbe_tmp326))))));
  llvm_cbe_tmp3_2e_i559 = *((&llvm_cbe_this->field6.field1));
  llvm_cbe_tmp22_2e_i584154515461547_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i5811538__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i610 * llvm_cbe_tmp329))), llvm_cbe_tmp19_2e_i5811538__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i5841545__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i559 * llvm_cbe_tmp329))), llvm_cbe_tmp22_2e_i5841545__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i5871537 = (llvm_cbe_tmp25_2e_i5871537__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i584154515461547_2e_ins)), llvm_cbe_tmp25_2e_i5871537__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i5901543 = (llvm_cbe_tmp28_2e_i5901543__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i584154515461547_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i5901543__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp340 = *((&llvm_cbe_tmp43->field16));
  llvm_cbe_tmp22_2e_i539153115321533_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i5361524__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i5871537 * llvm_cbe_tmp340))), llvm_cbe_tmp19_2e_i5361524__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i5391531__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i5901543 * llvm_cbe_tmp340))), llvm_cbe_tmp22_2e_i5391531__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i486 = *llvm_cbe_tmp9_2e_i642;
  *llvm_cbe_tmp9_2e_i642 = (((float )(llvm_cbe_tmp2_2e_i486 + ((llvm_cbe_tmp25_2e_i5421523__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i539153115321533_2e_ins)), llvm_cbe_tmp25_2e_i5421523__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i495 = *llvm_cbe_tmp2_2e_i635;
  *llvm_cbe_tmp2_2e_i635 = (((float )(llvm_cbe_tmp11_2e_i495 + ((llvm_cbe_tmp28_2e_i5451529__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i539153115321533_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i5451529__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp353 = *llvm_cbe_tmp272;
  llvm_cbe_tmp356 = *((&llvm_cbe_tmp43->field18));
  *llvm_cbe_tmp272 = (((float )(llvm_cbe_tmp353 + (((float )(llvm_cbe_tmp356 * (((float )((((float )(llvm_cbe_tmp671333 * llvm_cbe_tmp28_2e_i5901543))) - (((float )(llvm_cbe_tmp701337 * llvm_cbe_tmp25_2e_i5871537))))))))))));
  goto llvm_cbe_bb362;

llvm_cbe_bb362:
  llvm_cbe_tmp365 = *((&llvm_cbe_this->field23));
  if ((llvm_cbe_tmp365 == 2u)) {
    goto llvm_cbe_bb369;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb369:
  llvm_cbe_tmp371 = (&llvm_cbe_tmp47->field5);
  llvm_cbe_tmp372 = *llvm_cbe_tmp371;
  llvm_cbe_tmp23_2e_i456151715181519_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i4531510__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp931351 * (((float )(-(llvm_cbe_tmp372))))))), llvm_cbe_tmp20_2e_i4531510__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4561517__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp901347 * llvm_cbe_tmp372))), llvm_cbe_tmp23_2e_i4561517__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i385 = (&llvm_cbe_tmp47->field4.field1);
  llvm_cbe_tmp3_2e_i386 = *llvm_cbe_tmp2_2e_i385;
  llvm_cbe_tmp9_2e_i392 = (&llvm_cbe_tmp47->field4.field0);
  llvm_cbe_tmp10_2e_i393 = *llvm_cbe_tmp9_2e_i392;
  llvm_cbe_tmp26_2e_i415150315041505_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4121496__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i393 + ((llvm_cbe_tmp26_2e_i4591509__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i456151715181519_2e_ins)), llvm_cbe_tmp26_2e_i4591509__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i4121496__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i4151503__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i386 + ((llvm_cbe_tmp29_2e_i4621515__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i456151715181519_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i4621515__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i4151503__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i360 = *((&llvm_cbe_this->field7.field0));
  llvm_cbe_tmp10_2e_i367 = *((&llvm_cbe_this->field7.field1));
  llvm_cbe_tmp397 = *((&llvm_cbe_step->field1));
  llvm_cbe_tmp401 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp406 = (&llvm_cbe_this->field17);
  llvm_cbe_tmp407 = *llvm_cbe_tmp406;
  llvm_cbe_tmp412 = ((float )(llvm_cbe_tmp407 + (((float )((((float )(llvm_cbe_tmp401 * (((float )(-(llvm_cbe_tmp397))))))) * (((float )(-((((float )((((float )(llvm_cbe_tmp3_2e_i360 * ((llvm_cbe_tmp29_2e_i1495__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i415150315041505_2e_ins)), llvm_cbe_tmp29_2e_i1495__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i367 * ((llvm_cbe_tmp32_2e_i1501__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i415150315041505_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1501__BITCAST_TEMPORARY.Float)))))))))))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp412, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp412));
  *llvm_cbe_tmp406 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp425 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp428 = ((float )((((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp407))) * (((float )(-(llvm_cbe_tmp425))))));
  llvm_cbe_tmp3_2e_i314 = *((&llvm_cbe_this->field7.field1));
  llvm_cbe_tmp22_2e_i339148914901491_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3361482__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i360 * llvm_cbe_tmp428))), llvm_cbe_tmp19_2e_i3361482__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3391489__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i314 * llvm_cbe_tmp428))), llvm_cbe_tmp22_2e_i3391489__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i3421481 = (llvm_cbe_tmp25_2e_i3421481__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i339148914901491_2e_ins)), llvm_cbe_tmp25_2e_i3421481__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i3451487 = (llvm_cbe_tmp28_2e_i3451487__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i339148914901491_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3451487__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp439 = *((&llvm_cbe_tmp47->field16));
  llvm_cbe_tmp22_2e_i147514761477_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i1468__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i3421481 * llvm_cbe_tmp439))), llvm_cbe_tmp19_2e_i1468__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i1475__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i3451487 * llvm_cbe_tmp439))), llvm_cbe_tmp22_2e_i1475__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i268 = *llvm_cbe_tmp9_2e_i392;
  *llvm_cbe_tmp9_2e_i392 = (((float )(llvm_cbe_tmp2_2e_i268 + ((llvm_cbe_tmp25_2e_i1467__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i147514761477_2e_ins)), llvm_cbe_tmp25_2e_i1467__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i277 = *llvm_cbe_tmp2_2e_i385;
  *llvm_cbe_tmp2_2e_i385 = (((float )(llvm_cbe_tmp11_2e_i277 + ((llvm_cbe_tmp28_2e_i1473__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i147514761477_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i1473__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp452 = *llvm_cbe_tmp371;
  llvm_cbe_tmp455 = *((&llvm_cbe_tmp47->field18));
  *llvm_cbe_tmp371 = (((float )(llvm_cbe_tmp452 + (((float )(llvm_cbe_tmp455 * (((float )((((float )(llvm_cbe_tmp901347 * llvm_cbe_tmp28_2e_i3451487))) - (((float )(llvm_cbe_tmp931351 * llvm_cbe_tmp25_2e_i3421481))))))))))));
  return;
llvm_cbe_return:
  return;
}


static void _ZN13b2PulleyJointD0Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN13b2PulleyJointD1Ev(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp14;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp17;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp21;
  struct l_struct_2E_b2Body *llvm_cbe_tmp25;
  float llvm_cbe_tmp3_2e_i789;
  float llvm_cbe_tmp6_2e_i792;
  float llvm_cbe_tmp10_2e_i796;
  float llvm_cbe_tmp13_2e_i799;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8151126__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8181133__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i818113311341135_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8211125__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8241131__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp41;
  float llvm_cbe_tmp45893;
  llvmBitCastUnion llvm_cbe_tmp45893__BITCAST_TEMPORARY;
  float llvm_cbe_tmp48897;
  llvmBitCastUnion llvm_cbe_tmp48897__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i841;
  float llvm_cbe_tmp6_2e_i844;
  float llvm_cbe_tmp10_2e_i848;
  float llvm_cbe_tmp13_2e_i851;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8671140__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8701147__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i870114711481149_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8731139__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8761145__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp64;
  float llvm_cbe_tmp68907;
  llvmBitCastUnion llvm_cbe_tmp68907__BITCAST_TEMPORARY;
  float llvm_cbe_tmp71911;
  llvmBitCastUnion llvm_cbe_tmp71911__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i740;
  float llvm_cbe_tmp10_2e_i747;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7661112__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7691119__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i769111911201121_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7721111__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7751117__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i691;
  float llvm_cbe_tmp10_2e_i698;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7171098__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7201105__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i720110511061107_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7231097__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7261103__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp98;
  float llvm_cbe_tmp3_2e_i639;
  float llvm_cbe_tmp6_2e_i642;
  float llvm_cbe_tmp10_2e_i646;
  float llvm_cbe_tmp13_2e_i649;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6651084__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6681091__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i668109110921093_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6711083__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6741089__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i591;
  float llvm_cbe_tmp13_2e_i598;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6141070__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6171077__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i617107710781079_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6201069__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6231075__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5651056__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5681063__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i568106310641065_2e_ins;
  float llvm_cbe_tmp29_2e_i5711055;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5711055__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5741061__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp128;
  float *llvm_cbe_tmp131;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5211042__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5241049__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i524104910501051_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1041__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1047__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp138;
  float *llvm_cbe_tmp141;
  float *llvm_cbe_tmp5_2e_i470;
  float llvm_cbe_tmp6_2e_i471;
  float *llvm_cbe_tmp9_2e_i474;
  float llvm_cbe_tmp10_2e_i475;
  float llvm_cbe_tmp16_2e_i481;
  float llvm_cbe_tmp3_2e_i451;
  float *llvm_cbe_tmp5_2e_i453;
  float llvm_cbe_tmp6_2e_i454;
  float *llvm_cbe_tmp9_2e_i457;
  float llvm_cbe_tmp10_2e_i458;
  float llvm_cbe_tmp16_2e_i464;
  float llvm_cbe_tmp154;
  float llvm_cbe_tmp2_2e_i436;
  float llvm_cbe_tmp9_2e_i443;
  float llvm_cbe_tmp11_2e_i445;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_tmp6_2e_i397_2e_rle1159;
  float llvm_cbe_tmp6_2e_i397_2e_rle1159__PHI_TEMPORARY;
  float llvm_cbe_tmp167;
  float llvm_cbe_tmp2_2e_i416;
  float llvm_cbe_tmp9_2e_i423;
  float llvm_cbe_tmp11_2e_i425;
  float llvm_cbe_storemerge1163;
  float llvm_cbe_storemerge1163__PHI_TEMPORARY;
  float llvm_cbe_tmp6_2e_i378_2e_rle1162;
  float llvm_cbe_tmp6_2e_i378_2e_rle1162__PHI_TEMPORARY;
  float llvm_cbe_tmp176;
  float llvm_cbe_tmp181;
  unsigned int *llvm_cbe_tmp191;
  float llvm_cbe_tmp202;
  unsigned int *llvm_cbe_tmp209;
  float llvm_cbe_tmp220;
  unsigned int *llvm_cbe_tmp227;
  float llvm_cbe_tmp13_2e_i404;
  float llvm_cbe_tmp15_2e_i406;
  float llvm_cbe_tmp13_2e_i385;
  float llvm_cbe_tmp15_2e_i387;
  float *llvm_cbe_tmp243;
  float llvm_cbe_tmp244;
  float *llvm_cbe_tmp246;
  float llvm_cbe_tmp247;
  float llvm_cbe_tmp252;
  float *llvm_cbe_tmp254;
  float *llvm_cbe_tmp256;
  float llvm_cbe_tmp257;
  float *llvm_cbe_tmp259;
  float llvm_cbe_tmp260;
  float llvm_cbe_tmp265;
  float *llvm_cbe_tmp267;
  float llvm_cbe_tmp282;
  float *llvm_cbe_tmp284;
  unsigned char llvm_cbe_tmp338;
  float llvm_cbe_tmp345;
  float llvm_cbe_tmp348;
  float llvm_cbe_tmp352;
  float llvm_cbe_tmp354;
  float llvm_cbe_tmp3_2e_i337;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3591028__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3621035__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i362103510361037_2e_ins;
  float llvm_cbe_tmp25_2e_i3651027;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3651027__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i3681033;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3681033__BITCAST_TEMPORARY;
  float llvm_cbe_tmp378;
  float llvm_cbe_tmp380;
  float llvm_cbe_tmp3_2e_i292;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3141014__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3171021__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i317102110221023_2e_ins;
  float llvm_cbe_tmp25_2e_i3201013;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3201013__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i3231019;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3231019__BITCAST_TEMPORARY;
  float llvm_cbe_tmp391;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i2691000__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i2721007__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i272100710081009_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i275999__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i2781005__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i218;
  float llvm_cbe_tmp2_2e_i219;
  float *llvm_cbe_tmp10_2e_i227;
  float llvm_cbe_tmp11_2e_i228;
  float *llvm_cbe_tmp403;
  float llvm_cbe_tmp404;
  float llvm_cbe_tmp407;
  float llvm_cbe_tmp415;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i986__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i993__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i993994995_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i985__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i991__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i161;
  float llvm_cbe_tmp2_2e_i162;
  float *llvm_cbe_tmp10_2e_i170;
  float llvm_cbe_tmp11_2e_i171;
  float *llvm_cbe_tmp427;
  float llvm_cbe_tmp428;
  float llvm_cbe_tmp431;

  llvm_cbe_tmp21 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp25 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i789 = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp6_2e_i792 = *((&llvm_cbe_tmp21->field3.field0.field1));
  llvm_cbe_tmp10_2e_i796 = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp13_2e_i799 = *((&llvm_cbe_tmp21->field3.field0.field0));
  llvm_cbe_tmp26_2e_i818113311341135_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8151126__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i796 - llvm_cbe_tmp13_2e_i799))), llvm_cbe_tmp23_2e_i8151126__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8181133__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i789 - llvm_cbe_tmp6_2e_i792))), llvm_cbe_tmp26_2e_i8181133__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp17.field0)) = ((llvm_cbe_tmp29_2e_i8211125__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i818113311341135_2e_ins)), llvm_cbe_tmp29_2e_i8211125__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp17.field1)) = ((llvm_cbe_tmp32_2e_i8241131__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i818113311341135_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8241131__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp41 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp21->field2.field1)), (&llvm_cbe_tmp17));
  llvm_cbe_tmp45893 = (llvm_cbe_tmp45893__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp41)), llvm_cbe_tmp45893__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp48897 = (llvm_cbe_tmp48897__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp41) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp48897__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i841 = *((&llvm_cbe_this->field5.field1));
  llvm_cbe_tmp6_2e_i844 = *((&llvm_cbe_tmp25->field3.field0.field1));
  llvm_cbe_tmp10_2e_i848 = *((&llvm_cbe_this->field5.field0));
  llvm_cbe_tmp13_2e_i851 = *((&llvm_cbe_tmp25->field3.field0.field0));
  llvm_cbe_tmp26_2e_i870114711481149_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8671140__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i848 - llvm_cbe_tmp13_2e_i851))), llvm_cbe_tmp23_2e_i8671140__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8701147__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i841 - llvm_cbe_tmp6_2e_i844))), llvm_cbe_tmp26_2e_i8701147__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp14.field0)) = ((llvm_cbe_tmp29_2e_i8731139__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i870114711481149_2e_ins)), llvm_cbe_tmp29_2e_i8731139__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp14.field1)) = ((llvm_cbe_tmp32_2e_i8761145__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i870114711481149_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8761145__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp64 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp25->field2.field1)), (&llvm_cbe_tmp14));
  llvm_cbe_tmp68907 = (llvm_cbe_tmp68907__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp64)), llvm_cbe_tmp68907__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp71911 = (llvm_cbe_tmp71911__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp64) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp71911__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i740 = *((&llvm_cbe_tmp21->field3.field2.field1));
  llvm_cbe_tmp10_2e_i747 = *((&llvm_cbe_tmp21->field3.field2.field0));
  llvm_cbe_tmp26_2e_i769111911201121_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7661112__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i747 + llvm_cbe_tmp45893))), llvm_cbe_tmp23_2e_i7661112__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7691119__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i740 + llvm_cbe_tmp48897))), llvm_cbe_tmp26_2e_i7691119__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i691 = *((&llvm_cbe_tmp25->field3.field2.field1));
  llvm_cbe_tmp10_2e_i698 = *((&llvm_cbe_tmp25->field3.field2.field0));
  llvm_cbe_tmp26_2e_i720110511061107_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7171098__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i698 + llvm_cbe_tmp68907))), llvm_cbe_tmp23_2e_i7171098__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7201105__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i691 + llvm_cbe_tmp71911))), llvm_cbe_tmp26_2e_i7201105__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp98 = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp3_2e_i639 = *((&llvm_cbe_tmp98->field2.field0.field1));
  llvm_cbe_tmp6_2e_i642 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp10_2e_i646 = *((&llvm_cbe_tmp98->field2.field0.field0));
  llvm_cbe_tmp13_2e_i649 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp26_2e_i668109110921093_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6651084__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i646 + llvm_cbe_tmp13_2e_i649))), llvm_cbe_tmp23_2e_i6651084__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6681091__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i639 + llvm_cbe_tmp6_2e_i642))), llvm_cbe_tmp26_2e_i6681091__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i591 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp13_2e_i598 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp26_2e_i617107710781079_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6141070__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i646 + llvm_cbe_tmp13_2e_i598))), llvm_cbe_tmp23_2e_i6141070__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6171077__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i639 + llvm_cbe_tmp6_2e_i591))), llvm_cbe_tmp26_2e_i6171077__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i568106310641065_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5651056__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i7721111__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i769111911201121_2e_ins)), llvm_cbe_tmp29_2e_i7721111__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i6711083__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i668109110921093_2e_ins)), llvm_cbe_tmp29_2e_i6711083__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5651056__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5681063__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i7751117__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i769111911201121_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7751117__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i6741089__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i668109110921093_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6741089__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5681063__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i5711055 = (llvm_cbe_tmp29_2e_i5711055__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i568106310641065_2e_ins)), llvm_cbe_tmp29_2e_i5711055__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp128 = (&llvm_cbe_this->field6.field0);
  *llvm_cbe_tmp128 = llvm_cbe_tmp29_2e_i5711055;
  llvm_cbe_tmp131 = (&llvm_cbe_this->field6.field1);
  *llvm_cbe_tmp131 = ((llvm_cbe_tmp32_2e_i5741061__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i568106310641065_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5741061__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp26_2e_i524104910501051_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5211042__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i7231097__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i720110511061107_2e_ins)), llvm_cbe_tmp29_2e_i7231097__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i6201069__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i617107710781079_2e_ins)), llvm_cbe_tmp29_2e_i6201069__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5211042__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5241049__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i7261103__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i720110511061107_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7261103__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i6231075__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i617107710781079_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6231075__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5241049__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp138 = (&llvm_cbe_this->field7.field0);
  *llvm_cbe_tmp138 = ((llvm_cbe_tmp29_2e_i1041__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i524104910501051_2e_ins)), llvm_cbe_tmp29_2e_i1041__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp141 = (&llvm_cbe_this->field7.field1);
  *llvm_cbe_tmp141 = ((llvm_cbe_tmp32_2e_i1047__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i524104910501051_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1047__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp5_2e_i470 = (&llvm_cbe_this->field6.field0);
  llvm_cbe_tmp6_2e_i471 = *llvm_cbe_tmp5_2e_i470;
  llvm_cbe_tmp9_2e_i474 = (&llvm_cbe_this->field6.field1);
  llvm_cbe_tmp10_2e_i475 = *llvm_cbe_tmp9_2e_i474;
  llvm_cbe_tmp16_2e_i481 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i5711055 * llvm_cbe_tmp6_2e_i471))) + (((float )(llvm_cbe_tmp10_2e_i475 * llvm_cbe_tmp10_2e_i475)))))));
  llvm_cbe_tmp3_2e_i451 = *llvm_cbe_tmp138;
  llvm_cbe_tmp5_2e_i453 = (&llvm_cbe_this->field7.field0);
  llvm_cbe_tmp6_2e_i454 = *llvm_cbe_tmp5_2e_i453;
  llvm_cbe_tmp9_2e_i457 = (&llvm_cbe_this->field7.field1);
  llvm_cbe_tmp10_2e_i458 = *llvm_cbe_tmp9_2e_i457;
  llvm_cbe_tmp16_2e_i464 = sqrtf((((float )((((float )(llvm_cbe_tmp3_2e_i451 * llvm_cbe_tmp6_2e_i454))) + (((float )(llvm_cbe_tmp10_2e_i458 * llvm_cbe_tmp10_2e_i458)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i481, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb157;
  }

llvm_cbe_bb:
  llvm_cbe_tmp154 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i481));
  llvm_cbe_tmp2_2e_i436 = *llvm_cbe_tmp5_2e_i470;
  *llvm_cbe_tmp5_2e_i470 = (((float )(llvm_cbe_tmp2_2e_i436 * llvm_cbe_tmp154)));
  llvm_cbe_tmp9_2e_i443 = *llvm_cbe_tmp9_2e_i474;
  llvm_cbe_tmp11_2e_i445 = ((float )(llvm_cbe_tmp9_2e_i443 * llvm_cbe_tmp154));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i445;   /* for PHI node */
  llvm_cbe_tmp6_2e_i397_2e_rle1159__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i445;   /* for PHI node */
  goto llvm_cbe_bb160;

llvm_cbe_bb157:
  *llvm_cbe_tmp128 = 0x0p+0;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_tmp6_2e_i397_2e_rle1159__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb160;

llvm_cbe_bb160:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp6_2e_i397_2e_rle1159 = llvm_cbe_tmp6_2e_i397_2e_rle1159__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i474 = llvm_cbe_storemerge;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i464, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb165;
  } else {
    goto llvm_cbe_bb170;
  }

llvm_cbe_bb165:
  llvm_cbe_tmp167 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i464));
  llvm_cbe_tmp2_2e_i416 = *llvm_cbe_tmp5_2e_i453;
  *llvm_cbe_tmp5_2e_i453 = (((float )(llvm_cbe_tmp2_2e_i416 * llvm_cbe_tmp167)));
  llvm_cbe_tmp9_2e_i423 = *llvm_cbe_tmp9_2e_i457;
  llvm_cbe_tmp11_2e_i425 = ((float )(llvm_cbe_tmp9_2e_i423 * llvm_cbe_tmp167));
  llvm_cbe_storemerge1163__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i425;   /* for PHI node */
  llvm_cbe_tmp6_2e_i378_2e_rle1162__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i425;   /* for PHI node */
  goto llvm_cbe_bb173;

llvm_cbe_bb170:
  *llvm_cbe_tmp138 = 0x0p+0;
  llvm_cbe_storemerge1163__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_tmp6_2e_i378_2e_rle1162__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb173;

llvm_cbe_bb173:
  llvm_cbe_storemerge1163 = llvm_cbe_storemerge1163__PHI_TEMPORARY;
  llvm_cbe_tmp6_2e_i378_2e_rle1162 = llvm_cbe_tmp6_2e_i378_2e_rle1162__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i457 = llvm_cbe_storemerge1163;
  llvm_cbe_tmp176 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp181 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp191 = (&llvm_cbe_this->field21);
  if ((llvm_fcmp_ogt((((float )((((float )(llvm_cbe_tmp176 - llvm_cbe_tmp16_2e_i481))) - (((float )(llvm_cbe_tmp181 * llvm_cbe_tmp16_2e_i464)))))), 0x0p+0))) {
    goto llvm_cbe_bb189;
  } else {
    goto llvm_cbe_bb194;
  }

llvm_cbe_bb189:
  *llvm_cbe_tmp191 = 0u;
  *((&llvm_cbe_this->field15)) = 0x0p+0;
  goto llvm_cbe_bb199;

llvm_cbe_bb194:
  *llvm_cbe_tmp191 = 2u;
  *((&llvm_cbe_this->field18)) = 0x0p+0;
  goto llvm_cbe_bb199;

llvm_cbe_bb199:
  llvm_cbe_tmp202 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp209 = (&llvm_cbe_this->field22);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp202, llvm_cbe_tmp16_2e_i481))) {
    goto llvm_cbe_bb207;
  } else {
    goto llvm_cbe_bb212;
  }

llvm_cbe_bb207:
  *llvm_cbe_tmp209 = 0u;
  *((&llvm_cbe_this->field16)) = 0x0p+0;
  goto llvm_cbe_bb217;

llvm_cbe_bb212:
  *llvm_cbe_tmp209 = 2u;
  *((&llvm_cbe_this->field19)) = 0x0p+0;
  goto llvm_cbe_bb217;

llvm_cbe_bb217:
  llvm_cbe_tmp220 = *((&llvm_cbe_this->field11));
  llvm_cbe_tmp227 = (&llvm_cbe_this->field23);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp220, llvm_cbe_tmp16_2e_i464))) {
    goto llvm_cbe_bb225;
  } else {
    goto llvm_cbe_bb230;
  }

llvm_cbe_bb225:
  *llvm_cbe_tmp227 = 0u;
  *((&llvm_cbe_this->field17)) = 0x0p+0;
  goto llvm_cbe_bb235;

llvm_cbe_bb230:
  *llvm_cbe_tmp227 = 2u;
  *((&llvm_cbe_this->field20)) = 0x0p+0;
  goto llvm_cbe_bb235;

llvm_cbe_bb235:
  llvm_cbe_tmp13_2e_i404 = *llvm_cbe_tmp5_2e_i470;
  llvm_cbe_tmp15_2e_i406 = ((float )((((float )(llvm_cbe_tmp45893 * llvm_cbe_tmp6_2e_i397_2e_rle1159))) - (((float )(llvm_cbe_tmp48897 * llvm_cbe_tmp13_2e_i404)))));
  llvm_cbe_tmp13_2e_i385 = *llvm_cbe_tmp5_2e_i453;
  llvm_cbe_tmp15_2e_i387 = ((float )((((float )(llvm_cbe_tmp68907 * llvm_cbe_tmp6_2e_i378_2e_rle1162))) - (((float )(llvm_cbe_tmp71911 * llvm_cbe_tmp13_2e_i385)))));
  llvm_cbe_tmp243 = (&llvm_cbe_tmp21->field16);
  llvm_cbe_tmp244 = *llvm_cbe_tmp243;
  llvm_cbe_tmp246 = (&llvm_cbe_tmp21->field18);
  llvm_cbe_tmp247 = *llvm_cbe_tmp246;
  llvm_cbe_tmp252 = ((float )(llvm_cbe_tmp244 + (((float )((((float )(llvm_cbe_tmp247 * llvm_cbe_tmp15_2e_i406))) * llvm_cbe_tmp15_2e_i406)))));
  llvm_cbe_tmp254 = (&llvm_cbe_this->field13);
  *llvm_cbe_tmp254 = llvm_cbe_tmp252;
  llvm_cbe_tmp256 = (&llvm_cbe_tmp25->field16);
  llvm_cbe_tmp257 = *llvm_cbe_tmp256;
  llvm_cbe_tmp259 = (&llvm_cbe_tmp25->field18);
  llvm_cbe_tmp260 = *llvm_cbe_tmp259;
  llvm_cbe_tmp265 = ((float )(llvm_cbe_tmp257 + (((float )((((float )(llvm_cbe_tmp260 * llvm_cbe_tmp15_2e_i387))) * llvm_cbe_tmp15_2e_i387)))));
  llvm_cbe_tmp267 = (&llvm_cbe_this->field14);
  *llvm_cbe_tmp267 = llvm_cbe_tmp265;
  llvm_cbe_tmp282 = ((float )(llvm_cbe_tmp252 + (((float )((((float )(llvm_cbe_tmp181 * llvm_cbe_tmp181))) * llvm_cbe_tmp265)))));
  llvm_cbe_tmp284 = (&llvm_cbe_this->field12);
  *llvm_cbe_tmp284 = llvm_cbe_tmp282;
  if ((llvm_fcmp_ule(llvm_cbe_tmp252, 0x1p-23))) {
    goto llvm_cbe_bb291;
  } else {
    goto llvm_cbe_bb295;
  }

llvm_cbe_bb291:
  __assert_fail(((&_2E_str221[((signed long long )0ull)])), ((&_2E_str1222[((signed long long )0ull)])), 166u, ((&_ZZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb295:
  if ((llvm_fcmp_ule(llvm_cbe_tmp265, 0x1p-23))) {
    goto llvm_cbe_bb302;
  } else {
    goto llvm_cbe_bb306;
  }

llvm_cbe_bb302:
  __assert_fail(((&_2E_str2223[((signed long long )0ull)])), ((&_2E_str1222[((signed long long )0ull)])), 167u, ((&_ZZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb306:
  if ((llvm_fcmp_ule(llvm_cbe_tmp282, 0x1p-23))) {
    goto llvm_cbe_bb313;
  } else {
    goto llvm_cbe_bb317;
  }

llvm_cbe_bb313:
  __assert_fail(((&_2E_str3224[((signed long long )0ull)])), ((&_2E_str1222[((signed long long )0ull)])), 168u, ((&_ZZN13b2PulleyJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb317:
  *llvm_cbe_tmp254 = (((float )(0x1p+0 / llvm_cbe_tmp252)));
  *llvm_cbe_tmp267 = (((float )(0x1p+0 / llvm_cbe_tmp265)));
  *llvm_cbe_tmp284 = (((float )(0x1p+0 / llvm_cbe_tmp282)));
  llvm_cbe_tmp338 = *((&llvm_cbe_step->field4));
  if ((llvm_cbe_tmp338 == ((unsigned char )0))) {
    goto llvm_cbe_bb437;
  } else {
    goto llvm_cbe_bb340;
  }

llvm_cbe_bb340:
  llvm_cbe_tmp345 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp348 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp352 = *((&llvm_cbe_this->field16));
  llvm_cbe_tmp354 = ((float )(llvm_cbe_tmp345 * (((float )((((float )(-(llvm_cbe_tmp348)))) - llvm_cbe_tmp352)))));
  llvm_cbe_tmp3_2e_i337 = *llvm_cbe_tmp131;
  llvm_cbe_tmp22_2e_i362103510361037_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3591028__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i404 * llvm_cbe_tmp354))), llvm_cbe_tmp19_2e_i3591028__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3621035__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i337 * llvm_cbe_tmp354))), llvm_cbe_tmp22_2e_i3621035__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i3651027 = (llvm_cbe_tmp25_2e_i3651027__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i362103510361037_2e_ins)), llvm_cbe_tmp25_2e_i3651027__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i3681033 = (llvm_cbe_tmp28_2e_i3681033__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i362103510361037_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3681033__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp378 = *((&llvm_cbe_this->field17));
  llvm_cbe_tmp380 = ((float )(llvm_cbe_tmp345 * (((float )((((float )(llvm_cbe_tmp348 * (((float )(-(llvm_cbe_tmp181))))))) - llvm_cbe_tmp378)))));
  llvm_cbe_tmp3_2e_i292 = *llvm_cbe_tmp141;
  llvm_cbe_tmp22_2e_i317102110221023_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3141014__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i385 * llvm_cbe_tmp380))), llvm_cbe_tmp19_2e_i3141014__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3171021__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i292 * llvm_cbe_tmp380))), llvm_cbe_tmp22_2e_i3171021__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i3201013 = (llvm_cbe_tmp25_2e_i3201013__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i317102110221023_2e_ins)), llvm_cbe_tmp25_2e_i3201013__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i3231019 = (llvm_cbe_tmp28_2e_i3231019__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i317102110221023_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3231019__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp391 = *llvm_cbe_tmp243;
  llvm_cbe_tmp22_2e_i272100710081009_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i2691000__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i3651027 * llvm_cbe_tmp391))), llvm_cbe_tmp19_2e_i2691000__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i2721007__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i3681033 * llvm_cbe_tmp391))), llvm_cbe_tmp22_2e_i2721007__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i218 = (&llvm_cbe_tmp21->field4.field0);
  llvm_cbe_tmp2_2e_i219 = *llvm_cbe_tmp1_2e_i218;
  *llvm_cbe_tmp1_2e_i218 = (((float )(llvm_cbe_tmp2_2e_i219 + ((llvm_cbe_tmp25_2e_i275999__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i272100710081009_2e_ins)), llvm_cbe_tmp25_2e_i275999__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i227 = (&llvm_cbe_tmp21->field4.field1);
  llvm_cbe_tmp11_2e_i228 = *llvm_cbe_tmp10_2e_i227;
  *llvm_cbe_tmp10_2e_i227 = (((float )(llvm_cbe_tmp11_2e_i228 + ((llvm_cbe_tmp28_2e_i2781005__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i272100710081009_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i2781005__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp403 = (&llvm_cbe_tmp21->field5);
  llvm_cbe_tmp404 = *llvm_cbe_tmp403;
  llvm_cbe_tmp407 = *llvm_cbe_tmp246;
  *llvm_cbe_tmp403 = (((float )(llvm_cbe_tmp404 + (((float )(llvm_cbe_tmp407 * (((float )((((float )(llvm_cbe_tmp45893 * llvm_cbe_tmp28_2e_i3681033))) - (((float )(llvm_cbe_tmp48897 * llvm_cbe_tmp25_2e_i3651027))))))))))));
  llvm_cbe_tmp415 = *llvm_cbe_tmp256;
  llvm_cbe_tmp22_2e_i993994995_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i986__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i3201013 * llvm_cbe_tmp415))), llvm_cbe_tmp19_2e_i986__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i993__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i3231019 * llvm_cbe_tmp415))), llvm_cbe_tmp22_2e_i993__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i161 = (&llvm_cbe_tmp25->field4.field0);
  llvm_cbe_tmp2_2e_i162 = *llvm_cbe_tmp1_2e_i161;
  *llvm_cbe_tmp1_2e_i161 = (((float )(llvm_cbe_tmp2_2e_i162 + ((llvm_cbe_tmp25_2e_i985__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i993994995_2e_ins)), llvm_cbe_tmp25_2e_i985__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i170 = (&llvm_cbe_tmp25->field4.field1);
  llvm_cbe_tmp11_2e_i171 = *llvm_cbe_tmp10_2e_i170;
  *llvm_cbe_tmp10_2e_i170 = (((float )(llvm_cbe_tmp11_2e_i171 + ((llvm_cbe_tmp28_2e_i991__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i993994995_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i991__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp427 = (&llvm_cbe_tmp25->field5);
  llvm_cbe_tmp428 = *llvm_cbe_tmp427;
  llvm_cbe_tmp431 = *llvm_cbe_tmp259;
  *llvm_cbe_tmp427 = (((float )(llvm_cbe_tmp428 + (((float )(llvm_cbe_tmp431 * (((float )((((float )(llvm_cbe_tmp68907 * llvm_cbe_tmp28_2e_i3231019))) - (((float )(llvm_cbe_tmp71911 * llvm_cbe_tmp25_2e_i3201013))))))))))));
  return;
llvm_cbe_bb437:
  *((&llvm_cbe_this->field15)) = 0x0p+0;
  *((&llvm_cbe_this->field16)) = 0x0p+0;
  *((&llvm_cbe_this->field17)) = 0x0p+0;
  return;
}


static unsigned char _ZN13b2PulleyJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2PulleyJoint *llvm_cbe_this) {
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i757_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i1321_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp21;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp29;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp42;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp45;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp51;
  struct l_struct_2E_b2Body *llvm_cbe_tmp55;
  struct l_struct_2E_b2Body *llvm_cbe_tmp60;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i1862__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i1869__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i186918701871_2e_ins;
  float llvm_cbe_tmp29_2e_i1861;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1861__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i1867;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1867__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i562;
  float llvm_cbe_tmp13_2e_i569;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5851946__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5881953__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i588195319541955_2e_ins;
  float llvm_cbe_tmp29_2e_i5911945;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5911945__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i5941951;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5941951__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp88;
  float llvm_cbe_tmp3_2e_i991;
  float llvm_cbe_tmp6_2e_i994;
  float llvm_cbe_tmp10_2e_i998;
  float llvm_cbe_tmp13_2e_i1001;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10172030__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10202037__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1020203720382039_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i10232029__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i10262035__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp106;
  float llvm_cbe_tmp1101699;
  llvmBitCastUnion llvm_cbe_tmp1101699__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1131703;
  llvmBitCastUnion llvm_cbe_tmp1131703__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1639;
  float llvm_cbe_tmp6_2e_i1642;
  float llvm_cbe_tmp10_2e_i1646;
  float llvm_cbe_tmp13_2e_i1649;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i16652156__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i16682163__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1668216321642165_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i16712155__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i16742161__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp129;
  float llvm_cbe_tmp1331713;
  llvmBitCastUnion llvm_cbe_tmp1331713__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1361717;
  llvmBitCastUnion llvm_cbe_tmp1361717__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i1583;
  float llvm_cbe_tmp3_2e_i1584;
  float *llvm_cbe_tmp9_2e_i1590;
  float llvm_cbe_tmp10_2e_i1591;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i16102142__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i16132149__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1613214921502151_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i16162141__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i16192147__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i1534;
  float llvm_cbe_tmp3_2e_i1535;
  float *llvm_cbe_tmp9_2e_i1541;
  float llvm_cbe_tmp10_2e_i1542;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i15612128__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i15642135__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1564213521362137_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i15672127__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i15702133__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i15122114__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i15152121__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1515212121222123_2e_ins;
  float llvm_cbe_tmp29_2e_i15182113;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i15182113__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i15212119__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp163;
  float *llvm_cbe_tmp166;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i14632100__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i14662107__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1466210721082109_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i14692099__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i14722105__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp173;
  float *llvm_cbe_tmp176;
  float *llvm_cbe_tmp5_2e_i1412;
  float llvm_cbe_tmp6_2e_i1413;
  float *llvm_cbe_tmp9_2e_i1416;
  float llvm_cbe_tmp10_2e_i1417;
  float llvm_cbe_tmp16_2e_i1423;
  float llvm_cbe_tmp3_2e_i1392;
  float *llvm_cbe_tmp5_2e_i1394;
  float llvm_cbe_tmp6_2e_i1395;
  float *llvm_cbe_tmp9_2e_i1398;
  float llvm_cbe_tmp10_2e_i1399;
  float llvm_cbe_tmp16_2e_i1405;
  float llvm_cbe_tmp191;
  float llvm_cbe_tmp2_2e_i1377;
  float llvm_cbe_tmp9_2e_i1384;
  float llvm_cbe_tmp11_2e_i1386;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_tmp204;
  float llvm_cbe_tmp2_2e_i1357;
  float llvm_cbe_tmp9_2e_i1364;
  float llvm_cbe_tmp11_2e_i1366;
  float llvm_cbe_storemerge2169;
  float llvm_cbe_storemerge2169__PHI_TEMPORARY;
  float llvm_cbe_tmp213;
  float llvm_cbe_tmp218;
  float llvm_cbe_tmp221;
  float llvm_cbe_tmp223;
  float llvm_cbe_storemerge_2e_i1346;
  float llvm_cbe_tmp229;
  float llvm_cbe_storemerge_2e_i_2e_i1321_2e_reload2172;
  float llvm_cbe_storemerge_2e_i11_2e_i1332;
  float llvm_cbe_storemerge_2e_i11_2e_i1332__PHI_TEMPORARY;
  float llvm_cbe_tmp233;
  float *llvm_cbe_tmp238;
  float llvm_cbe_tmp239;
  float llvm_cbe_tmp244;
  float llvm_cbe_storemerge_2e_i1299;
  float llvm_cbe_tmp252;
  float llvm_cbe_tmp256;
  float llvm_cbe_tmp3_2e_i1256;
  float llvm_cbe_tmp8_2e_i1261;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i12782086__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i12812093__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1281209320942095_2e_ins;
  float llvm_cbe_tmp25_2e_i12842085;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i12842085__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i12872091;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i12872091__BITCAST_TEMPORARY;
  float llvm_cbe_tmp272;
  float llvm_cbe_tmp3_2e_i1211;
  float llvm_cbe_tmp8_2e_i1216;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i12332072__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i12362079__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1236207920802081_2e_ins;
  float llvm_cbe_tmp25_2e_i12392071;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i12392071__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i12422077;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i12422077__BITCAST_TEMPORARY;
  float llvm_cbe_tmp283;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i11882058__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i11912065__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1191206520662067_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i11942057__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i11972063__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i1138;
  float llvm_cbe_tmp11_2e_i1147;
  float *llvm_cbe_tmp297;
  float llvm_cbe_tmp298;
  float llvm_cbe_tmp301;
  float llvm_cbe_tmp310;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i11042044__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i11072051__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1107205120522053_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i11102043__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i11132049__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i1054;
  float llvm_cbe_tmp11_2e_i1063;
  float *llvm_cbe_tmp324;
  float llvm_cbe_tmp325;
  float llvm_cbe_tmp328;
  float llvm_cbe_linearError_2e_0;
  float llvm_cbe_linearError_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp340;
  float llvm_cbe_tmp3_2e_i939;
  float llvm_cbe_tmp6_2e_i942;
  float llvm_cbe_tmp10_2e_i946;
  float llvm_cbe_tmp13_2e_i949;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i9652016__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i9682023__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i968202320242025_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i9712015__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i9742021__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp360;
  float llvm_cbe_tmp3641783;
  llvmBitCastUnion llvm_cbe_tmp3641783__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3671787;
  llvmBitCastUnion llvm_cbe_tmp3671787__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i883;
  float llvm_cbe_tmp3_2e_i884;
  float *llvm_cbe_tmp9_2e_i890;
  float llvm_cbe_tmp10_2e_i891;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i9102002__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i9132009__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i913200920102011_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i9162001__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i9192007__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8611988__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8641995__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i864199519961997_2e_ins;
  float llvm_cbe_tmp29_2e_i8671987;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8671987__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8701993__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp383;
  float *llvm_cbe_tmp386;
  float *llvm_cbe_tmp5_2e_i810;
  float llvm_cbe_tmp6_2e_i811;
  float *llvm_cbe_tmp9_2e_i814;
  float llvm_cbe_tmp10_2e_i815;
  float llvm_cbe_tmp16_2e_i821;
  float llvm_cbe_tmp398;
  float llvm_cbe_tmp2_2e_i793;
  float llvm_cbe_tmp9_2e_i800;
  float llvm_cbe_tmp11_2e_i802;
  float llvm_cbe_storemerge2170;
  float llvm_cbe_storemerge2170__PHI_TEMPORARY;
  float llvm_cbe_tmp407;
  float llvm_cbe_tmp409;
  float llvm_cbe_tmp411;
  float llvm_cbe_storemerge_2e_i782;
  float llvm_cbe_tmp417;
  float llvm_cbe_storemerge_2e_i_2e_i757_2e_reload2175;
  float llvm_cbe_storemerge_2e_i11_2e_i768;
  float llvm_cbe_storemerge_2e_i11_2e_i768__PHI_TEMPORARY;
  float llvm_cbe_tmp421;
  float *llvm_cbe_tmp426;
  float llvm_cbe_tmp427;
  float llvm_cbe_tmp432;
  float llvm_cbe_storemerge_2e_i735;
  float llvm_cbe_tmp444;
  float llvm_cbe_tmp3_2e_i692;
  float llvm_cbe_tmp8_2e_i697;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i7141974__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i7171981__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i717198119821983_2e_ins;
  float llvm_cbe_tmp25_2e_i7201973;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i7201973__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i7231979;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i7231979__BITCAST_TEMPORARY;
  float llvm_cbe_tmp455;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6691960__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6721967__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i672196719681969_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6751959__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6781965__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i619;
  float llvm_cbe_tmp11_2e_i628;
  float *llvm_cbe_tmp469;
  float llvm_cbe_tmp470;
  float llvm_cbe_tmp473;
  float llvm_cbe_linearError_2e_1;
  float llvm_cbe_linearError_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp484;
  float llvm_cbe_tmp3_2e_i508;
  float llvm_cbe_tmp6_2e_i511;
  float llvm_cbe_tmp10_2e_i515;
  float llvm_cbe_tmp13_2e_i518;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5341932__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5371939__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i537193919401941_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5401931__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5431937__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp504;
  float llvm_cbe_tmp5081825;
  llvmBitCastUnion llvm_cbe_tmp5081825__BITCAST_TEMPORARY;
  float llvm_cbe_tmp5111829;
  llvmBitCastUnion llvm_cbe_tmp5111829__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i452;
  float llvm_cbe_tmp3_2e_i453;
  float *llvm_cbe_tmp9_2e_i459;
  float llvm_cbe_tmp10_2e_i460;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4791918__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i4821925__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i482192519261927_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i4851917__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i4881923__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4301904__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i4331911__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i433191119121913_2e_ins;
  float llvm_cbe_tmp29_2e_i4361903;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i4361903__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i4391909__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp527;
  float *llvm_cbe_tmp530;
  float *llvm_cbe_tmp5_2e_i380;
  float llvm_cbe_tmp6_2e_i381;
  float *llvm_cbe_tmp9_2e_i384;
  float llvm_cbe_tmp10_2e_i385;
  float llvm_cbe_tmp16_2e_i391;
  float llvm_cbe_tmp542;
  float llvm_cbe_tmp2_2e_i363;
  float llvm_cbe_tmp9_2e_i370;
  float llvm_cbe_tmp11_2e_i372;
  float llvm_cbe_storemerge2171;
  float llvm_cbe_storemerge2171__PHI_TEMPORARY;
  float llvm_cbe_tmp551;
  float llvm_cbe_tmp553;
  float llvm_cbe_tmp555;
  float llvm_cbe_storemerge_2e_i352;
  float llvm_cbe_tmp561;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reload2178;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp565;
  float *llvm_cbe_tmp570;
  float llvm_cbe_tmp571;
  float llvm_cbe_tmp576;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp588;
  float llvm_cbe_tmp3_2e_i292;
  float llvm_cbe_tmp8_2e_i297;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3141890__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3171897__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i317189718981899_2e_ins;
  float llvm_cbe_tmp25_2e_i3201889;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3201889__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i3231895;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3231895__BITCAST_TEMPORARY;
  float llvm_cbe_tmp599;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i2701876__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i2731883__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i273188318841885_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i2761875__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i2791881__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i221;
  float llvm_cbe_tmp11_2e_i230;
  float *llvm_cbe_tmp613;
  float llvm_cbe_tmp614;
  float llvm_cbe_tmp617;
  float llvm_cbe_linearError_2e_2;
  float llvm_cbe_linearError_2e_2__PHI_TEMPORARY;

  llvm_cbe_tmp51 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp55 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp60 = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp60->field2.field0.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_tmp60->field2.field0.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp26_2e_i186918701871_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i1862__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i1862__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i1869__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i1869__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i1861 = (llvm_cbe_tmp29_2e_i1861__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i186918701871_2e_ins)), llvm_cbe_tmp29_2e_i1861__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i1867 = (llvm_cbe_tmp32_2e_i1867__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i186918701871_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1867__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp6_2e_i562 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp13_2e_i569 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp26_2e_i588195319541955_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5851946__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + llvm_cbe_tmp13_2e_i569))), llvm_cbe_tmp23_2e_i5851946__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5881953__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + llvm_cbe_tmp6_2e_i562))), llvm_cbe_tmp26_2e_i5881953__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i5911945 = (llvm_cbe_tmp29_2e_i5911945__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i588195319541955_2e_ins)), llvm_cbe_tmp29_2e_i5911945__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i5941951 = (llvm_cbe_tmp32_2e_i5941951__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i588195319541955_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5941951__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp88 = *((&llvm_cbe_this->field21));
  if ((llvm_cbe_tmp88 == 2u)) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_linearError_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe_bb337;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i991 = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp6_2e_i994 = *((&llvm_cbe_tmp51->field3.field0.field1));
  llvm_cbe_tmp10_2e_i998 = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp13_2e_i1001 = *((&llvm_cbe_tmp51->field3.field0.field0));
  llvm_cbe_tmp26_2e_i1020203720382039_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i10172030__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i998 - llvm_cbe_tmp13_2e_i1001))), llvm_cbe_tmp23_2e_i10172030__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i10202037__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i991 - llvm_cbe_tmp6_2e_i994))), llvm_cbe_tmp26_2e_i10202037__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp45.field0)) = ((llvm_cbe_tmp29_2e_i10232029__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1020203720382039_2e_ins)), llvm_cbe_tmp29_2e_i10232029__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp45.field1)) = ((llvm_cbe_tmp32_2e_i10262035__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1020203720382039_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i10262035__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp106 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp51->field2.field1)), (&llvm_cbe_tmp45));
  llvm_cbe_tmp1101699 = (llvm_cbe_tmp1101699__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp106)), llvm_cbe_tmp1101699__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1131703 = (llvm_cbe_tmp1131703__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp106) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1131703__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i1639 = *((&llvm_cbe_this->field5.field1));
  llvm_cbe_tmp6_2e_i1642 = *((&llvm_cbe_tmp55->field3.field0.field1));
  llvm_cbe_tmp10_2e_i1646 = *((&llvm_cbe_this->field5.field0));
  llvm_cbe_tmp13_2e_i1649 = *((&llvm_cbe_tmp55->field3.field0.field0));
  llvm_cbe_tmp26_2e_i1668216321642165_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i16652156__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1646 - llvm_cbe_tmp13_2e_i1649))), llvm_cbe_tmp23_2e_i16652156__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i16682163__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1639 - llvm_cbe_tmp6_2e_i1642))), llvm_cbe_tmp26_2e_i16682163__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp42.field0)) = ((llvm_cbe_tmp29_2e_i16712155__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1668216321642165_2e_ins)), llvm_cbe_tmp29_2e_i16712155__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp42.field1)) = ((llvm_cbe_tmp32_2e_i16742161__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1668216321642165_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i16742161__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp129 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp55->field2.field1)), (&llvm_cbe_tmp42));
  llvm_cbe_tmp1331713 = (llvm_cbe_tmp1331713__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp129)), llvm_cbe_tmp1331713__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1361717 = (llvm_cbe_tmp1361717__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp129) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1361717__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i1583 = (&llvm_cbe_tmp51->field3.field2.field1);
  llvm_cbe_tmp3_2e_i1584 = *llvm_cbe_tmp2_2e_i1583;
  llvm_cbe_tmp9_2e_i1590 = (&llvm_cbe_tmp51->field3.field2.field0);
  llvm_cbe_tmp10_2e_i1591 = *llvm_cbe_tmp9_2e_i1590;
  llvm_cbe_tmp26_2e_i1613214921502151_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i16102142__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1591 + llvm_cbe_tmp1101699))), llvm_cbe_tmp23_2e_i16102142__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i16132149__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1584 + llvm_cbe_tmp1131703))), llvm_cbe_tmp26_2e_i16132149__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1534 = (&llvm_cbe_tmp55->field3.field2.field1);
  llvm_cbe_tmp3_2e_i1535 = *llvm_cbe_tmp2_2e_i1534;
  llvm_cbe_tmp9_2e_i1541 = (&llvm_cbe_tmp55->field3.field2.field0);
  llvm_cbe_tmp10_2e_i1542 = *llvm_cbe_tmp9_2e_i1541;
  llvm_cbe_tmp26_2e_i1564213521362137_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i15612128__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1542 + llvm_cbe_tmp1331713))), llvm_cbe_tmp23_2e_i15612128__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i15642135__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1535 + llvm_cbe_tmp1361717))), llvm_cbe_tmp26_2e_i15642135__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1515212121222123_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i15122114__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i16162141__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1613214921502151_2e_ins)), llvm_cbe_tmp29_2e_i16162141__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp29_2e_i1861))), llvm_cbe_tmp23_2e_i15122114__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i15152121__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i16192147__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1613214921502151_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i16192147__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp32_2e_i1867))), llvm_cbe_tmp26_2e_i15152121__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i15182113 = (llvm_cbe_tmp29_2e_i15182113__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1515212121222123_2e_ins)), llvm_cbe_tmp29_2e_i15182113__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp163 = (&llvm_cbe_this->field6.field0);
  *llvm_cbe_tmp163 = llvm_cbe_tmp29_2e_i15182113;
  llvm_cbe_tmp166 = (&llvm_cbe_this->field6.field1);
  *llvm_cbe_tmp166 = ((llvm_cbe_tmp32_2e_i15212119__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1515212121222123_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i15212119__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp26_2e_i1466210721082109_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i14632100__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i15672127__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1564213521362137_2e_ins)), llvm_cbe_tmp29_2e_i15672127__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp29_2e_i5911945))), llvm_cbe_tmp23_2e_i14632100__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i14662107__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i15702133__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1564213521362137_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i15702133__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp32_2e_i5941951))), llvm_cbe_tmp26_2e_i14662107__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp173 = (&llvm_cbe_this->field7.field0);
  *llvm_cbe_tmp173 = ((llvm_cbe_tmp29_2e_i14692099__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1466210721082109_2e_ins)), llvm_cbe_tmp29_2e_i14692099__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp176 = (&llvm_cbe_this->field7.field1);
  *llvm_cbe_tmp176 = ((llvm_cbe_tmp32_2e_i14722105__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1466210721082109_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i14722105__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp5_2e_i1412 = (&llvm_cbe_this->field6.field0);
  llvm_cbe_tmp6_2e_i1413 = *llvm_cbe_tmp5_2e_i1412;
  llvm_cbe_tmp9_2e_i1416 = (&llvm_cbe_this->field6.field1);
  llvm_cbe_tmp10_2e_i1417 = *llvm_cbe_tmp9_2e_i1416;
  llvm_cbe_tmp16_2e_i1423 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i15182113 * llvm_cbe_tmp6_2e_i1413))) + (((float )(llvm_cbe_tmp10_2e_i1417 * llvm_cbe_tmp10_2e_i1417)))))));
  llvm_cbe_tmp3_2e_i1392 = *llvm_cbe_tmp173;
  llvm_cbe_tmp5_2e_i1394 = (&llvm_cbe_this->field7.field0);
  llvm_cbe_tmp6_2e_i1395 = *llvm_cbe_tmp5_2e_i1394;
  llvm_cbe_tmp9_2e_i1398 = (&llvm_cbe_this->field7.field1);
  llvm_cbe_tmp10_2e_i1399 = *llvm_cbe_tmp9_2e_i1398;
  llvm_cbe_tmp16_2e_i1405 = sqrtf((((float )((((float )(llvm_cbe_tmp3_2e_i1392 * llvm_cbe_tmp6_2e_i1395))) + (((float )(llvm_cbe_tmp10_2e_i1399 * llvm_cbe_tmp10_2e_i1399)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i1423, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb189;
  } else {
    goto llvm_cbe_bb194;
  }

llvm_cbe_bb189:
  llvm_cbe_tmp191 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i1423));
  llvm_cbe_tmp2_2e_i1377 = *llvm_cbe_tmp5_2e_i1412;
  *llvm_cbe_tmp5_2e_i1412 = (((float )(llvm_cbe_tmp2_2e_i1377 * llvm_cbe_tmp191)));
  llvm_cbe_tmp9_2e_i1384 = *llvm_cbe_tmp9_2e_i1416;
  llvm_cbe_tmp11_2e_i1386 = ((float )(llvm_cbe_tmp9_2e_i1384 * llvm_cbe_tmp191));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i1386;   /* for PHI node */
  goto llvm_cbe_bb197;

llvm_cbe_bb194:
  *llvm_cbe_tmp163 = 0x0p+0;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb197;

llvm_cbe_bb197:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i1416 = llvm_cbe_storemerge;
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i1405, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb202;
  } else {
    goto llvm_cbe_bb207;
  }

llvm_cbe_bb202:
  llvm_cbe_tmp204 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i1405));
  llvm_cbe_tmp2_2e_i1357 = *llvm_cbe_tmp5_2e_i1394;
  *llvm_cbe_tmp5_2e_i1394 = (((float )(llvm_cbe_tmp2_2e_i1357 * llvm_cbe_tmp204)));
  llvm_cbe_tmp9_2e_i1364 = *llvm_cbe_tmp9_2e_i1398;
  llvm_cbe_tmp11_2e_i1366 = ((float )(llvm_cbe_tmp9_2e_i1364 * llvm_cbe_tmp204));
  llvm_cbe_storemerge2169__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i1366;   /* for PHI node */
  goto llvm_cbe_bb210;

llvm_cbe_bb207:
  *llvm_cbe_tmp173 = 0x0p+0;
  llvm_cbe_storemerge2169__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb210;

llvm_cbe_bb210:
  llvm_cbe_storemerge2169 = llvm_cbe_storemerge2169__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i1398 = llvm_cbe_storemerge2169;
  llvm_cbe_tmp213 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp218 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp221 = ((float )((((float )(llvm_cbe_tmp213 - llvm_cbe_tmp16_2e_i1423))) - (((float )(llvm_cbe_tmp218 * llvm_cbe_tmp16_2e_i1405)))));
  llvm_cbe_tmp223 = ((float )(-(llvm_cbe_tmp221)));
  llvm_cbe_storemerge_2e_i1346 = (((llvm_fcmp_olt(llvm_cbe_tmp223, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp223));
  llvm_cbe_tmp229 = ((float )(llvm_cbe_tmp221 + 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp229, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1327;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1327_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1327_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i1321_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i1331;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1327:
  *(&llvm_cbe_storemerge_2e_i_2e_i1321_2e_reg2mem) = llvm_cbe_tmp229;
  if ((llvm_fcmp_olt(llvm_cbe_tmp229, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i1332__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1335;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i1331;
  }

llvm_cbe_bb6_2e_i10_2e_i1331:
  llvm_cbe_storemerge_2e_i_2e_i1321_2e_reload2172 = *(&llvm_cbe_storemerge_2e_i_2e_i1321_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i1332__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i1321_2e_reload2172;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1335;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1335:
  llvm_cbe_storemerge_2e_i11_2e_i1332 = llvm_cbe_storemerge_2e_i11_2e_i1332__PHI_TEMPORARY;
  llvm_cbe_tmp233 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp238 = (&llvm_cbe_this->field18);
  llvm_cbe_tmp239 = *llvm_cbe_tmp238;
  llvm_cbe_tmp244 = ((float )(llvm_cbe_tmp239 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i1332 * (((float )(-(llvm_cbe_tmp233)))))))));
  llvm_cbe_storemerge_2e_i1299 = (((llvm_fcmp_olt(llvm_cbe_tmp244, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp244));
  *llvm_cbe_tmp238 = llvm_cbe_storemerge_2e_i1299;
  llvm_cbe_tmp252 = ((float )(llvm_cbe_storemerge_2e_i1299 - llvm_cbe_tmp239));
  llvm_cbe_tmp256 = ((float )(-(llvm_cbe_tmp252)));
  llvm_cbe_tmp3_2e_i1256 = *llvm_cbe_tmp166;
  llvm_cbe_tmp8_2e_i1261 = *llvm_cbe_tmp5_2e_i1412;
  llvm_cbe_tmp22_2e_i1281209320942095_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i12782086__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i1261 * llvm_cbe_tmp256))), llvm_cbe_tmp19_2e_i12782086__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i12812093__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1256 * llvm_cbe_tmp256))), llvm_cbe_tmp22_2e_i12812093__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i12842085 = (llvm_cbe_tmp25_2e_i12842085__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1281209320942095_2e_ins)), llvm_cbe_tmp25_2e_i12842085__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i12872091 = (llvm_cbe_tmp28_2e_i12872091__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1281209320942095_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i12872091__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp272 = ((float )(llvm_cbe_tmp252 * (((float )(-(llvm_cbe_tmp218))))));
  llvm_cbe_tmp3_2e_i1211 = *llvm_cbe_tmp176;
  llvm_cbe_tmp8_2e_i1216 = *llvm_cbe_tmp5_2e_i1394;
  llvm_cbe_tmp22_2e_i1236207920802081_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i12332072__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i1216 * llvm_cbe_tmp272))), llvm_cbe_tmp19_2e_i12332072__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i12362079__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1211 * llvm_cbe_tmp272))), llvm_cbe_tmp22_2e_i12362079__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i12392071 = (llvm_cbe_tmp25_2e_i12392071__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1236207920802081_2e_ins)), llvm_cbe_tmp25_2e_i12392071__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i12422077 = (llvm_cbe_tmp28_2e_i12422077__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1236207920802081_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i12422077__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp283 = *((&llvm_cbe_tmp51->field16));
  llvm_cbe_tmp22_2e_i1191206520662067_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i11882058__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i12842085 * llvm_cbe_tmp283))), llvm_cbe_tmp19_2e_i11882058__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i11912065__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i12872091 * llvm_cbe_tmp283))), llvm_cbe_tmp22_2e_i11912065__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1138 = *llvm_cbe_tmp9_2e_i1590;
  *llvm_cbe_tmp9_2e_i1590 = (((float )(llvm_cbe_tmp2_2e_i1138 + ((llvm_cbe_tmp25_2e_i11942057__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1191206520662067_2e_ins)), llvm_cbe_tmp25_2e_i11942057__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i1147 = *llvm_cbe_tmp2_2e_i1583;
  *llvm_cbe_tmp2_2e_i1583 = (((float )(llvm_cbe_tmp11_2e_i1147 + ((llvm_cbe_tmp28_2e_i11972063__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1191206520662067_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i11972063__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp297 = (&llvm_cbe_tmp51->field3.field4);
  llvm_cbe_tmp298 = *llvm_cbe_tmp297;
  llvm_cbe_tmp301 = *((&llvm_cbe_tmp51->field18));
  *llvm_cbe_tmp297 = (((float )(llvm_cbe_tmp298 + (((float )(llvm_cbe_tmp301 * (((float )((((float )(llvm_cbe_tmp1101699 * llvm_cbe_tmp28_2e_i12872091))) - (((float )(llvm_cbe_tmp1131703 * llvm_cbe_tmp25_2e_i12842085))))))))))));
  llvm_cbe_tmp310 = *((&llvm_cbe_tmp55->field16));
  llvm_cbe_tmp22_2e_i1107205120522053_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i11042044__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i12392071 * llvm_cbe_tmp310))), llvm_cbe_tmp19_2e_i11042044__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i11072051__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i12422077 * llvm_cbe_tmp310))), llvm_cbe_tmp22_2e_i11072051__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1054 = *llvm_cbe_tmp9_2e_i1541;
  *llvm_cbe_tmp9_2e_i1541 = (((float )(llvm_cbe_tmp2_2e_i1054 + ((llvm_cbe_tmp25_2e_i11102043__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1107205120522053_2e_ins)), llvm_cbe_tmp25_2e_i11102043__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i1063 = *llvm_cbe_tmp2_2e_i1534;
  *llvm_cbe_tmp2_2e_i1534 = (((float )(llvm_cbe_tmp11_2e_i1063 + ((llvm_cbe_tmp28_2e_i11132049__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1107205120522053_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i11132049__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp324 = (&llvm_cbe_tmp55->field3.field4);
  llvm_cbe_tmp325 = *llvm_cbe_tmp324;
  llvm_cbe_tmp328 = *((&llvm_cbe_tmp55->field18));
  *llvm_cbe_tmp324 = (((float )(llvm_cbe_tmp325 + (((float )(llvm_cbe_tmp328 * (((float )((((float )(llvm_cbe_tmp1331713 * llvm_cbe_tmp28_2e_i12422077))) - (((float )(llvm_cbe_tmp1361717 * llvm_cbe_tmp25_2e_i12392071))))))))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp51);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp55);
  llvm_cbe_linearError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i1346;   /* for PHI node */
  goto llvm_cbe_bb337;

llvm_cbe_bb337:
  llvm_cbe_linearError_2e_0 = llvm_cbe_linearError_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp340 = *((&llvm_cbe_this->field22));
  if ((llvm_cbe_tmp340 == 2u)) {
    goto llvm_cbe_bb344;
  } else {
    llvm_cbe_linearError_2e_1__PHI_TEMPORARY = llvm_cbe_linearError_2e_0;   /* for PHI node */
    goto llvm_cbe_bb481;
  }

llvm_cbe_bb344:
  llvm_cbe_tmp3_2e_i939 = *((&llvm_cbe_this->field4.field1));
  llvm_cbe_tmp6_2e_i942 = *((&llvm_cbe_tmp51->field3.field0.field1));
  llvm_cbe_tmp10_2e_i946 = *((&llvm_cbe_this->field4.field0));
  llvm_cbe_tmp13_2e_i949 = *((&llvm_cbe_tmp51->field3.field0.field0));
  llvm_cbe_tmp26_2e_i968202320242025_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i9652016__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i946 - llvm_cbe_tmp13_2e_i949))), llvm_cbe_tmp23_2e_i9652016__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i9682023__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i939 - llvm_cbe_tmp6_2e_i942))), llvm_cbe_tmp26_2e_i9682023__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp29.field0)) = ((llvm_cbe_tmp29_2e_i9712015__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i968202320242025_2e_ins)), llvm_cbe_tmp29_2e_i9712015__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp29.field1)) = ((llvm_cbe_tmp32_2e_i9742021__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i968202320242025_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i9742021__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp360 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp51->field2.field1)), (&llvm_cbe_tmp29));
  llvm_cbe_tmp3641783 = (llvm_cbe_tmp3641783__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp360)), llvm_cbe_tmp3641783__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3671787 = (llvm_cbe_tmp3671787__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp360) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3671787__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i883 = (&llvm_cbe_tmp51->field3.field2.field1);
  llvm_cbe_tmp3_2e_i884 = *llvm_cbe_tmp2_2e_i883;
  llvm_cbe_tmp9_2e_i890 = (&llvm_cbe_tmp51->field3.field2.field0);
  llvm_cbe_tmp10_2e_i891 = *llvm_cbe_tmp9_2e_i890;
  llvm_cbe_tmp26_2e_i913200920102011_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i9102002__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i891 + llvm_cbe_tmp3641783))), llvm_cbe_tmp23_2e_i9102002__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i9132009__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i884 + llvm_cbe_tmp3671787))), llvm_cbe_tmp26_2e_i9132009__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i864199519961997_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8611988__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i9162001__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i913200920102011_2e_ins)), llvm_cbe_tmp29_2e_i9162001__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp29_2e_i1861))), llvm_cbe_tmp23_2e_i8611988__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8641995__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i9192007__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i913200920102011_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i9192007__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp32_2e_i1867))), llvm_cbe_tmp26_2e_i8641995__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i8671987 = (llvm_cbe_tmp29_2e_i8671987__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i864199519961997_2e_ins)), llvm_cbe_tmp29_2e_i8671987__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp383 = (&llvm_cbe_this->field6.field0);
  *llvm_cbe_tmp383 = llvm_cbe_tmp29_2e_i8671987;
  llvm_cbe_tmp386 = (&llvm_cbe_this->field6.field1);
  *llvm_cbe_tmp386 = ((llvm_cbe_tmp32_2e_i8701993__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i864199519961997_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8701993__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp5_2e_i810 = (&llvm_cbe_this->field6.field0);
  llvm_cbe_tmp6_2e_i811 = *llvm_cbe_tmp5_2e_i810;
  llvm_cbe_tmp9_2e_i814 = (&llvm_cbe_this->field6.field1);
  llvm_cbe_tmp10_2e_i815 = *llvm_cbe_tmp9_2e_i814;
  llvm_cbe_tmp16_2e_i821 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i8671987 * llvm_cbe_tmp6_2e_i811))) + (((float )(llvm_cbe_tmp10_2e_i815 * llvm_cbe_tmp10_2e_i815)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i821, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb396;
  } else {
    goto llvm_cbe_bb401;
  }

llvm_cbe_bb396:
  llvm_cbe_tmp398 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i821));
  llvm_cbe_tmp2_2e_i793 = *llvm_cbe_tmp5_2e_i810;
  *llvm_cbe_tmp5_2e_i810 = (((float )(llvm_cbe_tmp2_2e_i793 * llvm_cbe_tmp398)));
  llvm_cbe_tmp9_2e_i800 = *llvm_cbe_tmp9_2e_i814;
  llvm_cbe_tmp11_2e_i802 = ((float )(llvm_cbe_tmp9_2e_i800 * llvm_cbe_tmp398));
  llvm_cbe_storemerge2170__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i802;   /* for PHI node */
  goto llvm_cbe_bb404;

llvm_cbe_bb401:
  *llvm_cbe_tmp383 = 0x0p+0;
  llvm_cbe_storemerge2170__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb404;

llvm_cbe_bb404:
  llvm_cbe_storemerge2170 = llvm_cbe_storemerge2170__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i814 = llvm_cbe_storemerge2170;
  llvm_cbe_tmp407 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp409 = ((float )(llvm_cbe_tmp407 - llvm_cbe_tmp16_2e_i821));
  llvm_cbe_tmp411 = ((float )(-(llvm_cbe_tmp409)));
  llvm_cbe_storemerge_2e_i782 = (((llvm_fcmp_ogt(llvm_cbe_linearError_2e_0, llvm_cbe_tmp411))) ? (llvm_cbe_linearError_2e_0) : (llvm_cbe_tmp411));
  llvm_cbe_tmp417 = ((float )(llvm_cbe_tmp409 + 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp417, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i763;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i763_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i763_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i757_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i767;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i763:
  *(&llvm_cbe_storemerge_2e_i_2e_i757_2e_reg2mem) = llvm_cbe_tmp417;
  if ((llvm_fcmp_olt(llvm_cbe_tmp417, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i768__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit771;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i767;
  }

llvm_cbe_bb6_2e_i10_2e_i767:
  llvm_cbe_storemerge_2e_i_2e_i757_2e_reload2175 = *(&llvm_cbe_storemerge_2e_i_2e_i757_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i768__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i757_2e_reload2175;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit771;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit771:
  llvm_cbe_storemerge_2e_i11_2e_i768 = llvm_cbe_storemerge_2e_i11_2e_i768__PHI_TEMPORARY;
  llvm_cbe_tmp421 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp426 = (&llvm_cbe_this->field19);
  llvm_cbe_tmp427 = *llvm_cbe_tmp426;
  llvm_cbe_tmp432 = ((float )(llvm_cbe_tmp427 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i768 * (((float )(-(llvm_cbe_tmp421)))))))));
  llvm_cbe_storemerge_2e_i735 = (((llvm_fcmp_olt(llvm_cbe_tmp432, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp432));
  *llvm_cbe_tmp426 = llvm_cbe_storemerge_2e_i735;
  llvm_cbe_tmp444 = ((float )(-((((float )(llvm_cbe_storemerge_2e_i735 - llvm_cbe_tmp427))))));
  llvm_cbe_tmp3_2e_i692 = *llvm_cbe_tmp386;
  llvm_cbe_tmp8_2e_i697 = *llvm_cbe_tmp5_2e_i810;
  llvm_cbe_tmp22_2e_i717198119821983_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i7141974__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i697 * llvm_cbe_tmp444))), llvm_cbe_tmp19_2e_i7141974__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i7171981__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i692 * llvm_cbe_tmp444))), llvm_cbe_tmp22_2e_i7171981__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i7201973 = (llvm_cbe_tmp25_2e_i7201973__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i717198119821983_2e_ins)), llvm_cbe_tmp25_2e_i7201973__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i7231979 = (llvm_cbe_tmp28_2e_i7231979__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i717198119821983_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i7231979__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp455 = *((&llvm_cbe_tmp51->field16));
  llvm_cbe_tmp22_2e_i672196719681969_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6691960__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i7201973 * llvm_cbe_tmp455))), llvm_cbe_tmp19_2e_i6691960__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6721967__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i7231979 * llvm_cbe_tmp455))), llvm_cbe_tmp22_2e_i6721967__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i619 = *llvm_cbe_tmp9_2e_i890;
  *llvm_cbe_tmp9_2e_i890 = (((float )(llvm_cbe_tmp2_2e_i619 + ((llvm_cbe_tmp25_2e_i6751959__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i672196719681969_2e_ins)), llvm_cbe_tmp25_2e_i6751959__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i628 = *llvm_cbe_tmp2_2e_i883;
  *llvm_cbe_tmp2_2e_i883 = (((float )(llvm_cbe_tmp11_2e_i628 + ((llvm_cbe_tmp28_2e_i6781965__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i672196719681969_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6781965__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp469 = (&llvm_cbe_tmp51->field3.field4);
  llvm_cbe_tmp470 = *llvm_cbe_tmp469;
  llvm_cbe_tmp473 = *((&llvm_cbe_tmp51->field18));
  *llvm_cbe_tmp469 = (((float )(llvm_cbe_tmp470 + (((float )(llvm_cbe_tmp473 * (((float )((((float )(llvm_cbe_tmp3641783 * llvm_cbe_tmp28_2e_i7231979))) - (((float )(llvm_cbe_tmp3671787 * llvm_cbe_tmp25_2e_i7201973))))))))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp51);
  llvm_cbe_linearError_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i782;   /* for PHI node */
  goto llvm_cbe_bb481;

llvm_cbe_bb481:
  llvm_cbe_linearError_2e_1 = llvm_cbe_linearError_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp484 = *((&llvm_cbe_this->field23));
  if ((llvm_cbe_tmp484 == 2u)) {
    goto llvm_cbe_bb488;
  } else {
    llvm_cbe_linearError_2e_2__PHI_TEMPORARY = llvm_cbe_linearError_2e_1;   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb488:
  llvm_cbe_tmp3_2e_i508 = *((&llvm_cbe_this->field5.field1));
  llvm_cbe_tmp6_2e_i511 = *((&llvm_cbe_tmp55->field3.field0.field1));
  llvm_cbe_tmp10_2e_i515 = *((&llvm_cbe_this->field5.field0));
  llvm_cbe_tmp13_2e_i518 = *((&llvm_cbe_tmp55->field3.field0.field0));
  llvm_cbe_tmp26_2e_i537193919401941_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5341932__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i515 - llvm_cbe_tmp13_2e_i518))), llvm_cbe_tmp23_2e_i5341932__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5371939__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i508 - llvm_cbe_tmp6_2e_i511))), llvm_cbe_tmp26_2e_i5371939__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp21.field0)) = ((llvm_cbe_tmp29_2e_i5401931__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i537193919401941_2e_ins)), llvm_cbe_tmp29_2e_i5401931__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp21.field1)) = ((llvm_cbe_tmp32_2e_i5431937__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i537193919401941_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5431937__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp504 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp55->field2.field1)), (&llvm_cbe_tmp21));
  llvm_cbe_tmp5081825 = (llvm_cbe_tmp5081825__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp504)), llvm_cbe_tmp5081825__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp5111829 = (llvm_cbe_tmp5111829__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp504) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp5111829__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i452 = (&llvm_cbe_tmp55->field3.field2.field1);
  llvm_cbe_tmp3_2e_i453 = *llvm_cbe_tmp2_2e_i452;
  llvm_cbe_tmp9_2e_i459 = (&llvm_cbe_tmp55->field3.field2.field0);
  llvm_cbe_tmp10_2e_i460 = *llvm_cbe_tmp9_2e_i459;
  llvm_cbe_tmp26_2e_i482192519261927_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4791918__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i460 + llvm_cbe_tmp5081825))), llvm_cbe_tmp23_2e_i4791918__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i4821925__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i453 + llvm_cbe_tmp5111829))), llvm_cbe_tmp26_2e_i4821925__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i433191119121913_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4301904__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i4851917__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i482192519261927_2e_ins)), llvm_cbe_tmp29_2e_i4851917__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp29_2e_i5911945))), llvm_cbe_tmp23_2e_i4301904__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i4331911__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i4881923__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i482192519261927_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i4881923__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp32_2e_i5941951))), llvm_cbe_tmp26_2e_i4331911__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i4361903 = (llvm_cbe_tmp29_2e_i4361903__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i433191119121913_2e_ins)), llvm_cbe_tmp29_2e_i4361903__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp527 = (&llvm_cbe_this->field7.field0);
  *llvm_cbe_tmp527 = llvm_cbe_tmp29_2e_i4361903;
  llvm_cbe_tmp530 = (&llvm_cbe_this->field7.field1);
  *llvm_cbe_tmp530 = ((llvm_cbe_tmp32_2e_i4391909__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i433191119121913_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i4391909__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp5_2e_i380 = (&llvm_cbe_this->field7.field0);
  llvm_cbe_tmp6_2e_i381 = *llvm_cbe_tmp5_2e_i380;
  llvm_cbe_tmp9_2e_i384 = (&llvm_cbe_this->field7.field1);
  llvm_cbe_tmp10_2e_i385 = *llvm_cbe_tmp9_2e_i384;
  llvm_cbe_tmp16_2e_i391 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i4361903 * llvm_cbe_tmp6_2e_i381))) + (((float )(llvm_cbe_tmp10_2e_i385 * llvm_cbe_tmp10_2e_i385)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i391, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb540;
  } else {
    goto llvm_cbe_bb545;
  }

llvm_cbe_bb540:
  llvm_cbe_tmp542 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i391));
  llvm_cbe_tmp2_2e_i363 = *llvm_cbe_tmp5_2e_i380;
  *llvm_cbe_tmp5_2e_i380 = (((float )(llvm_cbe_tmp2_2e_i363 * llvm_cbe_tmp542)));
  llvm_cbe_tmp9_2e_i370 = *llvm_cbe_tmp9_2e_i384;
  llvm_cbe_tmp11_2e_i372 = ((float )(llvm_cbe_tmp9_2e_i370 * llvm_cbe_tmp542));
  llvm_cbe_storemerge2171__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i372;   /* for PHI node */
  goto llvm_cbe_bb548;

llvm_cbe_bb545:
  *llvm_cbe_tmp527 = 0x0p+0;
  llvm_cbe_storemerge2171__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb548;

llvm_cbe_bb548:
  llvm_cbe_storemerge2171 = llvm_cbe_storemerge2171__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i384 = llvm_cbe_storemerge2171;
  llvm_cbe_tmp551 = *((&llvm_cbe_this->field11));
  llvm_cbe_tmp553 = ((float )(llvm_cbe_tmp551 - llvm_cbe_tmp16_2e_i391));
  llvm_cbe_tmp555 = ((float )(-(llvm_cbe_tmp553)));
  llvm_cbe_storemerge_2e_i352 = (((llvm_fcmp_ogt(llvm_cbe_linearError_2e_1, llvm_cbe_tmp555))) ? (llvm_cbe_linearError_2e_1) : (llvm_cbe_tmp555));
  llvm_cbe_tmp561 = ((float )(llvm_cbe_tmp553 + 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp561, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp561;
  if ((llvm_fcmp_olt(llvm_cbe_tmp561, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i;
  }

llvm_cbe_bb6_2e_i10_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload2178 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_reload2178;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit:
  llvm_cbe_storemerge_2e_i11_2e_i = llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp565 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp570 = (&llvm_cbe_this->field20);
  llvm_cbe_tmp571 = *llvm_cbe_tmp570;
  llvm_cbe_tmp576 = ((float )(llvm_cbe_tmp571 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i * (((float )(-(llvm_cbe_tmp565)))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp576, 0x0p+0))) ? (0x0p+0) : (llvm_cbe_tmp576));
  *llvm_cbe_tmp570 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp588 = ((float )(-((((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp571))))));
  llvm_cbe_tmp3_2e_i292 = *llvm_cbe_tmp530;
  llvm_cbe_tmp8_2e_i297 = *llvm_cbe_tmp5_2e_i380;
  llvm_cbe_tmp22_2e_i317189718981899_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3141890__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i297 * llvm_cbe_tmp588))), llvm_cbe_tmp19_2e_i3141890__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3171897__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i292 * llvm_cbe_tmp588))), llvm_cbe_tmp22_2e_i3171897__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i3201889 = (llvm_cbe_tmp25_2e_i3201889__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i317189718981899_2e_ins)), llvm_cbe_tmp25_2e_i3201889__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i3231895 = (llvm_cbe_tmp28_2e_i3231895__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i317189718981899_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3231895__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp599 = *((&llvm_cbe_tmp55->field16));
  llvm_cbe_tmp22_2e_i273188318841885_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i2701876__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i3201889 * llvm_cbe_tmp599))), llvm_cbe_tmp19_2e_i2701876__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i2731883__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i3231895 * llvm_cbe_tmp599))), llvm_cbe_tmp22_2e_i2731883__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i221 = *llvm_cbe_tmp9_2e_i459;
  *llvm_cbe_tmp9_2e_i459 = (((float )(llvm_cbe_tmp2_2e_i221 + ((llvm_cbe_tmp25_2e_i2761875__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i273188318841885_2e_ins)), llvm_cbe_tmp25_2e_i2761875__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i230 = *llvm_cbe_tmp2_2e_i452;
  *llvm_cbe_tmp2_2e_i452 = (((float )(llvm_cbe_tmp11_2e_i230 + ((llvm_cbe_tmp28_2e_i2791881__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i273188318841885_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i2791881__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp613 = (&llvm_cbe_tmp55->field3.field4);
  llvm_cbe_tmp614 = *llvm_cbe_tmp613;
  llvm_cbe_tmp617 = *((&llvm_cbe_tmp55->field18));
  *llvm_cbe_tmp613 = (((float )(llvm_cbe_tmp614 + (((float )(llvm_cbe_tmp617 * (((float )((((float )(llvm_cbe_tmp5081825 * llvm_cbe_tmp28_2e_i3231895))) - (((float )(llvm_cbe_tmp5111829 * llvm_cbe_tmp25_2e_i3201889))))))))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp55);
  llvm_cbe_linearError_2e_2__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i352;   /* for PHI node */
  goto llvm_cbe_return;

llvm_cbe_return:
  llvm_cbe_linearError_2e_2 = llvm_cbe_linearError_2e_2__PHI_TEMPORARY;
  return (((unsigned char )(bool )(llvm_fcmp_olt(llvm_cbe_linearError_2e_2, 0x1.47ae14p-8))));
}


static float _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(struct l_struct_2E_b2Jacobian *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_x1, float llvm_cbe_a1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, float llvm_cbe_a2) {
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp3_2e_i6;
  float llvm_cbe_tmp6_2e_i9;
  float llvm_cbe_tmp10_2e_i13;
  float llvm_cbe_tmp13_2e_i16;
  float llvm_cbe_tmp18;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field0.field0));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_x1->field0));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field0.field1));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_x1->field1));
  llvm_cbe_tmp7 = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp3_2e_i6 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp6_2e_i9 = *((&llvm_cbe_x2->field0));
  llvm_cbe_tmp10_2e_i13 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp13_2e_i16 = *((&llvm_cbe_x2->field1));
  llvm_cbe_tmp18 = *((&llvm_cbe_this->field3));
  return (((float )((((float )((((float )((((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp6_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp13_2e_i)))))) + (((float )(llvm_cbe_tmp7 * llvm_cbe_a1)))))) + (((float )((((float )(llvm_cbe_tmp3_2e_i6 * llvm_cbe_tmp6_2e_i9))) + (((float )(llvm_cbe_tmp10_2e_i13 * llvm_cbe_tmp13_2e_i16))))))))) + (((float )(llvm_cbe_tmp18 * llvm_cbe_a2))))));
}


static void _ZN11b2GearJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2GearJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  struct l_struct_2E_b2Body *llvm_cbe_tmp11;
  float *llvm_cbe_tmp13;
  float llvm_cbe_tmp14;
  float *llvm_cbe_tmp18;
  float llvm_cbe_tmp19;
  float llvm_cbe_tmp24;
  float llvm_cbe_tmp27;
  float llvm_cbe_tmp31;
  float llvm_cbe_tmp34;
  float *llvm_cbe_tmp36;
  float llvm_cbe_tmp37;
  float llvm_cbe_tmp44;
  float llvm_cbe_tmp46;
  float llvm_cbe_tmp52;
  float llvm_cbe_tmp54;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i177__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i184__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i184185186_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i176__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i182__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i142;
  float llvm_cbe_tmp2_2e_i143;
  float *llvm_cbe_tmp10_2e_i151;
  float llvm_cbe_tmp11_2e_i152;
  float llvm_cbe_tmp67;
  float llvm_cbe_tmp70;
  float llvm_cbe_tmp76;
  float llvm_cbe_tmp86;
  float llvm_cbe_tmp88;
  float llvm_cbe_tmp3_2e_i106;
  float llvm_cbe_tmp8_2e_i111;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i128191__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i131198__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i131198199200_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i134190__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i137196__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i77;
  float llvm_cbe_tmp2_2e_i78;
  float *llvm_cbe_tmp10_2e_i86;
  float llvm_cbe_tmp11_2e_i87;
  float llvm_cbe_tmp101;
  float llvm_cbe_tmp104;
  float llvm_cbe_tmp110;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp11 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp13 = (&llvm_cbe_tmp11->field5);
  llvm_cbe_tmp14 = *llvm_cbe_tmp13;
  llvm_cbe_tmp18 = (&llvm_cbe_tmp7->field5);
  llvm_cbe_tmp19 = *llvm_cbe_tmp18;
  llvm_cbe_tmp24 = _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(((&llvm_cbe_this->field11)), ((&llvm_cbe_tmp7->field4)), llvm_cbe_tmp19, ((&llvm_cbe_tmp11->field4)), llvm_cbe_tmp14);
  llvm_cbe_tmp27 = *((&llvm_cbe_step->field1));
  llvm_cbe_tmp31 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp34 = ((float )((((float )(llvm_cbe_tmp31 * (((float )(-(llvm_cbe_tmp27))))))) * llvm_cbe_tmp24));
  llvm_cbe_tmp36 = (&llvm_cbe_this->field15);
  llvm_cbe_tmp37 = *llvm_cbe_tmp36;
  *llvm_cbe_tmp36 = (((float )(llvm_cbe_tmp37 + llvm_cbe_tmp34)));
  llvm_cbe_tmp44 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp46 = ((float )(llvm_cbe_tmp44 * llvm_cbe_tmp34));
  llvm_cbe_tmp52 = *((&llvm_cbe_tmp7->field16));
  llvm_cbe_tmp54 = ((float )(llvm_cbe_tmp52 * llvm_cbe_tmp46));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i184185186_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i177__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp54))), llvm_cbe_tmp19_2e_i177__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i184__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp54))), llvm_cbe_tmp22_2e_i184__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i142 = (&llvm_cbe_tmp7->field4.field0);
  llvm_cbe_tmp2_2e_i143 = *llvm_cbe_tmp1_2e_i142;
  *llvm_cbe_tmp1_2e_i142 = (((float )(llvm_cbe_tmp2_2e_i143 + ((llvm_cbe_tmp25_2e_i176__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i184185186_2e_ins)), llvm_cbe_tmp25_2e_i176__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i151 = (&llvm_cbe_tmp7->field4.field1);
  llvm_cbe_tmp11_2e_i152 = *llvm_cbe_tmp10_2e_i151;
  *llvm_cbe_tmp10_2e_i151 = (((float )(llvm_cbe_tmp11_2e_i152 + ((llvm_cbe_tmp28_2e_i182__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i184185186_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i182__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp67 = *llvm_cbe_tmp18;
  llvm_cbe_tmp70 = *((&llvm_cbe_tmp7->field18));
  llvm_cbe_tmp76 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp18 = (((float )(llvm_cbe_tmp67 + (((float )((((float )(llvm_cbe_tmp70 * llvm_cbe_tmp46))) * llvm_cbe_tmp76))))));
  llvm_cbe_tmp86 = *((&llvm_cbe_tmp11->field16));
  llvm_cbe_tmp88 = ((float )(llvm_cbe_tmp86 * llvm_cbe_tmp46));
  llvm_cbe_tmp3_2e_i106 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i111 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i131198199200_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i128191__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i111 * llvm_cbe_tmp88))), llvm_cbe_tmp19_2e_i128191__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i131198__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i106 * llvm_cbe_tmp88))), llvm_cbe_tmp22_2e_i131198__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i77 = (&llvm_cbe_tmp11->field4.field0);
  llvm_cbe_tmp2_2e_i78 = *llvm_cbe_tmp1_2e_i77;
  *llvm_cbe_tmp1_2e_i77 = (((float )(llvm_cbe_tmp2_2e_i78 + ((llvm_cbe_tmp25_2e_i134190__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i131198199200_2e_ins)), llvm_cbe_tmp25_2e_i134190__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i86 = (&llvm_cbe_tmp11->field4.field1);
  llvm_cbe_tmp11_2e_i87 = *llvm_cbe_tmp10_2e_i86;
  *llvm_cbe_tmp10_2e_i86 = (((float )(llvm_cbe_tmp11_2e_i87 + ((llvm_cbe_tmp28_2e_i137196__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i131198199200_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i137196__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp101 = *llvm_cbe_tmp13;
  llvm_cbe_tmp104 = *((&llvm_cbe_tmp11->field18));
  llvm_cbe_tmp110 = *((&llvm_cbe_this->field11.field3));
  *llvm_cbe_tmp13 = (((float )(llvm_cbe_tmp101 + (((float )((((float )(llvm_cbe_tmp104 * llvm_cbe_tmp46))) * llvm_cbe_tmp110))))));
  return;
}


static unsigned long long _ZNK11b2GearJoint10GetAnchor1Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field9)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK11b2GearJoint10GetAnchor2Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field10)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK11b2GearJoint16GetReactionForceEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i62__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i69__BITCAST_TEMPORARY;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field11.field2.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i62__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp7))), llvm_cbe_tmp19_2e_i62__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i69__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp7))), llvm_cbe_tmp22_2e_i69__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK11b2GearJoint17GetReactionTorqueEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp4;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp8;
  float llvm_cbe_tmp3_2e_i68;
  float llvm_cbe_tmp6_2e_i71;
  float llvm_cbe_tmp10_2e_i75;
  float llvm_cbe_tmp13_2e_i78;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i94141__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i97148__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i97148149150_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i140__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i146__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26;
  float llvm_cbe_tmp39;
  float llvm_cbe_tmp3_2e_i43;
  float llvm_cbe_tmp8_2e_i48;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i127__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i134__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i134135136_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp30111__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp33115__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i126__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i132__BITCAST_TEMPORARY;
  float llvm_cbe_tmp54;

  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i68 = *((&llvm_cbe_this->field10.field1));
  llvm_cbe_tmp6_2e_i71 = *((&llvm_cbe_tmp8->field3.field0.field1));
  llvm_cbe_tmp10_2e_i75 = *((&llvm_cbe_this->field10.field0));
  llvm_cbe_tmp13_2e_i78 = *((&llvm_cbe_tmp8->field3.field0.field0));
  llvm_cbe_tmp26_2e_i97148149150_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i94141__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i75 - llvm_cbe_tmp13_2e_i78))), llvm_cbe_tmp23_2e_i94141__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i97148__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i68 - llvm_cbe_tmp6_2e_i71))), llvm_cbe_tmp26_2e_i97148__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp4.field0)) = ((llvm_cbe_tmp29_2e_i140__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i97148149150_2e_ins)), llvm_cbe_tmp29_2e_i140__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp4.field1)) = ((llvm_cbe_tmp32_2e_i146__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i97148149150_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i146__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp26 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp8->field2.field1)), (&llvm_cbe_tmp4));
  llvm_cbe_tmp39 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp3_2e_i43 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i48 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i134135136_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i127__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i48 * llvm_cbe_tmp39))), llvm_cbe_tmp19_2e_i127__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i134__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i43 * llvm_cbe_tmp39))), llvm_cbe_tmp22_2e_i134__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp54 = *((&llvm_cbe_this->field11.field3));
  return (((float )((((float )(llvm_cbe_tmp39 * llvm_cbe_tmp54))) - (((float )((((float )(((llvm_cbe_tmp30111__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26)), llvm_cbe_tmp30111__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp28_2e_i132__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i134135136_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i132__BITCAST_TEMPORARY.Float))))) - (((float )(((llvm_cbe_tmp33115__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp33115__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp25_2e_i126__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i134135136_2e_ins)), llvm_cbe_tmp25_2e_i126__BITCAST_TEMPORARY.Float)))))))))));
}


static void _ZN11b2GearJointD0Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN11b2GearJointD1Ev(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2GearJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp10;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp15;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp19;
  struct l_struct_2E_b2Body *llvm_cbe_tmp22;
  struct l_struct_2E_b2Body *llvm_cbe_tmp26;
  struct l_struct_2E_b2Body *llvm_cbe_tmp30;
  float *llvm_cbe_tmp1_2e_i_2e_i;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp35;
  float llvm_cbe_tmp43;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp49;
  unsigned long long llvm_cbe_tmp54;
  float llvm_cbe_tmp58419;
  llvmBitCastUnion llvm_cbe_tmp58419__BITCAST_TEMPORARY;
  float llvm_cbe_tmp61423;
  llvmBitCastUnion llvm_cbe_tmp61423__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i377;
  float llvm_cbe_tmp6_2e_i380;
  float llvm_cbe_tmp10_2e_i384;
  float llvm_cbe_tmp13_2e_i387;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i403561__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i406568__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i406568569570_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i409560__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i412566__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp77;
  llvmBitCastUnion llvm_cbe_tmp81433__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp84437__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i363;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i336547__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i339554__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i339554555556_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i342546__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i345552__BITCAST_TEMPORARY;
  float llvm_cbe_tmp104;
  float llvm_cbe_tmp107;
  float llvm_cbe_tmp112;
  float llvm_cbe_tmp43_2e_pn;
  float llvm_cbe_tmp43_2e_pn__PHI_TEMPORARY;
  float llvm_cbe_storemerge;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp118;
  float *llvm_cbe_tmp124;
  float llvm_cbe_tmp125;
  float llvm_cbe_tmp139;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp146;
  unsigned long long llvm_cbe_tmp151;
  float llvm_cbe_tmp155447;
  llvmBitCastUnion llvm_cbe_tmp155447__BITCAST_TEMPORARY;
  float llvm_cbe_tmp158451;
  llvmBitCastUnion llvm_cbe_tmp158451__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i265;
  float llvm_cbe_tmp6_2e_i268;
  float llvm_cbe_tmp10_2e_i272;
  float llvm_cbe_tmp13_2e_i275;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i291533__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i294540__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i294540541542_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i532__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i538__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp174;
  llvmBitCastUnion llvm_cbe_tmp178461__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp181465__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i247;
  float *llvm_cbe_tmp184;
  float llvm_cbe_tmp185;
  float llvm_cbe_tmp186;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i220519__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i223526__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i223526527528_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i226518__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i229524__BITCAST_TEMPORARY;
  float llvm_cbe_tmp216;
  float llvm_cbe_tmp219;
  float llvm_cbe_tmp224;
  float *llvm_cbe_tmp132_2e_pn_2e_in;
  float *llvm_cbe_tmp132_2e_pn_2e_in__PHI_TEMPORARY;
  float *llvm_cbe_tmp135_2e_pn_2e_in;
  float *llvm_cbe_tmp135_2e_pn_2e_in__PHI_TEMPORARY;
  float llvm_cbe_tmp139_2e_pn;
  float llvm_cbe_tmp139_2e_pn__PHI_TEMPORARY;
  float llvm_cbe_tmp132_2e_pn;
  float llvm_cbe_tmp135_2e_pn;
  float llvm_cbe_storemerge1;
  unsigned char llvm_cbe_tmp244;
  float llvm_cbe_tmp249;
  float llvm_cbe_tmp252;
  float llvm_cbe_tmp253;
  float llvm_cbe_tmp259;
  float llvm_cbe_tmp261;
  float llvm_cbe_tmp3_2e_i153;
  float llvm_cbe_tmp8_2e_i158;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i175505__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i178512__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i178512513514_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i181504__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i184510__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i124;
  float llvm_cbe_tmp2_2e_i125;
  float *llvm_cbe_tmp10_2e_i133;
  float llvm_cbe_tmp11_2e_i134;
  float *llvm_cbe_tmp273;
  float llvm_cbe_tmp274;
  float llvm_cbe_tmp277;
  float llvm_cbe_tmp283;
  float llvm_cbe_tmp293;
  float llvm_cbe_tmp295;
  float llvm_cbe_tmp3_2e_i103;
  float llvm_cbe_tmp8_2e_i108;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i491__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i498__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i498499500_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i490__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i496__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i92;
  float llvm_cbe_tmp2_2e_i93;
  float *llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp11_2e_i;
  float *llvm_cbe_tmp307;
  float llvm_cbe_tmp308;
  float llvm_cbe_tmp311;
  float llvm_cbe_tmp317;

  llvm_cbe_tmp19 = *((&llvm_cbe_this->field1));
  llvm_cbe_tmp22 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp26 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp30 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp1_2e_i_2e_i = (&llvm_cbe_this->field11.field0.field0);
  *llvm_cbe_tmp1_2e_i_2e_i = 0x0p+0;
  *((&llvm_cbe_this->field11.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field11.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field11.field2.field0)) = 0x0p+0;
  *((&llvm_cbe_this->field11.field2.field1)) = 0x0p+0;
  *((&llvm_cbe_this->field11.field3)) = 0x0p+0;
  llvm_cbe_tmp35 = *((&llvm_cbe_this->field3));
  if ((llvm_cbe_tmp35 == ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0))) {
    goto llvm_cbe_bb46;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  *((&llvm_cbe_this->field11.field1)) = -0x1p+0;
  llvm_cbe_tmp43 = *((&llvm_cbe_tmp26->field18));
  llvm_cbe_tmp43_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp43;   /* for PHI node */
  goto llvm_cbe_bb115;

llvm_cbe_bb46:
  llvm_cbe_tmp49 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp54 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp19->field2.field1)), ((&llvm_cbe_tmp49->field3)));
  llvm_cbe_tmp58419 = (llvm_cbe_tmp58419__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp54)), llvm_cbe_tmp58419__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp61423 = (llvm_cbe_tmp61423__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp54) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp61423__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i377 = *((&llvm_cbe_this->field9.field1));
  llvm_cbe_tmp6_2e_i380 = *((&llvm_cbe_tmp26->field3.field0.field1));
  llvm_cbe_tmp10_2e_i384 = *((&llvm_cbe_this->field9.field0));
  llvm_cbe_tmp13_2e_i387 = *((&llvm_cbe_tmp26->field3.field0.field0));
  llvm_cbe_tmp26_2e_i406568569570_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i403561__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i384 - llvm_cbe_tmp13_2e_i387))), llvm_cbe_tmp23_2e_i403561__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i406568__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i377 - llvm_cbe_tmp6_2e_i380))), llvm_cbe_tmp26_2e_i406568__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp15.field0)) = ((llvm_cbe_tmp29_2e_i409560__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i406568569570_2e_ins)), llvm_cbe_tmp29_2e_i409560__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp15.field1)) = ((llvm_cbe_tmp32_2e_i412566__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i406568569570_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i412566__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp77 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp26->field2.field1)), (&llvm_cbe_tmp15));
  llvm_cbe_tmp15_2e_i363 = ((float )((((float )(((llvm_cbe_tmp81433__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp77)), llvm_cbe_tmp81433__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp61423))) - (((float )(((llvm_cbe_tmp84437__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp77) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp84437__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp58419)))));
  llvm_cbe_tmp20_2e_i339554555556_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i336547__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp58419)))), llvm_cbe_tmp17_2e_i336547__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i339554__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp61423)))), llvm_cbe_tmp20_2e_i339554__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp1_2e_i_2e_i = ((llvm_cbe_tmp23_2e_i342546__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i339554555556_2e_ins)), llvm_cbe_tmp23_2e_i342546__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field0.field1)) = ((llvm_cbe_tmp26_2e_i345552__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i339554555556_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i345552__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field1)) = (((float )(-(llvm_cbe_tmp15_2e_i363))));
  llvm_cbe_tmp104 = *((&llvm_cbe_tmp26->field16));
  llvm_cbe_tmp107 = *((&llvm_cbe_tmp26->field18));
  llvm_cbe_tmp112 = ((float )(llvm_cbe_tmp104 + (((float )((((float )(llvm_cbe_tmp107 * llvm_cbe_tmp15_2e_i363))) * llvm_cbe_tmp15_2e_i363)))));
  llvm_cbe_tmp43_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp112;   /* for PHI node */
  goto llvm_cbe_bb115;

llvm_cbe_bb115:
  llvm_cbe_tmp43_2e_pn = llvm_cbe_tmp43_2e_pn__PHI_TEMPORARY;
  llvm_cbe_storemerge = ((float )(llvm_cbe_tmp43_2e_pn + 0x0p+0));
  llvm_cbe_tmp118 = *((&llvm_cbe_this->field5));
  if ((llvm_cbe_tmp118 == ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0))) {
    goto llvm_cbe_bb143;
  } else {
    goto llvm_cbe_bb122;
  }

llvm_cbe_bb122:
  llvm_cbe_tmp124 = (&llvm_cbe_this->field13);
  llvm_cbe_tmp125 = *llvm_cbe_tmp124;
  *((&llvm_cbe_this->field11.field3)) = (((float )(-(llvm_cbe_tmp125))));
  llvm_cbe_tmp139 = *((&llvm_cbe_tmp30->field18));
  llvm_cbe_tmp132_2e_pn_2e_in__PHI_TEMPORARY = llvm_cbe_tmp124;   /* for PHI node */
  llvm_cbe_tmp135_2e_pn_2e_in__PHI_TEMPORARY = llvm_cbe_tmp124;   /* for PHI node */
  llvm_cbe_tmp139_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp139;   /* for PHI node */
  goto llvm_cbe_bb228;

llvm_cbe_bb143:
  llvm_cbe_tmp146 = *((&llvm_cbe_this->field6));
  llvm_cbe_tmp151 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp22->field2.field1)), ((&llvm_cbe_tmp146->field3)));
  llvm_cbe_tmp155447 = (llvm_cbe_tmp155447__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp151)), llvm_cbe_tmp155447__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp158451 = (llvm_cbe_tmp158451__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp151) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp158451__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i265 = *((&llvm_cbe_this->field10.field1));
  llvm_cbe_tmp6_2e_i268 = *((&llvm_cbe_tmp30->field3.field0.field1));
  llvm_cbe_tmp10_2e_i272 = *((&llvm_cbe_this->field10.field0));
  llvm_cbe_tmp13_2e_i275 = *((&llvm_cbe_tmp30->field3.field0.field0));
  llvm_cbe_tmp26_2e_i294540541542_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i291533__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i272 - llvm_cbe_tmp13_2e_i275))), llvm_cbe_tmp23_2e_i291533__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i294540__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i265 - llvm_cbe_tmp6_2e_i268))), llvm_cbe_tmp26_2e_i294540__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp10.field0)) = ((llvm_cbe_tmp29_2e_i532__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i294540541542_2e_ins)), llvm_cbe_tmp29_2e_i532__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp10.field1)) = ((llvm_cbe_tmp32_2e_i538__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i294540541542_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i538__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp174 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp30->field2.field1)), (&llvm_cbe_tmp10));
  llvm_cbe_tmp15_2e_i247 = ((float )((((float )(((llvm_cbe_tmp178461__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp174)), llvm_cbe_tmp178461__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp158451))) - (((float )(((llvm_cbe_tmp181465__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp174) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp181465__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp155447)))));
  llvm_cbe_tmp184 = (&llvm_cbe_this->field13);
  llvm_cbe_tmp185 = *llvm_cbe_tmp184;
  llvm_cbe_tmp186 = ((float )(-(llvm_cbe_tmp185)));
  llvm_cbe_tmp22_2e_i223526527528_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i220519__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp155447 * llvm_cbe_tmp186))), llvm_cbe_tmp19_2e_i220519__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i223526__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp158451 * llvm_cbe_tmp186))), llvm_cbe_tmp22_2e_i223526__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field11.field2.field0)) = ((llvm_cbe_tmp25_2e_i226518__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i223526527528_2e_ins)), llvm_cbe_tmp25_2e_i226518__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field2.field1)) = ((llvm_cbe_tmp28_2e_i229524__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i223526527528_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i229524__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field3)) = (((float )(llvm_cbe_tmp15_2e_i247 * llvm_cbe_tmp186)));
  llvm_cbe_tmp216 = *((&llvm_cbe_tmp30->field16));
  llvm_cbe_tmp219 = *((&llvm_cbe_tmp30->field18));
  llvm_cbe_tmp224 = ((float )(llvm_cbe_tmp216 + (((float )((((float )(llvm_cbe_tmp219 * llvm_cbe_tmp15_2e_i247))) * llvm_cbe_tmp15_2e_i247)))));
  llvm_cbe_tmp132_2e_pn_2e_in__PHI_TEMPORARY = llvm_cbe_tmp184;   /* for PHI node */
  llvm_cbe_tmp135_2e_pn_2e_in__PHI_TEMPORARY = llvm_cbe_tmp184;   /* for PHI node */
  llvm_cbe_tmp139_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp224;   /* for PHI node */
  goto llvm_cbe_bb228;

llvm_cbe_bb228:
  llvm_cbe_tmp132_2e_pn_2e_in = llvm_cbe_tmp132_2e_pn_2e_in__PHI_TEMPORARY;
  llvm_cbe_tmp135_2e_pn_2e_in = llvm_cbe_tmp135_2e_pn_2e_in__PHI_TEMPORARY;
  llvm_cbe_tmp139_2e_pn = llvm_cbe_tmp139_2e_pn__PHI_TEMPORARY;
  llvm_cbe_tmp132_2e_pn = *llvm_cbe_tmp132_2e_pn_2e_in;
  llvm_cbe_tmp135_2e_pn = *llvm_cbe_tmp135_2e_pn_2e_in;
  llvm_cbe_storemerge1 = ((float )((((float )((((float )(llvm_cbe_tmp132_2e_pn * llvm_cbe_tmp135_2e_pn))) * llvm_cbe_tmp139_2e_pn))) + llvm_cbe_storemerge));
  if ((llvm_fcmp_ule(llvm_cbe_storemerge1, 0x0p+0))) {
    goto llvm_cbe_bb233;
  } else {
    goto llvm_cbe_bb237;
  }

llvm_cbe_bb233:
  __assert_fail(((&_2E_str228[((signed long long )0ull)])), ((&_2E_str1229[((signed long long )0ull)])), 145u, ((&_ZZN11b2GearJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb237:
  *((&llvm_cbe_this->field14)) = (((float )(0x1p+0 / llvm_cbe_storemerge1)));
  llvm_cbe_tmp244 = *((&llvm_cbe_step->field4));
  if ((llvm_cbe_tmp244 == ((unsigned char )0))) {
    goto llvm_cbe_bb322;
  } else {
    goto llvm_cbe_bb246;
  }

llvm_cbe_bb246:
  llvm_cbe_tmp249 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp252 = *((&llvm_cbe_this->field15));
  llvm_cbe_tmp253 = ((float )(llvm_cbe_tmp249 * llvm_cbe_tmp252));
  llvm_cbe_tmp259 = *((&llvm_cbe_tmp26->field16));
  llvm_cbe_tmp261 = ((float )(llvm_cbe_tmp259 * llvm_cbe_tmp253));
  llvm_cbe_tmp3_2e_i153 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i158 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i178512513514_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i175505__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i158 * llvm_cbe_tmp261))), llvm_cbe_tmp19_2e_i175505__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i178512__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i153 * llvm_cbe_tmp261))), llvm_cbe_tmp22_2e_i178512__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i124 = (&llvm_cbe_tmp26->field4.field0);
  llvm_cbe_tmp2_2e_i125 = *llvm_cbe_tmp1_2e_i124;
  *llvm_cbe_tmp1_2e_i124 = (((float )(llvm_cbe_tmp2_2e_i125 + ((llvm_cbe_tmp25_2e_i181504__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i178512513514_2e_ins)), llvm_cbe_tmp25_2e_i181504__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i133 = (&llvm_cbe_tmp26->field4.field1);
  llvm_cbe_tmp11_2e_i134 = *llvm_cbe_tmp10_2e_i133;
  *llvm_cbe_tmp10_2e_i133 = (((float )(llvm_cbe_tmp11_2e_i134 + ((llvm_cbe_tmp28_2e_i184510__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i178512513514_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i184510__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp273 = (&llvm_cbe_tmp26->field5);
  llvm_cbe_tmp274 = *llvm_cbe_tmp273;
  llvm_cbe_tmp277 = *((&llvm_cbe_tmp26->field18));
  llvm_cbe_tmp283 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp273 = (((float )(llvm_cbe_tmp274 + (((float )((((float )(llvm_cbe_tmp277 * llvm_cbe_tmp253))) * llvm_cbe_tmp283))))));
  llvm_cbe_tmp293 = *((&llvm_cbe_tmp30->field16));
  llvm_cbe_tmp295 = ((float )(llvm_cbe_tmp293 * llvm_cbe_tmp253));
  llvm_cbe_tmp3_2e_i103 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i108 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i498499500_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i491__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i108 * llvm_cbe_tmp295))), llvm_cbe_tmp19_2e_i491__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i498__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i103 * llvm_cbe_tmp295))), llvm_cbe_tmp22_2e_i498__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i92 = (&llvm_cbe_tmp30->field4.field0);
  llvm_cbe_tmp2_2e_i93 = *llvm_cbe_tmp1_2e_i92;
  *llvm_cbe_tmp1_2e_i92 = (((float )(llvm_cbe_tmp2_2e_i93 + ((llvm_cbe_tmp25_2e_i490__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i498499500_2e_ins)), llvm_cbe_tmp25_2e_i490__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i = (&llvm_cbe_tmp30->field4.field1);
  llvm_cbe_tmp11_2e_i = *llvm_cbe_tmp10_2e_i;
  *llvm_cbe_tmp10_2e_i = (((float )(llvm_cbe_tmp11_2e_i + ((llvm_cbe_tmp28_2e_i496__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i498499500_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i496__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp307 = (&llvm_cbe_tmp30->field5);
  llvm_cbe_tmp308 = *llvm_cbe_tmp307;
  llvm_cbe_tmp311 = *((&llvm_cbe_tmp30->field18));
  llvm_cbe_tmp317 = *((&llvm_cbe_this->field11.field3));
  *llvm_cbe_tmp307 = (((float )(llvm_cbe_tmp308 + (((float )((((float )(llvm_cbe_tmp311 * llvm_cbe_tmp253))) * llvm_cbe_tmp317))))));
  return;
llvm_cbe_bb322:
  *((&llvm_cbe_this->field15)) = 0x0p+0;
  return;
}


static unsigned char _ZN11b2GearJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2GearJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp8;
  struct l_struct_2E_b2Body *llvm_cbe_tmp12;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp15;
  struct l_struct_2E_b2Body *llvm_cbe_tmp4_2e_i;
  struct l_struct_2E_b2Body *llvm_cbe_tmp8_2e_i;
  float llvm_cbe_tmp12_2e_i;
  float llvm_cbe_tmp16_2e_i;
  float llvm_cbe_tmp20_2e_i;
  float llvm_cbe_tmp21_2e_i;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp25;
  float llvm_cbe_tmp26;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  struct l_struct_2E_b2RevoluteJoint *llvm_cbe_tmp30;
  struct l_struct_2E_b2Body *llvm_cbe_tmp4_2e_i28;
  struct l_struct_2E_b2Body *llvm_cbe_tmp8_2e_i31;
  float llvm_cbe_tmp12_2e_i33;
  float llvm_cbe_tmp16_2e_i36;
  float llvm_cbe_tmp20_2e_i40;
  float llvm_cbe_tmp21_2e_i41;
  struct l_struct_2E_b2PrismaticJoint *llvm_cbe_tmp42;
  float llvm_cbe_tmp43;
  float llvm_cbe_storemerge1;
  float llvm_cbe_storemerge1__PHI_TEMPORARY;
  float llvm_cbe_tmp47;
  float llvm_cbe_tmp50;
  float llvm_cbe_tmp58;
  float llvm_cbe_tmp61;
  float llvm_cbe_tmp67;
  float llvm_cbe_tmp69;
  float llvm_cbe_tmp3_2e_i44;
  float llvm_cbe_tmp8_2e_i48;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i56161__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i168__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i168169170_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i160__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i166__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i126;
  float llvm_cbe_tmp2_2e_i127;
  float *llvm_cbe_tmp10_2e_i135;
  float llvm_cbe_tmp11_2e_i136;
  float *llvm_cbe_tmp83;
  float llvm_cbe_tmp84;
  float llvm_cbe_tmp87;
  float llvm_cbe_tmp93;
  float llvm_cbe_tmp104;
  float llvm_cbe_tmp106;
  float llvm_cbe_tmp3_2e_i90;
  float llvm_cbe_tmp8_2e_i95;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i112175__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i115182__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i115182183184_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i118174__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i121180__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i61;
  float llvm_cbe_tmp2_2e_i62;
  float *llvm_cbe_tmp10_2e_i70;
  float llvm_cbe_tmp11_2e_i71;
  float *llvm_cbe_tmp120;
  float llvm_cbe_tmp121;
  float llvm_cbe_tmp124;
  float llvm_cbe_tmp130;

  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp12 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp15 = *((&llvm_cbe_this->field3));
  if ((llvm_cbe_tmp15 == ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0))) {
    goto llvm_cbe_bb22;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp4_2e_i = *((&llvm_cbe_tmp15->field0.field6));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_tmp15->field0.field7));
  llvm_cbe_tmp12_2e_i = *((&llvm_cbe_tmp8_2e_i->field3.field4));
  llvm_cbe_tmp16_2e_i = *((&llvm_cbe_tmp4_2e_i->field3.field4));
  llvm_cbe_tmp20_2e_i = *((&llvm_cbe_tmp15->field13));
  llvm_cbe_tmp21_2e_i = ((float )((((float )(llvm_cbe_tmp12_2e_i - llvm_cbe_tmp16_2e_i))) - llvm_cbe_tmp20_2e_i));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i;   /* for PHI node */
  goto llvm_cbe_bb27;

llvm_cbe_bb22:
  llvm_cbe_tmp25 = *((&llvm_cbe_this->field4));
  llvm_cbe_tmp26 = _ZNK16b2PrismaticJoint19GetJointTranslationEv(llvm_cbe_tmp25);
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp26;   /* for PHI node */
  goto llvm_cbe_bb27;

llvm_cbe_bb27:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp30 = *((&llvm_cbe_this->field5));
  if ((llvm_cbe_tmp30 == ((struct l_struct_2E_b2RevoluteJoint *)/*NULL*/0))) {
    goto llvm_cbe_bb39;
  } else {
    goto llvm_cbe_bb34;
  }

llvm_cbe_bb34:
  llvm_cbe_tmp4_2e_i28 = *((&llvm_cbe_tmp30->field0.field6));
  llvm_cbe_tmp8_2e_i31 = *((&llvm_cbe_tmp30->field0.field7));
  llvm_cbe_tmp12_2e_i33 = *((&llvm_cbe_tmp8_2e_i31->field3.field4));
  llvm_cbe_tmp16_2e_i36 = *((&llvm_cbe_tmp4_2e_i28->field3.field4));
  llvm_cbe_tmp20_2e_i40 = *((&llvm_cbe_tmp30->field13));
  llvm_cbe_tmp21_2e_i41 = ((float )((((float )(llvm_cbe_tmp12_2e_i33 - llvm_cbe_tmp16_2e_i36))) - llvm_cbe_tmp20_2e_i40));
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp21_2e_i41;   /* for PHI node */
  goto llvm_cbe_bb44;

llvm_cbe_bb39:
  llvm_cbe_tmp42 = *((&llvm_cbe_this->field6));
  llvm_cbe_tmp43 = _ZNK16b2PrismaticJoint19GetJointTranslationEv(llvm_cbe_tmp42);
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp43;   /* for PHI node */
  goto llvm_cbe_bb44;

llvm_cbe_bb44:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  llvm_cbe_tmp47 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp50 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp58 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp61 = ((float )((((float )(llvm_cbe_tmp47 - (((float )((((float )(llvm_cbe_tmp50 * llvm_cbe_storemerge1))) + llvm_cbe_storemerge)))))) * (((float )(-(llvm_cbe_tmp58))))));
  llvm_cbe_tmp67 = *((&llvm_cbe_tmp8->field16));
  llvm_cbe_tmp69 = ((float )(llvm_cbe_tmp67 * llvm_cbe_tmp61));
  llvm_cbe_tmp3_2e_i44 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i48 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i168169170_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i56161__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i48 * llvm_cbe_tmp69))), llvm_cbe_tmp19_2e_i56161__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i168__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i44 * llvm_cbe_tmp69))), llvm_cbe_tmp22_2e_i168__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i126 = (&llvm_cbe_tmp8->field3.field2.field0);
  llvm_cbe_tmp2_2e_i127 = *llvm_cbe_tmp1_2e_i126;
  *llvm_cbe_tmp1_2e_i126 = (((float )(llvm_cbe_tmp2_2e_i127 + ((llvm_cbe_tmp25_2e_i160__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i168169170_2e_ins)), llvm_cbe_tmp25_2e_i160__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i135 = (&llvm_cbe_tmp8->field3.field2.field1);
  llvm_cbe_tmp11_2e_i136 = *llvm_cbe_tmp10_2e_i135;
  *llvm_cbe_tmp10_2e_i135 = (((float )(llvm_cbe_tmp11_2e_i136 + ((llvm_cbe_tmp28_2e_i166__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i168169170_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i166__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp83 = (&llvm_cbe_tmp8->field3.field4);
  llvm_cbe_tmp84 = *llvm_cbe_tmp83;
  llvm_cbe_tmp87 = *((&llvm_cbe_tmp8->field18));
  llvm_cbe_tmp93 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp83 = (((float )(llvm_cbe_tmp84 + (((float )((((float )(llvm_cbe_tmp87 * llvm_cbe_tmp61))) * llvm_cbe_tmp93))))));
  llvm_cbe_tmp104 = *((&llvm_cbe_tmp12->field16));
  llvm_cbe_tmp106 = ((float )(llvm_cbe_tmp104 * llvm_cbe_tmp61));
  llvm_cbe_tmp3_2e_i90 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i95 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i115182183184_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i112175__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i95 * llvm_cbe_tmp106))), llvm_cbe_tmp19_2e_i112175__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i115182__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i90 * llvm_cbe_tmp106))), llvm_cbe_tmp22_2e_i115182__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i61 = (&llvm_cbe_tmp12->field3.field2.field0);
  llvm_cbe_tmp2_2e_i62 = *llvm_cbe_tmp1_2e_i61;
  *llvm_cbe_tmp1_2e_i61 = (((float )(llvm_cbe_tmp2_2e_i62 + ((llvm_cbe_tmp25_2e_i118174__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i115182183184_2e_ins)), llvm_cbe_tmp25_2e_i118174__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i70 = (&llvm_cbe_tmp12->field3.field2.field1);
  llvm_cbe_tmp11_2e_i71 = *llvm_cbe_tmp10_2e_i70;
  *llvm_cbe_tmp10_2e_i70 = (((float )(llvm_cbe_tmp11_2e_i71 + ((llvm_cbe_tmp28_2e_i121180__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i115182183184_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i121180__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp120 = (&llvm_cbe_tmp12->field3.field4);
  llvm_cbe_tmp121 = *llvm_cbe_tmp120;
  llvm_cbe_tmp124 = *((&llvm_cbe_tmp12->field18));
  llvm_cbe_tmp130 = *((&llvm_cbe_this->field11.field3));
  *llvm_cbe_tmp120 = (((float )(llvm_cbe_tmp121 + (((float )((((float )(llvm_cbe_tmp124 * llvm_cbe_tmp61))) * llvm_cbe_tmp130))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp8);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp12);
  return ((unsigned char )1);
}


static float _ZNK16b2PrismaticJoint19GetJointTranslationEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp8;
  struct l_struct_2E_b2Body *llvm_cbe_tmp12;
  unsigned long long llvm_cbe_tmp5_2e_i;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i191__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i197__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp5_2e_i133;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i148247__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i151253__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i119227__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i234__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i234235236_2e_ins;
  unsigned long long llvm_cbe_tmp6_2e_i73;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i226__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i232__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i88212__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i218__BITCAST_TEMPORARY;

  llvm_cbe_tmp8 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp12 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp8->field2)), ((&llvm_cbe_this->field1)));
  llvm_cbe_tmp5_2e_i133 = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp12->field2)), ((&llvm_cbe_this->field2)));
  llvm_cbe_tmp26_2e_i234235236_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i119227__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp21_2e_i148247__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i133)), llvm_cbe_tmp21_2e_i148247__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp21_2e_i191__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i)), llvm_cbe_tmp21_2e_i191__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i119227__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i234__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp24_2e_i151253__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i133) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i151253__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp24_2e_i197__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i197__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i234__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i73 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp8->field2.field1)), ((&llvm_cbe_this->field3)));
  return (((float )((((float )(((llvm_cbe_tmp29_2e_i226__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i234235236_2e_ins)), llvm_cbe_tmp29_2e_i226__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp22_2e_i88212__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i73)), llvm_cbe_tmp22_2e_i88212__BITCAST_TEMPORARY.Float))))) + (((float )(((llvm_cbe_tmp32_2e_i232__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i234235236_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i232__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp25_2e_i218__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i73) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp25_2e_i218__BITCAST_TEMPORARY.Float))))))));
}


static unsigned char _ZL8InPointsRK6b2Vec2PS0_i(struct l_struct_2E_b2Vec2 *llvm_cbe_w, struct l_struct_2E_b2Vec2 *llvm_cbe_points, unsigned int llvm_cbe_pointCount) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp3;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp5;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp8;    /* Address-exposed local */
  float *llvm_cbe_tmp2_2e_i;
  float *llvm_cbe_tmp9_2e_i;
  float *llvm_cbe_tmp16;
  float *llvm_cbe_tmp19;
  float *llvm_cbe_tmp36;
  float *llvm_cbe_tmp39;
  float *llvm_cbe_tmp45;
  float *llvm_cbe_tmp48;
  unsigned long long llvm_cbe_tmp1011;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i76__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i83__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i838485_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp1839__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2143__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22;
  llvmBitCastUnion llvm_cbe_tmp2646__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp34;
  llvmBitCastUnion llvm_cbe_tmp3853__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp4157__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp43;
  llvmBitCastUnion llvm_cbe_tmp4760__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp5064__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp51;
  llvmBitCastUnion llvm_cbe_tmp5567__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2950__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp5871__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp80;
  unsigned int llvm_cbe_storemerge1;
  unsigned int llvm_cbe_storemerge1__PHI_TEMPORARY;
  unsigned char llvm_cbe_storemerge;
  unsigned char llvm_cbe_storemerge__PHI_TEMPORARY;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_w->field1);
  llvm_cbe_tmp9_2e_i = (&llvm_cbe_w->field0);
  llvm_cbe_tmp16 = (&llvm_cbe_tmp8.field0);
  llvm_cbe_tmp19 = (&llvm_cbe_tmp8.field1);
  llvm_cbe_tmp36 = (&llvm_cbe_tmp5.field0);
  llvm_cbe_tmp39 = (&llvm_cbe_tmp5.field1);
  llvm_cbe_tmp45 = (&llvm_cbe_tmp3.field0);
  llvm_cbe_tmp48 = (&llvm_cbe_tmp3.field1);
  llvm_cbe_storemerge1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb81;

  do {     /* Syntactic loop 'bb81' to make GCC happy */
llvm_cbe_bb81:
  llvm_cbe_storemerge1 = llvm_cbe_storemerge1__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge1) < ((signed int )llvm_cbe_pointCount))) {
    goto llvm_cbe_bb;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
    goto llvm_cbe_return;
  }

llvm_cbe_bb78:
  llvm_cbe_tmp80 = llvm_cbe_storemerge1 + 1u;
  llvm_cbe_storemerge1__PHI_TEMPORARY = llvm_cbe_tmp80;   /* for PHI node */
  goto llvm_cbe_bb81;

llvm_cbe_bb:
  llvm_cbe_tmp1011 = ((signed long long )(signed int )llvm_cbe_storemerge1);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_points[((signed long long )llvm_cbe_tmp1011)].field1));
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp9_2e_i;
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_points[((signed long long )llvm_cbe_tmp1011)].field0));
  llvm_cbe_tmp26_2e_i838485_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i76__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i76__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i83__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i83__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp16 = ((llvm_cbe_tmp1839__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i838485_2e_ins)), llvm_cbe_tmp1839__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp19 = ((llvm_cbe_tmp2143__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i838485_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2143__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp22 = _Z5b2AbsRK6b2Vec2((&llvm_cbe_tmp8));
  llvm_cbe_tmp34 = _Z5b2AbsRK6b2Vec2(((&llvm_cbe_points[((signed long long )llvm_cbe_tmp1011)])));
  *llvm_cbe_tmp36 = ((llvm_cbe_tmp3853__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34)), llvm_cbe_tmp3853__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp39 = ((llvm_cbe_tmp4157__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp4157__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp43 = _Z5b2AbsRK6b2Vec2(llvm_cbe_w);
  *llvm_cbe_tmp45 = ((llvm_cbe_tmp4760__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp43)), llvm_cbe_tmp4760__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp48 = ((llvm_cbe_tmp5064__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp43) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp5064__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp51 = _Z5b2MaxRK6b2Vec2S1_((&llvm_cbe_tmp3), (&llvm_cbe_tmp5));
  if ((llvm_fcmp_olt(((llvm_cbe_tmp2646__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22)), llvm_cbe_tmp2646__BITCAST_TEMPORARY.Float)), (((float )((((float )(((llvm_cbe_tmp5567__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp51)), llvm_cbe_tmp5567__BITCAST_TEMPORARY.Float)) + 0x1p+0))) * 0x1.9p-17)))))) {
    goto llvm_cbe_bb67;
  } else {
    goto llvm_cbe_bb78;
  }

llvm_cbe_bb67:
  if ((llvm_fcmp_olt(((llvm_cbe_tmp2950__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2950__BITCAST_TEMPORARY.Float)), (((float )((((float )(((llvm_cbe_tmp5871__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp51) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp5871__BITCAST_TEMPORARY.Float)) + 0x1p+0))) * 0x1.9p-17)))))) {
    llvm_cbe_storemerge__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb78;
  }

  } while (1); /* end of syntactic loop 'bb81' */
llvm_cbe_return:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  return llvm_cbe_storemerge;
}


static unsigned int _ZL10ProcessTwoP6b2Vec2S0_S0_S0_S0_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2Vec2 *llvm_cbe_p1s, struct l_struct_2E_b2Vec2 *llvm_cbe_p2s, struct l_struct_2E_b2Vec2 *llvm_cbe_points) {
  float *llvm_cbe_tmp2_2e_i;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp7_2e_i;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i510__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i517__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i517518519_2e_ins;
  float llvm_cbe_tmp23_2e_i509;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i509__BITCAST_TEMPORARY;
  float llvm_cbe_tmp26_2e_i515;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i515__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i412;
  float llvm_cbe_tmp3_2e_i413;
  float llvm_cbe_tmp6_2e_i416;
  float *llvm_cbe_tmp9_2e_i419;
  float llvm_cbe_tmp10_2e_i420;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i439608__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i442615__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i442615616617_2e_ins;
  float llvm_cbe_tmp29_2e_i445607;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i445607__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i448613;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i448613__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i385;
  float llvm_cbe_tmp13_2e_i390;
  float llvm_cbe_tmp20_2e_i397;
  float llvm_cbe_d_2e_0_2e_0;
  float llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_d_2e_1_2e_0;
  float llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp15_2e_i375;
  float *llvm_cbe_tmp53;
  float llvm_cbe_tmp54;
  float *llvm_cbe_tmp56;
  float llvm_cbe_tmp57;
  float *llvm_cbe_tmp68;
  float llvm_cbe_tmp69;
  float *llvm_cbe_tmp71;
  float llvm_cbe_tmp72;
  float llvm_cbe_tmp84;
  float llvm_cbe_tmp87;
  float llvm_cbe_tmp100;
  float llvm_cbe_tmp103;
  float llvm_cbe_tmp116;
  float llvm_cbe_tmp119;
  float llvm_cbe_tmp131;
  float llvm_cbe_tmp3_2e_i321;
  float llvm_cbe_tmp6_2e_i324;
  float llvm_cbe_tmp10_2e_i328;
  float llvm_cbe_tmp13_2e_i331;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i347594__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i350601__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i350601602603_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i353593__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i356599__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i298580__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i301587__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i301587588589_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i304579__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i307585__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i253566__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i256573__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i256573574575_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i259565__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i262571__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i178;
  float llvm_cbe_tmp6_2e_i181;
  float llvm_cbe_tmp10_2e_i185;
  float llvm_cbe_tmp13_2e_i188;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i204552__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i207559__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i207559560561_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i210551__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i213557__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i156538__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i159545__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i159545546547_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i162537__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i165543__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i119524__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i122531__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i122531532533_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i523__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i529__BITCAST_TEMPORARY;

  llvm_cbe_tmp2_2e_i = (&llvm_cbe_points[((signed long long )1ull)].field1);
  llvm_cbe_tmp3_2e_i = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp7_2e_i = *((&llvm_cbe_points[((signed long long )1ull)].field0));
  llvm_cbe_tmp20_2e_i517518519_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i510__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp7_2e_i)))), llvm_cbe_tmp17_2e_i510__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i517__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp3_2e_i)))), llvm_cbe_tmp20_2e_i517__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp23_2e_i509 = (llvm_cbe_tmp23_2e_i509__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i517518519_2e_ins)), llvm_cbe_tmp23_2e_i509__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i515 = (llvm_cbe_tmp26_2e_i515__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i517518519_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i515__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i412 = (&llvm_cbe_points->field1);
  llvm_cbe_tmp3_2e_i413 = *llvm_cbe_tmp2_2e_i412;
  llvm_cbe_tmp6_2e_i416 = *((&llvm_cbe_points[((signed long long )1ull)].field1));
  llvm_cbe_tmp9_2e_i419 = (&llvm_cbe_points->field0);
  llvm_cbe_tmp10_2e_i420 = *llvm_cbe_tmp9_2e_i419;
  llvm_cbe_tmp26_2e_i442615616617_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i439608__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i420 - llvm_cbe_tmp7_2e_i))), llvm_cbe_tmp23_2e_i439608__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i442615__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i413 - llvm_cbe_tmp6_2e_i416))), llvm_cbe_tmp26_2e_i442615__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i445607 = (llvm_cbe_tmp29_2e_i445607__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i442615616617_2e_ins)), llvm_cbe_tmp29_2e_i445607__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i448613 = (llvm_cbe_tmp32_2e_i448613__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i442615616617_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i448613__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i445607 * llvm_cbe_tmp29_2e_i445607))) + (((float )(llvm_cbe_tmp32_2e_i448613 * llvm_cbe_tmp32_2e_i448613)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29_2e_i445607;   /* for PHI node */
    llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i448613;   /* for PHI node */
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i;
  }

llvm_cbe_bb6_2e_i:
  llvm_cbe_tmp8_2e_i385 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i390 = ((float )(llvm_cbe_tmp29_2e_i445607 * llvm_cbe_tmp8_2e_i385));
  llvm_cbe_tmp20_2e_i397 = ((float )(llvm_cbe_tmp32_2e_i448613 * llvm_cbe_tmp8_2e_i385));
  llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i390;   /* for PHI node */
  llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i397;   /* for PHI node */
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit:
  llvm_cbe_d_2e_0_2e_0 = llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_d_2e_1_2e_0 = llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp15_2e_i375 = ((float )((((float )(llvm_cbe_tmp23_2e_i509 * llvm_cbe_d_2e_0_2e_0))) + (((float )(llvm_cbe_tmp26_2e_i515 * llvm_cbe_d_2e_1_2e_0)))));
  if (((((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i, 0x1p-23)) | (llvm_fcmp_ole(llvm_cbe_tmp15_2e_i375, 0x0p+0)))&1))) {
    goto llvm_cbe_bb49;
  } else {
    goto llvm_cbe_bb128;
  }

llvm_cbe_bb49:
  llvm_cbe_tmp53 = (&llvm_cbe_p1s[((signed long long )1ull)].field0);
  llvm_cbe_tmp54 = *llvm_cbe_tmp53;
  llvm_cbe_tmp56 = (&llvm_cbe_p1s[((signed long long )1ull)].field1);
  llvm_cbe_tmp57 = *llvm_cbe_tmp56;
  *((&llvm_cbe_x1->field0)) = llvm_cbe_tmp54;
  *((&llvm_cbe_x1->field1)) = llvm_cbe_tmp57;
  llvm_cbe_tmp68 = (&llvm_cbe_p2s[((signed long long )1ull)].field0);
  llvm_cbe_tmp69 = *llvm_cbe_tmp68;
  llvm_cbe_tmp71 = (&llvm_cbe_p2s[((signed long long )1ull)].field1);
  llvm_cbe_tmp72 = *llvm_cbe_tmp71;
  *((&llvm_cbe_x2->field0)) = llvm_cbe_tmp69;
  *((&llvm_cbe_x2->field1)) = llvm_cbe_tmp72;
  llvm_cbe_tmp84 = *llvm_cbe_tmp53;
  llvm_cbe_tmp87 = *llvm_cbe_tmp56;
  *((&llvm_cbe_p1s->field0)) = llvm_cbe_tmp84;
  *((&llvm_cbe_p1s->field1)) = llvm_cbe_tmp87;
  llvm_cbe_tmp100 = *llvm_cbe_tmp68;
  llvm_cbe_tmp103 = *llvm_cbe_tmp71;
  *((&llvm_cbe_p2s->field0)) = llvm_cbe_tmp100;
  *((&llvm_cbe_p2s->field1)) = llvm_cbe_tmp103;
  llvm_cbe_tmp116 = *((&llvm_cbe_points[((signed long long )1ull)].field0));
  llvm_cbe_tmp119 = *llvm_cbe_tmp2_2e_i;
  *llvm_cbe_tmp9_2e_i419 = llvm_cbe_tmp116;
  *llvm_cbe_tmp2_2e_i412 = llvm_cbe_tmp119;
  return 1u;
llvm_cbe_bb128:
  llvm_cbe_tmp131 = ((float )(llvm_cbe_tmp15_2e_i375 / llvm_cbe_storemerge_2e_i));
  llvm_cbe_tmp3_2e_i321 = *((&llvm_cbe_p1s->field1));
  llvm_cbe_tmp6_2e_i324 = *((&llvm_cbe_p1s[((signed long long )1ull)].field1));
  llvm_cbe_tmp10_2e_i328 = *((&llvm_cbe_p1s->field0));
  llvm_cbe_tmp13_2e_i331 = *((&llvm_cbe_p1s[((signed long long )1ull)].field0));
  llvm_cbe_tmp26_2e_i350601602603_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i347594__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i328 - llvm_cbe_tmp13_2e_i331))), llvm_cbe_tmp23_2e_i347594__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i350601__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i321 - llvm_cbe_tmp6_2e_i324))), llvm_cbe_tmp26_2e_i350601__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i301587588589_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i298580__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i353593__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i350601602603_2e_ins)), llvm_cbe_tmp29_2e_i353593__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp131))), llvm_cbe_tmp19_2e_i298580__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i301587__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i356599__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i350601602603_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i356599__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp131))), llvm_cbe_tmp22_2e_i301587__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i256573574575_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i253566__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i331 + ((llvm_cbe_tmp25_2e_i304579__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i301587588589_2e_ins)), llvm_cbe_tmp25_2e_i304579__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i253566__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i256573__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i324 + ((llvm_cbe_tmp28_2e_i307585__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i301587588589_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i307585__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i256573__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x1->field0)) = ((llvm_cbe_tmp29_2e_i259565__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i256573574575_2e_ins)), llvm_cbe_tmp29_2e_i259565__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x1->field1)) = ((llvm_cbe_tmp32_2e_i262571__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i256573574575_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i262571__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i178 = *((&llvm_cbe_p2s->field1));
  llvm_cbe_tmp6_2e_i181 = *((&llvm_cbe_p2s[((signed long long )1ull)].field1));
  llvm_cbe_tmp10_2e_i185 = *((&llvm_cbe_p2s->field0));
  llvm_cbe_tmp13_2e_i188 = *((&llvm_cbe_p2s[((signed long long )1ull)].field0));
  llvm_cbe_tmp26_2e_i207559560561_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i204552__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i185 - llvm_cbe_tmp13_2e_i188))), llvm_cbe_tmp23_2e_i204552__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i207559__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i178 - llvm_cbe_tmp6_2e_i181))), llvm_cbe_tmp26_2e_i207559__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i159545546547_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i156538__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i210551__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i207559560561_2e_ins)), llvm_cbe_tmp29_2e_i210551__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp131))), llvm_cbe_tmp19_2e_i156538__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i159545__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i213557__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i207559560561_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i213557__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp131))), llvm_cbe_tmp22_2e_i159545__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i122531532533_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i119524__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i188 + ((llvm_cbe_tmp25_2e_i162537__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i159545546547_2e_ins)), llvm_cbe_tmp25_2e_i162537__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i119524__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i122531__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i181 + ((llvm_cbe_tmp28_2e_i165543__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i159545546547_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i165543__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i122531__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x2->field0)) = ((llvm_cbe_tmp29_2e_i523__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i122531532533_2e_ins)), llvm_cbe_tmp29_2e_i523__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x2->field1)) = ((llvm_cbe_tmp32_2e_i529__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i122531532533_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i529__BITCAST_TEMPORARY.Float));
  return 2u;
}


static unsigned int _ZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2Vec2 *llvm_cbe_p1s, struct l_struct_2E_b2Vec2 *llvm_cbe_p2s, struct l_struct_2E_b2Vec2 *llvm_cbe_points) {
  float *llvm_cbe_tmp60;
  float llvm_cbe_tmp61;
  float *llvm_cbe_tmp63;
  float llvm_cbe_tmp64;
  float *llvm_cbe_tmp74;
  float llvm_cbe_tmp75;
  float *llvm_cbe_tmp77;
  float llvm_cbe_tmp78;
  float *llvm_cbe_tmp88;
  float llvm_cbe_tmp89;
  float *llvm_cbe_tmp91;
  float llvm_cbe_tmp92;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i1744__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i1751__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i175117521753_2e_ins;
  float llvm_cbe_tmp29_2e_i1743;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1743__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i1749;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1749__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i15542080__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i15572087__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1557208720882089_2e_ins;
  float llvm_cbe_tmp29_2e_i15602079;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i15602079__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i15632085;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i15632085__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i15052066__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i15082073__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1508207320742075_2e_ins;
  float llvm_cbe_tmp29_2e_i15112065;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i15112065__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i15142071;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i15142071__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i1446;
  float llvm_cbe_tmp15_2e_i1427;
  float llvm_cbe_tmp127;
  float llvm_cbe_tmp15_2e_i1408;
  float llvm_cbe_tmp15_2e_i1389;
  float llvm_cbe_tmp130;
  float llvm_cbe_tmp15_2e_i1370;
  float *llvm_cbe_tmp143;
  float llvm_cbe_tmp144;
  float *llvm_cbe_tmp146;
  float llvm_cbe_tmp147;
  float *llvm_cbe_tmp158;
  float llvm_cbe_tmp159;
  float *llvm_cbe_tmp161;
  float llvm_cbe_tmp162;
  float llvm_cbe_tmp174;
  float llvm_cbe_tmp177;
  float llvm_cbe_tmp190;
  float llvm_cbe_tmp193;
  float llvm_cbe_tmp206;
  float llvm_cbe_tmp209;
  float llvm_cbe_tmp15_2e_i1351;
  float llvm_cbe_tmp250;
  float llvm_cbe_tmp272;
  float llvm_cbe_tmp290;
  float llvm_cbe_tmp310;
  float llvm_cbe_tmp3_2e_i1259;
  float llvm_cbe_tmp6_2e_i1262;
  float llvm_cbe_tmp10_2e_i1266;
  float llvm_cbe_tmp13_2e_i1269;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i12852052__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i12882059__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1288205920602061_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i12912051__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i12942057__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i12362038__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i12392045__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1239204520462047_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i12422037__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i12452043__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11912024__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11942031__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1194203120322033_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11972023__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i12002029__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1116;
  float llvm_cbe_tmp6_2e_i1119;
  float llvm_cbe_tmp10_2e_i1123;
  float llvm_cbe_tmp13_2e_i1126;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11422010__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11452017__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1145201720182019_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11482009__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i11512015__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i10931996__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i10962003__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1096200320042005_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i10991995__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i11022001__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10481982__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10511989__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1051198919901991_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i10541981__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i10571987__BITCAST_TEMPORARY;
  float llvm_cbe_tmp379;
  float llvm_cbe_tmp382;
  float llvm_cbe_tmp395;
  float llvm_cbe_tmp398;
  float llvm_cbe_tmp411;
  float llvm_cbe_tmp414;
  float llvm_cbe_tmp426;
  float llvm_cbe_tmp444;
  float llvm_cbe_tmp464;
  float llvm_cbe_tmp3_2e_i955;
  float llvm_cbe_tmp6_2e_i958;
  float llvm_cbe_tmp10_2e_i962;
  float llvm_cbe_tmp13_2e_i965;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i9811968__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i9841975__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i984197519761977_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i9871967__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i9901973__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i9321954__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i9351961__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i935196119621963_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i9381953__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i9411959__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8871940__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8901947__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i890194719481949_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8931939__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8961945__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i812;
  float llvm_cbe_tmp6_2e_i815;
  float llvm_cbe_tmp10_2e_i819;
  float llvm_cbe_tmp13_2e_i822;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8381926__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8411933__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i841193319341935_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8441925__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8471931__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i7891912__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i7921919__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i792191919201921_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i7951911__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i7981917__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7441898__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7471905__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i747190519061907_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7501897__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7531903__BITCAST_TEMPORARY;
  float llvm_cbe_tmp533;
  float llvm_cbe_tmp536;
  float llvm_cbe_tmp549;
  float llvm_cbe_tmp552;
  float llvm_cbe_tmp565;
  float llvm_cbe_tmp568;
  float llvm_cbe_tmp582;
  float llvm_cbe_tmp593;
  float llvm_cbe_tmp596;
  float llvm_cbe_tmp599;
  float llvm_cbe_tmp603;
  float llvm_cbe_tmp3_2e_i673;
  float llvm_cbe_tmp8_2e_i678;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6951884__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6981891__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i698189118921893_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i7011883__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i7041889__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i628;
  float llvm_cbe_tmp8_2e_i633;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6501870__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6531877__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i653187718781879_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6561869__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6591875__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i583;
  float llvm_cbe_tmp8_2e_i588;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6051856__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6081863__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i608186318641865_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6111855__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6141861__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5601842__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5631849__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i563184918501851_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5661841__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5691847__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5111828__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5141835__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i514183518361837_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5171827__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5201833__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i440;
  float llvm_cbe_tmp8_2e_i445;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i4621814__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i4651821__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i465182118221823_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i4681813__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i4711819__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i395;
  float llvm_cbe_tmp8_2e_i400;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i4171800__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i4201807__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i420180718081809_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i4231799__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i4261805__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i351;
  float llvm_cbe_tmp8_2e_i356;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3731786__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3761793__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i376179317941795_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3791785__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3821791__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i3291772__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i3321779__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i332177917801781_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i3351771__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i3381777__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i2801758__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i2831765__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i283176517661767_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i2861757__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i2891763__BITCAST_TEMPORARY;

  llvm_cbe_tmp60 = (&llvm_cbe_points->field0);
  llvm_cbe_tmp61 = *llvm_cbe_tmp60;
  llvm_cbe_tmp63 = (&llvm_cbe_points->field1);
  llvm_cbe_tmp64 = *llvm_cbe_tmp63;
  llvm_cbe_tmp74 = (&llvm_cbe_points[((signed long long )1ull)].field0);
  llvm_cbe_tmp75 = *llvm_cbe_tmp74;
  llvm_cbe_tmp77 = (&llvm_cbe_points[((signed long long )1ull)].field1);
  llvm_cbe_tmp78 = *llvm_cbe_tmp77;
  llvm_cbe_tmp88 = (&llvm_cbe_points[((signed long long )2ull)].field0);
  llvm_cbe_tmp89 = *llvm_cbe_tmp88;
  llvm_cbe_tmp91 = (&llvm_cbe_points[((signed long long )2ull)].field1);
  llvm_cbe_tmp92 = *llvm_cbe_tmp91;
  llvm_cbe_tmp26_2e_i175117521753_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i1744__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp75 - llvm_cbe_tmp61))), llvm_cbe_tmp23_2e_i1744__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i1751__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp78 - llvm_cbe_tmp64))), llvm_cbe_tmp26_2e_i1751__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i1743 = (llvm_cbe_tmp29_2e_i1743__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i175117521753_2e_ins)), llvm_cbe_tmp29_2e_i1743__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i1749 = (llvm_cbe_tmp32_2e_i1749__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i175117521753_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1749__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i1557208720882089_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i15542080__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp89 - llvm_cbe_tmp61))), llvm_cbe_tmp23_2e_i15542080__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i15572087__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp92 - llvm_cbe_tmp64))), llvm_cbe_tmp26_2e_i15572087__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i15602079 = (llvm_cbe_tmp29_2e_i15602079__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1557208720882089_2e_ins)), llvm_cbe_tmp29_2e_i15602079__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i15632085 = (llvm_cbe_tmp32_2e_i15632085__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1557208720882089_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i15632085__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i1508207320742075_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i15052066__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp89 - llvm_cbe_tmp75))), llvm_cbe_tmp23_2e_i15052066__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i15082073__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp92 - llvm_cbe_tmp78))), llvm_cbe_tmp26_2e_i15082073__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i15112065 = (llvm_cbe_tmp29_2e_i15112065__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1508207320742075_2e_ins)), llvm_cbe_tmp29_2e_i15112065__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i15142071 = (llvm_cbe_tmp32_2e_i15142071__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1508207320742075_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i15142071__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i1446 = ((float )((((float )(llvm_cbe_tmp75 * llvm_cbe_tmp29_2e_i1743))) + (((float )(llvm_cbe_tmp78 * llvm_cbe_tmp32_2e_i1749)))));
  llvm_cbe_tmp15_2e_i1427 = ((float )((((float )(llvm_cbe_tmp61 * llvm_cbe_tmp29_2e_i15602079))) + (((float )(llvm_cbe_tmp64 * llvm_cbe_tmp32_2e_i15632085)))));
  llvm_cbe_tmp127 = ((float )(-(llvm_cbe_tmp15_2e_i1427)));
  llvm_cbe_tmp15_2e_i1408 = ((float )((((float )(llvm_cbe_tmp89 * llvm_cbe_tmp29_2e_i15602079))) + (((float )(llvm_cbe_tmp92 * llvm_cbe_tmp32_2e_i15632085)))));
  llvm_cbe_tmp15_2e_i1389 = ((float )((((float )(llvm_cbe_tmp75 * llvm_cbe_tmp29_2e_i15112065))) + (((float )(llvm_cbe_tmp78 * llvm_cbe_tmp32_2e_i15142071)))));
  llvm_cbe_tmp130 = ((float )(-(llvm_cbe_tmp15_2e_i1389)));
  llvm_cbe_tmp15_2e_i1370 = ((float )((((float )(llvm_cbe_tmp89 * llvm_cbe_tmp29_2e_i15112065))) + (((float )(llvm_cbe_tmp92 * llvm_cbe_tmp32_2e_i15142071)))));
  if (((((llvm_fcmp_ugt(llvm_cbe_tmp15_2e_i1408, 0x0p+0)) | (llvm_fcmp_ugt(llvm_cbe_tmp15_2e_i1370, 0x0p+0)))&1))) {
    goto llvm_cbe_bb218;
  } else {
    goto llvm_cbe_bb139;
  }

llvm_cbe_bb139:
  llvm_cbe_tmp143 = (&llvm_cbe_p1s[((signed long long )2ull)].field0);
  llvm_cbe_tmp144 = *llvm_cbe_tmp143;
  llvm_cbe_tmp146 = (&llvm_cbe_p1s[((signed long long )2ull)].field1);
  llvm_cbe_tmp147 = *llvm_cbe_tmp146;
  *((&llvm_cbe_x1->field0)) = llvm_cbe_tmp144;
  *((&llvm_cbe_x1->field1)) = llvm_cbe_tmp147;
  llvm_cbe_tmp158 = (&llvm_cbe_p2s[((signed long long )2ull)].field0);
  llvm_cbe_tmp159 = *llvm_cbe_tmp158;
  llvm_cbe_tmp161 = (&llvm_cbe_p2s[((signed long long )2ull)].field1);
  llvm_cbe_tmp162 = *llvm_cbe_tmp161;
  *((&llvm_cbe_x2->field0)) = llvm_cbe_tmp159;
  *((&llvm_cbe_x2->field1)) = llvm_cbe_tmp162;
  llvm_cbe_tmp174 = *llvm_cbe_tmp143;
  llvm_cbe_tmp177 = *llvm_cbe_tmp146;
  *((&llvm_cbe_p1s->field0)) = llvm_cbe_tmp174;
  *((&llvm_cbe_p1s->field1)) = llvm_cbe_tmp177;
  llvm_cbe_tmp190 = *llvm_cbe_tmp158;
  llvm_cbe_tmp193 = *llvm_cbe_tmp161;
  *((&llvm_cbe_p2s->field0)) = llvm_cbe_tmp190;
  *((&llvm_cbe_p2s->field1)) = llvm_cbe_tmp193;
  llvm_cbe_tmp206 = *llvm_cbe_tmp88;
  llvm_cbe_tmp209 = *llvm_cbe_tmp91;
  *llvm_cbe_tmp60 = llvm_cbe_tmp206;
  *llvm_cbe_tmp63 = llvm_cbe_tmp209;
  return 1u;
llvm_cbe_bb218:
  if (((((llvm_fcmp_ule((((float )(-((((float )((((float )(llvm_cbe_tmp61 * llvm_cbe_tmp29_2e_i1743))) + (((float )(llvm_cbe_tmp64 * llvm_cbe_tmp32_2e_i1749)))))))))), 0x0p+0)) & (llvm_fcmp_ule(llvm_cbe_tmp127, 0x0p+0)))&1))) {
    goto llvm_cbe_bb228;
  } else {
    goto llvm_cbe_bb232;
  }

llvm_cbe_bb228:
  __assert_fail(((&_2E_str234[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 89u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb232:
  if (((((llvm_fcmp_ule(llvm_cbe_tmp15_2e_i1446, 0x0p+0)) & (llvm_fcmp_ule(llvm_cbe_tmp130, 0x0p+0)))&1))) {
    goto llvm_cbe_bb242;
  } else {
    goto llvm_cbe_bb246;
  }

llvm_cbe_bb242:
  __assert_fail(((&_2E_str2236[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 90u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb246:
  llvm_cbe_tmp15_2e_i1351 = ((float )((((float )(llvm_cbe_tmp29_2e_i1743 * llvm_cbe_tmp32_2e_i15632085))) - (((float )(llvm_cbe_tmp32_2e_i1749 * llvm_cbe_tmp29_2e_i15602079)))));
  llvm_cbe_tmp250 = ((float )((((float )((((float )(llvm_cbe_tmp61 * llvm_cbe_tmp78))) - (((float )(llvm_cbe_tmp64 * llvm_cbe_tmp75)))))) * llvm_cbe_tmp15_2e_i1351));
  if ((((((((llvm_fcmp_ule(llvm_cbe_tmp250, 0x0p+0)) & (llvm_fcmp_ule((((float )(-((((float )((((float )(llvm_cbe_tmp61 * llvm_cbe_tmp29_2e_i1743))) + (((float )(llvm_cbe_tmp64 * llvm_cbe_tmp32_2e_i1749)))))))))), 0x0p+0)))&1)) & (llvm_fcmp_ule(llvm_cbe_tmp15_2e_i1446, 0x0p+0)))&1))) {
    goto llvm_cbe_bb265;
  } else {
    goto llvm_cbe_bb269;
  }

llvm_cbe_bb265:
  __assert_fail(((&_2E_str3237[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 100u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb269:
  llvm_cbe_tmp272 = ((float )((((float )((((float )(llvm_cbe_tmp75 * llvm_cbe_tmp92))) - (((float )(llvm_cbe_tmp78 * llvm_cbe_tmp89)))))) * llvm_cbe_tmp15_2e_i1351));
  if ((((((((llvm_fcmp_ugt(llvm_cbe_tmp272, 0x0p+0)) | (llvm_fcmp_ult(llvm_cbe_tmp130, 0x0p+0)))&1)) | (llvm_fcmp_ult(llvm_cbe_tmp15_2e_i1370, 0x0p+0)))&1))) {
    goto llvm_cbe_bb423;
  } else {
    goto llvm_cbe_bb287;
  }

llvm_cbe_bb287:
  llvm_cbe_tmp290 = ((float )(llvm_cbe_tmp15_2e_i1370 - llvm_cbe_tmp15_2e_i1389));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp290, 0x0p+0))) {
    goto llvm_cbe_bb294;
  } else {
    goto llvm_cbe_bb423;
  }

llvm_cbe_bb294:
  if ((llvm_fcmp_ule(llvm_cbe_tmp290, 0x0p+0))) {
    goto llvm_cbe_bb301;
  } else {
    goto llvm_cbe_bb305;
  }

llvm_cbe_bb301:
  __assert_fail(((&_2E_str4238[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 106u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb305:
  llvm_cbe_tmp310 = ((float )(llvm_cbe_tmp130 / llvm_cbe_tmp290));
  llvm_cbe_tmp3_2e_i1259 = *((&llvm_cbe_p1s[((signed long long )2ull)].field1));
  llvm_cbe_tmp6_2e_i1262 = *((&llvm_cbe_p1s[((signed long long )1ull)].field1));
  llvm_cbe_tmp10_2e_i1266 = *((&llvm_cbe_p1s[((signed long long )2ull)].field0));
  llvm_cbe_tmp13_2e_i1269 = *((&llvm_cbe_p1s[((signed long long )1ull)].field0));
  llvm_cbe_tmp26_2e_i1288205920602061_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i12852052__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1266 - llvm_cbe_tmp13_2e_i1269))), llvm_cbe_tmp23_2e_i12852052__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i12882059__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1259 - llvm_cbe_tmp6_2e_i1262))), llvm_cbe_tmp26_2e_i12882059__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i1239204520462047_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i12362038__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i12912051__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1288205920602061_2e_ins)), llvm_cbe_tmp29_2e_i12912051__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp310))), llvm_cbe_tmp19_2e_i12362038__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i12392045__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i12942057__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1288205920602061_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i12942057__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp310))), llvm_cbe_tmp22_2e_i12392045__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1194203120322033_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11912024__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i1269 + ((llvm_cbe_tmp25_2e_i12422037__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1239204520462047_2e_ins)), llvm_cbe_tmp25_2e_i12422037__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i11912024__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11942031__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i1262 + ((llvm_cbe_tmp28_2e_i12452043__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1239204520462047_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i12452043__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i11942031__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x1->field0)) = ((llvm_cbe_tmp29_2e_i11972023__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1194203120322033_2e_ins)), llvm_cbe_tmp29_2e_i11972023__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x1->field1)) = ((llvm_cbe_tmp32_2e_i12002029__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1194203120322033_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i12002029__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i1116 = *((&llvm_cbe_p2s[((signed long long )2ull)].field1));
  llvm_cbe_tmp6_2e_i1119 = *((&llvm_cbe_p2s[((signed long long )1ull)].field1));
  llvm_cbe_tmp10_2e_i1123 = *((&llvm_cbe_p2s[((signed long long )2ull)].field0));
  llvm_cbe_tmp13_2e_i1126 = *((&llvm_cbe_p2s[((signed long long )1ull)].field0));
  llvm_cbe_tmp26_2e_i1145201720182019_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11422010__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1123 - llvm_cbe_tmp13_2e_i1126))), llvm_cbe_tmp23_2e_i11422010__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11452017__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1116 - llvm_cbe_tmp6_2e_i1119))), llvm_cbe_tmp26_2e_i11452017__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i1096200320042005_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i10931996__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i11482009__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1145201720182019_2e_ins)), llvm_cbe_tmp29_2e_i11482009__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp310))), llvm_cbe_tmp19_2e_i10931996__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i10962003__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i11512015__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1145201720182019_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i11512015__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp310))), llvm_cbe_tmp22_2e_i10962003__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1051198919901991_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i10481982__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i1126 + ((llvm_cbe_tmp25_2e_i10991995__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1096200320042005_2e_ins)), llvm_cbe_tmp25_2e_i10991995__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i10481982__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i10511989__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i1119 + ((llvm_cbe_tmp28_2e_i11022001__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1096200320042005_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i11022001__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i10511989__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x2->field0)) = ((llvm_cbe_tmp29_2e_i10541981__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1051198919901991_2e_ins)), llvm_cbe_tmp29_2e_i10541981__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x2->field1)) = ((llvm_cbe_tmp32_2e_i10571987__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1051198919901991_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i10571987__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp379 = *((&llvm_cbe_p1s[((signed long long )2ull)].field0));
  llvm_cbe_tmp382 = *((&llvm_cbe_p1s[((signed long long )2ull)].field1));
  *((&llvm_cbe_p1s->field0)) = llvm_cbe_tmp379;
  *((&llvm_cbe_p1s->field1)) = llvm_cbe_tmp382;
  llvm_cbe_tmp395 = *((&llvm_cbe_p2s[((signed long long )2ull)].field0));
  llvm_cbe_tmp398 = *((&llvm_cbe_p2s[((signed long long )2ull)].field1));
  *((&llvm_cbe_p2s->field0)) = llvm_cbe_tmp395;
  *((&llvm_cbe_p2s->field1)) = llvm_cbe_tmp398;
  llvm_cbe_tmp411 = *llvm_cbe_tmp88;
  llvm_cbe_tmp414 = *llvm_cbe_tmp91;
  *llvm_cbe_tmp60 = llvm_cbe_tmp411;
  *llvm_cbe_tmp63 = llvm_cbe_tmp414;
  return 2u;
llvm_cbe_bb423:
  llvm_cbe_tmp426 = ((float )((((float )((((float )(llvm_cbe_tmp89 * llvm_cbe_tmp64))) - (((float )(llvm_cbe_tmp92 * llvm_cbe_tmp61)))))) * llvm_cbe_tmp15_2e_i1351));
  if ((((((((llvm_fcmp_ugt(llvm_cbe_tmp426, 0x0p+0)) | (llvm_fcmp_ult(llvm_cbe_tmp127, 0x0p+0)))&1)) | (llvm_fcmp_ult(llvm_cbe_tmp15_2e_i1408, 0x0p+0)))&1))) {
    goto llvm_cbe_bb577;
  } else {
    goto llvm_cbe_bb441;
  }

llvm_cbe_bb441:
  llvm_cbe_tmp444 = ((float )(llvm_cbe_tmp15_2e_i1408 - llvm_cbe_tmp15_2e_i1427));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp444, 0x0p+0))) {
    goto llvm_cbe_bb448;
  } else {
    goto llvm_cbe_bb577;
  }

llvm_cbe_bb448:
  if ((llvm_fcmp_ule(llvm_cbe_tmp444, 0x0p+0))) {
    goto llvm_cbe_bb455;
  } else {
    goto llvm_cbe_bb459;
  }

llvm_cbe_bb455:
  __assert_fail(((&_2E_str5239[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 120u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb459:
  llvm_cbe_tmp464 = ((float )(llvm_cbe_tmp127 / llvm_cbe_tmp444));
  llvm_cbe_tmp3_2e_i955 = *((&llvm_cbe_p1s[((signed long long )2ull)].field1));
  llvm_cbe_tmp6_2e_i958 = *((&llvm_cbe_p1s->field1));
  llvm_cbe_tmp10_2e_i962 = *((&llvm_cbe_p1s[((signed long long )2ull)].field0));
  llvm_cbe_tmp13_2e_i965 = *((&llvm_cbe_p1s->field0));
  llvm_cbe_tmp26_2e_i984197519761977_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i9811968__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i962 - llvm_cbe_tmp13_2e_i965))), llvm_cbe_tmp23_2e_i9811968__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i9841975__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i955 - llvm_cbe_tmp6_2e_i958))), llvm_cbe_tmp26_2e_i9841975__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i935196119621963_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i9321954__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i9871967__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i984197519761977_2e_ins)), llvm_cbe_tmp29_2e_i9871967__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp464))), llvm_cbe_tmp19_2e_i9321954__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i9351961__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i9901973__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i984197519761977_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i9901973__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp464))), llvm_cbe_tmp22_2e_i9351961__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i890194719481949_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8871940__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i965 + ((llvm_cbe_tmp25_2e_i9381953__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i935196119621963_2e_ins)), llvm_cbe_tmp25_2e_i9381953__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i8871940__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8901947__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i958 + ((llvm_cbe_tmp28_2e_i9411959__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i935196119621963_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i9411959__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i8901947__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x1->field0)) = ((llvm_cbe_tmp29_2e_i8931939__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i890194719481949_2e_ins)), llvm_cbe_tmp29_2e_i8931939__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x1->field1)) = ((llvm_cbe_tmp32_2e_i8961945__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i890194719481949_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8961945__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i812 = *((&llvm_cbe_p2s[((signed long long )2ull)].field1));
  llvm_cbe_tmp6_2e_i815 = *((&llvm_cbe_p2s->field1));
  llvm_cbe_tmp10_2e_i819 = *((&llvm_cbe_p2s[((signed long long )2ull)].field0));
  llvm_cbe_tmp13_2e_i822 = *((&llvm_cbe_p2s->field0));
  llvm_cbe_tmp26_2e_i841193319341935_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8381926__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i819 - llvm_cbe_tmp13_2e_i822))), llvm_cbe_tmp23_2e_i8381926__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8411933__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i812 - llvm_cbe_tmp6_2e_i815))), llvm_cbe_tmp26_2e_i8411933__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i792191919201921_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i7891912__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i8441925__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i841193319341935_2e_ins)), llvm_cbe_tmp29_2e_i8441925__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp464))), llvm_cbe_tmp19_2e_i7891912__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i7921919__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i8471931__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i841193319341935_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8471931__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp464))), llvm_cbe_tmp22_2e_i7921919__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i747190519061907_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7441898__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i822 + ((llvm_cbe_tmp25_2e_i7951911__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i792191919201921_2e_ins)), llvm_cbe_tmp25_2e_i7951911__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i7441898__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7471905__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i815 + ((llvm_cbe_tmp28_2e_i7981917__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i792191919201921_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i7981917__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i7471905__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x2->field0)) = ((llvm_cbe_tmp29_2e_i7501897__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i747190519061907_2e_ins)), llvm_cbe_tmp29_2e_i7501897__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x2->field1)) = ((llvm_cbe_tmp32_2e_i7531903__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i747190519061907_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7531903__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp533 = *((&llvm_cbe_p1s[((signed long long )2ull)].field0));
  llvm_cbe_tmp536 = *((&llvm_cbe_p1s[((signed long long )2ull)].field1));
  *((&llvm_cbe_p1s[((signed long long )1ull)].field0)) = llvm_cbe_tmp533;
  *((&llvm_cbe_p1s[((signed long long )1ull)].field1)) = llvm_cbe_tmp536;
  llvm_cbe_tmp549 = *((&llvm_cbe_p2s[((signed long long )2ull)].field0));
  llvm_cbe_tmp552 = *((&llvm_cbe_p2s[((signed long long )2ull)].field1));
  *((&llvm_cbe_p2s[((signed long long )1ull)].field0)) = llvm_cbe_tmp549;
  *((&llvm_cbe_p2s[((signed long long )1ull)].field1)) = llvm_cbe_tmp552;
  llvm_cbe_tmp565 = *llvm_cbe_tmp88;
  llvm_cbe_tmp568 = *llvm_cbe_tmp91;
  *llvm_cbe_tmp74 = llvm_cbe_tmp565;
  *llvm_cbe_tmp77 = llvm_cbe_tmp568;
  return 2u;
llvm_cbe_bb577:
  llvm_cbe_tmp582 = ((float )((((float )(llvm_cbe_tmp272 + llvm_cbe_tmp426))) + llvm_cbe_tmp250));
  if ((llvm_fcmp_ule(llvm_cbe_tmp582, 0x0p+0))) {
    goto llvm_cbe_bb587;
  } else {
    goto llvm_cbe_bb591;
  }

llvm_cbe_bb587:
  __assert_fail(((&_2E_str6240[((signed long long )0ull)])), ((&_2E_str1235[((signed long long )0ull)])), 132u, ((&_ZZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb591:
  llvm_cbe_tmp593 = ((float )(0x1p+0 / llvm_cbe_tmp582));
  llvm_cbe_tmp596 = ((float )(llvm_cbe_tmp272 * llvm_cbe_tmp593));
  llvm_cbe_tmp599 = ((float )(llvm_cbe_tmp426 * llvm_cbe_tmp593));
  llvm_cbe_tmp603 = ((float )((((float )(0x1p+0 - llvm_cbe_tmp596))) - llvm_cbe_tmp599));
  llvm_cbe_tmp3_2e_i673 = *((&llvm_cbe_p1s[((signed long long )2ull)].field1));
  llvm_cbe_tmp8_2e_i678 = *((&llvm_cbe_p1s[((signed long long )2ull)].field0));
  llvm_cbe_tmp22_2e_i698189118921893_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6951884__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i678 * llvm_cbe_tmp603))), llvm_cbe_tmp19_2e_i6951884__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6981891__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i673 * llvm_cbe_tmp603))), llvm_cbe_tmp22_2e_i6981891__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i628 = *((&llvm_cbe_p1s[((signed long long )1ull)].field1));
  llvm_cbe_tmp8_2e_i633 = *((&llvm_cbe_p1s[((signed long long )1ull)].field0));
  llvm_cbe_tmp22_2e_i653187718781879_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6501870__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i633 * llvm_cbe_tmp599))), llvm_cbe_tmp19_2e_i6501870__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6531877__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i628 * llvm_cbe_tmp599))), llvm_cbe_tmp22_2e_i6531877__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i583 = *((&llvm_cbe_p1s->field1));
  llvm_cbe_tmp8_2e_i588 = *((&llvm_cbe_p1s->field0));
  llvm_cbe_tmp22_2e_i608186318641865_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6051856__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i588 * llvm_cbe_tmp596))), llvm_cbe_tmp19_2e_i6051856__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6081863__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i583 * llvm_cbe_tmp596))), llvm_cbe_tmp22_2e_i6081863__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i563184918501851_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5601842__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i6111855__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i608186318641865_2e_ins)), llvm_cbe_tmp25_2e_i6111855__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i6561869__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i653187718781879_2e_ins)), llvm_cbe_tmp25_2e_i6561869__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5601842__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5631849__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i6141861__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i608186318641865_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6141861__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i6591875__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i653187718781879_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6591875__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5631849__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i514183518361837_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5111828__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i5661841__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i563184918501851_2e_ins)), llvm_cbe_tmp29_2e_i5661841__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i7011883__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i698189118921893_2e_ins)), llvm_cbe_tmp25_2e_i7011883__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5111828__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5141835__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i5691847__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i563184918501851_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5691847__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i7041889__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i698189118921893_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i7041889__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5141835__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x1->field0)) = ((llvm_cbe_tmp29_2e_i5171827__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i514183518361837_2e_ins)), llvm_cbe_tmp29_2e_i5171827__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x1->field1)) = ((llvm_cbe_tmp32_2e_i5201833__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i514183518361837_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5201833__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp3_2e_i440 = *((&llvm_cbe_p2s[((signed long long )2ull)].field1));
  llvm_cbe_tmp8_2e_i445 = *((&llvm_cbe_p2s[((signed long long )2ull)].field0));
  llvm_cbe_tmp22_2e_i465182118221823_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i4621814__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i445 * llvm_cbe_tmp603))), llvm_cbe_tmp19_2e_i4621814__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i4651821__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i440 * llvm_cbe_tmp603))), llvm_cbe_tmp22_2e_i4651821__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i395 = *((&llvm_cbe_p2s[((signed long long )1ull)].field1));
  llvm_cbe_tmp8_2e_i400 = *((&llvm_cbe_p2s[((signed long long )1ull)].field0));
  llvm_cbe_tmp22_2e_i420180718081809_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i4171800__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i400 * llvm_cbe_tmp599))), llvm_cbe_tmp19_2e_i4171800__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i4201807__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i395 * llvm_cbe_tmp599))), llvm_cbe_tmp22_2e_i4201807__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i351 = *((&llvm_cbe_p2s->field1));
  llvm_cbe_tmp8_2e_i356 = *((&llvm_cbe_p2s->field0));
  llvm_cbe_tmp22_2e_i376179317941795_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3731786__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i356 * llvm_cbe_tmp596))), llvm_cbe_tmp19_2e_i3731786__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3761793__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i351 * llvm_cbe_tmp596))), llvm_cbe_tmp22_2e_i3761793__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i332177917801781_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i3291772__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i3791785__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i376179317941795_2e_ins)), llvm_cbe_tmp25_2e_i3791785__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i4231799__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i420180718081809_2e_ins)), llvm_cbe_tmp25_2e_i4231799__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i3291772__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i3321779__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i3821791__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i376179317941795_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3821791__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i4261805__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i420180718081809_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i4261805__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i3321779__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i283176517661767_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i2801758__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i3351771__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i332177917801781_2e_ins)), llvm_cbe_tmp29_2e_i3351771__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i4681813__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i465182118221823_2e_ins)), llvm_cbe_tmp25_2e_i4681813__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i2801758__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i2831765__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i3381777__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i332177917801781_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i3381777__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i4711819__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i465182118221823_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i4711819__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i2831765__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_x2->field0)) = ((llvm_cbe_tmp29_2e_i2861757__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i283176517661767_2e_ins)), llvm_cbe_tmp29_2e_i2861757__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_x2->field1)) = ((llvm_cbe_tmp32_2e_i2891763__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i283176517661767_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i2891763__BITCAST_TEMPORARY.Float));
  return 3u;
}


static float _ZL10DistancePCP6b2Vec2S0_PK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_(struct l_struct_2E_b2Vec2 *llvm_cbe_x1, struct l_struct_2E_b2Vec2 *llvm_cbe_x2, struct l_struct_2E_b2PolygonShape *llvm_cbe_polygon, struct l_struct_2E_b2XForm *llvm_cbe_xf1, struct l_struct_2E_b2CircleShape *llvm_cbe_circle, struct l_struct_2E_b2XForm *llvm_cbe_xf2) {
  struct l_struct_2E_b2Vec2 llvm_cbe_w_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_v_2e_i132;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_points_2e_i[3];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p2s_2e_i[3];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p1s_2e_i[3];    /* Address-exposed local */
  unsigned long long llvm_cbe_tmp9;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp21_2e_i152;
  unsigned long long llvm_cbe_tmp18_2e_i150_2e_0;
  unsigned long long llvm_cbe_tmp18_2e_i150_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp27_2e_i157;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp34_2e_i;
  unsigned long long llvm_cbe_tmp15_2e_i148_2e_0;
  unsigned long long llvm_cbe_tmp15_2e_i148_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp41_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp49_2e_i;
  unsigned long long llvm_cbe_tmp12_2e_i146_2e_0;
  unsigned long long llvm_cbe_tmp12_2e_i146_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp56_2e_i;
  unsigned long long llvm_cbe_tmp6_2e_i112_2e_i;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i127_2e_i312__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i130_2e_i318__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp69_2e_i;
  float *llvm_cbe_tmp72_2e_i;
  unsigned long long llvm_cbe_tmp18_2e_i307_2e_i369370;
  unsigned long long llvm_cbe_tmp21_2e_i310_2e_i376377378;
  unsigned long long llvm_cbe_tmp21_2e_i310_2e_i376377378_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i313_2e_i368__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp27_2e_i316_2e_i374__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp80_2e_i;
  float *llvm_cbe_tmp83_2e_i;
  float *llvm_cbe_tmp91_2e_i;
  float *llvm_cbe_tmp94_2e_i;
  float *llvm_cbe_tmp128_2e_i;
  float *llvm_cbe_tmp131_2e_i;
  float *llvm_cbe_tmp182_2e_i;
  float *llvm_cbe_tmp185_2e_i;
  float *llvm_cbe_tmp189_2e_i;
  float *llvm_cbe_tmp192_2e_i;
  float *llvm_cbe_tmp196_2e_i;
  float *llvm_cbe_tmp199_2e_i;
  float *llvm_cbe_tmp234_2e_i;
  float *llvm_cbe_tmp237_2e_i;
  float *llvm_cbe_tmp241_2e_i;
  float *llvm_cbe_tmp244_2e_i;
  float *llvm_cbe_tmp248_2e_i;
  float *llvm_cbe_tmp251_2e_i;
  float *llvm_cbe_tmp262_2e_i;
  float *llvm_cbe_tmp265_2e_i;
  float *llvm_cbe_tmp269_2e_i;
  float *llvm_cbe_tmp272_2e_i;
  float *llvm_cbe_tmp276_2e_i;
  float *llvm_cbe_tmp279_2e_i;
  unsigned int llvm_cbe_iter_2e_i_2e_0;
  unsigned int llvm_cbe_iter_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_pointCount_2e_i_2e_1;
  unsigned int llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i329_2e_i;
  float llvm_cbe_tmp6_2e_i332_2e_i;
  float llvm_cbe_tmp10_2e_i336_2e_i;
  float llvm_cbe_tmp13_2e_i339_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i355_2e_i383__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i358_2e_i390__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i358_2e_i390391392_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp93_2e_i248__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp96_2e_i252__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp99_2e_i;
  float llvm_cbe_tmp103_2e_i255;
  llvmBitCastUnion llvm_cbe_tmp103_2e_i255__BITCAST_TEMPORARY;
  float llvm_cbe_tmp106_2e_i259;
  llvmBitCastUnion llvm_cbe_tmp106_2e_i259__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i258_2e_i;
  float llvm_cbe_tmp7_2e_i262_2e_i;
  unsigned long long llvm_cbe_tmp23_2e_i240_2e_i348349350_2e_ins;
  float llvm_cbe_tmp121_2e_i269;
  llvmBitCastUnion llvm_cbe_tmp121_2e_i269__BITCAST_TEMPORARY;
  float llvm_cbe_tmp124_2e_i273;
  llvmBitCastUnion llvm_cbe_tmp124_2e_i273__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i216_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i188_2e_i327__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i191_2e_i334__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i191_2e_i334335336_2e_ins;
  float llvm_cbe_tmp130_2e_i276;
  llvmBitCastUnion llvm_cbe_tmp130_2e_i276__BITCAST_TEMPORARY;
  float llvm_cbe_tmp133_2e_i280;
  llvmBitCastUnion llvm_cbe_tmp133_2e_i280__BITCAST_TEMPORARY;
  unsigned char llvm_cbe_tmp146_2e_i;
  float llvm_cbe_tmp177_2e_i;
  float llvm_cbe_tmp198_2e_i;
  float llvm_cbe_tmp201_2e_i;
  unsigned int llvm_cbe_tmp231_2e_i;
  float llvm_cbe_tmp250_2e_i;
  float llvm_cbe_tmp253_2e_i;
  unsigned int llvm_cbe_tmp259_2e_i;
  float llvm_cbe_tmp278_2e_i;
  float llvm_cbe_tmp281_2e_i;
  unsigned int llvm_cbe_tmp287_2e_i;
  unsigned int llvm_cbe_pointCount_2e_i_2e_0;
  unsigned int llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp297298_2e_i;
  float llvm_cbe_tmp3_2e_i90_2e_i;
  float llvm_cbe_tmp10_2e_i97_2e_i;
  float llvm_cbe_tmp15_2e_i102_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i;
  unsigned int llvm_cbe_tmp307_2e_i;
  float llvm_cbe_maxSqr_2e_i_2e_0;
  float llvm_cbe_maxSqr_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge4_2e_i;
  unsigned int llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i64_2e_i;
  float llvm_cbe_tmp6_2e_i67_2e_i;
  float llvm_cbe_tmp10_2e_i71_2e_i;
  float llvm_cbe_tmp13_2e_i74_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i292__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i299__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i299300301_2e_ins;
  float llvm_cbe_tmp29_2e_i_2e_i291;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i_2e_i291__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i_2e_i297;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i_2e_i297__BITCAST_TEMPORARY;
  float llvm_cbe_tmp340_2e_i;
  unsigned int llvm_cbe_tmp343_2e_i;
  float llvm_cbe_tmp351_2e_i;
  float llvm_cbe_tmp3_2e_i137_2e_0;
  float llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i127;
  float llvm_cbe_tmp25;
  float llvm_cbe_tmp32;
  float llvm_cbe_tmp3_2e_i93;
  float llvm_cbe_tmp6_2e_i96;
  float llvm_cbe_tmp10_2e_i100;
  float llvm_cbe_tmp13_2e_i103;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i119222__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i122229__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i122229230231_2e_ins;
  float llvm_cbe_tmp29_2e_i221;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i221__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i227;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i227__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i66;
  float llvm_cbe_tmp13_2e_i71;
  float llvm_cbe_tmp20_2e_i78;
  float llvm_cbe_d_2e_0_2e_0;
  float llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_d_2e_1_2e_0;
  float llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i208__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i215__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i215216217_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i207__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i213__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i;
  float llvm_cbe_tmp11_2e_i;
  float llvm_cbe_tmp15_2e_i;
  float llvm_cbe_tmp58;
  float llvm_cbe_tmp61;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_distance_2e_0;
  float llvm_cbe_distance_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp9 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf2, ((&llvm_cbe_circle->field1)));
  llvm_cbe_tmp21_2e_i152 = (&llvm_cbe_p1s_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp18_2e_i150_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i158;

  do {     /* Syntactic loop 'bb.i158' to make GCC happy */
llvm_cbe_bb_2e_i158:
  llvm_cbe_tmp18_2e_i150_2e_0 = llvm_cbe_tmp18_2e_i150_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp27_2e_i157 = llvm_cbe_tmp18_2e_i150_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp27_2e_i157 == 18446744073709551615ull)) {
    goto llvm_cbe_bb32_2e_i;
  } else {
    llvm_cbe_tmp18_2e_i150_2e_0__PHI_TEMPORARY = llvm_cbe_tmp27_2e_i157;   /* for PHI node */
    goto llvm_cbe_bb_2e_i158;
  }

  } while (1); /* end of syntactic loop 'bb.i158' */
llvm_cbe_bb32_2e_i:
  llvm_cbe_tmp34_2e_i = (&llvm_cbe_p2s_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp15_2e_i148_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
  goto llvm_cbe_bb36_2e_i;

  do {     /* Syntactic loop 'bb36.i' to make GCC happy */
llvm_cbe_bb36_2e_i:
  llvm_cbe_tmp15_2e_i148_2e_0 = llvm_cbe_tmp15_2e_i148_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp41_2e_i = llvm_cbe_tmp15_2e_i148_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp41_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb47_2e_i;
  } else {
    llvm_cbe_tmp15_2e_i148_2e_0__PHI_TEMPORARY = llvm_cbe_tmp41_2e_i;   /* for PHI node */
    goto llvm_cbe_bb36_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb36.i' */
llvm_cbe_bb47_2e_i:
  llvm_cbe_tmp49_2e_i = (&llvm_cbe_points_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp12_2e_i146_2e_0__PHI_TEMPORARY = 2ull;   /* for PHI node */
  goto llvm_cbe_bb51_2e_i;

  do {     /* Syntactic loop 'bb51.i' to make GCC happy */
llvm_cbe_bb51_2e_i:
  llvm_cbe_tmp12_2e_i146_2e_0 = llvm_cbe_tmp12_2e_i146_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp56_2e_i = llvm_cbe_tmp12_2e_i146_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp56_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb62_2e_i;
  } else {
    llvm_cbe_tmp12_2e_i146_2e_0__PHI_TEMPORARY = llvm_cbe_tmp56_2e_i;   /* for PHI node */
    goto llvm_cbe_bb51_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb51.i' */
llvm_cbe_bb62_2e_i:
  llvm_cbe_tmp6_2e_i112_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf1, ((&llvm_cbe_polygon->field5[((signed long long )0ull)])));
  llvm_cbe_tmp69_2e_i = (&llvm_cbe_x1->field0);
  *llvm_cbe_tmp69_2e_i = ((llvm_cbe_tmp22_2e_i127_2e_i312__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp6_2e_i112_2e_i)), llvm_cbe_tmp22_2e_i127_2e_i312__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp72_2e_i = (&llvm_cbe_x1->field1);
  *llvm_cbe_tmp72_2e_i = ((llvm_cbe_tmp25_2e_i130_2e_i318__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp6_2e_i112_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp25_2e_i130_2e_i318__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp18_2e_i307_2e_i369370 = llvm_cbe_tmp9 & 4294967295ull;
  llvm_cbe_tmp21_2e_i310_2e_i376377378 = llvm_cbe_tmp9 & 18446744069414584320ull;
  llvm_cbe_tmp21_2e_i310_2e_i376377378_2e_ins = llvm_cbe_tmp18_2e_i307_2e_i369370 | llvm_cbe_tmp21_2e_i310_2e_i376377378;
  llvm_cbe_tmp80_2e_i = (&llvm_cbe_x2->field0);
  *llvm_cbe_tmp80_2e_i = ((llvm_cbe_tmp24_2e_i313_2e_i368__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp21_2e_i310_2e_i376377378_2e_ins)), llvm_cbe_tmp24_2e_i313_2e_i368__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp83_2e_i = (&llvm_cbe_x2->field1);
  *llvm_cbe_tmp83_2e_i = ((llvm_cbe_tmp27_2e_i316_2e_i374__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp21_2e_i310_2e_i376377378_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp27_2e_i316_2e_i374__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp91_2e_i = (&llvm_cbe_v_2e_i132.field0);
  llvm_cbe_tmp94_2e_i = (&llvm_cbe_v_2e_i132.field1);
  llvm_cbe_tmp128_2e_i = (&llvm_cbe_w_2e_i.field0);
  llvm_cbe_tmp131_2e_i = (&llvm_cbe_w_2e_i.field1);
  llvm_cbe_tmp182_2e_i = (&llvm_cbe_p1s_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp185_2e_i = (&llvm_cbe_p1s_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp189_2e_i = (&llvm_cbe_p2s_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp192_2e_i = (&llvm_cbe_p2s_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp196_2e_i = (&llvm_cbe_points_2e_i[((signed int )0u)].field0);
  llvm_cbe_tmp199_2e_i = (&llvm_cbe_points_2e_i[((signed int )0u)].field1);
  llvm_cbe_tmp234_2e_i = (&llvm_cbe_p1s_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp237_2e_i = (&llvm_cbe_p1s_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp241_2e_i = (&llvm_cbe_p2s_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp244_2e_i = (&llvm_cbe_p2s_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp248_2e_i = (&llvm_cbe_points_2e_i[((signed long long )1ull)].field0);
  llvm_cbe_tmp251_2e_i = (&llvm_cbe_points_2e_i[((signed long long )1ull)].field1);
  llvm_cbe_tmp262_2e_i = (&llvm_cbe_p1s_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp265_2e_i = (&llvm_cbe_p1s_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp269_2e_i = (&llvm_cbe_p2s_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp272_2e_i = (&llvm_cbe_p2s_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_tmp276_2e_i = (&llvm_cbe_points_2e_i[((signed long long )2ull)].field0);
  llvm_cbe_tmp279_2e_i = (&llvm_cbe_points_2e_i[((signed long long )2ull)].field1);
  llvm_cbe_iter_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb86_2e_i;

  do {     /* Syntactic loop 'bb86.i' to make GCC happy */
llvm_cbe_bb86_2e_i:
  llvm_cbe_iter_2e_i_2e_0 = llvm_cbe_iter_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_pointCount_2e_i_2e_1 = llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i329_2e_i = *llvm_cbe_tmp83_2e_i;
  llvm_cbe_tmp6_2e_i332_2e_i = *llvm_cbe_tmp72_2e_i;
  llvm_cbe_tmp10_2e_i336_2e_i = *llvm_cbe_tmp80_2e_i;
  llvm_cbe_tmp13_2e_i339_2e_i = *llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp26_2e_i358_2e_i390391392_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i355_2e_i383__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i336_2e_i - llvm_cbe_tmp13_2e_i339_2e_i))), llvm_cbe_tmp23_2e_i355_2e_i383__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i358_2e_i390__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i329_2e_i - llvm_cbe_tmp6_2e_i332_2e_i))), llvm_cbe_tmp26_2e_i358_2e_i390__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp91_2e_i = ((llvm_cbe_tmp93_2e_i248__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i358_2e_i390391392_2e_ins)), llvm_cbe_tmp93_2e_i248__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp94_2e_i = ((llvm_cbe_tmp96_2e_i252__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i358_2e_i390391392_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp96_2e_i252__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp99_2e_i = _ZNK14b2PolygonShape7SupportERK7b2XFormRK6b2Vec2(llvm_cbe_polygon, llvm_cbe_xf1, (&llvm_cbe_v_2e_i132));
  llvm_cbe_tmp103_2e_i255 = (llvm_cbe_tmp103_2e_i255__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp99_2e_i)), llvm_cbe_tmp103_2e_i255__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp106_2e_i259 = (llvm_cbe_tmp106_2e_i259__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp99_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp106_2e_i259__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i258_2e_i = *llvm_cbe_tmp94_2e_i;
  llvm_cbe_tmp7_2e_i262_2e_i = *llvm_cbe_tmp91_2e_i;
  llvm_cbe_tmp23_2e_i240_2e_i348349350_2e_ins = llvm_cbe_tmp18_2e_i307_2e_i369370 | llvm_cbe_tmp21_2e_i310_2e_i376377378;
  llvm_cbe_tmp121_2e_i269 = (llvm_cbe_tmp121_2e_i269__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i240_2e_i348349350_2e_ins)), llvm_cbe_tmp121_2e_i269__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp124_2e_i273 = (llvm_cbe_tmp124_2e_i273__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i240_2e_i348349350_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp124_2e_i273__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i216_2e_i = ((float )((((float )(llvm_cbe_tmp7_2e_i262_2e_i * llvm_cbe_tmp7_2e_i262_2e_i))) + (((float )(llvm_cbe_tmp3_2e_i258_2e_i * llvm_cbe_tmp3_2e_i258_2e_i)))));
  llvm_cbe_tmp26_2e_i191_2e_i334335336_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i188_2e_i327__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp121_2e_i269 - llvm_cbe_tmp103_2e_i255))), llvm_cbe_tmp23_2e_i188_2e_i327__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i191_2e_i334__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp124_2e_i273 - llvm_cbe_tmp106_2e_i259))), llvm_cbe_tmp26_2e_i191_2e_i334__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp130_2e_i276 = (llvm_cbe_tmp130_2e_i276__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i191_2e_i334335336_2e_ins)), llvm_cbe_tmp130_2e_i276__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp128_2e_i = llvm_cbe_tmp130_2e_i276;
  llvm_cbe_tmp133_2e_i280 = (llvm_cbe_tmp133_2e_i280__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i191_2e_i334335336_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp133_2e_i280__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp131_2e_i = llvm_cbe_tmp133_2e_i280;
  if ((llvm_fcmp_ugt((((float )(llvm_cbe_tmp15_2e_i216_2e_i - (((float )((((float )(llvm_cbe_tmp7_2e_i262_2e_i * llvm_cbe_tmp130_2e_i276))) + (((float )(llvm_cbe_tmp3_2e_i258_2e_i * llvm_cbe_tmp133_2e_i280))))))))), (((float )(llvm_cbe_tmp15_2e_i216_2e_i * 0x1.47ae14p-7)))))) {
    goto llvm_cbe_bb143_2e_i;
  } else {
    goto llvm_cbe_bb154_2e_i;
  }

llvm_cbe_bb341_2e_i:
  llvm_cbe_tmp343_2e_i = llvm_cbe_iter_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp343_2e_i) < ((signed int )20u))) {
    llvm_cbe_iter_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp343_2e_i;   /* for PHI node */
    llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb86_2e_i;
  } else {
    goto llvm_cbe_bb349_2e_i;
  }

llvm_cbe_bb319_2e_i:
  if ((llvm_fcmp_ult((((float )(llvm_cbe_maxSqr_2e_i_2e_0 * 0x1.9p-17))), llvm_cbe_tmp15_2e_i216_2e_i))) {
    goto llvm_cbe_bb341_2e_i;
  } else {
    goto llvm_cbe_bb326_2e_i;
  }

llvm_cbe_bb314_2e_i:
  if ((llvm_cbe_pointCount_2e_i_2e_0 == 3u)) {
    goto llvm_cbe_bb326_2e_i;
  } else {
    goto llvm_cbe_bb319_2e_i;
  }

  do {     /* Syntactic loop 'bb308.i' to make GCC happy */
llvm_cbe_bb308_2e_i:
  llvm_cbe_maxSqr_2e_i_2e_0 = llvm_cbe_maxSqr_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge4_2e_i = llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge4_2e_i) < ((signed int )llvm_cbe_pointCount_2e_i_2e_0))) {
    goto llvm_cbe_bb296_2e_i;
  } else {
    goto llvm_cbe_bb314_2e_i;
  }

llvm_cbe_bb296_2e_i:
  llvm_cbe_tmp297298_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge4_2e_i);
  llvm_cbe_tmp3_2e_i90_2e_i = *((&llvm_cbe_points_2e_i[((signed long long )llvm_cbe_tmp297298_2e_i)].field0));
  llvm_cbe_tmp10_2e_i97_2e_i = *((&llvm_cbe_points_2e_i[((signed long long )llvm_cbe_tmp297298_2e_i)].field1));
  llvm_cbe_tmp15_2e_i102_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i90_2e_i * llvm_cbe_tmp3_2e_i90_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i97_2e_i * llvm_cbe_tmp10_2e_i97_2e_i)))));
  llvm_cbe_storemerge_2e_i_2e_i = (((llvm_fcmp_ogt(llvm_cbe_maxSqr_2e_i_2e_0, llvm_cbe_tmp15_2e_i102_2e_i))) ? (llvm_cbe_maxSqr_2e_i_2e_0) : (llvm_cbe_tmp15_2e_i102_2e_i));
  llvm_cbe_tmp307_2e_i = llvm_cbe_storemerge4_2e_i + 1u;
  llvm_cbe_maxSqr_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i;   /* for PHI node */
  llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY = llvm_cbe_tmp307_2e_i;   /* for PHI node */
  goto llvm_cbe_bb308_2e_i;

  } while (1); /* end of syntactic loop 'bb308.i' */
llvm_cbe_bb288_2e_i:
  llvm_cbe_pointCount_2e_i_2e_0 = llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY;
  if ((llvm_cbe_pointCount_2e_i_2e_0 == 3u)) {
    llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z15DistanceGenericI14b2PolygonShape5PointEfP6b2Vec2S3_PKT_RK7b2XFormPKT0_S9__2e_exit;
  } else {
    llvm_cbe_maxSqr_2e_i_2e_0__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
    llvm_cbe_storemerge4_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb308_2e_i;
  }

llvm_cbe_bb178_2e_i:
  switch (llvm_cbe_pointCount_2e_i_2e_1) {
  default:
    llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb288_2e_i;
;
  case 0u:
    goto llvm_cbe_bb180_2e_i;
    break;
  case 1u:
    goto llvm_cbe_bb232_2e_i;
  case 2u:
    goto llvm_cbe_bb260_2e_i;
  }
llvm_cbe_bb143_2e_i:
  llvm_cbe_tmp146_2e_i = _ZL8InPointsRK6b2Vec2PS0_i((&llvm_cbe_w_2e_i), llvm_cbe_tmp49_2e_i, llvm_cbe_pointCount_2e_i_2e_1);
  if ((llvm_cbe_tmp146_2e_i == ((unsigned char )0))) {
    goto llvm_cbe_bb178_2e_i;
  } else {
    goto llvm_cbe_bb154_2e_i;
  }

llvm_cbe_bb180_2e_i:
  *llvm_cbe_tmp182_2e_i = llvm_cbe_tmp103_2e_i255;
  *llvm_cbe_tmp185_2e_i = llvm_cbe_tmp106_2e_i259;
  *llvm_cbe_tmp189_2e_i = llvm_cbe_tmp121_2e_i269;
  *llvm_cbe_tmp192_2e_i = llvm_cbe_tmp124_2e_i273;
  llvm_cbe_tmp198_2e_i = *llvm_cbe_tmp128_2e_i;
  *llvm_cbe_tmp196_2e_i = llvm_cbe_tmp198_2e_i;
  llvm_cbe_tmp201_2e_i = *llvm_cbe_tmp131_2e_i;
  *llvm_cbe_tmp199_2e_i = llvm_cbe_tmp201_2e_i;
  *llvm_cbe_tmp69_2e_i = llvm_cbe_tmp103_2e_i255;
  *llvm_cbe_tmp72_2e_i = llvm_cbe_tmp106_2e_i259;
  *llvm_cbe_tmp80_2e_i = llvm_cbe_tmp121_2e_i269;
  *llvm_cbe_tmp83_2e_i = llvm_cbe_tmp124_2e_i273;
  llvm_cbe_tmp231_2e_i = llvm_cbe_pointCount_2e_i_2e_1 + 1u;
  llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp231_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i;

llvm_cbe_bb232_2e_i:
  *llvm_cbe_tmp234_2e_i = llvm_cbe_tmp103_2e_i255;
  *llvm_cbe_tmp237_2e_i = llvm_cbe_tmp106_2e_i259;
  *llvm_cbe_tmp241_2e_i = llvm_cbe_tmp121_2e_i269;
  *llvm_cbe_tmp244_2e_i = llvm_cbe_tmp124_2e_i273;
  llvm_cbe_tmp250_2e_i = *llvm_cbe_tmp128_2e_i;
  *llvm_cbe_tmp248_2e_i = llvm_cbe_tmp250_2e_i;
  llvm_cbe_tmp253_2e_i = *llvm_cbe_tmp131_2e_i;
  *llvm_cbe_tmp251_2e_i = llvm_cbe_tmp253_2e_i;
  llvm_cbe_tmp259_2e_i = _ZL10ProcessTwoP6b2Vec2S0_S0_S0_S0_(llvm_cbe_x1, llvm_cbe_x2, llvm_cbe_tmp21_2e_i152, llvm_cbe_tmp34_2e_i, llvm_cbe_tmp49_2e_i);
  llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp259_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i;

llvm_cbe_bb260_2e_i:
  *llvm_cbe_tmp262_2e_i = llvm_cbe_tmp103_2e_i255;
  *llvm_cbe_tmp265_2e_i = llvm_cbe_tmp106_2e_i259;
  *llvm_cbe_tmp269_2e_i = llvm_cbe_tmp121_2e_i269;
  *llvm_cbe_tmp272_2e_i = llvm_cbe_tmp124_2e_i273;
  llvm_cbe_tmp278_2e_i = *llvm_cbe_tmp128_2e_i;
  *llvm_cbe_tmp276_2e_i = llvm_cbe_tmp278_2e_i;
  llvm_cbe_tmp281_2e_i = *llvm_cbe_tmp131_2e_i;
  *llvm_cbe_tmp279_2e_i = llvm_cbe_tmp281_2e_i;
  llvm_cbe_tmp287_2e_i = _ZL12ProcessThreeP6b2Vec2S0_S0_S0_S0_(llvm_cbe_x1, llvm_cbe_x2, llvm_cbe_tmp21_2e_i152, llvm_cbe_tmp34_2e_i, llvm_cbe_tmp49_2e_i);
  llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp287_2e_i;   /* for PHI node */
  goto llvm_cbe_bb288_2e_i;

  } while (1); /* end of syntactic loop 'bb86.i' */
llvm_cbe_bb154_2e_i:
  if ((llvm_cbe_pointCount_2e_i_2e_1 == 0u)) {
    goto llvm_cbe_bb159_2e_i;
  } else {
    goto llvm_cbe_bb174_2e_i;
  }

llvm_cbe_bb159_2e_i:
  *llvm_cbe_tmp69_2e_i = llvm_cbe_tmp103_2e_i255;
  *llvm_cbe_tmp72_2e_i = llvm_cbe_tmp106_2e_i259;
  *llvm_cbe_tmp80_2e_i = llvm_cbe_tmp121_2e_i269;
  *llvm_cbe_tmp83_2e_i = llvm_cbe_tmp124_2e_i273;
  goto llvm_cbe_bb174_2e_i;

llvm_cbe_bb174_2e_i:
  llvm_cbe_tmp177_2e_i = sqrtf(llvm_cbe_tmp15_2e_i216_2e_i);
  llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY = llvm_cbe_tmp177_2e_i;   /* for PHI node */
  goto llvm_cbe__Z15DistanceGenericI14b2PolygonShape5PointEfP6b2Vec2S3_PKT_RK7b2XFormPKT0_S9__2e_exit;

llvm_cbe_bb326_2e_i:
  llvm_cbe_tmp3_2e_i64_2e_i = *llvm_cbe_tmp83_2e_i;
  llvm_cbe_tmp6_2e_i67_2e_i = *llvm_cbe_tmp72_2e_i;
  llvm_cbe_tmp10_2e_i71_2e_i = *llvm_cbe_tmp80_2e_i;
  llvm_cbe_tmp13_2e_i74_2e_i = *llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp26_2e_i_2e_i299300301_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i292__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i71_2e_i - llvm_cbe_tmp13_2e_i74_2e_i))), llvm_cbe_tmp23_2e_i_2e_i292__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i299__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i64_2e_i - llvm_cbe_tmp6_2e_i67_2e_i))), llvm_cbe_tmp26_2e_i_2e_i299__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i_2e_i291 = (llvm_cbe_tmp29_2e_i_2e_i291__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i299300301_2e_ins)), llvm_cbe_tmp29_2e_i_2e_i291__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i_2e_i297 = (llvm_cbe_tmp32_2e_i_2e_i297__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i299300301_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i_2e_i297__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp91_2e_i = llvm_cbe_tmp29_2e_i_2e_i291;
  *llvm_cbe_tmp94_2e_i = llvm_cbe_tmp32_2e_i_2e_i297;
  llvm_cbe_tmp340_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i_2e_i291 * llvm_cbe_tmp29_2e_i_2e_i291))) + (((float )(llvm_cbe_tmp32_2e_i_2e_i297 * llvm_cbe_tmp32_2e_i_2e_i297)))))));
  llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY = llvm_cbe_tmp340_2e_i;   /* for PHI node */
  goto llvm_cbe__Z15DistanceGenericI14b2PolygonShape5PointEfP6b2Vec2S3_PKT_RK7b2XFormPKT0_S9__2e_exit;

llvm_cbe_bb349_2e_i:
  llvm_cbe_tmp351_2e_i = sqrtf(llvm_cbe_tmp15_2e_i216_2e_i);
  llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY = llvm_cbe_tmp351_2e_i;   /* for PHI node */
  goto llvm_cbe__Z15DistanceGenericI14b2PolygonShape5PointEfP6b2Vec2S3_PKT_RK7b2XFormPKT0_S9__2e_exit;

llvm_cbe__Z15DistanceGenericI14b2PolygonShape5PointEfP6b2Vec2S3_PKT_RK7b2XFormPKT0_S9__2e_exit:
  llvm_cbe_tmp3_2e_i137_2e_0 = llvm_cbe_tmp3_2e_i137_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp3_2e_i127 = *((&llvm_cbe_circle->field2));
  llvm_cbe_tmp25 = ((float )(llvm_cbe_tmp3_2e_i127 - 0x1.47ae14p-5));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp3_2e_i137_2e_0, llvm_cbe_tmp25))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb54;
  }

llvm_cbe_bb:
  llvm_cbe_tmp32 = ((float )(llvm_cbe_tmp3_2e_i137_2e_0 - llvm_cbe_tmp25));
  llvm_cbe_tmp3_2e_i93 = *llvm_cbe_tmp83_2e_i;
  llvm_cbe_tmp6_2e_i96 = *llvm_cbe_tmp72_2e_i;
  llvm_cbe_tmp10_2e_i100 = *llvm_cbe_tmp80_2e_i;
  llvm_cbe_tmp13_2e_i103 = *llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp26_2e_i122229230231_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i119222__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i100 - llvm_cbe_tmp13_2e_i103))), llvm_cbe_tmp23_2e_i119222__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i122229__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i93 - llvm_cbe_tmp6_2e_i96))), llvm_cbe_tmp26_2e_i122229__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i221 = (llvm_cbe_tmp29_2e_i221__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i122229230231_2e_ins)), llvm_cbe_tmp29_2e_i221__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i227 = (llvm_cbe_tmp32_2e_i227__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i122229230231_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i227__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i221 * llvm_cbe_tmp29_2e_i221))) + (((float )(llvm_cbe_tmp32_2e_i227 * llvm_cbe_tmp32_2e_i227)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29_2e_i221;   /* for PHI node */
    llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i227;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i;
  }

llvm_cbe_bb6_2e_i:
  llvm_cbe_tmp8_2e_i66 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i71 = ((float )(llvm_cbe_tmp29_2e_i221 * llvm_cbe_tmp8_2e_i66));
  llvm_cbe_tmp20_2e_i78 = ((float )(llvm_cbe_tmp32_2e_i227 * llvm_cbe_tmp8_2e_i66));
  llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i71;   /* for PHI node */
  llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i78;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit:
  llvm_cbe_d_2e_0_2e_0 = llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_d_2e_1_2e_0 = llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp22_2e_i215216217_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i208__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_0_2e_0 * llvm_cbe_tmp25))), llvm_cbe_tmp19_2e_i208__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i215__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_1_2e_0 * llvm_cbe_tmp25))), llvm_cbe_tmp22_2e_i215__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp80_2e_i;
  *llvm_cbe_tmp80_2e_i = (((float )(llvm_cbe_tmp2_2e_i - ((llvm_cbe_tmp25_2e_i207__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i215216217_2e_ins)), llvm_cbe_tmp25_2e_i207__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i = *llvm_cbe_tmp83_2e_i;
  llvm_cbe_tmp15_2e_i = ((float )(llvm_cbe_tmp11_2e_i - ((llvm_cbe_tmp28_2e_i213__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i215216217_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i213__BITCAST_TEMPORARY.Float))));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp15_2e_i;   /* for PHI node */
  llvm_cbe_distance_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32;   /* for PHI node */
  goto llvm_cbe_bb69;

llvm_cbe_bb54:
  llvm_cbe_tmp58 = *llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp61 = *llvm_cbe_tmp72_2e_i;
  *llvm_cbe_tmp80_2e_i = llvm_cbe_tmp58;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp61;   /* for PHI node */
  llvm_cbe_distance_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb69;

llvm_cbe_bb69:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_distance_2e_0 = llvm_cbe_distance_2e_0__PHI_TEMPORARY;
  *llvm_cbe_tmp83_2e_i = llvm_cbe_storemerge;
  return llvm_cbe_distance_2e_0;
}


static unsigned char _ZN12b2MouseJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  return ((unsigned char )1);
}


static unsigned long long _ZNK12b2MouseJoint10GetAnchor1Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  float llvm_cbe_tmp6;
  float llvm_cbe_tmp9;
  llvmBitCastUnion llvm_cbe_tmp1829__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2136__BITCAST_TEMPORARY;

  llvm_cbe_tmp6 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp9 = *((&llvm_cbe_this->field2.field1));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp1829__BITCAST_TEMPORARY.Float = llvm_cbe_tmp6, llvm_cbe_tmp1829__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp2136__BITCAST_TEMPORARY.Float = llvm_cbe_tmp9, llvm_cbe_tmp2136__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static unsigned long long _ZNK12b2MouseJoint10GetAnchor2Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field1)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK12b2MouseJoint16GetReactionForceEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field3.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY.Float = llvm_cbe_tmp8_2e_i, llvm_cbe_tmp19_2e_i52__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY.Float = llvm_cbe_tmp3_2e_i, llvm_cbe_tmp22_2e_i59__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK12b2MouseJoint17GetReactionTorqueEv(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  return 0x0p+0;
}


static void _ZN12b2MouseJointD0Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN12b2MouseJointD1Ev(struct l_struct_2E_b2MouseJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN12b2MouseJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2MouseJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2AABB llvm_cbe_K;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K2;    /* Address-exposed local */
  struct l_struct_2E_b2AABB llvm_cbe_K1;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp8;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp12;
  float llvm_cbe_tmp3_2e_i334;
  float llvm_cbe_tmp6_2e_i337;
  float llvm_cbe_tmp10_2e_i341;
  float llvm_cbe_tmp13_2e_i344;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i360483__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i363490__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i363490491492_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i366482__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i369488__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp28;
  float llvm_cbe_tmp32390;
  llvmBitCastUnion llvm_cbe_tmp32390__BITCAST_TEMPORARY;
  float llvm_cbe_tmp35394;
  llvmBitCastUnion llvm_cbe_tmp35394__BITCAST_TEMPORARY;
  float llvm_cbe_tmp38;
  float llvm_cbe_tmp41;
  float llvm_cbe_tmp68;
  float *llvm_cbe_tmp91;
  float llvm_cbe_tmp92;
  float llvm_cbe_tmp95;
  float *llvm_cbe_tmp100;
  float llvm_cbe_tmp101;
  float llvm_cbe_tmp3_2e_i285;
  float llvm_cbe_tmp10_2e_i292;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i311469__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i314476__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i314476477478_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i317468__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i320474__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i244;
  float llvm_cbe_tmp13_2e_i251;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i267455__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i270462__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i270462463464_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i454__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i460__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp134;
  float llvm_cbe_tmp135;
  float llvm_cbe_tmp136;
  float llvm_cbe_tmp143;
  float llvm_cbe_tmp3_2e_i196;
  float llvm_cbe_tmp8_2e_i201;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i218441__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i221448__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i221448449450_2e_ins;
  float llvm_cbe_tmp25_2e_i224440;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i224440__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i227446;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i227446__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i427__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i434__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i434435436_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i426__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i432__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i149;
  float llvm_cbe_tmp2_2e_i150;
  float *llvm_cbe_tmp10_2e_i158;
  float llvm_cbe_tmp11_2e_i159;

  llvm_cbe_tmp12 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i334 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i337 = *((&llvm_cbe_tmp12->field3.field0.field1));
  llvm_cbe_tmp10_2e_i341 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i344 = *((&llvm_cbe_tmp12->field3.field0.field0));
  llvm_cbe_tmp26_2e_i363490491492_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i360483__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i341 - llvm_cbe_tmp13_2e_i344))), llvm_cbe_tmp23_2e_i360483__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i363490__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i334 - llvm_cbe_tmp6_2e_i337))), llvm_cbe_tmp26_2e_i363490__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp8.field0)) = ((llvm_cbe_tmp29_2e_i366482__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i363490491492_2e_ins)), llvm_cbe_tmp29_2e_i366482__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp8.field1)) = ((llvm_cbe_tmp32_2e_i369488__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i363490491492_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i369488__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp28 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp12->field2.field1)), (&llvm_cbe_tmp8));
  llvm_cbe_tmp32390 = (llvm_cbe_tmp32390__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp28)), llvm_cbe_tmp32390__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp35394 = (llvm_cbe_tmp35394__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp28) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp35394__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp38 = *((&llvm_cbe_tmp12->field16));
  llvm_cbe_tmp41 = *((&llvm_cbe_tmp12->field18));
  *((&llvm_cbe_K1.field0.field0)) = llvm_cbe_tmp38;
  *((&llvm_cbe_K1.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_K1.field0.field1)) = 0x0p+0;
  *((&llvm_cbe_K1.field1.field1)) = llvm_cbe_tmp38;
  *((&llvm_cbe_K2.field0.field0)) = (((float )((((float )(llvm_cbe_tmp35394 * llvm_cbe_tmp41))) * llvm_cbe_tmp35394)));
  llvm_cbe_tmp68 = ((float )((((float )(llvm_cbe_tmp32390 * (((float )(-(llvm_cbe_tmp41))))))) * llvm_cbe_tmp35394));
  *((&llvm_cbe_K2.field1.field0)) = llvm_cbe_tmp68;
  *((&llvm_cbe_K2.field0.field1)) = llvm_cbe_tmp68;
  *((&llvm_cbe_K2.field1.field1)) = (((float )((((float )(llvm_cbe_tmp32390 * llvm_cbe_tmp41))) * llvm_cbe_tmp32390)));
  llvm_cbe_K = _ZplRK7b2Mat22S1_((&llvm_cbe_K1), (&llvm_cbe_K2));
  llvm_cbe_tmp91 = (&llvm_cbe_K.field0.field0);
  llvm_cbe_tmp92 = *llvm_cbe_tmp91;
  llvm_cbe_tmp95 = *((&llvm_cbe_this->field8));
  *llvm_cbe_tmp91 = (((float )(llvm_cbe_tmp92 + llvm_cbe_tmp95)));
  llvm_cbe_tmp100 = (&llvm_cbe_K.field1.field1);
  llvm_cbe_tmp101 = *llvm_cbe_tmp100;
  *llvm_cbe_tmp100 = (((float )(llvm_cbe_tmp101 + llvm_cbe_tmp95)));
  *(((&llvm_cbe_this->field4))) = _ZNK7b2Mat226InvertEv((&llvm_cbe_K));
  llvm_cbe_tmp3_2e_i285 = *((&llvm_cbe_tmp12->field3.field2.field1));
  llvm_cbe_tmp10_2e_i292 = *((&llvm_cbe_tmp12->field3.field2.field0));
  llvm_cbe_tmp26_2e_i314476477478_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i311469__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i292 + llvm_cbe_tmp32390))), llvm_cbe_tmp23_2e_i311469__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i314476__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i285 + llvm_cbe_tmp35394))), llvm_cbe_tmp26_2e_i314476__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i244 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp13_2e_i251 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp26_2e_i270462463464_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i267455__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i317468__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i314476477478_2e_ins)), llvm_cbe_tmp29_2e_i317468__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i251))), llvm_cbe_tmp23_2e_i267455__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i270462__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i320474__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i314476477478_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i320474__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i244))), llvm_cbe_tmp26_2e_i270462__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field5.field0)) = ((llvm_cbe_tmp29_2e_i454__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i270462463464_2e_ins)), llvm_cbe_tmp29_2e_i454__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field5.field1)) = ((llvm_cbe_tmp32_2e_i460__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i270462463464_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i460__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp134 = (&llvm_cbe_tmp12->field5);
  llvm_cbe_tmp135 = *llvm_cbe_tmp134;
  llvm_cbe_tmp136 = ((float )(llvm_cbe_tmp135 * 0x1.f5c29p-1));
  *llvm_cbe_tmp134 = llvm_cbe_tmp136;
  llvm_cbe_tmp143 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp3_2e_i196 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp8_2e_i201 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp22_2e_i221448449450_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i218441__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i201 * llvm_cbe_tmp143))), llvm_cbe_tmp19_2e_i218441__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i221448__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i196 * llvm_cbe_tmp143))), llvm_cbe_tmp22_2e_i221448__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i224440 = (llvm_cbe_tmp25_2e_i224440__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i221448449450_2e_ins)), llvm_cbe_tmp25_2e_i224440__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i227446 = (llvm_cbe_tmp28_2e_i227446__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i221448449450_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i227446__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp22_2e_i434435436_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i427__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i224440 * llvm_cbe_tmp38))), llvm_cbe_tmp19_2e_i427__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i434__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i227446 * llvm_cbe_tmp38))), llvm_cbe_tmp22_2e_i434__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i149 = (&llvm_cbe_tmp12->field4.field0);
  llvm_cbe_tmp2_2e_i150 = *llvm_cbe_tmp1_2e_i149;
  *llvm_cbe_tmp1_2e_i149 = (((float )(llvm_cbe_tmp2_2e_i150 + ((llvm_cbe_tmp25_2e_i426__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i434435436_2e_ins)), llvm_cbe_tmp25_2e_i426__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i158 = (&llvm_cbe_tmp12->field4.field1);
  llvm_cbe_tmp11_2e_i159 = *llvm_cbe_tmp10_2e_i158;
  *llvm_cbe_tmp10_2e_i158 = (((float )(llvm_cbe_tmp11_2e_i159 + ((llvm_cbe_tmp28_2e_i432__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i434435436_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i432__BITCAST_TEMPORARY.Float)))));
  *llvm_cbe_tmp134 = (((float )(llvm_cbe_tmp136 + (((float )((((float )((((float )(llvm_cbe_tmp32390 * llvm_cbe_tmp28_2e_i227446))) - (((float )(llvm_cbe_tmp35394 * llvm_cbe_tmp25_2e_i224440)))))) * llvm_cbe_tmp41))))));
  return;
}


static void _ZN12b2MouseJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2MouseJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp16;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp23;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp27;
  float llvm_cbe_tmp3_2e_i421;
  float llvm_cbe_tmp6_2e_i424;
  float llvm_cbe_tmp10_2e_i428;
  float llvm_cbe_tmp13_2e_i431;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i447945__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i450952__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i450952953954_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i453944__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i456950__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp43;
  float llvm_cbe_tmp47796;
  llvmBitCastUnion llvm_cbe_tmp47796__BITCAST_TEMPORARY;
  float llvm_cbe_tmp50800;
  llvmBitCastUnion llvm_cbe_tmp50800__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp52;
  float llvm_cbe_tmp53;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i7751043__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7781050__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i778105010511052_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7811042__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7841048__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i702;
  float llvm_cbe_tmp3_2e_i703;
  float *llvm_cbe_tmp9_2e_i709;
  float llvm_cbe_tmp10_2e_i710;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7291029__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7321036__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i732103610371038_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7351028__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7381034__BITCAST_TEMPORARY;
  float llvm_cbe_tmp76;
  float *llvm_cbe_tmp2_2e_i657;
  float llvm_cbe_tmp3_2e_i658;
  float *llvm_cbe_tmp7_2e_i662;
  float llvm_cbe_tmp8_2e_i663;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6801015__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6831022__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i683102210231024_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6861014__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6891020__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp86;
  float llvm_cbe_tmp87;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6351001__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6381008__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i638100810091010_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6411000__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6441006__BITCAST_TEMPORARY;
  float llvm_cbe_tmp100;
  float *llvm_cbe_tmp102;
  float llvm_cbe_tmp103;
  float llvm_cbe_tmp104;
  float llvm_cbe_tmp3_2e_i568;
  float llvm_cbe_tmp8_2e_i573;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i590987__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i593994__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i593994995996_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i596986__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i599992__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i545973__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i548980__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i548980981982_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i551972__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i554978__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i496959__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i499966__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i499966967968_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i502958__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i505964__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp131;
  llvmBitCastUnion llvm_cbe_tmp135852__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp138856__BITCAST_TEMPORARY;
  float llvm_cbe_tmp141;
  float llvm_cbe_tmp142;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i398931__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i401938__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i401938939940_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i404930__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i407936__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp154;
  float llvm_cbe_tmp155;
  float llvm_cbe_tmp158;
  float llvm_cbe_tmp2_2e_i348;
  float llvm_cbe_tmp6_2e_i352;
  float *llvm_cbe_tmp10_2e_i356;
  float llvm_cbe_tmp11_2e_i357;
  float llvm_cbe_tmp15_2e_i361;
  float llvm_cbe_tmp3_2e_i330;
  float llvm_cbe_tmp16_2e_i343;
  float llvm_cbe_tmp172;
  float llvm_cbe_tmp180;
  float llvm_cbe_tmp2_2e_i315;
  float llvm_cbe_tmp9_2e_i322;
  float llvm_cbe_tmp3_2e_i279;
  float llvm_cbe_tmp10_2e_i286;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i305917__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i308924__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i308924925926_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY;
  float llvm_cbe_tmp196;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i256903__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i259910__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i259910911912_2e_ins;
  float llvm_cbe_tmp25_2e_i262902;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i262902__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i265908;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i265908__BITCAST_TEMPORARY;
  float llvm_cbe_tmp207;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i889__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i896__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i896897898_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i888__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i894__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i188;
  float llvm_cbe_tmp11_2e_i197;
  float llvm_cbe_tmp220;
  float llvm_cbe_tmp223;

  llvm_cbe_tmp27 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i421 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i424 = *((&llvm_cbe_tmp27->field3.field0.field1));
  llvm_cbe_tmp10_2e_i428 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i431 = *((&llvm_cbe_tmp27->field3.field0.field0));
  llvm_cbe_tmp26_2e_i450952953954_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i447945__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i428 - llvm_cbe_tmp13_2e_i431))), llvm_cbe_tmp23_2e_i447945__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i450952__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i421 - llvm_cbe_tmp6_2e_i424))), llvm_cbe_tmp26_2e_i450952__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp23.field0)) = ((llvm_cbe_tmp29_2e_i453944__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i450952953954_2e_ins)), llvm_cbe_tmp29_2e_i453944__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp23.field1)) = ((llvm_cbe_tmp32_2e_i456950__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i450952953954_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i456950__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp43 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp27->field2.field1)), (&llvm_cbe_tmp23));
  llvm_cbe_tmp47796 = (llvm_cbe_tmp47796__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp43)), llvm_cbe_tmp47796__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp50800 = (llvm_cbe_tmp50800__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp43) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp50800__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp52 = (&llvm_cbe_tmp27->field5);
  llvm_cbe_tmp53 = *llvm_cbe_tmp52;
  llvm_cbe_tmp23_2e_i778105010511052_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i7751043__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp50800 * (((float )(-(llvm_cbe_tmp53))))))), llvm_cbe_tmp20_2e_i7751043__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7781050__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp47796 * llvm_cbe_tmp53))), llvm_cbe_tmp23_2e_i7781050__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i702 = (&llvm_cbe_tmp27->field4.field1);
  llvm_cbe_tmp3_2e_i703 = *llvm_cbe_tmp2_2e_i702;
  llvm_cbe_tmp9_2e_i709 = (&llvm_cbe_tmp27->field4.field0);
  llvm_cbe_tmp10_2e_i710 = *llvm_cbe_tmp9_2e_i709;
  llvm_cbe_tmp26_2e_i732103610371038_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7291029__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i710 + ((llvm_cbe_tmp26_2e_i7811042__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i778105010511052_2e_ins)), llvm_cbe_tmp26_2e_i7811042__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i7291029__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7321036__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i703 + ((llvm_cbe_tmp29_2e_i7841048__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i778105010511052_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i7841048__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i7321036__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp76 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp2_2e_i657 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp3_2e_i658 = *llvm_cbe_tmp2_2e_i657;
  llvm_cbe_tmp7_2e_i662 = (&llvm_cbe_this->field3.field0);
  llvm_cbe_tmp8_2e_i663 = *llvm_cbe_tmp7_2e_i662;
  llvm_cbe_tmp22_2e_i683102210231024_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6801015__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i663 * llvm_cbe_tmp76))), llvm_cbe_tmp19_2e_i6801015__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6831022__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i658 * llvm_cbe_tmp76))), llvm_cbe_tmp22_2e_i6831022__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp86 = (&llvm_cbe_step->field0);
  llvm_cbe_tmp87 = *llvm_cbe_tmp86;
  llvm_cbe_tmp22_2e_i638100810091010_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6351001__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i6861014__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i683102210231024_2e_ins)), llvm_cbe_tmp25_2e_i6861014__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp87))), llvm_cbe_tmp19_2e_i6351001__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6381008__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i6891020__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i683102210231024_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6891020__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp87))), llvm_cbe_tmp22_2e_i6381008__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp100 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp102 = (&llvm_cbe_step->field1);
  llvm_cbe_tmp103 = *llvm_cbe_tmp102;
  llvm_cbe_tmp104 = ((float )(llvm_cbe_tmp100 * llvm_cbe_tmp103));
  llvm_cbe_tmp3_2e_i568 = *((&llvm_cbe_this->field5.field1));
  llvm_cbe_tmp8_2e_i573 = *((&llvm_cbe_this->field5.field0));
  llvm_cbe_tmp22_2e_i593994995996_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i590987__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i573 * llvm_cbe_tmp104))), llvm_cbe_tmp19_2e_i590987__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i593994__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i568 * llvm_cbe_tmp104))), llvm_cbe_tmp22_2e_i593994__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i548980981982_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i545973__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i7351028__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i732103610371038_2e_ins)), llvm_cbe_tmp29_2e_i7351028__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i596986__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i593994995996_2e_ins)), llvm_cbe_tmp25_2e_i596986__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i545973__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i548980__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i7381034__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i732103610371038_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7381034__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i599992__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i593994995996_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i599992__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i548980__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i499966967968_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i496959__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i551972__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i548980981982_2e_ins)), llvm_cbe_tmp29_2e_i551972__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i6411000__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i638100810091010_2e_ins)), llvm_cbe_tmp25_2e_i6411000__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i496959__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i499966__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i554978__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i548980981982_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i554978__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i6441006__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i638100810091010_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6441006__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i499966__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp16.field0)) = ((llvm_cbe_tmp29_2e_i502958__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i499966967968_2e_ins)), llvm_cbe_tmp29_2e_i502958__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp16.field1)) = ((llvm_cbe_tmp32_2e_i505964__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i499966967968_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i505964__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp131 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_this->field4)), (&llvm_cbe_tmp16));
  llvm_cbe_tmp141 = *llvm_cbe_tmp102;
  llvm_cbe_tmp142 = ((float )(-(llvm_cbe_tmp141)));
  llvm_cbe_tmp22_2e_i401938939940_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i398931__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp135852__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp131)), llvm_cbe_tmp135852__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp142))), llvm_cbe_tmp19_2e_i398931__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i401938__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp138856__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp131) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp138856__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp142))), llvm_cbe_tmp22_2e_i401938__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp154 = (&llvm_cbe_this->field3.field0);
  llvm_cbe_tmp155 = *llvm_cbe_tmp154;
  llvm_cbe_tmp158 = *llvm_cbe_tmp2_2e_i657;
  llvm_cbe_tmp2_2e_i348 = *llvm_cbe_tmp7_2e_i662;
  llvm_cbe_tmp6_2e_i352 = ((float )(llvm_cbe_tmp2_2e_i348 + ((llvm_cbe_tmp25_2e_i404930__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i401938939940_2e_ins)), llvm_cbe_tmp25_2e_i404930__BITCAST_TEMPORARY.Float))));
  *llvm_cbe_tmp7_2e_i662 = llvm_cbe_tmp6_2e_i352;
  llvm_cbe_tmp10_2e_i356 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp11_2e_i357 = *llvm_cbe_tmp10_2e_i356;
  llvm_cbe_tmp15_2e_i361 = ((float )(llvm_cbe_tmp11_2e_i357 + ((llvm_cbe_tmp28_2e_i407936__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i401938939940_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i407936__BITCAST_TEMPORARY.Float))));
  *llvm_cbe_tmp10_2e_i356 = llvm_cbe_tmp15_2e_i361;
  llvm_cbe_tmp3_2e_i330 = *llvm_cbe_tmp154;
  llvm_cbe_tmp16_2e_i343 = sqrtf((((float )((((float )(llvm_cbe_tmp3_2e_i330 * llvm_cbe_tmp6_2e_i352))) + (((float )(llvm_cbe_tmp15_2e_i361 * llvm_cbe_tmp15_2e_i361)))))));
  llvm_cbe_tmp172 = *((&llvm_cbe_this->field6));
  if ((llvm_fcmp_olt(llvm_cbe_tmp172, llvm_cbe_tmp16_2e_i343))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb183;
  }

llvm_cbe_bb:
  llvm_cbe_tmp180 = ((float )(llvm_cbe_tmp172 / llvm_cbe_tmp16_2e_i343));
  llvm_cbe_tmp2_2e_i315 = *llvm_cbe_tmp7_2e_i662;
  *llvm_cbe_tmp7_2e_i662 = (((float )(llvm_cbe_tmp2_2e_i315 * llvm_cbe_tmp180)));
  llvm_cbe_tmp9_2e_i322 = *llvm_cbe_tmp10_2e_i356;
  *llvm_cbe_tmp10_2e_i356 = (((float )(llvm_cbe_tmp9_2e_i322 * llvm_cbe_tmp180)));
  goto llvm_cbe_bb183;

llvm_cbe_bb183:
  llvm_cbe_tmp3_2e_i279 = *llvm_cbe_tmp10_2e_i356;
  llvm_cbe_tmp10_2e_i286 = *llvm_cbe_tmp7_2e_i662;
  llvm_cbe_tmp26_2e_i308924925926_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i305917__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i286 - llvm_cbe_tmp155))), llvm_cbe_tmp23_2e_i305917__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i308924__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i279 - llvm_cbe_tmp158))), llvm_cbe_tmp26_2e_i308924__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp196 = *llvm_cbe_tmp86;
  llvm_cbe_tmp22_2e_i259910911912_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i256903__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i308924925926_2e_ins)), llvm_cbe_tmp29_2e_i916__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp196))), llvm_cbe_tmp19_2e_i256903__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i259910__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i308924925926_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i922__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp196))), llvm_cbe_tmp22_2e_i259910__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i262902 = (llvm_cbe_tmp25_2e_i262902__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i259910911912_2e_ins)), llvm_cbe_tmp25_2e_i262902__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i265908 = (llvm_cbe_tmp28_2e_i265908__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i259910911912_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i265908__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp207 = *((&llvm_cbe_tmp27->field16));
  llvm_cbe_tmp22_2e_i896897898_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i889__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i262902 * llvm_cbe_tmp207))), llvm_cbe_tmp19_2e_i889__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i896__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i265908 * llvm_cbe_tmp207))), llvm_cbe_tmp22_2e_i896__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i188 = *llvm_cbe_tmp9_2e_i709;
  *llvm_cbe_tmp9_2e_i709 = (((float )(llvm_cbe_tmp2_2e_i188 + ((llvm_cbe_tmp25_2e_i888__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i896897898_2e_ins)), llvm_cbe_tmp25_2e_i888__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i197 = *llvm_cbe_tmp2_2e_i702;
  *llvm_cbe_tmp2_2e_i702 = (((float )(llvm_cbe_tmp11_2e_i197 + ((llvm_cbe_tmp28_2e_i894__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i896897898_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i894__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp220 = *llvm_cbe_tmp52;
  llvm_cbe_tmp223 = *((&llvm_cbe_tmp27->field18));
  *llvm_cbe_tmp52 = (((float )(llvm_cbe_tmp220 + (((float )(llvm_cbe_tmp223 * (((float )((((float )(llvm_cbe_tmp47796 * llvm_cbe_tmp28_2e_i265908))) - (((float )(llvm_cbe_tmp50800 * llvm_cbe_tmp25_2e_i262902))))))))))));
  return;
}


static unsigned char _ZNK13b2CircleShape9TestPointERK7b2XFormRK6b2Vec2(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_transform, struct l_struct_2E_b2Vec2 *llvm_cbe_p) {
  unsigned long long llvm_cbe_tmp9;
  llvmBitCastUnion llvm_cbe_tmp13100__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp16104__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i130131132_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i61;
  float llvm_cbe_tmp10_2e_i68;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i90144145146_2e_ins;
  float llvm_cbe_tmp29_2e_i93136;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i93136__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i96142;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i96142__BITCAST_TEMPORARY;
  float llvm_cbe_tmp39;

  llvm_cbe_tmp9 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_transform->field1)), ((&llvm_cbe_this->field1)));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_transform->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_transform->field0.field0));
  llvm_cbe_tmp26_2e_i130131132_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + ((llvm_cbe_tmp13100__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp9)), llvm_cbe_tmp13100__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + ((llvm_cbe_tmp16104__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp9) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp16104__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i61 = *((&llvm_cbe_p->field1));
  llvm_cbe_tmp10_2e_i68 = *((&llvm_cbe_p->field0));
  llvm_cbe_tmp26_2e_i90144145146_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i68 - ((llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i130131132_2e_ins)), llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i87137__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i61 - ((llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i130131132_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i90144__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i93136 = (llvm_cbe_tmp29_2e_i93136__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i90144145146_2e_ins)), llvm_cbe_tmp29_2e_i93136__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i96142 = (llvm_cbe_tmp32_2e_i96142__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i90144145146_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i96142__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp39 = *((&llvm_cbe_this->field2));
  return (((unsigned char )(bool )(llvm_fcmp_ole((((float )((((float )(llvm_cbe_tmp29_2e_i93136 * llvm_cbe_tmp29_2e_i93136))) + (((float )(llvm_cbe_tmp32_2e_i96142 * llvm_cbe_tmp32_2e_i96142)))))), (((float )(llvm_cbe_tmp39 * llvm_cbe_tmp39)))))));
}


static void _ZNK13b2CircleShape11ComputeAABBEP6b2AABBRK7b2XForm(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform) {
  unsigned long long llvm_cbe_tmp7;
  llvmBitCastUnion llvm_cbe_tmp1138__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1442__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i54__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i61__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i616263_2e_ins;
  float llvm_cbe_tmp29_2e_i53;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i53__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i59;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i59__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp29;
  float llvm_cbe_tmp30;
  float llvm_cbe_tmp44;

  llvm_cbe_tmp7 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_transform->field1)), ((&llvm_cbe_this->field1)));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_transform->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_transform->field0.field0));
  llvm_cbe_tmp26_2e_i616263_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i54__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + ((llvm_cbe_tmp1138__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp7)), llvm_cbe_tmp1138__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i54__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i61__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + ((llvm_cbe_tmp1442__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp7) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1442__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i61__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i53 = (llvm_cbe_tmp29_2e_i53__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i616263_2e_ins)), llvm_cbe_tmp29_2e_i53__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i59 = (llvm_cbe_tmp32_2e_i59__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i616263_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i59__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp29 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp30 = *llvm_cbe_tmp29;
  *((&llvm_cbe_aabb->field0.field0)) = (((float )(llvm_cbe_tmp29_2e_i53 - llvm_cbe_tmp30)));
  *((&llvm_cbe_aabb->field0.field1)) = (((float )(llvm_cbe_tmp32_2e_i59 - llvm_cbe_tmp30)));
  llvm_cbe_tmp44 = *llvm_cbe_tmp29;
  *((&llvm_cbe_aabb->field1.field0)) = (((float )(llvm_cbe_tmp29_2e_i53 + llvm_cbe_tmp44)));
  *((&llvm_cbe_aabb->field1.field1)) = (((float )(llvm_cbe_tmp32_2e_i59 + llvm_cbe_tmp44)));
  return;
}


static void _ZNK13b2CircleShape11ComputeMassEP10b2MassData(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2MassData *llvm_cbe_massData) {
  float llvm_cbe_tmp4;
  float *llvm_cbe_tmp7;
  float llvm_cbe_tmp8;
  float llvm_cbe_tmp13;
  float llvm_cbe_tmp20;
  float llvm_cbe_tmp23;
  float llvm_cbe_tmp37;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;

  llvm_cbe_tmp4 = *((&llvm_cbe_this->field0.field5));
  llvm_cbe_tmp7 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp8 = *llvm_cbe_tmp7;
  llvm_cbe_tmp13 = ((float )((((float )((((float )(llvm_cbe_tmp4 * 0x1.921fb6p+1))) * llvm_cbe_tmp8))) * llvm_cbe_tmp8));
  *((&llvm_cbe_massData->field0)) = llvm_cbe_tmp13;
  llvm_cbe_tmp20 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp23 = *((&llvm_cbe_this->field1.field1));
  *((&llvm_cbe_massData->field1.field0)) = llvm_cbe_tmp20;
  *((&llvm_cbe_massData->field1.field1)) = llvm_cbe_tmp23;
  llvm_cbe_tmp37 = *llvm_cbe_tmp7;
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field1.field1));
  *((&llvm_cbe_massData->field2)) = (((float )(llvm_cbe_tmp13 * (((float )((((float )((((float )(llvm_cbe_tmp37 * 0x1p-1))) * llvm_cbe_tmp37))) + (((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp3_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp10_2e_i))))))))))));
  return;
}


static void _ZNK13b2CircleShape16ComputeSweptAABBEP6b2AABBRK7b2XFormS4_(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2AABB *llvm_cbe_aabb, struct l_struct_2E_b2XForm *llvm_cbe_transform1, struct l_struct_2E_b2XForm *llvm_cbe_transform2) {
  struct l_struct_2E_b2Vec2 llvm_cbe_p2;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_p1;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp9;
  unsigned long long llvm_cbe_tmp12;
  llvmBitCastUnion llvm_cbe_tmp16129__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19133__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i173__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i180__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i180181182_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i172__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i178__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp34;
  llvmBitCastUnion llvm_cbe_tmp38143__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp41147__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i90;
  float llvm_cbe_tmp10_2e_i97;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i116187__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i119194__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i119194195196_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i122186__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i125192__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp52;
  llvmBitCastUnion llvm_cbe_tmp56157__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp59161__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp60;
  llvmBitCastUnion llvm_cbe_tmp64164__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp67168__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp71;
  float llvm_cbe_tmp72;
  float llvm_cbe_tmp86;

  llvm_cbe_tmp9 = (&llvm_cbe_this->field1);
  llvm_cbe_tmp12 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_transform1->field1)), llvm_cbe_tmp9);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_transform1->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_transform1->field0.field0));
  llvm_cbe_tmp26_2e_i180181182_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i173__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + ((llvm_cbe_tmp16129__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp12)), llvm_cbe_tmp16129__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i173__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i180__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + ((llvm_cbe_tmp19133__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp12) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp19133__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i180__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_p1.field0)) = ((llvm_cbe_tmp29_2e_i172__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i180181182_2e_ins)), llvm_cbe_tmp29_2e_i172__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_p1.field1)) = ((llvm_cbe_tmp32_2e_i178__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i180181182_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i178__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp34 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_transform2->field1)), llvm_cbe_tmp9);
  llvm_cbe_tmp3_2e_i90 = *((&llvm_cbe_transform2->field0.field1));
  llvm_cbe_tmp10_2e_i97 = *((&llvm_cbe_transform2->field0.field0));
  llvm_cbe_tmp26_2e_i119194195196_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i116187__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i97 + ((llvm_cbe_tmp38143__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34)), llvm_cbe_tmp38143__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i116187__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i119194__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i90 + ((llvm_cbe_tmp41147__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp41147__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i119194__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_p2.field0)) = ((llvm_cbe_tmp29_2e_i122186__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i119194195196_2e_ins)), llvm_cbe_tmp29_2e_i122186__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_p2.field1)) = ((llvm_cbe_tmp32_2e_i125192__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i119194195196_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i125192__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp52 = _Z5b2MinRK6b2Vec2S1_((&llvm_cbe_p1), (&llvm_cbe_p2));
  llvm_cbe_tmp60 = _Z5b2MaxRK6b2Vec2S1_((&llvm_cbe_p1), (&llvm_cbe_p2));
  llvm_cbe_tmp71 = (&llvm_cbe_this->field2);
  llvm_cbe_tmp72 = *llvm_cbe_tmp71;
  *((&llvm_cbe_aabb->field0.field0)) = (((float )(((llvm_cbe_tmp56157__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp52)), llvm_cbe_tmp56157__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp72)));
  *((&llvm_cbe_aabb->field0.field1)) = (((float )(((llvm_cbe_tmp59161__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp52) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp59161__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp72)));
  llvm_cbe_tmp86 = *llvm_cbe_tmp71;
  *((&llvm_cbe_aabb->field1.field0)) = (((float )(((llvm_cbe_tmp64164__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp60)), llvm_cbe_tmp64164__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp86)));
  *((&llvm_cbe_aabb->field1.field1)) = (((float )(((llvm_cbe_tmp67168__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp60) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp67168__BITCAST_TEMPORARY.Float)) + llvm_cbe_tmp86)));
  return;
}


static void _ZN13b2CircleShapeD0Ev(struct l_struct_2E_b2CircleShape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_this->field0.field8));
  if ((llvm_cbe_tmp5_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_bb6;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb6:
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static unsigned char _ZNK13b2CircleShape11TestSegmentERK7b2XFormPfP6b2Vec2RK9b2Segmentf(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2XForm *llvm_cbe_transform, float *llvm_cbe_lambda, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, struct l_struct_2E_b2AABB *llvm_cbe_segment, float llvm_cbe_maxLambda) {
  unsigned long long llvm_cbe_tmp13;
  llvmBitCastUnion llvm_cbe_tmp17309__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20313__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp10_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i353__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i360__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i360361362_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i352__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i358__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i73;
  float llvm_cbe_tmp10_2e_i80;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i99367__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i102374__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i102374375376_2e_ins;
  float llvm_cbe_tmp29_2e_i105366;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i105366__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i108372;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i108372__BITCAST_TEMPORARY;
  float llvm_cbe_tmp44;
  float llvm_cbe_tmp49;
  float llvm_cbe_tmp3_2e_i251;
  float llvm_cbe_tmp10_2e_i258;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i277409__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i280416__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i280416417418_2e_ins;
  float llvm_cbe_tmp29_2e_i283408;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i283408__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i286414;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i286414__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i237;
  float llvm_cbe_tmp15_2e_i219;
  float llvm_cbe_tmp74;
  float llvm_cbe_tmp87;
  float llvm_cbe_tmp90;
  float llvm_cbe_tmp106;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i192395__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i195402__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i195402403404_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i198394__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i201400__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i148381__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i151388__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i151388389390_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i154380__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i157386__BITCAST_TEMPORARY;
  float llvm_cbe_tmp128;

  llvm_cbe_tmp13 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_transform->field1)), ((&llvm_cbe_this->field1)));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_transform->field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_transform->field0.field0));
  llvm_cbe_tmp26_2e_i360361362_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i353__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i + ((llvm_cbe_tmp17309__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp13)), llvm_cbe_tmp17309__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i353__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i360__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i + ((llvm_cbe_tmp20313__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp13) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp20313__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i360__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i73 = *((&llvm_cbe_segment->field0.field1));
  llvm_cbe_tmp10_2e_i80 = *((&llvm_cbe_segment->field0.field0));
  llvm_cbe_tmp26_2e_i102374375376_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i99367__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i80 - ((llvm_cbe_tmp29_2e_i352__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i360361362_2e_ins)), llvm_cbe_tmp29_2e_i352__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i99367__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i102374__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i73 - ((llvm_cbe_tmp32_2e_i358__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i360361362_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i358__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i102374__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i105366 = (llvm_cbe_tmp29_2e_i105366__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i102374375376_2e_ins)), llvm_cbe_tmp29_2e_i105366__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i108372 = (llvm_cbe_tmp32_2e_i108372__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i102374375376_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i108372__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp44 = *((&llvm_cbe_this->field2));
  llvm_cbe_tmp49 = ((float )((((float )((((float )(llvm_cbe_tmp29_2e_i105366 * llvm_cbe_tmp29_2e_i105366))) + (((float )(llvm_cbe_tmp32_2e_i108372 * llvm_cbe_tmp32_2e_i108372)))))) - (((float )(llvm_cbe_tmp44 * llvm_cbe_tmp44)))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp49, 0x0p+0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb53;
  }

llvm_cbe_bb53:
  llvm_cbe_tmp3_2e_i251 = *((&llvm_cbe_segment->field1.field1));
  llvm_cbe_tmp10_2e_i258 = *((&llvm_cbe_segment->field1.field0));
  llvm_cbe_tmp26_2e_i280416417418_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i277409__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i258 - llvm_cbe_tmp10_2e_i80))), llvm_cbe_tmp23_2e_i277409__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i280416__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i251 - llvm_cbe_tmp3_2e_i73))), llvm_cbe_tmp26_2e_i280416__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i283408 = (llvm_cbe_tmp29_2e_i283408__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i280416417418_2e_ins)), llvm_cbe_tmp29_2e_i283408__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i286414 = (llvm_cbe_tmp32_2e_i286414__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i280416417418_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i286414__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i237 = ((float )((((float )(llvm_cbe_tmp29_2e_i105366 * llvm_cbe_tmp29_2e_i283408))) + (((float )(llvm_cbe_tmp32_2e_i108372 * llvm_cbe_tmp32_2e_i286414)))));
  llvm_cbe_tmp15_2e_i219 = ((float )((((float )(llvm_cbe_tmp29_2e_i283408 * llvm_cbe_tmp29_2e_i283408))) + (((float )(llvm_cbe_tmp32_2e_i286414 * llvm_cbe_tmp32_2e_i286414)))));
  llvm_cbe_tmp74 = ((float )((((float )(llvm_cbe_tmp15_2e_i237 * llvm_cbe_tmp15_2e_i237))) - (((float )(llvm_cbe_tmp15_2e_i219 * llvm_cbe_tmp49)))));
  if (((((llvm_fcmp_olt(llvm_cbe_tmp74, 0x0p+0)) | (llvm_fcmp_olt(llvm_cbe_tmp15_2e_i219, 0x1p-23)))&1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb85;
  }

llvm_cbe_bb85:
  llvm_cbe_tmp87 = sqrtf(llvm_cbe_tmp74);
  llvm_cbe_tmp90 = ((float )(-((((float )(llvm_cbe_tmp87 + llvm_cbe_tmp15_2e_i237))))));
  if ((llvm_fcmp_ult(llvm_cbe_tmp90, 0x0p+0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb95;
  }

llvm_cbe_bb95:
  if ((llvm_fcmp_ult((((float )(llvm_cbe_tmp15_2e_i219 * llvm_cbe_maxLambda))), llvm_cbe_tmp90))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb103;
  }

llvm_cbe_bb103:
  llvm_cbe_tmp106 = ((float )(llvm_cbe_tmp90 / llvm_cbe_tmp15_2e_i219));
  *llvm_cbe_lambda = llvm_cbe_tmp106;
  llvm_cbe_tmp22_2e_i195402403404_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i192395__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp29_2e_i283408 * llvm_cbe_tmp106))), llvm_cbe_tmp19_2e_i192395__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i195402__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i286414 * llvm_cbe_tmp106))), llvm_cbe_tmp22_2e_i195402__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i151388389390_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i148381__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp29_2e_i105366 + ((llvm_cbe_tmp25_2e_i198394__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i195402403404_2e_ins)), llvm_cbe_tmp25_2e_i198394__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i148381__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i151388__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i108372 + ((llvm_cbe_tmp28_2e_i201400__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i195402403404_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i201400__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i151388__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_normal->field0)) = ((llvm_cbe_tmp29_2e_i154380__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i151388389390_2e_ins)), llvm_cbe_tmp29_2e_i154380__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_normal->field1)) = ((llvm_cbe_tmp32_2e_i157386__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i151388389390_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i157386__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp128 = _ZN6b2Vec29NormalizeEv(llvm_cbe_normal);
  return ((unsigned char )1);
llvm_cbe_return:
  return ((unsigned char )0);
}


static void _ZN13b2CircleShapeD1Ev(struct l_struct_2E_b2CircleShape *llvm_cbe_this) {
  unsigned short llvm_cbe_tmp5_2e_i;

  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Shape[((signed long long )2ull)]));
  llvm_cbe_tmp5_2e_i = *((&llvm_cbe_this->field0.field8));
  if ((llvm_cbe_tmp5_2e_i == ((unsigned short )-1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb_2e_i;
  }

llvm_cbe_bb_2e_i:
  __assert_fail(((&_2E_str173[((signed long long )0ull)])), ((&_2E_str1174[((signed long long )0ull)])), 89u, ((&_ZZN7b2ShapeD4EvE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_return:
  return;
}


static void _ZN13b2CircleShape17UpdateSweepRadiusERK6b2Vec2(struct l_struct_2E_b2CircleShape *llvm_cbe_this, struct l_struct_2E_b2Vec2 *llvm_cbe_center) {
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i47__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i54__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i545556_2e_ins;
  float llvm_cbe_tmp29_2e_i46;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i46__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i52;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i52__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i35;
  float llvm_cbe_tmp15;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_center->field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_center->field0));
  llvm_cbe_tmp26_2e_i545556_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i47__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i47__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i54__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i54__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i46 = (llvm_cbe_tmp29_2e_i46__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i545556_2e_ins)), llvm_cbe_tmp29_2e_i46__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i52 = (llvm_cbe_tmp32_2e_i52__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i545556_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i52__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i35 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i46 * llvm_cbe_tmp29_2e_i46))) + (((float )(llvm_cbe_tmp32_2e_i52 * llvm_cbe_tmp32_2e_i52)))))));
  llvm_cbe_tmp15 = *((&llvm_cbe_this->field2));
  *((&llvm_cbe_this->field0.field4)) = (((float )((((float )(llvm_cbe_tmp16_2e_i35 + llvm_cbe_tmp15))) - 0x1.47ae14p-5)));
  return;
}


static struct l_struct_2E_b2Pair *_ZN13b2PairManager4FindEiij(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_proxyId1, unsigned int llvm_cbe_proxyId2, unsigned int llvm_cbe_hash) {
  unsigned short *llvm_cbe_tmp5;
  unsigned short *llvm_cbe_storemerge1_2e_in_2e_in;
  unsigned short *llvm_cbe_storemerge1_2e_in_2e_in__PHI_TEMPORARY;
  unsigned short llvm_cbe_storemerge1_2e_in;
  unsigned int llvm_cbe_storemerge1;
  unsigned long long llvm_cbe_tmp2225;
  unsigned short llvm_cbe_tmp3_2e_i;
  unsigned short llvm_cbe_tmp10_2e_i;
  unsigned short *llvm_cbe_tmp13;

  llvm_cbe_tmp5 = (&llvm_cbe_this->field7[((signed long long )(((unsigned long long )(unsigned int )llvm_cbe_hash)))]);
  llvm_cbe_storemerge1_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp5;   /* for PHI node */
  goto llvm_cbe_bb17;

  do {     /* Syntactic loop 'bb17' to make GCC happy */
llvm_cbe_bb17:
  llvm_cbe_storemerge1_2e_in_2e_in = llvm_cbe_storemerge1_2e_in_2e_in__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_in = *llvm_cbe_storemerge1_2e_in_2e_in;
  llvm_cbe_storemerge1 = ((unsigned int )(unsigned short )llvm_cbe_storemerge1_2e_in);
  if ((llvm_cbe_storemerge1_2e_in == ((unsigned short )-1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb21;
  }

llvm_cbe_bb37:
  llvm_cbe_tmp13 = (&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp2225)].field3);
  llvm_cbe_storemerge1_2e_in_2e_in__PHI_TEMPORARY = llvm_cbe_tmp13;   /* for PHI node */
  goto llvm_cbe_bb17;

llvm_cbe_bb21:
  llvm_cbe_tmp2225 = ((unsigned long long )(unsigned short )llvm_cbe_storemerge1_2e_in);
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp2225)].field1));
  if (((((unsigned int )(unsigned short )llvm_cbe_tmp3_2e_i)) == llvm_cbe_proxyId1)) {
    goto llvm_cbe_bb_2e_i;
  } else {
    goto llvm_cbe_bb37;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field2[((signed long long )llvm_cbe_tmp2225)].field2));
  if (((((unsigned int )(unsigned short )llvm_cbe_tmp10_2e_i)) == llvm_cbe_proxyId2)) {
    goto llvm_cbe_bb41;
  } else {
    goto llvm_cbe_bb37;
  }

  } while (1); /* end of syntactic loop 'bb17' */
llvm_cbe_bb41:
  if ((llvm_cbe_storemerge1_2e_in == ((unsigned short )-1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb47;
  }

llvm_cbe_bb47:
  if ((((signed int )llvm_cbe_storemerge1) > ((signed int )16383u))) {
    goto llvm_cbe_bb52;
  } else {
    goto llvm_cbe_bb56;
  }

llvm_cbe_bb52:
  __assert_fail(((&_2E_str3251[((signed long long )0ull)])), ((&_2E_str1249[((signed long long )0ull)])), 107u, ((&_ZZN13b2PairManager4FindEiijE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb56:
  return ((&llvm_cbe_this->field2[((signed long long )(((unsigned long long )(unsigned short )llvm_cbe_storemerge1_2e_in)))]));
llvm_cbe_return:
  return ((struct l_struct_2E_b2Pair *)/*NULL*/0);
}


static struct l_struct_2E_b2Pair *_ZN13b2PairManager4FindEii(struct l_struct_2E_b2PairManager *llvm_cbe_this, unsigned int llvm_cbe_proxyId1, unsigned int llvm_cbe_proxyId2) {
  unsigned int llvm_cbe_proxyId2_addr_2e_0;
  unsigned int llvm_cbe_proxyId1_addr_2e_0;
  unsigned int llvm_cbe_tmp4_2e_i3;
  unsigned int llvm_cbe_tmp8_2e_i;
  unsigned int llvm_cbe_tmp16_2e_i;
  unsigned int llvm_cbe_tmp22_2e_i;
  struct l_struct_2E_b2Pair *llvm_cbe_tmp14;

  llvm_cbe_proxyId2_addr_2e_0 = (((((signed int )llvm_cbe_proxyId1) > ((signed int )llvm_cbe_proxyId2))) ? (llvm_cbe_proxyId1) : (llvm_cbe_proxyId2));
  llvm_cbe_proxyId1_addr_2e_0 = (((((signed int )llvm_cbe_proxyId1) > ((signed int )llvm_cbe_proxyId2))) ? (llvm_cbe_proxyId2) : (llvm_cbe_proxyId1));
  llvm_cbe_tmp4_2e_i3 = (llvm_cbe_proxyId2_addr_2e_0 << 16u) | llvm_cbe_proxyId1_addr_2e_0;
  llvm_cbe_tmp8_2e_i = (llvm_cbe_tmp4_2e_i3 << 15u) + (llvm_cbe_tmp4_2e_i3 ^ 4294967295u);
  llvm_cbe_tmp16_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp8_2e_i) >> ((unsigned int )12u)))) ^ llvm_cbe_tmp8_2e_i) * 5u;
  llvm_cbe_tmp22_2e_i = ((((unsigned int )(((unsigned int )llvm_cbe_tmp16_2e_i) >> ((unsigned int )4u)))) ^ llvm_cbe_tmp16_2e_i) * 2057u;
  llvm_cbe_tmp14 = _ZN13b2PairManager4FindEiij(llvm_cbe_this, llvm_cbe_proxyId1_addr_2e_0, llvm_cbe_proxyId2_addr_2e_0, (((((unsigned int )(((unsigned int )llvm_cbe_tmp22_2e_i) >> ((unsigned int )16u)))) ^ llvm_cbe_tmp22_2e_i) & 16383u));
  return llvm_cbe_tmp14;
}


static struct l_struct_2E_b2Manifold *_ZN15b2CircleContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  return ((&llvm_cbe_this->field1));
}


static void _ZN15b2CircleContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  _ZdlPv(((&llvm_cbe_this->field0[((signed int )0u)])));
  return;
}


static void _ZN15b2CircleContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  return;
}


static void _ZN15b2CircleContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener) {
  struct l_struct_2E_b2Vec2 llvm_cbe_p_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2ContactPoint llvm_cbe_cp;    /* Address-exposed local */
  struct l_struct_2E_b2Manifold llvm_cbe_m0;    /* Address-exposed local */
  struct l_struct_2E_b2Contact *llvm_cbe_tmp2425;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp26;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp27;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp32;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp33;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i69;
  unsigned long long llvm_cbe_tmp_2e_i75_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i75_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i85;
  unsigned char *ltmp_36_1;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i90;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp45;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp4546;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i120;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp53;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp5354;
  unsigned int *llvm_cbe_tmp13_2e_i189;
  unsigned long long llvm_cbe_tmp17_2e_i193;
  float llvm_cbe_tmp21_2e_i196464;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i196464__BITCAST_TEMPORARY;
  float llvm_cbe_tmp24_2e_i199468;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i199468__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp28_2e_i202;
  float llvm_cbe_tmp32_2e_i205471;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i205471__BITCAST_TEMPORARY;
  float llvm_cbe_tmp35_2e_i475;
  llvmBitCastUnion llvm_cbe_tmp35_2e_i475__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i529__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i536__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i536537538_2e_ins;
  float llvm_cbe_tmp29_2e_i_2e_i528;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i_2e_i528__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i_2e_i534;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i_2e_i534__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i338_2e_i;
  float llvm_cbe_tmp3_2e_i319_2e_i;
  float llvm_cbe_tmp3_2e_i316_2e_i;
  float llvm_cbe_tmp51_2e_i;
  float llvm_cbe_tmp69_2e_i;
  float llvm_cbe_tmp74_2e_i;
  float llvm_cbe_tmp69_2e_i_2e_pn;
  float llvm_cbe_tmp69_2e_i_2e_pn__PHI_TEMPORARY;
  float llvm_cbe_tmp3_2e_i274_2e_i;
  float llvm_cbe_tmp8_2e_i279_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i296_2e_i585__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i299_2e_i592__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i299_2e_i592593594_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i302_2e_i584__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i305_2e_i590__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i231_2e_i571__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i234_2e_i578__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i234_2e_i578579580_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i237_2e_i570__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i240_2e_i576__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i168_2e_i557__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i171_2e_i564__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i171_2e_i564565566_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i174_2e_i556__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i177_2e_i562__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i120_2e_i543__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i123_2e_i550__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i123_2e_i550551552_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i126_2e_i542__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i129_2e_i548__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp141_2e_i;
  llvmBitCastUnion llvm_cbe_tmp149_2e_i513__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp152_2e_i517__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp154_2e_i;
  llvmBitCastUnion llvm_cbe_tmp162_2e_i520__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp165_2e_i524__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp61;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp67;
  float llvm_cbe_tmp73;
  float llvm_cbe_tmp79;
  unsigned int llvm_cbe_tmp84;
  unsigned int *llvm_cbe_tmp90;
  unsigned int llvm_cbe_tmp97;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp112;
  unsigned long long llvm_cbe_tmp5_2e_i259;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i274626__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i277632__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp126;
  llvmBitCastUnion llvm_cbe_tmp130338__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp133342__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp137;
  llvmBitCastUnion llvm_cbe_tmp141345__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp144349__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i317641__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i320648__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i320648649650_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i323640__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i326646__BITCAST_TEMPORARY;
  float llvm_cbe_tmp159;
  float llvm_cbe_tmp162;
  float llvm_cbe_tmp172;
  unsigned int llvm_cbe_tmp178;
  unsigned int  (**llvm_cbe_tmp185) ();
  unsigned int  (*llvm_cbe_tmp187) ();
  float llvm_cbe_tmp197;
  float llvm_cbe_tmp202;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp211;
  unsigned long long llvm_cbe_tmp5_2e_i228;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i243605__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i246611__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp225;
  llvmBitCastUnion llvm_cbe_tmp229366__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp232370__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp236;
  llvmBitCastUnion llvm_cbe_tmp240373__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp243377__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i160452__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i163459__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i163459460461_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i166451__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i169457__BITCAST_TEMPORARY;
  float llvm_cbe_tmp258;
  float llvm_cbe_tmp261;
  float llvm_cbe_tmp271;
  unsigned int llvm_cbe_tmp277;
  unsigned int  (**llvm_cbe_tmp284) ();
  unsigned int  (*llvm_cbe_tmp286) ();
  unsigned int llvm_cbe_tmp296;
  unsigned long long llvm_cbe_tmp5_2e_i100;
  llvmBitCastUnion llvm_cbe_tmp21_2e_i115437__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp24_2e_i118443__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp324;
  llvmBitCastUnion llvm_cbe_tmp328394__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp331398__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp335;
  llvmBitCastUnion llvm_cbe_tmp339401__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp342405__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i417__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i424__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i424425426_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i416__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i422__BITCAST_TEMPORARY;
  float llvm_cbe_tmp355;
  float llvm_cbe_tmp358;
  float llvm_cbe_tmp368;
  unsigned int llvm_cbe_tmp374;
  unsigned int  (**llvm_cbe_tmp381) ();
  unsigned int  (*llvm_cbe_tmp383) ();

  llvm_cbe_tmp2425 = ((struct l_struct_2E_b2Contact *)llvm_cbe_this);
  llvm_cbe_tmp26 = (&llvm_cbe_tmp2425->field7);
  llvm_cbe_tmp27 = *llvm_cbe_tmp26;
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp27->field3));
  llvm_cbe_tmp32 = (&llvm_cbe_tmp2425->field8);
  llvm_cbe_tmp33 = *llvm_cbe_tmp32;
  llvm_cbe_tmp3_2e_i69 = *((&llvm_cbe_tmp33->field3));
  llvm_cbe_tmp_2e_i75_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i;

  do {     /* Syntactic loop 'bb.i' to make GCC happy */
llvm_cbe_bb_2e_i:
  llvm_cbe_tmp_2e_i75_2e_0 = llvm_cbe_tmp_2e_i75_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i85 = llvm_cbe_tmp_2e_i75_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i85 == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit;
  } else {
    llvm_cbe_tmp_2e_i75_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i85;   /* for PHI node */
    goto llvm_cbe_bb_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit:
  ltmp_36_1 = memcpy((((unsigned char *)(&llvm_cbe_m0))), (((unsigned char *)((&llvm_cbe_this->field1)))), 76ull);
  llvm_cbe_tmp2_2e_i90 = (&llvm_cbe_tmp3_2e_i69->field2);
  llvm_cbe_tmp45 = *llvm_cbe_tmp32;
  llvm_cbe_tmp4546 = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp45);
  llvm_cbe_tmp2_2e_i120 = (&llvm_cbe_tmp3_2e_i->field2);
  llvm_cbe_tmp53 = *llvm_cbe_tmp26;
  llvm_cbe_tmp5354 = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp53);
  llvm_cbe_tmp13_2e_i189 = (&llvm_cbe_this->field1.field2);
  *llvm_cbe_tmp13_2e_i189 = 0u;
  llvm_cbe_tmp17_2e_i193 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i120, ((&llvm_cbe_tmp5354->field1)));
  llvm_cbe_tmp21_2e_i196464 = (llvm_cbe_tmp21_2e_i196464__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp17_2e_i193)), llvm_cbe_tmp21_2e_i196464__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp24_2e_i199468 = (llvm_cbe_tmp24_2e_i199468__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp17_2e_i193) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i199468__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i202 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i90, ((&llvm_cbe_tmp4546->field1)));
  llvm_cbe_tmp32_2e_i205471 = (llvm_cbe_tmp32_2e_i205471__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp28_2e_i202)), llvm_cbe_tmp32_2e_i205471__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp35_2e_i475 = (llvm_cbe_tmp35_2e_i475__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp28_2e_i202) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp35_2e_i475__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp26_2e_i_2e_i536537538_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i529__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i205471 - llvm_cbe_tmp21_2e_i196464))), llvm_cbe_tmp23_2e_i_2e_i529__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i536__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp35_2e_i475 - llvm_cbe_tmp24_2e_i199468))), llvm_cbe_tmp26_2e_i_2e_i536__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i_2e_i528 = (llvm_cbe_tmp29_2e_i_2e_i528__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i536537538_2e_ins)), llvm_cbe_tmp29_2e_i_2e_i528__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i_2e_i534 = (llvm_cbe_tmp32_2e_i_2e_i534__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i536537538_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i_2e_i534__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp15_2e_i338_2e_i = ((float )((((float )(llvm_cbe_tmp29_2e_i_2e_i528 * llvm_cbe_tmp29_2e_i_2e_i528))) + (((float )(llvm_cbe_tmp32_2e_i_2e_i534 * llvm_cbe_tmp32_2e_i_2e_i534)))));
  llvm_cbe_tmp3_2e_i319_2e_i = *((&llvm_cbe_tmp5354->field2));
  llvm_cbe_tmp3_2e_i316_2e_i = *((&llvm_cbe_tmp4546->field2));
  llvm_cbe_tmp51_2e_i = ((float )(llvm_cbe_tmp3_2e_i319_2e_i + llvm_cbe_tmp3_2e_i316_2e_i));
  if ((llvm_fcmp_olt((((float )(llvm_cbe_tmp51_2e_i * llvm_cbe_tmp51_2e_i))), llvm_cbe_tmp15_2e_i338_2e_i))) {
    goto llvm_cbe__Z16b2CollideCirclesP10b2ManifoldPK13b2CircleShapeRK7b2XFormS3_S6__2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i210;
  }

llvm_cbe_bb_2e_i210:
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i338_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb62_2e_i;
  } else {
    goto llvm_cbe_bb67_2e_i;
  }

llvm_cbe_bb62_2e_i:
  *((&llvm_cbe_this->field1.field1.field0)) = 0x0p+0;
  *((&llvm_cbe_this->field1.field1.field1)) = 0x1p+0;
  llvm_cbe_tmp69_2e_i_2e_pn__PHI_TEMPORARY = -0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb89_2e_i;

llvm_cbe_bb67_2e_i:
  llvm_cbe_tmp69_2e_i = sqrtf(llvm_cbe_tmp15_2e_i338_2e_i);
  llvm_cbe_tmp74_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp69_2e_i));
  *((&llvm_cbe_this->field1.field1.field0)) = (((float )(llvm_cbe_tmp29_2e_i_2e_i528 * llvm_cbe_tmp74_2e_i)));
  *((&llvm_cbe_this->field1.field1.field1)) = (((float )(llvm_cbe_tmp32_2e_i_2e_i534 * llvm_cbe_tmp74_2e_i)));
  llvm_cbe_tmp69_2e_i_2e_pn__PHI_TEMPORARY = llvm_cbe_tmp69_2e_i;   /* for PHI node */
  goto llvm_cbe_bb89_2e_i;

llvm_cbe_bb89_2e_i:
  llvm_cbe_tmp69_2e_i_2e_pn = llvm_cbe_tmp69_2e_i_2e_pn__PHI_TEMPORARY;
  *llvm_cbe_tmp13_2e_i189 = 1u;
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field5.field0)) = 0u;
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field2)) = (((float )(llvm_cbe_tmp69_2e_i_2e_pn - llvm_cbe_tmp51_2e_i)));
  llvm_cbe_tmp3_2e_i274_2e_i = *((&llvm_cbe_this->field1.field1.field1));
  llvm_cbe_tmp8_2e_i279_2e_i = *((&llvm_cbe_this->field1.field1.field0));
  llvm_cbe_tmp22_2e_i299_2e_i592593594_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i296_2e_i585__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i279_2e_i * llvm_cbe_tmp3_2e_i319_2e_i))), llvm_cbe_tmp19_2e_i296_2e_i585__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i299_2e_i592__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i274_2e_i * llvm_cbe_tmp3_2e_i319_2e_i))), llvm_cbe_tmp22_2e_i299_2e_i592__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i234_2e_i578579580_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i231_2e_i571__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i279_2e_i * llvm_cbe_tmp3_2e_i316_2e_i))), llvm_cbe_tmp19_2e_i231_2e_i571__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i234_2e_i578__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i274_2e_i * llvm_cbe_tmp3_2e_i316_2e_i))), llvm_cbe_tmp22_2e_i234_2e_i578__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i171_2e_i564565566_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i168_2e_i557__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp21_2e_i196464 + ((llvm_cbe_tmp25_2e_i302_2e_i584__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i299_2e_i592593594_2e_ins)), llvm_cbe_tmp25_2e_i302_2e_i584__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp32_2e_i205471 - ((llvm_cbe_tmp25_2e_i237_2e_i570__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i234_2e_i578579580_2e_ins)), llvm_cbe_tmp25_2e_i237_2e_i570__BITCAST_TEMPORARY.Float)))))))), llvm_cbe_tmp23_2e_i168_2e_i557__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i171_2e_i564__BITCAST_TEMPORARY.Float = (((float )((((float )(llvm_cbe_tmp24_2e_i199468 + ((llvm_cbe_tmp28_2e_i305_2e_i590__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i299_2e_i592593594_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i305_2e_i590__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp35_2e_i475 - ((llvm_cbe_tmp28_2e_i240_2e_i576__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i234_2e_i578579580_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i240_2e_i576__BITCAST_TEMPORARY.Float)))))))), llvm_cbe_tmp26_2e_i171_2e_i564__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i123_2e_i550551552_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i120_2e_i543__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i174_2e_i556__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i171_2e_i564565566_2e_ins)), llvm_cbe_tmp29_2e_i174_2e_i556__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp19_2e_i120_2e_i543__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i123_2e_i550__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i177_2e_i562__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i171_2e_i564565566_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i177_2e_i562__BITCAST_TEMPORARY.Float)) * 0x1p-1))), llvm_cbe_tmp22_2e_i123_2e_i550__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_p_2e_i.field0)) = ((llvm_cbe_tmp25_2e_i126_2e_i542__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i123_2e_i550551552_2e_ins)), llvm_cbe_tmp25_2e_i126_2e_i542__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_p_2e_i.field1)) = ((llvm_cbe_tmp28_2e_i129_2e_i548__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i123_2e_i550551552_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i129_2e_i548__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp141_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i120, (&llvm_cbe_p_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field0)) = ((llvm_cbe_tmp149_2e_i513__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp141_2e_i)), llvm_cbe_tmp149_2e_i513__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field1)) = ((llvm_cbe_tmp152_2e_i517__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp141_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp152_2e_i517__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp154_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i90, (&llvm_cbe_p_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field0)) = ((llvm_cbe_tmp162_2e_i520__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp154_2e_i)), llvm_cbe_tmp162_2e_i520__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field1)) = ((llvm_cbe_tmp165_2e_i524__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp154_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp165_2e_i524__BITCAST_TEMPORARY.Float));
  goto llvm_cbe__Z16b2CollideCirclesP10b2ManifoldPK13b2CircleShapeRK7b2XFormS3_S6__2e_exit;

llvm_cbe__Z16b2CollideCirclesP10b2ManifoldPK13b2CircleShapeRK7b2XFormS3_S6__2e_exit:
  llvm_cbe_tmp61 = *llvm_cbe_tmp26;
  *((&llvm_cbe_cp.field0)) = llvm_cbe_tmp61;
  llvm_cbe_tmp67 = *llvm_cbe_tmp32;
  *((&llvm_cbe_cp.field1)) = llvm_cbe_tmp67;
  llvm_cbe_tmp73 = *((&llvm_cbe_tmp2425->field9));
  *((&llvm_cbe_cp.field6)) = llvm_cbe_tmp73;
  llvm_cbe_tmp79 = *((&llvm_cbe_tmp2425->field10));
  *((&llvm_cbe_cp.field7)) = llvm_cbe_tmp79;
  llvm_cbe_tmp84 = *((&llvm_cbe_this->field1.field2));
  llvm_cbe_tmp90 = (&llvm_cbe_tmp2425->field2);
  if ((((signed int )llvm_cbe_tmp84) > ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb290;
  }

llvm_cbe_bb:
  *llvm_cbe_tmp90 = 1u;
  llvm_cbe_tmp97 = *((&llvm_cbe_m0.field2));
  if ((llvm_cbe_tmp97 == 0u)) {
    goto llvm_cbe_bb101;
  } else {
    goto llvm_cbe_bb191;
  }

llvm_cbe_bb101:
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field3)) = 0x0p+0;
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field4)) = 0x0p+0;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb110;
  }

llvm_cbe_bb110:
  llvm_cbe_tmp112 = (&llvm_cbe_this->field1.field0[((signed int )0u)].field0);
  llvm_cbe_tmp5_2e_i259 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i120, llvm_cbe_tmp112);
  *((&llvm_cbe_cp.field2.field0)) = ((llvm_cbe_tmp21_2e_i274626__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i259)), llvm_cbe_tmp21_2e_i274626__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field2.field1)) = ((llvm_cbe_tmp24_2e_i277632__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i259) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i277632__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp126 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp112);
  llvm_cbe_tmp137 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i69, ((&llvm_cbe_this->field1.field0[((signed int )0u)].field1)));
  llvm_cbe_tmp26_2e_i320648649650_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i317641__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp141345__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp137)), llvm_cbe_tmp141345__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp130338__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp126)), llvm_cbe_tmp130338__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i317641__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i320648__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp144349__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp137) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp144349__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp133342__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp126) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp133342__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i320648__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_cp.field3.field0)) = ((llvm_cbe_tmp29_2e_i323640__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i320648649650_2e_ins)), llvm_cbe_tmp29_2e_i323640__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field3.field1)) = ((llvm_cbe_tmp32_2e_i326646__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i320648649650_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i326646__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp159 = *((&llvm_cbe_this->field1.field1.field0));
  llvm_cbe_tmp162 = *((&llvm_cbe_this->field1.field1.field1));
  *((&llvm_cbe_cp.field4.field0)) = llvm_cbe_tmp159;
  *((&llvm_cbe_cp.field4.field1)) = llvm_cbe_tmp162;
  llvm_cbe_tmp172 = *((&llvm_cbe_this->field1.field0[((signed int )0u)].field2));
  *((&llvm_cbe_cp.field5)) = llvm_cbe_tmp172;
  llvm_cbe_tmp178 = *((&llvm_cbe_this->field1.field0[((signed int )0u)].field5.field0));
  *((&llvm_cbe_cp.field8.field0)) = llvm_cbe_tmp178;
  llvm_cbe_tmp185 = *((&llvm_cbe_listener->field0));
  llvm_cbe_tmp187 = *((&llvm_cbe_tmp185[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp187))(llvm_cbe_listener, (&llvm_cbe_cp));
  return;
llvm_cbe_bb191:
  llvm_cbe_tmp197 = *((&llvm_cbe_m0.field0[((signed int )0u)].field3));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field3)) = llvm_cbe_tmp197;
  llvm_cbe_tmp202 = *((&llvm_cbe_m0.field0[((signed int )0u)].field4));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field4)) = llvm_cbe_tmp202;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb209;
  }

llvm_cbe_bb209:
  llvm_cbe_tmp211 = (&llvm_cbe_this->field1.field0[((signed int )0u)].field0);
  llvm_cbe_tmp5_2e_i228 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i120, llvm_cbe_tmp211);
  *((&llvm_cbe_cp.field2.field0)) = ((llvm_cbe_tmp21_2e_i243605__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i228)), llvm_cbe_tmp21_2e_i243605__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field2.field1)) = ((llvm_cbe_tmp24_2e_i246611__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i228) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i246611__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp225 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp211);
  llvm_cbe_tmp236 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i69, ((&llvm_cbe_this->field1.field0[((signed int )0u)].field1)));
  llvm_cbe_tmp26_2e_i163459460461_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i160452__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp240373__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp236)), llvm_cbe_tmp240373__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp229366__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp225)), llvm_cbe_tmp229366__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i160452__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i163459__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp243377__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp236) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp243377__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp232370__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp225) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp232370__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i163459__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_cp.field3.field0)) = ((llvm_cbe_tmp29_2e_i166451__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i163459460461_2e_ins)), llvm_cbe_tmp29_2e_i166451__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field3.field1)) = ((llvm_cbe_tmp32_2e_i169457__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i163459460461_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i169457__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp258 = *((&llvm_cbe_this->field1.field1.field0));
  llvm_cbe_tmp261 = *((&llvm_cbe_this->field1.field1.field1));
  *((&llvm_cbe_cp.field4.field0)) = llvm_cbe_tmp258;
  *((&llvm_cbe_cp.field4.field1)) = llvm_cbe_tmp261;
  llvm_cbe_tmp271 = *((&llvm_cbe_this->field1.field0[((signed int )0u)].field2));
  *((&llvm_cbe_cp.field5)) = llvm_cbe_tmp271;
  llvm_cbe_tmp277 = *((&llvm_cbe_this->field1.field0[((signed int )0u)].field5.field0));
  *((&llvm_cbe_cp.field8.field0)) = llvm_cbe_tmp277;
  llvm_cbe_tmp284 = *((&llvm_cbe_listener->field0));
  llvm_cbe_tmp286 = *((&llvm_cbe_tmp284[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp286))(llvm_cbe_listener, (&llvm_cbe_cp));
  return;
llvm_cbe_bb290:
  *llvm_cbe_tmp90 = 0u;
  llvm_cbe_tmp296 = *((&llvm_cbe_m0.field2));
  if (((((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0)) | (((signed int )llvm_cbe_tmp296) < ((signed int )1u)))&1))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb305;
  }

llvm_cbe_bb305:
  llvm_cbe_tmp5_2e_i100 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i120, ((&llvm_cbe_m0.field0[((signed int )0u)].field0)));
  *((&llvm_cbe_cp.field2.field0)) = ((llvm_cbe_tmp21_2e_i115437__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i100)), llvm_cbe_tmp21_2e_i115437__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field2.field1)) = ((llvm_cbe_tmp24_2e_i118443__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i100) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp24_2e_i118443__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp324 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, ((&llvm_cbe_m0.field0[((signed int )0u)].field0)));
  llvm_cbe_tmp335 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i69, ((&llvm_cbe_m0.field0[((signed int )0u)].field1)));
  llvm_cbe_tmp26_2e_i424425426_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i417__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp339401__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp335)), llvm_cbe_tmp339401__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp328394__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp324)), llvm_cbe_tmp328394__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i417__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i424__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp342405__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp335) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp342405__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp331398__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp324) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp331398__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i424__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_cp.field3.field0)) = ((llvm_cbe_tmp29_2e_i416__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i424425426_2e_ins)), llvm_cbe_tmp29_2e_i416__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_cp.field3.field1)) = ((llvm_cbe_tmp32_2e_i422__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i424425426_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i422__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp355 = *((&llvm_cbe_m0.field1.field0));
  llvm_cbe_tmp358 = *((&llvm_cbe_m0.field1.field1));
  *((&llvm_cbe_cp.field4.field0)) = llvm_cbe_tmp355;
  *((&llvm_cbe_cp.field4.field1)) = llvm_cbe_tmp358;
  llvm_cbe_tmp368 = *((&llvm_cbe_m0.field0[((signed int )0u)].field2));
  *((&llvm_cbe_cp.field5)) = llvm_cbe_tmp368;
  llvm_cbe_tmp374 = *((&llvm_cbe_m0.field0[((signed int )0u)].field5.field0));
  *((&llvm_cbe_cp.field8.field0)) = llvm_cbe_tmp374;
  llvm_cbe_tmp381 = *((&llvm_cbe_listener->field0));
  llvm_cbe_tmp383 = *((&llvm_cbe_tmp381[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp383))(llvm_cbe_listener, (&llvm_cbe_cp));
  return;
llvm_cbe_return:
  return;
}


static void _ZN15b2DistanceJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp15;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp18;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp22;
  struct l_struct_2E_b2Body *llvm_cbe_tmp26;
  float llvm_cbe_tmp3_2e_i622;
  float llvm_cbe_tmp6_2e_i625;
  float llvm_cbe_tmp10_2e_i629;
  float llvm_cbe_tmp13_2e_i632;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i648916__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i651923__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i651923924925_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i654915__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i657921__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp42;
  float llvm_cbe_tmp46725;
  llvmBitCastUnion llvm_cbe_tmp46725__BITCAST_TEMPORARY;
  float llvm_cbe_tmp49729;
  llvmBitCastUnion llvm_cbe_tmp49729__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i673;
  float llvm_cbe_tmp6_2e_i676;
  float llvm_cbe_tmp10_2e_i680;
  float llvm_cbe_tmp13_2e_i683;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i699930__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i702937__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i702937938939_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i705929__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i708935__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp65;
  float llvm_cbe_tmp69739;
  llvmBitCastUnion llvm_cbe_tmp69739__BITCAST_TEMPORARY;
  float llvm_cbe_tmp72743;
  llvmBitCastUnion llvm_cbe_tmp72743__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp74;
  float llvm_cbe_tmp75;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i599902__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i602909__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i602909910911_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i605901__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i608907__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i526;
  float llvm_cbe_tmp3_2e_i527;
  float *llvm_cbe_tmp9_2e_i533;
  float llvm_cbe_tmp10_2e_i534;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i553888__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i556895__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i556895896897_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i559887__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i562893__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp95;
  float llvm_cbe_tmp96;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i505874__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i508881__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i508881882883_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i511873__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i514879__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i432;
  float llvm_cbe_tmp3_2e_i433;
  float *llvm_cbe_tmp9_2e_i439;
  float llvm_cbe_tmp10_2e_i440;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i459860__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i462867__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i462867868869_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i465859__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i468865__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i415846__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i418853__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i418853854855_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i845__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i851__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i363;
  float llvm_cbe_tmp10_2e_i370;
  float llvm_cbe_tmp128;
  float llvm_cbe_tmp132;
  float llvm_cbe_tmp137;
  float *llvm_cbe_tmp139;
  float llvm_cbe_tmp140;
  float llvm_cbe_tmp143;
  float llvm_cbe_tmp3_2e_i325;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i347832__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i350839__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i350839840841_2e_ins;
  float llvm_cbe_tmp25_2e_i353831;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i353831__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i356837;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i356837__BITCAST_TEMPORARY;
  float llvm_cbe_tmp164;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i302818__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i305825__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i305825826827_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i308817__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i311823__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i252;
  float llvm_cbe_tmp11_2e_i261;
  float llvm_cbe_tmp177;
  float llvm_cbe_tmp180;
  float llvm_cbe_tmp188;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i804__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i811__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i811812813_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i803__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i809__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i195;
  float llvm_cbe_tmp11_2e_i204;
  float llvm_cbe_tmp201;
  float llvm_cbe_tmp204;

  llvm_cbe_tmp22 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp26 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i622 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i625 = *((&llvm_cbe_tmp22->field3.field0.field1));
  llvm_cbe_tmp10_2e_i629 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i632 = *((&llvm_cbe_tmp22->field3.field0.field0));
  llvm_cbe_tmp26_2e_i651923924925_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i648916__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i629 - llvm_cbe_tmp13_2e_i632))), llvm_cbe_tmp23_2e_i648916__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i651923__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i622 - llvm_cbe_tmp6_2e_i625))), llvm_cbe_tmp26_2e_i651923__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp18.field0)) = ((llvm_cbe_tmp29_2e_i654915__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i651923924925_2e_ins)), llvm_cbe_tmp29_2e_i654915__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp18.field1)) = ((llvm_cbe_tmp32_2e_i657921__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i651923924925_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i657921__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp42 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp22->field2.field1)), (&llvm_cbe_tmp18));
  llvm_cbe_tmp46725 = (llvm_cbe_tmp46725__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp42)), llvm_cbe_tmp46725__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp49729 = (llvm_cbe_tmp49729__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp42) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp49729__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i673 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i676 = *((&llvm_cbe_tmp26->field3.field0.field1));
  llvm_cbe_tmp10_2e_i680 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i683 = *((&llvm_cbe_tmp26->field3.field0.field0));
  llvm_cbe_tmp26_2e_i702937938939_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i699930__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i680 - llvm_cbe_tmp13_2e_i683))), llvm_cbe_tmp23_2e_i699930__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i702937__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i673 - llvm_cbe_tmp6_2e_i676))), llvm_cbe_tmp26_2e_i702937__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp15.field0)) = ((llvm_cbe_tmp29_2e_i705929__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i702937938939_2e_ins)), llvm_cbe_tmp29_2e_i705929__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp15.field1)) = ((llvm_cbe_tmp32_2e_i708935__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i702937938939_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i708935__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp65 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp26->field2.field1)), (&llvm_cbe_tmp15));
  llvm_cbe_tmp69739 = (llvm_cbe_tmp69739__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp65)), llvm_cbe_tmp69739__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp72743 = (llvm_cbe_tmp72743__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp65) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp72743__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp74 = (&llvm_cbe_tmp22->field5);
  llvm_cbe_tmp75 = *llvm_cbe_tmp74;
  llvm_cbe_tmp23_2e_i602909910911_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i599902__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp49729 * (((float )(-(llvm_cbe_tmp75))))))), llvm_cbe_tmp20_2e_i599902__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i602909__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp46725 * llvm_cbe_tmp75))), llvm_cbe_tmp23_2e_i602909__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i526 = (&llvm_cbe_tmp22->field4.field1);
  llvm_cbe_tmp3_2e_i527 = *llvm_cbe_tmp2_2e_i526;
  llvm_cbe_tmp9_2e_i533 = (&llvm_cbe_tmp22->field4.field0);
  llvm_cbe_tmp10_2e_i534 = *llvm_cbe_tmp9_2e_i533;
  llvm_cbe_tmp26_2e_i556895896897_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i553888__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i534 + ((llvm_cbe_tmp26_2e_i605901__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i602909910911_2e_ins)), llvm_cbe_tmp26_2e_i605901__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i553888__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i556895__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i527 + ((llvm_cbe_tmp29_2e_i608907__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i602909910911_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i608907__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i556895__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp95 = (&llvm_cbe_tmp26->field5);
  llvm_cbe_tmp96 = *llvm_cbe_tmp95;
  llvm_cbe_tmp23_2e_i508881882883_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i505874__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp72743 * (((float )(-(llvm_cbe_tmp96))))))), llvm_cbe_tmp20_2e_i505874__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i508881__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp69739 * llvm_cbe_tmp96))), llvm_cbe_tmp23_2e_i508881__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i432 = (&llvm_cbe_tmp26->field4.field1);
  llvm_cbe_tmp3_2e_i433 = *llvm_cbe_tmp2_2e_i432;
  llvm_cbe_tmp9_2e_i439 = (&llvm_cbe_tmp26->field4.field0);
  llvm_cbe_tmp10_2e_i440 = *llvm_cbe_tmp9_2e_i439;
  llvm_cbe_tmp26_2e_i462867868869_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i459860__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i440 + ((llvm_cbe_tmp26_2e_i511873__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i508881882883_2e_ins)), llvm_cbe_tmp26_2e_i511873__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i459860__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i462867__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i433 + ((llvm_cbe_tmp29_2e_i514879__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i508881882883_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i514879__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i462867__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i418853854855_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i415846__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i465859__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i462867868869_2e_ins)), llvm_cbe_tmp29_2e_i465859__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i559887__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i556895896897_2e_ins)), llvm_cbe_tmp29_2e_i559887__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i415846__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i418853__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i468865__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i462867868869_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i468865__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i562893__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i556895896897_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i562893__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i418853__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i363 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp10_2e_i370 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp128 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp132 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp137 = *((&llvm_cbe_this->field6));
  llvm_cbe_tmp139 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp140 = *llvm_cbe_tmp139;
  llvm_cbe_tmp143 = ((float )((((float )((((float )(llvm_cbe_tmp132 + (((float )((((float )(llvm_cbe_tmp3_2e_i363 * ((llvm_cbe_tmp29_2e_i845__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i418853854855_2e_ins)), llvm_cbe_tmp29_2e_i845__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i370 * ((llvm_cbe_tmp32_2e_i851__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i418853854855_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i851__BITCAST_TEMPORARY.Float))))))))))) + (((float )(llvm_cbe_tmp137 * llvm_cbe_tmp140)))))) * (((float )(-(llvm_cbe_tmp128))))));
  *llvm_cbe_tmp139 = (((float )(llvm_cbe_tmp140 + llvm_cbe_tmp143)));
  llvm_cbe_tmp3_2e_i325 = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp22_2e_i350839840841_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i347832__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i363 * llvm_cbe_tmp143))), llvm_cbe_tmp19_2e_i347832__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i350839__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i325 * llvm_cbe_tmp143))), llvm_cbe_tmp22_2e_i350839__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i353831 = (llvm_cbe_tmp25_2e_i353831__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i350839840841_2e_ins)), llvm_cbe_tmp25_2e_i353831__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i356837 = (llvm_cbe_tmp28_2e_i356837__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i350839840841_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i356837__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp164 = *((&llvm_cbe_tmp22->field16));
  llvm_cbe_tmp22_2e_i305825826827_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i302818__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i353831 * llvm_cbe_tmp164))), llvm_cbe_tmp19_2e_i302818__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i305825__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i356837 * llvm_cbe_tmp164))), llvm_cbe_tmp22_2e_i305825__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i252 = *llvm_cbe_tmp9_2e_i533;
  *llvm_cbe_tmp9_2e_i533 = (((float )(llvm_cbe_tmp2_2e_i252 - ((llvm_cbe_tmp25_2e_i308817__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i305825826827_2e_ins)), llvm_cbe_tmp25_2e_i308817__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i261 = *llvm_cbe_tmp2_2e_i526;
  *llvm_cbe_tmp2_2e_i526 = (((float )(llvm_cbe_tmp11_2e_i261 - ((llvm_cbe_tmp28_2e_i311823__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i305825826827_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i311823__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp177 = *llvm_cbe_tmp74;
  llvm_cbe_tmp180 = *((&llvm_cbe_tmp22->field18));
  *llvm_cbe_tmp74 = (((float )(llvm_cbe_tmp177 - (((float )(llvm_cbe_tmp180 * (((float )((((float )(llvm_cbe_tmp46725 * llvm_cbe_tmp28_2e_i356837))) - (((float )(llvm_cbe_tmp49729 * llvm_cbe_tmp25_2e_i353831))))))))))));
  llvm_cbe_tmp188 = *((&llvm_cbe_tmp26->field16));
  llvm_cbe_tmp22_2e_i811812813_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i804__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i353831 * llvm_cbe_tmp188))), llvm_cbe_tmp19_2e_i804__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i811__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i356837 * llvm_cbe_tmp188))), llvm_cbe_tmp22_2e_i811__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i195 = *llvm_cbe_tmp9_2e_i439;
  *llvm_cbe_tmp9_2e_i439 = (((float )(llvm_cbe_tmp2_2e_i195 + ((llvm_cbe_tmp25_2e_i803__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i811812813_2e_ins)), llvm_cbe_tmp25_2e_i803__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i204 = *llvm_cbe_tmp2_2e_i432;
  *llvm_cbe_tmp2_2e_i432 = (((float )(llvm_cbe_tmp11_2e_i204 + ((llvm_cbe_tmp28_2e_i809__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i811812813_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i809__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp201 = *llvm_cbe_tmp95;
  llvm_cbe_tmp204 = *((&llvm_cbe_tmp26->field18));
  *llvm_cbe_tmp95 = (((float )(llvm_cbe_tmp201 + (((float )(llvm_cbe_tmp204 * (((float )((((float )(llvm_cbe_tmp69739 * llvm_cbe_tmp28_2e_i356837))) - (((float )(llvm_cbe_tmp72743 * llvm_cbe_tmp25_2e_i353831))))))))))));
  return;
}


static unsigned long long _ZNK15b2DistanceJoint10GetAnchor1Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field1)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK15b2DistanceJoint10GetAnchor2Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field2)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK15b2DistanceJoint16GetReactionForceEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  float llvm_cbe_tmp7;
  float llvm_cbe_tmp10;
  float llvm_cbe_tmp11;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i65__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i72__BITCAST_TEMPORARY;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field8));
  llvm_cbe_tmp10 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp11 = ((float )(llvm_cbe_tmp7 * llvm_cbe_tmp10));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field3.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field3.field0));
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i65__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp11))), llvm_cbe_tmp19_2e_i65__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i72__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp11))), llvm_cbe_tmp22_2e_i72__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK15b2DistanceJoint17GetReactionTorqueEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  return 0x0p+0;
}


static void _ZN15b2DistanceJointD0Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN15b2DistanceJointD1Ev(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp12;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp15;    /* Address-exposed local */
  float llvm_cbe_tmp18;
  struct l_struct_2E_b2Body *llvm_cbe_tmp25;
  struct l_struct_2E_b2Body *llvm_cbe_tmp29;
  float llvm_cbe_tmp3_2e_i513;
  float llvm_cbe_tmp6_2e_i516;
  float llvm_cbe_tmp10_2e_i520;
  float llvm_cbe_tmp13_2e_i523;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i539765__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i542772__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i542772773774_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i545764__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i548770__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp45;
  float llvm_cbe_tmp49616;
  llvmBitCastUnion llvm_cbe_tmp49616__BITCAST_TEMPORARY;
  float llvm_cbe_tmp52620;
  llvmBitCastUnion llvm_cbe_tmp52620__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i564;
  float llvm_cbe_tmp6_2e_i567;
  float llvm_cbe_tmp10_2e_i571;
  float llvm_cbe_tmp13_2e_i574;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i590779__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i593786__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i593786787788_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i596778__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i599784__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp68;
  float llvm_cbe_tmp72630;
  llvmBitCastUnion llvm_cbe_tmp72630__BITCAST_TEMPORARY;
  float llvm_cbe_tmp75634;
  llvmBitCastUnion llvm_cbe_tmp75634__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i464;
  float llvm_cbe_tmp10_2e_i471;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i490751__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i493758__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i493758759760_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i496750__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i499756__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i418;
  float llvm_cbe_tmp13_2e_i425;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i441737__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i444744__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i444744745746_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i447736__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i450742__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i397723__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i400730__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i400730731732_2e_ins;
  float llvm_cbe_tmp29_2e_i722;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i722__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i728__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp105;
  float *llvm_cbe_tmp5_2e_i347;
  float llvm_cbe_tmp6_2e_i348;
  float *llvm_cbe_tmp9_2e_i351;
  float llvm_cbe_tmp10_2e_i352;
  float llvm_cbe_tmp16_2e_i358;
  float llvm_cbe_tmp115;
  float llvm_cbe_tmp2_2e_i330;
  float llvm_cbe_tmp4_2e_i332;
  float llvm_cbe_tmp9_2e_i337;
  float llvm_cbe_tmp11_2e_i339;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_tmp13_2e_i315_2e_rle;
  float llvm_cbe_tmp13_2e_i315_2e_rle__PHI_TEMPORARY;
  float llvm_cbe_tmp6_2e_i308_2e_rle;
  float llvm_cbe_tmp6_2e_i308_2e_rle__PHI_TEMPORARY;
  float llvm_cbe_tmp15_2e_i317;
  float llvm_cbe_tmp15_2e_i298;
  float *llvm_cbe_tmp129;
  float llvm_cbe_tmp130;
  float *llvm_cbe_tmp132;
  float llvm_cbe_tmp133;
  float *llvm_cbe_tmp140;
  float llvm_cbe_tmp141;
  float *llvm_cbe_tmp144;
  float llvm_cbe_tmp145;
  float llvm_cbe_tmp150;
  float llvm_cbe_tmp161;
  float *llvm_cbe_tmp163;
  float llvm_cbe_tmp166;
  float llvm_cbe_tmp173;
  float llvm_cbe_tmp179;
  float llvm_cbe_tmp186;
  float llvm_cbe_tmp196;
  float *llvm_cbe_tmp198;
  float llvm_cbe_tmp199;
  float llvm_cbe_tmp208;
  float llvm_cbe_tmp213;
  unsigned char llvm_cbe_tmp235;
  float *llvm_cbe_tmp310;
  float llvm_cbe_tmp240;
  float llvm_cbe_tmp243;
  float llvm_cbe_tmp244;
  float llvm_cbe_tmp3_2e_i248;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i270709__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i273716__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i273716717718_2e_ins;
  float llvm_cbe_tmp25_2e_i276708;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i276708__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i279714;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i279714__BITCAST_TEMPORARY;
  float llvm_cbe_tmp262;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i225695__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i228702__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i228702703704_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i231694__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i234700__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i174;
  float llvm_cbe_tmp2_2e_i175;
  float *llvm_cbe_tmp10_2e_i183;
  float llvm_cbe_tmp11_2e_i184;
  float *llvm_cbe_tmp274;
  float llvm_cbe_tmp275;
  float llvm_cbe_tmp278;
  float llvm_cbe_tmp286;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i681__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i688__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i688689690_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i680__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i686__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i117;
  float llvm_cbe_tmp2_2e_i118;
  float *llvm_cbe_tmp10_2e_i126;
  float llvm_cbe_tmp11_2e_i127;
  float *llvm_cbe_tmp298;
  float llvm_cbe_tmp299;
  float llvm_cbe_tmp302;

  llvm_cbe_tmp18 = *((&llvm_cbe_step->field1));
  *((&llvm_cbe_this->field0.field8)) = llvm_cbe_tmp18;
  llvm_cbe_tmp25 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp29 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i513 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i516 = *((&llvm_cbe_tmp25->field3.field0.field1));
  llvm_cbe_tmp10_2e_i520 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i523 = *((&llvm_cbe_tmp25->field3.field0.field0));
  llvm_cbe_tmp26_2e_i542772773774_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i539765__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i520 - llvm_cbe_tmp13_2e_i523))), llvm_cbe_tmp23_2e_i539765__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i542772__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i513 - llvm_cbe_tmp6_2e_i516))), llvm_cbe_tmp26_2e_i542772__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp15.field0)) = ((llvm_cbe_tmp29_2e_i545764__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i542772773774_2e_ins)), llvm_cbe_tmp29_2e_i545764__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp15.field1)) = ((llvm_cbe_tmp32_2e_i548770__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i542772773774_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i548770__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp45 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp25->field2.field1)), (&llvm_cbe_tmp15));
  llvm_cbe_tmp49616 = (llvm_cbe_tmp49616__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp45)), llvm_cbe_tmp49616__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp52620 = (llvm_cbe_tmp52620__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp45) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp52620__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i564 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i567 = *((&llvm_cbe_tmp29->field3.field0.field1));
  llvm_cbe_tmp10_2e_i571 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i574 = *((&llvm_cbe_tmp29->field3.field0.field0));
  llvm_cbe_tmp26_2e_i593786787788_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i590779__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i571 - llvm_cbe_tmp13_2e_i574))), llvm_cbe_tmp23_2e_i590779__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i593786__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i564 - llvm_cbe_tmp6_2e_i567))), llvm_cbe_tmp26_2e_i593786__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp12.field0)) = ((llvm_cbe_tmp29_2e_i596778__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i593786787788_2e_ins)), llvm_cbe_tmp29_2e_i596778__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp12.field1)) = ((llvm_cbe_tmp32_2e_i599784__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i593786787788_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i599784__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp68 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp29->field2.field1)), (&llvm_cbe_tmp12));
  llvm_cbe_tmp72630 = (llvm_cbe_tmp72630__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp68)), llvm_cbe_tmp72630__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp75634 = (llvm_cbe_tmp75634__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp68) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp75634__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i464 = *((&llvm_cbe_tmp29->field3.field2.field1));
  llvm_cbe_tmp10_2e_i471 = *((&llvm_cbe_tmp29->field3.field2.field0));
  llvm_cbe_tmp26_2e_i493758759760_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i490751__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i471 + llvm_cbe_tmp72630))), llvm_cbe_tmp23_2e_i490751__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i493758__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i464 + llvm_cbe_tmp75634))), llvm_cbe_tmp26_2e_i493758__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i418 = *((&llvm_cbe_tmp25->field3.field2.field1));
  llvm_cbe_tmp13_2e_i425 = *((&llvm_cbe_tmp25->field3.field2.field0));
  llvm_cbe_tmp26_2e_i444744745746_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i441737__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i496750__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i493758759760_2e_ins)), llvm_cbe_tmp29_2e_i496750__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i425))), llvm_cbe_tmp23_2e_i441737__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i444744__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i499756__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i493758759760_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i499756__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i418))), llvm_cbe_tmp26_2e_i444744__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i400730731732_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i397723__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i447736__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i444744745746_2e_ins)), llvm_cbe_tmp29_2e_i447736__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp49616))), llvm_cbe_tmp23_2e_i397723__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i400730__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i450742__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i444744745746_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i450742__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp52620))), llvm_cbe_tmp26_2e_i400730__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i722 = (llvm_cbe_tmp29_2e_i722__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i400730731732_2e_ins)), llvm_cbe_tmp29_2e_i722__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_this->field3.field0)) = llvm_cbe_tmp29_2e_i722;
  llvm_cbe_tmp105 = (&llvm_cbe_this->field3.field1);
  *llvm_cbe_tmp105 = ((llvm_cbe_tmp32_2e_i728__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i400730731732_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i728__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp5_2e_i347 = (&llvm_cbe_this->field3.field0);
  llvm_cbe_tmp6_2e_i348 = *llvm_cbe_tmp5_2e_i347;
  llvm_cbe_tmp9_2e_i351 = (&llvm_cbe_this->field3.field1);
  llvm_cbe_tmp10_2e_i352 = *llvm_cbe_tmp9_2e_i351;
  llvm_cbe_tmp16_2e_i358 = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i722 * llvm_cbe_tmp6_2e_i348))) + (((float )(llvm_cbe_tmp10_2e_i352 * llvm_cbe_tmp10_2e_i352)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp16_2e_i358, 0x1.47ae14p-8))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb118;
  }

llvm_cbe_bb:
  llvm_cbe_tmp115 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i358));
  llvm_cbe_tmp2_2e_i330 = *llvm_cbe_tmp5_2e_i347;
  llvm_cbe_tmp4_2e_i332 = ((float )(llvm_cbe_tmp2_2e_i330 * llvm_cbe_tmp115));
  *llvm_cbe_tmp5_2e_i347 = llvm_cbe_tmp4_2e_i332;
  llvm_cbe_tmp9_2e_i337 = *llvm_cbe_tmp9_2e_i351;
  llvm_cbe_tmp11_2e_i339 = ((float )(llvm_cbe_tmp9_2e_i337 * llvm_cbe_tmp115));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i339;   /* for PHI node */
  llvm_cbe_tmp13_2e_i315_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp4_2e_i332;   /* for PHI node */
  llvm_cbe_tmp6_2e_i308_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i339;   /* for PHI node */
  goto llvm_cbe_bb121;

llvm_cbe_bb118:
  *llvm_cbe_tmp5_2e_i347 = 0x0p+0;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_tmp13_2e_i315_2e_rle__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  llvm_cbe_tmp6_2e_i308_2e_rle__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
  goto llvm_cbe_bb121;

llvm_cbe_bb121:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  llvm_cbe_tmp13_2e_i315_2e_rle = llvm_cbe_tmp13_2e_i315_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp6_2e_i308_2e_rle = llvm_cbe_tmp6_2e_i308_2e_rle__PHI_TEMPORARY;
  *llvm_cbe_tmp9_2e_i351 = llvm_cbe_storemerge;
  llvm_cbe_tmp15_2e_i317 = ((float )((((float )(llvm_cbe_tmp49616 * llvm_cbe_tmp6_2e_i308_2e_rle))) - (((float )(llvm_cbe_tmp52620 * llvm_cbe_tmp13_2e_i315_2e_rle)))));
  llvm_cbe_tmp15_2e_i298 = ((float )((((float )(llvm_cbe_tmp72630 * llvm_cbe_tmp6_2e_i308_2e_rle))) - (((float )(llvm_cbe_tmp75634 * llvm_cbe_tmp13_2e_i315_2e_rle)))));
  llvm_cbe_tmp129 = (&llvm_cbe_tmp25->field16);
  llvm_cbe_tmp130 = *llvm_cbe_tmp129;
  llvm_cbe_tmp132 = (&llvm_cbe_tmp25->field18);
  llvm_cbe_tmp133 = *llvm_cbe_tmp132;
  llvm_cbe_tmp140 = (&llvm_cbe_tmp29->field16);
  llvm_cbe_tmp141 = *llvm_cbe_tmp140;
  llvm_cbe_tmp144 = (&llvm_cbe_tmp29->field18);
  llvm_cbe_tmp145 = *llvm_cbe_tmp144;
  llvm_cbe_tmp150 = ((float )((((float )((((float )(llvm_cbe_tmp130 + (((float )((((float )(llvm_cbe_tmp133 * llvm_cbe_tmp15_2e_i317))) * llvm_cbe_tmp15_2e_i317)))))) + llvm_cbe_tmp141))) + (((float )((((float )(llvm_cbe_tmp145 * llvm_cbe_tmp15_2e_i298))) * llvm_cbe_tmp15_2e_i298)))));
  if ((llvm_fcmp_ule(llvm_cbe_tmp150, 0x1p-23))) {
    goto llvm_cbe_bb155;
  } else {
    goto llvm_cbe_bb159;
  }

llvm_cbe_bb155:
  __assert_fail(((&_2E_str277[((signed long long )0ull)])), ((&_2E_str1278[((signed long long )0ull)])), 90u, ((&_ZZN15b2DistanceJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb159:
  llvm_cbe_tmp161 = ((float )(0x1p+0 / llvm_cbe_tmp150));
  llvm_cbe_tmp163 = (&llvm_cbe_this->field9);
  *llvm_cbe_tmp163 = llvm_cbe_tmp161;
  llvm_cbe_tmp166 = *((&llvm_cbe_this->field4));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp166, 0x0p+0))) {
    goto llvm_cbe_bb170;
  } else {
    goto llvm_cbe_bb232;
  }

llvm_cbe_bb170:
  llvm_cbe_tmp173 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp179 = ((float )(llvm_cbe_tmp166 * 0x1.921fb6p+2));
  llvm_cbe_tmp186 = *((&llvm_cbe_this->field5));
  llvm_cbe_tmp196 = ((float )((((float )(llvm_cbe_tmp161 * llvm_cbe_tmp179))) * llvm_cbe_tmp179));
  llvm_cbe_tmp198 = (&llvm_cbe_step->field0);
  llvm_cbe_tmp199 = *llvm_cbe_tmp198;
  llvm_cbe_tmp208 = ((float )(0x1p+0 / (((float )(llvm_cbe_tmp199 * (((float )((((float )(llvm_cbe_tmp199 * llvm_cbe_tmp196))) + (((float )((((float )((((float )(llvm_cbe_tmp161 * 0x1p+1))) * llvm_cbe_tmp186))) * llvm_cbe_tmp179)))))))))));
  *((&llvm_cbe_this->field6)) = llvm_cbe_tmp208;
  llvm_cbe_tmp213 = *llvm_cbe_tmp198;
  *((&llvm_cbe_this->field7)) = (((float )((((float )((((float )(llvm_cbe_tmp213 * (((float )(llvm_cbe_tmp16_2e_i358 - llvm_cbe_tmp173)))))) * llvm_cbe_tmp196))) * llvm_cbe_tmp208)));
  *llvm_cbe_tmp163 = (((float )(0x1p+0 / (((float )(llvm_cbe_tmp208 + llvm_cbe_tmp150))))));
  goto llvm_cbe_bb232;

llvm_cbe_bb232:
  llvm_cbe_tmp235 = *((&llvm_cbe_step->field4));
  llvm_cbe_tmp310 = (&llvm_cbe_this->field8);
  if ((llvm_cbe_tmp235 == ((unsigned char )0))) {
    goto llvm_cbe_bb308;
  } else {
    goto llvm_cbe_bb237;
  }

llvm_cbe_bb237:
  llvm_cbe_tmp240 = *llvm_cbe_tmp310;
  llvm_cbe_tmp243 = *((&llvm_cbe_step->field2));
  llvm_cbe_tmp244 = ((float )(llvm_cbe_tmp240 * llvm_cbe_tmp243));
  *llvm_cbe_tmp310 = llvm_cbe_tmp244;
  llvm_cbe_tmp3_2e_i248 = *llvm_cbe_tmp105;
  llvm_cbe_tmp22_2e_i273716717718_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i270709__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i315_2e_rle * llvm_cbe_tmp244))), llvm_cbe_tmp19_2e_i270709__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i273716__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i248 * llvm_cbe_tmp244))), llvm_cbe_tmp22_2e_i273716__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i276708 = (llvm_cbe_tmp25_2e_i276708__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i273716717718_2e_ins)), llvm_cbe_tmp25_2e_i276708__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i279714 = (llvm_cbe_tmp28_2e_i279714__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i273716717718_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i279714__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp262 = *llvm_cbe_tmp129;
  llvm_cbe_tmp22_2e_i228702703704_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i225695__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i276708 * llvm_cbe_tmp262))), llvm_cbe_tmp19_2e_i225695__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i228702__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i279714 * llvm_cbe_tmp262))), llvm_cbe_tmp22_2e_i228702__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i174 = (&llvm_cbe_tmp25->field4.field0);
  llvm_cbe_tmp2_2e_i175 = *llvm_cbe_tmp1_2e_i174;
  *llvm_cbe_tmp1_2e_i174 = (((float )(llvm_cbe_tmp2_2e_i175 - ((llvm_cbe_tmp25_2e_i231694__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i228702703704_2e_ins)), llvm_cbe_tmp25_2e_i231694__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i183 = (&llvm_cbe_tmp25->field4.field1);
  llvm_cbe_tmp11_2e_i184 = *llvm_cbe_tmp10_2e_i183;
  *llvm_cbe_tmp10_2e_i183 = (((float )(llvm_cbe_tmp11_2e_i184 - ((llvm_cbe_tmp28_2e_i234700__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i228702703704_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i234700__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp274 = (&llvm_cbe_tmp25->field5);
  llvm_cbe_tmp275 = *llvm_cbe_tmp274;
  llvm_cbe_tmp278 = *llvm_cbe_tmp132;
  *llvm_cbe_tmp274 = (((float )(llvm_cbe_tmp275 - (((float )(llvm_cbe_tmp278 * (((float )((((float )(llvm_cbe_tmp49616 * llvm_cbe_tmp28_2e_i279714))) - (((float )(llvm_cbe_tmp52620 * llvm_cbe_tmp25_2e_i276708))))))))))));
  llvm_cbe_tmp286 = *llvm_cbe_tmp140;
  llvm_cbe_tmp22_2e_i688689690_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i681__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i276708 * llvm_cbe_tmp286))), llvm_cbe_tmp19_2e_i681__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i688__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i279714 * llvm_cbe_tmp286))), llvm_cbe_tmp22_2e_i688__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i117 = (&llvm_cbe_tmp29->field4.field0);
  llvm_cbe_tmp2_2e_i118 = *llvm_cbe_tmp1_2e_i117;
  *llvm_cbe_tmp1_2e_i117 = (((float )(llvm_cbe_tmp2_2e_i118 + ((llvm_cbe_tmp25_2e_i680__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i688689690_2e_ins)), llvm_cbe_tmp25_2e_i680__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i126 = (&llvm_cbe_tmp29->field4.field1);
  llvm_cbe_tmp11_2e_i127 = *llvm_cbe_tmp10_2e_i126;
  *llvm_cbe_tmp10_2e_i126 = (((float )(llvm_cbe_tmp11_2e_i127 + ((llvm_cbe_tmp28_2e_i686__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i688689690_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i686__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp298 = (&llvm_cbe_tmp29->field5);
  llvm_cbe_tmp299 = *llvm_cbe_tmp298;
  llvm_cbe_tmp302 = *llvm_cbe_tmp144;
  *llvm_cbe_tmp298 = (((float )(llvm_cbe_tmp299 + (((float )(llvm_cbe_tmp302 * (((float )((((float )(llvm_cbe_tmp72630 * llvm_cbe_tmp28_2e_i279714))) - (((float )(llvm_cbe_tmp75634 * llvm_cbe_tmp25_2e_i276708))))))))))));
  return;
llvm_cbe_bb308:
  *llvm_cbe_tmp310 = 0x0p+0;
  return;
}


static unsigned char _ZN15b2DistanceJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2DistanceJoint *llvm_cbe_this) {
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp12;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp15;    /* Address-exposed local */
  float llvm_cbe_tmp19;
  struct l_struct_2E_b2Body *llvm_cbe_tmp26;
  struct l_struct_2E_b2Body *llvm_cbe_tmp30;
  float llvm_cbe_tmp3_2e_i98;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i627__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i634__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i634635636_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i626__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i632__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp46;
  float llvm_cbe_tmp50562;
  llvmBitCastUnion llvm_cbe_tmp50562__BITCAST_TEMPORARY;
  float llvm_cbe_tmp53566;
  llvmBitCastUnion llvm_cbe_tmp53566__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i516;
  float llvm_cbe_tmp6_2e_i519;
  float llvm_cbe_tmp10_2e_i523;
  float llvm_cbe_tmp13_2e_i526;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i542725__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i545732__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i545732733734_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i548724__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i551730__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp69;
  float llvm_cbe_tmp73576;
  llvmBitCastUnion llvm_cbe_tmp73576__BITCAST_TEMPORARY;
  float llvm_cbe_tmp76580;
  llvmBitCastUnion llvm_cbe_tmp76580__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i460;
  float llvm_cbe_tmp3_2e_i461;
  float *llvm_cbe_tmp9_2e_i467;
  float llvm_cbe_tmp10_2e_i468;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i487711__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i490718__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i490718719720_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i493710__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i496716__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp5_2e_i414;
  float llvm_cbe_tmp6_2e_i415;
  float *llvm_cbe_tmp12_2e_i421;
  float llvm_cbe_tmp13_2e_i422;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i438697__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i441704__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i441704705706_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i444696__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i447702__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i389683__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i392690__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i392690691692_2e_ins;
  float llvm_cbe_tmp29_2e_i395682;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i395682__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i398688;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i398688__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i333;
  float llvm_cbe_tmp13_2e_i338;
  float llvm_cbe_tmp20_2e_i345;
  float llvm_cbe_d_2e_0_2e_0;
  float llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_d_2e_1_2e_0;
  float llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  float llvm_cbe_storemerge_2e_i350;
  float llvm_cbe_storemerge_2e_i350__PHI_TEMPORARY;
  float llvm_cbe_tmp110;
  float llvm_cbe_tmp112;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reload735;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp119;
  float llvm_cbe_tmp122;
  float llvm_cbe_tmp8_2e_i284;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i301669__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i304676__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i304676677678_2e_ins;
  float llvm_cbe_tmp25_2e_i307668;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i307668__BITCAST_TEMPORARY;
  float llvm_cbe_tmp28_2e_i310674;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i310674__BITCAST_TEMPORARY;
  float llvm_cbe_tmp144;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i256655__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i259662__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i259662663664_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i262654__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i265660__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i206;
  float llvm_cbe_tmp11_2e_i215;
  float *llvm_cbe_tmp158;
  float llvm_cbe_tmp159;
  float llvm_cbe_tmp162;
  float llvm_cbe_tmp171;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i173641__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i176648__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i176648649650_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i179640__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i182646__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i124;
  float llvm_cbe_tmp11_2e_i133;
  float *llvm_cbe_tmp185;
  float llvm_cbe_tmp186;
  float llvm_cbe_tmp189;
  float llvm_cbe_tmp5_2e_i;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;

  llvm_cbe_tmp19 = *((&llvm_cbe_this->field4));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp19, 0x0p+0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb22;
  }

llvm_cbe_bb22:
  llvm_cbe_tmp26 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp30 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i98 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i = *((&llvm_cbe_tmp26->field3.field0.field1));
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i = *((&llvm_cbe_tmp26->field3.field0.field0));
  llvm_cbe_tmp26_2e_i634635636_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i627__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i627__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i634__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i98 - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i634__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp15.field0)) = ((llvm_cbe_tmp29_2e_i626__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i634635636_2e_ins)), llvm_cbe_tmp29_2e_i626__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp15.field1)) = ((llvm_cbe_tmp32_2e_i632__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i634635636_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i632__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp46 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp26->field2.field1)), (&llvm_cbe_tmp15));
  llvm_cbe_tmp50562 = (llvm_cbe_tmp50562__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp46)), llvm_cbe_tmp50562__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp53566 = (llvm_cbe_tmp53566__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp46) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp53566__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i516 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i519 = *((&llvm_cbe_tmp30->field3.field0.field1));
  llvm_cbe_tmp10_2e_i523 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i526 = *((&llvm_cbe_tmp30->field3.field0.field0));
  llvm_cbe_tmp26_2e_i545732733734_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i542725__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i523 - llvm_cbe_tmp13_2e_i526))), llvm_cbe_tmp23_2e_i542725__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i545732__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i516 - llvm_cbe_tmp6_2e_i519))), llvm_cbe_tmp26_2e_i545732__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp12.field0)) = ((llvm_cbe_tmp29_2e_i548724__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i545732733734_2e_ins)), llvm_cbe_tmp29_2e_i548724__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp12.field1)) = ((llvm_cbe_tmp32_2e_i551730__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i545732733734_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i551730__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp69 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp30->field2.field1)), (&llvm_cbe_tmp12));
  llvm_cbe_tmp73576 = (llvm_cbe_tmp73576__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp69)), llvm_cbe_tmp73576__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp76580 = (llvm_cbe_tmp76580__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp69) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp76580__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2_2e_i460 = (&llvm_cbe_tmp30->field3.field2.field1);
  llvm_cbe_tmp3_2e_i461 = *llvm_cbe_tmp2_2e_i460;
  llvm_cbe_tmp9_2e_i467 = (&llvm_cbe_tmp30->field3.field2.field0);
  llvm_cbe_tmp10_2e_i468 = *llvm_cbe_tmp9_2e_i467;
  llvm_cbe_tmp26_2e_i490718719720_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i487711__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i468 + llvm_cbe_tmp73576))), llvm_cbe_tmp23_2e_i487711__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i490718__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i461 + llvm_cbe_tmp76580))), llvm_cbe_tmp26_2e_i490718__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp5_2e_i414 = (&llvm_cbe_tmp26->field3.field2.field1);
  llvm_cbe_tmp6_2e_i415 = *llvm_cbe_tmp5_2e_i414;
  llvm_cbe_tmp12_2e_i421 = (&llvm_cbe_tmp26->field3.field2.field0);
  llvm_cbe_tmp13_2e_i422 = *llvm_cbe_tmp12_2e_i421;
  llvm_cbe_tmp26_2e_i441704705706_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i438697__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i493710__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i490718719720_2e_ins)), llvm_cbe_tmp29_2e_i493710__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i422))), llvm_cbe_tmp23_2e_i438697__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i441704__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i496716__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i490718719720_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i496716__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i415))), llvm_cbe_tmp26_2e_i441704__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i392690691692_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i389683__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i444696__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i441704705706_2e_ins)), llvm_cbe_tmp29_2e_i444696__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp50562))), llvm_cbe_tmp23_2e_i389683__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i392690__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i447702__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i441704705706_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i447702__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp53566))), llvm_cbe_tmp26_2e_i392690__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i395682 = (llvm_cbe_tmp29_2e_i395682__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i392690691692_2e_ins)), llvm_cbe_tmp29_2e_i395682__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i398688 = (llvm_cbe_tmp32_2e_i398688__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i392690691692_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i398688__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i395682 * llvm_cbe_tmp29_2e_i395682))) + (((float )(llvm_cbe_tmp32_2e_i398688 * llvm_cbe_tmp32_2e_i398688)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29_2e_i395682;   /* for PHI node */
    llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i398688;   /* for PHI node */
    llvm_cbe_storemerge_2e_i350__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i349;
  }

llvm_cbe_bb6_2e_i349:
  llvm_cbe_tmp8_2e_i333 = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i));
  llvm_cbe_tmp13_2e_i338 = ((float )(llvm_cbe_tmp29_2e_i395682 * llvm_cbe_tmp8_2e_i333));
  llvm_cbe_tmp20_2e_i345 = ((float )(llvm_cbe_tmp32_2e_i398688 * llvm_cbe_tmp8_2e_i333));
  llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp13_2e_i338;   /* for PHI node */
  llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp20_2e_i345;   /* for PHI node */
  llvm_cbe_storemerge_2e_i350__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit:
  llvm_cbe_d_2e_0_2e_0 = llvm_cbe_d_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_d_2e_1_2e_0 = llvm_cbe_d_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i350 = llvm_cbe_storemerge_2e_i350__PHI_TEMPORARY;
  llvm_cbe_tmp110 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp112 = ((float )(llvm_cbe_storemerge_2e_i350 - llvm_cbe_tmp110));
  if ((llvm_fcmp_olt(llvm_cbe_tmp112, 0x1.99999ap-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0x1.99999ap-3;
  goto llvm_cbe_bb6_2e_i10_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp112;
  if ((llvm_fcmp_olt(llvm_cbe_tmp112, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i;
  }

llvm_cbe_bb6_2e_i10_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload735 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_reload735;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit:
  llvm_cbe_storemerge_2e_i11_2e_i = llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp119 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp122 = ((float )(llvm_cbe_storemerge_2e_i11_2e_i * (((float )(-(llvm_cbe_tmp119))))));
  *((&llvm_cbe_this->field3.field0)) = llvm_cbe_d_2e_0_2e_0;
  *((&llvm_cbe_this->field3.field1)) = llvm_cbe_d_2e_1_2e_0;
  llvm_cbe_tmp8_2e_i284 = *((&llvm_cbe_this->field3.field0));
  llvm_cbe_tmp22_2e_i304676677678_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i301669__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i284 * llvm_cbe_tmp122))), llvm_cbe_tmp19_2e_i301669__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i304676__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_d_2e_1_2e_0 * llvm_cbe_tmp122))), llvm_cbe_tmp22_2e_i304676__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp25_2e_i307668 = (llvm_cbe_tmp25_2e_i307668__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i304676677678_2e_ins)), llvm_cbe_tmp25_2e_i307668__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp28_2e_i310674 = (llvm_cbe_tmp28_2e_i310674__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i304676677678_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i310674__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp144 = *((&llvm_cbe_tmp26->field16));
  llvm_cbe_tmp22_2e_i259662663664_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i256655__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i307668 * llvm_cbe_tmp144))), llvm_cbe_tmp19_2e_i256655__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i259662__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i310674 * llvm_cbe_tmp144))), llvm_cbe_tmp22_2e_i259662__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i206 = *llvm_cbe_tmp12_2e_i421;
  *llvm_cbe_tmp12_2e_i421 = (((float )(llvm_cbe_tmp2_2e_i206 - ((llvm_cbe_tmp25_2e_i262654__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i259662663664_2e_ins)), llvm_cbe_tmp25_2e_i262654__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i215 = *llvm_cbe_tmp5_2e_i414;
  *llvm_cbe_tmp5_2e_i414 = (((float )(llvm_cbe_tmp11_2e_i215 - ((llvm_cbe_tmp28_2e_i265660__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i259662663664_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i265660__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp158 = (&llvm_cbe_tmp26->field3.field4);
  llvm_cbe_tmp159 = *llvm_cbe_tmp158;
  llvm_cbe_tmp162 = *((&llvm_cbe_tmp26->field18));
  *llvm_cbe_tmp158 = (((float )(llvm_cbe_tmp159 - (((float )(llvm_cbe_tmp162 * (((float )((((float )(llvm_cbe_tmp50562 * llvm_cbe_tmp28_2e_i310674))) - (((float )(llvm_cbe_tmp53566 * llvm_cbe_tmp25_2e_i307668))))))))))));
  llvm_cbe_tmp171 = *((&llvm_cbe_tmp30->field16));
  llvm_cbe_tmp22_2e_i176648649650_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i173641__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp25_2e_i307668 * llvm_cbe_tmp171))), llvm_cbe_tmp19_2e_i173641__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i176648__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp28_2e_i310674 * llvm_cbe_tmp171))), llvm_cbe_tmp22_2e_i176648__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i124 = *llvm_cbe_tmp9_2e_i467;
  *llvm_cbe_tmp9_2e_i467 = (((float )(llvm_cbe_tmp2_2e_i124 + ((llvm_cbe_tmp25_2e_i179640__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i176648649650_2e_ins)), llvm_cbe_tmp25_2e_i179640__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i133 = *llvm_cbe_tmp2_2e_i460;
  *llvm_cbe_tmp2_2e_i460 = (((float )(llvm_cbe_tmp11_2e_i133 + ((llvm_cbe_tmp28_2e_i182646__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i176648649650_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i182646__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp185 = (&llvm_cbe_tmp30->field3.field4);
  llvm_cbe_tmp186 = *llvm_cbe_tmp185;
  llvm_cbe_tmp189 = *((&llvm_cbe_tmp30->field18));
  *llvm_cbe_tmp185 = (((float )(llvm_cbe_tmp186 + (((float )(llvm_cbe_tmp189 * (((float )((((float )(llvm_cbe_tmp73576 * llvm_cbe_tmp28_2e_i310674))) - (((float )(llvm_cbe_tmp76580 * llvm_cbe_tmp25_2e_i307668))))))))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp26);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp30);
  if ((llvm_fcmp_ule(llvm_cbe_storemerge_2e_i11_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i11_2e_i;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i = ((float )(-(llvm_cbe_storemerge_2e_i11_2e_i)));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe__Z5b2Absf_2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  return (((unsigned char )(bool )(llvm_fcmp_olt(llvm_cbe_storemerge_2e_i, 0x1.47ae14p-8))));
llvm_cbe_return:
  return ((unsigned char )1);
}


static struct l_struct_2E_b2Manifold *_ZN16b2PolygonContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  return ((&llvm_cbe_this->field1));
}


static void _ZN16b2PolygonContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  _ZdlPv(((&llvm_cbe_this->field0[((signed int )0u)])));
  return;
}


static void _ZN16b2PolygonContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  return;
}


static void _ZN16b2PolygonContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener) {
  unsigned long long llvm_cbe_retval_2e_i245_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned long long llvm_cbe_retval_2e_i279_2e_1_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp4_2e_i122_2e_i;    /* Address-exposed local */
  struct l_struct_2E_ClipVertex llvm_cbe_clipPoints2_2e_i[2];    /* Address-exposed local */
  struct l_struct_2E_ClipVertex llvm_cbe_clipPoints1_2e_i[2];    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_sideNormal_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_v12_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_v11_2e_i;    /* Address-exposed local */
  struct l_struct_2E_ClipVertex llvm_cbe_incidentEdge_2e_i[2];    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf2_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2XForm llvm_cbe_xf1_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_edgeB_2e_i;    /* Address-exposed local */
  unsigned int llvm_cbe_edgeA_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp5_2e_i175;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp17_2e_i185;    /* Address-exposed local */
  struct l_struct_2E_b2ContactPoint llvm_cbe_cp;    /* Address-exposed local */
  unsigned char llvm_cbe_persisted[2];    /* Address-exposed local */
  struct l_struct_2E_b2Manifold llvm_cbe_m0;    /* Address-exposed local */
  struct l_struct_2E_b2Contact *llvm_cbe_tmp2425;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp26;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp27;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp32;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp33;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i65;
  unsigned long long llvm_cbe_tmp_2e_i71_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i81;
  unsigned char *ltmp_37_1;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i86;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp45;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp4546;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i116;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp53;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp5354;
  unsigned int *llvm_cbe_tmp25_2e_i192;
  float llvm_cbe_tmp30_2e_i197;
  float llvm_cbe_tmp38_2e_i;
  float *llvm_cbe_tmp57_2e_i;
  float llvm_cbe_tmp59_2e_i;
  float llvm_cbe_tmp62_2e_i;
  float llvm_cbe_tmp69_2e_i;
  float llvm_cbe_tmp72_2e_i;
  float llvm_cbe_tmp77_2e_i;
  float llvm_cbe_tmp80_2e_i;
  float llvm_cbe_tmp86_2e_i;
  float llvm_cbe_tmp89_2e_i;
  float llvm_cbe_tmp96_2e_i;
  float llvm_cbe_tmp99_2e_i;
  float llvm_cbe_tmp104_2e_i;
  float llvm_cbe_tmp107_2e_i;
  float llvm_cbe_tmp117_2e_i;
  float llvm_cbe_tmp120_2e_i;
  float llvm_cbe_tmp127_2e_i;
  float llvm_cbe_tmp130_2e_i;
  float llvm_cbe_tmp135_2e_i;
  float llvm_cbe_tmp138_2e_i;
  float llvm_cbe_tmp144_2e_i;
  float llvm_cbe_tmp147_2e_i;
  float llvm_cbe_tmp154_2e_i;
  float llvm_cbe_tmp157_2e_i;
  float llvm_cbe_tmp162_2e_i;
  float llvm_cbe_tmp165_2e_i;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2_2e_i_2e_0;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2_2e_i_2e_0__PHI_TEMPORARY;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1_2e_i_2e_0;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int *llvm_cbe_storemerge1_2e_in_2e_i;
  unsigned int *llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  unsigned char llvm_cbe_storemerge_2e_i203;
  unsigned char llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge1_2e_i;
  struct l_struct_2E_ClipVertex *llvm_cbe_tmp168_2e_i;
  unsigned long long llvm_cbe_tmp21_2e_i189_2e_0;
  unsigned long long llvm_cbe_tmp21_2e_i189_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp175_2e_i;
  unsigned int *llvm_cbe_tmp2_2e_i_2e_i124_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i32_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i_2e_i125_2e_i;
  unsigned long long llvm_cbe_tmp2930_2e_i_2e_i;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp33_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp34_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp38_2e_i_2e_i547__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp41_2e_i_2e_i551__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp44_2e_i_2e_i;
  float llvm_cbe_tmp48_2e_i_2e_i554;
  llvmBitCastUnion llvm_cbe_tmp48_2e_i_2e_i554__BITCAST_TEMPORARY;
  float llvm_cbe_tmp51_2e_i_2e_i558;
  llvmBitCastUnion llvm_cbe_tmp51_2e_i_2e_i558__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp5455_2e_i_2e_i;
  float llvm_cbe_tmp6_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp15_2e_i_2e_i_2e_i;
  float llvm_cbe_minDot_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_index_2e_i_2e_i_2e_0;
  unsigned int llvm_cbe_tmp68_2e_i_2e_i;
  float llvm_cbe_minDot_2e_i_2e_i_2e_1;
  float llvm_cbe_minDot_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_index_2e_i_2e_i_2e_1;
  unsigned int llvm_cbe_index_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp78_2e_i_2e_i;
  unsigned int llvm_cbe_storemerge1_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp96_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp101_2e_i_2e_i561__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp104_2e_i_2e_i565__BITCAST_TEMPORARY;
  unsigned char llvm_cbe_tmp107108_2e_i_2e_i;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp109_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp118119_2e_i_2e_i;
  unsigned long long llvm_cbe_tmp134_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp139_2e_i_2e_i568__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp142_2e_i_2e_i572__BITCAST_TEMPORARY;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp147_2e_i_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp156157_2e_i_2e_i;
  unsigned int llvm_cbe_tmp3_2e_i140_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp3_2e_i243_2e_i;
  float llvm_cbe_tmp197_2e_i;
  float llvm_cbe_tmp200_2e_i;
  float *llvm_cbe_tmp201_2e_i;
  float *llvm_cbe_tmp204_2e_i;
  unsigned int llvm_cbe_tmp208_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp218_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge3_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp226_2e_i;
  float llvm_cbe_tmp229_2e_i;
  float *llvm_cbe_tmp230_2e_i;
  float *llvm_cbe_tmp233_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i283_2e_i591__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i286_2e_i598__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i286_2e_i598599600_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i288_2e_i590__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i290_2e_i596__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp253_2e_i;
  float *llvm_cbe_tmp255_2e_i;
  float llvm_cbe_tmp257_2e_i477;
  llvmBitCastUnion llvm_cbe_tmp257_2e_i477__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp258_2e_i;
  float llvm_cbe_tmp260_2e_i481;
  llvmBitCastUnion llvm_cbe_tmp260_2e_i481__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i356_2e_i;
  float llvm_cbe_tmp11_2e_i359_2e_i;
  float llvm_cbe_tmp18_2e_i366_2e_i;
  float llvm_cbe_tmp5_2e_i304_2e_i;
  float llvm_cbe_tmp9_2e_i308_2e_i;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i325_2e_i605__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i328_2e_i612__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp23_2e_i328_2e_i612613614_2e_ins;
  float llvm_cbe_tmp26_2e_i331_2e_i604;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i331_2e_i604__BITCAST_TEMPORARY;
  float llvm_cbe_tmp29_2e_i334_2e_i610;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i334_2e_i610__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp270_2e_i;
  llvmBitCastUnion llvm_cbe_tmp274_2e_i491__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp277_2e_i495__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp278_2e_i;
  float llvm_cbe_tmp282_2e_i498;
  llvmBitCastUnion llvm_cbe_tmp282_2e_i498__BITCAST_TEMPORARY;
  float llvm_cbe_tmp285_2e_i502;
  llvmBitCastUnion llvm_cbe_tmp285_2e_i502__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i231_2e_i;
  float llvm_cbe_tmp13_2e_i238_2e_i;
  float llvm_cbe_tmp15_2e_i240_2e_i;
  float llvm_cbe_tmp3_2e_i209_2e_i;
  float llvm_cbe_tmp10_2e_i216_2e_i;
  float llvm_cbe_tmp288_2e_i;
  float llvm_cbe_tmp15_2e_i202_2e_i;
  struct l_struct_2E_ClipVertex *llvm_cbe_tmp290_2e_i;
  unsigned long long llvm_cbe_tmp9_2e_i178_2e_0;
  unsigned long long llvm_cbe_tmp9_2e_i178_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp297_2e_i;
  struct l_struct_2E_ClipVertex *llvm_cbe_tmp305_2e_i;
  unsigned long long llvm_cbe_tmp6_2e_i176_2e_0;
  unsigned long long llvm_cbe_tmp6_2e_i176_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp312_2e_i;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i172_2e_i577__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i175_2e_i584__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i175_2e_i584585586_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i178_2e_i576__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i181_2e_i582__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp331_2e_i;
  unsigned int llvm_cbe_tmp340_2e_i;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i_2e_i535__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i_2e_i542__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i_2e_i542543544_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i534__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i540__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_i_2e_i_2e_0;
  unsigned int llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_pointCount_2e_i_2e_1;
  unsigned int llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp370371_2e_i;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp373_2e_i;
  float llvm_cbe_tmp6_2e_i_2e_i;
  float llvm_cbe_tmp13_2e_i_2e_i;
  float llvm_cbe_tmp376_2e_i;
  unsigned long long llvm_cbe_tmp385386_2e_i;
  unsigned long long llvm_cbe_tmp396_2e_i;
  llvmBitCastUnion llvm_cbe_tmp402_2e_i519__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp405_2e_i523__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp411_2e_i;
  llvmBitCastUnion llvm_cbe_tmp417_2e_i526__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp420_2e_i530__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp427_2e_i;
  unsigned int llvm_cbe_tmp440_2e_i;
  unsigned int llvm_cbe_pointCount_2e_i_2e_0;
  unsigned int llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp443_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp67;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp73;
  float llvm_cbe_tmp79;
  float llvm_cbe_tmp85;
  unsigned int *llvm_cbe_tmp89;
  unsigned int llvm_cbe_tmp90;
  unsigned int *llvm_cbe_tmp232;
  float *llvm_cbe_tmp159;
  float *llvm_cbe_tmp162;
  float *llvm_cbe_tmp190;
  float *llvm_cbe_tmp193;
  float *llvm_cbe_tmp200;
  float *llvm_cbe_tmp203;
  float *llvm_cbe_tmp206;
  float *llvm_cbe_tmp209;
  float *llvm_cbe_tmp215;
  unsigned int *llvm_cbe_tmp217;
  unsigned int  (***llvm_cbe_tmp221) ();
  unsigned long long llvm_cbe_tmp9899;
  float *llvm_cbe_tmp104;
  unsigned int llvm_cbe_tmp109;
  unsigned int llvm_cbe_tmp233;
  unsigned long long llvm_cbe_tmp114115;
  unsigned char *llvm_cbe_tmp116;
  unsigned char llvm_cbe_tmp117;
  unsigned int llvm_cbe_tmp128;
  float llvm_cbe_tmp140;
  float llvm_cbe_tmp145;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp154;
  unsigned long long llvm_cbe_tmp5_2e_i254;
  llvmBitCastUnion llvm_cbe_tmp161330__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp164334__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp168;
  llvmBitCastUnion llvm_cbe_tmp172337__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp175341__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp179;
  llvmBitCastUnion llvm_cbe_tmp183344__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp186348__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i312675__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i315682__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i315682683684_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp192351__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp195355__BITCAST_TEMPORARY;
  float llvm_cbe_tmp201;
  float llvm_cbe_tmp204;
  float llvm_cbe_tmp214;
  unsigned int  (**llvm_cbe_tmp222) ();
  unsigned int  (*llvm_cbe_tmp224) ();
  unsigned long long llvm_cbe_retval_2e_i245_2e_0;
  unsigned long long llvm_cbe_retval_2e_i245_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i279_2e_0;
  unsigned long long llvm_cbe_retval_2e_i279_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp230;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp250;
  unsigned long long llvm_cbe_tmp5_2e_i223;
  llvmBitCastUnion llvm_cbe_tmp257358__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp260362__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp264;
  llvmBitCastUnion llvm_cbe_tmp268365__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp271369__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp275;
  llvmBitCastUnion llvm_cbe_tmp279372__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp282376__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i156451__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i159458__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i159458459460_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp288379__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp291383__BITCAST_TEMPORARY;
  float llvm_cbe_tmp297;
  float llvm_cbe_tmp300;
  float llvm_cbe_tmp310;
  unsigned int  (**llvm_cbe_tmp318) ();
  unsigned int  (*llvm_cbe_tmp320) ();
  unsigned long long llvm_cbe_retval_2e_i123_2e_0;
  unsigned long long llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i214_2e_0;
  unsigned long long llvm_cbe_retval_2e_i214_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp325;
  unsigned long long llvm_cbe_retval_2e_i279_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i245_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i123_2e_1;
  unsigned long long llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i214_2e_1;
  unsigned long long llvm_cbe_retval_2e_i214_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i279_2e_2;
  unsigned long long llvm_cbe_retval_2e_i279_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i245_2e_2;
  unsigned long long llvm_cbe_retval_2e_i245_2e_2__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge45;
  unsigned int llvm_cbe_storemerge45__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp330;
  unsigned int *llvm_cbe_tmp444;
  float *llvm_cbe_tmp369;
  float *llvm_cbe_tmp372;
  float *llvm_cbe_tmp400;
  float *llvm_cbe_tmp403;
  float *llvm_cbe_tmp408;
  float *llvm_cbe_tmp411;
  float *llvm_cbe_tmp414;
  float *llvm_cbe_tmp417;
  float *llvm_cbe_tmp423;
  unsigned int *llvm_cbe_tmp430;
  unsigned int  (***llvm_cbe_tmp434) ();
  unsigned long long llvm_cbe_tmp352353;
  unsigned char llvm_cbe_tmp355;
  unsigned long long llvm_cbe_tmp5_2e_i96;
  llvmBitCastUnion llvm_cbe_tmp371386__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp374390__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp378;
  llvmBitCastUnion llvm_cbe_tmp382393__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp385397__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp389;
  llvmBitCastUnion llvm_cbe_tmp393400__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp396404__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i416__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i423__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i423424425_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp402407__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp405411__BITCAST_TEMPORARY;
  float llvm_cbe_tmp409;
  float llvm_cbe_tmp412;
  float llvm_cbe_tmp422;
  unsigned int llvm_cbe_tmp428;
  unsigned int  (**llvm_cbe_tmp435) ();
  unsigned int  (*llvm_cbe_tmp437) ();
  unsigned int llvm_cbe_tmp442;
  unsigned int llvm_cbe_storemerge46;
  unsigned int llvm_cbe_storemerge46__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp445;

  llvm_cbe_tmp2425 = ((struct l_struct_2E_b2Contact *)llvm_cbe_this);
  llvm_cbe_tmp26 = (&llvm_cbe_tmp2425->field7);
  llvm_cbe_tmp27 = *llvm_cbe_tmp26;
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp27->field3));
  llvm_cbe_tmp32 = (&llvm_cbe_tmp2425->field8);
  llvm_cbe_tmp33 = *llvm_cbe_tmp32;
  llvm_cbe_tmp3_2e_i65 = *((&llvm_cbe_tmp33->field3));
  llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i;

  do {     /* Syntactic loop 'bb.i' to make GCC happy */
llvm_cbe_bb_2e_i:
  llvm_cbe_tmp_2e_i71_2e_0 = llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i81 = llvm_cbe_tmp_2e_i71_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i81 == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit;
  } else {
    llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i81;   /* for PHI node */
    goto llvm_cbe_bb_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit:
  ltmp_37_1 = memcpy((((unsigned char *)(&llvm_cbe_m0))), (((unsigned char *)((&llvm_cbe_this->field1)))), 76ull);
  llvm_cbe_tmp2_2e_i86 = (&llvm_cbe_tmp3_2e_i65->field2);
  llvm_cbe_tmp45 = *llvm_cbe_tmp32;
  llvm_cbe_tmp4546 = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp45);
  llvm_cbe_tmp2_2e_i116 = (&llvm_cbe_tmp3_2e_i->field2);
  llvm_cbe_tmp53 = *llvm_cbe_tmp26;
  llvm_cbe_tmp5354 = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp53);
  llvm_cbe_tmp25_2e_i192 = (&llvm_cbe_this->field1.field2);
  *llvm_cbe_tmp25_2e_i192 = 0u;
  *(&llvm_cbe_edgeA_2e_i) = 0u;
  llvm_cbe_tmp30_2e_i197 = _ZL17FindMaxSeparationPiPK14b2PolygonShapeRK7b2XFormS2_S5_((&llvm_cbe_edgeA_2e_i), llvm_cbe_tmp5354, llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp4546, llvm_cbe_tmp2_2e_i86);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp30_2e_i197, 0x0p+0))) {
    goto llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit;
  } else {
    goto llvm_cbe_bb_2e_i199;
  }

llvm_cbe_bb_2e_i199:
  *(&llvm_cbe_edgeB_2e_i) = 0u;
  llvm_cbe_tmp38_2e_i = _ZL17FindMaxSeparationPiPK14b2PolygonShapeRK7b2XFormS2_S5_((&llvm_cbe_edgeB_2e_i), llvm_cbe_tmp4546, llvm_cbe_tmp2_2e_i86, llvm_cbe_tmp5354, llvm_cbe_tmp2_2e_i116);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp38_2e_i, 0x0p+0))) {
    goto llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit;
  } else {
    goto llvm_cbe_bb43_2e_i;
  }

llvm_cbe_bb43_2e_i:
  llvm_cbe_tmp57_2e_i = (&llvm_cbe_xf1_2e_i.field0.field0);
  if ((llvm_fcmp_olt((((float )((((float )(llvm_cbe_tmp30_2e_i197 * 0x1.f5c29p-1))) + 0x1.0624dep-10))), llvm_cbe_tmp38_2e_i))) {
    goto llvm_cbe_bb51_2e_i;
  } else {
    goto llvm_cbe_bb109_2e_i;
  }

llvm_cbe_bb51_2e_i:
  llvm_cbe_tmp59_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field0.field0));
  *llvm_cbe_tmp57_2e_i = llvm_cbe_tmp59_2e_i;
  llvm_cbe_tmp62_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field0.field1));
  *((&llvm_cbe_xf1_2e_i.field0.field1)) = llvm_cbe_tmp62_2e_i;
  llvm_cbe_tmp69_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field0.field0));
  *((&llvm_cbe_xf1_2e_i.field1.field0.field0)) = llvm_cbe_tmp69_2e_i;
  llvm_cbe_tmp72_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field0.field1));
  *((&llvm_cbe_xf1_2e_i.field1.field0.field1)) = llvm_cbe_tmp72_2e_i;
  llvm_cbe_tmp77_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field1.field0));
  *((&llvm_cbe_xf1_2e_i.field1.field1.field0)) = llvm_cbe_tmp77_2e_i;
  llvm_cbe_tmp80_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field1.field1));
  *((&llvm_cbe_xf1_2e_i.field1.field1.field1)) = llvm_cbe_tmp80_2e_i;
  llvm_cbe_tmp86_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field0.field0));
  *((&llvm_cbe_xf2_2e_i.field0.field0)) = llvm_cbe_tmp86_2e_i;
  llvm_cbe_tmp89_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field0.field1));
  *((&llvm_cbe_xf2_2e_i.field0.field1)) = llvm_cbe_tmp89_2e_i;
  llvm_cbe_tmp96_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field0.field0));
  *((&llvm_cbe_xf2_2e_i.field1.field0.field0)) = llvm_cbe_tmp96_2e_i;
  llvm_cbe_tmp99_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field0.field1));
  *((&llvm_cbe_xf2_2e_i.field1.field0.field1)) = llvm_cbe_tmp99_2e_i;
  llvm_cbe_tmp104_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field1.field0));
  *((&llvm_cbe_xf2_2e_i.field1.field1.field0)) = llvm_cbe_tmp104_2e_i;
  llvm_cbe_tmp107_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field1.field1));
  *((&llvm_cbe_xf2_2e_i.field1.field1.field1)) = llvm_cbe_tmp107_2e_i;
  llvm_cbe_poly2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5354;   /* for PHI node */
  llvm_cbe_poly1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4546;   /* for PHI node */
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = (&llvm_cbe_edgeB_2e_i);   /* for PHI node */
  llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY = ((unsigned char )1);   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

llvm_cbe_bb109_2e_i:
  llvm_cbe_tmp117_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field0.field0));
  *llvm_cbe_tmp57_2e_i = llvm_cbe_tmp117_2e_i;
  llvm_cbe_tmp120_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field0.field1));
  *((&llvm_cbe_xf1_2e_i.field0.field1)) = llvm_cbe_tmp120_2e_i;
  llvm_cbe_tmp127_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field0.field0));
  *((&llvm_cbe_xf1_2e_i.field1.field0.field0)) = llvm_cbe_tmp127_2e_i;
  llvm_cbe_tmp130_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field0.field1));
  *((&llvm_cbe_xf1_2e_i.field1.field0.field1)) = llvm_cbe_tmp130_2e_i;
  llvm_cbe_tmp135_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field1.field0));
  *((&llvm_cbe_xf1_2e_i.field1.field1.field0)) = llvm_cbe_tmp135_2e_i;
  llvm_cbe_tmp138_2e_i = *((&llvm_cbe_tmp3_2e_i->field2.field1.field1.field1));
  *((&llvm_cbe_xf1_2e_i.field1.field1.field1)) = llvm_cbe_tmp138_2e_i;
  llvm_cbe_tmp144_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field0.field0));
  *((&llvm_cbe_xf2_2e_i.field0.field0)) = llvm_cbe_tmp144_2e_i;
  llvm_cbe_tmp147_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field0.field1));
  *((&llvm_cbe_xf2_2e_i.field0.field1)) = llvm_cbe_tmp147_2e_i;
  llvm_cbe_tmp154_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field0.field0));
  *((&llvm_cbe_xf2_2e_i.field1.field0.field0)) = llvm_cbe_tmp154_2e_i;
  llvm_cbe_tmp157_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field0.field1));
  *((&llvm_cbe_xf2_2e_i.field1.field0.field1)) = llvm_cbe_tmp157_2e_i;
  llvm_cbe_tmp162_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field1.field0));
  *((&llvm_cbe_xf2_2e_i.field1.field1.field0)) = llvm_cbe_tmp162_2e_i;
  llvm_cbe_tmp165_2e_i = *((&llvm_cbe_tmp3_2e_i65->field2.field1.field1.field1));
  *((&llvm_cbe_xf2_2e_i.field1.field1.field1)) = llvm_cbe_tmp165_2e_i;
  llvm_cbe_poly2_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp4546;   /* for PHI node */
  llvm_cbe_poly1_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5354;   /* for PHI node */
  llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY = (&llvm_cbe_edgeA_2e_i);   /* for PHI node */
  llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY = ((unsigned char )0);   /* for PHI node */
  goto llvm_cbe_bb167_2e_i;

llvm_cbe_bb167_2e_i:
  llvm_cbe_poly2_2e_i_2e_0 = llvm_cbe_poly2_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_poly1_2e_i_2e_0 = llvm_cbe_poly1_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_in_2e_i = llvm_cbe_storemerge1_2e_in_2e_i__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i203 = llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY;
  llvm_cbe_storemerge1_2e_i = *llvm_cbe_storemerge1_2e_in_2e_i;
  llvm_cbe_tmp168_2e_i = (&llvm_cbe_incidentEdge_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp21_2e_i189_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb170_2e_i;

  do {     /* Syntactic loop 'bb170.i' to make GCC happy */
llvm_cbe_bb170_2e_i:
  llvm_cbe_tmp21_2e_i189_2e_0 = llvm_cbe_tmp21_2e_i189_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp175_2e_i = llvm_cbe_tmp21_2e_i189_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp175_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb181_2e_i;
  } else {
    llvm_cbe_tmp21_2e_i189_2e_0__PHI_TEMPORARY = llvm_cbe_tmp175_2e_i;   /* for PHI node */
    goto llvm_cbe_bb170_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb170.i' */
llvm_cbe_bb181_2e_i:
  llvm_cbe_tmp2_2e_i_2e_i124_2e_i = (&llvm_cbe_poly1_2e_i_2e_0->field6);
  llvm_cbe_tmp3_2e_i32_2e_i_2e_i = *((&llvm_cbe_poly2_2e_i_2e_0->field6));
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )0u))) {
    goto llvm_cbe_bb23_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb_2e_i_2e_i;
  }

llvm_cbe_bb_2e_i_2e_i:
  llvm_cbe_tmp3_2e_i_2e_i125_2e_i = *llvm_cbe_tmp2_2e_i_2e_i124_2e_i;
  if ((((signed int )llvm_cbe_storemerge1_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i_2e_i125_2e_i))) {
    goto llvm_cbe_bb27_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb23_2e_i_2e_i;
  }

llvm_cbe_bb23_2e_i_2e_i:
  __assert_fail(((&_2E_str293[((signed long long )0ull)])), ((&_2E_str1295[((signed long long )0ull)])), 209u, ((&_ZZL16FindIncidentEdgeP10ClipVertexPK14b2PolygonShapeRK7b2XFormiS3_S6_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb27_2e_i_2e_i:
  llvm_cbe_tmp2930_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge1_2e_i);
  llvm_cbe_tmp33_2e_i_2e_i = (&llvm_cbe_xf1_2e_i.field1);
  llvm_cbe_tmp34_2e_i_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp33_2e_i_2e_i, ((&llvm_cbe_poly1_2e_i_2e_0->field4[((signed long long )llvm_cbe_tmp2930_2e_i_2e_i)])));
  *((&llvm_cbe_tmp4_2e_i122_2e_i.field0)) = ((llvm_cbe_tmp38_2e_i_2e_i547__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34_2e_i_2e_i)), llvm_cbe_tmp38_2e_i_2e_i547__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp4_2e_i122_2e_i.field1)) = ((llvm_cbe_tmp41_2e_i_2e_i551__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp41_2e_i_2e_i551__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp44_2e_i_2e_i = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf2_2e_i.field1)), (&llvm_cbe_tmp4_2e_i122_2e_i));
  llvm_cbe_tmp48_2e_i_2e_i554 = (llvm_cbe_tmp48_2e_i_2e_i554__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp44_2e_i_2e_i)), llvm_cbe_tmp48_2e_i_2e_i554__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp51_2e_i_2e_i558 = (llvm_cbe_tmp51_2e_i_2e_i558__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp44_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp51_2e_i_2e_i558__BITCAST_TEMPORARY.Float);
  llvm_cbe_minDot_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_index_2e_i_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb69_2e_i_2e_i;

  do {     /* Syntactic loop 'bb69.i.i' to make GCC happy */
llvm_cbe_bb69_2e_i_2e_i:
  llvm_cbe_minDot_2e_i_2e_i_2e_1 = llvm_cbe_minDot_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_index_2e_i_2e_i_2e_1 = llvm_cbe_index_2e_i_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge_2e_i_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i32_2e_i_2e_i))) {
    goto llvm_cbe_bb52_2e_i_2e_i;
  } else {
    goto llvm_cbe_bb75_2e_i_2e_i;
  }

llvm_cbe_bb52_2e_i_2e_i:
  llvm_cbe_tmp5455_2e_i_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i_2e_i);
  llvm_cbe_tmp6_2e_i_2e_i_2e_i = *((&llvm_cbe_poly2_2e_i_2e_0->field4[((signed long long )llvm_cbe_tmp5455_2e_i_2e_i)].field0));
  llvm_cbe_tmp13_2e_i_2e_i_2e_i = *((&llvm_cbe_poly2_2e_i_2e_0->field4[((signed long long )llvm_cbe_tmp5455_2e_i_2e_i)].field1));
  llvm_cbe_tmp15_2e_i_2e_i_2e_i = ((float )((((float )(llvm_cbe_tmp48_2e_i_2e_i554 * llvm_cbe_tmp6_2e_i_2e_i_2e_i))) + (((float )(llvm_cbe_tmp51_2e_i_2e_i558 * llvm_cbe_tmp13_2e_i_2e_i_2e_i)))));
  llvm_cbe_minDot_2e_i_2e_i_2e_0 = (((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i_2e_i_2e_i, llvm_cbe_minDot_2e_i_2e_i_2e_1))) ? (llvm_cbe_tmp15_2e_i_2e_i_2e_i) : (llvm_cbe_minDot_2e_i_2e_i_2e_1));
  llvm_cbe_index_2e_i_2e_i_2e_0 = (((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i_2e_i_2e_i, llvm_cbe_minDot_2e_i_2e_i_2e_1))) ? (llvm_cbe_storemerge_2e_i_2e_i) : (llvm_cbe_index_2e_i_2e_i_2e_1));
  llvm_cbe_tmp68_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i + 1u;
  llvm_cbe_minDot_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_minDot_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_index_2e_i_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_index_2e_i_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp68_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe_bb69_2e_i_2e_i;

  } while (1); /* end of syntactic loop 'bb69.i.i' */
llvm_cbe_bb75_2e_i_2e_i:
  llvm_cbe_tmp78_2e_i_2e_i = llvm_cbe_index_2e_i_2e_i_2e_1 + 1u;
  llvm_cbe_storemerge1_2e_i_2e_i = (((((signed int )llvm_cbe_tmp78_2e_i_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i32_2e_i_2e_i))) ? (llvm_cbe_tmp78_2e_i_2e_i) : (0u));
  llvm_cbe_tmp96_2e_i_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf2_2e_i), ((&llvm_cbe_poly2_2e_i_2e_0->field3[((signed long long )(((signed long long )(signed int )llvm_cbe_index_2e_i_2e_i_2e_1)))])));
  *((&llvm_cbe_incidentEdge_2e_i[((signed int )0u)].field0.field0)) = ((llvm_cbe_tmp101_2e_i_2e_i561__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp96_2e_i_2e_i)), llvm_cbe_tmp101_2e_i_2e_i561__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_incidentEdge_2e_i[((signed int )0u)].field0.field1)) = ((llvm_cbe_tmp104_2e_i_2e_i565__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp96_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp104_2e_i_2e_i565__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp107108_2e_i_2e_i = ((unsigned char )llvm_cbe_storemerge1_2e_i);
  llvm_cbe_tmp109_2e_i_2e_i = (&llvm_cbe_incidentEdge_2e_i[((signed int )0u)].field1);
  *(((unsigned char *)llvm_cbe_tmp109_2e_i_2e_i)) = llvm_cbe_tmp107108_2e_i_2e_i;
  llvm_cbe_tmp118119_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)llvm_cbe_tmp109_2e_i_2e_i);
  *((&llvm_cbe_tmp118119_2e_i_2e_i->field1)) = (((unsigned char )llvm_cbe_index_2e_i_2e_i_2e_1));
  *((&llvm_cbe_tmp118119_2e_i_2e_i->field2)) = ((unsigned char )0);
  llvm_cbe_tmp134_2e_i_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf2_2e_i), ((&llvm_cbe_poly2_2e_i_2e_0->field3[((signed long long )(((signed long long )(signed int )llvm_cbe_storemerge1_2e_i_2e_i)))])));
  *((&llvm_cbe_incidentEdge_2e_i[((signed long long )1ull)].field0.field0)) = ((llvm_cbe_tmp139_2e_i_2e_i568__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp134_2e_i_2e_i)), llvm_cbe_tmp139_2e_i_2e_i568__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_incidentEdge_2e_i[((signed long long )1ull)].field0.field1)) = ((llvm_cbe_tmp142_2e_i_2e_i572__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp134_2e_i_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp142_2e_i_2e_i572__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp147_2e_i_2e_i = (&llvm_cbe_incidentEdge_2e_i[((signed long long )1ull)].field1);
  *(((unsigned char *)llvm_cbe_tmp147_2e_i_2e_i)) = llvm_cbe_tmp107108_2e_i_2e_i;
  llvm_cbe_tmp156157_2e_i_2e_i = ((struct l_struct_2E__2E_0Features *)llvm_cbe_tmp147_2e_i_2e_i);
  *((&llvm_cbe_tmp156157_2e_i_2e_i->field1)) = (((unsigned char )llvm_cbe_storemerge1_2e_i_2e_i));
  *((&llvm_cbe_tmp156157_2e_i_2e_i->field2)) = ((unsigned char )1);
  llvm_cbe_tmp3_2e_i140_2e_i = *llvm_cbe_tmp2_2e_i_2e_i124_2e_i;
  llvm_cbe_tmp3_2e_i243_2e_i = (&llvm_cbe_poly1_2e_i_2e_0->field3[((signed long long )0ull)]);
  llvm_cbe_tmp197_2e_i = *((&llvm_cbe_poly1_2e_i_2e_0->field3[((signed long long )llvm_cbe_tmp2930_2e_i_2e_i)].field0));
  llvm_cbe_tmp200_2e_i = *((&llvm_cbe_poly1_2e_i_2e_0->field3[((signed long long )llvm_cbe_tmp2930_2e_i_2e_i)].field1));
  llvm_cbe_tmp201_2e_i = (&llvm_cbe_v11_2e_i.field0);
  *llvm_cbe_tmp201_2e_i = llvm_cbe_tmp197_2e_i;
  llvm_cbe_tmp204_2e_i = (&llvm_cbe_v11_2e_i.field1);
  *llvm_cbe_tmp204_2e_i = llvm_cbe_tmp200_2e_i;
  llvm_cbe_tmp208_2e_i = llvm_cbe_storemerge1_2e_i + 1u;
  if ((((signed int )llvm_cbe_tmp208_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i140_2e_i))) {
    goto llvm_cbe_bb213_2e_i;
  } else {
    llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp3_2e_i243_2e_i;   /* for PHI node */
    goto llvm_cbe_bb222_2e_i;
  }

llvm_cbe_bb213_2e_i:
  llvm_cbe_tmp218_2e_i = (&llvm_cbe_poly1_2e_i_2e_0->field3[((signed long long )(((signed long long )(signed int )llvm_cbe_tmp208_2e_i)))]);
  llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY = llvm_cbe_tmp218_2e_i;   /* for PHI node */
  goto llvm_cbe_bb222_2e_i;

llvm_cbe_bb222_2e_i:
  llvm_cbe_storemerge3_2e_i = llvm_cbe_storemerge3_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp226_2e_i = *((&llvm_cbe_storemerge3_2e_i->field0));
  llvm_cbe_tmp229_2e_i = *((&llvm_cbe_storemerge3_2e_i->field1));
  llvm_cbe_tmp230_2e_i = (&llvm_cbe_v12_2e_i.field0);
  *llvm_cbe_tmp230_2e_i = llvm_cbe_tmp226_2e_i;
  llvm_cbe_tmp233_2e_i = (&llvm_cbe_v12_2e_i.field1);
  *llvm_cbe_tmp233_2e_i = llvm_cbe_tmp229_2e_i;
  llvm_cbe_tmp26_2e_i286_2e_i598599600_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i283_2e_i591__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp226_2e_i - llvm_cbe_tmp197_2e_i))), llvm_cbe_tmp23_2e_i283_2e_i591__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i286_2e_i598__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp229_2e_i - llvm_cbe_tmp200_2e_i))), llvm_cbe_tmp26_2e_i286_2e_i598__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp17_2e_i185.field0)) = ((llvm_cbe_tmp29_2e_i288_2e_i590__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i286_2e_i598599600_2e_ins)), llvm_cbe_tmp29_2e_i288_2e_i590__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp17_2e_i185.field1)) = ((llvm_cbe_tmp32_2e_i290_2e_i596__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i286_2e_i598599600_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i290_2e_i596__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp253_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp33_2e_i_2e_i, (&llvm_cbe_tmp17_2e_i185));
  llvm_cbe_tmp255_2e_i = (&llvm_cbe_sideNormal_2e_i.field0);
  llvm_cbe_tmp257_2e_i477 = (llvm_cbe_tmp257_2e_i477__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp253_2e_i)), llvm_cbe_tmp257_2e_i477__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp255_2e_i = llvm_cbe_tmp257_2e_i477;
  llvm_cbe_tmp258_2e_i = (&llvm_cbe_sideNormal_2e_i.field1);
  llvm_cbe_tmp260_2e_i481 = (llvm_cbe_tmp260_2e_i481__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp253_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp260_2e_i481__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp258_2e_i = llvm_cbe_tmp260_2e_i481;
  llvm_cbe_tmp16_2e_i_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp257_2e_i477 * llvm_cbe_tmp257_2e_i477))) + (((float )(llvm_cbe_tmp260_2e_i481 * llvm_cbe_tmp260_2e_i481)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i, 0x1p-23))) {
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i_2e_i;
  }

llvm_cbe_bb6_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i356_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i));
  llvm_cbe_tmp11_2e_i359_2e_i = *llvm_cbe_tmp255_2e_i;
  *llvm_cbe_tmp255_2e_i = (((float )(llvm_cbe_tmp11_2e_i359_2e_i * llvm_cbe_tmp8_2e_i356_2e_i)));
  llvm_cbe_tmp18_2e_i366_2e_i = *llvm_cbe_tmp258_2e_i;
  *llvm_cbe_tmp258_2e_i = (((float )(llvm_cbe_tmp18_2e_i366_2e_i * llvm_cbe_tmp8_2e_i356_2e_i)));
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i:
  llvm_cbe_tmp5_2e_i304_2e_i = *llvm_cbe_tmp255_2e_i;
  llvm_cbe_tmp9_2e_i308_2e_i = *llvm_cbe_tmp258_2e_i;
  llvm_cbe_tmp23_2e_i328_2e_i612613614_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i325_2e_i605__BITCAST_TEMPORARY.Float = llvm_cbe_tmp9_2e_i308_2e_i, llvm_cbe_tmp20_2e_i325_2e_i605__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i328_2e_i612__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp5_2e_i304_2e_i * -0x1p+0))), llvm_cbe_tmp23_2e_i328_2e_i612__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i331_2e_i604 = (llvm_cbe_tmp26_2e_i331_2e_i604__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp23_2e_i328_2e_i612613614_2e_ins)), llvm_cbe_tmp26_2e_i331_2e_i604__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp29_2e_i334_2e_i610 = (llvm_cbe_tmp29_2e_i334_2e_i610__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp23_2e_i328_2e_i612613614_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp29_2e_i334_2e_i610__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp270_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf1_2e_i), (&llvm_cbe_v11_2e_i));
  *llvm_cbe_tmp201_2e_i = ((llvm_cbe_tmp274_2e_i491__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp270_2e_i)), llvm_cbe_tmp274_2e_i491__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp204_2e_i = ((llvm_cbe_tmp277_2e_i495__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp270_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp277_2e_i495__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp278_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2((&llvm_cbe_xf1_2e_i), (&llvm_cbe_v12_2e_i));
  llvm_cbe_tmp282_2e_i498 = (llvm_cbe_tmp282_2e_i498__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp278_2e_i)), llvm_cbe_tmp282_2e_i498__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp230_2e_i = llvm_cbe_tmp282_2e_i498;
  llvm_cbe_tmp285_2e_i502 = (llvm_cbe_tmp285_2e_i502__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp278_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp285_2e_i502__BITCAST_TEMPORARY.Float);
  *llvm_cbe_tmp233_2e_i = llvm_cbe_tmp285_2e_i502;
  llvm_cbe_tmp6_2e_i231_2e_i = *llvm_cbe_tmp201_2e_i;
  llvm_cbe_tmp13_2e_i238_2e_i = *llvm_cbe_tmp204_2e_i;
  llvm_cbe_tmp15_2e_i240_2e_i = ((float )((((float )(llvm_cbe_tmp26_2e_i331_2e_i604 * llvm_cbe_tmp6_2e_i231_2e_i))) + (((float )(llvm_cbe_tmp29_2e_i334_2e_i610 * llvm_cbe_tmp13_2e_i238_2e_i)))));
  llvm_cbe_tmp3_2e_i209_2e_i = *llvm_cbe_tmp255_2e_i;
  llvm_cbe_tmp10_2e_i216_2e_i = *llvm_cbe_tmp258_2e_i;
  llvm_cbe_tmp288_2e_i = ((float )(-((((float )((((float )(llvm_cbe_tmp3_2e_i209_2e_i * llvm_cbe_tmp6_2e_i231_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i216_2e_i * llvm_cbe_tmp13_2e_i238_2e_i)))))))));
  llvm_cbe_tmp15_2e_i202_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i209_2e_i * llvm_cbe_tmp282_2e_i498))) + (((float )(llvm_cbe_tmp10_2e_i216_2e_i * llvm_cbe_tmp285_2e_i502)))));
  llvm_cbe_tmp290_2e_i = (&llvm_cbe_clipPoints1_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp9_2e_i178_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb292_2e_i;

  do {     /* Syntactic loop 'bb292.i' to make GCC happy */
llvm_cbe_bb292_2e_i:
  llvm_cbe_tmp9_2e_i178_2e_0 = llvm_cbe_tmp9_2e_i178_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp297_2e_i = llvm_cbe_tmp9_2e_i178_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp297_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb303_2e_i;
  } else {
    llvm_cbe_tmp9_2e_i178_2e_0__PHI_TEMPORARY = llvm_cbe_tmp297_2e_i;   /* for PHI node */
    goto llvm_cbe_bb292_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb292.i' */
llvm_cbe_bb303_2e_i:
  llvm_cbe_tmp305_2e_i = (&llvm_cbe_clipPoints2_2e_i[((signed long long )0ull)]);
  llvm_cbe_tmp6_2e_i176_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb307_2e_i;

  do {     /* Syntactic loop 'bb307.i' to make GCC happy */
llvm_cbe_bb307_2e_i:
  llvm_cbe_tmp6_2e_i176_2e_0 = llvm_cbe_tmp6_2e_i176_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp312_2e_i = llvm_cbe_tmp6_2e_i176_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp312_2e_i == 18446744073709551615ull)) {
    goto llvm_cbe_bb318_2e_i;
  } else {
    llvm_cbe_tmp6_2e_i176_2e_0__PHI_TEMPORARY = llvm_cbe_tmp312_2e_i;   /* for PHI node */
    goto llvm_cbe_bb307_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb307.i' */
llvm_cbe_bb318_2e_i:
  llvm_cbe_tmp20_2e_i175_2e_i584585586_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i172_2e_i577__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp3_2e_i209_2e_i)))), llvm_cbe_tmp17_2e_i172_2e_i577__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i175_2e_i584__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp10_2e_i216_2e_i)))), llvm_cbe_tmp20_2e_i175_2e_i584__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp5_2e_i175.field0)) = ((llvm_cbe_tmp23_2e_i178_2e_i576__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i175_2e_i584585586_2e_ins)), llvm_cbe_tmp23_2e_i178_2e_i576__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp5_2e_i175.field1)) = ((llvm_cbe_tmp26_2e_i181_2e_i582__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i175_2e_i584585586_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i181_2e_i582__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp331_2e_i = _ZL17ClipSegmentToLineP10ClipVertexS0_RK6b2Vec2f(llvm_cbe_tmp290_2e_i, llvm_cbe_tmp168_2e_i, (&llvm_cbe_tmp5_2e_i175), llvm_cbe_tmp288_2e_i);
  if ((((signed int )llvm_cbe_tmp331_2e_i) < ((signed int )2u))) {
    goto llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit;
  } else {
    goto llvm_cbe_bb336_2e_i;
  }

llvm_cbe_bb336_2e_i:
  llvm_cbe_tmp340_2e_i = _ZL17ClipSegmentToLineP10ClipVertexS0_RK6b2Vec2f(llvm_cbe_tmp305_2e_i, llvm_cbe_tmp290_2e_i, (&llvm_cbe_sideNormal_2e_i), llvm_cbe_tmp15_2e_i202_2e_i);
  if ((((signed int )llvm_cbe_tmp340_2e_i) < ((signed int )2u))) {
    goto llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit;
  } else {
    goto llvm_cbe_bb345_2e_i;
  }

llvm_cbe_bb345_2e_i:
  if ((llvm_cbe_storemerge_2e_i203 == ((unsigned char )0))) {
    goto llvm_cbe_bb361_2e_i;
  } else {
    goto llvm_cbe_bb352_2e_i;
  }

llvm_cbe_bb352_2e_i:
  llvm_cbe_tmp20_2e_i_2e_i542543544_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i_2e_i535__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp26_2e_i331_2e_i604)))), llvm_cbe_tmp17_2e_i_2e_i535__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i_2e_i542__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp29_2e_i334_2e_i610)))), llvm_cbe_tmp20_2e_i_2e_i542__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field1.field1.field0)) = ((llvm_cbe_tmp23_2e_i_2e_i534__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i_2e_i542543544_2e_ins)), llvm_cbe_tmp23_2e_i_2e_i534__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field1.field1)) = ((llvm_cbe_tmp26_2e_i_2e_i540__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i_2e_i542543544_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i_2e_i540__BITCAST_TEMPORARY.Float));
  llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb369_2e_i;

llvm_cbe_bb361_2e_i:
  *((&llvm_cbe_this->field1.field1.field0)) = llvm_cbe_tmp26_2e_i331_2e_i604;
  *((&llvm_cbe_this->field1.field1.field1)) = llvm_cbe_tmp29_2e_i334_2e_i610;
  llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb369_2e_i;

  do {     /* Syntactic loop 'bb369.i' to make GCC happy */
llvm_cbe_bb369_2e_i:
  llvm_cbe_i_2e_i_2e_0 = llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_pointCount_2e_i_2e_1 = llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_tmp370371_2e_i = ((signed long long )(signed int )llvm_cbe_i_2e_i_2e_0);
  llvm_cbe_tmp373_2e_i = (&llvm_cbe_clipPoints2_2e_i[((signed long long )llvm_cbe_tmp370371_2e_i)].field0);
  llvm_cbe_tmp6_2e_i_2e_i = *((&llvm_cbe_clipPoints2_2e_i[((signed long long )llvm_cbe_tmp370371_2e_i)].field0.field0));
  llvm_cbe_tmp13_2e_i_2e_i = *((&llvm_cbe_clipPoints2_2e_i[((signed long long )llvm_cbe_tmp370371_2e_i)].field0.field1));
  llvm_cbe_tmp376_2e_i = ((float )((((float )((((float )(llvm_cbe_tmp26_2e_i331_2e_i604 * llvm_cbe_tmp6_2e_i_2e_i))) + (((float )(llvm_cbe_tmp29_2e_i334_2e_i610 * llvm_cbe_tmp13_2e_i_2e_i)))))) - llvm_cbe_tmp15_2e_i240_2e_i));
  if ((llvm_fcmp_ugt(llvm_cbe_tmp376_2e_i, 0x0p+0))) {
    llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_1;   /* for PHI node */
    goto llvm_cbe_bb441_2e_i;
  } else {
    goto llvm_cbe_bb381_2e_i;
  }

llvm_cbe_bb441_2e_i:
  llvm_cbe_pointCount_2e_i_2e_0 = llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp443_2e_i = llvm_cbe_i_2e_i_2e_0 + 1u;
  if ((((signed int )llvm_cbe_tmp443_2e_i) < ((signed int )2u))) {
    llvm_cbe_i_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp443_2e_i;   /* for PHI node */
    llvm_cbe_pointCount_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_pointCount_2e_i_2e_0;   /* for PHI node */
    goto llvm_cbe_bb369_2e_i;
  } else {
    goto llvm_cbe_bb449_2e_i;
  }

llvm_cbe_bb381_2e_i:
  llvm_cbe_tmp385386_2e_i = ((signed long long )(signed int )llvm_cbe_pointCount_2e_i_2e_1);
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field2)) = llvm_cbe_tmp376_2e_i;
  llvm_cbe_tmp396_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp373_2e_i);
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field0.field0)) = ((llvm_cbe_tmp402_2e_i519__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp396_2e_i)), llvm_cbe_tmp402_2e_i519__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field0.field1)) = ((llvm_cbe_tmp405_2e_i523__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp396_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp405_2e_i523__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp411_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i86, llvm_cbe_tmp373_2e_i);
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field1.field0)) = ((llvm_cbe_tmp417_2e_i526__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp411_2e_i)), llvm_cbe_tmp417_2e_i526__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field1.field1)) = ((llvm_cbe_tmp420_2e_i530__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp411_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp420_2e_i530__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp427_2e_i = *((&llvm_cbe_clipPoints2_2e_i[((signed long long )llvm_cbe_tmp370371_2e_i)].field1.field0));
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field5.field0)) = llvm_cbe_tmp427_2e_i;
  *((&(((struct l_struct_2E__2E_0Features *)((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp385386_2e_i)].field5))))->field3)) = llvm_cbe_storemerge_2e_i203;
  llvm_cbe_tmp440_2e_i = llvm_cbe_pointCount_2e_i_2e_1 + 1u;
  llvm_cbe_pointCount_2e_i_2e_0__PHI_TEMPORARY = llvm_cbe_tmp440_2e_i;   /* for PHI node */
  goto llvm_cbe_bb441_2e_i;

  } while (1); /* end of syntactic loop 'bb369.i' */
llvm_cbe_bb449_2e_i:
  *llvm_cbe_tmp25_2e_i192 = llvm_cbe_pointCount_2e_i_2e_0;
  goto llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit;

llvm_cbe__Z17b2CollidePolygonsP10b2ManifoldPK14b2PolygonShapeRK7b2XFormS3_S6__2e_exit:
  *((&llvm_cbe_persisted[((signed int )0u)])) = ((unsigned char )0);
  *((&llvm_cbe_persisted[((signed int )1u)])) = ((unsigned char )0);
  llvm_cbe_tmp67 = *llvm_cbe_tmp26;
  *((&llvm_cbe_cp.field0)) = llvm_cbe_tmp67;
  llvm_cbe_tmp73 = *llvm_cbe_tmp32;
  *((&llvm_cbe_cp.field1)) = llvm_cbe_tmp73;
  llvm_cbe_tmp79 = *((&llvm_cbe_tmp2425->field9));
  *((&llvm_cbe_cp.field6)) = llvm_cbe_tmp79;
  llvm_cbe_tmp85 = *((&llvm_cbe_tmp2425->field10));
  *((&llvm_cbe_cp.field7)) = llvm_cbe_tmp85;
  llvm_cbe_tmp89 = (&llvm_cbe_this->field1.field2);
  llvm_cbe_tmp90 = *llvm_cbe_tmp89;
  if ((((signed int )llvm_cbe_tmp90) > ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb340;
  }

llvm_cbe_bb:
  llvm_cbe_tmp232 = (&llvm_cbe_m0.field2);
  llvm_cbe_tmp159 = (&llvm_cbe_cp.field2.field0);
  llvm_cbe_tmp162 = (&llvm_cbe_cp.field2.field1);
  llvm_cbe_tmp190 = (&llvm_cbe_cp.field3.field0);
  llvm_cbe_tmp193 = (&llvm_cbe_cp.field3.field1);
  llvm_cbe_tmp200 = (&llvm_cbe_this->field1.field1.field0);
  llvm_cbe_tmp203 = (&llvm_cbe_this->field1.field1.field1);
  llvm_cbe_tmp206 = (&llvm_cbe_cp.field4.field0);
  llvm_cbe_tmp209 = (&llvm_cbe_cp.field4.field1);
  llvm_cbe_tmp215 = (&llvm_cbe_cp.field5);
  llvm_cbe_tmp217 = (&llvm_cbe_cp.field8.field0);
  llvm_cbe_tmp221 = (&llvm_cbe_listener->field0);
  llvm_cbe_storemerge45__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb326;

  do {     /* Syntactic loop 'bb326' to make GCC happy */
llvm_cbe_bb326:
  llvm_cbe_retval_2e_i123_2e_1 = llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i214_2e_1 = llvm_cbe_retval_2e_i214_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i279_2e_2 = llvm_cbe_retval_2e_i279_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i245_2e_2 = llvm_cbe_retval_2e_i245_2e_2__PHI_TEMPORARY;
  llvm_cbe_storemerge45 = llvm_cbe_storemerge45__PHI_TEMPORARY;
  llvm_cbe_tmp330 = *llvm_cbe_tmp89;
  if ((((signed int )llvm_cbe_tmp330) > ((signed int )llvm_cbe_storemerge45))) {
    goto llvm_cbe_bb93;
  } else {
    goto llvm_cbe_bb335;
  }

llvm_cbe_bb323:
  llvm_cbe_retval_2e_i123_2e_0 = llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i214_2e_0 = llvm_cbe_retval_2e_i214_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp325 = llvm_cbe_storemerge45 + 1u;
  llvm_cbe_retval_2e_i279_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i279_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i245_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i245_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i214_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i214_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i279_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i279_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_retval_2e_i245_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_storemerge45__PHI_TEMPORARY = llvm_cbe_tmp325;   /* for PHI node */
  goto llvm_cbe_bb326;

llvm_cbe_bb238_2e_thread:
  llvm_cbe_retval_2e_i245_2e_0 = llvm_cbe_retval_2e_i245_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i279_2e_0 = llvm_cbe_retval_2e_i279_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_retval_2e_i245_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i245_2e_0;
  *(&llvm_cbe_retval_2e_i279_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i279_2e_0;
  llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i214_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i214_2e_1;   /* for PHI node */
  goto llvm_cbe_bb323;

llvm_cbe_bb134:
  *llvm_cbe_tmp116 = ((unsigned char )1);
  llvm_cbe_tmp140 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field3));
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field3)) = llvm_cbe_tmp140;
  llvm_cbe_tmp145 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field4));
  *llvm_cbe_tmp104 = llvm_cbe_tmp145;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i245_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i245_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i279_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i279_2e_2;   /* for PHI node */
    goto llvm_cbe_bb238_2e_thread;
  } else {
    goto llvm_cbe_bb152;
  }

  do {     /* Syntactic loop 'bb231' to make GCC happy */
llvm_cbe_bb231:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp233) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb113;
  } else {
    goto llvm_cbe_bb238;
  }

llvm_cbe_bb228:
  llvm_cbe_tmp230 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp230;   /* for PHI node */
  goto llvm_cbe_bb231;

llvm_cbe_bb113:
  llvm_cbe_tmp114115 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp116 = (&llvm_cbe_persisted[((signed long long )llvm_cbe_tmp114115)]);
  llvm_cbe_tmp117 = *llvm_cbe_tmp116;
  if ((llvm_cbe_tmp117 == ((unsigned char )0))) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb228;
  }

llvm_cbe_bb119:
  llvm_cbe_tmp128 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field5.field0));
  if ((llvm_cbe_tmp128 == llvm_cbe_tmp109)) {
    goto llvm_cbe_bb134;
  } else {
    goto llvm_cbe_bb228;
  }

  } while (1); /* end of syntactic loop 'bb231' */
llvm_cbe_bb93:
  llvm_cbe_tmp9899 = ((signed long long )(signed int )llvm_cbe_storemerge45);
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field3)) = 0x0p+0;
  llvm_cbe_tmp104 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field4);
  *llvm_cbe_tmp104 = 0x0p+0;
  llvm_cbe_tmp109 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field5.field0));
  llvm_cbe_tmp233 = *llvm_cbe_tmp232;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb231;

llvm_cbe_bb152:
  llvm_cbe_tmp154 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field0);
  llvm_cbe_tmp5_2e_i254 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp154);
  *llvm_cbe_tmp159 = ((llvm_cbe_tmp161330__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i254)), llvm_cbe_tmp161330__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp162 = ((llvm_cbe_tmp164334__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i254) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp164334__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp168 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp154);
  llvm_cbe_tmp179 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field1)));
  llvm_cbe_tmp26_2e_i315682683684_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i312675__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp183344__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp179)), llvm_cbe_tmp183344__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp172337__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp168)), llvm_cbe_tmp172337__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i312675__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i315682__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp186348__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp179) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp186348__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp175341__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp168) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp175341__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i315682__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp190 = ((llvm_cbe_tmp192351__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i315682683684_2e_ins)), llvm_cbe_tmp192351__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp193 = ((llvm_cbe_tmp195355__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i315682683684_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp195355__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp201 = *llvm_cbe_tmp200;
  llvm_cbe_tmp204 = *llvm_cbe_tmp203;
  *llvm_cbe_tmp206 = llvm_cbe_tmp201;
  *llvm_cbe_tmp209 = llvm_cbe_tmp204;
  llvm_cbe_tmp214 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field2));
  *llvm_cbe_tmp215 = llvm_cbe_tmp214;
  *llvm_cbe_tmp217 = llvm_cbe_tmp109;
  llvm_cbe_tmp222 = *llvm_cbe_tmp221;
  llvm_cbe_tmp224 = *((&llvm_cbe_tmp222[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp224))(llvm_cbe_listener, (&llvm_cbe_cp));
  llvm_cbe_retval_2e_i245_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i254;   /* for PHI node */
  llvm_cbe_retval_2e_i279_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i315682683684_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb238_2e_thread;

llvm_cbe_bb238:
  *(&llvm_cbe_retval_2e_i245_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i245_2e_2;
  *(&llvm_cbe_retval_2e_i279_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i279_2e_2;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i214_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i214_2e_1;   /* for PHI node */
    goto llvm_cbe_bb323;
  } else {
    goto llvm_cbe_bb248;
  }

llvm_cbe_bb248:
  llvm_cbe_tmp250 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field0);
  llvm_cbe_tmp5_2e_i223 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp250);
  *llvm_cbe_tmp159 = ((llvm_cbe_tmp257358__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i223)), llvm_cbe_tmp257358__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp162 = ((llvm_cbe_tmp260362__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i223) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp260362__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp264 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp250);
  llvm_cbe_tmp275 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field1)));
  llvm_cbe_tmp26_2e_i159458459460_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i156451__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp279372__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp275)), llvm_cbe_tmp279372__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp268365__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp264)), llvm_cbe_tmp268365__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i156451__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i159458__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp282376__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp275) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp282376__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp271369__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp264) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp271369__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i159458__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp190 = ((llvm_cbe_tmp288379__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i159458459460_2e_ins)), llvm_cbe_tmp288379__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp193 = ((llvm_cbe_tmp291383__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i159458459460_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp291383__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp297 = *llvm_cbe_tmp200;
  llvm_cbe_tmp300 = *llvm_cbe_tmp203;
  *llvm_cbe_tmp206 = llvm_cbe_tmp297;
  *llvm_cbe_tmp209 = llvm_cbe_tmp300;
  llvm_cbe_tmp310 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field2));
  *llvm_cbe_tmp215 = llvm_cbe_tmp310;
  *llvm_cbe_tmp217 = llvm_cbe_tmp109;
  llvm_cbe_tmp318 = *llvm_cbe_tmp221;
  llvm_cbe_tmp320 = *((&llvm_cbe_tmp318[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp320))(llvm_cbe_listener, (&llvm_cbe_cp));
  llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i159458459460_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i214_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i223;   /* for PHI node */
  goto llvm_cbe_bb323;

  } while (1); /* end of syntactic loop 'bb326' */
llvm_cbe_bb335:
  *((&llvm_cbe_tmp2425->field2)) = 1u;
  goto llvm_cbe_bb345;

llvm_cbe_bb340:
  *((&llvm_cbe_tmp2425->field2)) = 0u;
  goto llvm_cbe_bb345;

llvm_cbe_bb345:
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb350;
  }

llvm_cbe_bb350:
  llvm_cbe_tmp444 = (&llvm_cbe_m0.field2);
  llvm_cbe_tmp369 = (&llvm_cbe_cp.field2.field0);
  llvm_cbe_tmp372 = (&llvm_cbe_cp.field2.field1);
  llvm_cbe_tmp400 = (&llvm_cbe_cp.field3.field0);
  llvm_cbe_tmp403 = (&llvm_cbe_cp.field3.field1);
  llvm_cbe_tmp408 = (&llvm_cbe_m0.field1.field0);
  llvm_cbe_tmp411 = (&llvm_cbe_m0.field1.field1);
  llvm_cbe_tmp414 = (&llvm_cbe_cp.field4.field0);
  llvm_cbe_tmp417 = (&llvm_cbe_cp.field4.field1);
  llvm_cbe_tmp423 = (&llvm_cbe_cp.field5);
  llvm_cbe_tmp430 = (&llvm_cbe_cp.field8.field0);
  llvm_cbe_tmp434 = (&llvm_cbe_listener->field0);
  llvm_cbe_storemerge46__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb443;

  do {     /* Syntactic loop 'bb443' to make GCC happy */
llvm_cbe_bb443:
  llvm_cbe_storemerge46 = llvm_cbe_storemerge46__PHI_TEMPORARY;
  llvm_cbe_tmp445 = *llvm_cbe_tmp444;
  if ((((signed int )llvm_cbe_tmp445) > ((signed int )llvm_cbe_storemerge46))) {
    goto llvm_cbe_bb351;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb440:
  llvm_cbe_tmp442 = llvm_cbe_storemerge46 + 1u;
  llvm_cbe_storemerge46__PHI_TEMPORARY = llvm_cbe_tmp442;   /* for PHI node */
  goto llvm_cbe_bb443;

llvm_cbe_bb351:
  llvm_cbe_tmp352353 = ((signed long long )(signed int )llvm_cbe_storemerge46);
  llvm_cbe_tmp355 = *((&llvm_cbe_persisted[((signed long long )llvm_cbe_tmp352353)]));
  if ((llvm_cbe_tmp355 == ((unsigned char )0))) {
    goto llvm_cbe_bb357;
  } else {
    goto llvm_cbe_bb440;
  }

llvm_cbe_bb357:
  llvm_cbe_tmp5_2e_i96 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field0)));
  *llvm_cbe_tmp369 = ((llvm_cbe_tmp371386__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i96)), llvm_cbe_tmp371386__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp372 = ((llvm_cbe_tmp374390__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i96) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp374390__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp378 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field0)));
  llvm_cbe_tmp389 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field1)));
  llvm_cbe_tmp26_2e_i423424425_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i416__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp393400__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp389)), llvm_cbe_tmp393400__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp382393__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp378)), llvm_cbe_tmp382393__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i416__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i423__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp396404__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp389) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp396404__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp385397__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp378) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp385397__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i423__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp400 = ((llvm_cbe_tmp402407__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i423424425_2e_ins)), llvm_cbe_tmp402407__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp403 = ((llvm_cbe_tmp405411__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i423424425_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp405411__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp409 = *llvm_cbe_tmp408;
  llvm_cbe_tmp412 = *llvm_cbe_tmp411;
  *llvm_cbe_tmp414 = llvm_cbe_tmp409;
  *llvm_cbe_tmp417 = llvm_cbe_tmp412;
  llvm_cbe_tmp422 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field2));
  *llvm_cbe_tmp423 = llvm_cbe_tmp422;
  llvm_cbe_tmp428 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field5.field0));
  *llvm_cbe_tmp430 = llvm_cbe_tmp428;
  llvm_cbe_tmp435 = *llvm_cbe_tmp434;
  llvm_cbe_tmp437 = *((&llvm_cbe_tmp435[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp437))(llvm_cbe_listener, (&llvm_cbe_cp));
  goto llvm_cbe_bb440;

  } while (1); /* end of syntactic loop 'bb443' */
llvm_cbe_return:
  return;
}


static unsigned long long _ZNK16b2PrismaticJoint10GetAnchor1Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field1)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK16b2PrismaticJoint10GetAnchor2Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp7;
  unsigned long long llvm_cbe_tmp5_2e_i;

  llvm_cbe_tmp7 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp5_2e_i = _Z5b2MulRK7b2XFormRK6b2Vec2(((&llvm_cbe_tmp7->field2)), ((&llvm_cbe_this->field2)));
  return llvm_cbe_tmp5_2e_i;
}


static unsigned long long _ZNK16b2PrismaticJoint16GetReactionForceEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  struct l_struct_2E_b2Body **llvm_cbe_tmp14;
  struct l_struct_2E_b2Body *llvm_cbe_tmp15;
  unsigned long long llvm_cbe_tmp18;
  llvmBitCastUnion llvm_cbe_tmp22234__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25238__BITCAST_TEMPORARY;
  struct l_struct_2E_b2Body *llvm_cbe_tmp31;
  unsigned long long llvm_cbe_tmp34;
  llvmBitCastUnion llvm_cbe_tmp38241__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp41245__BITCAST_TEMPORARY;
  float llvm_cbe_tmp44;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i218334__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i221341__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i221341342343_2e_ins;
  float llvm_cbe_tmp55;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i173320__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i176327__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i176327328329_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i224333__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i227339__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i179319__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i182325__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i133306__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i136313__BITCAST_TEMPORARY;

  llvm_cbe_tmp14 = (&llvm_cbe_this->field0.field6);
  llvm_cbe_tmp15 = *llvm_cbe_tmp14;
  llvm_cbe_tmp18 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp15->field2.field1)), ((&llvm_cbe_this->field3)));
  llvm_cbe_tmp31 = *llvm_cbe_tmp14;
  llvm_cbe_tmp34 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp31->field2.field1)), ((&llvm_cbe_this->field4)));
  llvm_cbe_tmp44 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp22_2e_i221341342343_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i218334__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp38241__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp34)), llvm_cbe_tmp38241__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp44))), llvm_cbe_tmp19_2e_i218334__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i221341__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp41245__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp34) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp41245__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp44))), llvm_cbe_tmp22_2e_i221341__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp55 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp22_2e_i176327328329_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i173320__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp22234__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp18)), llvm_cbe_tmp22234__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp55))), llvm_cbe_tmp19_2e_i173320__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i176327__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25238__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp18) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp25238__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp55))), llvm_cbe_tmp22_2e_i176327__BITCAST_TEMPORARY.Int32)))) << 32ull);
  return ((((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i133306__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i179319__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i176327328329_2e_ins)), llvm_cbe_tmp25_2e_i179319__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i224333__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i221341342343_2e_ins)), llvm_cbe_tmp25_2e_i224333__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i133306__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i136313__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i182325__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i176327328329_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i182325__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i227339__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i221341342343_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i227339__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i136313__BITCAST_TEMPORARY.Int32)))) << 32ull));
}


static float _ZNK16b2PrismaticJoint17GetReactionTorqueEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  float llvm_cbe_tmp3;

  llvm_cbe_tmp3 = *((&llvm_cbe_this->field10));
  return llvm_cbe_tmp3;
}


static void _ZN16b2PrismaticJoint24SolveVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Body *llvm_cbe_tmp18;
  struct l_struct_2E_b2Body *llvm_cbe_tmp22;
  float llvm_cbe_tmp25;
  float llvm_cbe_tmp28;
  float llvm_cbe_tmp31;
  float llvm_cbe_tmp34;
  float *llvm_cbe_tmp36;
  float llvm_cbe_tmp37;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp39;
  float *llvm_cbe_tmp41;
  float llvm_cbe_tmp42;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp44;
  float llvm_cbe_tmp47;
  float *llvm_cbe_tmp49;
  float llvm_cbe_tmp50;
  float llvm_cbe_tmp54;
  float llvm_cbe_tmp57;
  float *llvm_cbe_tmp59;
  float llvm_cbe_tmp60;
  float *llvm_cbe_tmp66;
  float llvm_cbe_tmp67;
  float llvm_cbe_tmp69;
  float llvm_cbe_tmp75;
  float llvm_cbe_tmp3_2e_i;
  float llvm_cbe_tmp8_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i603__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i610__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i610611612_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i602__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i608__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i336;
  float llvm_cbe_tmp2_2e_i337;
  float *llvm_cbe_tmp10_2e_i345;
  float llvm_cbe_tmp11_2e_i346;
  float llvm_cbe_tmp88;
  float llvm_cbe_tmp95;
  float llvm_cbe_tmp105;
  float llvm_cbe_tmp3_2e_i504;
  float llvm_cbe_tmp8_2e_i509;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i526673__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i529680__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i529680681682_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i532672__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i535678__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i540;
  float llvm_cbe_tmp2_2e_i541;
  float *llvm_cbe_tmp10_2e_i549;
  float llvm_cbe_tmp11_2e_i550;
  float llvm_cbe_tmp118;
  float llvm_cbe_tmp125;
  float llvm_cbe_tmp127;
  float llvm_cbe_tmp135;
  float llvm_cbe_tmp139;
  float llvm_cbe_tmp143;
  float llvm_cbe_tmp146;
  float *llvm_cbe_tmp148;
  float llvm_cbe_tmp149;
  float llvm_cbe_tmp156;
  float llvm_cbe_tmp158;
  float llvm_cbe_tmp161;
  float llvm_cbe_tmp170;
  float llvm_cbe_tmp174;
  unsigned char llvm_cbe_tmp179;
  unsigned int llvm_cbe_tmp182;
  float llvm_cbe_tmp194;
  float llvm_cbe_tmp199;
  float llvm_cbe_tmp202;
  float llvm_cbe_tmp206;
  float llvm_cbe_tmp210;
  float *llvm_cbe_tmp215;
  float llvm_cbe_tmp216;
  float llvm_cbe_tmp219;
  float llvm_cbe_tmp223;
  float llvm_cbe_tmp228;
  float llvm_cbe_storemerge_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_tmp239;
  float llvm_cbe_tmp241;
  float llvm_cbe_tmp247;
  float llvm_cbe_tmp3_2e_i450;
  float llvm_cbe_tmp8_2e_i455;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i472659__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i475666__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i475666667668_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i478658__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i481664__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i422;
  float llvm_cbe_tmp11_2e_i431;
  float llvm_cbe_tmp260;
  float llvm_cbe_tmp267;
  float llvm_cbe_tmp277;
  float llvm_cbe_tmp3_2e_i385;
  float llvm_cbe_tmp8_2e_i390;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i407645__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i410652__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i410652653654_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i413644__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i416650__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i357;
  float llvm_cbe_tmp11_2e_i366;
  float llvm_cbe_tmp290;
  float llvm_cbe_tmp297;
  float llvm_cbe_tmp299;
  float llvm_cbe_tmp317_2e_rle;
  float llvm_cbe_tmp317_2e_rle__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp305;
  unsigned int *llvm_cbe_tmp309;
  unsigned int llvm_cbe_tmp310;
  float llvm_cbe_tmp322;
  float llvm_cbe_tmp327;
  float llvm_cbe_tmp330;
  float llvm_cbe_tmp334;
  float llvm_cbe_tmp337;
  unsigned int llvm_cbe_tmp340;
  float *llvm_cbe_tmp346;
  float llvm_cbe_tmp347;
  float *llvm_cbe_tmp361;
  float llvm_cbe_tmp362;
  float llvm_cbe_tmp367;
  float llvm_cbe_storemerge_2e_i331;
  float llvm_cbe_tmp375;
  float *llvm_cbe_tmp385;
  float llvm_cbe_tmp386;
  float llvm_cbe_tmp391;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp399;
  float llvm_cbe_limitForce_2e_0;
  float llvm_cbe_limitForce_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp403;
  float llvm_cbe_tmp405;
  float llvm_cbe_tmp411;
  float llvm_cbe_tmp3_2e_i281;
  float llvm_cbe_tmp8_2e_i286;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i303631__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i306638__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i306638639640_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i309630__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i312636__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i253;
  float llvm_cbe_tmp11_2e_i262;
  float llvm_cbe_tmp424;
  float llvm_cbe_tmp431;
  float llvm_cbe_tmp441;
  float llvm_cbe_tmp3_2e_i216;
  float llvm_cbe_tmp8_2e_i221;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i238617__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i241624__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i241624625626_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i244616__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i247622__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i188;
  float llvm_cbe_tmp11_2e_i197;
  float llvm_cbe_tmp454;
  float llvm_cbe_tmp461;

  llvm_cbe_tmp18 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp22 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp25 = *((&llvm_cbe_tmp18->field16));
  llvm_cbe_tmp28 = *((&llvm_cbe_tmp22->field16));
  llvm_cbe_tmp31 = *((&llvm_cbe_tmp18->field18));
  llvm_cbe_tmp34 = *((&llvm_cbe_tmp22->field18));
  llvm_cbe_tmp36 = (&llvm_cbe_tmp22->field5);
  llvm_cbe_tmp37 = *llvm_cbe_tmp36;
  llvm_cbe_tmp39 = (&llvm_cbe_tmp22->field4);
  llvm_cbe_tmp41 = (&llvm_cbe_tmp18->field5);
  llvm_cbe_tmp42 = *llvm_cbe_tmp41;
  llvm_cbe_tmp44 = (&llvm_cbe_tmp18->field4);
  llvm_cbe_tmp47 = _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(((&llvm_cbe_this->field6)), llvm_cbe_tmp44, llvm_cbe_tmp42, llvm_cbe_tmp39, llvm_cbe_tmp37);
  llvm_cbe_tmp49 = (&llvm_cbe_step->field1);
  llvm_cbe_tmp50 = *llvm_cbe_tmp49;
  llvm_cbe_tmp54 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp57 = ((float )((((float )(llvm_cbe_tmp54 * (((float )(-(llvm_cbe_tmp50))))))) * llvm_cbe_tmp47));
  llvm_cbe_tmp59 = (&llvm_cbe_this->field8);
  llvm_cbe_tmp60 = *llvm_cbe_tmp59;
  *llvm_cbe_tmp59 = (((float )(llvm_cbe_tmp60 + llvm_cbe_tmp57)));
  llvm_cbe_tmp66 = (&llvm_cbe_step->field0);
  llvm_cbe_tmp67 = *llvm_cbe_tmp66;
  llvm_cbe_tmp69 = ((float )(llvm_cbe_tmp67 * llvm_cbe_tmp57));
  llvm_cbe_tmp75 = ((float )(llvm_cbe_tmp25 * llvm_cbe_tmp69));
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_this->field6.field0.field1));
  llvm_cbe_tmp8_2e_i = *((&llvm_cbe_this->field6.field0.field0));
  llvm_cbe_tmp22_2e_i610611612_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i603__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i * llvm_cbe_tmp75))), llvm_cbe_tmp19_2e_i603__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i610__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp75))), llvm_cbe_tmp22_2e_i610__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i336 = (&llvm_cbe_tmp18->field4.field0);
  llvm_cbe_tmp2_2e_i337 = *llvm_cbe_tmp1_2e_i336;
  *llvm_cbe_tmp1_2e_i336 = (((float )(llvm_cbe_tmp2_2e_i337 + ((llvm_cbe_tmp25_2e_i602__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i610611612_2e_ins)), llvm_cbe_tmp25_2e_i602__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i345 = (&llvm_cbe_tmp18->field4.field1);
  llvm_cbe_tmp11_2e_i346 = *llvm_cbe_tmp10_2e_i345;
  *llvm_cbe_tmp10_2e_i345 = (((float )(llvm_cbe_tmp11_2e_i346 + ((llvm_cbe_tmp28_2e_i608__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i610611612_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i608__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp88 = *llvm_cbe_tmp41;
  llvm_cbe_tmp95 = *((&llvm_cbe_this->field6.field1));
  *llvm_cbe_tmp41 = (((float )(llvm_cbe_tmp88 + (((float )((((float )(llvm_cbe_tmp31 * llvm_cbe_tmp69))) * llvm_cbe_tmp95))))));
  llvm_cbe_tmp105 = ((float )(llvm_cbe_tmp28 * llvm_cbe_tmp69));
  llvm_cbe_tmp3_2e_i504 = *((&llvm_cbe_this->field6.field2.field1));
  llvm_cbe_tmp8_2e_i509 = *((&llvm_cbe_this->field6.field2.field0));
  llvm_cbe_tmp22_2e_i529680681682_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i526673__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i509 * llvm_cbe_tmp105))), llvm_cbe_tmp19_2e_i526673__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i529680__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i504 * llvm_cbe_tmp105))), llvm_cbe_tmp22_2e_i529680__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i540 = (&llvm_cbe_tmp22->field4.field0);
  llvm_cbe_tmp2_2e_i541 = *llvm_cbe_tmp1_2e_i540;
  *llvm_cbe_tmp1_2e_i540 = (((float )(llvm_cbe_tmp2_2e_i541 + ((llvm_cbe_tmp25_2e_i532672__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i529680681682_2e_ins)), llvm_cbe_tmp25_2e_i532672__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i549 = (&llvm_cbe_tmp22->field4.field1);
  llvm_cbe_tmp11_2e_i550 = *llvm_cbe_tmp10_2e_i549;
  *llvm_cbe_tmp10_2e_i549 = (((float )(llvm_cbe_tmp11_2e_i550 + ((llvm_cbe_tmp28_2e_i535678__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i529680681682_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i535678__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp118 = *llvm_cbe_tmp36;
  llvm_cbe_tmp125 = *((&llvm_cbe_this->field6.field3));
  llvm_cbe_tmp127 = ((float )(llvm_cbe_tmp118 + (((float )((((float )(llvm_cbe_tmp34 * llvm_cbe_tmp69))) * llvm_cbe_tmp125)))));
  *llvm_cbe_tmp36 = llvm_cbe_tmp127;
  llvm_cbe_tmp135 = *llvm_cbe_tmp41;
  llvm_cbe_tmp139 = *llvm_cbe_tmp49;
  llvm_cbe_tmp143 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp146 = ((float )((((float )(llvm_cbe_tmp143 * (((float )(-(llvm_cbe_tmp139))))))) * (((float )(llvm_cbe_tmp127 - llvm_cbe_tmp135)))));
  llvm_cbe_tmp148 = (&llvm_cbe_this->field10);
  llvm_cbe_tmp149 = *llvm_cbe_tmp148;
  *llvm_cbe_tmp148 = (((float )(llvm_cbe_tmp149 + llvm_cbe_tmp146)));
  llvm_cbe_tmp156 = *llvm_cbe_tmp66;
  llvm_cbe_tmp158 = ((float )(llvm_cbe_tmp156 * llvm_cbe_tmp146));
  llvm_cbe_tmp161 = *llvm_cbe_tmp41;
  *llvm_cbe_tmp41 = (((float )(llvm_cbe_tmp161 - (((float )(llvm_cbe_tmp31 * llvm_cbe_tmp158))))));
  llvm_cbe_tmp170 = *llvm_cbe_tmp36;
  llvm_cbe_tmp174 = ((float )(llvm_cbe_tmp170 + (((float )(llvm_cbe_tmp34 * llvm_cbe_tmp158)))));
  *llvm_cbe_tmp36 = llvm_cbe_tmp174;
  llvm_cbe_tmp179 = *((&llvm_cbe_this->field21));
  if ((llvm_cbe_tmp179 == ((unsigned char )0))) {
    llvm_cbe_tmp317_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp174;   /* for PHI node */
    goto llvm_cbe_bb302;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp182 = *((&llvm_cbe_this->field22));
  if ((llvm_cbe_tmp182 == 3u)) {
    llvm_cbe_tmp317_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp174;   /* for PHI node */
    goto llvm_cbe_bb302;
  } else {
    goto llvm_cbe_bb186;
  }

llvm_cbe_bb186:
  llvm_cbe_tmp194 = *llvm_cbe_tmp41;
  llvm_cbe_tmp199 = _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(((&llvm_cbe_this->field11)), llvm_cbe_tmp44, llvm_cbe_tmp194, llvm_cbe_tmp39, llvm_cbe_tmp174);
  llvm_cbe_tmp202 = *((&llvm_cbe_this->field19));
  llvm_cbe_tmp206 = *llvm_cbe_tmp49;
  llvm_cbe_tmp210 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp215 = (&llvm_cbe_this->field13);
  llvm_cbe_tmp216 = *llvm_cbe_tmp215;
  llvm_cbe_tmp219 = *((&llvm_cbe_this->field18));
  llvm_cbe_tmp223 = ((float )(-(llvm_cbe_tmp219)));
  llvm_cbe_tmp228 = ((float )(llvm_cbe_tmp216 + (((float )((((float )(llvm_cbe_tmp210 * (((float )(-(llvm_cbe_tmp206))))))) * (((float )(llvm_cbe_tmp199 - llvm_cbe_tmp202))))))));
  llvm_cbe_storemerge_2e_i_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp228, llvm_cbe_tmp219))) ? (llvm_cbe_tmp228) : (llvm_cbe_tmp219));
  llvm_cbe_storemerge_2e_i11_2e_i = (((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe_tmp223))) ? (llvm_cbe_tmp223) : (llvm_cbe_storemerge_2e_i_2e_i));
  *llvm_cbe_tmp215 = llvm_cbe_storemerge_2e_i11_2e_i;
  llvm_cbe_tmp239 = *llvm_cbe_tmp66;
  llvm_cbe_tmp241 = ((float )(llvm_cbe_tmp239 * (((float )(llvm_cbe_storemerge_2e_i11_2e_i - llvm_cbe_tmp216)))));
  llvm_cbe_tmp247 = ((float )(llvm_cbe_tmp25 * llvm_cbe_tmp241));
  llvm_cbe_tmp3_2e_i450 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i455 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i475666667668_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i472659__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i455 * llvm_cbe_tmp247))), llvm_cbe_tmp19_2e_i472659__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i475666__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i450 * llvm_cbe_tmp247))), llvm_cbe_tmp22_2e_i475666__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i422 = *llvm_cbe_tmp1_2e_i336;
  *llvm_cbe_tmp1_2e_i336 = (((float )(llvm_cbe_tmp2_2e_i422 + ((llvm_cbe_tmp25_2e_i478658__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i475666667668_2e_ins)), llvm_cbe_tmp25_2e_i478658__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i431 = *llvm_cbe_tmp10_2e_i345;
  *llvm_cbe_tmp10_2e_i345 = (((float )(llvm_cbe_tmp11_2e_i431 + ((llvm_cbe_tmp28_2e_i481664__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i475666667668_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i481664__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp260 = *llvm_cbe_tmp41;
  llvm_cbe_tmp267 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp41 = (((float )(llvm_cbe_tmp260 + (((float )((((float )(llvm_cbe_tmp31 * llvm_cbe_tmp241))) * llvm_cbe_tmp267))))));
  llvm_cbe_tmp277 = ((float )(llvm_cbe_tmp28 * llvm_cbe_tmp241));
  llvm_cbe_tmp3_2e_i385 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i390 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i410652653654_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i407645__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i390 * llvm_cbe_tmp277))), llvm_cbe_tmp19_2e_i407645__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i410652__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i385 * llvm_cbe_tmp277))), llvm_cbe_tmp22_2e_i410652__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i357 = *llvm_cbe_tmp1_2e_i540;
  *llvm_cbe_tmp1_2e_i540 = (((float )(llvm_cbe_tmp2_2e_i357 + ((llvm_cbe_tmp25_2e_i413644__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i410652653654_2e_ins)), llvm_cbe_tmp25_2e_i413644__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i366 = *llvm_cbe_tmp10_2e_i549;
  *llvm_cbe_tmp10_2e_i549 = (((float )(llvm_cbe_tmp11_2e_i366 + ((llvm_cbe_tmp28_2e_i416650__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i410652653654_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i416650__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp290 = *llvm_cbe_tmp36;
  llvm_cbe_tmp297 = *((&llvm_cbe_this->field11.field3));
  llvm_cbe_tmp299 = ((float )(llvm_cbe_tmp290 + (((float )((((float )(llvm_cbe_tmp34 * llvm_cbe_tmp241))) * llvm_cbe_tmp297)))));
  *llvm_cbe_tmp36 = llvm_cbe_tmp299;
  llvm_cbe_tmp317_2e_rle__PHI_TEMPORARY = llvm_cbe_tmp299;   /* for PHI node */
  goto llvm_cbe_bb302;

llvm_cbe_bb302:
  llvm_cbe_tmp317_2e_rle = llvm_cbe_tmp317_2e_rle__PHI_TEMPORARY;
  llvm_cbe_tmp305 = *((&llvm_cbe_this->field20));
  if ((llvm_cbe_tmp305 == ((unsigned char )0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb307;
  }

llvm_cbe_bb307:
  llvm_cbe_tmp309 = (&llvm_cbe_this->field22);
  llvm_cbe_tmp310 = *llvm_cbe_tmp309;
  if ((llvm_cbe_tmp310 == 0u)) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb314;
  }

llvm_cbe_bb314:
  llvm_cbe_tmp322 = *llvm_cbe_tmp41;
  llvm_cbe_tmp327 = _ZN10b2Jacobian7ComputeERK6b2Vec2fS2_f(((&llvm_cbe_this->field11)), llvm_cbe_tmp44, llvm_cbe_tmp322, llvm_cbe_tmp39, llvm_cbe_tmp317_2e_rle);
  llvm_cbe_tmp330 = *llvm_cbe_tmp49;
  llvm_cbe_tmp334 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp337 = ((float )((((float )(llvm_cbe_tmp334 * (((float )(-(llvm_cbe_tmp330))))))) * llvm_cbe_tmp327));
  llvm_cbe_tmp340 = *llvm_cbe_tmp309;
  switch (llvm_cbe_tmp340) {
  default:
    llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp337;   /* for PHI node */
    goto llvm_cbe_bb400;
;
  case 3u:
    goto llvm_cbe_bb344;
    break;
  case 1u:
    goto llvm_cbe_bb359;
  case 2u:
    goto llvm_cbe_bb383;
  }
llvm_cbe_bb344:
  llvm_cbe_tmp346 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp347 = *llvm_cbe_tmp346;
  *llvm_cbe_tmp346 = (((float )(llvm_cbe_tmp347 + llvm_cbe_tmp337)));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp337;   /* for PHI node */
  goto llvm_cbe_bb400;

llvm_cbe_bb359:
  llvm_cbe_tmp361 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp362 = *llvm_cbe_tmp361;
  llvm_cbe_tmp367 = ((float )(llvm_cbe_tmp362 + llvm_cbe_tmp337));
  llvm_cbe_storemerge_2e_i331 = (((llvm_fcmp_ogt(llvm_cbe_tmp367, 0x0p+0))) ? (llvm_cbe_tmp367) : (0x0p+0));
  *llvm_cbe_tmp361 = llvm_cbe_storemerge_2e_i331;
  llvm_cbe_tmp375 = ((float )(llvm_cbe_storemerge_2e_i331 - llvm_cbe_tmp362));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp375;   /* for PHI node */
  goto llvm_cbe_bb400;

llvm_cbe_bb383:
  llvm_cbe_tmp385 = (&llvm_cbe_this->field14);
  llvm_cbe_tmp386 = *llvm_cbe_tmp385;
  llvm_cbe_tmp391 = ((float )(llvm_cbe_tmp386 + llvm_cbe_tmp337));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp391, 0x0p+0))) ? (llvm_cbe_tmp391) : (0x0p+0));
  *llvm_cbe_tmp385 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp399 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp386));
  llvm_cbe_limitForce_2e_0__PHI_TEMPORARY = llvm_cbe_tmp399;   /* for PHI node */
  goto llvm_cbe_bb400;

llvm_cbe_bb400:
  llvm_cbe_limitForce_2e_0 = llvm_cbe_limitForce_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp403 = *llvm_cbe_tmp66;
  llvm_cbe_tmp405 = ((float )(llvm_cbe_tmp403 * llvm_cbe_limitForce_2e_0));
  llvm_cbe_tmp411 = ((float )(llvm_cbe_tmp25 * llvm_cbe_tmp405));
  llvm_cbe_tmp3_2e_i281 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i286 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i306638639640_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i303631__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i286 * llvm_cbe_tmp411))), llvm_cbe_tmp19_2e_i303631__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i306638__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i281 * llvm_cbe_tmp411))), llvm_cbe_tmp22_2e_i306638__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i253 = *llvm_cbe_tmp1_2e_i336;
  *llvm_cbe_tmp1_2e_i336 = (((float )(llvm_cbe_tmp2_2e_i253 + ((llvm_cbe_tmp25_2e_i309630__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i306638639640_2e_ins)), llvm_cbe_tmp25_2e_i309630__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i262 = *llvm_cbe_tmp10_2e_i345;
  *llvm_cbe_tmp10_2e_i345 = (((float )(llvm_cbe_tmp11_2e_i262 + ((llvm_cbe_tmp28_2e_i312636__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i306638639640_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i312636__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp424 = *llvm_cbe_tmp41;
  llvm_cbe_tmp431 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp41 = (((float )(llvm_cbe_tmp424 + (((float )((((float )(llvm_cbe_tmp31 * llvm_cbe_tmp405))) * llvm_cbe_tmp431))))));
  llvm_cbe_tmp441 = ((float )(llvm_cbe_tmp28 * llvm_cbe_tmp405));
  llvm_cbe_tmp3_2e_i216 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i221 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i241624625626_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i238617__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i221 * llvm_cbe_tmp441))), llvm_cbe_tmp19_2e_i238617__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i241624__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i216 * llvm_cbe_tmp441))), llvm_cbe_tmp22_2e_i241624__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i188 = *llvm_cbe_tmp1_2e_i540;
  *llvm_cbe_tmp1_2e_i540 = (((float )(llvm_cbe_tmp2_2e_i188 + ((llvm_cbe_tmp25_2e_i244616__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i241624625626_2e_ins)), llvm_cbe_tmp25_2e_i244616__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i197 = *llvm_cbe_tmp10_2e_i549;
  *llvm_cbe_tmp10_2e_i549 = (((float )(llvm_cbe_tmp11_2e_i197 + ((llvm_cbe_tmp28_2e_i247622__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i241624625626_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i247622__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp454 = *llvm_cbe_tmp36;
  llvm_cbe_tmp461 = *((&llvm_cbe_this->field11.field3));
  *llvm_cbe_tmp36 = (((float )(llvm_cbe_tmp454 + (((float )((((float )(llvm_cbe_tmp34 * llvm_cbe_tmp405))) * llvm_cbe_tmp461))))));
  return;
llvm_cbe_return:
  return;
}


static void _ZN16b2PrismaticJointD0Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  _ZdlPv((((unsigned char *)llvm_cbe_this)));
  return;
}


static void _ZN16b2PrismaticJointD1Ev(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  *((&llvm_cbe_this->field0.field0)) = ((&_ZTV7b2Joint[((signed long long )2ull)]));
  return;
}


static void _ZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStep(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this, struct l_struct_2E_b2TimeStep *llvm_cbe_step) {
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp30;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp33;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp37;
  struct l_struct_2E_b2Body *llvm_cbe_tmp41;
  float llvm_cbe_tmp3_2e_i908;
  float llvm_cbe_tmp6_2e_i911;
  float llvm_cbe_tmp10_2e_i915;
  float llvm_cbe_tmp13_2e_i918;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i9341546__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i9371553__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i937155315541555_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i9401545__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i9431551__BITCAST_TEMPORARY;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp56;
  unsigned long long llvm_cbe_tmp57;
  float llvm_cbe_tmp611236;
  llvmBitCastUnion llvm_cbe_tmp611236__BITCAST_TEMPORARY;
  float llvm_cbe_tmp641240;
  llvmBitCastUnion llvm_cbe_tmp641240__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1190;
  float llvm_cbe_tmp6_2e_i1193;
  float llvm_cbe_tmp10_2e_i1197;
  float llvm_cbe_tmp13_2e_i1200;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i12161602__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i12191609__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1219160916101611_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i12221601__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i12251607__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp80;
  float llvm_cbe_tmp841250;
  llvmBitCastUnion llvm_cbe_tmp841250__BITCAST_TEMPORARY;
  float llvm_cbe_tmp871254;
  llvmBitCastUnion llvm_cbe_tmp871254__BITCAST_TEMPORARY;
  float llvm_cbe_tmp90;
  float llvm_cbe_tmp93;
  float llvm_cbe_tmp96;
  float llvm_cbe_tmp99;
  unsigned long long llvm_cbe_tmp105;
  float llvm_cbe_tmp1091257;
  llvmBitCastUnion llvm_cbe_tmp1091257__BITCAST_TEMPORARY;
  float llvm_cbe_tmp1121261;
  llvmBitCastUnion llvm_cbe_tmp1121261__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i1129;
  float llvm_cbe_tmp10_2e_i1136;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11551588__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11581595__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1158159515961597_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11611587__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i11641593__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i1083;
  float llvm_cbe_tmp13_2e_i1090;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11061574__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11091581__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1109158115821583_2e_ins;
  float llvm_cbe_tmp29_2e_i11121573;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11121573__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i11151579;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i11151579__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i10191560__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i10221567__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i1022156715681569_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i10251559__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i10281565__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp150;
  float llvm_cbe_tmp151;
  float *llvm_cbe_tmp165;
  float llvm_cbe_tmp166;
  float llvm_cbe_tmp174;
  float *llvm_cbe_tmp176;
  float llvm_cbe_tmp194;
  float *llvm_cbe_tmp196;
  float llvm_cbe_tmp207;
  float llvm_cbe_storemerge;
  float llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned char *llvm_cbe_tmp212;
  unsigned char llvm_cbe_tmp213;
  unsigned char llvm_cbe_tmp218;
  unsigned long long llvm_cbe_tmp226;
  float llvm_cbe_tmp2301285;
  llvmBitCastUnion llvm_cbe_tmp2301285__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2331289;
  llvmBitCastUnion llvm_cbe_tmp2331289__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp17_2e_i8481532__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp20_2e_i8511539__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp20_2e_i851153915401541_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8541531__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8571537__BITCAST_TEMPORARY;
  float llvm_cbe_tmp250;
  float llvm_cbe_tmp265;
  float llvm_cbe_tmp273;
  float *llvm_cbe_tmp275;
  unsigned char llvm_cbe_tmp295;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7741518__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7771525__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i777152515261527_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7801517__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7831523__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i735;
  float llvm_cbe_tmp309;
  float llvm_cbe_tmp312;
  float llvm_cbe_tmp313;
  float llvm_cbe_tmp5_2e_i716;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  unsigned int *llvm_cbe_tmp332;
  unsigned int llvm_cbe_tmp333;
  unsigned int *llvm_cbe_tmp366;
  unsigned int llvm_cbe_tmp354;
  unsigned char llvm_cbe_tmp382_2e_rle1612;
  unsigned char llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp372;
  unsigned char llvm_cbe_tmp392;
  float llvm_cbe_tmp400;
  float llvm_cbe_tmp403;
  float llvm_cbe_tmp404;
  float llvm_cbe_tmp3_2e_i679;
  float llvm_cbe_tmp8_2e_i684;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i7011504__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i7041511__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i704151115121513_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i7071503__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i7101509__BITCAST_TEMPORARY;
  float llvm_cbe_tmp418;
  float llvm_cbe_tmp3_2e_i634;
  float llvm_cbe_tmp8_2e_i639;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i6561490__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i6591497__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i659149714981499_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i6621489__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i6651495__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6111476__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6141483__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i614148314841485_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6171475__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6201481__BITCAST_TEMPORARY;
  float llvm_cbe_tmp437;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i5621462__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i5651469__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i565146914701471_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i5681461__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i5711467__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i495;
  float llvm_cbe_tmp8_2e_i500;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i5171448__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i5201455__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i520145514561457_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i5231447__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i5261453__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i450;
  float llvm_cbe_tmp8_2e_i455;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i4721434__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i4751441__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i475144114421443_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i4781433__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i4811439__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i4321420__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i4351427__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i435142714281429_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1419__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1425__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3841406__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3871413__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i387141314141415_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3901405__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3931411__BITCAST_TEMPORARY;
  float llvm_cbe_tmp506;
  float llvm_cbe_tmp510;
  float llvm_cbe_tmp522;
  float llvm_cbe_tmp535;
  float llvm_cbe_tmp551;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3391392__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3421399__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i342139914001401_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3451391__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3481397__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i288;
  float llvm_cbe_tmp2_2e_i289;
  float *llvm_cbe_tmp10_2e_i297;
  float llvm_cbe_tmp11_2e_i298;
  float *llvm_cbe_tmp567;
  float llvm_cbe_tmp568;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i1378__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i1385__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i138513861387_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i1377__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i1383__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp1_2e_i;
  float llvm_cbe_tmp2_2e_i;
  float *llvm_cbe_tmp10_2e_i;
  float llvm_cbe_tmp11_2e_i;
  float *llvm_cbe_tmp587;
  float llvm_cbe_tmp588;

  llvm_cbe_tmp37 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp41 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp3_2e_i908 = *((&llvm_cbe_this->field1.field1));
  llvm_cbe_tmp6_2e_i911 = *((&llvm_cbe_tmp37->field3.field0.field1));
  llvm_cbe_tmp10_2e_i915 = *((&llvm_cbe_this->field1.field0));
  llvm_cbe_tmp13_2e_i918 = *((&llvm_cbe_tmp37->field3.field0.field0));
  llvm_cbe_tmp26_2e_i937155315541555_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i9341546__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i915 - llvm_cbe_tmp13_2e_i918))), llvm_cbe_tmp23_2e_i9341546__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i9371553__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i908 - llvm_cbe_tmp6_2e_i911))), llvm_cbe_tmp26_2e_i9371553__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp33.field0)) = ((llvm_cbe_tmp29_2e_i9401545__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i937155315541555_2e_ins)), llvm_cbe_tmp29_2e_i9401545__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp33.field1)) = ((llvm_cbe_tmp32_2e_i9431551__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i937155315541555_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i9431551__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp56 = (&llvm_cbe_tmp37->field2.field1);
  llvm_cbe_tmp57 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp56, (&llvm_cbe_tmp33));
  llvm_cbe_tmp611236 = (llvm_cbe_tmp611236__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp57)), llvm_cbe_tmp611236__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp641240 = (llvm_cbe_tmp641240__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp57) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp641240__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i1190 = *((&llvm_cbe_this->field2.field1));
  llvm_cbe_tmp6_2e_i1193 = *((&llvm_cbe_tmp41->field3.field0.field1));
  llvm_cbe_tmp10_2e_i1197 = *((&llvm_cbe_this->field2.field0));
  llvm_cbe_tmp13_2e_i1200 = *((&llvm_cbe_tmp41->field3.field0.field0));
  llvm_cbe_tmp26_2e_i1219160916101611_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i12161602__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1197 - llvm_cbe_tmp13_2e_i1200))), llvm_cbe_tmp23_2e_i12161602__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i12191609__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1190 - llvm_cbe_tmp6_2e_i1193))), llvm_cbe_tmp26_2e_i12191609__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp30.field0)) = ((llvm_cbe_tmp29_2e_i12221601__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1219160916101611_2e_ins)), llvm_cbe_tmp29_2e_i12221601__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp30.field1)) = ((llvm_cbe_tmp32_2e_i12251607__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1219160916101611_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i12251607__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp80 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp41->field2.field1)), (&llvm_cbe_tmp30));
  llvm_cbe_tmp841250 = (llvm_cbe_tmp841250__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp80)), llvm_cbe_tmp841250__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp871254 = (llvm_cbe_tmp871254__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp80) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp871254__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp90 = *((&llvm_cbe_tmp37->field16));
  llvm_cbe_tmp93 = *((&llvm_cbe_tmp41->field16));
  llvm_cbe_tmp96 = *((&llvm_cbe_tmp37->field18));
  llvm_cbe_tmp99 = *((&llvm_cbe_tmp41->field18));
  llvm_cbe_tmp105 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp56, ((&llvm_cbe_this->field4)));
  llvm_cbe_tmp1091257 = (llvm_cbe_tmp1091257__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp105)), llvm_cbe_tmp1091257__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp1121261 = (llvm_cbe_tmp1121261__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp105) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1121261__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i1129 = *((&llvm_cbe_tmp41->field3.field2.field1));
  llvm_cbe_tmp10_2e_i1136 = *((&llvm_cbe_tmp41->field3.field2.field0));
  llvm_cbe_tmp26_2e_i1158159515961597_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11551588__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i1136 + llvm_cbe_tmp841250))), llvm_cbe_tmp23_2e_i11551588__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11581595__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1129 + llvm_cbe_tmp871254))), llvm_cbe_tmp26_2e_i11581595__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i1083 = *((&llvm_cbe_tmp37->field3.field2.field1));
  llvm_cbe_tmp13_2e_i1090 = *((&llvm_cbe_tmp37->field3.field2.field0));
  llvm_cbe_tmp26_2e_i1109158115821583_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11061574__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i11611587__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1158159515961597_2e_ins)), llvm_cbe_tmp29_2e_i11611587__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp13_2e_i1090))), llvm_cbe_tmp23_2e_i11061574__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11091581__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i11641593__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1158159515961597_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i11641593__BITCAST_TEMPORARY.Float)) - llvm_cbe_tmp6_2e_i1083))), llvm_cbe_tmp26_2e_i11091581__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i11121573 = (llvm_cbe_tmp29_2e_i11121573__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1109158115821583_2e_ins)), llvm_cbe_tmp29_2e_i11121573__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i11151579 = (llvm_cbe_tmp32_2e_i11151579__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1109158115821583_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i11151579__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp20_2e_i1022156715681569_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i10191560__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp1091257)))), llvm_cbe_tmp17_2e_i10191560__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i10221567__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp1121261)))), llvm_cbe_tmp20_2e_i10221567__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field6.field0.field0)) = ((llvm_cbe_tmp23_2e_i10251559__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i1022156715681569_2e_ins)), llvm_cbe_tmp23_2e_i10251559__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field6.field0.field1)) = ((llvm_cbe_tmp26_2e_i10281565__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i1022156715681569_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i10281565__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field6.field1)) = (((float )(-((((float )((((float )(llvm_cbe_tmp29_2e_i11121573 * llvm_cbe_tmp1121261))) - (((float )(llvm_cbe_tmp32_2e_i11151579 * llvm_cbe_tmp1091257))))))))));
  *((&llvm_cbe_this->field6.field2.field0)) = llvm_cbe_tmp1091257;
  *((&llvm_cbe_this->field6.field2.field1)) = llvm_cbe_tmp1121261;
  *((&llvm_cbe_this->field6.field3)) = (((float )((((float )(llvm_cbe_tmp841250 * llvm_cbe_tmp1121261))) - (((float )(llvm_cbe_tmp871254 * llvm_cbe_tmp1091257))))));
  llvm_cbe_tmp150 = (&llvm_cbe_this->field6.field1);
  llvm_cbe_tmp151 = *llvm_cbe_tmp150;
  llvm_cbe_tmp165 = (&llvm_cbe_this->field6.field3);
  llvm_cbe_tmp166 = *llvm_cbe_tmp165;
  llvm_cbe_tmp174 = ((float )((((float )((((float )((((float )((((float )(llvm_cbe_tmp151 * llvm_cbe_tmp96))) * llvm_cbe_tmp151))) + llvm_cbe_tmp90))) + llvm_cbe_tmp93))) + (((float )((((float )(llvm_cbe_tmp166 * llvm_cbe_tmp99))) * llvm_cbe_tmp166)))));
  llvm_cbe_tmp176 = (&llvm_cbe_this->field7);
  *llvm_cbe_tmp176 = llvm_cbe_tmp174;
  if ((llvm_fcmp_ule(llvm_cbe_tmp174, 0x1p-23))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb185;
  }

llvm_cbe_bb:
  __assert_fail(((&_2E_str2284[((signed long long )0ull)])), ((&_2E_str1283[((signed long long )0ull)])), 100u, ((&_ZZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb185:
  *llvm_cbe_tmp176 = (((float )(0x1p+0 / llvm_cbe_tmp174)));
  llvm_cbe_tmp194 = ((float )(llvm_cbe_tmp96 + llvm_cbe_tmp99));
  llvm_cbe_tmp196 = (&llvm_cbe_this->field9);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp194, 0x1p-23))) {
    goto llvm_cbe_bb203;
  } else {
    llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp194;   /* for PHI node */
    goto llvm_cbe_bb210;
  }

llvm_cbe_bb203:
  llvm_cbe_tmp207 = ((float )(0x1p+0 / llvm_cbe_tmp194));
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp207;   /* for PHI node */
  goto llvm_cbe_bb210;

llvm_cbe_bb210:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  *llvm_cbe_tmp196 = llvm_cbe_storemerge;
  llvm_cbe_tmp212 = (&llvm_cbe_this->field20);
  llvm_cbe_tmp213 = *llvm_cbe_tmp212;
  if ((llvm_cbe_tmp213 == ((unsigned char )0))) {
    goto llvm_cbe_bb215;
  } else {
    goto llvm_cbe_bb220;
  }

llvm_cbe_bb215:
  llvm_cbe_tmp218 = *((&llvm_cbe_this->field21));
  if ((llvm_cbe_tmp218 == ((unsigned char )0))) {
    llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp213;   /* for PHI node */
    goto llvm_cbe_bb369;
  } else {
    goto llvm_cbe_bb220;
  }

llvm_cbe_bb220:
  llvm_cbe_tmp226 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp56, ((&llvm_cbe_this->field3)));
  llvm_cbe_tmp2301285 = (llvm_cbe_tmp2301285__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp226)), llvm_cbe_tmp2301285__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp2331289 = (llvm_cbe_tmp2331289__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp226) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2331289__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp20_2e_i851153915401541_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp17_2e_i8481532__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp2301285)))), llvm_cbe_tmp17_2e_i8481532__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp20_2e_i8511539__BITCAST_TEMPORARY.Float = (((float )(-(llvm_cbe_tmp2331289)))), llvm_cbe_tmp20_2e_i8511539__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_this->field11.field0.field0)) = ((llvm_cbe_tmp23_2e_i8541531__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp20_2e_i851153915401541_2e_ins)), llvm_cbe_tmp23_2e_i8541531__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field0.field1)) = ((llvm_cbe_tmp26_2e_i8571537__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp20_2e_i851153915401541_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp26_2e_i8571537__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field11.field1)) = (((float )(-((((float )((((float )(llvm_cbe_tmp29_2e_i11121573 * llvm_cbe_tmp2331289))) - (((float )(llvm_cbe_tmp32_2e_i11151579 * llvm_cbe_tmp2301285))))))))));
  *((&llvm_cbe_this->field11.field2.field0)) = llvm_cbe_tmp2301285;
  *((&llvm_cbe_this->field11.field2.field1)) = llvm_cbe_tmp2331289;
  *((&llvm_cbe_this->field11.field3)) = (((float )((((float )(llvm_cbe_tmp841250 * llvm_cbe_tmp2331289))) - (((float )(llvm_cbe_tmp871254 * llvm_cbe_tmp2301285))))));
  llvm_cbe_tmp250 = *((&llvm_cbe_this->field11.field1));
  llvm_cbe_tmp265 = *((&llvm_cbe_this->field11.field3));
  llvm_cbe_tmp273 = ((float )((((float )((((float )((((float )((((float )(llvm_cbe_tmp250 * llvm_cbe_tmp96))) * llvm_cbe_tmp250))) + llvm_cbe_tmp90))) + llvm_cbe_tmp93))) + (((float )((((float )(llvm_cbe_tmp265 * llvm_cbe_tmp99))) * llvm_cbe_tmp265)))));
  llvm_cbe_tmp275 = (&llvm_cbe_this->field12);
  *llvm_cbe_tmp275 = llvm_cbe_tmp273;
  if ((llvm_fcmp_ule(llvm_cbe_tmp273, 0x1p-23))) {
    goto llvm_cbe_bb282;
  } else {
    goto llvm_cbe_bb286;
  }

llvm_cbe_bb282:
  __assert_fail(((&_2E_str3285[((signed long long )0ull)])), ((&_2E_str1283[((signed long long )0ull)])), 118u, ((&_ZZN16b2PrismaticJoint23InitVelocityConstraintsERK10b2TimeStepE19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb286:
  *llvm_cbe_tmp275 = (((float )(0x1p+0 / llvm_cbe_tmp273)));
  llvm_cbe_tmp295 = *llvm_cbe_tmp212;
  if ((llvm_cbe_tmp295 == ((unsigned char )0))) {
    llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp295;   /* for PHI node */
    goto llvm_cbe_bb369;
  } else {
    goto llvm_cbe_bb297;
  }

llvm_cbe_bb297:
  llvm_cbe_tmp26_2e_i777152515261527_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7741518__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp29_2e_i11121573 - llvm_cbe_tmp611236))), llvm_cbe_tmp23_2e_i7741518__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7771525__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp32_2e_i11151579 - llvm_cbe_tmp641240))), llvm_cbe_tmp26_2e_i7771525__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp15_2e_i735 = ((float )((((float )(llvm_cbe_tmp2301285 * ((llvm_cbe_tmp29_2e_i7801517__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i777152515261527_2e_ins)), llvm_cbe_tmp29_2e_i7801517__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp2331289 * ((llvm_cbe_tmp32_2e_i7831523__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i777152515261527_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7831523__BITCAST_TEMPORARY.Float)))))));
  llvm_cbe_tmp309 = *((&llvm_cbe_this->field17));
  llvm_cbe_tmp312 = *((&llvm_cbe_this->field16));
  llvm_cbe_tmp313 = ((float )(llvm_cbe_tmp309 - llvm_cbe_tmp312));
  if ((llvm_fcmp_ule(llvm_cbe_tmp313, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i;
  } else {
    llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp313;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit;
  }

llvm_cbe_bb_2e_i:
  llvm_cbe_tmp5_2e_i716 = ((float )(-(llvm_cbe_tmp313)));
  llvm_cbe_storemerge_2e_i__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i716;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe__Z5b2Absf_2e_exit:
  llvm_cbe_storemerge_2e_i = llvm_cbe_storemerge_2e_i__PHI_TEMPORARY;
  if ((llvm_fcmp_olt(llvm_cbe_storemerge_2e_i, 0x1.47ae14p-7))) {
    goto llvm_cbe_bb319;
  } else {
    goto llvm_cbe_bb322;
  }

llvm_cbe_bb319:
  *((&llvm_cbe_this->field22)) = 3u;
  llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp295;   /* for PHI node */
  goto llvm_cbe_bb369;

llvm_cbe_bb322:
  if ((llvm_fcmp_ult(llvm_cbe_tmp312, llvm_cbe_tmp15_2e_i735))) {
    goto llvm_cbe_bb343;
  } else {
    goto llvm_cbe_bb330;
  }

llvm_cbe_bb330:
  llvm_cbe_tmp332 = (&llvm_cbe_this->field22);
  llvm_cbe_tmp333 = *llvm_cbe_tmp332;
  if ((llvm_cbe_tmp333 == 1u)) {
    goto llvm_cbe_bb340;
  } else {
    goto llvm_cbe_bb337;
  }

llvm_cbe_bb337:
  *((&llvm_cbe_this->field14)) = 0x0p+0;
  goto llvm_cbe_bb340;

llvm_cbe_bb340:
  *llvm_cbe_tmp332 = 1u;
  llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp295;   /* for PHI node */
  goto llvm_cbe_bb369;

llvm_cbe_bb343:
  llvm_cbe_tmp366 = (&llvm_cbe_this->field22);
  if ((llvm_fcmp_ugt(llvm_cbe_tmp309, llvm_cbe_tmp15_2e_i735))) {
    goto llvm_cbe_bb364;
  } else {
    goto llvm_cbe_bb351;
  }

llvm_cbe_bb351:
  llvm_cbe_tmp354 = *llvm_cbe_tmp366;
  if ((llvm_cbe_tmp354 == 2u)) {
    goto llvm_cbe_bb361;
  } else {
    goto llvm_cbe_bb358;
  }

llvm_cbe_bb358:
  *((&llvm_cbe_this->field14)) = 0x0p+0;
  goto llvm_cbe_bb361;

llvm_cbe_bb361:
  *llvm_cbe_tmp366 = 2u;
  llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp295;   /* for PHI node */
  goto llvm_cbe_bb369;

llvm_cbe_bb364:
  *llvm_cbe_tmp366 = 0u;
  *((&llvm_cbe_this->field14)) = 0x0p+0;
  llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY = llvm_cbe_tmp295;   /* for PHI node */
  goto llvm_cbe_bb369;

llvm_cbe_bb369:
  llvm_cbe_tmp382_2e_rle1612 = llvm_cbe_tmp382_2e_rle1612__PHI_TEMPORARY;
  llvm_cbe_tmp372 = *((&llvm_cbe_this->field21));
  if ((llvm_cbe_tmp372 == ((unsigned char )0))) {
    goto llvm_cbe_bb376;
  } else {
    goto llvm_cbe_bb379;
  }

llvm_cbe_bb376:
  *((&llvm_cbe_this->field13)) = 0x0p+0;
  goto llvm_cbe_bb379;

llvm_cbe_bb379:
  if ((llvm_cbe_tmp382_2e_rle1612 == ((unsigned char )0))) {
    goto llvm_cbe_bb386;
  } else {
    goto llvm_cbe_bb389;
  }

llvm_cbe_bb386:
  *((&llvm_cbe_this->field14)) = 0x0p+0;
  goto llvm_cbe_bb389;

llvm_cbe_bb389:
  llvm_cbe_tmp392 = *((&llvm_cbe_step->field4));
  if ((llvm_cbe_tmp392 == ((unsigned char )0))) {
    goto llvm_cbe_bb595;
  } else {
    goto llvm_cbe_bb394;
  }

llvm_cbe_bb394:
  llvm_cbe_tmp400 = *((&llvm_cbe_this->field13));
  llvm_cbe_tmp403 = *((&llvm_cbe_this->field14));
  llvm_cbe_tmp404 = ((float )(llvm_cbe_tmp400 + llvm_cbe_tmp403));
  llvm_cbe_tmp3_2e_i679 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i684 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i704151115121513_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i7011504__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i684 * llvm_cbe_tmp404))), llvm_cbe_tmp19_2e_i7011504__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i7041511__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i679 * llvm_cbe_tmp404))), llvm_cbe_tmp22_2e_i7041511__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp418 = *((&llvm_cbe_this->field8));
  llvm_cbe_tmp3_2e_i634 = *((&llvm_cbe_this->field6.field0.field1));
  llvm_cbe_tmp8_2e_i639 = *((&llvm_cbe_this->field6.field0.field0));
  llvm_cbe_tmp22_2e_i659149714981499_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i6561490__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i639 * llvm_cbe_tmp418))), llvm_cbe_tmp19_2e_i6561490__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i6591497__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i634 * llvm_cbe_tmp418))), llvm_cbe_tmp22_2e_i6591497__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i614148314841485_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6111476__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i6621489__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i659149714981499_2e_ins)), llvm_cbe_tmp25_2e_i6621489__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i7071503__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i704151115121513_2e_ins)), llvm_cbe_tmp25_2e_i7071503__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i6111476__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6141483__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i6651495__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i659149714981499_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i6651495__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i7101509__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i704151115121513_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i7101509__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i6141483__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp437 = *((&llvm_cbe_step->field0));
  llvm_cbe_tmp22_2e_i565146914701471_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i5621462__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i6171475__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i614148314841485_2e_ins)), llvm_cbe_tmp29_2e_i6171475__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp437))), llvm_cbe_tmp19_2e_i5621462__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i5651469__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i6201481__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i614148314841485_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6201481__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp437))), llvm_cbe_tmp22_2e_i5651469__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i495 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i500 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i520145514561457_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i5171448__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i500 * llvm_cbe_tmp404))), llvm_cbe_tmp19_2e_i5171448__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i5201455__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i495 * llvm_cbe_tmp404))), llvm_cbe_tmp22_2e_i5201455__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i450 = *((&llvm_cbe_this->field6.field2.field1));
  llvm_cbe_tmp8_2e_i455 = *((&llvm_cbe_this->field6.field2.field0));
  llvm_cbe_tmp22_2e_i475144114421443_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i4721434__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i455 * llvm_cbe_tmp418))), llvm_cbe_tmp19_2e_i4721434__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i4751441__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i450 * llvm_cbe_tmp418))), llvm_cbe_tmp22_2e_i4751441__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i435142714281429_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i4321420__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i4781433__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i475144114421443_2e_ins)), llvm_cbe_tmp25_2e_i4781433__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp25_2e_i5231447__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i520145514561457_2e_ins)), llvm_cbe_tmp25_2e_i5231447__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i4321420__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i4351427__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i4811439__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i475144114421443_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i4811439__BITCAST_TEMPORARY.Float)) + ((llvm_cbe_tmp28_2e_i5261453__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i520145514561457_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i5261453__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i4351427__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i387141314141415_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3841406__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i1419__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i435142714281429_2e_ins)), llvm_cbe_tmp29_2e_i1419__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp437))), llvm_cbe_tmp19_2e_i3841406__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3871413__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i1425__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i435142714281429_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1425__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp437))), llvm_cbe_tmp22_2e_i3871413__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp506 = *llvm_cbe_tmp150;
  llvm_cbe_tmp510 = *((&llvm_cbe_this->field10));
  llvm_cbe_tmp522 = *((&llvm_cbe_this->field11.field1));
  llvm_cbe_tmp535 = *llvm_cbe_tmp165;
  llvm_cbe_tmp551 = *((&llvm_cbe_this->field11.field3));
  llvm_cbe_tmp22_2e_i342139914001401_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3391392__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i5681461__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i565146914701471_2e_ins)), llvm_cbe_tmp25_2e_i5681461__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp90))), llvm_cbe_tmp19_2e_i3391392__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3421399__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i5711467__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i565146914701471_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i5711467__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp90))), llvm_cbe_tmp22_2e_i3421399__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i288 = (&llvm_cbe_tmp37->field4.field0);
  llvm_cbe_tmp2_2e_i289 = *llvm_cbe_tmp1_2e_i288;
  *llvm_cbe_tmp1_2e_i288 = (((float )(llvm_cbe_tmp2_2e_i289 + ((llvm_cbe_tmp25_2e_i3451391__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i342139914001401_2e_ins)), llvm_cbe_tmp25_2e_i3451391__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i297 = (&llvm_cbe_tmp37->field4.field1);
  llvm_cbe_tmp11_2e_i298 = *llvm_cbe_tmp10_2e_i297;
  *llvm_cbe_tmp10_2e_i297 = (((float )(llvm_cbe_tmp11_2e_i298 + ((llvm_cbe_tmp28_2e_i3481397__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i342139914001401_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3481397__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp567 = (&llvm_cbe_tmp37->field5);
  llvm_cbe_tmp568 = *llvm_cbe_tmp567;
  *llvm_cbe_tmp567 = (((float )(llvm_cbe_tmp568 + (((float )(llvm_cbe_tmp96 * (((float )(llvm_cbe_tmp437 * (((float )((((float )((((float )(llvm_cbe_tmp418 * llvm_cbe_tmp506))) - llvm_cbe_tmp510))) + (((float )(llvm_cbe_tmp404 * llvm_cbe_tmp522)))))))))))))));
  llvm_cbe_tmp22_2e_i138513861387_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i1378__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp25_2e_i3901405__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i387141314141415_2e_ins)), llvm_cbe_tmp25_2e_i3901405__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp93))), llvm_cbe_tmp19_2e_i1378__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i1385__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp28_2e_i3931411__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i387141314141415_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3931411__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp93))), llvm_cbe_tmp22_2e_i1385__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp1_2e_i = (&llvm_cbe_tmp41->field4.field0);
  llvm_cbe_tmp2_2e_i = *llvm_cbe_tmp1_2e_i;
  *llvm_cbe_tmp1_2e_i = (((float )(llvm_cbe_tmp2_2e_i + ((llvm_cbe_tmp25_2e_i1377__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i138513861387_2e_ins)), llvm_cbe_tmp25_2e_i1377__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp10_2e_i = (&llvm_cbe_tmp41->field4.field1);
  llvm_cbe_tmp11_2e_i = *llvm_cbe_tmp10_2e_i;
  *llvm_cbe_tmp10_2e_i = (((float )(llvm_cbe_tmp11_2e_i + ((llvm_cbe_tmp28_2e_i1383__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i138513861387_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i1383__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp587 = (&llvm_cbe_tmp41->field5);
  llvm_cbe_tmp588 = *llvm_cbe_tmp587;
  *llvm_cbe_tmp587 = (((float )(llvm_cbe_tmp588 + (((float )(llvm_cbe_tmp99 * (((float )(llvm_cbe_tmp437 * (((float )((((float )((((float )(llvm_cbe_tmp418 * llvm_cbe_tmp535))) + llvm_cbe_tmp510))) + (((float )(llvm_cbe_tmp404 * llvm_cbe_tmp551)))))))))))))));
  goto llvm_cbe_bb604;

llvm_cbe_bb595:
  *((&llvm_cbe_this->field8)) = 0x0p+0;
  *((&llvm_cbe_this->field10)) = 0x0p+0;
  *((&llvm_cbe_this->field14)) = 0x0p+0;
  *((&llvm_cbe_this->field13)) = 0x0p+0;
  goto llvm_cbe_bb604;

llvm_cbe_bb604:
  *((&llvm_cbe_this->field15)) = 0x0p+0;
  return;
}


static unsigned char _ZN16b2PrismaticJoint24SolvePositionConstraintsEv(struct l_struct_2E_b2PrismaticJoint *llvm_cbe_this) {
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i375_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i445_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i921_2e_reg2mem;    /* Address-exposed local */
  float llvm_cbe_storemerge_2e_i_2e_i1096_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp19;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp22;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp33;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_tmp36;    /* Address-exposed local */
  struct l_struct_2E_b2Body *llvm_cbe_tmp40;
  struct l_struct_2E_b2Body *llvm_cbe_tmp44;
  float llvm_cbe_tmp47;
  float llvm_cbe_tmp50;
  float *llvm_cbe_tmp52;
  float llvm_cbe_tmp53;
  float *llvm_cbe_tmp55;
  float llvm_cbe_tmp56;
  float *llvm_cbe_tmp2_2e_i;
  float llvm_cbe_tmp3_2e_i185;
  float *llvm_cbe_tmp5_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float *llvm_cbe_tmp9_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float *llvm_cbe_tmp12_2e_i;
  float llvm_cbe_tmp13_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i1326__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i1333__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i133313341335_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i1325__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i1331__BITCAST_TEMPORARY;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp71;
  unsigned long long llvm_cbe_tmp72;
  llvmBitCastUnion llvm_cbe_tmp761191__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp791195__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i642;
  float llvm_cbe_tmp3_2e_i643;
  float *llvm_cbe_tmp5_2e_i645;
  float llvm_cbe_tmp6_2e_i646;
  float *llvm_cbe_tmp9_2e_i649;
  float llvm_cbe_tmp10_2e_i650;
  float *llvm_cbe_tmp12_2e_i652;
  float llvm_cbe_tmp13_2e_i653;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6691410__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6721417__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i672141714181419_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6751409__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6781415__BITCAST_TEMPORARY;
  struct l_struct_2E_b2AABB *llvm_cbe_tmp94;
  unsigned long long llvm_cbe_tmp95;
  llvmBitCastUnion llvm_cbe_tmp991205__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1021209__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i815;
  float llvm_cbe_tmp3_2e_i816;
  float *llvm_cbe_tmp9_2e_i822;
  float llvm_cbe_tmp10_2e_i823;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8421452__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8451459__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i845145914601461_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8481451__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i8511457__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp2_2e_i864;
  float llvm_cbe_tmp3_2e_i865;
  float *llvm_cbe_tmp9_2e_i871;
  float llvm_cbe_tmp10_2e_i872;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i8911466__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i8941473__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i894147314741475_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i8971465__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i9001471__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i11681508__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i11711515__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i1171151515161517_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i11741507__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i11771513__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp138;
  llvmBitCastUnion llvm_cbe_tmp1421233__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp1451237__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i1128;
  float llvm_cbe_storemerge_2e_i_2e_i1096_2e_reload1519;
  float llvm_cbe_storemerge_2e_i11_2e_i1107;
  float llvm_cbe_storemerge_2e_i11_2e_i1107__PHI_TEMPORARY;
  float llvm_cbe_tmp153;
  float llvm_cbe_tmp156;
  float llvm_cbe_tmp162;
  float llvm_cbe_tmp3_2e_i1044;
  float llvm_cbe_tmp8_2e_i1049;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i10661494__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i10691501__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1069150115021503_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i10721493__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i10751499__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i1016;
  float llvm_cbe_tmp11_2e_i1025;
  float *llvm_cbe_tmp176;
  float llvm_cbe_tmp177;
  float llvm_cbe_tmp184;
  float llvm_cbe_tmp195;
  float llvm_cbe_tmp3_2e_i979;
  float llvm_cbe_tmp8_2e_i984;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i10011480__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i10041487__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i1004148714881489_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i10071479__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i10101485__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i951;
  float llvm_cbe_tmp11_2e_i960;
  float *llvm_cbe_tmp209;
  float llvm_cbe_tmp210;
  float llvm_cbe_tmp217;
  float llvm_cbe_tmp219;
  float llvm_cbe_tmp5_2e_i940;
  float llvm_cbe_storemerge_2e_i944;
  float llvm_cbe_storemerge_2e_i944__PHI_TEMPORARY;
  float llvm_cbe_tmp232;
  float llvm_cbe_tmp236;
  float llvm_cbe_tmp237;
  float llvm_cbe_storemerge_2e_i_2e_i921_2e_reload1522;
  float llvm_cbe_storemerge_2e_i11_2e_i932;
  float llvm_cbe_storemerge_2e_i11_2e_i932__PHI_TEMPORARY;
  float llvm_cbe_tmp244;
  float llvm_cbe_tmp247;
  float llvm_cbe_tmp254;
  float llvm_cbe_tmp264;
  float llvm_cbe_tmp267;
  float llvm_cbe_tmp5_2e_i797;
  float llvm_cbe_storemerge_2e_i801;
  float llvm_cbe_storemerge_2e_i801__PHI_TEMPORARY;
  unsigned char llvm_cbe_tmp280;
  unsigned int *llvm_cbe_tmp282;
  unsigned int llvm_cbe_tmp283;
  float llvm_cbe_tmp3_2e_i753;
  float llvm_cbe_tmp6_2e_i756;
  float llvm_cbe_tmp10_2e_i760;
  float llvm_cbe_tmp13_2e_i763;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7791438__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7821445__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i782144514461447_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7851437__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7881443__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp303;
  llvmBitCastUnion llvm_cbe_tmp3071261__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3101265__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i695;
  float llvm_cbe_tmp6_2e_i698;
  float llvm_cbe_tmp10_2e_i702;
  float llvm_cbe_tmp13_2e_i705;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i7211424__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i7241431__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i724143114321433_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i7271423__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i7301429__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp326;
  llvmBitCastUnion llvm_cbe_tmp3301275__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3331279__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i594;
  float llvm_cbe_tmp10_2e_i601;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i6201396__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i6231403__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i623140314041405_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i6261395__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i6291401__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i545;
  float llvm_cbe_tmp10_2e_i552;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5711382__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5741389__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i574138913901391_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5771381__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5801387__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i5221368__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i5251375__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i525137513761377_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i5281367__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i5311373__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp369;
  llvmBitCastUnion llvm_cbe_tmp3731303__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3761307__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i477;
  unsigned int llvm_cbe_tmp380;
  float llvm_cbe_storemerge_2e_i_2e_i445_2e_reload1525;
  float llvm_cbe_storemerge_2e_i11_2e_i456;
  float llvm_cbe_storemerge_2e_i11_2e_i456__PHI_TEMPORARY;
  float llvm_cbe_tmp391;
  float llvm_cbe_tmp394;
  float llvm_cbe_tmp5_2e_i420;
  float llvm_cbe_storemerge_2e_i424;
  float llvm_cbe_storemerge_2e_i424__PHI_TEMPORARY;
  float llvm_cbe_storemerge_2e_i413;
  float llvm_cbe_tmp409;
  float llvm_cbe_tmp411;
  float llvm_cbe_tmp413;
  float llvm_cbe_storemerge_2e_i400;
  float llvm_cbe_tmp419;
  float llvm_cbe_storemerge_2e_i_2e_i375_2e_reload1528;
  float llvm_cbe_storemerge_2e_i11_2e_i386;
  float llvm_cbe_storemerge_2e_i11_2e_i386__PHI_TEMPORARY;
  float llvm_cbe_tmp423;
  float *llvm_cbe_tmp428;
  float llvm_cbe_tmp429;
  float llvm_cbe_tmp434;
  float llvm_cbe_storemerge_2e_i353;
  float llvm_cbe_tmp442;
  float llvm_cbe_tmp453;
  float llvm_cbe_tmp455;
  float llvm_cbe_storemerge_2e_i341;
  float llvm_cbe_tmp460;
  float llvm_cbe_storemerge_2e_i_2e_i_2e_reload1531;
  float llvm_cbe_storemerge_2e_i11_2e_i;
  float llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  float llvm_cbe_tmp464;
  float *llvm_cbe_tmp469;
  float llvm_cbe_tmp470;
  float llvm_cbe_tmp475;
  float llvm_cbe_storemerge_2e_i;
  float llvm_cbe_tmp483;
  float llvm_cbe_limitImpulse_2e_0;
  float llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY;
  float llvm_cbe_positionError_2e_0;
  float llvm_cbe_positionError_2e_0__PHI_TEMPORARY;
  float llvm_cbe_tmp490;
  float llvm_cbe_tmp3_2e_i281;
  float llvm_cbe_tmp8_2e_i286;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i3031354__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i3061361__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i306136113621363_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i3091353__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i3121359__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i253;
  float llvm_cbe_tmp11_2e_i262;
  float llvm_cbe_tmp505;
  float llvm_cbe_tmp512;
  float llvm_cbe_tmp523;
  float llvm_cbe_tmp3_2e_i217;
  float llvm_cbe_tmp8_2e_i222;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i2391340__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i2421347__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i242134713481349_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i2451339__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i2481345__BITCAST_TEMPORARY;
  float llvm_cbe_tmp2_2e_i190;
  float llvm_cbe_tmp11_2e_i199;
  float llvm_cbe_tmp538;
  float llvm_cbe_tmp545;
  float llvm_cbe_positionError_2e_1;
  float llvm_cbe_positionError_2e_1__PHI_TEMPORARY;

  llvm_cbe_tmp40 = *((&llvm_cbe_this->field0.field6));
  llvm_cbe_tmp44 = *((&llvm_cbe_this->field0.field7));
  llvm_cbe_tmp47 = *((&llvm_cbe_tmp40->field16));
  llvm_cbe_tmp50 = *((&llvm_cbe_tmp44->field16));
  llvm_cbe_tmp52 = (&llvm_cbe_tmp40->field18);
  llvm_cbe_tmp53 = *llvm_cbe_tmp52;
  llvm_cbe_tmp55 = (&llvm_cbe_tmp44->field18);
  llvm_cbe_tmp56 = *llvm_cbe_tmp55;
  llvm_cbe_tmp2_2e_i = (&llvm_cbe_this->field1.field1);
  llvm_cbe_tmp3_2e_i185 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_tmp40->field3.field0.field1);
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp9_2e_i = (&llvm_cbe_this->field1.field0);
  llvm_cbe_tmp10_2e_i = *llvm_cbe_tmp9_2e_i;
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_tmp40->field3.field0.field0);
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i133313341335_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i1326__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i - llvm_cbe_tmp13_2e_i))), llvm_cbe_tmp23_2e_i1326__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i1333__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i185 - llvm_cbe_tmp6_2e_i))), llvm_cbe_tmp26_2e_i1333__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp36.field0)) = ((llvm_cbe_tmp29_2e_i1325__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i133313341335_2e_ins)), llvm_cbe_tmp29_2e_i1325__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp36.field1)) = ((llvm_cbe_tmp32_2e_i1331__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i133313341335_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i1331__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp71 = (&llvm_cbe_tmp40->field2.field1);
  llvm_cbe_tmp72 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp71, (&llvm_cbe_tmp36));
  llvm_cbe_tmp2_2e_i642 = (&llvm_cbe_this->field2.field1);
  llvm_cbe_tmp3_2e_i643 = *llvm_cbe_tmp2_2e_i642;
  llvm_cbe_tmp5_2e_i645 = (&llvm_cbe_tmp44->field3.field0.field1);
  llvm_cbe_tmp6_2e_i646 = *llvm_cbe_tmp5_2e_i645;
  llvm_cbe_tmp9_2e_i649 = (&llvm_cbe_this->field2.field0);
  llvm_cbe_tmp10_2e_i650 = *llvm_cbe_tmp9_2e_i649;
  llvm_cbe_tmp12_2e_i652 = (&llvm_cbe_tmp44->field3.field0.field0);
  llvm_cbe_tmp13_2e_i653 = *llvm_cbe_tmp12_2e_i652;
  llvm_cbe_tmp26_2e_i672141714181419_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6691410__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i650 - llvm_cbe_tmp13_2e_i653))), llvm_cbe_tmp23_2e_i6691410__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6721417__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i643 - llvm_cbe_tmp6_2e_i646))), llvm_cbe_tmp26_2e_i6721417__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp33.field0)) = ((llvm_cbe_tmp29_2e_i6751409__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i672141714181419_2e_ins)), llvm_cbe_tmp29_2e_i6751409__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp33.field1)) = ((llvm_cbe_tmp32_2e_i6781415__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i672141714181419_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6781415__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp94 = (&llvm_cbe_tmp44->field2.field1);
  llvm_cbe_tmp95 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp94, (&llvm_cbe_tmp33));
  llvm_cbe_tmp2_2e_i815 = (&llvm_cbe_tmp40->field3.field2.field1);
  llvm_cbe_tmp3_2e_i816 = *llvm_cbe_tmp2_2e_i815;
  llvm_cbe_tmp9_2e_i822 = (&llvm_cbe_tmp40->field3.field2.field0);
  llvm_cbe_tmp10_2e_i823 = *llvm_cbe_tmp9_2e_i822;
  llvm_cbe_tmp26_2e_i845145914601461_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8421452__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i823 + ((llvm_cbe_tmp761191__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp72)), llvm_cbe_tmp761191__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i8421452__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8451459__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i816 + ((llvm_cbe_tmp791195__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp72) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp791195__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i8451459__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i864 = (&llvm_cbe_tmp44->field3.field2.field1);
  llvm_cbe_tmp3_2e_i865 = *llvm_cbe_tmp2_2e_i864;
  llvm_cbe_tmp9_2e_i871 = (&llvm_cbe_tmp44->field3.field2.field0);
  llvm_cbe_tmp10_2e_i872 = *llvm_cbe_tmp9_2e_i871;
  llvm_cbe_tmp26_2e_i894147314741475_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i8911466__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i872 + ((llvm_cbe_tmp991205__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp95)), llvm_cbe_tmp991205__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i8911466__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i8941473__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i865 + ((llvm_cbe_tmp1021209__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp95) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1021209__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i8941473__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i1171151515161517_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i11681508__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i8971465__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i894147314741475_2e_ins)), llvm_cbe_tmp29_2e_i8971465__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i8481451__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i845145914601461_2e_ins)), llvm_cbe_tmp29_2e_i8481451__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i11681508__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i11711515__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i9001471__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i894147314741475_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i9001471__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i8511457__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i845145914601461_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i8511457__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i11711515__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp138 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp71, ((&llvm_cbe_this->field4)));
  llvm_cbe_tmp15_2e_i1128 = ((float )((((float )(((llvm_cbe_tmp1421233__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp138)), llvm_cbe_tmp1421233__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp29_2e_i11741507__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i1171151515161517_2e_ins)), llvm_cbe_tmp29_2e_i11741507__BITCAST_TEMPORARY.Float))))) + (((float )(((llvm_cbe_tmp1451237__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp138) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp1451237__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp32_2e_i11771513__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i1171151515161517_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i11771513__BITCAST_TEMPORARY.Float)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i1128, 0x1.99999ap-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1102;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1102_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1102_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i1096_2e_reg2mem) = 0x1.99999ap-3;
  goto llvm_cbe_bb6_2e_i10_2e_i1106;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i1102:
  *(&llvm_cbe_storemerge_2e_i_2e_i1096_2e_reg2mem) = llvm_cbe_tmp15_2e_i1128;
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i1128, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i1107__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1110;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i1106;
  }

llvm_cbe_bb6_2e_i10_2e_i1106:
  llvm_cbe_storemerge_2e_i_2e_i1096_2e_reload1519 = *(&llvm_cbe_storemerge_2e_i_2e_i1096_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i1107__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i1096_2e_reload1519;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1110;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit1110:
  llvm_cbe_storemerge_2e_i11_2e_i1107 = llvm_cbe_storemerge_2e_i11_2e_i1107__PHI_TEMPORARY;
  llvm_cbe_tmp153 = *((&llvm_cbe_this->field7));
  llvm_cbe_tmp156 = ((float )(llvm_cbe_storemerge_2e_i11_2e_i1107 * (((float )(-(llvm_cbe_tmp153))))));
  llvm_cbe_tmp162 = ((float )(llvm_cbe_tmp47 * llvm_cbe_tmp156));
  llvm_cbe_tmp3_2e_i1044 = *((&llvm_cbe_this->field6.field0.field1));
  llvm_cbe_tmp8_2e_i1049 = *((&llvm_cbe_this->field6.field0.field0));
  llvm_cbe_tmp22_2e_i1069150115021503_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i10661494__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i1049 * llvm_cbe_tmp162))), llvm_cbe_tmp19_2e_i10661494__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i10691501__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i1044 * llvm_cbe_tmp162))), llvm_cbe_tmp22_2e_i10691501__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i1016 = *llvm_cbe_tmp9_2e_i822;
  *llvm_cbe_tmp9_2e_i822 = (((float )(llvm_cbe_tmp2_2e_i1016 + ((llvm_cbe_tmp25_2e_i10721493__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1069150115021503_2e_ins)), llvm_cbe_tmp25_2e_i10721493__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i1025 = *llvm_cbe_tmp2_2e_i815;
  *llvm_cbe_tmp2_2e_i815 = (((float )(llvm_cbe_tmp11_2e_i1025 + ((llvm_cbe_tmp28_2e_i10751499__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1069150115021503_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i10751499__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp176 = (&llvm_cbe_tmp40->field3.field4);
  llvm_cbe_tmp177 = *llvm_cbe_tmp176;
  llvm_cbe_tmp184 = *((&llvm_cbe_this->field6.field1));
  *llvm_cbe_tmp176 = (((float )(llvm_cbe_tmp177 + (((float )((((float )(llvm_cbe_tmp53 * llvm_cbe_tmp156))) * llvm_cbe_tmp184))))));
  llvm_cbe_tmp195 = ((float )(llvm_cbe_tmp50 * llvm_cbe_tmp156));
  llvm_cbe_tmp3_2e_i979 = *((&llvm_cbe_this->field6.field2.field1));
  llvm_cbe_tmp8_2e_i984 = *((&llvm_cbe_this->field6.field2.field0));
  llvm_cbe_tmp22_2e_i1004148714881489_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i10011480__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i984 * llvm_cbe_tmp195))), llvm_cbe_tmp19_2e_i10011480__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i10041487__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i979 * llvm_cbe_tmp195))), llvm_cbe_tmp22_2e_i10041487__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i951 = *llvm_cbe_tmp9_2e_i871;
  *llvm_cbe_tmp9_2e_i871 = (((float )(llvm_cbe_tmp2_2e_i951 + ((llvm_cbe_tmp25_2e_i10071479__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i1004148714881489_2e_ins)), llvm_cbe_tmp25_2e_i10071479__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i960 = *llvm_cbe_tmp2_2e_i864;
  *llvm_cbe_tmp2_2e_i864 = (((float )(llvm_cbe_tmp11_2e_i960 + ((llvm_cbe_tmp28_2e_i10101485__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i1004148714881489_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i10101485__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp209 = (&llvm_cbe_tmp44->field3.field4);
  llvm_cbe_tmp210 = *llvm_cbe_tmp209;
  llvm_cbe_tmp217 = *((&llvm_cbe_this->field6.field3));
  llvm_cbe_tmp219 = ((float )(llvm_cbe_tmp210 + (((float )((((float )(llvm_cbe_tmp56 * llvm_cbe_tmp156))) * llvm_cbe_tmp217)))));
  *llvm_cbe_tmp209 = llvm_cbe_tmp219;
  if ((llvm_fcmp_ule(llvm_cbe_storemerge_2e_i11_2e_i1107, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i941;
  } else {
    llvm_cbe_storemerge_2e_i944__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i11_2e_i1107;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit946;
  }

llvm_cbe_bb_2e_i941:
  llvm_cbe_tmp5_2e_i940 = ((float )(-(llvm_cbe_storemerge_2e_i11_2e_i1107)));
  llvm_cbe_storemerge_2e_i944__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i940;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit946;

llvm_cbe__Z5b2Absf_2e_exit946:
  llvm_cbe_storemerge_2e_i944 = llvm_cbe_storemerge_2e_i944__PHI_TEMPORARY;
  llvm_cbe_tmp232 = *llvm_cbe_tmp176;
  llvm_cbe_tmp236 = *((&llvm_cbe_this->field5));
  llvm_cbe_tmp237 = ((float )((((float )(llvm_cbe_tmp219 - llvm_cbe_tmp232))) - llvm_cbe_tmp236));
  if ((llvm_fcmp_olt(llvm_cbe_tmp237, 0x1.1df46cp-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i927;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i927_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i927_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i921_2e_reg2mem) = 0x1.1df46cp-3;
  goto llvm_cbe_bb6_2e_i10_2e_i931;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i927:
  *(&llvm_cbe_storemerge_2e_i_2e_i921_2e_reg2mem) = llvm_cbe_tmp237;
  if ((llvm_fcmp_olt(llvm_cbe_tmp237, -0x1.1df46cp-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i932__PHI_TEMPORARY = -0x1.1df46cp-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit935;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i931;
  }

llvm_cbe_bb6_2e_i10_2e_i931:
  llvm_cbe_storemerge_2e_i_2e_i921_2e_reload1522 = *(&llvm_cbe_storemerge_2e_i_2e_i921_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i932__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i921_2e_reload1522;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit935;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit935:
  llvm_cbe_storemerge_2e_i11_2e_i932 = llvm_cbe_storemerge_2e_i11_2e_i932__PHI_TEMPORARY;
  llvm_cbe_tmp244 = *((&llvm_cbe_this->field9));
  llvm_cbe_tmp247 = ((float )(llvm_cbe_storemerge_2e_i11_2e_i932 * (((float )(-(llvm_cbe_tmp244))))));
  llvm_cbe_tmp254 = *llvm_cbe_tmp52;
  *llvm_cbe_tmp176 = (((float )(llvm_cbe_tmp232 - (((float )(llvm_cbe_tmp254 * llvm_cbe_tmp247))))));
  llvm_cbe_tmp264 = *llvm_cbe_tmp209;
  llvm_cbe_tmp267 = *llvm_cbe_tmp55;
  *llvm_cbe_tmp209 = (((float )(llvm_cbe_tmp264 + (((float )(llvm_cbe_tmp267 * llvm_cbe_tmp247))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp40);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp44);
  if ((llvm_fcmp_ule(llvm_cbe_storemerge_2e_i11_2e_i932, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i798;
  } else {
    llvm_cbe_storemerge_2e_i801__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i11_2e_i932;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit803;
  }

llvm_cbe_bb_2e_i798:
  llvm_cbe_tmp5_2e_i797 = ((float )(-(llvm_cbe_storemerge_2e_i11_2e_i932)));
  llvm_cbe_storemerge_2e_i801__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i797;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit803;

llvm_cbe__Z5b2Absf_2e_exit803:
  llvm_cbe_storemerge_2e_i801 = llvm_cbe_storemerge_2e_i801__PHI_TEMPORARY;
  llvm_cbe_tmp280 = *((&llvm_cbe_this->field20));
  if ((llvm_cbe_tmp280 == ((unsigned char )0))) {
    llvm_cbe_positionError_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i944;   /* for PHI node */
    goto llvm_cbe_bb553;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp282 = (&llvm_cbe_this->field22);
  llvm_cbe_tmp283 = *llvm_cbe_tmp282;
  if ((llvm_cbe_tmp283 == 0u)) {
    llvm_cbe_positionError_2e_1__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i944;   /* for PHI node */
    goto llvm_cbe_bb553;
  } else {
    goto llvm_cbe_bb287;
  }

llvm_cbe_bb287:
  llvm_cbe_tmp3_2e_i753 = *llvm_cbe_tmp2_2e_i;
  llvm_cbe_tmp6_2e_i756 = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i760 = *llvm_cbe_tmp9_2e_i;
  llvm_cbe_tmp13_2e_i763 = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp26_2e_i782144514461447_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7791438__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i760 - llvm_cbe_tmp13_2e_i763))), llvm_cbe_tmp23_2e_i7791438__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7821445__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i753 - llvm_cbe_tmp6_2e_i756))), llvm_cbe_tmp26_2e_i7821445__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp22.field0)) = ((llvm_cbe_tmp29_2e_i7851437__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i782144514461447_2e_ins)), llvm_cbe_tmp29_2e_i7851437__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp22.field1)) = ((llvm_cbe_tmp32_2e_i7881443__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i782144514461447_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7881443__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp303 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp71, (&llvm_cbe_tmp22));
  llvm_cbe_tmp3_2e_i695 = *llvm_cbe_tmp2_2e_i642;
  llvm_cbe_tmp6_2e_i698 = *llvm_cbe_tmp5_2e_i645;
  llvm_cbe_tmp10_2e_i702 = *llvm_cbe_tmp9_2e_i649;
  llvm_cbe_tmp13_2e_i705 = *llvm_cbe_tmp12_2e_i652;
  llvm_cbe_tmp26_2e_i724143114321433_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i7211424__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i702 - llvm_cbe_tmp13_2e_i705))), llvm_cbe_tmp23_2e_i7211424__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i7241431__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i695 - llvm_cbe_tmp6_2e_i698))), llvm_cbe_tmp26_2e_i7241431__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_tmp19.field0)) = ((llvm_cbe_tmp29_2e_i7271423__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i724143114321433_2e_ins)), llvm_cbe_tmp29_2e_i7271423__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_tmp19.field1)) = ((llvm_cbe_tmp32_2e_i7301429__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i724143114321433_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i7301429__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp326 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp94, (&llvm_cbe_tmp19));
  llvm_cbe_tmp3_2e_i594 = *llvm_cbe_tmp2_2e_i815;
  llvm_cbe_tmp10_2e_i601 = *llvm_cbe_tmp9_2e_i822;
  llvm_cbe_tmp26_2e_i623140314041405_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i6201396__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i601 + ((llvm_cbe_tmp3071261__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp303)), llvm_cbe_tmp3071261__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i6201396__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i6231403__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i594 + ((llvm_cbe_tmp3101265__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp303) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3101265__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i6231403__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i545 = *llvm_cbe_tmp2_2e_i864;
  llvm_cbe_tmp10_2e_i552 = *llvm_cbe_tmp9_2e_i871;
  llvm_cbe_tmp26_2e_i574138913901391_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5711382__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i552 + ((llvm_cbe_tmp3301275__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp326)), llvm_cbe_tmp3301275__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5711382__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5741389__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i545 + ((llvm_cbe_tmp3331279__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp326) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3331279__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5741389__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i525137513761377_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i5221368__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i5771381__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i574138913901391_2e_ins)), llvm_cbe_tmp29_2e_i5771381__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp29_2e_i6261395__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i623140314041405_2e_ins)), llvm_cbe_tmp29_2e_i6261395__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i5221368__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i5251375__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i5801387__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i574138913901391_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5801387__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp32_2e_i6291401__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i623140314041405_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i6291401__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i5251375__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp369 = _Z5b2MulRK7b2Mat22RK6b2Vec2(llvm_cbe_tmp71, ((&llvm_cbe_this->field3)));
  llvm_cbe_tmp15_2e_i477 = ((float )((((float )(((llvm_cbe_tmp3731303__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp369)), llvm_cbe_tmp3731303__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp29_2e_i5281367__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i525137513761377_2e_ins)), llvm_cbe_tmp29_2e_i5281367__BITCAST_TEMPORARY.Float))))) + (((float )(((llvm_cbe_tmp3761307__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp369) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3761307__BITCAST_TEMPORARY.Float)) * ((llvm_cbe_tmp32_2e_i5311373__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i525137513761377_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i5311373__BITCAST_TEMPORARY.Float)))))));
  llvm_cbe_tmp380 = *llvm_cbe_tmp282;
  switch (llvm_cbe_tmp380) {
  default:
    llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    llvm_cbe_positionError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i944;   /* for PHI node */
    goto llvm_cbe_bb484;
;
  case 3u:
    goto llvm_cbe_bb384;
    break;
  case 1u:
    goto llvm_cbe_bb406;
  case 2u:
    goto llvm_cbe_bb450;
  }
llvm_cbe_bb384:
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i477, 0x1.99999ap-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i451;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i451_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i451_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i445_2e_reg2mem) = 0x1.99999ap-3;
  goto llvm_cbe_bb6_2e_i10_2e_i455;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i451:
  *(&llvm_cbe_storemerge_2e_i_2e_i445_2e_reg2mem) = llvm_cbe_tmp15_2e_i477;
  if ((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i477, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i456__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit459;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i455;
  }

llvm_cbe_bb6_2e_i10_2e_i455:
  llvm_cbe_storemerge_2e_i_2e_i445_2e_reload1525 = *(&llvm_cbe_storemerge_2e_i_2e_i445_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i456__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i445_2e_reload1525;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit459;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit459:
  llvm_cbe_storemerge_2e_i11_2e_i456 = llvm_cbe_storemerge_2e_i11_2e_i456__PHI_TEMPORARY;
  llvm_cbe_tmp391 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp394 = ((float )(llvm_cbe_storemerge_2e_i11_2e_i456 * (((float )(-(llvm_cbe_tmp391))))));
  if ((llvm_fcmp_ule(llvm_cbe_storemerge_2e_i11_2e_i932, 0x0p+0))) {
    goto llvm_cbe_bb_2e_i421;
  } else {
    llvm_cbe_storemerge_2e_i424__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i11_2e_i932;   /* for PHI node */
    goto llvm_cbe__Z5b2Absf_2e_exit;
  }

llvm_cbe_bb_2e_i421:
  llvm_cbe_tmp5_2e_i420 = ((float )(-(llvm_cbe_storemerge_2e_i11_2e_i932)));
  llvm_cbe_storemerge_2e_i424__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i420;   /* for PHI node */
  goto llvm_cbe__Z5b2Absf_2e_exit;

llvm_cbe__Z5b2Absf_2e_exit:
  llvm_cbe_storemerge_2e_i424 = llvm_cbe_storemerge_2e_i424__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i413 = (((llvm_fcmp_ogt(llvm_cbe_storemerge_2e_i944, llvm_cbe_storemerge_2e_i424))) ? (llvm_cbe_storemerge_2e_i944) : (llvm_cbe_storemerge_2e_i424));
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp394;   /* for PHI node */
  llvm_cbe_positionError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i413;   /* for PHI node */
  goto llvm_cbe_bb484;

llvm_cbe_bb406:
  llvm_cbe_tmp409 = *((&llvm_cbe_this->field16));
  llvm_cbe_tmp411 = ((float )(llvm_cbe_tmp15_2e_i477 - llvm_cbe_tmp409));
  llvm_cbe_tmp413 = ((float )(-(llvm_cbe_tmp411)));
  llvm_cbe_storemerge_2e_i400 = (((llvm_fcmp_ogt(llvm_cbe_storemerge_2e_i944, llvm_cbe_tmp413))) ? (llvm_cbe_storemerge_2e_i944) : (llvm_cbe_tmp413));
  llvm_cbe_tmp419 = ((float )(llvm_cbe_tmp411 + 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp419, 0x0p+0))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i381;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i381_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i381_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i375_2e_reg2mem) = 0x0p+0;
  goto llvm_cbe_bb6_2e_i10_2e_i385;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i381:
  *(&llvm_cbe_storemerge_2e_i_2e_i375_2e_reg2mem) = llvm_cbe_tmp419;
  if ((llvm_fcmp_olt(llvm_cbe_tmp419, -0x1.99999ap-3))) {
    llvm_cbe_storemerge_2e_i11_2e_i386__PHI_TEMPORARY = -0x1.99999ap-3;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit389;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i385;
  }

llvm_cbe_bb6_2e_i10_2e_i385:
  llvm_cbe_storemerge_2e_i_2e_i375_2e_reload1528 = *(&llvm_cbe_storemerge_2e_i_2e_i375_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i386__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i375_2e_reload1528;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit389;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit389:
  llvm_cbe_storemerge_2e_i11_2e_i386 = llvm_cbe_storemerge_2e_i11_2e_i386__PHI_TEMPORARY;
  llvm_cbe_tmp423 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp428 = (&llvm_cbe_this->field15);
  llvm_cbe_tmp429 = *llvm_cbe_tmp428;
  llvm_cbe_tmp434 = ((float )(llvm_cbe_tmp429 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i386 * (((float )(-(llvm_cbe_tmp423)))))))));
  llvm_cbe_storemerge_2e_i353 = (((llvm_fcmp_ogt(llvm_cbe_tmp434, 0x0p+0))) ? (llvm_cbe_tmp434) : (0x0p+0));
  *llvm_cbe_tmp428 = llvm_cbe_storemerge_2e_i353;
  llvm_cbe_tmp442 = ((float )(llvm_cbe_storemerge_2e_i353 - llvm_cbe_tmp429));
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp442;   /* for PHI node */
  llvm_cbe_positionError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i400;   /* for PHI node */
  goto llvm_cbe_bb484;

llvm_cbe_bb450:
  llvm_cbe_tmp453 = *((&llvm_cbe_this->field17));
  llvm_cbe_tmp455 = ((float )(llvm_cbe_tmp15_2e_i477 - llvm_cbe_tmp453));
  llvm_cbe_storemerge_2e_i341 = (((llvm_fcmp_ogt(llvm_cbe_storemerge_2e_i944, llvm_cbe_tmp455))) ? (llvm_cbe_storemerge_2e_i944) : (llvm_cbe_tmp455));
  llvm_cbe_tmp460 = ((float )(llvm_cbe_tmp455 - 0x1.47ae14p-8));
  if ((llvm_fcmp_olt(llvm_cbe_tmp460, 0x1.99999ap-3))) {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i;
  } else {
    goto llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread;
  }

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i_2e_thread:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = 0x1.99999ap-3;
  goto llvm_cbe_bb6_2e_i10_2e_i;

llvm_cbe__Z5b2MinIfET_S0_S0__2e_exit_2e_i:
  *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem) = llvm_cbe_tmp460;
  if ((llvm_fcmp_olt(llvm_cbe_tmp460, 0x0p+0))) {
    llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;
  } else {
    goto llvm_cbe_bb6_2e_i10_2e_i;
  }

llvm_cbe_bb6_2e_i10_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i_2e_reload1531 = *(&llvm_cbe_storemerge_2e_i_2e_i_2e_reg2mem);
  llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i_2e_i_2e_reload1531;   /* for PHI node */
  goto llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit;

llvm_cbe__Z7b2ClampIfET_S0_S0_S0__2e_exit:
  llvm_cbe_storemerge_2e_i11_2e_i = llvm_cbe_storemerge_2e_i11_2e_i__PHI_TEMPORARY;
  llvm_cbe_tmp464 = *((&llvm_cbe_this->field12));
  llvm_cbe_tmp469 = (&llvm_cbe_this->field15);
  llvm_cbe_tmp470 = *llvm_cbe_tmp469;
  llvm_cbe_tmp475 = ((float )(llvm_cbe_tmp470 + (((float )(llvm_cbe_storemerge_2e_i11_2e_i * (((float )(-(llvm_cbe_tmp464)))))))));
  llvm_cbe_storemerge_2e_i = (((llvm_fcmp_olt(llvm_cbe_tmp475, 0x0p+0))) ? (llvm_cbe_tmp475) : (0x0p+0));
  *llvm_cbe_tmp469 = llvm_cbe_storemerge_2e_i;
  llvm_cbe_tmp483 = ((float )(llvm_cbe_storemerge_2e_i - llvm_cbe_tmp470));
  llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY = llvm_cbe_tmp483;   /* for PHI node */
  llvm_cbe_positionError_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge_2e_i341;   /* for PHI node */
  goto llvm_cbe_bb484;

llvm_cbe_bb484:
  llvm_cbe_limitImpulse_2e_0 = llvm_cbe_limitImpulse_2e_0__PHI_TEMPORARY;
  llvm_cbe_positionError_2e_0 = llvm_cbe_positionError_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp490 = ((float )(llvm_cbe_tmp47 * llvm_cbe_limitImpulse_2e_0));
  llvm_cbe_tmp3_2e_i281 = *((&llvm_cbe_this->field11.field0.field1));
  llvm_cbe_tmp8_2e_i286 = *((&llvm_cbe_this->field11.field0.field0));
  llvm_cbe_tmp22_2e_i306136113621363_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i3031354__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i286 * llvm_cbe_tmp490))), llvm_cbe_tmp19_2e_i3031354__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i3061361__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i281 * llvm_cbe_tmp490))), llvm_cbe_tmp22_2e_i3061361__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i253 = *llvm_cbe_tmp9_2e_i822;
  *llvm_cbe_tmp9_2e_i822 = (((float )(llvm_cbe_tmp2_2e_i253 + ((llvm_cbe_tmp25_2e_i3091353__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i306136113621363_2e_ins)), llvm_cbe_tmp25_2e_i3091353__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i262 = *llvm_cbe_tmp2_2e_i815;
  *llvm_cbe_tmp2_2e_i815 = (((float )(llvm_cbe_tmp11_2e_i262 + ((llvm_cbe_tmp28_2e_i3121359__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i306136113621363_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i3121359__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp505 = *llvm_cbe_tmp176;
  llvm_cbe_tmp512 = *((&llvm_cbe_this->field11.field1));
  *llvm_cbe_tmp176 = (((float )(llvm_cbe_tmp505 + (((float )((((float )(llvm_cbe_tmp53 * llvm_cbe_limitImpulse_2e_0))) * llvm_cbe_tmp512))))));
  llvm_cbe_tmp523 = ((float )(llvm_cbe_tmp50 * llvm_cbe_limitImpulse_2e_0));
  llvm_cbe_tmp3_2e_i217 = *((&llvm_cbe_this->field11.field2.field1));
  llvm_cbe_tmp8_2e_i222 = *((&llvm_cbe_this->field11.field2.field0));
  llvm_cbe_tmp22_2e_i242134713481349_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i2391340__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i222 * llvm_cbe_tmp523))), llvm_cbe_tmp19_2e_i2391340__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i2421347__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i217 * llvm_cbe_tmp523))), llvm_cbe_tmp22_2e_i2421347__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp2_2e_i190 = *llvm_cbe_tmp9_2e_i871;
  *llvm_cbe_tmp9_2e_i871 = (((float )(llvm_cbe_tmp2_2e_i190 + ((llvm_cbe_tmp25_2e_i2451339__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i242134713481349_2e_ins)), llvm_cbe_tmp25_2e_i2451339__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp11_2e_i199 = *llvm_cbe_tmp2_2e_i864;
  *llvm_cbe_tmp2_2e_i864 = (((float )(llvm_cbe_tmp11_2e_i199 + ((llvm_cbe_tmp28_2e_i2481345__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i242134713481349_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i2481345__BITCAST_TEMPORARY.Float)))));
  llvm_cbe_tmp538 = *llvm_cbe_tmp209;
  llvm_cbe_tmp545 = *((&llvm_cbe_this->field11.field3));
  *llvm_cbe_tmp209 = (((float )(llvm_cbe_tmp538 + (((float )((((float )(llvm_cbe_tmp56 * llvm_cbe_limitImpulse_2e_0))) * llvm_cbe_tmp545))))));
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp40);
  _ZN6b2Body20SynchronizeTransformEv(llvm_cbe_tmp44);
  llvm_cbe_positionError_2e_1__PHI_TEMPORARY = llvm_cbe_positionError_2e_0;   /* for PHI node */
  goto llvm_cbe_bb553;

llvm_cbe_bb553:
  llvm_cbe_positionError_2e_1 = llvm_cbe_positionError_2e_1__PHI_TEMPORARY;
  return (((unsigned char )((((unsigned char )(bool )((((llvm_fcmp_ugt(llvm_cbe_positionError_2e_1, 0x1.47ae14p-8)) | (llvm_fcmp_ugt(llvm_cbe_storemerge_2e_i801, 0x1.1df46cp-5)))&1)))) ^ ((unsigned char )1))));
}


static struct l_struct_2E_b2Manifold *_ZN22b2PolyAndCircleContact12GetManifoldsEv(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  return ((&llvm_cbe_this->field1));
}


static void _ZN22b2PolyAndCircleContactD0Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  _ZdlPv(((&llvm_cbe_this->field0[((signed int )0u)])));
  return;
}


static void _ZN22b2PolyAndCircleContactD1Ev(struct l_struct_2E_b2CircleContact *llvm_cbe_this) {
  *(((unsigned int  (***) ())llvm_cbe_this)) = ((&_ZTV9b2Contact[((signed long long )2ull)]));
  return;
}


static void _ZN22b2PolyAndCircleContact8EvaluateEP17b2ContactListener(struct l_struct_2E_b2CircleContact *llvm_cbe_this, struct l_struct_2E_Os *llvm_cbe_listener) {
  unsigned long long llvm_cbe_retval_2e_i246_2e_1_2e_reg2mem;    /* Address-exposed local */
  unsigned long long llvm_cbe_retval_2e_i280_2e_1_2e_reg2mem;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_position_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_position1_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_d_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2Vec2 llvm_cbe_c_2e_i;    /* Address-exposed local */
  struct l_struct_2E_b2ContactPoint llvm_cbe_cp;    /* Address-exposed local */
  unsigned char llvm_cbe_persisted[2];    /* Address-exposed local */
  struct l_struct_2E_b2Manifold llvm_cbe_m0;    /* Address-exposed local */
  struct l_struct_2E_b2Contact *llvm_cbe_tmp2425;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp26;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp27;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i;
  struct l_struct_2E_b2Shape **llvm_cbe_tmp32;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp33;
  struct l_struct_2E_b2Body *llvm_cbe_tmp3_2e_i65;
  unsigned long long llvm_cbe_tmp_2e_i71_2e_0;
  unsigned long long llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp11_2e_i81;
  unsigned char *ltmp_38_1;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i86;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp45;
  struct l_struct_2E_b2CircleShape *llvm_cbe_tmp4546;
  struct l_struct_2E_b2XForm *llvm_cbe_tmp2_2e_i116;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp53;
  struct l_struct_2E_b2PolygonShape *llvm_cbe_tmp5354;
  unsigned int *llvm_cbe_tmp27_2e_i196;
  unsigned long long llvm_cbe_tmp31_2e_i200;
  float *llvm_cbe_tmp33_2e_i;
  llvmBitCastUnion llvm_cbe_tmp35_2e_i461__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp36_2e_i;
  llvmBitCastUnion llvm_cbe_tmp38_2e_i465__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp40_2e_i;
  float llvm_cbe_tmp44_2e_i468;
  llvmBitCastUnion llvm_cbe_tmp44_2e_i468__BITCAST_TEMPORARY;
  float llvm_cbe_tmp47_2e_i472;
  llvmBitCastUnion llvm_cbe_tmp47_2e_i472__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i_2e_i201;
  unsigned int llvm_cbe_tmp3_2e_i116_2e_i;
  unsigned long long llvm_cbe_tmp5758_2e_i;
  float llvm_cbe_tmp6_2e_i513_2e_i;
  float llvm_cbe_tmp13_2e_i520_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i536_2e_i687__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i539_2e_i694__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i539_2e_i694695696_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp64_2e_i475__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp67_2e_i479__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i646_2e_i;
  float llvm_cbe_tmp10_2e_i653_2e_i;
  float llvm_cbe_tmp15_2e_i658_2e_i;
  float llvm_cbe_separation_2e_i_2e_0;
  unsigned int llvm_cbe_normalIndex_2e_i_2e_0;
  unsigned int llvm_cbe_tmp88_2e_i;
  float llvm_cbe_separation_2e_i_2e_1;
  float llvm_cbe_separation_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_normalIndex_2e_i_2e_1;
  unsigned int llvm_cbe_normalIndex_2e_i_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge_2e_i203;
  unsigned int llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp109_2e_i;
  llvmBitCastUnion llvm_cbe_tmp115_2e_i482__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp116_2e_i;
  llvmBitCastUnion llvm_cbe_tmp118_2e_i486__BITCAST_TEMPORARY;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp124_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp125126_2e_i;
  float llvm_cbe_tmp3_2e_i608_2e_i;
  float llvm_cbe_tmp8_2e_i613_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i630_2e_i715__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i633_2e_i722__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i633_2e_i722723724_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i636_2e_i714__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i639_2e_i720__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i559_2e_i;
  float llvm_cbe_tmp10_2e_i566_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i585_2e_i701__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i588_2e_i708__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i588_2e_i708709710_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i591_2e_i700__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i594_2e_i706__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp169_2e_i;
  llvmBitCastUnion llvm_cbe_tmp177_2e_i503__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp180_2e_i507__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp182_2e_i;
  llvmBitCastUnion llvm_cbe_tmp190_2e_i510__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp193_2e_i514__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp204_2e_i;
  unsigned int llvm_cbe_storemerge72_2e_i;
  unsigned long long llvm_cbe_tmp216217_2e_i;
  unsigned long long llvm_cbe_tmp220221_2e_i;
  float llvm_cbe_tmp3_2e_i458_2e_i;
  float *llvm_cbe_tmp5_2e_i460_2e_i;
  float llvm_cbe_tmp6_2e_i461_2e_i;
  float llvm_cbe_tmp10_2e_i465_2e_i;
  float *llvm_cbe_tmp12_2e_i467_2e_i;
  float llvm_cbe_tmp13_2e_i468_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i484_2e_i673__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i487_2e_i680__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i487_2e_i680681682_2e_ins;
  float llvm_cbe_tmp29_2e_i490_2e_i672;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i490_2e_i672__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i493_2e_i678;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i493_2e_i678__BITCAST_TEMPORARY;
  float llvm_cbe_tmp16_2e_i_2e_i421_2e_i;
  float llvm_cbe_tmp8_2e_i426_2e_i;
  float llvm_cbe_tmp13_2e_i431_2e_i;
  float llvm_cbe_tmp20_2e_i438_2e_i;
  float llvm_cbe_tmp6_2e_i367_2e_i;
  float llvm_cbe_tmp13_2e_i374_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i390_2e_i659__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i393_2e_i666__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i393_2e_i666667668_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i396_2e_i658__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i399_2e_i664__BITCAST_TEMPORARY;
  float llvm_cbe_tmp15_2e_i351_2e_i;
  float llvm_cbe_tmp265_2e_i;
  float llvm_cbe_tmp268_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp279280_2e_i;
  float llvm_cbe_tmp304_2e_i;
  float llvm_cbe_tmp307_2e_i;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp318319_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i323_2e_i645__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i326_2e_i652__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i326_2e_i652653654_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i329_2e_i644__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i332_2e_i650__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i278_2e_i631__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i281_2e_i638__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i281_2e_i638639640_2e_ins;
  float llvm_cbe_tmp29_2e_i284_2e_i630;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i284_2e_i630__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i287_2e_i636;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i287_2e_i636__BITCAST_TEMPORARY;
  struct l_struct_2E__2E_0Features *llvm_cbe_tmp358359_2e_i;
  float llvm_cbe_p_2e_i_2e_0_2e_0;
  float llvm_cbe_p_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  float llvm_cbe_p_2e_i_2e_1_2e_0;
  float llvm_cbe_p_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i229_2e_i617__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i232_2e_i624__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i232_2e_i624625626_2e_ins;
  float llvm_cbe_tmp29_2e_i235_2e_i616;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i235_2e_i616__BITCAST_TEMPORARY;
  float llvm_cbe_tmp32_2e_i238_2e_i622;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i238_2e_i622__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp371_2e_i;
  float *llvm_cbe_tmp374_2e_i;
  float llvm_cbe_tmp16_2e_i_2e_i_2e_i;
  float llvm_cbe_tmp8_2e_i175_2e_i;
  float llvm_cbe_tmp11_2e_i178_2e_i;
  float llvm_cbe_tmp18_2e_i185_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i;
  float llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp388_2e_i;
  llvmBitCastUnion llvm_cbe_tmp394_2e_i552__BITCAST_TEMPORARY;
  float llvm_cbe_tmp397_2e_i556;
  llvmBitCastUnion llvm_cbe_tmp397_2e_i556__BITCAST_TEMPORARY;
  float llvm_cbe_tmp8_2e_i137_2e_i;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i154_2e_i603__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i157_2e_i610__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i157_2e_i610611612_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i160_2e_i602__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i163_2e_i608__BITCAST_TEMPORARY;
  float llvm_cbe_tmp3_2e_i120_2e_i;
  float llvm_cbe_tmp10_2e_i_2e_i;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i_2e_i589__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i_2e_i596__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i_2e_i596597598_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i_2e_i588__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i_2e_i594__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp418_2e_i;
  llvmBitCastUnion llvm_cbe_tmp426_2e_i573__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp429_2e_i577__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp431_2e_i;
  llvmBitCastUnion llvm_cbe_tmp439_2e_i580__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp442_2e_i584__BITCAST_TEMPORARY;
  struct l_struct_2E___mbstate_t_3A__3A__2E__54 *llvm_cbe_tmp453_2e_i;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp67;
  struct l_struct_2E_b2Shape *llvm_cbe_tmp73;
  float llvm_cbe_tmp79;
  float llvm_cbe_tmp85;
  unsigned int *llvm_cbe_tmp89;
  unsigned int llvm_cbe_tmp90;
  unsigned int *llvm_cbe_tmp232;
  float *llvm_cbe_tmp159;
  float *llvm_cbe_tmp162;
  float *llvm_cbe_tmp190;
  float *llvm_cbe_tmp193;
  float *llvm_cbe_tmp200;
  float *llvm_cbe_tmp203;
  float *llvm_cbe_tmp206;
  float *llvm_cbe_tmp209;
  float *llvm_cbe_tmp215;
  unsigned int *llvm_cbe_tmp217;
  unsigned int  (***llvm_cbe_tmp221) ();
  unsigned long long llvm_cbe_tmp9899;
  float *llvm_cbe_tmp104;
  unsigned int llvm_cbe_tmp109;
  unsigned int llvm_cbe_tmp233;
  unsigned long long llvm_cbe_tmp114115;
  unsigned char *llvm_cbe_tmp116;
  unsigned char llvm_cbe_tmp117;
  unsigned int llvm_cbe_tmp128;
  float llvm_cbe_tmp140;
  float llvm_cbe_tmp145;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp154;
  unsigned long long llvm_cbe_tmp5_2e_i255;
  llvmBitCastUnion llvm_cbe_tmp161328__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp164332__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp168;
  llvmBitCastUnion llvm_cbe_tmp172335__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp175339__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp179;
  llvmBitCastUnion llvm_cbe_tmp183342__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp186346__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i313771__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i316778__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i316778779780_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp192349__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp195353__BITCAST_TEMPORARY;
  float llvm_cbe_tmp201;
  float llvm_cbe_tmp204;
  float llvm_cbe_tmp214;
  unsigned int  (**llvm_cbe_tmp222) ();
  unsigned int  (*llvm_cbe_tmp224) ();
  unsigned long long llvm_cbe_retval_2e_i246_2e_0;
  unsigned long long llvm_cbe_retval_2e_i246_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i280_2e_0;
  unsigned long long llvm_cbe_retval_2e_i280_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp230;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  struct l_struct_2E_b2Vec2 *llvm_cbe_tmp250;
  unsigned long long llvm_cbe_tmp5_2e_i224;
  llvmBitCastUnion llvm_cbe_tmp257356__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp260360__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp264;
  llvmBitCastUnion llvm_cbe_tmp268363__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp271367__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp275;
  llvmBitCastUnion llvm_cbe_tmp279370__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp282374__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i156449__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i159456__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i159456457458_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp288377__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp291381__BITCAST_TEMPORARY;
  float llvm_cbe_tmp297;
  float llvm_cbe_tmp300;
  float llvm_cbe_tmp310;
  unsigned int  (**llvm_cbe_tmp318) ();
  unsigned int  (*llvm_cbe_tmp320) ();
  unsigned long long llvm_cbe_retval_2e_i123_2e_0;
  unsigned long long llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i215_2e_0;
  unsigned long long llvm_cbe_retval_2e_i215_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp325;
  unsigned long long llvm_cbe_retval_2e_i280_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i246_2e_1_2e_reload;
  unsigned long long llvm_cbe_retval_2e_i280_2e_2;
  unsigned long long llvm_cbe_retval_2e_i280_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i246_2e_2;
  unsigned long long llvm_cbe_retval_2e_i246_2e_2__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i123_2e_1;
  unsigned long long llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY;
  unsigned long long llvm_cbe_retval_2e_i215_2e_1;
  unsigned long long llvm_cbe_retval_2e_i215_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge45;
  unsigned int llvm_cbe_storemerge45__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp330;
  unsigned int *llvm_cbe_tmp444;
  float *llvm_cbe_tmp369;
  float *llvm_cbe_tmp372;
  float *llvm_cbe_tmp400;
  float *llvm_cbe_tmp403;
  float *llvm_cbe_tmp408;
  float *llvm_cbe_tmp411;
  float *llvm_cbe_tmp414;
  float *llvm_cbe_tmp417;
  float *llvm_cbe_tmp423;
  unsigned int *llvm_cbe_tmp430;
  unsigned int  (***llvm_cbe_tmp434) ();
  unsigned long long llvm_cbe_tmp352353;
  unsigned char llvm_cbe_tmp355;
  unsigned long long llvm_cbe_tmp5_2e_i96;
  llvmBitCastUnion llvm_cbe_tmp371384__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp374388__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp378;
  llvmBitCastUnion llvm_cbe_tmp382391__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp385395__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp389;
  llvmBitCastUnion llvm_cbe_tmp393398__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp396402__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i414__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i421__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i421422423_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp402405__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp405409__BITCAST_TEMPORARY;
  float llvm_cbe_tmp409;
  float llvm_cbe_tmp412;
  float llvm_cbe_tmp422;
  unsigned int llvm_cbe_tmp428;
  unsigned int  (**llvm_cbe_tmp435) ();
  unsigned int  (*llvm_cbe_tmp437) ();
  unsigned int llvm_cbe_tmp442;
  unsigned int llvm_cbe_storemerge46;
  unsigned int llvm_cbe_storemerge46__PHI_TEMPORARY;
  unsigned int llvm_cbe_tmp445;

  llvm_cbe_tmp2425 = ((struct l_struct_2E_b2Contact *)llvm_cbe_this);
  llvm_cbe_tmp26 = (&llvm_cbe_tmp2425->field7);
  llvm_cbe_tmp27 = *llvm_cbe_tmp26;
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_tmp27->field3));
  llvm_cbe_tmp32 = (&llvm_cbe_tmp2425->field8);
  llvm_cbe_tmp33 = *llvm_cbe_tmp32;
  llvm_cbe_tmp3_2e_i65 = *((&llvm_cbe_tmp33->field3));
  llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY = 1ull;   /* for PHI node */
  goto llvm_cbe_bb_2e_i;

  do {     /* Syntactic loop 'bb.i' to make GCC happy */
llvm_cbe_bb_2e_i:
  llvm_cbe_tmp_2e_i71_2e_0 = llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp11_2e_i81 = llvm_cbe_tmp_2e_i71_2e_0 + 18446744073709551615ull;
  if ((llvm_cbe_tmp11_2e_i81 == 18446744073709551615ull)) {
    goto llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit;
  } else {
    llvm_cbe_tmp_2e_i71_2e_0__PHI_TEMPORARY = llvm_cbe_tmp11_2e_i81;   /* for PHI node */
    goto llvm_cbe_bb_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb.i' */
llvm_cbe__ZN10b2ManifoldC1Ev_2e_exit:
  ltmp_38_1 = memcpy((((unsigned char *)(&llvm_cbe_m0))), (((unsigned char *)((&llvm_cbe_this->field1)))), 76ull);
  llvm_cbe_tmp2_2e_i86 = (&llvm_cbe_tmp3_2e_i65->field2);
  llvm_cbe_tmp45 = *llvm_cbe_tmp32;
  llvm_cbe_tmp4546 = ((struct l_struct_2E_b2CircleShape *)llvm_cbe_tmp45);
  llvm_cbe_tmp2_2e_i116 = (&llvm_cbe_tmp3_2e_i->field2);
  llvm_cbe_tmp53 = *llvm_cbe_tmp26;
  llvm_cbe_tmp5354 = ((struct l_struct_2E_b2PolygonShape *)llvm_cbe_tmp53);
  llvm_cbe_tmp27_2e_i196 = (&llvm_cbe_this->field1.field2);
  *llvm_cbe_tmp27_2e_i196 = 0u;
  llvm_cbe_tmp31_2e_i200 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i86, ((&llvm_cbe_tmp4546->field1)));
  llvm_cbe_tmp33_2e_i = (&llvm_cbe_c_2e_i.field0);
  *llvm_cbe_tmp33_2e_i = ((llvm_cbe_tmp35_2e_i461__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp31_2e_i200)), llvm_cbe_tmp35_2e_i461__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp36_2e_i = (&llvm_cbe_c_2e_i.field1);
  *llvm_cbe_tmp36_2e_i = ((llvm_cbe_tmp38_2e_i465__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp31_2e_i200) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp38_2e_i465__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp40_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, (&llvm_cbe_c_2e_i));
  llvm_cbe_tmp44_2e_i468 = (llvm_cbe_tmp44_2e_i468__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp40_2e_i)), llvm_cbe_tmp44_2e_i468__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp47_2e_i472 = (llvm_cbe_tmp47_2e_i472__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp40_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp47_2e_i472__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp3_2e_i_2e_i201 = *((&llvm_cbe_tmp4546->field2));
  llvm_cbe_tmp3_2e_i116_2e_i = *((&llvm_cbe_tmp5354->field6));
  llvm_cbe_separation_2e_i_2e_1__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_normalIndex_2e_i_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb89_2e_i;

  do {     /* Syntactic loop 'bb89.i' to make GCC happy */
llvm_cbe_bb89_2e_i:
  llvm_cbe_separation_2e_i_2e_1 = llvm_cbe_separation_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_normalIndex_2e_i_2e_1 = llvm_cbe_normalIndex_2e_i_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge_2e_i203 = llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge_2e_i203) < ((signed int )llvm_cbe_tmp3_2e_i116_2e_i))) {
    goto llvm_cbe_bb_2e_i202;
  } else {
    goto llvm_cbe_bb95_2e_i;
  }

llvm_cbe_bb77_2e_i:
  llvm_cbe_separation_2e_i_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i658_2e_i, llvm_cbe_separation_2e_i_2e_1))) ? (llvm_cbe_tmp15_2e_i658_2e_i) : (llvm_cbe_separation_2e_i_2e_1));
  llvm_cbe_normalIndex_2e_i_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i658_2e_i, llvm_cbe_separation_2e_i_2e_1))) ? (llvm_cbe_storemerge_2e_i203) : (llvm_cbe_normalIndex_2e_i_2e_1));
  llvm_cbe_tmp88_2e_i = llvm_cbe_storemerge_2e_i203 + 1u;
  llvm_cbe_separation_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_separation_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_normalIndex_2e_i_2e_1__PHI_TEMPORARY = llvm_cbe_normalIndex_2e_i_2e_0;   /* for PHI node */
  llvm_cbe_storemerge_2e_i203__PHI_TEMPORARY = llvm_cbe_tmp88_2e_i;   /* for PHI node */
  goto llvm_cbe_bb89_2e_i;

llvm_cbe_bb_2e_i202:
  llvm_cbe_tmp5758_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge_2e_i203);
  llvm_cbe_tmp6_2e_i513_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp5758_2e_i)].field1));
  llvm_cbe_tmp13_2e_i520_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp5758_2e_i)].field0));
  llvm_cbe_tmp26_2e_i539_2e_i694695696_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i536_2e_i687__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp44_2e_i468 - llvm_cbe_tmp13_2e_i520_2e_i))), llvm_cbe_tmp23_2e_i536_2e_i687__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i539_2e_i694__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp47_2e_i472 - llvm_cbe_tmp6_2e_i513_2e_i))), llvm_cbe_tmp26_2e_i539_2e_i694__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i646_2e_i = *((&llvm_cbe_tmp5354->field4[((signed long long )llvm_cbe_tmp5758_2e_i)].field0));
  llvm_cbe_tmp10_2e_i653_2e_i = *((&llvm_cbe_tmp5354->field4[((signed long long )llvm_cbe_tmp5758_2e_i)].field1));
  llvm_cbe_tmp15_2e_i658_2e_i = ((float )((((float )(llvm_cbe_tmp3_2e_i646_2e_i * ((llvm_cbe_tmp64_2e_i475__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i539_2e_i694695696_2e_ins)), llvm_cbe_tmp64_2e_i475__BITCAST_TEMPORARY.Float))))) + (((float )(llvm_cbe_tmp10_2e_i653_2e_i * ((llvm_cbe_tmp67_2e_i479__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i539_2e_i694695696_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp67_2e_i479__BITCAST_TEMPORARY.Float)))))));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i658_2e_i, llvm_cbe_tmp3_2e_i_2e_i201))) {
    goto llvm_cbe__Z25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6__2e_exit;
  } else {
    goto llvm_cbe_bb77_2e_i;
  }

  } while (1); /* end of syntactic loop 'bb89.i' */
llvm_cbe_bb95_2e_i:
  if ((llvm_fcmp_olt(llvm_cbe_separation_2e_i_2e_1, 0x1p-23))) {
    goto llvm_cbe_bb100_2e_i;
  } else {
    goto llvm_cbe_bb201_2e_i;
  }

llvm_cbe_bb100_2e_i:
  *llvm_cbe_tmp27_2e_i196 = 1u;
  llvm_cbe_tmp109_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp3_2e_i->field2.field1)), ((&llvm_cbe_tmp5354->field4[((signed long long )(((signed long long )(signed int )llvm_cbe_normalIndex_2e_i_2e_1)))])));
  *((&llvm_cbe_this->field1.field1.field0)) = ((llvm_cbe_tmp115_2e_i482__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp109_2e_i)), llvm_cbe_tmp115_2e_i482__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp116_2e_i = (&llvm_cbe_this->field1.field1.field1);
  *llvm_cbe_tmp116_2e_i = ((llvm_cbe_tmp118_2e_i486__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp109_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp118_2e_i486__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp124_2e_i = (&llvm_cbe_this->field1.field0[((signed int )0u)].field5);
  llvm_cbe_tmp125126_2e_i = ((struct l_struct_2E__2E_0Features *)llvm_cbe_tmp124_2e_i);
  *((&llvm_cbe_tmp125126_2e_i->field1)) = (((unsigned char )llvm_cbe_normalIndex_2e_i_2e_1));
  *((&llvm_cbe_tmp125126_2e_i->field2)) = ((unsigned char )-1);
  *(((unsigned char *)llvm_cbe_tmp124_2e_i)) = ((unsigned char )0);
  *((&llvm_cbe_tmp125126_2e_i->field3)) = ((unsigned char )0);
  llvm_cbe_tmp3_2e_i608_2e_i = *llvm_cbe_tmp116_2e_i;
  llvm_cbe_tmp8_2e_i613_2e_i = *((&llvm_cbe_this->field1.field1.field0));
  llvm_cbe_tmp22_2e_i633_2e_i722723724_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i630_2e_i715__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i613_2e_i * llvm_cbe_tmp3_2e_i_2e_i201))), llvm_cbe_tmp19_2e_i630_2e_i715__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i633_2e_i722__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i608_2e_i * llvm_cbe_tmp3_2e_i_2e_i201))), llvm_cbe_tmp22_2e_i633_2e_i722__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i559_2e_i = *llvm_cbe_tmp36_2e_i;
  llvm_cbe_tmp10_2e_i566_2e_i = *llvm_cbe_tmp33_2e_i;
  llvm_cbe_tmp26_2e_i588_2e_i708709710_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i585_2e_i701__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i566_2e_i - ((llvm_cbe_tmp25_2e_i636_2e_i714__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i633_2e_i722723724_2e_ins)), llvm_cbe_tmp25_2e_i636_2e_i714__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i585_2e_i701__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i588_2e_i708__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i559_2e_i - ((llvm_cbe_tmp28_2e_i639_2e_i720__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i633_2e_i722723724_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i639_2e_i720__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i588_2e_i708__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_position_2e_i.field0)) = ((llvm_cbe_tmp29_2e_i591_2e_i700__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i588_2e_i708709710_2e_ins)), llvm_cbe_tmp29_2e_i591_2e_i700__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_position_2e_i.field1)) = ((llvm_cbe_tmp32_2e_i594_2e_i706__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i588_2e_i708709710_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i594_2e_i706__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp169_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, (&llvm_cbe_position_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field0)) = ((llvm_cbe_tmp177_2e_i503__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp169_2e_i)), llvm_cbe_tmp177_2e_i503__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field1)) = ((llvm_cbe_tmp180_2e_i507__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp169_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp180_2e_i507__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp182_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i86, (&llvm_cbe_position_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field0)) = ((llvm_cbe_tmp190_2e_i510__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp182_2e_i)), llvm_cbe_tmp190_2e_i510__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field1)) = ((llvm_cbe_tmp193_2e_i514__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp182_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp193_2e_i514__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field2)) = (((float )(llvm_cbe_separation_2e_i_2e_1 - llvm_cbe_tmp3_2e_i_2e_i201)));
  goto llvm_cbe__Z25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6__2e_exit;

llvm_cbe_bb201_2e_i:
  llvm_cbe_tmp204_2e_i = llvm_cbe_normalIndex_2e_i_2e_1 + 1u;
  llvm_cbe_storemerge72_2e_i = (((((signed int )llvm_cbe_tmp204_2e_i) < ((signed int )llvm_cbe_tmp3_2e_i116_2e_i))) ? (llvm_cbe_tmp204_2e_i) : (0u));
  llvm_cbe_tmp216217_2e_i = ((signed long long )(signed int )llvm_cbe_normalIndex_2e_i_2e_1);
  llvm_cbe_tmp220221_2e_i = ((signed long long )(signed int )llvm_cbe_storemerge72_2e_i);
  llvm_cbe_tmp3_2e_i458_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp220221_2e_i)].field1));
  llvm_cbe_tmp5_2e_i460_2e_i = (&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp216217_2e_i)].field1);
  llvm_cbe_tmp6_2e_i461_2e_i = *llvm_cbe_tmp5_2e_i460_2e_i;
  llvm_cbe_tmp10_2e_i465_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp220221_2e_i)].field0));
  llvm_cbe_tmp12_2e_i467_2e_i = (&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp216217_2e_i)].field0);
  llvm_cbe_tmp13_2e_i468_2e_i = *llvm_cbe_tmp12_2e_i467_2e_i;
  llvm_cbe_tmp26_2e_i487_2e_i680681682_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i484_2e_i673__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i465_2e_i - llvm_cbe_tmp13_2e_i468_2e_i))), llvm_cbe_tmp23_2e_i484_2e_i673__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i487_2e_i680__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i458_2e_i - llvm_cbe_tmp6_2e_i461_2e_i))), llvm_cbe_tmp26_2e_i487_2e_i680__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i490_2e_i672 = (llvm_cbe_tmp29_2e_i490_2e_i672__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i487_2e_i680681682_2e_ins)), llvm_cbe_tmp29_2e_i490_2e_i672__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i493_2e_i678 = (llvm_cbe_tmp32_2e_i493_2e_i678__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i487_2e_i680681682_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i493_2e_i678__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp16_2e_i_2e_i421_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i490_2e_i672 * llvm_cbe_tmp29_2e_i490_2e_i672))) + (((float )(llvm_cbe_tmp32_2e_i493_2e_i678 * llvm_cbe_tmp32_2e_i493_2e_i678)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i421_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb236_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i442_2e_i;
  }

llvm_cbe_bb6_2e_i442_2e_i:
  llvm_cbe_tmp8_2e_i426_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i421_2e_i));
  llvm_cbe_tmp13_2e_i431_2e_i = ((float )(llvm_cbe_tmp29_2e_i490_2e_i672 * llvm_cbe_tmp8_2e_i426_2e_i));
  llvm_cbe_tmp20_2e_i438_2e_i = ((float )(llvm_cbe_tmp32_2e_i493_2e_i678 * llvm_cbe_tmp8_2e_i426_2e_i));
  if ((llvm_fcmp_ule(llvm_cbe_tmp16_2e_i_2e_i421_2e_i, 0x1p-23))) {
    goto llvm_cbe_bb236_2e_i;
  } else {
    goto llvm_cbe_bb240_2e_i;
  }

llvm_cbe_bb236_2e_i:
  __assert_fail(((&_2E_str8133[((signed long long )0ull)])), ((&_2E_str1292[((signed long long )0ull)])), 129u, ((&_ZZ25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb240_2e_i:
  llvm_cbe_tmp6_2e_i367_2e_i = *llvm_cbe_tmp5_2e_i460_2e_i;
  llvm_cbe_tmp13_2e_i374_2e_i = *llvm_cbe_tmp12_2e_i467_2e_i;
  llvm_cbe_tmp26_2e_i393_2e_i666667668_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i390_2e_i659__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp44_2e_i468 - llvm_cbe_tmp13_2e_i374_2e_i))), llvm_cbe_tmp23_2e_i390_2e_i659__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i393_2e_i666__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp47_2e_i472 - llvm_cbe_tmp6_2e_i367_2e_i))), llvm_cbe_tmp26_2e_i393_2e_i666__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp15_2e_i351_2e_i = ((float )((((float )(((llvm_cbe_tmp29_2e_i396_2e_i658__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i393_2e_i666667668_2e_ins)), llvm_cbe_tmp29_2e_i396_2e_i658__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp13_2e_i431_2e_i))) + (((float )(((llvm_cbe_tmp32_2e_i399_2e_i664__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i393_2e_i666667668_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i399_2e_i664__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp20_2e_i438_2e_i)))));
  if ((llvm_fcmp_ugt(llvm_cbe_tmp15_2e_i351_2e_i, 0x0p+0))) {
    goto llvm_cbe_bb291_2e_i;
  } else {
    goto llvm_cbe_bb258_2e_i;
  }

llvm_cbe_bb258_2e_i:
  llvm_cbe_tmp265_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp216217_2e_i)].field0));
  llvm_cbe_tmp268_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp216217_2e_i)].field1));
  llvm_cbe_tmp279280_2e_i = ((struct l_struct_2E__2E_0Features *)((&llvm_cbe_this->field1.field0[((signed int )0u)].field5)));
  *((&llvm_cbe_tmp279280_2e_i->field1)) = ((unsigned char )-1);
  *((&llvm_cbe_tmp279280_2e_i->field2)) = (((unsigned char )llvm_cbe_normalIndex_2e_i_2e_1));
  llvm_cbe_p_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp265_2e_i;   /* for PHI node */
  llvm_cbe_p_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp268_2e_i;   /* for PHI node */
  goto llvm_cbe_bb368_2e_i;

llvm_cbe_bb291_2e_i:
  if ((llvm_fcmp_ult(llvm_cbe_tmp15_2e_i351_2e_i, llvm_cbe_tmp16_2e_i_2e_i421_2e_i))) {
    goto llvm_cbe_bb330_2e_i;
  } else {
    goto llvm_cbe_bb297_2e_i;
  }

llvm_cbe_bb297_2e_i:
  llvm_cbe_tmp304_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp220221_2e_i)].field0));
  llvm_cbe_tmp307_2e_i = *((&llvm_cbe_tmp5354->field3[((signed long long )llvm_cbe_tmp220221_2e_i)].field1));
  llvm_cbe_tmp318319_2e_i = ((struct l_struct_2E__2E_0Features *)((&llvm_cbe_this->field1.field0[((signed int )0u)].field5)));
  *((&llvm_cbe_tmp318319_2e_i->field1)) = ((unsigned char )-1);
  *((&llvm_cbe_tmp318319_2e_i->field2)) = (((unsigned char )llvm_cbe_storemerge72_2e_i));
  llvm_cbe_p_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp304_2e_i;   /* for PHI node */
  llvm_cbe_p_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp307_2e_i;   /* for PHI node */
  goto llvm_cbe_bb368_2e_i;

llvm_cbe_bb330_2e_i:
  llvm_cbe_tmp22_2e_i326_2e_i652653654_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i323_2e_i645__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i431_2e_i * llvm_cbe_tmp15_2e_i351_2e_i))), llvm_cbe_tmp19_2e_i323_2e_i645__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i326_2e_i652__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp20_2e_i438_2e_i * llvm_cbe_tmp15_2e_i351_2e_i))), llvm_cbe_tmp22_2e_i326_2e_i652__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i281_2e_i638639640_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i278_2e_i631__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i374_2e_i + ((llvm_cbe_tmp25_2e_i329_2e_i644__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i326_2e_i652653654_2e_ins)), llvm_cbe_tmp25_2e_i329_2e_i644__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i278_2e_i631__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i281_2e_i638__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i367_2e_i + ((llvm_cbe_tmp28_2e_i332_2e_i650__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i326_2e_i652653654_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i332_2e_i650__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i281_2e_i638__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i284_2e_i630 = (llvm_cbe_tmp29_2e_i284_2e_i630__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i281_2e_i638639640_2e_ins)), llvm_cbe_tmp29_2e_i284_2e_i630__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i287_2e_i636 = (llvm_cbe_tmp32_2e_i287_2e_i636__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i281_2e_i638639640_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i287_2e_i636__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp358359_2e_i = ((struct l_struct_2E__2E_0Features *)((&llvm_cbe_this->field1.field0[((signed int )0u)].field5)));
  *((&llvm_cbe_tmp358359_2e_i->field1)) = (((unsigned char )llvm_cbe_normalIndex_2e_i_2e_1));
  *((&llvm_cbe_tmp358359_2e_i->field2)) = ((unsigned char )0);
  llvm_cbe_p_2e_i_2e_0_2e_0__PHI_TEMPORARY = llvm_cbe_tmp29_2e_i284_2e_i630;   /* for PHI node */
  llvm_cbe_p_2e_i_2e_1_2e_0__PHI_TEMPORARY = llvm_cbe_tmp32_2e_i287_2e_i636;   /* for PHI node */
  goto llvm_cbe_bb368_2e_i;

llvm_cbe_bb368_2e_i:
  llvm_cbe_p_2e_i_2e_0_2e_0 = llvm_cbe_p_2e_i_2e_0_2e_0__PHI_TEMPORARY;
  llvm_cbe_p_2e_i_2e_1_2e_0 = llvm_cbe_p_2e_i_2e_1_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp26_2e_i232_2e_i624625626_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i229_2e_i617__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp44_2e_i468 - llvm_cbe_p_2e_i_2e_0_2e_0))), llvm_cbe_tmp23_2e_i229_2e_i617__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i232_2e_i624__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp47_2e_i472 - llvm_cbe_p_2e_i_2e_1_2e_0))), llvm_cbe_tmp26_2e_i232_2e_i624__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp29_2e_i235_2e_i616 = (llvm_cbe_tmp29_2e_i235_2e_i616__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i232_2e_i624625626_2e_ins)), llvm_cbe_tmp29_2e_i235_2e_i616__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp32_2e_i238_2e_i622 = (llvm_cbe_tmp32_2e_i238_2e_i622__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i232_2e_i624625626_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i238_2e_i622__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp371_2e_i = (&llvm_cbe_d_2e_i.field0);
  *llvm_cbe_tmp371_2e_i = llvm_cbe_tmp29_2e_i235_2e_i616;
  llvm_cbe_tmp374_2e_i = (&llvm_cbe_d_2e_i.field1);
  *llvm_cbe_tmp374_2e_i = llvm_cbe_tmp32_2e_i238_2e_i622;
  llvm_cbe_tmp16_2e_i_2e_i_2e_i = sqrtf((((float )((((float )(llvm_cbe_tmp29_2e_i235_2e_i616 * llvm_cbe_tmp29_2e_i235_2e_i616))) + (((float )(llvm_cbe_tmp32_2e_i238_2e_i622 * llvm_cbe_tmp32_2e_i238_2e_i622)))))));
  if ((llvm_fcmp_olt(llvm_cbe_tmp16_2e_i_2e_i_2e_i, 0x1p-23))) {
    llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = 0x0p+0;   /* for PHI node */
    goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;
  } else {
    goto llvm_cbe_bb6_2e_i_2e_i;
  }

llvm_cbe_bb6_2e_i_2e_i:
  llvm_cbe_tmp8_2e_i175_2e_i = ((float )(0x1p+0 / llvm_cbe_tmp16_2e_i_2e_i_2e_i));
  llvm_cbe_tmp11_2e_i178_2e_i = *llvm_cbe_tmp371_2e_i;
  *llvm_cbe_tmp371_2e_i = (((float )(llvm_cbe_tmp11_2e_i178_2e_i * llvm_cbe_tmp8_2e_i175_2e_i)));
  llvm_cbe_tmp18_2e_i185_2e_i = *llvm_cbe_tmp374_2e_i;
  *llvm_cbe_tmp374_2e_i = (((float )(llvm_cbe_tmp18_2e_i185_2e_i * llvm_cbe_tmp8_2e_i175_2e_i)));
  llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY = llvm_cbe_tmp16_2e_i_2e_i_2e_i;   /* for PHI node */
  goto llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i;

llvm_cbe__ZN6b2Vec29NormalizeEv_2e_exit_2e_i:
  llvm_cbe_storemerge_2e_i_2e_i = llvm_cbe_storemerge_2e_i_2e_i__PHI_TEMPORARY;
  if ((llvm_fcmp_ogt(llvm_cbe_storemerge_2e_i_2e_i, llvm_cbe_tmp3_2e_i_2e_i201))) {
    goto llvm_cbe__Z25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6__2e_exit;
  } else {
    goto llvm_cbe_bb383_2e_i;
  }

llvm_cbe_bb383_2e_i:
  *llvm_cbe_tmp27_2e_i196 = 1u;
  llvm_cbe_tmp388_2e_i = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_tmp3_2e_i->field2.field1)), (&llvm_cbe_d_2e_i));
  *((&llvm_cbe_this->field1.field1.field0)) = ((llvm_cbe_tmp394_2e_i552__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp388_2e_i)), llvm_cbe_tmp394_2e_i552__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp397_2e_i556 = (llvm_cbe_tmp397_2e_i556__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp388_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp397_2e_i556__BITCAST_TEMPORARY.Float);
  *((&llvm_cbe_this->field1.field1.field1)) = llvm_cbe_tmp397_2e_i556;
  llvm_cbe_tmp8_2e_i137_2e_i = *((&llvm_cbe_this->field1.field1.field0));
  llvm_cbe_tmp22_2e_i157_2e_i610611612_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i154_2e_i603__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp8_2e_i137_2e_i * llvm_cbe_tmp3_2e_i_2e_i201))), llvm_cbe_tmp19_2e_i154_2e_i603__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i157_2e_i610__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp397_2e_i556 * llvm_cbe_tmp3_2e_i_2e_i201))), llvm_cbe_tmp22_2e_i157_2e_i610__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp3_2e_i120_2e_i = *llvm_cbe_tmp36_2e_i;
  llvm_cbe_tmp10_2e_i_2e_i = *llvm_cbe_tmp33_2e_i;
  llvm_cbe_tmp26_2e_i_2e_i596597598_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i_2e_i589__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i_2e_i - ((llvm_cbe_tmp25_2e_i160_2e_i602__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i157_2e_i610611612_2e_ins)), llvm_cbe_tmp25_2e_i160_2e_i602__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i_2e_i589__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i_2e_i596__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i120_2e_i - ((llvm_cbe_tmp28_2e_i163_2e_i608__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i157_2e_i610611612_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i163_2e_i608__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i_2e_i596__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_position1_2e_i.field0)) = ((llvm_cbe_tmp29_2e_i_2e_i588__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i_2e_i596597598_2e_ins)), llvm_cbe_tmp29_2e_i_2e_i588__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_position1_2e_i.field1)) = ((llvm_cbe_tmp32_2e_i_2e_i594__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i_2e_i596597598_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i_2e_i594__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp418_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, (&llvm_cbe_position1_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field0)) = ((llvm_cbe_tmp426_2e_i573__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp418_2e_i)), llvm_cbe_tmp426_2e_i573__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field0.field1)) = ((llvm_cbe_tmp429_2e_i577__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp418_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp429_2e_i577__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp431_2e_i = _Z6b2MulTRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i86, (&llvm_cbe_position1_2e_i));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field0)) = ((llvm_cbe_tmp439_2e_i580__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp431_2e_i)), llvm_cbe_tmp439_2e_i580__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field1.field1)) = ((llvm_cbe_tmp442_2e_i584__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp431_2e_i) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp442_2e_i584__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_this->field1.field0[((signed int )0u)].field2)) = (((float )(llvm_cbe_storemerge_2e_i_2e_i - llvm_cbe_tmp3_2e_i_2e_i201)));
  llvm_cbe_tmp453_2e_i = (&llvm_cbe_this->field1.field0[((signed int )0u)].field5);
  *(((unsigned char *)llvm_cbe_tmp453_2e_i)) = ((unsigned char )0);
  *((&(((struct l_struct_2E__2E_0Features *)llvm_cbe_tmp453_2e_i))->field3)) = ((unsigned char )0);
  goto llvm_cbe__Z25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6__2e_exit;

llvm_cbe__Z25b2CollidePolygonAndCircleP10b2ManifoldPK14b2PolygonShapeRK7b2XFormPK13b2CircleShapeS6__2e_exit:
  *((&llvm_cbe_persisted[((signed int )0u)])) = ((unsigned char )0);
  *((&llvm_cbe_persisted[((signed int )1u)])) = ((unsigned char )0);
  llvm_cbe_tmp67 = *llvm_cbe_tmp26;
  *((&llvm_cbe_cp.field0)) = llvm_cbe_tmp67;
  llvm_cbe_tmp73 = *llvm_cbe_tmp32;
  *((&llvm_cbe_cp.field1)) = llvm_cbe_tmp73;
  llvm_cbe_tmp79 = *((&llvm_cbe_tmp2425->field9));
  *((&llvm_cbe_cp.field6)) = llvm_cbe_tmp79;
  llvm_cbe_tmp85 = *((&llvm_cbe_tmp2425->field10));
  *((&llvm_cbe_cp.field7)) = llvm_cbe_tmp85;
  llvm_cbe_tmp89 = (&llvm_cbe_this->field1.field2);
  llvm_cbe_tmp90 = *llvm_cbe_tmp89;
  if ((((signed int )llvm_cbe_tmp90) > ((signed int )0u))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb340;
  }

llvm_cbe_bb:
  llvm_cbe_tmp232 = (&llvm_cbe_m0.field2);
  llvm_cbe_tmp159 = (&llvm_cbe_cp.field2.field0);
  llvm_cbe_tmp162 = (&llvm_cbe_cp.field2.field1);
  llvm_cbe_tmp190 = (&llvm_cbe_cp.field3.field0);
  llvm_cbe_tmp193 = (&llvm_cbe_cp.field3.field1);
  llvm_cbe_tmp200 = (&llvm_cbe_this->field1.field1.field0);
  llvm_cbe_tmp203 = (&llvm_cbe_this->field1.field1.field1);
  llvm_cbe_tmp206 = (&llvm_cbe_cp.field4.field0);
  llvm_cbe_tmp209 = (&llvm_cbe_cp.field4.field1);
  llvm_cbe_tmp215 = (&llvm_cbe_cp.field5);
  llvm_cbe_tmp217 = (&llvm_cbe_cp.field8.field0);
  llvm_cbe_tmp221 = (&llvm_cbe_listener->field0);
  llvm_cbe_storemerge45__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb326;

  do {     /* Syntactic loop 'bb326' to make GCC happy */
llvm_cbe_bb326:
  llvm_cbe_retval_2e_i280_2e_2 = llvm_cbe_retval_2e_i280_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i246_2e_2 = llvm_cbe_retval_2e_i246_2e_2__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i123_2e_1 = llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i215_2e_1 = llvm_cbe_retval_2e_i215_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge45 = llvm_cbe_storemerge45__PHI_TEMPORARY;
  llvm_cbe_tmp330 = *llvm_cbe_tmp89;
  if ((((signed int )llvm_cbe_tmp330) > ((signed int )llvm_cbe_storemerge45))) {
    goto llvm_cbe_bb93;
  } else {
    goto llvm_cbe_bb335;
  }

llvm_cbe_bb323:
  llvm_cbe_retval_2e_i123_2e_0 = llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i215_2e_0 = llvm_cbe_retval_2e_i215_2e_0__PHI_TEMPORARY;
  llvm_cbe_tmp325 = llvm_cbe_storemerge45 + 1u;
  llvm_cbe_retval_2e_i280_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i280_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i246_2e_1_2e_reload = *(&llvm_cbe_retval_2e_i246_2e_1_2e_reg2mem);
  llvm_cbe_retval_2e_i280_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i280_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_retval_2e_i246_2e_2__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_1_2e_reload;   /* for PHI node */
  llvm_cbe_retval_2e_i123_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_0;   /* for PHI node */
  llvm_cbe_retval_2e_i215_2e_1__PHI_TEMPORARY = llvm_cbe_retval_2e_i215_2e_0;   /* for PHI node */
  llvm_cbe_storemerge45__PHI_TEMPORARY = llvm_cbe_tmp325;   /* for PHI node */
  goto llvm_cbe_bb326;

llvm_cbe_bb238_2e_thread:
  llvm_cbe_retval_2e_i246_2e_0 = llvm_cbe_retval_2e_i246_2e_0__PHI_TEMPORARY;
  llvm_cbe_retval_2e_i280_2e_0 = llvm_cbe_retval_2e_i280_2e_0__PHI_TEMPORARY;
  *(&llvm_cbe_retval_2e_i246_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i246_2e_0;
  *(&llvm_cbe_retval_2e_i280_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i280_2e_0;
  llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_1;   /* for PHI node */
  llvm_cbe_retval_2e_i215_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i215_2e_1;   /* for PHI node */
  goto llvm_cbe_bb323;

llvm_cbe_bb134:
  *llvm_cbe_tmp116 = ((unsigned char )1);
  llvm_cbe_tmp140 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field3));
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field3)) = llvm_cbe_tmp140;
  llvm_cbe_tmp145 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field4));
  *llvm_cbe_tmp104 = llvm_cbe_tmp145;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i246_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i246_2e_2;   /* for PHI node */
    llvm_cbe_retval_2e_i280_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i280_2e_2;   /* for PHI node */
    goto llvm_cbe_bb238_2e_thread;
  } else {
    goto llvm_cbe_bb152;
  }

  do {     /* Syntactic loop 'bb231' to make GCC happy */
llvm_cbe_bb231:
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_tmp233) > ((signed int )llvm_cbe_storemerge))) {
    goto llvm_cbe_bb113;
  } else {
    goto llvm_cbe_bb238;
  }

llvm_cbe_bb228:
  llvm_cbe_tmp230 = llvm_cbe_storemerge + 1u;
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp230;   /* for PHI node */
  goto llvm_cbe_bb231;

llvm_cbe_bb113:
  llvm_cbe_tmp114115 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp116 = (&llvm_cbe_persisted[((signed long long )llvm_cbe_tmp114115)]);
  llvm_cbe_tmp117 = *llvm_cbe_tmp116;
  if ((llvm_cbe_tmp117 == ((unsigned char )0))) {
    goto llvm_cbe_bb119;
  } else {
    goto llvm_cbe_bb228;
  }

llvm_cbe_bb119:
  llvm_cbe_tmp128 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp114115)].field5.field0));
  if ((llvm_cbe_tmp128 == llvm_cbe_tmp109)) {
    goto llvm_cbe_bb134;
  } else {
    goto llvm_cbe_bb228;
  }

  } while (1); /* end of syntactic loop 'bb231' */
llvm_cbe_bb93:
  llvm_cbe_tmp9899 = ((signed long long )(signed int )llvm_cbe_storemerge45);
  *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field3)) = 0x0p+0;
  llvm_cbe_tmp104 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field4);
  *llvm_cbe_tmp104 = 0x0p+0;
  llvm_cbe_tmp109 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field5.field0));
  llvm_cbe_tmp233 = *llvm_cbe_tmp232;
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb231;

llvm_cbe_bb152:
  llvm_cbe_tmp154 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field0);
  llvm_cbe_tmp5_2e_i255 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp154);
  *llvm_cbe_tmp159 = ((llvm_cbe_tmp161328__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i255)), llvm_cbe_tmp161328__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp162 = ((llvm_cbe_tmp164332__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i255) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp164332__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp168 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp154);
  llvm_cbe_tmp179 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field1)));
  llvm_cbe_tmp26_2e_i316778779780_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i313771__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp183342__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp179)), llvm_cbe_tmp183342__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp172335__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp168)), llvm_cbe_tmp172335__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i313771__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i316778__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp186346__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp179) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp186346__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp175339__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp168) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp175339__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i316778__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp190 = ((llvm_cbe_tmp192349__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i316778779780_2e_ins)), llvm_cbe_tmp192349__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp193 = ((llvm_cbe_tmp195353__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i316778779780_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp195353__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp201 = *llvm_cbe_tmp200;
  llvm_cbe_tmp204 = *llvm_cbe_tmp203;
  *llvm_cbe_tmp206 = llvm_cbe_tmp201;
  *llvm_cbe_tmp209 = llvm_cbe_tmp204;
  llvm_cbe_tmp214 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field2));
  *llvm_cbe_tmp215 = llvm_cbe_tmp214;
  *llvm_cbe_tmp217 = llvm_cbe_tmp109;
  llvm_cbe_tmp222 = *llvm_cbe_tmp221;
  llvm_cbe_tmp224 = *((&llvm_cbe_tmp222[((signed long long )3ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp224))(llvm_cbe_listener, (&llvm_cbe_cp));
  llvm_cbe_retval_2e_i246_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i255;   /* for PHI node */
  llvm_cbe_retval_2e_i280_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i316778779780_2e_ins;   /* for PHI node */
  goto llvm_cbe_bb238_2e_thread;

llvm_cbe_bb238:
  *(&llvm_cbe_retval_2e_i246_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i246_2e_2;
  *(&llvm_cbe_retval_2e_i280_2e_1_2e_reg2mem) = llvm_cbe_retval_2e_i280_2e_2;
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i123_2e_1;   /* for PHI node */
    llvm_cbe_retval_2e_i215_2e_0__PHI_TEMPORARY = llvm_cbe_retval_2e_i215_2e_1;   /* for PHI node */
    goto llvm_cbe_bb323;
  } else {
    goto llvm_cbe_bb248;
  }

llvm_cbe_bb248:
  llvm_cbe_tmp250 = (&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field0);
  llvm_cbe_tmp5_2e_i224 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, llvm_cbe_tmp250);
  *llvm_cbe_tmp159 = ((llvm_cbe_tmp257356__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i224)), llvm_cbe_tmp257356__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp162 = ((llvm_cbe_tmp260360__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i224) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp260360__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp264 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, llvm_cbe_tmp250);
  llvm_cbe_tmp275 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field1)));
  llvm_cbe_tmp26_2e_i159456457458_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i156449__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp279370__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp275)), llvm_cbe_tmp279370__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp268363__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp264)), llvm_cbe_tmp268363__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i156449__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i159456__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp282374__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp275) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp282374__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp271367__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp264) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp271367__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i159456__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp190 = ((llvm_cbe_tmp288377__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i159456457458_2e_ins)), llvm_cbe_tmp288377__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp193 = ((llvm_cbe_tmp291381__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i159456457458_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp291381__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp297 = *llvm_cbe_tmp200;
  llvm_cbe_tmp300 = *llvm_cbe_tmp203;
  *llvm_cbe_tmp206 = llvm_cbe_tmp297;
  *llvm_cbe_tmp209 = llvm_cbe_tmp300;
  llvm_cbe_tmp310 = *((&llvm_cbe_this->field1.field0[((signed long long )llvm_cbe_tmp9899)].field2));
  *llvm_cbe_tmp215 = llvm_cbe_tmp310;
  *llvm_cbe_tmp217 = llvm_cbe_tmp109;
  llvm_cbe_tmp318 = *llvm_cbe_tmp221;
  llvm_cbe_tmp320 = *((&llvm_cbe_tmp318[((signed long long )2ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp320))(llvm_cbe_listener, (&llvm_cbe_cp));
  llvm_cbe_retval_2e_i123_2e_0__PHI_TEMPORARY = llvm_cbe_tmp26_2e_i159456457458_2e_ins;   /* for PHI node */
  llvm_cbe_retval_2e_i215_2e_0__PHI_TEMPORARY = llvm_cbe_tmp5_2e_i224;   /* for PHI node */
  goto llvm_cbe_bb323;

  } while (1); /* end of syntactic loop 'bb326' */
llvm_cbe_bb335:
  *((&llvm_cbe_tmp2425->field2)) = 1u;
  goto llvm_cbe_bb345;

llvm_cbe_bb340:
  *((&llvm_cbe_tmp2425->field2)) = 0u;
  goto llvm_cbe_bb345;

llvm_cbe_bb345:
  if ((llvm_cbe_listener == ((struct l_struct_2E_Os *)/*NULL*/0))) {
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb350;
  }

llvm_cbe_bb350:
  llvm_cbe_tmp444 = (&llvm_cbe_m0.field2);
  llvm_cbe_tmp369 = (&llvm_cbe_cp.field2.field0);
  llvm_cbe_tmp372 = (&llvm_cbe_cp.field2.field1);
  llvm_cbe_tmp400 = (&llvm_cbe_cp.field3.field0);
  llvm_cbe_tmp403 = (&llvm_cbe_cp.field3.field1);
  llvm_cbe_tmp408 = (&llvm_cbe_m0.field1.field0);
  llvm_cbe_tmp411 = (&llvm_cbe_m0.field1.field1);
  llvm_cbe_tmp414 = (&llvm_cbe_cp.field4.field0);
  llvm_cbe_tmp417 = (&llvm_cbe_cp.field4.field1);
  llvm_cbe_tmp423 = (&llvm_cbe_cp.field5);
  llvm_cbe_tmp430 = (&llvm_cbe_cp.field8.field0);
  llvm_cbe_tmp434 = (&llvm_cbe_listener->field0);
  llvm_cbe_storemerge46__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb443;

  do {     /* Syntactic loop 'bb443' to make GCC happy */
llvm_cbe_bb443:
  llvm_cbe_storemerge46 = llvm_cbe_storemerge46__PHI_TEMPORARY;
  llvm_cbe_tmp445 = *llvm_cbe_tmp444;
  if ((((signed int )llvm_cbe_tmp445) > ((signed int )llvm_cbe_storemerge46))) {
    goto llvm_cbe_bb351;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb440:
  llvm_cbe_tmp442 = llvm_cbe_storemerge46 + 1u;
  llvm_cbe_storemerge46__PHI_TEMPORARY = llvm_cbe_tmp442;   /* for PHI node */
  goto llvm_cbe_bb443;

llvm_cbe_bb351:
  llvm_cbe_tmp352353 = ((signed long long )(signed int )llvm_cbe_storemerge46);
  llvm_cbe_tmp355 = *((&llvm_cbe_persisted[((signed long long )llvm_cbe_tmp352353)]));
  if ((llvm_cbe_tmp355 == ((unsigned char )0))) {
    goto llvm_cbe_bb357;
  } else {
    goto llvm_cbe_bb440;
  }

llvm_cbe_bb357:
  llvm_cbe_tmp5_2e_i96 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_tmp2_2e_i116, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field0)));
  *llvm_cbe_tmp369 = ((llvm_cbe_tmp371384__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp5_2e_i96)), llvm_cbe_tmp371384__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp372 = ((llvm_cbe_tmp374388__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp5_2e_i96) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp374388__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp378 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field0)));
  llvm_cbe_tmp389 = _ZNK6b2Body31GetLinearVelocityFromLocalPointERK6b2Vec2(llvm_cbe_tmp3_2e_i65, ((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field1)));
  llvm_cbe_tmp26_2e_i421422423_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i414__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp393398__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp389)), llvm_cbe_tmp393398__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp382391__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp378)), llvm_cbe_tmp382391__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i414__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i421__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp396402__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp389) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp396402__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp385395__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp378) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp385395__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i421__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *llvm_cbe_tmp400 = ((llvm_cbe_tmp402405__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i421422423_2e_ins)), llvm_cbe_tmp402405__BITCAST_TEMPORARY.Float));
  *llvm_cbe_tmp403 = ((llvm_cbe_tmp405409__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i421422423_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp405409__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp409 = *llvm_cbe_tmp408;
  llvm_cbe_tmp412 = *llvm_cbe_tmp411;
  *llvm_cbe_tmp414 = llvm_cbe_tmp409;
  *llvm_cbe_tmp417 = llvm_cbe_tmp412;
  llvm_cbe_tmp422 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field2));
  *llvm_cbe_tmp423 = llvm_cbe_tmp422;
  llvm_cbe_tmp428 = *((&llvm_cbe_m0.field0[((signed long long )llvm_cbe_tmp352353)].field5.field0));
  *llvm_cbe_tmp430 = llvm_cbe_tmp428;
  llvm_cbe_tmp435 = *llvm_cbe_tmp434;
  llvm_cbe_tmp437 = *((&llvm_cbe_tmp435[((signed long long )4ull)]));
  (((void  (*) (struct l_struct_2E_Os *, struct l_struct_2E_b2ContactPoint *))llvm_cbe_tmp437))(llvm_cbe_listener, (&llvm_cbe_cp));
  goto llvm_cbe_bb440;

  } while (1); /* end of syntactic loop 'bb443' */
llvm_cbe_return:
  return;
}


static unsigned int _ZL17ClipSegmentToLineP10ClipVertexS0_RK6b2Vec2f(struct l_struct_2E_ClipVertex *llvm_cbe_vOut, struct l_struct_2E_ClipVertex *llvm_cbe_vIn, struct l_struct_2E_b2Vec2 *llvm_cbe_normal, float llvm_cbe_offset) {
  float llvm_cbe_tmp3_2e_i;
  float *llvm_cbe_tmp5_2e_i;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp10_2e_i;
  float *llvm_cbe_tmp12_2e_i;
  float llvm_cbe_tmp13_2e_i;
  float llvm_cbe_tmp14;
  float *llvm_cbe_tmp5_2e_i150;
  float llvm_cbe_tmp6_2e_i151;
  float *llvm_cbe_tmp12_2e_i157;
  float llvm_cbe_tmp13_2e_i158;
  float llvm_cbe_tmp21;
  float llvm_cbe_tmp36;
  float llvm_cbe_tmp39;
  unsigned int llvm_cbe_tmp44;
  unsigned int llvm_cbe_numOut_2e_0;
  unsigned int llvm_cbe_numOut_2e_0__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp5556;
  float llvm_cbe_tmp64;
  float llvm_cbe_tmp67;
  unsigned int llvm_cbe_tmp72;
  unsigned int llvm_cbe_tmp74;
  unsigned int llvm_cbe_numOut_2e_1;
  unsigned int llvm_cbe_numOut_2e_1__PHI_TEMPORARY;
  float llvm_cbe_tmp87;
  unsigned long long llvm_cbe_tmp8990;
  float llvm_cbe_tmp3_2e_i106;
  float llvm_cbe_tmp6_2e_i109;
  float llvm_cbe_tmp10_2e_i113;
  float llvm_cbe_tmp13_2e_i116;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i132215__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i135222__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i135222223224_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i138214__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i141220__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp19_2e_i84201__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp22_2e_i87208__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp22_2e_i87208209210_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp25_2e_i90200__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp28_2e_i93206__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i187__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i194__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i194195196_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i186__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i192__BITCAST_TEMPORARY;
  unsigned int llvm_cbe_tmp141;
  unsigned int llvm_cbe_tmp156;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_normal->field0));
  llvm_cbe_tmp5_2e_i = (&llvm_cbe_vIn->field0.field0);
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp10_2e_i = *((&llvm_cbe_normal->field1));
  llvm_cbe_tmp12_2e_i = (&llvm_cbe_vIn->field0.field1);
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp14 = ((float )((((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp6_2e_i))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp13_2e_i)))))) - llvm_cbe_offset));
  llvm_cbe_tmp5_2e_i150 = (&llvm_cbe_vIn[((signed long long )1ull)].field0.field0);
  llvm_cbe_tmp6_2e_i151 = *llvm_cbe_tmp5_2e_i150;
  llvm_cbe_tmp12_2e_i157 = (&llvm_cbe_vIn[((signed long long )1ull)].field0.field1);
  llvm_cbe_tmp13_2e_i158 = *llvm_cbe_tmp12_2e_i157;
  llvm_cbe_tmp21 = ((float )((((float )((((float )(llvm_cbe_tmp3_2e_i * llvm_cbe_tmp6_2e_i151))) + (((float )(llvm_cbe_tmp10_2e_i * llvm_cbe_tmp13_2e_i158)))))) - llvm_cbe_offset));
  if ((llvm_fcmp_ugt(llvm_cbe_tmp14, 0x0p+0))) {
    llvm_cbe_numOut_2e_0__PHI_TEMPORARY = 0u;   /* for PHI node */
    goto llvm_cbe_bb47;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp36 = *((&llvm_cbe_vIn->field0.field0));
  *((&llvm_cbe_vOut->field0.field0)) = llvm_cbe_tmp36;
  llvm_cbe_tmp39 = *((&llvm_cbe_vIn->field0.field1));
  *((&llvm_cbe_vOut->field0.field1)) = llvm_cbe_tmp39;
  llvm_cbe_tmp44 = *((&llvm_cbe_vIn->field1.field0));
  *((&llvm_cbe_vOut->field1.field0)) = llvm_cbe_tmp44;
  llvm_cbe_numOut_2e_0__PHI_TEMPORARY = 1u;   /* for PHI node */
  goto llvm_cbe_bb47;

llvm_cbe_bb47:
  llvm_cbe_numOut_2e_0 = llvm_cbe_numOut_2e_0__PHI_TEMPORARY;
  if ((llvm_fcmp_ugt(llvm_cbe_tmp21, 0x0p+0))) {
    llvm_cbe_numOut_2e_1__PHI_TEMPORARY = llvm_cbe_numOut_2e_0;   /* for PHI node */
    goto llvm_cbe_bb75;
  } else {
    goto llvm_cbe_bb52;
  }

llvm_cbe_bb52:
  llvm_cbe_tmp5556 = ((signed long long )(signed int )llvm_cbe_numOut_2e_0);
  llvm_cbe_tmp64 = *((&llvm_cbe_vIn[((signed long long )1ull)].field0.field0));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp5556)].field0.field0)) = llvm_cbe_tmp64;
  llvm_cbe_tmp67 = *((&llvm_cbe_vIn[((signed long long )1ull)].field0.field1));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp5556)].field0.field1)) = llvm_cbe_tmp67;
  llvm_cbe_tmp72 = *((&llvm_cbe_vIn[((signed long long )1ull)].field1.field0));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp5556)].field1.field0)) = llvm_cbe_tmp72;
  llvm_cbe_tmp74 = llvm_cbe_numOut_2e_0 + 1u;
  llvm_cbe_numOut_2e_1__PHI_TEMPORARY = llvm_cbe_tmp74;   /* for PHI node */
  goto llvm_cbe_bb75;

llvm_cbe_bb75:
  llvm_cbe_numOut_2e_1 = llvm_cbe_numOut_2e_1__PHI_TEMPORARY;
  if ((llvm_fcmp_olt((((float )(llvm_cbe_tmp14 * llvm_cbe_tmp21))), 0x0p+0))) {
    goto llvm_cbe_bb82;
  } else {
    goto llvm_cbe_return;
  }

llvm_cbe_bb82:
  llvm_cbe_tmp87 = ((float )(llvm_cbe_tmp14 / (((float )(llvm_cbe_tmp14 - llvm_cbe_tmp21)))));
  llvm_cbe_tmp8990 = ((signed long long )(signed int )llvm_cbe_numOut_2e_1);
  llvm_cbe_tmp3_2e_i106 = *llvm_cbe_tmp12_2e_i157;
  llvm_cbe_tmp6_2e_i109 = *llvm_cbe_tmp12_2e_i;
  llvm_cbe_tmp10_2e_i113 = *llvm_cbe_tmp5_2e_i150;
  llvm_cbe_tmp13_2e_i116 = *llvm_cbe_tmp5_2e_i;
  llvm_cbe_tmp26_2e_i135222223224_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i132215__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp10_2e_i113 - llvm_cbe_tmp13_2e_i116))), llvm_cbe_tmp23_2e_i132215__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i135222__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp3_2e_i106 - llvm_cbe_tmp6_2e_i109))), llvm_cbe_tmp26_2e_i135222__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp22_2e_i87208209210_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp19_2e_i84201__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp29_2e_i138214__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i135222223224_2e_ins)), llvm_cbe_tmp29_2e_i138214__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp87))), llvm_cbe_tmp19_2e_i84201__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp22_2e_i87208__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp32_2e_i141220__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i135222223224_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i141220__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp87))), llvm_cbe_tmp22_2e_i87208__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp26_2e_i194195196_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i187__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp13_2e_i116 + ((llvm_cbe_tmp25_2e_i90200__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp22_2e_i87208209210_2e_ins)), llvm_cbe_tmp25_2e_i90200__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i187__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i194__BITCAST_TEMPORARY.Float = (((float )(llvm_cbe_tmp6_2e_i109 + ((llvm_cbe_tmp28_2e_i93206__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp22_2e_i87208209210_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp28_2e_i93206__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i194__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp8990)].field0.field0)) = ((llvm_cbe_tmp29_2e_i186__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i194195196_2e_ins)), llvm_cbe_tmp29_2e_i186__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp8990)].field0.field1)) = ((llvm_cbe_tmp32_2e_i192__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i194195196_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i192__BITCAST_TEMPORARY.Float));
  if ((llvm_fcmp_ogt(llvm_cbe_tmp14, 0x0p+0))) {
    goto llvm_cbe_bb131;
  } else {
    goto llvm_cbe_bb146;
  }

llvm_cbe_bb131:
  llvm_cbe_tmp141 = *((&llvm_cbe_vIn->field1.field0));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp8990)].field1.field0)) = llvm_cbe_tmp141;
  goto llvm_cbe_bb161;

llvm_cbe_bb146:
  llvm_cbe_tmp156 = *((&llvm_cbe_vIn[((signed long long )1ull)].field1.field0));
  *((&llvm_cbe_vOut[((signed long long )llvm_cbe_tmp8990)].field1.field0)) = llvm_cbe_tmp156;
  goto llvm_cbe_bb161;

llvm_cbe_bb161:
  return (llvm_cbe_numOut_2e_1 + 1u);
llvm_cbe_return:
  return llvm_cbe_numOut_2e_1;
}


static float _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1, struct l_struct_2E_b2XForm *llvm_cbe_xf1, unsigned int llvm_cbe_edge1, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2, struct l_struct_2E_b2XForm *llvm_cbe_xf2) {
  struct l_struct_2E_b2Vec2 llvm_cbe_normal1World;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp3_2e_i79;
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp3132;
  unsigned long long llvm_cbe_tmp36;
  float *llvm_cbe_tmp38;
  llvmBitCastUnion llvm_cbe_tmp4086__BITCAST_TEMPORARY;
  float *llvm_cbe_tmp41;
  llvmBitCastUnion llvm_cbe_tmp4390__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp46;
  float llvm_cbe_tmp5093;
  llvmBitCastUnion llvm_cbe_tmp5093__BITCAST_TEMPORARY;
  float llvm_cbe_tmp5397;
  llvmBitCastUnion llvm_cbe_tmp5397__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp5657;
  float llvm_cbe_tmp3_2e_i63;
  float llvm_cbe_tmp10_2e_i70;
  float llvm_cbe_tmp15_2e_i75;
  float llvm_cbe_minDot_2e_0;
  unsigned int llvm_cbe_index_2e_0;
  unsigned int llvm_cbe_tmp70;
  float llvm_cbe_minDot_2e_1;
  float llvm_cbe_minDot_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_index_2e_1;
  unsigned int llvm_cbe_index_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  unsigned long long llvm_cbe_tmp83;
  llvmBitCastUnion llvm_cbe_tmp87100__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp90104__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp96;
  llvmBitCastUnion llvm_cbe_tmp100107__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp103111__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i130131132_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY;
  float llvm_cbe_tmp6_2e_i;
  float llvm_cbe_tmp13_2e_i;

  llvm_cbe_tmp3_2e_i79 = *((&llvm_cbe_poly2->field6));
  if ((((signed int )llvm_cbe_edge1) < ((signed int )0u))) {
    goto llvm_cbe_bb25;
  } else {
    goto llvm_cbe_bb;
  }

llvm_cbe_bb:
  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_poly1->field6));
  if ((((signed int )llvm_cbe_tmp3_2e_i) > ((signed int )llvm_cbe_edge1))) {
    goto llvm_cbe_bb29;
  } else {
    goto llvm_cbe_bb25;
  }

llvm_cbe_bb25:
  __assert_fail(((&_2E_str293[((signed long long )0ull)])), ((&_2E_str1295[((signed long long )0ull)])), 73u, ((&_ZZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_E19__PRETTY_FUNCTION__[((signed long long )0ull)])));
  /*UNREACHABLE*/;
llvm_cbe_bb29:
  llvm_cbe_tmp3132 = ((signed long long )(signed int )llvm_cbe_edge1);
  llvm_cbe_tmp36 = _Z5b2MulRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf1->field1)), ((&llvm_cbe_poly1->field4[((signed long long )llvm_cbe_tmp3132)])));
  llvm_cbe_tmp38 = (&llvm_cbe_normal1World.field0);
  *llvm_cbe_tmp38 = ((llvm_cbe_tmp4086__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp36)), llvm_cbe_tmp4086__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp41 = (&llvm_cbe_normal1World.field1);
  *llvm_cbe_tmp41 = ((llvm_cbe_tmp4390__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp36) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp4390__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp46 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf2->field1)), (&llvm_cbe_normal1World));
  llvm_cbe_tmp5093 = (llvm_cbe_tmp5093__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp46)), llvm_cbe_tmp5093__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp5397 = (llvm_cbe_tmp5397__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp46) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp5397__BITCAST_TEMPORARY.Float);
  llvm_cbe_minDot_2e_1__PHI_TEMPORARY = 0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_index_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb71;

  do {     /* Syntactic loop 'bb71' to make GCC happy */
llvm_cbe_bb71:
  llvm_cbe_minDot_2e_1 = llvm_cbe_minDot_2e_1__PHI_TEMPORARY;
  llvm_cbe_index_2e_1 = llvm_cbe_index_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_tmp3_2e_i79))) {
    goto llvm_cbe_bb54;
  } else {
    goto llvm_cbe_bb77;
  }

llvm_cbe_bb54:
  llvm_cbe_tmp5657 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i63 = *((&llvm_cbe_poly2->field3[((signed long long )llvm_cbe_tmp5657)].field0));
  llvm_cbe_tmp10_2e_i70 = *((&llvm_cbe_poly2->field3[((signed long long )llvm_cbe_tmp5657)].field1));
  llvm_cbe_tmp15_2e_i75 = ((float )((((float )(llvm_cbe_tmp3_2e_i63 * llvm_cbe_tmp5093))) + (((float )(llvm_cbe_tmp10_2e_i70 * llvm_cbe_tmp5397)))));
  llvm_cbe_minDot_2e_0 = (((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i75, llvm_cbe_minDot_2e_1))) ? (llvm_cbe_tmp15_2e_i75) : (llvm_cbe_minDot_2e_1));
  llvm_cbe_index_2e_0 = (((llvm_fcmp_olt(llvm_cbe_tmp15_2e_i75, llvm_cbe_minDot_2e_1))) ? (llvm_cbe_storemerge) : (llvm_cbe_index_2e_1));
  llvm_cbe_tmp70 = llvm_cbe_storemerge + 1u;
  llvm_cbe_minDot_2e_1__PHI_TEMPORARY = llvm_cbe_minDot_2e_0;   /* for PHI node */
  llvm_cbe_index_2e_1__PHI_TEMPORARY = llvm_cbe_index_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp70;   /* for PHI node */
  goto llvm_cbe_bb71;

  } while (1); /* end of syntactic loop 'bb71' */
llvm_cbe_bb77:
  llvm_cbe_tmp83 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf1, ((&llvm_cbe_poly1->field3[((signed long long )llvm_cbe_tmp3132)])));
  llvm_cbe_tmp96 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf2, ((&llvm_cbe_poly2->field3[((signed long long )(((signed long long )(signed int )llvm_cbe_index_2e_1)))])));
  llvm_cbe_tmp26_2e_i130131132_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp100107__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp96)), llvm_cbe_tmp100107__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp87100__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp83)), llvm_cbe_tmp87100__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i123__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp103111__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp96) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp103111__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp90104__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp83) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp90104__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i130__BITCAST_TEMPORARY.Int32)))) << 32ull);
  llvm_cbe_tmp6_2e_i = *llvm_cbe_tmp38;
  llvm_cbe_tmp13_2e_i = *llvm_cbe_tmp41;
  return (((float )((((float )(((llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i130131132_2e_ins)), llvm_cbe_tmp29_2e_i122__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp6_2e_i))) + (((float )(((llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i130131132_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i128__BITCAST_TEMPORARY.Float)) * llvm_cbe_tmp13_2e_i))))));
}


static float _ZL17FindMaxSeparationPiPK14b2PolygonShapeRK7b2XFormS2_S5_(unsigned int *llvm_cbe_edgeIndex, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly1, struct l_struct_2E_b2XForm *llvm_cbe_xf1, struct l_struct_2E_b2PolygonShape *llvm_cbe_poly2, struct l_struct_2E_b2XForm *llvm_cbe_xf2) {
  struct l_struct_2E_b2Vec2 llvm_cbe_d;    /* Address-exposed local */
  unsigned int llvm_cbe_tmp3_2e_i;
  unsigned long long llvm_cbe_tmp14;
  llvmBitCastUnion llvm_cbe_tmp1877__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp2181__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp25;
  llvmBitCastUnion llvm_cbe_tmp2984__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp3288__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp23_2e_i107__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp26_2e_i114__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp26_2e_i114115116_2e_ins;
  llvmBitCastUnion llvm_cbe_tmp29_2e_i106__BITCAST_TEMPORARY;
  llvmBitCastUnion llvm_cbe_tmp32_2e_i112__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp43;
  float llvm_cbe_tmp4798;
  llvmBitCastUnion llvm_cbe_tmp4798__BITCAST_TEMPORARY;
  float llvm_cbe_tmp50102;
  llvmBitCastUnion llvm_cbe_tmp50102__BITCAST_TEMPORARY;
  unsigned long long llvm_cbe_tmp5253;
  float llvm_cbe_tmp3_2e_i62;
  float llvm_cbe_tmp10_2e_i69;
  float llvm_cbe_tmp15_2e_i74;
  float llvm_cbe_maxDot_2e_0;
  unsigned int llvm_cbe_edge_2e_0;
  unsigned int llvm_cbe_tmp65;
  float llvm_cbe_maxDot_2e_1;
  float llvm_cbe_maxDot_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_edge_2e_1;
  unsigned int llvm_cbe_edge_2e_1__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge;
  unsigned int llvm_cbe_storemerge__PHI_TEMPORARY;
  float llvm_cbe_tmp78;
  unsigned int llvm_cbe_storemerge1;
  float llvm_cbe_tmp104;
  unsigned int llvm_cbe_tmp113;
  unsigned int llvm_cbe_storemerge2;
  float llvm_cbe_tmp129;
  bool llvm_cbe_increment_2e_0_2e_ph;
  bool llvm_cbe_increment_2e_0_2e_ph__PHI_TEMPORARY;
  float llvm_cbe_bestSeparation_2e_0;
  float llvm_cbe_bestSeparation_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_bestEdge_2e_0;
  unsigned int llvm_cbe_bestEdge_2e_0__PHI_TEMPORARY;
  unsigned int llvm_cbe_storemerge3;
  unsigned int llvm_cbe_tmp186;
  unsigned int llvm_cbe_storemerge5;
  unsigned int llvm_cbe_storemerge4;
  unsigned int llvm_cbe_storemerge4__PHI_TEMPORARY;
  float llvm_cbe_tmp203;
  float llvm_cbe_tmp_2e_0;
  float llvm_cbe_tmp_2e_0__PHI_TEMPORARY;

  llvm_cbe_tmp3_2e_i = *((&llvm_cbe_poly1->field6));
  llvm_cbe_tmp14 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf1, ((&llvm_cbe_poly1->field1)));
  llvm_cbe_tmp25 = _Z5b2MulRK7b2XFormRK6b2Vec2(llvm_cbe_xf2, ((&llvm_cbe_poly2->field1)));
  llvm_cbe_tmp26_2e_i114115116_2e_ins = (((unsigned long long )(unsigned int )((llvm_cbe_tmp23_2e_i107__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp2984__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp25)), llvm_cbe_tmp2984__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp1877__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp14)), llvm_cbe_tmp1877__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp23_2e_i107__BITCAST_TEMPORARY.Int32)))) | ((((unsigned long long )(unsigned int )((llvm_cbe_tmp26_2e_i114__BITCAST_TEMPORARY.Float = (((float )(((llvm_cbe_tmp3288__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp25) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp3288__BITCAST_TEMPORARY.Float)) - ((llvm_cbe_tmp2181__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp14) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp2181__BITCAST_TEMPORARY.Float))))), llvm_cbe_tmp26_2e_i114__BITCAST_TEMPORARY.Int32)))) << 32ull);
  *((&llvm_cbe_d.field0)) = ((llvm_cbe_tmp29_2e_i106__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp26_2e_i114115116_2e_ins)), llvm_cbe_tmp29_2e_i106__BITCAST_TEMPORARY.Float));
  *((&llvm_cbe_d.field1)) = ((llvm_cbe_tmp32_2e_i112__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp26_2e_i114115116_2e_ins) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp32_2e_i112__BITCAST_TEMPORARY.Float));
  llvm_cbe_tmp43 = _Z6b2MulTRK7b2Mat22RK6b2Vec2(((&llvm_cbe_xf1->field1)), (&llvm_cbe_d));
  llvm_cbe_tmp4798 = (llvm_cbe_tmp4798__BITCAST_TEMPORARY.Int32 = (((unsigned int )llvm_cbe_tmp43)), llvm_cbe_tmp4798__BITCAST_TEMPORARY.Float);
  llvm_cbe_tmp50102 = (llvm_cbe_tmp50102__BITCAST_TEMPORARY.Int32 = (((unsigned int )(((unsigned long long )(((unsigned long long )llvm_cbe_tmp43) >> ((unsigned long long )32ull)))))), llvm_cbe_tmp50102__BITCAST_TEMPORARY.Float);
  llvm_cbe_maxDot_2e_1__PHI_TEMPORARY = -0x1.fffffep+127;   /* for PHI node */
  llvm_cbe_edge_2e_1__PHI_TEMPORARY = 0u;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = 0u;   /* for PHI node */
  goto llvm_cbe_bb66;

  do {     /* Syntactic loop 'bb66' to make GCC happy */
llvm_cbe_bb66:
  llvm_cbe_maxDot_2e_1 = llvm_cbe_maxDot_2e_1__PHI_TEMPORARY;
  llvm_cbe_edge_2e_1 = llvm_cbe_edge_2e_1__PHI_TEMPORARY;
  llvm_cbe_storemerge = llvm_cbe_storemerge__PHI_TEMPORARY;
  if ((((signed int )llvm_cbe_storemerge) < ((signed int )llvm_cbe_tmp3_2e_i))) {
    goto llvm_cbe_bb;
  } else {
    goto llvm_cbe_bb72;
  }

llvm_cbe_bb:
  llvm_cbe_tmp5253 = ((signed long long )(signed int )llvm_cbe_storemerge);
  llvm_cbe_tmp3_2e_i62 = *((&llvm_cbe_poly1->field4[((signed long long )llvm_cbe_tmp5253)].field0));
  llvm_cbe_tmp10_2e_i69 = *((&llvm_cbe_poly1->field4[((signed long long )llvm_cbe_tmp5253)].field1));
  llvm_cbe_tmp15_2e_i74 = ((float )((((float )(llvm_cbe_tmp3_2e_i62 * llvm_cbe_tmp4798))) + (((float )(llvm_cbe_tmp10_2e_i69 * llvm_cbe_tmp50102)))));
  llvm_cbe_maxDot_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i74, llvm_cbe_maxDot_2e_1))) ? (llvm_cbe_tmp15_2e_i74) : (llvm_cbe_maxDot_2e_1));
  llvm_cbe_edge_2e_0 = (((llvm_fcmp_ogt(llvm_cbe_tmp15_2e_i74, llvm_cbe_maxDot_2e_1))) ? (llvm_cbe_storemerge) : (llvm_cbe_edge_2e_1));
  llvm_cbe_tmp65 = llvm_cbe_storemerge + 1u;
  llvm_cbe_maxDot_2e_1__PHI_TEMPORARY = llvm_cbe_maxDot_2e_0;   /* for PHI node */
  llvm_cbe_edge_2e_1__PHI_TEMPORARY = llvm_cbe_edge_2e_0;   /* for PHI node */
  llvm_cbe_storemerge__PHI_TEMPORARY = llvm_cbe_tmp65;   /* for PHI node */
  goto llvm_cbe_bb66;

  } while (1); /* end of syntactic loop 'bb66' */
llvm_cbe_bb72:
  llvm_cbe_tmp78 = _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(llvm_cbe_poly1, llvm_cbe_xf1, llvm_cbe_edge_2e_1, llvm_cbe_poly2, llvm_cbe_xf2);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp78, 0x0p+0))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp78;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb85;
  }

llvm_cbe_bb85:
  llvm_cbe_storemerge1 = ((((((signed int )(llvm_cbe_edge_2e_1 + 4294967295u)) > ((signed int )4294967295u))) ? (llvm_cbe_edge_2e_1) : (llvm_cbe_tmp3_2e_i))) + 4294967295u;
  llvm_cbe_tmp104 = _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(llvm_cbe_poly1, llvm_cbe_xf1, llvm_cbe_storemerge1, llvm_cbe_poly2, llvm_cbe_xf2);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp104, 0x0p+0))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp104;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb111;
  }

llvm_cbe_bb111:
  llvm_cbe_tmp113 = llvm_cbe_edge_2e_1 + 1u;
  llvm_cbe_storemerge2 = (((((signed int )llvm_cbe_tmp113) < ((signed int )llvm_cbe_tmp3_2e_i))) ? (llvm_cbe_tmp113) : (0u));
  llvm_cbe_tmp129 = _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(llvm_cbe_poly1, llvm_cbe_xf1, llvm_cbe_storemerge2, llvm_cbe_poly2, llvm_cbe_xf2);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp129, 0x0p+0))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp129;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb136;
  }

llvm_cbe_bb136:
  if (((((llvm_fcmp_ule(llvm_cbe_tmp104, llvm_cbe_tmp78)) | (llvm_fcmp_ule(llvm_cbe_tmp104, llvm_cbe_tmp129)))&1))) {
    goto llvm_cbe_bb152;
  } else {
    llvm_cbe_increment_2e_0_2e_ph__PHI_TEMPORARY = 1;   /* for PHI node */
    llvm_cbe_bestSeparation_2e_0__PHI_TEMPORARY = llvm_cbe_tmp104;   /* for PHI node */
    llvm_cbe_bestEdge_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge1;   /* for PHI node */
    goto llvm_cbe_bb165;
  }

llvm_cbe_bb152:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp129, llvm_cbe_tmp78))) {
    llvm_cbe_increment_2e_0_2e_ph__PHI_TEMPORARY = 0;   /* for PHI node */
    llvm_cbe_bestSeparation_2e_0__PHI_TEMPORARY = llvm_cbe_tmp129;   /* for PHI node */
    llvm_cbe_bestEdge_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge2;   /* for PHI node */
    goto llvm_cbe_bb165;
  } else {
    goto llvm_cbe_bb161;
  }

llvm_cbe_bb161:
  *llvm_cbe_edgeIndex = llvm_cbe_edge_2e_1;
  return llvm_cbe_tmp78;
  do {     /* Syntactic loop 'bb165' to make GCC happy */
llvm_cbe_bb165:
  llvm_cbe_increment_2e_0_2e_ph = ((llvm_cbe_increment_2e_0_2e_ph__PHI_TEMPORARY)&1);
  llvm_cbe_bestSeparation_2e_0 = llvm_cbe_bestSeparation_2e_0__PHI_TEMPORARY;
  llvm_cbe_bestEdge_2e_0 = llvm_cbe_bestEdge_2e_0__PHI_TEMPORARY;
  if (llvm_cbe_increment_2e_0_2e_ph) {
    goto llvm_cbe_bb170;
  } else {
    goto llvm_cbe_bb184;
  }

llvm_cbe_bb210:
  if ((llvm_fcmp_ogt(llvm_cbe_tmp203, llvm_cbe_bestSeparation_2e_0))) {
    llvm_cbe_increment_2e_0_2e_ph__PHI_TEMPORARY = llvm_cbe_increment_2e_0_2e_ph;   /* for PHI node */
    llvm_cbe_bestSeparation_2e_0__PHI_TEMPORARY = llvm_cbe_tmp203;   /* for PHI node */
    llvm_cbe_bestEdge_2e_0__PHI_TEMPORARY = llvm_cbe_storemerge4;   /* for PHI node */
    goto llvm_cbe_bb165;
  } else {
    goto llvm_cbe_bb219;
  }

llvm_cbe_bb197:
  llvm_cbe_storemerge4 = llvm_cbe_storemerge4__PHI_TEMPORARY;
  llvm_cbe_tmp203 = _ZL14EdgeSeparationPK14b2PolygonShapeRK7b2XFormiS1_S4_(llvm_cbe_poly1, llvm_cbe_xf1, llvm_cbe_storemerge4, llvm_cbe_poly2, llvm_cbe_xf2);
  if ((llvm_fcmp_ogt(llvm_cbe_tmp203, 0x0p+0))) {
    llvm_cbe_tmp_2e_0__PHI_TEMPORARY = llvm_cbe_tmp203;   /* for PHI node */
    goto llvm_cbe_return;
  } else {
    goto llvm_cbe_bb210;
  }

llvm_cbe_bb170:
  llvm_cbe_storemerge3 = ((((((signed int )(llvm_cbe_bestEdge_2e_0 + 4294967295u)) > ((signed int )4294967295u))) ? (llvm_cbe_bestEdge_2e_0) : (llvm_cbe_tmp3_2e_i))) + 4294967295u;
  llvm_cbe_storemerge4__PHI_TEMPORARY = llvm_cbe_storemerge3;   /* for PHI node */
  goto llvm_cbe_bb197;

llvm_cbe_bb184:
  llvm_cbe_tmp186 = llvm_cbe_bestEdge_2e_0 + 1u;
  llvm_cbe_storemerge5 = (((((signed int )llvm_cbe_tmp186) < ((signed int )llvm_cbe_tmp3_2e_i))) ? (llvm_cbe_tmp186) : (0u));
  llvm_cbe_storemerge4__PHI_TEMPORARY = llvm_cbe_storemerge5;   /* for PHI node */
  goto llvm_cbe_bb197;

  } while (1); /* end of syntactic loop 'bb165' */
llvm_cbe_bb219:
  *llvm_cbe_edgeIndex = llvm_cbe_bestEdge_2e_0;
  return llvm_cbe_bestSeparation_2e_0;
llvm_cbe_return:
  llvm_cbe_tmp_2e_0 = llvm_cbe_tmp_2e_0__PHI_TEMPORARY;
  return llvm_cbe_tmp_2e_0;
}

